


import re
import collections

from enum import Enum

from ydk._core._dm_meta_info import _MetaInfoClassMember, _MetaInfoClass, _MetaInfoEnum
from ydk.types import Empty, YList, YLeafList, DELETE, Decimal64, FixedBitsDict
from ydk._core._dm_meta_info import ATTRIBUTE, REFERENCE_CLASS, REFERENCE_LIST, REFERENCE_LEAFLIST,     REFERENCE_IDENTITY_CLASS, REFERENCE_ENUM_CLASS, REFERENCE_BITS, REFERENCE_UNION, ANYXML_CLASS

from ydk.errors import YPYError, YPYModelError
from ydk.providers._importer import _yang_ns
_meta_table = {
    'MplsTeLspModeEnum' : _MetaInfoEnum('MplsTeLspModeEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'mpls-te-lsp-mode-not-set':'mpls_te_lsp_mode_not_set',
            'mpls-te-lsp-mode-current':'mpls_te_lsp_mode_current',
            'mpls-te-lsp-mode-reopt':'mpls_te_lsp_mode_reopt',
            'mpls-te-lsp-mode-clean':'mpls_te_lsp_mode_clean',
            'mpls-te-lsp-mode-standby':'mpls_te_lsp_mode_standby',
            'mpls-te-lsp-mode-pp-clean':'mpls_te_lsp_mode_pp_clean',
            'mpls-te-lsp-mode-restore':'mpls_te_lsp_mode_restore',
            'mpls-te-lsp-mode-reopt-standby':'mpls_te_lsp_mode_reopt_standby',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'MteReoptTriggerEnum' : _MetaInfoEnum('MteReoptTriggerEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'no-trigger':'no_trigger',
            'timer-trigger':'timer_trigger',
            'bandwidth-change-trigger':'bandwidth_change_trigger',
            'auto-bandwidth-overflow-trigger':'auto_bandwidth_overflow_trigger',
            'auto-bandwidth-underflow-trigger':'auto_bandwidth_underflow_trigger',
            'auto-bandwidth-adjustment-trigger':'auto_bandwidth_adjustment_trigger',
            'metric-type-change-trigger':'metric_type_change_trigger',
            'user-trigger':'user_trigger',
            'frr-trigger':'frr_trigger',
            'remerge-error-trigger':'remerge_error_trigger',
            'preferred-path-trigger':'preferred_path_trigger',
            'preferred-tree-trigger':'preferred_tree_trigger',
            'due-to-maximum-metric':'due_to_maximum_metric',
            'path-option-switchover-trigger':'path_option_switchover_trigger',
            'path-protection-switchover-trigger':'path_protection_switchover_trigger',
            'iep-enable-reoptimization-trigger':'iep_enable_reoptimization_trigger',
            'affinity-path-verification-fail-trigger':'affinity_path_verification_fail_trigger',
            'cost-limit-path-verification-fail-trigger':'cost_limit_path_verification_fail_trigger',
            'soft-preemption-trigger':'soft_preemption_trigger',
            'iep-changed':'iep_changed',
            'po-changed':'po_changed',
            'dest-changed':'dest_changed',
            'reopt-try-to-force-it':'reopt_try_to_force_it',
            'topology-change-trigger':'topology_change_trigger',
            'reopt-link-up-event':'reopt_link_up_event',
            'bfd-session-down-trigger':'bfd_session_down_trigger',
            'reverse-assoc-s2l-received-trigger':'reverse_assoc_s2l_received_trigger',
            'gmpls-uni-multilayer-trigger':'gmpls_uni_multilayer_trigger',
            'gmpls-uni-user-trigger':'gmpls_uni_user_trigger',
            'path-selection-tiebreaker-change-trigger':'path_selection_tiebreaker_change_trigger',
            'sr-egress-path-change-trigger':'sr_egress_path_change_trigger',
            'overload-bit-trigger':'overload_bit_trigger',
            'pce-trigger':'pce_trigger',
            'lockout-metric-trigger':'lockout_metric_trigger',
            'bfd-session-config-change-trigger':'bfd_session_config_change_trigger',
            'higher-priority-po-change-trigger':'higher_priority_po_change_trigger',
            'sr-area-spf-support-change-trigger':'sr_area_spf_support_change_trigger',
            'trigger-not-used':'trigger_not_used',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'MplsTpLspBfdStateEnum' : _MetaInfoEnum('MplsTpLspBfdStateEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'down':'down',
            'up':'up',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'FlexLspLockoutOriginationEnum' : _MetaInfoEnum('FlexLspLockoutOriginationEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'lockout-origination-none':'lockout_origination_none',
            'lockout-origination-local':'lockout_origination_local',
            'lockout-origination-remote':'lockout_origination_remote',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'MplsTeMetricQualifierEnum' : _MetaInfoEnum('MplsTeMetricQualifierEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'metric-default':'metric_default',
            'metric-global':'metric_global',
            'metric-interface':'metric_interface',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'TeSyncStatusShowEnum' : _MetaInfoEnum('TeSyncStatusShowEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'master-sync-status-show':'master_sync_status_show',
            'slave-sync-status-show':'slave_sync_status_show',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'MplsTeTunnelsProcessStatusEnum' : _MetaInfoEnum('MplsTeTunnelsProcessStatusEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'not-running':'not_running',
            'running':'running',
            'not-registered-with-rsvp':'not_registered_with_rsvp',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'MplsTeUniEnum' : _MetaInfoEnum('MplsTeUniEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'none':'none',
            'xc':'xc',
            'term':'term',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'TeStatsSigFilterEnum' : _MetaInfoEnum('TeStatsSigFilterEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'te-stat-sig-filter-vif':'te_stat_sig_filter_vif',
            'te-stat-sig-filter-lsp':'te_stat_sig_filter_lsp',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'RsvpMgmtEroSubobjEnum' : _MetaInfoEnum('RsvpMgmtEroSubobjEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'rsvp-mgmt-ero-type-ipv4':'rsvp_mgmt_ero_type_ipv4',
            'rsvp-mgmt-ero-type-un-num':'rsvp_mgmt_ero_type_un_num',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'CtypeEnum' : _MetaInfoEnum('CtypeEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'ctype-null':'ctype_null',
            'ctype-ipv4':'ctype_ipv4',
            'ctype-ipv4-p2p-tunnel':'ctype_ipv4_p2p_tunnel',
            'ctype-ipv6-p2p-tunnel':'ctype_ipv6_p2p_tunnel',
            'ctype-ipv4-uni':'ctype_ipv4_uni',
            'ctype-ipv4-p2mp-tunnel':'ctype_ipv4_p2mp_tunnel',
            'ctype-ipv6-p2mp-tunnel':'ctype_ipv6_p2mp_tunnel',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'IgpProtocolEnum' : _MetaInfoEnum('IgpProtocolEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'none':'none',
            'isis':'isis',
            'ospf':'ospf',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'MplsTePathoptionEnum' : _MetaInfoEnum('MplsTePathoptionEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'path-option-unknown':'path_option_unknown',
            'path-option-dynamic':'path_option_dynamic',
            'path-option-explicit-name':'path_option_explicit_name',
            'path-option-explicit-id':'path_option_explicit_id',
            'path-option-pce':'path_option_pce',
            'path-option-no-ero':'path_option_no_ero',
            'path-option-segment-routing':'path_option_segment_routing',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'BandwidthUnitEnumEnum' : _MetaInfoEnum('BandwidthUnitEnumEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'kilo-bits-per-second':'kilo_bits_per_second',
            'kilo-bytes-per-second':'kilo_bytes_per_second',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'MteTunnelAdminStateEnum' : _MetaInfoEnum('MteTunnelAdminStateEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'tunnel-state-admin-unknown':'tunnel_state_admin_unknown',
            'admin-shutdown':'admin_shutdown',
            'admin-up':'admin_up',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'TeApsSncModeEnum' : _MetaInfoEnum('TeApsSncModeEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'snc-mode-not-set':'snc_mode_not_set',
            'snc-mode-n':'snc_mode_n',
            'snc-mode-i':'snc_mode_i',
            'snc-mode-s':'snc_mode_s',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'TeAutobwAppRejEnum' : _MetaInfoEnum('TeAutobwAppRejEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'application-allowed':'application_allowed',
            'auto-bw-disabled':'auto_bw_disabled',
            'tunnel-is-down':'tunnel_is_down',
            'tunnel-is-frr':'tunnel_is_frr',
            'tunnel-is-backup':'tunnel_is_backup',
            'tunnel-is-lock-down':'tunnel_is_lock_down',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'PceStateEnum' : _MetaInfoEnum('PceStateEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'tcp-close':'tcp_close',
            'tcp-listen':'tcp_listen',
            'tcp-connect':'tcp_connect',
            'pcep-closed':'pcep_closed',
            'pcep-opening':'pcep_opening',
            'pcep-open':'pcep_open',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'TeSyncNotReadyReasonEnum' : _MetaInfoEnum('TeSyncNotReadyReasonEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'idt-in-progress':'idt_in_progress',
            'standby-not-connected':'standby_not_connected',
            'collaborator-disconnected':'collaborator_disconnected',
            'collaborator-timeout':'collaborator_timeout',
            'unknown':'unknown',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'TeBfdLspSessionStateEnum' : _MetaInfoEnum('TeBfdLspSessionStateEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'bfd-over-lsp-session-state-none':'bfd_over_lsp_session_state_none',
            'bfd-over-lsp-session-state-created':'bfd_over_lsp_session_state_created',
            'bfd-over-lsp-session-state-up':'bfd_over_lsp_session_state_up',
            'bfd-over-lsp-session-state-down':'bfd_over_lsp_session_state_down',
            'bfd-over-lsp-session-state-admin-down':'bfd_over_lsp_session_state_admin_down',
            'bfd-over-lsp-session-state-deleted':'bfd_over_lsp_session_state_deleted',
            'bfd-over-lsp-session-state-create-failed':'bfd_over_lsp_session_state_create_failed',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'MplsTpLspOamStateEnum' : _MetaInfoEnum('MplsTpLspOamStateEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'none':'none',
            'ldi':'ldi',
            'lkr':'lkr',
            'ais':'ais',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'TePpDiversityEnum' : _MetaInfoEnum('TePpDiversityEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'diversity-none':'diversity_none',
            'link':'link',
            'node':'node',
            'node-link':'node_link',
            'srlg':'srlg',
            'diversity-user':'diversity_user',
            'diversity-reverse-ero':'diversity_reverse_ero',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'LinkDirectionEnumEnum' : _MetaInfoEnum('LinkDirectionEnumEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'link-direction-up-stream':'link_direction_up_stream',
            'link-direction-down-stream':'link_direction_down_stream',
            'link-direction-unknown':'link_direction_unknown',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'MplsTeBackupUsageEnum' : _MetaInfoEnum('MplsTeBackupUsageEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'backup-not-protecting':'backup_not_protecting',
            'backup-protecting':'backup_protecting',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'FloodingTriggerEnum' : _MetaInfoEnum('FloodingTriggerEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'flooding-reason-unknown':'flooding_reason_unknown',
            'link-up':'link_up',
            'link-down':'link_down',
            'threshold-up':'threshold_up',
            'threshold-down':'threshold_down',
            'threshold-up-pool1':'threshold_up_pool1',
            'threshold-down-pool1':'threshold_down_pool1',
            'timer-expired':'timer_expired',
            'bandwidth-change':'bandwidth_change',
            'user':'user',
            'rsvp-timeout':'rsvp_timeout',
            'rsvp-reconnect':'rsvp_reconnect',
            'te-exited':'te_exited',
            'srlg-change':'srlg_change',
            'hw-oor-green':'hw_oor_green',
            'hw-oor-yellow':'hw_oor_yellow',
            'hw-oor-red':'hw_oor_red',
            'hw-oor-recovery-duration-expired':'hw_oor_recovery_duration_expired',
            'lsp-oor-green':'lsp_oor_green',
            'lsp-oor-yellow':'lsp_oor_yellow',
            'lsp-oor-red':'lsp_oor_red',
            'lsp-oor-recovery-duration-expired':'lsp_oor_recovery_duration_expired',
            'max-res-bandwidth-threshold-up':'max_res_bandwidth_threshold_up',
            'max-res-bandwidth-threshold-down':'max_res_bandwidth_threshold_down',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'MplsTeTunnelStateEnum' : _MetaInfoEnum('MplsTeTunnelStateEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'state-down':'state_down',
            'state-up':'state_up',
            'state-down-policy':'state_down_policy',
            'state-lockout':'state_lockout',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'MplsTeLspRoleEnum' : _MetaInfoEnum('MplsTeLspRoleEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'mpls-te-lsp-role-unknown':'mpls_te_lsp_role_unknown',
            'mpls-te-lsp-role-head':'mpls_te_lsp_role_head',
            'mpls-te-lsp-role-transit':'mpls_te_lsp_role_transit',
            'mpls-te-lsp-role-tail':'mpls_te_lsp_role_tail',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'TeVifBfdEncapModeEnum' : _MetaInfoEnum('TeVifBfdEncapModeEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'ip':'ip',
            'gal':'gal',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'IgpteLibBwModelEnum' : _MetaInfoEnum('IgpteLibBwModelEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'rdm':'rdm',
            'mam':'mam',
            'not-set':'not_set',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'OcMplsTeMetricEnum' : _MetaInfoEnum('OcMplsTeMetricEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'oc-mpls-te-metric-type-igp':'oc_mpls_te_metric_type_igp',
            'oc-mpls-te-metric-type-te':'oc_mpls_te_metric_type_te',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'MplsTeBackupEnum' : _MetaInfoEnum('MplsTeBackupEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'backup-static':'backup_static',
            'backup-auto':'backup_auto',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'SignalingAgentEnumEnum' : _MetaInfoEnum('SignalingAgentEnumEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'no-signaling':'no_signaling',
            'rsvp-signaling':'rsvp_signaling',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'RrrDsteMigrationModeEnum' : _MetaInfoEnum('RrrDsteMigrationModeEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'rrr-dste-mode-none':'rrr_dste_mode_none',
            'rrr-dste-mode-prestandard':'rrr_dste_mode_prestandard',
            'rrr-dste-mode-standard':'rrr_dste_mode_standard',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'TeXroSubobjEnum' : _MetaInfoEnum('TeXroSubobjEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'ipv4':'ipv4',
            'ipv6':'ipv6',
            'unnumbered':'unnumbered',
            'as':'as_',
            'srlg':'srlg',
            'p2p-lsp':'p2p_lsp',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'MplsProtectionEnum' : _MetaInfoEnum('MplsProtectionEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'mpls-protection-type-unprotected':'mpls_protection_type_unprotected',
            'mpls-protection-type-link':'mpls_protection_type_link',
            'mpls-protection-type-link-node':'mpls_protection_type_link_node',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'TePathInvalActionEnum' : _MetaInfoEnum('TePathInvalActionEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'none':'none',
            'tear':'tear',
            'drop':'drop',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'AdmissionPolicyEnum' : _MetaInfoEnum('AdmissionPolicyEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'reject-all':'reject_all',
            'allow-all':'allow_all',
            'reject-huge':'reject_huge',
            'allow-if-room':'allow_if_room',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'MplsMteTunnelFailReasonEnum' : _MetaInfoEnum('MplsMteTunnelFailReasonEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'mtunnel-fail-reason-unapplicable':'mtunnel_fail_reason_unapplicable',
            'mtunnel-fail-reason-shutdown':'mtunnel_fail_reason_shutdown',
            'mtunnel-fail-reason-no-destination':'mtunnel_fail_reason_no_destination',
            'mtunnel-fail-reason-no-path-option':'mtunnel_fail_reason_no_path_option',
            'mtunnel-fail-reason-no-source':'mtunnel_fail_reason_no_source',
            'mtunnel-fail-reason-collaborator-disc':'mtunnel_fail_reason_collaborator_disc',
            'mtunnel-fail-reason-unmatched-class-type-priority':'mtunnel_fail_reason_unmatched_class_type_priority',
            'mtunnel-fail-reason-invalid-bidir-cfg':'mtunnel_fail_reason_invalid_bidir_cfg',
            'mtunnel-fail-reason-po-switchover':'mtunnel_fail_reason_po_switchover',
            'mtunnel-fail-reason-no-tunnel-id':'mtunnel_fail_reason_no_tunnel_id',
            'mtunnel-fail-reason-no-link':'mtunnel_fail_reason_no_link',
            'mtunnel-fail-reason-link-shutdown':'mtunnel_fail_reason_link_shutdown',
            'mtunnel-fail-reason-link-lmp-down':'mtunnel_fail_reason_link_lmp_down',
            'mtunnel-fail-reason-source-destination-same':'mtunnel_fail_reason_source_destination_same',
            'mtunnel-fail-reason-otn-no-odu-level':'mtunnel_fail_reason_otn_no_odu_level',
            'mtunnel-fail-reason-bidir-assoc-id-missing':'mtunnel_fail_reason_bidir_assoc_id_missing',
            'mtunnel-fail-reason-bfdgal-on-unidirectional':'mtunnel_fail_reason_bfdgal_on_unidirectional',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'TeAclEnum' : _MetaInfoEnum('TeAclEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'acl-type-unknown':'acl_type_unknown',
            'acl-type-access-list':'acl_type_access_list',
            'acl-type-prefix-list':'acl_type_prefix_list',
            'acl-type-unregistered':'acl_type_unregistered',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'TeSigNameAppendEnum' : _MetaInfoEnum('TeSigNameAppendEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'none':'none',
            'address':'address',
            'name':'name',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'BandwidthTypeEnumEnum' : _MetaInfoEnum('BandwidthTypeEnumEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'pool0':'pool0',
            'pool1':'pool1',
            'unknown':'unknown',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'TeBfdReversePathEnum' : _MetaInfoEnum('TeBfdReversePathEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'bfd-reverse-path-none':'bfd_reverse_path_none',
            'bfd-reverse-path-binding-label':'bfd_reverse_path_binding_label',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'TeSchFreqEnum' : _MetaInfoEnum('TeSchFreqEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'sch-freq-not-set':'sch_freq_not_set',
            'sch-freq-set-once':'sch_freq_set_once',
            'sch-freq-set-daily':'sch_freq_set_daily',
            'sch-freq-set-weekly':'sch_freq_set_weekly',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'MplsTeBwPoolEnum' : _MetaInfoEnum('MplsTeBwPoolEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'te-bandwidth-pool0':'te_bandwidth_pool0',
            'te-bandwidth-pool1':'te_bandwidth_pool1',
            'te-bandwidth-any-pool':'te_bandwidth_any_pool',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'MplsTeMgmtGmplsLabelOriginEnum' : _MetaInfoEnum('MplsTeMgmtGmplsLabelOriginEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'not-set':'not_set',
            'uni-c':'uni_c',
            'uni-n':'uni_n',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'PceSrSidEnum' : _MetaInfoEnum('PceSrSidEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'unknown-segment-id':'unknown_segment_id',
            'ipv4-node-segment-id':'ipv4_node_segment_id',
            'ipv4-adjacency-segment-id':'ipv4_adjacency_segment_id',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'MplsTpTunnelSwitchoverTrigEnum' : _MetaInfoEnum('MplsTpTunnelSwitchoverTrigEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'none':'none',
            'bfd':'bfd',
            'local-lockout':'local_lockout',
            'remote-lockout':'remote_lockout',
            'ais':'ais',
            'ldi':'ldi',
            'lkr':'lkr',
            'link-down':'link_down',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'MplsTeLoadshareEnum' : _MetaInfoEnum('MplsTeLoadshareEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'loadshare-equal':'loadshare_equal',
            'loadshare-bandwidth-based':'loadshare_bandwidth_based',
            'loadshare-configured':'loadshare_configured',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'MplsTpTunnelActiveLspEnum' : _MetaInfoEnum('MplsTpTunnelActiveLspEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'working':'working',
            'protect':'protect',
            'none':'none',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'PceLspAutorouteMetricEnum' : _MetaInfoEnum('PceLspAutorouteMetricEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'none':'none',
            'relative':'relative',
            'absolute':'absolute',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'MplsTeBackupStatusEnum' : _MetaInfoEnum('MplsTeBackupStatusEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'backup-none':'backup_none',
            'backup-unused':'backup_unused',
            'backup-next-next-hop':'backup_next_next_hop',
            'backup-next-hop':'backup_next_hop',
            'backup-next-next-hop-srlg':'backup_next_next_hop_srlg',
            'backup-next-hop-srlg':'backup_next_hop_srlg',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'MplsTeMgmtGmplsLabelEnum' : _MetaInfoEnum('MplsTeMgmtGmplsLabelEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'not-set':'not_set',
            'fixed-wdm':'fixed_wdm',
            'fixed-g709otn':'fixed_g709otn',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'TeAutoTunExpPathHopEnum' : _MetaInfoEnum('TeAutoTunExpPathHopEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'ipv4-address-type':'ipv4_address_type',
            'mpls-label-type':'mpls_label_type',
            'ipv4-and-label-type':'ipv4_and_label_type',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'TeVifBfdEnum' : _MetaInfoEnum('TeVifBfdEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'bfd-disabled':'bfd_disabled',
            'bfd-enabled':'bfd_enabled',
            'sbfd-enabled':'sbfd_enabled',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'OcMplsTeTunnelEnum' : _MetaInfoEnum('OcMplsTeTunnelEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'unknown':'unknown',
            'p2p':'p2p',
            'p2mp':'p2mp',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'MplsTpTunnelStateEnum' : _MetaInfoEnum('MplsTpTunnelStateEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'admin-down':'admin_down',
            'admin-up':'admin_up',
            'oper-up':'oper_up',
            'oper-down':'oper_down',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'TeHopLimitIgnoreEnum' : _MetaInfoEnum('TeHopLimitIgnoreEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'ignore-unknown':'ignore_unknown',
            'ignore-explicit':'ignore_explicit',
            'ignore-pce':'ignore_pce',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'PceTunnelStateEnum' : _MetaInfoEnum('PceTunnelStateEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'tunnel-state-none':'tunnel_state_none',
            'tunnel-state-admin-down':'tunnel_state_admin_down',
            'tunnel-state-down':'tunnel_state_down',
            'tunnel-state-up':'tunnel_state_up',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'MplsTeSoftPreemptionResolutionEnum' : _MetaInfoEnum('MplsTeSoftPreemptionResolutionEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'soft-preemption-resolution-none':'soft_preemption_resolution_none',
            'soft-preemption-resolution-pending':'soft_preemption_resolution_pending',
            'soft-preemption-resolution-reopt-completed':'soft_preemption_resolution_reopt_completed',
            'soft-preemption-resolution-teardown':'soft_preemption_resolution_teardown',
            'soft-preemption-resolution-frr-triggered':'soft_preemption_resolution_frr_triggered',
            'soft-preemption-resolution-path-protetion-switchover':'soft_preemption_resolution_path_protetion_switchover',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'MplsTeSoftPreemptionStateEnum' : _MetaInfoEnum('MplsTeSoftPreemptionStateEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'soft-preemption-not-pending':'soft_preemption_not_pending',
            'soft-preemption-pending':'soft_preemption_pending',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'GmplsUniMgmtDwdmCsEnum' : _MetaInfoEnum('GmplsUniMgmtDwdmCsEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'not-set':'not_set',
            'dwdm100g-hz':'dwdm100g_hz',
            'dwdm50g-hz':'dwdm50g_hz',
            'dwdm25g-hz':'dwdm25g_hz',
            'dwdm12g-hz':'dwdm12g_hz',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'MplsTeP2MpTimerEnum' : _MetaInfoEnum('MplsTeP2MpTimerEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'lmrib-restart':'lmrib_restart',
            'lmrib-recovery':'lmrib_recovery',
            'rsvp-restart':'rsvp_restart',
            'lsd-restart':'lsd_restart',
            'lsd-recovery':'lsd_recovery',
            'clear-in-progress-bandwidth':'clear_in_progress_bandwidth',
            'rsi-restart':'rsi_restart',
            'rsi-recovery':'rsi_recovery',
            'ipv4-caps-replay':'ipv4_caps_replay',
            'retry-acl-registration-timer':'retry_acl_registration_timer',
            'mpls-te-exit':'mpls_te_exit',
            'mpls-te-nsr-peer-restart':'mpls_te_nsr_peer_restart',
            'mpls-te-issu-peer-restart':'mpls_te_issu_peer_restart',
            'bfd-restart':'bfd_restart',
            'bfd-recovery':'bfd_recovery',
            'im-oc-restart':'im_oc_restart',
            'im-oc-recovery':'im_oc_recovery',
            'rib-restart':'rib_restart',
            'rib-recovery':'rib_recovery',
            'rib-next-hop-route-cleanup':'rib_next_hop_route_cleanup',
            'rsi-srlg-producer-retry':'rsi_srlg_producer_retry',
            'eoc-reg-retry':'eoc_reg_retry',
            'fib-restart':'fib_restart',
            'fib-recovery':'fib_recovery',
            'fib-next-hop-route-cleanup':'fib_next_hop_route_cleanup',
            'fib-next-hop-register-retry':'fib_next_hop_register_retry',
            'tun-backend-scan-retry':'tun_backend_scan_retry',
            'tunnel-checkpoint-list-service':'tunnel_checkpoint_list_service',
            'tunnel-service-binding-sid-allocation-retry':'tunnel_service_binding_sid_allocation_retry',
            'timer-not-used':'timer_not_used',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'TeSrSidEnum' : _MetaInfoEnum('TeSrSidEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'srsid-not-set':'srsid_not_set',
            'srsid-node':'srsid_node',
            'srsid-adj':'srsid_adj',
            'srsid-unknown':'srsid_unknown',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'TeS2LSrPathSelectionEnum' : _MetaInfoEnum('TeS2LSrPathSelectionEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'te-s2l-sr-path-selection-any':'te_s2l_sr_path_selection_any',
            'te-s2l-sr-path-selection-adj-unprotected':'te_s2l_sr_path_selection_adj_unprotected',
            'te-s2l-sr-path-selection-adj-protected':'te_s2l_sr_path_selection_adj_protected',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'ResourceProviderEnum' : _MetaInfoEnum('ResourceProviderEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'resource-provider-none':'resource_provider_none',
            'packet-switch-capable':'packet_switch_capable',
            'time-division-multiplex':'time_division_multiplex',
            'lambda-switch-capable':'lambda_switch_capable',
            'fiber-switch-capable':'fiber_switch_capable',
            'g709odu-capable':'g709odu_capable',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'TpMidLspStatusEnum' : _MetaInfoEnum('TpMidLspStatusEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'up':'up',
            'down':'down',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'AutoBackupProtectionEnum' : _MetaInfoEnum('AutoBackupProtectionEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'protection-none':'protection_none',
            'protection-next-hop':'protection_next_hop',
            'protection-next-next-hop':'protection_next_next_hop',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'MplsTeFrrStateEnum' : _MetaInfoEnum('MplsTeFrrStateEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'frr-inactive':'frr_inactive',
            'frr-active':'frr_active',
            'frr-ready':'frr_ready',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'MplsTeBfdSessionDownAction1Enum' : _MetaInfoEnum('MplsTeBfdSessionDownAction1Enum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'reopt':'reopt',
            're-setup':'re_setup',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'LspOperStatusEnum' : _MetaInfoEnum('LspOperStatusEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'mpls-te-lsp-oper-up':'mpls_te_lsp_oper_up',
            'mpls-te-lsp-oper-down':'mpls_te_lsp_oper_down',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'MplsTeProtocolEnum' : _MetaInfoEnum('MplsTeProtocolEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'mpls-te-signaling-type-unknown':'mpls_te_signaling_type_unknown',
            'mpls-te-signaling-type-rsvp':'mpls_te_signaling_type_rsvp',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'TeOduLevelEnum' : _MetaInfoEnum('TeOduLevelEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'te-odu-level-not-set':'te_odu_level_not_set',
            'te-odu-level-one':'te_odu_level_one',
            'te-odu-level-two':'te_odu_level_two',
            'te-odu-level-three':'te_odu_level_three',
            'te-odu-level-four':'te_odu_level_four',
            'te-odu-zero':'te_odu_zero',
            'te-odu-level-two-e':'te_odu_level_two_e',
            'te-odu-level-flex-cbr':'te_odu_level_flex_cbr',
            'te-odu-level-flex-gfpf-resizeable':'te_odu_level_flex_gfpf_resizeable',
            'te-odu-level-flex-gfpf-non-resizable':'te_odu_level_flex_gfpf_non_resizable',
            'te-odu-level-one-e':'te_odu_level_one_e',
            'te-odu-level-one-f':'te_odu_level_one_f',
            'te-odu-level-two-f':'te_odu_level_two_f',
            'te-odu-level-three-e-one':'te_odu_level_three_e_one',
            'te-odu-level-three-e-two':'te_odu_level_three_e_two',
            'te-odu-level-c-two':'te_odu_level_c_two',
            'te-odu-level-c-three':'te_odu_level_c_three',
            'te-odu-level-c-four':'te_odu_level_c_four',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'IgpOspfAreaFormatEnum' : _MetaInfoEnum('IgpOspfAreaFormatEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'igp-area-format-number':'igp_area_format_number',
            'igp-area-format-ip-addr':'igp_area_format_ip_addr',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'PceTunPathStateEnum' : _MetaInfoEnum('PceTunPathStateEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'state-none':'state_none',
            'state-pending':'state_pending',
            'state-received-path':'state_received_path',
            'state-no-peer':'state_no_peer',
            'state-pcep-down':'state_pcep_down',
            'state-received-no-path':'state_received_no_path',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'AutoBackupSrlgModeEnum' : _MetaInfoEnum('AutoBackupSrlgModeEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'srlg-not-set':'srlg_not_set',
            'srlg-strict':'srlg_strict',
            'srlg-preferred':'srlg_preferred',
            'srlg-weighted':'srlg_weighted',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'TeRevEroRejectReasonsEnum' : _MetaInfoEnum('TeRevEroRejectReasonsEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'none':'none',
            'bad-reverse-ero':'bad_reverse_ero',
            'tie-rejected':'tie_rejected',
            'standby-not-required':'standby_not_required',
            'admin-state':'admin_state',
            'priority':'priority',
            'class-type':'class_type',
            'bad-association':'bad_association',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'TeProtectEnum' : _MetaInfoEnum('TeProtectEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'protect-type1-plus1-unidir-no-aps':'protect_type1_plus1_unidir_no_aps',
            'protect-type1-plus1-unidir-aps':'protect_type1_plus1_unidir_aps',
            'protect-type1-plus1-bidir-aps':'protect_type1_plus1_bidir_aps',
            'protect-type-not-set':'protect_type_not_set',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'LspAdminStatusEnum' : _MetaInfoEnum('LspAdminStatusEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'mpls-te-lsp-admin-up':'mpls_te_lsp_admin_up',
            'mpls-te-lsp-admin-shutdown':'mpls_te_lsp_admin_shutdown',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'TePathProtProfileEnum' : _MetaInfoEnum('TePathProtProfileEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'path-prot-profile-type1-plus0':'path_prot_profile_type1_plus0',
            'path-prot-profile-type1-plus-r':'path_prot_profile_type1_plus_r',
            'path-prot-profile-type1-plus1':'path_prot_profile_type1_plus1',
            'path-prot-profile-type1-plus1-plus-r':'path_prot_profile_type1_plus1_plus_r',
            'path-prot-profile-type-invalid':'path_prot_profile_type_invalid',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'MplsTePceFailReasonsEnum' : _MetaInfoEnum('MplsTePceFailReasonsEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'te-pce-fail-no-reason':'te_pce_fail_no_reason',
            'te-pce-fail-no-pce':'te_pce_fail_no_pce',
            'te-pce-fail-sub-pool':'te_pce_fail_sub_pool',
            'te-pce-fail-intra-area':'te_pce_fail_intra_area',
            'te-pce-fail-gmpls':'te_pce_fail_gmpls',
            'te-pce-fail-pending':'te_pce_fail_pending',
            'te-pce-fail-oor':'te_pce_fail_oor',
            'te-pce-fail-bidirectional':'te_pce_fail_bidirectional',
            'te-pce-fail-no-path':'te_pce_fail_no_path',
            'te-pce-fail-request-timeout':'te_pce_fail_request_timeout',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'MplsTeFrrSharingEnum' : _MetaInfoEnum('MplsTeFrrSharingEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'sharing-none':'sharing_none',
            'sharing-pri-oi-backup-oi-parent':'sharing_pri_oi_backup_oi_parent',
            'sharing-pri-oi-parent-backup-oi':'sharing_pri_oi_parent_backup_oi',
            'sharing-pri-oi-parent-backup-oi-parent':'sharing_pri_oi_parent_backup_oi_parent',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'TeSrlgCollectRequestEnum' : _MetaInfoEnum('TeSrlgCollectRequestEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'none':'none',
            'mandatory':'mandatory',
            'optional':'optional',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'TeAttributeSetSrPrependEnum' : _MetaInfoEnum('TeAttributeSetSrPrependEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'te-attribute-set-sr-prepend-not-set':'te_attribute_set_sr_prepend_not_set',
            'te-attribute-set-sr-prepend-next-label':'te_attribute_set_sr_prepend_next_label',
            'te-attribute-set-sr-prepend-bgp-nhop':'te_attribute_set_sr_prepend_bgp_nhop',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'BandwidthStateEnumEnum' : _MetaInfoEnum('BandwidthStateEnumEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'bandwidth-held':'bandwidth_held',
            'bandwidth-reserved':'bandwidth_reserved',
            'bandwidth-unknown':'bandwidth_unknown',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'TeAffinityTableEnum' : _MetaInfoEnum('TeAffinityTableEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'affinity-table-mapping':'affinity_table_mapping',
            'affinity-table-forward-reference':'affinity_table_forward_reference',
            'affinity-table-count':'affinity_table_count',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'MplsTeNodeEnum' : _MetaInfoEnum('MplsTeNodeEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'router':'router',
            'network':'network',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'TeMgmtGenericTspecEnum' : _MetaInfoEnum('TeMgmtGenericTspecEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'te-generic-tspec-type-g709otn':'te_generic_tspec_type_g709otn',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'TePnrRevertOptionsEnum' : _MetaInfoEnum('TePnrRevertOptionsEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'pnr-optionnot-set':'pnr_optionnot_set',
            'pnr-option-revertive':'pnr_option_revertive',
            'pnr-option-non-revertive':'pnr_option_non_revertive',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'HwOorStateEnum' : _MetaInfoEnum('HwOorStateEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'oor-green':'oor_green',
            'oor-yellow':'oor_yellow',
            'oor-red':'oor_red',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'MplsTeMetricEnum' : _MetaInfoEnum('MplsTeMetricEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'metric-not-set':'metric_not_set',
            'metric-igp':'metric_igp',
            'metric-te':'metric_te',
            'metric-delay':'metric_delay',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'TpLinkStateEnum' : _MetaInfoEnum('TpLinkStateEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'down':'down',
            'admin-down':'admin_down',
            'up':'up',
            'unknown':'unknown',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'TeP2MpS2LDeletionSubcauseEnum' : _MetaInfoEnum('TeP2MpS2LDeletionSubcauseEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'no-subcause':'no_subcause',
            'cleanup-req':'cleanup_req',
            'invalid-data':'invalid_data',
            'fsm-inv-ctxt':'fsm_inv_ctxt',
            'fsm-inv-ctxt-data':'fsm_inv_ctxt_data',
            'fsm-inv-role':'fsm_inv_role',
            'll-failure':'ll_failure',
            'll-rel-fail':'ll_rel_fail',
            'll-mismatch':'ll_mismatch',
            'll-invalid':'ll_invalid',
            'll-set-failure':'ll_set_failure',
            'bad-out-label':'bad_out_label',
            'sl-err':'sl_err',
            'rl-mismatch':'rl_mismatch',
            'sl-alloc-err':'sl_alloc_err',
            'upstream-downstream-label-mismatch':'upstream_downstream_label_mismatch',
            'upstream-label-failure':'upstream_label_failure',
            'upstream-label-rel-fail':'upstream_label_rel_fail',
            'upstream-label-mismatch':'upstream_label_mismatch',
            'upstream-label-invalid':'upstream_label_invalid',
            'bad-upstream-label':'bad_upstream_label',
            'ul-set-failure':'ul_set_failure',
            'gmpls-label-alloc-err':'gmpls_label_alloc_err',
            'gmpls-label-clone-err':'gmpls_label_clone_err',
            'rw-err':'rw_err',
            'up-rw-err':'up_rw_err',
            'path-admit':'path_admit',
            'bw':'bw',
            'admit-resv':'admit_resv',
            'rrrm-err':'rrrm_err',
            'hardware-out-of-resources':'hardware_out_of_resources',
            'comp-rid':'comp_rid',
            'comp-lcl-rid':'comp_lcl_rid',
            'comp-up-rid':'comp_up_rid',
            'comp-down-rid':'comp_down_rid',
            'rest-if-hop':'rest_if_hop',
            'inv-in-if':'inv_in_if',
            'nh-err':'nh_err',
            'inv-in-ero':'inv_in_ero',
            'out-ero-fail':'out_ero_fail',
            'frr-bk-asssign':'frr_bk_asssign',
            'frr-bk-rm':'frr_bk_rm',
            'frr-bk-send':'frr_bk_send',
            'frr-needs-del':'frr_needs_del',
            'frr-reopt-lsp':'frr_reopt_lsp',
            'rsvp-api-h':'rsvp_api_h',
            'insane-path':'insane_path',
            'remerge-chk-fail':'remerge_chk_fail',
            'remerge-detected':'remerge_detected',
            'xro':'xro',
            'resv-bw-set':'resv_bw_set',
            'resv-prep-fail':'resv_prep_fail',
            'path-ch-proc':'path_ch_proc',
            'path-ch-frr':'path_ch_frr',
            'path-ch-sess-attri-fl':'path_ch_sess_attri_fl',
            'path-ch-bw-ch':'path_ch_bw_ch',
            'path-err-proc':'path_err_proc',
            'path-err':'path_err',
            'path-err-wpsr':'path_err_wpsr',
            'path-del':'path_del',
            'resv-ch-proc':'resv_ch_proc',
            'resv-ch-rro':'resv_ch_rro',
            'resv-del':'resv_del',
            'resv-err':'resv_err',
            'perr-send-fail':'perr_send_fail',
            'perr-proc-fail':'perr_proc_fail',
            'perr-rcv':'perr_rcv',
            'resv-err-rcv':'resv_err_rcv',
            'flowspec':'flowspec',
            'setup-conn-api-fail':'setup_conn_api_fail',
            'path-not-replayed':'path_not_replayed',
            'resv-not-replayed':'resv_not_replayed',
            'rewrite-not-replayed':'rewrite_not_replayed',
            'label-not-replayed':'label_not_replayed',
            'connection-not-ready':'connection_not_ready',
            'master-did-not-replay':'master_did_not_replay',
            'head-s2l-has-no-vif':'head_s2l_has_no_vif',
            'frr-assigned-s2l-has-no-backup':'frr_assigned_s2l_has_no_backup',
            'frr-assigned-s2l-has-down-backup':'frr_assigned_s2l_has_down_backup',
            'out-link-down-and-no-frr':'out_link_down_and_no_frr',
            'collaborator-timeout-rsvp':'collaborator_timeout_rsvp',
            'collaborator-timeout-lsd':'collaborator_timeout_lsd',
            'collaborator-timeout-lmrib':'collaborator_timeout_lmrib',
            'collaborator-timeout-im':'collaborator_timeout_im',
            'collaborator-timeout-error':'collaborator_timeout_error',
            'topo-flush':'topo_flush',
            'area-shut':'area_shut',
            'active-po-del':'active_po_del',
            'path-verify-failed':'path_verify_failed',
            'srlg-path-verify-failed':'srlg_path_verify_failed',
            'affinity-path-verify-failed':'affinity_path_verify_failed',
            'aff-fail-delayed-tear-timeout-failed':'aff_fail_delayed_tear_timeout_failed',
            'cost-limit-verify-failed':'cost_limit_verify_failed',
            'path-setup-timeout':'path_setup_timeout',
            'vif-destroyed':'vif_destroyed',
            'vif-shut':'vif_shut',
            'lsp-shut':'lsp_shut',
            'gmpls-uni-head':'gmpls_uni_head',
            'head-resetup':'head_resetup',
            'none-head-resetup':'none_head_resetup',
            'dest-disabled':'dest_disabled',
            'iep-ch-act-po':'iep_ch_act_po',
            'iep-ch-reopt':'iep_ch_reopt',
            'iep-ch-standby':'iep_ch_standby',
            'dste-mode-ch':'dste_mode_ch',
            'reopt-del-frr-act':'reopt_del_frr_act',
            'new-reopt-tear-old':'new_reopt_tear_old',
            'reopt-failed-verify':'reopt_failed_verify',
            'reopt-failed-install':'reopt_failed_install',
            'reopt-failed-rw':'reopt_failed_rw',
            'reopt-failed-not-superset':'reopt_failed_not_superset',
            'dclean-at-install-time':'dclean_at_install_time',
            'dclean-at-clean-timer':'dclean_at_clean_timer',
            'dclean-at-reopt-active':'dclean_at_reopt_active',
            'lcl-notif-head':'lcl_notif_head',
            'in-if-fail':'in_if_fail',
            'out-if-fail':'out_if_fail',
            'if-fail-lc-oir':'if_fail_lc_oir',
            'te-rid-rm':'te_rid_rm',
            'te-rsvp-oos-bkup':'te_rsvp_oos_bkup',
            'in-if-fail-exp-null-cfg-ch':'in_if_fail_exp_null_cfg_ch',
            'new-curr-lsp-sig':'new_curr_lsp_sig',
            'new-reopt-lsp-sig':'new_reopt_lsp_sig',
            'new-stdby-lsp-sig':'new_stdby_lsp_sig',
            'new-restore-lsp-sig':'new_restore_lsp_sig',
            'new-cl-pp-lsp-sig':'new_cl_pp_lsp_sig',
            'chkpt-recovery-failed':'chkpt_recovery_failed',
            'stdby-cr-failed':'stdby_cr_failed',
            'reopt-lsp-rej':'reopt_lsp_rej',
            'reopt-po-sw-failed':'reopt_po_sw_failed',
            'failed-to-find-path':'failed_to_find_path',
            'sig-rcv-fail-path-cr-ch':'sig_rcv_fail_path_cr_ch',
            'lsp-db-shut':'lsp_db_shut',
            'reopt-hold-start':'reopt_hold_start',
            'vif-lspid-mismatch':'vif_lspid_mismatch',
            's2l-has-no-vif':'s2l_has_no_vif',
            'overload-reopt-timeout':'overload_reopt_timeout',
            'hop-limit-exceeded':'hop_limit_exceeded',
            'lingering-current-lsp':'lingering_current_lsp',
            'lingering-standby-lsp':'lingering_standby_lsp',
            'lingering-restore-lsp':'lingering_restore_lsp',
            'double-lockout':'double_lockout',
            'lockout-no-protection':'lockout_no_protection',
            'lockout-cleanup':'lockout_cleanup',
            'te-ppsw-lsp-mismatch':'te_ppsw_lsp_mismatch',
            'te-stdbyup-no-curr-lsp':'te_stdbyup_no_curr_lsp',
            'stdby-failed-rw':'stdby_failed_rw',
            'reopt-lsp-tear-ppsw':'reopt_lsp_tear_ppsw',
            'delay-pp-lsp-tear-ppsw':'delay_pp_lsp_tear_ppsw',
            'stdby-failed-verify':'stdby_failed_verify',
            'stdby-not-needed-due-to-restore':'stdby_not_needed_due_to_restore',
            'restore-failed-verify':'restore_failed_verify',
            'restore-failed-install':'restore_failed_install',
            'restore-failed-rewrite':'restore_failed_rewrite',
            'te-ppsw-cfg-rmvd':'te_ppsw_cfg_rmvd',
            'te-ppsw-manual-ppsw':'te_ppsw_manual_ppsw',
            'te-ppsw-bidir-p-chg-ppsw':'te_ppsw_bidir_p_chg_ppsw',
            'te-ppsw-bidir-lockout-ppsw':'te_ppsw_bidir_lockout_ppsw',
            'dclean-at-pp-clean-timer':'dclean_at_pp_clean_timer',
            'reopt-standby-failed':'reopt_standby_failed',
            'standby-reoptimized':'standby_reoptimized',
            'standby-reoptimize-aborted':'standby_reoptimize_aborted',
            'te-reoptup-no-curr-lsp':'te_reoptup_no_curr_lsp',
            'te-reopt-curr-lsp-down':'te_reopt_curr_lsp_down',
            'te-cleanedt-curr-lsp-down':'te_cleanedt_curr_lsp_down',
            'te-delay-lsp-up':'te_delay_lsp_up',
            'no-route-due-to-affinity':'no_route_due_to_affinity',
            'no-rib-lkup-bad-ero-gmpls':'no_rib_lkup_bad_ero_gmpls',
            'cleanup-lingering':'cleanup_lingering',
            'te-s2l-del-sc-soft-preemption-timeout':'te_s2l_del_sc_soft_preemption_timeout',
            'te-s2l-del-sc-soft-preempted-non-current':'te_s2l_del_sc_soft_preempted_non_current',
            'te-s2l-del-sc-vif-sync-lsp-del':'te_s2l_del_sc_vif_sync_lsp_del',
            'rsvp-api-cleanup-req':'rsvp_api_cleanup_req',
            'te-s2l-del-sc-frr-wrong-backup':'te_s2l_del_sc_frr_wrong_backup',
            'te-s2l-del-sc-bfd-session-create-failed':'te_s2l_del_sc_bfd_session_create_failed',
            'te-s2l-del-sc-bfd-session-bringup-timeout':'te_s2l_del_sc_bfd_session_bringup_timeout',
            'te-s2l-del-sc-bfd-session-down':'te_s2l_del_sc_bfd_session_down',
            'te-s2l-del-sc-bfd-session-not-replayed':'te_s2l_del_sc_bfd_session_not_replayed',
            'te-s2l-del-sc-reopt-p2mp-egress-info-fail':'te_s2l_del_sc_reopt_p2mp_egress_info_fail',
            'non-curr-frr-lcl-notif-event':'non_curr_frr_lcl_notif_event',
            'unsupported-encoding':'unsupported_encoding',
            'unsupported-gpid':'unsupported_gpid',
            'unsupported-switching-type':'unsupported_switching_type',
            'upstream-label-change-not-permitted':'upstream_label_change_not_permitted',
            'encoding-type-change-not-permitted':'encoding_type_change_not_permitted',
            'aps-protect-info-change-failed':'aps_protect_info_change_failed',
            'incorrect-lsp-type':'incorrect_lsp_type',
            'local-hop-error':'local_hop_error',
            'unsupported-gmpls-attributes':'unsupported_gmpls_attributes',
            'gmpls-uni-reopt-triggered':'gmpls_uni_reopt_triggered',
            'maximum-acceptable-label-retries':'maximum_acceptable_label_retries',
            'invalid-direction':'invalid_direction',
            'invalid-rewrite-context':'invalid_rewrite_context',
            'invalid-label-context':'invalid_label_context',
            'dwdm-capability-changed':'dwdm_capability_changed',
            'dwdm-capability-removed':'dwdm_capability_removed',
            'dwdm-wavelength-removed':'dwdm_wavelength_removed',
            'gmpls-uni-multilayer-restoration':'gmpls_uni_multilayer_restoration',
            'gmpls-uni-user-triggered-reoptimization':'gmpls_uni_user_triggered_reoptimization',
            'gmpls-uni-active-path-change-triggered-reopt':'gmpls_uni_active_path_change_triggered_reopt',
            'passive-match-err':'passive_match_err',
            'egress-control-err':'egress_control_err',
            'egress-control-map-err':'egress_control_map_err',
            'restore-not-needed-for-current':'restore_not_needed_for_current',
            'restore-not-needed-for-standby':'restore_not_needed_for_standby',
            'restore-dp-down':'restore_dp_down',
            'current-not-needed-dp-down':'current_not_needed_dp_down',
            'bad-protct-obj':'bad_protct_obj',
            'optical-link-down':'optical_link_down',
            'optical-link-lsp-out-of-sync':'optical_link_lsp_out_of_sync',
            'optical-link-owner-out-of-sync':'optical_link_owner_out_of_sync',
            'optical-link-interface-handle-out-of-sync':'optical_link_interface_handle_out_of_sync',
            'optical-link-hop-out-of-sync':'optical_link_hop_out_of_sync',
            'optical-link-role-out-of-sync':'optical_link_role_out_of_sync',
            'optical-link-downstream-router-id-out-of-sync':'optical_link_downstream_router_id_out_of_sync',
            'optical-link-upstream-router-id-out-of-sync':'optical_link_upstream_router_id_out_of_sync',
            'optical-link-encoding-type-out-of-sync':'optical_link_encoding_type_out_of_sync',
            'optical-link-switching-type-out-of-sync':'optical_link_switching_type_out_of_sync',
            'optical-link-gpid-out-of-sync':'optical_link_gpid_out_of_sync',
            'egress-optical-link-not-found':'egress_optical_link_not_found',
            'ingress-optical-link-not-found':'ingress_optical_link_not_found',
            'sync-dest-state':'sync_dest_state',
            'prot-object-err':'prot_object_err',
            'reverse-s2l-deleted':'reverse_s2l_deleted',
            'cancel-inprogress-by-slave':'cancel_inprogress_by_slave',
            'invalid-reverse-ero':'invalid_reverse_ero',
            'reverse-lsp-not-found':'reverse_lsp_not_found',
            'reverse-lsp-not-present':'reverse_lsp_not_present',
            'associated-vif-down':'associated_vif_down',
            'vif-sync-processing':'vif_sync_processing',
            'incoming-interface-lockout':'incoming_interface_lockout',
            'sr-egress-path-changed':'sr_egress_path_changed',
            'in-if-fail-imp-null-cfg-ch':'in_if_fail_imp_null_cfg_ch',
            'reverse-lsp-failure':'reverse_lsp_failure',
            'lsp-wrap-label-error':'lsp_wrap_label_error',
            'lsp-wrap-rewrite-error':'lsp_wrap_rewrite_error',
            'transit-lsp-out-of-resources':'transit_lsp_out_of_resources',
            'fsm-sc-must-be-last':'fsm_sc_must_be_last',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'TeProcRoleEnum' : _MetaInfoEnum('TeProcRoleEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'unknown':'unknown',
            'v1-active':'v1_active',
            'v2-active':'v2_active',
            'v1-standby':'v1_standby',
            'v2-standby':'v2_standby',
            'v1-active-post-big-bang':'v1_active_post_big_bang',
            'v1-standby-post-big-bang':'v1_standby_post_big_bang',
            'number-of-role':'number_of_role',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'TeControllerStateEnum' : _MetaInfoEnum('TeControllerStateEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'notready':'notready',
            'admin-down':'admin_down',
            'down':'down',
            'shutdown':'shutdown',
            'error-disabled':'error_disabled',
            'up':'up',
            'unknown':'unknown',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'MtePathOptionEnum' : _MetaInfoEnum('MtePathOptionEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'none':'none',
            'dynamic':'dynamic',
            'explicit':'explicit',
            'no-ero':'no_ero',
            'segment-routing':'segment_routing',
            'po-count':'po_count',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'TunnelAttributeSetEnum' : _MetaInfoEnum('TunnelAttributeSetEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'tunnel-attribute-set-none':'tunnel_attribute_set_none',
            'tunnel-attribute-set-static':'tunnel_attribute_set_static',
            'tunnel-attribute-set-path-option':'tunnel_attribute_set_path_option',
            'tunnel-attribute-set-not-used':'tunnel_attribute_set_not_used',
            'tunnel-attribute-set-auto-backup':'tunnel_attribute_set_auto_backup',
            'tunnel-attribute-set-auto-mesh':'tunnel_attribute_set_auto_mesh',
            'tunnel-attribute-set-xro':'tunnel_attribute_set_xro',
            'tunnel-attribute-set-p2mpte':'tunnel_attribute_set_p2mpte',
            'tunnel-attribute-aps-pp':'tunnel_attribute_aps_pp',
            'tunnel-attribute-set-p2p-te':'tunnel_attribute_set_p2p_te',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'TeP2MpS2LDeletionCauseEnum' : _MetaInfoEnum('TeP2MpS2LDeletionCauseEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'no-cause':'no_cause',
            'hpath-cr-err':'hpath_cr_err',
            'hpath-chg-setup':'hpath_chg_setup',
            'hpath-chg-up-err':'hpath_chg_up_err',
            'hresv-cr-err':'hresv_cr_err',
            'hresv-chg-err':'hresv_chg_err',
            'hresv-chg-err-up':'hresv_chg_err_up',
            'hlbl-avail-err':'hlbl_avail_err',
            'hup-lbl-avail-err':'hup_lbl_avail_err',
            'hfrr-act-err':'hfrr_act_err',
            'hbkup-ch-err':'hbkup_ch_err',
            'hpath-ch-frr-err':'hpath_ch_frr_err',
            'hcleanup':'hcleanup',
            'hlingering-cleanup':'hlingering_cleanup',
            'hpat-err':'hpat_err',
            'hresv-err':'hresv_err',
            'hresv-del':'hresv_del',
            'hrw-fail':'hrw_fail',
            'hup-rw-fail':'hup_rw_fail',
            'ha-failure':'ha_failure',
            'rw-del':'rw_del',
            'up-rw-del':'up_rw_del',
            'mpath-cr':'mpath_cr',
            'mpath-chg-setup-err':'mpath_chg_setup_err',
            'mpath-chg-up-err':'mpath_chg_up_err',
            'mresv-cr-err':'mresv_cr_err',
            'mresv-chg-err':'mresv_chg_err',
            'mresv-chg-err-up':'mresv_chg_err_up',
            'mlbl-avail-err':'mlbl_avail_err',
            'mlbl-rel-err':'mlbl_rel_err',
            'mup-lbl-avail-err':'mup_lbl_avail_err',
            'mup-lbl-rel-err':'mup_lbl_rel_err',
            'mfrr-act-err':'mfrr_act_err',
            'mbkup-ch-err':'mbkup_ch_err',
            'mpath-ch-frr-err':'mpath_ch_frr_err',
            'mresv-del':'mresv_del',
            'mresv-err':'mresv_err',
            'mpreempt':'mpreempt',
            'mcleanup':'mcleanup',
            'mlingering-cleanup':'mlingering_cleanup',
            'mrw-fail':'mrw_fail',
            'mup-rw-fail':'mup_rw_fail',
            'tpath-cr-err':'tpath_cr_err',
            'tpath-chg-err':'tpath_chg_err',
            'tresv-cr-err':'tresv_cr_err',
            'tlbl-avail-err':'tlbl_avail_err',
            'tcleanup':'tcleanup',
            'tlingering-cleanup':'tlingering_cleanup',
            'lbl-err':'lbl_err',
            'qfailure':'qfailure',
            'rsvp-recovery':'rsvp_recovery',
            'lsd-recovery':'lsd_recovery',
            'lmrib-recovery':'lmrib_recovery',
            'te-restart':'te_restart',
            'switchover':'switchover',
            'master-te-recovery':'master_te_recovery',
            'optical-r-mgr-recovery':'optical_r_mgr_recovery',
            'te-exit':'te_exit',
            'bkup-assign-fail':'bkup_assign_fail',
            'bfd-fail':'bfd_fail',
            'bfd-recovery':'bfd_recovery',
            'lsp-wrap-act-err':'lsp_wrap_act_err',
            'lsp-wrap-rw-err':'lsp_wrap_rw_err',
            'fsm-cause-must-be-last':'fsm_cause_must_be_last',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'TePathSelectionTiebreakerEnum' : _MetaInfoEnum('TePathSelectionTiebreakerEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'min-fill':'min_fill',
            'max-fill':'max_fill',
            'random':'random',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'MplsTeTunnelAnnounceEnum' : _MetaInfoEnum('MplsTeTunnelAnnounceEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'announce-type-not-set':'announce_type_not_set',
            'autoroute':'autoroute',
            'forward-adjacency':'forward_adjacency',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'GmplsUniMgmtWdmGridEnum' : _MetaInfoEnum('GmplsUniMgmtWdmGridEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'not-set':'not_set',
            'dwdm':'dwdm',
            'cwdm':'cwdm',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'MplsTeAfiEnum' : _MetaInfoEnum('MplsTeAfiEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'ipv4-unicast':'ipv4_unicast',
            'ipv4-multicast':'ipv4_multicast',
            'ipv6-unicast':'ipv6_unicast',
            'ipv6-multicast':'ipv6_multicast',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'IgpSubnetEnum' : _MetaInfoEnum('IgpSubnetEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'igp-subnet-type-none':'igp_subnet_type_none',
            'p2p':'p2p',
            'broadcast':'broadcast',
            'non-broadcast-multiaccess':'non_broadcast_multiaccess',
            'p2mp':'p2mp',
            'loopback':'loopback',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'MteTunnelOperStateEnum' : _MetaInfoEnum('MteTunnelOperStateEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'tunnel-state-oper-unknown':'tunnel_state_oper_unknown',
            'operational-down':'operational_down',
            'operational-up':'operational_up',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'BandwidthAccountingCollectionEnum' : _MetaInfoEnum('BandwidthAccountingCollectionEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'rsvp-te':'rsvp_te',
            'segment-routing':'segment_routing',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'TeServTunClientEnum' : _MetaInfoEnum('TeServTunClientEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'te-serv-auto-tun-client-invalid':'te_serv_auto_tun_client_invalid',
            'te-serv-p2mp-tun-client-mvpn':'te_serv_p2mp_tun_client_mvpn',
            'te-serv-p2mp-tun-client-vpls':'te_serv_p2mp_tun_client_vpls',
            'te-serv-p2mp-tun-client-mvpn6':'te_serv_p2mp_tun_client_mvpn6',
            'te-serv-p2p-tun-client-bgp':'te_serv_p2p_tun_client_bgp',
            'te-serv-p2p-tun-client-staticv4':'te_serv_p2p_tun_client_staticv4',
            'te-serv-p2p-tun-client-staticv6':'te_serv_p2p_tun_client_staticv6',
            'te-serv-p2p-tun-client-isis':'te_serv_p2p_tun_client_isis',
            'te-serv-p2p-tun-client-ospf':'te_serv_p2p_tun_client_ospf',
            'te-serv-auto-tun-client-count':'te_serv_auto_tun_client_count',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'MplsTePathEnum' : _MetaInfoEnum('MplsTePathEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'not-set':'not_set',
            'dynamic':'dynamic',
            'explicit-name':'explicit_name',
            'explicit-id':'explicit_id',
            'no-ero':'no_ero',
            'segment-routing':'segment_routing',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'TeS2LOutputRwExplicitNullEnum' : _MetaInfoEnum('TeS2LOutputRwExplicitNullEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'tes2l-output-rw-exp-null':'tes2l_output_rw_exp_null',
            'tes2l-output-rw-exp-null-v4':'tes2l_output_rw_exp_null_v4',
            'tes2l-output-rw-exp-null-v6':'tes2l_output_rw_exp_null_v6',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'RsvpMgmtEroSubobjStatusEnum' : _MetaInfoEnum('RsvpMgmtEroSubobjStatusEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'rsvp-mgmt-ero-status-not-available':'rsvp_mgmt_ero_status_not_available',
            'rsvp-mgmt-ero-status-available':'rsvp_mgmt_ero_status_available',
            'rsvp-mgmt-ero-status-bw-not-available':'rsvp_mgmt_ero_status_bw_not_available',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'LspOorStateEnum' : _MetaInfoEnum('LspOorStateEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'lsp-oor-green':'lsp_oor_green',
            'lsp-oor-yellow':'lsp_oor_yellow',
            'lsp-oor-red':'lsp_oor_red',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'MplsTeReoptDecisionReasonEnum' : _MetaInfoEnum('MplsTeReoptDecisionReasonEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'decision-reason-none':'decision_reason_none',
            'not-superset':'not_superset',
            'superset':'superset',
            'lsp-frr-active':'lsp_frr_active',
            'bandwidth-change':'bandwidth_change',
            'metric-type-change':'metric_type_change',
            'better-path-option-indexes':'better_path_option_indexes',
            'inter-area-preferred-path-exists':'inter_area_preferred_path_exists',
            'inter-area-preferred-tree-exists':'inter_area_preferred_tree_exists',
            'worse-path-option-indexes':'worse_path_option_indexes',
            'better-cumulative-metric':'better_cumulative_metric',
            'worse-cumulative-metric':'worse_cumulative_metric',
            'identical':'identical',
            'no-s2-ls':'no_s2_ls',
            'no-current-lsp':'no_current_lsp',
            'user-path-option-switchover':'user_path_option_switchover',
            'better-hops':'better_hops',
            'worse-hops':'worse_hops',
            'pce-force':'pce_force',
            'affinity-changed':'affinity_changed',
            'cost-limit':'cost_limit',
            'sig-timeout':'sig_timeout',
            'not-superset-inst-timer-expired':'not_superset_inst_timer_expired',
            'path-verifiction-failed':'path_verifiction_failed',
            'soft-preemption-recovery':'soft_preemption_recovery',
            'iep-changed':'iep_changed',
            'po-changed':'po_changed',
            'dest-changed':'dest_changed',
            'better-igp-area':'better_igp_area',
            'worse-igp-area':'worse_igp_area',
            'better-bandwidth-load-balancing':'better_bandwidth_load_balancing',
            'worse-bandwidth-load-balancing':'worse_bandwidth_load_balancing',
            'bfd-session-down':'bfd_session_down',
            'auto-pcc-reopt':'auto_pcc_reopt',
            'sr-egress-path-changed':'sr_egress_path_changed',
            'overload-bit-set':'overload_bit_set',
            'better-diversity':'better_diversity',
            'worse-diversity':'worse_diversity',
            'bfd-session-type-changed':'bfd_session_type_changed',
            'lsp-drop-mode':'lsp_drop_mode',
            'strict-spf':'strict_spf',
            'not-used':'not_used',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'TeAutobwAppTriggerEnum' : _MetaInfoEnum('TeAutobwAppTriggerEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'application-none':'application_none',
            'application-periodic':'application_periodic',
            'application-manual':'application_manual',
            'application-overflow':'application_overflow',
            'application-underflow':'application_underflow',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'TeDestinationStateEnum' : _MetaInfoEnum('TeDestinationStateEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'destination-disabled':'destination_disabled',
            'destination-down':'destination_down',
            'destination-up':'destination_up',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'MplsTeIepHopEnum' : _MetaInfoEnum('MplsTeIepHopEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'iep-hop-type-unknown':'iep_hop_type_unknown',
            'iep-hop-type-strict-next':'iep_hop_type_strict_next',
            'iep-hop-type-exclude':'iep_hop_type_exclude',
            'iep-hop-type-exclude-node':'iep_hop_type_exclude_node',
            'iep-hop-type-exclude-srlg':'iep_hop_type_exclude_srlg',
            'iep-hop-type-loose-next':'iep_hop_type_loose_next',
            'iep-hop-type-next':'iep_hop_type_next',
            'iep-hop-type-share-srlg':'iep_hop_type_share_srlg',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'TunnelStateEnumEnum' : _MetaInfoEnum('TunnelStateEnumEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'tunnel-state-unknown':'tunnel_state_unknown',
            'new':'new',
            'preempting':'preempting',
            'admitting':'admitting',
            'half-admitted':'half_admitted',
            'admitted':'admitted',
            'reservation-admitting':'reservation_admitting',
            'reservation-half-admitted':'reservation_half_admitted',
            'reservation-admitted':'reservation_admitted',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'MplsTeTunnelsSignalingStatusEnum' : _MetaInfoEnum('MplsTeTunnelsSignalingStatusEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'down':'down',
            'recovering':'recovering',
            'recovered':'recovered',
            'connected':'connected',
            'disabled':'disabled',
            'proceeding':'proceeding',
            'wait-bfd-session-up':'wait_bfd_session_up',
            'wait-sr-segment-path-up':'wait_sr_segment_path_up',
            'wait-local-label':'wait_local_label',
            'wait-local-label-rewrite':'wait_local_label_rewrite',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'TeAddrEnum' : _MetaInfoEnum('TeAddrEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'not-set':'not_set',
            'ipv4':'ipv4',
            'ipv4-unnumbered':'ipv4_unnumbered',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'MplsTeBwLimitEnum' : _MetaInfoEnum('MplsTeBwLimitEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'bandwidth-limited':'bandwidth_limited',
            'bandwidth-unlimited':'bandwidth_unlimited',
            'bandwidth-none':'bandwidth_none',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'MplsLibCEnum' : _MetaInfoEnum('MplsLibCEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'mpls-lib-c-type-null':'mpls_lib_c_type_null',
            'mpls-lib-c-type-ipv4':'mpls_lib_c_type_ipv4',
            'mpls-lib-c-type-ipv4-p2p-tunnel':'mpls_lib_c_type_ipv4_p2p_tunnel',
            'mpls-lib-c-type-ipv6-p2p-tunnel':'mpls_lib_c_type_ipv6_p2p_tunnel',
            'mpls-lib-c-type-ipv4-uni':'mpls_lib_c_type_ipv4_uni',
            'mpls-lib-c-type-ipv4-p2mp-tunnel':'mpls_lib_c_type_ipv4_p2mp_tunnel',
            'mpls-lib-c-type-ipv6-p2mp-tunnel':'mpls_lib_c_type_ipv6_p2mp_tunnel',
            'mpls-lib-c-type-ipv4-tp-tunnel':'mpls_lib_c_type_ipv4_tp_tunnel',
            'mpls-lib-c-type-ipv6-tp-tunnel':'mpls_lib_c_type_ipv6_tp_tunnel',
            'mpls-lib-c-type-p2p-binding-label':'mpls_lib_c_type_p2p_binding_label',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'MplsTeAttrSetEnum' : _MetaInfoEnum('MplsTeAttrSetEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'not-used':'not_used',
            'static':'static',
            'lsp':'lsp',
            'unassigned':'unassigned',
            'auto-backup':'auto_backup',
            'auto-mesh':'auto_mesh',
            'xro':'xro',
            'p2mp-te':'p2mp_te',
            'otn-pp':'otn_pp',
            'p2p-te':'p2p_te',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'TePceDisjointEnum' : _MetaInfoEnum('TePceDisjointEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'none':'none',
            'link':'link',
            'node':'node',
            'srlg':'srlg',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'IgpteAaMetricModeEnum' : _MetaInfoEnum('IgpteAaMetricModeEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'metric-mode-none':'metric_mode_none',
            'relative':'relative',
            'absolute':'absolute',
            'constant':'constant',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'TeXroExclusionEnum' : _MetaInfoEnum('TeXroExclusionEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'mandatory':'mandatory',
            'best-effort':'best_effort',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'RsvpMgmtRroSubobjEnum' : _MetaInfoEnum('RsvpMgmtRroSubobjEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'ipv4rro-type':'ipv4rro_type',
            'label-rro-type':'label_rro_type',
            'unnumbered-rro-type':'unnumbered_rro_type',
            'srlg-rro-type':'srlg_rro_type',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'MplsTeLspWrapStateEnum' : _MetaInfoEnum('MplsTeLspWrapStateEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'lsp-wrap-not-ready':'lsp_wrap_not_ready',
            'lsp-wrap-active':'lsp_wrap_active',
            'lsp-wrap-ready':'lsp_wrap_ready',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'MplsTeLspEnum' : _MetaInfoEnum('MplsTeLspEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'mpls-te-lsp-type-not-set':'mpls_te_lsp_type_not_set',
            'mpls-te-lsp-type-p2p':'mpls_te_lsp_type_p2p',
            'mpls-te-lsp-type-p2mp':'mpls_te_lsp_type_p2mp',
            'mpls-te-lsp-type-gmpls-ouni':'mpls_te_lsp_type_gmpls_ouni',
            'mpls-te-lsp-type-gmpls-nni':'mpls_te_lsp_type_gmpls_nni',
            'mpls-te-lsp-type-p2p-bidir':'mpls_te_lsp_type_p2p_bidir',
            'mpls-te-lsp-type-gmpls-tp':'mpls_te_lsp_type_gmpls_tp',
            'mpls-te-lsp-type-gmpls-nni-otn':'mpls_te_lsp_type_gmpls_nni_otn',
            'mpls-te-lsp-type-segment-routing-p2p':'mpls_te_lsp_type_segment_routing_p2p',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'MplsTeIgpProtocolEnum' : _MetaInfoEnum('MplsTeIgpProtocolEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'none':'none',
            'isis':'isis',
            'ospf':'ospf',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'MplsTeNextHopEnum' : _MetaInfoEnum('MplsTeNextHopEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'egress-resolve':'egress_resolve',
            'autoroute-dest':'autoroute_dest',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'TeTargetAddrEnum' : _MetaInfoEnum('TeTargetAddrEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'invalid-te-target-type':'invalid_te_target_type',
            'te-target-type-ipv4':'te_target_type_ipv4',
            'te-target-type-label':'te_target_type_label',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'TeRestorationStyleEnum' : _MetaInfoEnum('TeRestorationStyleEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'restoration-style-not-set':'restoration_style_not_set',
            'restoration-style-keep-failed-lsp':'restoration_style_keep_failed_lsp',
            'restoration-style-delete-failed-lsp':'restoration_style_delete_failed_lsp',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'MplsTeDsteClassStatusEnum' : _MetaInfoEnum('MplsTeDsteClassStatusEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'configured':'configured',
            'default':'default',
            'unused':'unused',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'MplsTeTunnelRoleEnum' : _MetaInfoEnum('MplsTeTunnelRoleEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'tunnel-unknown':'tunnel_unknown',
            'tunnel-head':'tunnel_head',
            'tunnel-mid':'tunnel_mid',
            'tunnel-tail':'tunnel_tail',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'TeAssociationTieRoleEnum' : _MetaInfoEnum('TeAssociationTieRoleEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'none':'none',
            'master':'master',
            'slave':'slave',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'PceLspOperStateEnum' : _MetaInfoEnum('PceLspOperStateEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'down':'down',
            'up':'up',
            'active':'active',
            'going-down':'going_down',
            'going-up':'going_up',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'TeMeshgroupEnum' : _MetaInfoEnum('TeMeshgroupEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'meshgroup-type-automesh':'meshgroup_type_automesh',
            'meshgroup-type-onehop':'meshgroup_type_onehop',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'TeMgmtGenericFspecEnum' : _MetaInfoEnum('TeMgmtGenericFspecEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'te-generic-fspec-type-g709otn':'te_generic_fspec_type_g709otn',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'MplsTeTerminationEnum' : _MetaInfoEnum('MplsTeTerminationEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'none':'none',
            'ether':'ether',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'OcMplsTeLspEnum' : _MetaInfoEnum('OcMplsTeLspEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'oc-mpls-te-lsp-type-not-set':'oc_mpls_te_lsp_type_not_set',
            'oc-mpls-te-lsp-type-p2p':'oc_mpls_te_lsp_type_p2p',
            'oc-mpls-te-lsp-type-p2mp':'oc_mpls_te_lsp_type_p2mp',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'TeOduCapabilityEnum' : _MetaInfoEnum('TeOduCapabilityEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'not-set':'not_set',
            'fixed':'fixed',
            'flex':'flex',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'TeSyncPendingReasonEnum' : _MetaInfoEnum('TeSyncPendingReasonEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'current-lspoos':'current_lspoos',
            'reopt-lspoos':'reopt_lspoos',
            'standby-lspoos':'standby_lspoos',
            'standby-reopt-lspoos':'standby_reopt_lspoos',
            'restore-lspoos':'restore_lspoos',
            'invalid-sync-id':'invalid_sync_id',
            'null-pointer':'null_pointer',
            'pending-flag':'pending_flag',
            'del-from-act-flag':'del_from_act_flag',
            'oos-from-act-flag':'oos_from_act_flag',
            'unknown':'unknown',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'MplsTpLspStateEnum' : _MetaInfoEnum('MplsTpLspStateEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'down':'down',
            'up':'up',
            'active':'active',
            'unknown':'unknown',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'TeXroAttributeEnum' : _MetaInfoEnum('TeXroAttributeEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper',
        {
            'interface':'interface',
            'node':'node',
            'srl-gs':'srl_gs',
        }, 'Cisco-IOS-XR-mpls-te-oper', _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper']),
    'MplsTe.SegmentRouting.SrigpAreaInfos.SrigpAreaInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.SegmentRouting.SrigpAreaInfos.SrigpAreaInfo',
            False, 
            [
            _MetaInfoClassMember('area', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                IGP area
                ''',
                'area',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('igp-instance', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                IGP instance
                ''',
                'igp_instance',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'MplsTeIgpProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeIgpProtocolEnum', 
                [], [], 
                '''                IGP protocol type
                ''',
                'protocol',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('igp-area', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP Area ID
                ''',
                'igp_area',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('igp-area-format', REFERENCE_ENUM_CLASS, 'IgpOspfAreaFormatEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'IgpOspfAreaFormatEnum', 
                [], [], 
                '''                IGP-area format
                ''',
                'igp_area_format',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('igp-instance-xr', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IGP Instance name
                ''',
                'igp_instance_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('igp-type', REFERENCE_ENUM_CLASS, 'IgpProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'IgpProtocolEnum', 
                [], [], 
                '''                IGP type
                ''',
                'igp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('segment-routing-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if the Segment-Routing is enabled in this
                area
                ''',
                'segment_routing_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('strict-spf-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if the strict SPF is enabled in this area
                ''',
                'strict_spf_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srigp-area-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.SegmentRouting.SrigpAreaInfos' : {
        'meta_info' : _MetaInfoClass('MplsTe.SegmentRouting.SrigpAreaInfos',
            False, 
            [
            _MetaInfoClassMember('srigp-area-info', REFERENCE_LIST, 'SrigpAreaInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.SegmentRouting.SrigpAreaInfos.SrigpAreaInfo', 
                [], [], 
                '''                A Segment-Routing IGP area information
                ''',
                'srigp_area_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srigp-area-infos',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.SegmentRouting.SrNodeInfos.SrNodeInfo.IgpArea' : {
        'meta_info' : _MetaInfoClass('MplsTe.SegmentRouting.SrNodeInfos.SrNodeInfo.IgpArea',
            False, 
            [
            _MetaInfoClassMember('igp-area', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP Area ID
                ''',
                'igp_area',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('igp-area-format', REFERENCE_ENUM_CLASS, 'IgpOspfAreaFormatEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'IgpOspfAreaFormatEnum', 
                [], [], 
                '''                IGP-area format
                ''',
                'igp_area_format',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('igp-instance-xr', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IGP Instance name
                ''',
                'igp_instance_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('igp-type', REFERENCE_ENUM_CLASS, 'IgpProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'IgpProtocolEnum', 
                [], [], 
                '''                IGP type
                ''',
                'igp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('segment-routing-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if the Segment-Routing is enabled in this
                area
                ''',
                'segment_routing_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('strict-spf-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if the strict SPF is enabled in this area
                ''',
                'strict_spf_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'igp-area',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.SegmentRouting.SrNodeInfos.SrNodeInfo.SrNodeInfo_' : {
        'meta_info' : _MetaInfoClass('MplsTe.SegmentRouting.SrNodeInfos.SrNodeInfo.SrNodeInfo_',
            False, 
            [
            _MetaInfoClassMember('segment-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment-Routing Node-SID
                ''',
                'segment_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('segment-id-local-absolute-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Node-SID local absolute value
                ''',
                'segment_id_local_absolute_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srgb-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment-Routing global block size
                ''',
                'srgb_size',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srgb-start', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment-Routring global block start value
                ''',
                'srgb_start',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'sr-node-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.SegmentRouting.SrNodeInfos.SrNodeInfo.NodeLink.SharedRiskLinkGroup' : {
        'meta_info' : _MetaInfoClass('MplsTe.SegmentRouting.SrNodeInfos.SrNodeInfo.NodeLink.SharedRiskLinkGroup',
            False, 
            [
            _MetaInfoClassMember('shared-risk-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG number
                ''',
                'shared_risk_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SRLG name
                ''',
                'srlg_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'shared-risk-link-group',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.SegmentRouting.SrNodeInfos.SrNodeInfo.NodeLink.AdjacencySids' : {
        'meta_info' : _MetaInfoClass('MplsTe.SegmentRouting.SrNodeInfos.SrNodeInfo.NodeLink.AdjacencySids',
            False, 
            [
            _MetaInfoClassMember('adjacency-sid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The adjacency SID assigned for the topology node
                ''',
                'adjacency_sid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flag-b', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IGP Flag B
                ''',
                'flag_b',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flag-f', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IGP Flag F
                ''',
                'flag_f',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flag-l', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IGP Flag L
                ''',
                'flag_l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flag-s', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IGP Flag S
                ''',
                'flag_s',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flag-v', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IGP Flag V
                ''',
                'flag_v',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-type', REFERENCE_ENUM_CLASS, 'IgpSubnetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'IgpSubnetEnum', 
                [], [], 
                '''                Link Type
                ''',
                'link_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local Address
                ''',
                'local_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nbr-node-igpid', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The neighbor node's IGP ID
                ''',
                'nbr_node_igpid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nbr-node-te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The neigbor node's TE router-id
                ''',
                'nbr_node_te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote Address
                ''',
                'remote_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'adjacency-sids',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.SegmentRouting.SrNodeInfos.SrNodeInfo.NodeLink' : {
        'meta_info' : _MetaInfoClass('MplsTe.SegmentRouting.SrNodeInfos.SrNodeInfo.NodeLink',
            False, 
            [
            _MetaInfoClassMember('adjacency-sids', REFERENCE_LIST, 'AdjacencySids' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.SegmentRouting.SrNodeInfos.SrNodeInfo.NodeLink.AdjacencySids', 
                [], [], 
                '''                Adjacency SIDs assigned for adjacency nodes
                ''',
                'adjacency_sids',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared-risk-link-group', REFERENCE_LIST, 'SharedRiskLinkGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.SegmentRouting.SrNodeInfos.SrNodeInfo.NodeLink.SharedRiskLinkGroup', 
                [], [], 
                '''                The link's shared risk link groups
                ''',
                'shared_risk_link_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-extended-affinity-bit', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The link's affinity bits (colors)
                ''',
                'topology_link_extended_affinity_bit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-fragment-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor's link version counter
                ''',
                'topology_link_fragment_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The link's IGP metric
                ''',
                'topology_link_igp_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Link's local interface address
                ''',
                'topology_link_interface_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link's local interface ID
                ''',
                'topology_link_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Link's neighbor interface address
                ''',
                'topology_link_neighbor_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-neighbor-generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor's link version counter
                ''',
                'topology_link_neighbor_generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-neighbor-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link's neighbor interface ID
                ''',
                'topology_link_neighbor_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-neighbor-node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Node id of neighbor
                ''',
                'topology_link_neighbor_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-neighbor-system-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                System id of neighbor
                ''',
                'topology_link_neighbor_system_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-te-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The link's TE metric
                ''',
                'topology_link_te_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-type', REFERENCE_ENUM_CLASS, 'IgpSubnetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'IgpSubnetEnum', 
                [], [], 
                '''                Link type
                ''',
                'topology_link_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'node-link',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.SegmentRouting.SrNodeInfos.SrNodeInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.SegmentRouting.SrNodeInfos.SrNodeInfo',
            False, 
            [
            _MetaInfoClassMember('area', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                IGP area
                ''',
                'area',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('igp-instance', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                IGP instance
                ''',
                'igp_instance',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('igp-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Node's IGP ID
                ''',
                'igp_node_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'MplsTeIgpProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeIgpProtocolEnum', 
                [], [], 
                '''                IGP protocol type
                ''',
                'protocol',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('igp-area', REFERENCE_CLASS, 'IgpArea' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.SegmentRouting.SrNodeInfos.SrNodeInfo.IgpArea', 
                [], [], 
                '''                IGP area which this node belongs to
                ''',
                'igp_area',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-node-igp-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The local node's IGP id formatted as string
                ''',
                'local_node_igp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-node-te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The local node's TE router-id
                ''',
                'local_node_te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('node-link', REFERENCE_LIST, 'NodeLink' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.SegmentRouting.SrNodeInfos.SrNodeInfo.NodeLink', 
                [], [], 
                '''                This node's link information
                ''',
                'node_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sr-node-info', REFERENCE_CLASS, 'SrNodeInfo_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.SegmentRouting.SrNodeInfos.SrNodeInfo.SrNodeInfo_', 
                [], [], 
                '''                Segment-Routing Node information
                ''',
                'sr_node_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-node-is-router', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if this is a router node; FALSE if it's a
                network node
                ''',
                'topology_node_is_router',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-node-overloaded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether this node is overloaded
                ''',
                'topology_node_overloaded',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'sr-node-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.SegmentRouting.SrNodeInfos' : {
        'meta_info' : _MetaInfoClass('MplsTe.SegmentRouting.SrNodeInfos',
            False, 
            [
            _MetaInfoClassMember('sr-node-info', REFERENCE_LIST, 'SrNodeInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.SegmentRouting.SrNodeInfos.SrNodeInfo', 
                [], [], 
                '''                A Segment-Routing node information
                ''',
                'sr_node_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'sr-node-infos',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.SegmentRouting.SrPrefixInfos.SrPrefixInfo.IgpArea' : {
        'meta_info' : _MetaInfoClass('MplsTe.SegmentRouting.SrPrefixInfos.SrPrefixInfo.IgpArea',
            False, 
            [
            _MetaInfoClassMember('igp-area', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP Area ID
                ''',
                'igp_area',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('igp-area-format', REFERENCE_ENUM_CLASS, 'IgpOspfAreaFormatEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'IgpOspfAreaFormatEnum', 
                [], [], 
                '''                IGP-area format
                ''',
                'igp_area_format',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('igp-instance-xr', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IGP Instance name
                ''',
                'igp_instance_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('igp-type', REFERENCE_ENUM_CLASS, 'IgpProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'IgpProtocolEnum', 
                [], [], 
                '''                IGP type
                ''',
                'igp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('segment-routing-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if the Segment-Routing is enabled in this
                area
                ''',
                'segment_routing_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('strict-spf-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if the strict SPF is enabled in this area
                ''',
                'strict_spf_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'igp-area',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.SegmentRouting.SrPrefixInfos.SrPrefixInfo.SrPath.PrimaryPath' : {
        'meta_info' : _MetaInfoClass('MplsTe.SegmentRouting.SrPrefixInfos.SrPrefixInfo.SrPath.PrimaryPath',
            False, 
            [
            _MetaInfoClassMember('backup-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Path Identifier
                ''',
                'backup_path_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing Interface Name
                ''',
                'outgoing_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing Label
                ''',
                'outgoing_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-strict-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing Label for Strict SPF
                ''',
                'outgoing_strict_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path Identifier
                ''',
                'path_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'primary-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.SegmentRouting.SrPrefixInfos.SrPrefixInfo.SrPath.BackupPath' : {
        'meta_info' : _MetaInfoClass('MplsTe.SegmentRouting.SrPrefixInfos.SrPrefixInfo.SrPath.BackupPath',
            False, 
            [
            _MetaInfoClassMember('next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing Interface Name
                ''',
                'outgoing_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-labels-stack', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing Labels Stack
                ''',
                'outgoing_labels_stack',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-strict-labels-stack', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing Labels Stack for Strict SPF
                ''',
                'outgoing_strict_labels_stack',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'backup-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.SegmentRouting.SrPrefixInfos.SrPrefixInfo.SrPath' : {
        'meta_info' : _MetaInfoClass('MplsTe.SegmentRouting.SrPrefixInfos.SrPrefixInfo.SrPath',
            False, 
            [
            _MetaInfoClassMember('backup-path', REFERENCE_CLASS, 'BackupPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.SegmentRouting.SrPrefixInfos.SrPrefixInfo.SrPath.BackupPath', 
                [], [], 
                '''                Backup Segment-Routing Path
                ''',
                'backup_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-backup-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Backup Path is available
                ''',
                'has_backup_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('primary-path', REFERENCE_CLASS, 'PrimaryPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.SegmentRouting.SrPrefixInfos.SrPrefixInfo.SrPath.PrimaryPath', 
                [], [], 
                '''                Primary Segment-Routing Path
                ''',
                'primary_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'sr-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.SegmentRouting.SrPrefixInfos.SrPrefixInfo.AdvertizingNode' : {
        'meta_info' : _MetaInfoClass('MplsTe.SegmentRouting.SrPrefixInfos.SrPrefixInfo.AdvertizingNode',
            False, 
            [
            _MetaInfoClassMember('node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Node Identifier
                ''',
                'node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'advertizing-node',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.SegmentRouting.SrPrefixInfos.SrPrefixInfo.StrictAdvertizingNode' : {
        'meta_info' : _MetaInfoClass('MplsTe.SegmentRouting.SrPrefixInfos.SrPrefixInfo.StrictAdvertizingNode',
            False, 
            [
            _MetaInfoClassMember('node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Node Identifier
                ''',
                'node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'strict-advertizing-node',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.SegmentRouting.SrPrefixInfos.SrPrefixInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.SegmentRouting.SrPrefixInfos.SrPrefixInfo',
            False, 
            [
            _MetaInfoClassMember('area', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                IGP area
                ''',
                'area',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('igp-instance', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                IGP instance
                ''',
                'igp_instance',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Segment-Routing prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Prefix' length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'MplsTeIgpProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeIgpProtocolEnum', 
                [], [], 
                '''                IGP protocol type
                ''',
                'protocol',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('advertizing-node', REFERENCE_LIST, 'AdvertizingNode' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.SegmentRouting.SrPrefixInfos.SrPrefixInfo.AdvertizingNode', 
                [], [], 
                '''                Advertizing nodes
                ''',
                'advertizing_node',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flag-e', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix-SID subTLV E-flag
                ''',
                'flag_e',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flag-l', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix-SID subTLV L-flag
                ''',
                'flag_l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flag-n', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix-SID subTLV N-flag
                ''',
                'flag_n',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flag-p', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix-SID subTLV P-flag
                ''',
                'flag_p',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flag-r', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix-SID subTLV R-flag
                ''',
                'flag_r',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flag-v', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix-SID subTLV V-flag
                ''',
                'flag_v',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('igp-area', REFERENCE_CLASS, 'IgpArea' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.SegmentRouting.SrPrefixInfos.SrPrefixInfo.IgpArea', 
                [], [], 
                '''                An IGP area where the prefix belongs to
                ''',
                'igp_area',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Length of the prefix
                ''',
                'prefix_length_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-sid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment-Routing prefix SID
                ''',
                'prefix_sid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-strict-sid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment-Routing prefix Strict SID
                ''',
                'prefix_strict_sid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'prefix_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sr-path', REFERENCE_LIST, 'SrPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.SegmentRouting.SrPrefixInfos.SrPrefixInfo.SrPath', 
                [], [], 
                '''                Segment-Routing paths to prefix
                ''',
                'sr_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('strict-advertizing-node', REFERENCE_LIST, 'StrictAdvertizingNode' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.SegmentRouting.SrPrefixInfos.SrPrefixInfo.StrictAdvertizingNode', 
                [], [], 
                '''                Advertizing nodes for Strict SPF
                ''',
                'strict_advertizing_node',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('strict-flag-e', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix-SID subTLV E-flag for strict SID
                ''',
                'strict_flag_e',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('strict-flag-l', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix-SID subTLV L-flag for strict SID
                ''',
                'strict_flag_l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('strict-flag-p', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix-SID subTLV P-flag for strict SID
                ''',
                'strict_flag_p',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('strict-flag-v', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix-SID subTLV V-flag for strict SID
                ''',
                'strict_flag_v',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'sr-prefix-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.SegmentRouting.SrPrefixInfos' : {
        'meta_info' : _MetaInfoClass('MplsTe.SegmentRouting.SrPrefixInfos',
            False, 
            [
            _MetaInfoClassMember('sr-prefix-info', REFERENCE_LIST, 'SrPrefixInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.SegmentRouting.SrPrefixInfos.SrPrefixInfo', 
                [], [], 
                '''                A Segment-Routing prefix information
                ''',
                'sr_prefix_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'sr-prefix-infos',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.SegmentRouting' : {
        'meta_info' : _MetaInfoClass('MplsTe.SegmentRouting',
            False, 
            [
            _MetaInfoClassMember('sr-node-infos', REFERENCE_CLASS, 'SrNodeInfos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.SegmentRouting.SrNodeInfos', 
                [], [], 
                '''                Segment-Routing nodes database in MPLS-TE
                ''',
                'sr_node_infos',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sr-prefix-infos', REFERENCE_CLASS, 'SrPrefixInfos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.SegmentRouting.SrPrefixInfos', 
                [], [], 
                '''                Segment-Routing prefixes database in MPLS-TE
                ''',
                'sr_prefix_infos',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srigp-area-infos', REFERENCE_CLASS, 'SrigpAreaInfos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.SegmentRouting.SrigpAreaInfos', 
                [], [], 
                '''                Segment-Routing information about IGP areas
                ''',
                'srigp_area_infos',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'segment-routing',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.FibNextHopRoutes.FibNextHopRoute.TargetAddress' : {
        'meta_info' : _MetaInfoClass('MplsTe.FibNextHopRoutes.FibNextHopRoute.TargetAddress',
            False, 
            [
            _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ip_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeTargetAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeTargetAddrEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'target-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.FibNextHopRoutes.FibNextHopRoute.NextHopPath' : {
        'meta_info' : _MetaInfoClass('MplsTe.FibNextHopRoutes.FibNextHopRoute.NextHopPath',
            False, 
            [
            _MetaInfoClassMember('backup-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Path Identifier
                ''',
                'backup_path_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Interface
                ''',
                'interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-stack', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing Label Stack
                ''',
                'label_stack',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next Hop Address
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path ID
                ''',
                'path_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pure-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Pure Backup
                ''',
                'pure_backup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'next-hop-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.FibNextHopRoutes.FibNextHopRoute' : {
        'meta_info' : _MetaInfoClass('MplsTe.FibNextHopRoutes.FibNextHopRoute',
            False, 
            [
            _MetaInfoClassMember('prefix-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix Address
                ''',
                'prefix_address',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('create-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Create Time
                ''',
                'create_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expire-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Expire Time
                ''',
                'expire_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-notified', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Notified
                ''',
                'is_notified',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Registered
                ''',
                'is_registered',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Stale
                ''',
                'is_stale',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-update-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last Update Time
                ''',
                'last_update_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-used-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last Used Time
                ''',
                'last_used_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-path', REFERENCE_LIST, 'NextHopPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.FibNextHopRoutes.FibNextHopRoute.NextHopPath', 
                [], [], 
                '''                Next Hop Paths
                ''',
                'next_hop_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Deprecated - replaced by TargetAddress
                ''',
                'prefix_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('route-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Route version
                ''',
                'route_version',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('target-address', REFERENCE_CLASS, 'TargetAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.FibNextHopRoutes.FibNextHopRoute.TargetAddress', 
                [], [], 
                '''                Next Hop Target Address
                ''',
                'target_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fib-next-hop-route',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.FibNextHopRoutes' : {
        'meta_info' : _MetaInfoClass('MplsTe.FibNextHopRoutes',
            False, 
            [
            _MetaInfoClassMember('fib-next-hop-route', REFERENCE_LIST, 'FibNextHopRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.FibNextHopRoutes.FibNextHopRoute', 
                [], [], 
                '''                MPLS TE FIB nexthop route
                ''',
                'fib_next_hop_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fib-next-hop-routes',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.NextHopRoutes.NextHopRoute.ActiveRoute.NextHopPath' : {
        'meta_info' : _MetaInfoClass('MplsTe.NextHopRoutes.NextHopRoute.ActiveRoute.NextHopPath',
            False, 
            [
            _MetaInfoClassMember('abr-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ABRAddress
                ''',
                'abr_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'next-hop-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.NextHopRoutes.NextHopRoute.ActiveRoute' : {
        'meta_info' : _MetaInfoClass('MplsTe.NextHopRoutes.NextHopRoute.ActiveRoute',
            False, 
            [
            _MetaInfoClassMember('is-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IsConnected
                ''',
                'is_connected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IsDefault
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-populated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IsPopulated
                ''',
                'is_populated',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IsRegistered
                ''',
                'is_registered',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IsStale
                ''',
                'is_stale',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-update-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LastUpdateTime
                ''',
                'last_update_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-path', REFERENCE_LIST, 'NextHopPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.NextHopRoutes.NextHopRoute.ActiveRoute.NextHopPath', 
                [], [], 
                '''                next hop path
                ''',
                'next_hop_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('route-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RouteDistance
                ''',
                'route_distance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('route-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RouteMetric
                ''',
                'route_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('route-protocol-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RouteProtocolName
                ''',
                'route_protocol_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('route-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RouteType
                ''',
                'route_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'active-route',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.NextHopRoutes.NextHopRoute.BackupRoute.NextHopPath' : {
        'meta_info' : _MetaInfoClass('MplsTe.NextHopRoutes.NextHopRoute.BackupRoute.NextHopPath',
            False, 
            [
            _MetaInfoClassMember('abr-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                ABRAddress
                ''',
                'abr_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'next-hop-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.NextHopRoutes.NextHopRoute.BackupRoute' : {
        'meta_info' : _MetaInfoClass('MplsTe.NextHopRoutes.NextHopRoute.BackupRoute',
            False, 
            [
            _MetaInfoClassMember('is-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IsConnected
                ''',
                'is_connected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IsDefault
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-populated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IsPopulated
                ''',
                'is_populated',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IsRegistered
                ''',
                'is_registered',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IsStale
                ''',
                'is_stale',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-update-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LastUpdateTime
                ''',
                'last_update_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-path', REFERENCE_LIST, 'NextHopPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.NextHopRoutes.NextHopRoute.BackupRoute.NextHopPath', 
                [], [], 
                '''                next hop path
                ''',
                'next_hop_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('route-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RouteDistance
                ''',
                'route_distance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('route-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RouteMetric
                ''',
                'route_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('route-protocol-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RouteProtocolName
                ''',
                'route_protocol_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('route-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                RouteType
                ''',
                'route_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'backup-route',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.NextHopRoutes.NextHopRoute.TunnelPath' : {
        'meta_info' : _MetaInfoClass('MplsTe.NextHopRoutes.NextHopRoute.TunnelPath',
            False, 
            [
            _MetaInfoClassMember('install-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                InstallTime
                ''',
                'install_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('installed-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                InstalledMetric
                ''',
                'installed_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-handle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                InterfaceHandle
                ''',
                'interface_handle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                TunnelID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tunnel-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.NextHopRoutes.NextHopRoute' : {
        'meta_info' : _MetaInfoClass('MplsTe.NextHopRoutes.NextHopRoute',
            False, 
            [
            _MetaInfoClassMember('active-route', REFERENCE_CLASS, 'ActiveRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.NextHopRoutes.NextHopRoute.ActiveRoute', 
                [], [], 
                '''                active route
                ''',
                'active_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-route', REFERENCE_CLASS, 'BackupRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.NextHopRoutes.NextHopRoute.BackupRoute', 
                [], [], 
                '''                backup route
                ''',
                'backup_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('create-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                CreateTime
                ''',
                'create_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exact-match', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ExactMatch
                ''',
                'exact_match',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expire-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                ExpireTime
                ''',
                'expire_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('installed-tunnel-path-num', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                InstalledTunnelPathNum
                ''',
                'installed_tunnel_path_num',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-used-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LastUsedTime
                ''',
                'last_used_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-type', REFERENCE_ENUM_CLASS, 'MplsTeNextHopEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeNextHopEnum', 
                [], [], 
                '''                Next-hop Route Type
                ''',
                'next_hop_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix Address
                ''',
                'prefix_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-address-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                prefix address xr
                ''',
                'prefix_address_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '32')], [], 
                '''                Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                prefix length xr
                ''',
                'prefix_length_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-path', REFERENCE_LIST, 'TunnelPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.NextHopRoutes.NextHopRoute.TunnelPath', 
                [], [], 
                '''                tunnel path
                ''',
                'tunnel_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'next-hop-route',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.NextHopRoutes' : {
        'meta_info' : _MetaInfoClass('MplsTe.NextHopRoutes',
            False, 
            [
            _MetaInfoClassMember('next-hop-route', REFERENCE_LIST, 'NextHopRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.NextHopRoutes.NextHopRoute', 
                [], [], 
                '''                MPLS TE nexthop route
                ''',
                'next_hop_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'next-hop-routes',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AutoRouteDestinationEntries.AutoRouteDestinationEntry.TunnelAutorouteDest' : {
        'meta_info' : _MetaInfoClass('MplsTe.AutoRouteDestinationEntries.AutoRouteDestinationEntry.TunnelAutorouteDest',
            False, 
            [
            _MetaInfoClassMember('install-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                InstallTime
                ''',
                'install_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-handle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                InterfaceHandle
                ''',
                'interface_handle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                PrefixAddress
                ''',
                'prefix_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PrefixLength
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tunnel-autoroute-dest',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AutoRouteDestinationEntries.AutoRouteDestinationEntry' : {
        'meta_info' : _MetaInfoClass('MplsTe.AutoRouteDestinationEntries.AutoRouteDestinationEntry',
            False, 
            [
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('tunnel-autoroute-dest', REFERENCE_LIST, 'TunnelAutorouteDest' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AutoRouteDestinationEntries.AutoRouteDestinationEntry.TunnelAutorouteDest', 
                [], [], 
                '''                tunnel autoroute dest
                ''',
                'tunnel_autoroute_dest',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                tunnel id xr
                ''',
                'tunnel_id_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'auto-route-destination-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AutoRouteDestinationEntries' : {
        'meta_info' : _MetaInfoClass('MplsTe.AutoRouteDestinationEntries',
            False, 
            [
            _MetaInfoClassMember('auto-route-destination-entry', REFERENCE_LIST, 'AutoRouteDestinationEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AutoRouteDestinationEntries.AutoRouteDestinationEntry', 
                [], [], 
                '''                MPLS TE autoroute destination info for one
                tunnel
                ''',
                'auto_route_destination_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'auto-route-destination-entries',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.TeMib.Scalars' : {
        'meta_info' : _MetaInfoClass('MplsTe.TeMib.Scalars',
            False, 
            [
            _MetaInfoClassMember('mpls-tunnel-active', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                mpls tunnel active
                ''',
                'mpls_tunnel_active',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mpls-tunnel-configured', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                mpls tunnel configured
                ''',
                'mpls_tunnel_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mpls-tunnel-max-hops', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                mpls tunnel max hops
                ''',
                'mpls_tunnel_max_hops',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mpls-tunnel-notification-max-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                mpls tunnel notification max rate
                ''',
                'mpls_tunnel_notification_max_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mpls-tunnel-te-dist-proto', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                mpls tunnel te dist proto
                ''',
                'mpls_tunnel_te_dist_proto',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'scalars',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.TeMib' : {
        'meta_info' : _MetaInfoClass('MplsTe.TeMib',
            False, 
            [
            _MetaInfoClassMember('scalars', REFERENCE_CLASS, 'Scalars' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.TeMib.Scalars', 
                [], [], 
                '''                MIB Scalar information
                ''',
                'scalars',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-mib',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.HardwareOutOfResources.Summary.HardwareOutOfResourcesState.Statistics' : {
        'meta_info' : _MetaInfoClass('MplsTe.HardwareOutOfResources.Summary.HardwareOutOfResourcesState.Statistics',
            False, 
            [
            _MetaInfoClassMember('accepted-ls-ps-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSPs that were accepted in this state
                ''',
                'accepted_ls_ps_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('accepted-reopt-ls-ps-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Reoptimize LSPs that were accepted in
                this state
                ''',
                'accepted_reopt_ls_ps_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hw-oor-state', REFERENCE_ENUM_CLASS, 'HwOorStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'HwOorStateEnum', 
                [], [], 
                '''                The HW-OOR state that these statistics belong to
                ''',
                'hw_oor_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('node-protection-disable-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times this OOR state disabled node
                protection assignment
                ''',
                'node_protection_disable_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rejected-ls-ps-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSPs that were rejected in this state
                ''',
                'rejected_ls_ps_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rejected-reopt-ls-ps-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Reoptimize LSPs that were rejected in
                this state
                ''',
                'rejected_reopt_ls_ps_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('transitions', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of transitions to this state
                ''',
                'transitions',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.HardwareOutOfResources.Summary.HardwareOutOfResourcesState' : {
        'meta_info' : _MetaInfoClass('MplsTe.HardwareOutOfResources.Summary.HardwareOutOfResourcesState',
            False, 
            [
            _MetaInfoClassMember('accept-reopt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Make-before-break is allowed for LSPs
                reoptimizing over the same link in the NPU HW
                OOR state
                ''',
                'accept_reopt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('available-bw-percentage', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The flooded percentage of available bandwidth
                advertized when the link is in this  NPU HW OOR
                state
                ''',
                'available_bw_percentage',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hw-oor-state', REFERENCE_ENUM_CLASS, 'HwOorStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'HwOorStateEnum', 
                [], [], 
                '''                The HW-OOR state that this information belong to
                ''',
                'hw_oor_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('minimum-lsp-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Minimum LSP bandwidth so the LSP is admitted
                when the link is in this NPU HW OOR state
                ''',
                'minimum_lsp_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('node-protection-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Disable FRR node protection when the link is in
                this NPU HW OOR state
                ''',
                'node_protection_disable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.HardwareOutOfResources.Summary.HardwareOutOfResourcesState.Statistics', 
                [], [], 
                '''                NPU HW OOR Statistics per state
                ''',
                'statistics',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-metric-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The TE metric penalty when the link is in this
                NPU HW OOR state
                ''',
                'te_metric_penalty',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('transition-duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Recovery in minutes after the green OOR state is
                entered.
                ''',
                'transition_duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'hardware-out-of-resources-state',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.HardwareOutOfResources.Summary' : {
        'meta_info' : _MetaInfoClass('MplsTe.HardwareOutOfResources.Summary',
            False, 
            [
            _MetaInfoClassMember('hardware-out-of-resources-state', REFERENCE_LIST, 'HardwareOutOfResourcesState' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.HardwareOutOfResources.Summary.HardwareOutOfResourcesState', 
                [], [], 
                '''                Array of NPU HW OOR info per state
                ''',
                'hardware_out_of_resources_state',
                'Cisco-IOS-XR-mpls-te-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'summary',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.HardwareOutOfResources' : {
        'meta_info' : _MetaInfoClass('MplsTe.HardwareOutOfResources',
            False, 
            [
            _MetaInfoClassMember('summary', REFERENCE_CLASS, 'Summary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.HardwareOutOfResources.Summary', 
                [], [], 
                '''                HW OOR Summary information
                ''',
                'summary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'hardware-out-of-resources',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemoteBriefs.TunnelRemoteBrief.LspFec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemoteBriefs.TunnelRemoteBrief.LspFec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemoteBriefs.TunnelRemoteBrief.LspFec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemoteBriefs.TunnelRemoteBrief.LspFec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemoteBriefs.TunnelRemoteBrief.LspFec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemoteBriefs.TunnelRemoteBrief.S2L.S2LFec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemoteBriefs.TunnelRemoteBrief.S2L.S2LFec',
            False, 
            [
            _MetaInfoClassMember('s2l-fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                Session identifier (ctype)
                ''',
                's2l_fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-dest', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                sub-LSP destination address
                ''',
                's2l_fec_dest',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                's2l_fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                's2l_fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                's2l_fec_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSP source address
                ''',
                's2l_fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                sub-LSP subgroup ID
                ''',
                's2l_fec_subgroup_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                's2l_fec_subgroup_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                's2l_fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                's2l_fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemoteBriefs.TunnelRemoteBrief.S2L' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemoteBriefs.TunnelRemoteBrief.S2L',
            False, 
            [
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Egress Interface
                ''',
                'egress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ingress Interface
                ''',
                'ingress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('oper-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Oper state of S2L
                ''',
                'oper_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('role', REFERENCE_ENUM_CLASS, 'MplsTeTunnelRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelRoleEnum', 
                [], [], 
                '''                Role of S2L
                ''',
                'role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec', REFERENCE_CLASS, 'S2LFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemoteBriefs.TunnelRemoteBrief.S2L.S2LFec', 
                [], [], 
                '''                FEC for the S2L
                ''',
                's2l_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the S2L was up
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemoteBriefs.TunnelRemoteBrief' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemoteBriefs.TunnelRemoteBrief',
            False, 
            [
            _MetaInfoClassMember('ctype', REFERENCE_ENUM_CLASS, 'CtypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'CtypeEnum', 
                [], [], 
                '''                Ctype
                ''',
                'ctype',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination Address
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                LSP ID
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                P2MP ID
                ''',
                'p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('lsp-fec', REFERENCE_CLASS, 'LspFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemoteBriefs.TunnelRemoteBrief.LspFec', 
                [], [], 
                '''                FEC for the LSP
                ''',
                'lsp_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l', REFERENCE_LIST, 'S2L' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemoteBriefs.TunnelRemoteBrief.S2L', 
                [], [], 
                '''                array of S2L structures
                ''',
                's2l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signaled-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signaled Name
                ''',
                'signaled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the LSP was up
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tunnel-remote-brief',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemoteBriefs' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemoteBriefs',
            False, 
            [
            _MetaInfoClassMember('tunnel-remote-brief', REFERENCE_LIST, 'TunnelRemoteBrief' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemoteBriefs.TunnelRemoteBrief', 
                [], [], 
                '''                P2P or P2MP tunnel that is a mid or tail
                ''',
                'tunnel_remote_brief',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tunnel-remote-briefs',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.LspFec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.LspFec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.LspFec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.LspFec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.LspFec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.S2LFec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.S2LFec',
            False, 
            [
            _MetaInfoClassMember('s2l-fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                Session identifier (ctype)
                ''',
                's2l_fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-dest', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                sub-LSP destination address
                ''',
                's2l_fec_dest',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                's2l_fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                's2l_fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                's2l_fec_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSP source address
                ''',
                's2l_fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                sub-LSP subgroup ID
                ''',
                's2l_fec_subgroup_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                's2l_fec_subgroup_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                's2l_fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                's2l_fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.PathCalculationError' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.PathCalculationError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-calculation-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.RemergeError' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.RemergeError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'remerge-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.SignallingError' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.SignallingError',
            False, 
            [
            _MetaInfoClassMember('error', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Path Error code
                ''',
                'error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Source address of the error generating node
                ''',
                'error_node',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSPMode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if error is on the reverse LSP
                ''',
                'reverse_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP-id for which the error was received
                ''',
                'signalling_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path Error subcode
                ''',
                'sub_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalling-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption',
            False, 
            [
            _MetaInfoClassMember('attribute-set', REFERENCE_CLASS, 'AttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet', 
                [], [], 
                '''                The path option attribute set used by this path
                ''',
                'attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-found', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has found the defined attribute
                set
                ''',
                'attribute_set_found',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Explicit Path ID, this is the key to table
                ExplicitPaths.IdentifierTable
                ''',
                'explicit_path_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Explicit Path Name, this is the key to table
                ExplicitPaths.NameTable
                ''',
                'explicit_path_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has an attribute set defined
                ''',
                'has_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-xro-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has an XRO attribute set
                configured
                ''',
                'has_xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('holddown-duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Holddown Duration (seconds)
                ''',
                'holddown_duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path option is disabled
                ''',
                'is_disabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-helddown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if path is helddown
                ''',
                'is_helddown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-lockdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is locked down
                ''',
                'is_lockdown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-segment-routing', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is Segment-Routing
                ''',
                'is_segment_routing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-explicit-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if explicit path is strict
                ''',
                'is_strict_explicit_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-verbatim', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is verbatim
                ''',
                'is_verbatim',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index
                ''',
                'option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index-is-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The path option index is valid
                ''',
                'option_index_is_valid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-calculation-error', REFERENCE_LIST, 'PathCalculationError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.PathCalculationError', 
                [], [], 
                '''                Path computation information
                ''',
                'path_calculation_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The path-option area constraint
                ''',
                'path_option_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path option name
                ''',
                'path_option_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-type', REFERENCE_ENUM_CLASS, 'MplsTePathoptionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTePathoptionEnum', 
                [], [], 
                '''                Path option type
                ''',
                'path_option_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                PCE server address
                ''',
                'pce_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-by-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for Protect path options
                ''',
                'protected_by_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remerge-error', REFERENCE_LIST, 'RemergeError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.RemergeError', 
                [], [], 
                '''                Path computation remerge resolve info
                ''',
                'remerge_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restored-from-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for Restore path options
                ''',
                'restored_from_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-error', REFERENCE_LIST, 'SignallingError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.SignallingError', 
                [], [], 
                '''                Signalling information
                ''',
                'signalling_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set', REFERENCE_CLASS, 'XroAttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet', 
                [], [], 
                '''                The XRO attribute set used by this path-option
                ''',
                'xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set-found', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path's XRO attribute set is known
                ''',
                'xro_attribute_set_found',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'active-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'out-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'in-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.Tspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.Tspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GenericTspec.Otntspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GenericTspec.Otntspec',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit Rate in kbps
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nmc-or-tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                NMC or Tolerance
                ''',
                'nmc_or_tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Virtual Components
                ''',
                'nvc',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otntspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GenericTspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GenericTspec',
            False, 
            [
            _MetaInfoClassMember('otntspec', REFERENCE_CLASS, 'Otntspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GenericTspec.Otntspec', 
                [], [], 
                '''                TE TSpec for G709 OTN
                ''',
                'otntspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tspec-type', REFERENCE_ENUM_CLASS, 'TeMgmtGenericTspecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeMgmtGenericTspecEnum', 
                [], [], 
                '''                TSpecType
                ''',
                'tspec_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'generic-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.Fspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.Fspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GenericFspec.Otnfspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GenericFspec.Otnfspec',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit Rate in kbps
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nmc-or-tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                NMC or Tolerance
                ''',
                'nmc_or_tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Virtual Components
                ''',
                'nvc',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otnfspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GenericFspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GenericFspec',
            False, 
            [
            _MetaInfoClassMember('fspec-type', REFERENCE_ENUM_CLASS, 'TeMgmtGenericFspecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeMgmtGenericFspecEnum', 
                [], [], 
                '''                FSpecType
                ''',
                'fspec_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otnfspec', REFERENCE_CLASS, 'Otnfspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GenericFspec.Otnfspec', 
                [], [], 
                '''                TE FSpec for G709 OTN
                ''',
                'otnfspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'generic-fspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.NextHopAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.NextHopAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.NextHopAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.NextHopAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.NextHopAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'next-hop-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PreviousHopAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PreviousHopAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PreviousHopAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PreviousHopAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PreviousHopAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'previous-hop-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.IncomingAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.IncomingAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.IncomingAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.IncomingAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.IncomingAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'incoming-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.S2LConvergence' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.S2LConvergence',
            False, 
            [
            _MetaInfoClassMember('creation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tunnel creation timestamp (clocktime in nsecs)
                ''',
                'creation_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rewrite', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP Label rewrite timestamp (clocktime in nsecs)
                ''',
                'label_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Path-in timestamp (clocktime in nsecs)
                ''',
                'path_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Path-in timestamp (clocktime in nsecs)
                ''',
                'path_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Resv-in timestamp (clocktime in nsecs)
                ''',
                'resv_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Resv-out timestamp (clocktime in nsecs)
                ''',
                'resv_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-rewrite', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tunnel rewrite timestamp (clocktime in nsecs)
                ''',
                'tunnel_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-convergence',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.SoftPreemption' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.SoftPreemption',
            False, 
            [
            _MetaInfoClassMember('fr-rrewrite', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR-rewrite during soft preemption
                ''',
                'fr_rrewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fr-rrewrite-tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The tunnel name of the backup
                ''',
                'fr_rrewrite_tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('preempting-link-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The address of the link where the preemption
                happened
                ''',
                'preempting_link_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-link', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the link where the soft preemption
                occurred
                ''',
                'soft_preemption_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The POSIX timestamp when the soft preemption
                occurred
                ''',
                'soft_preemption_timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'MplsTeSoftPreemptionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeSoftPreemptionStateEnum', 
                [], [], 
                '''                The current state of the soft preemption
                operation
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-to-hard-preemption', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The number of seconds until hard preemption is
                triggered
                ''',
                'time_to_hard_preemption',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'soft-preemption',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathIngressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathIngressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathIngressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathEgressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathEgressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathEgressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvIngressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvIngressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvIngressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvEgressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvEgressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvEgressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels',
            False, 
            [
            _MetaInfoClassMember('path-egress-label', REFERENCE_CLASS, 'PathEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathEgressLabel', 
                [], [], 
                '''                Path message (upstream) egress label
                ''',
                'path_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-ingress-label', REFERENCE_CLASS, 'PathIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathIngressLabel', 
                [], [], 
                '''                Path message (upstream) ingress label
                ''',
                'path_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-egress-label', REFERENCE_CLASS, 'ResvEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvEgressLabel', 
                [], [], 
                '''                Resv message (downstream) egress label
                ''',
                'resv_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-ingress-label', REFERENCE_CLASS, 'ResvIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvIngressLabel', 
                [], [], 
                '''                Resv message (downstream) ingress label
                ''',
                'resv_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'gmpls-labels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tolerance
                ''',
                'tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-cbr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-gfp-f-res',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-gfp-f-non-res',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Bandwidth' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Bandwidth',
            False, 
            [
            _MetaInfoClassMember('odu-flex-cbr', REFERENCE_CLASS, 'OduFlexCbr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr', 
                [], [], 
                '''                Odu flex CBR info
                ''',
                'odu_flex_cbr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-flex-gfp-f-non-res', REFERENCE_CLASS, 'OduFlexGfpFNonRes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes', 
                [], [], 
                '''                Odu flex GFP-F non-resizable info
                ''',
                'odu_flex_gfp_f_non_res',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-flex-gfp-f-res', REFERENCE_CLASS, 'OduFlexGfpFRes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes', 
                [], [], 
                '''                Odu flex GFP-F resizable info
                ''',
                'odu_flex_gfp_f_res',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-level', REFERENCE_ENUM_CLASS, 'TeOduLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeOduLevelEnum', 
                [], [], 
                '''                ODULevel
                ''',
                'odu_level',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels',
            False, 
            [
            _MetaInfoClassMember('path-egress-label', REFERENCE_CLASS, 'PathEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathEgressLabel', 
                [], [], 
                '''                Path message (upstream) egress label
                ''',
                'path_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-ingress-label', REFERENCE_CLASS, 'PathIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathIngressLabel', 
                [], [], 
                '''                Path message (upstream) ingress label
                ''',
                'path_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-egress-label', REFERENCE_CLASS, 'ResvEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvEgressLabel', 
                [], [], 
                '''                Resv message (downstream) egress label
                ''',
                'resv_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-ingress-label', REFERENCE_CLASS, 'ResvIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvIngressLabel', 
                [], [], 
                '''                Resv message (downstream) ingress label
                ''',
                'resv_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'labels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn',
            False, 
            [
            _MetaInfoClassMember('bandwidth', REFERENCE_CLASS, 'Bandwidth' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Bandwidth', 
                [], [], 
                '''                OTN Bandwidth for s2l
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cross-connect-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cross connect id
                ''',
                'cross_connect_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gpid', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Gpid Payload
                ''',
                'gpid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Incoming Controller
                ''',
                'incoming_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Incoming Controller Ifhandle
                ''',
                'incoming_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Controller
                ''',
                'incoming_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Incoming Sub Controller
                ''',
                'incoming_sub_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Incoming Sub Controller Ifhandle
                ''',
                'incoming_sub_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Sub Controller
                ''',
                'incoming_sub_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if subcontrollers are connected
                ''',
                'is_connected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('labels', REFERENCE_CLASS, 'Labels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels', 
                [], [], 
                '''                Labels
                ''',
                'labels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing Controller
                ''',
                'outgoing_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Controller Ifhandle
                ''',
                'outgoing_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Controller
                ''',
                'outgoing_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing Sub Controller
                ''',
                'outgoing_sub_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Sub Controller Ifhandle
                ''',
                'outgoing_sub_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Sub Controller
                ''',
                'outgoing_sub_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                XC Uptime
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Aps.ProtectionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Aps.ProtectionInfo',
            False, 
            [
            _MetaInfoClassMember('ho-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-Off timeout
                ''',
                'ho_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-hopresent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Hold-Off timeout present
                ''',
                'is_hopresent',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-snc-mode-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SNC mode present
                ''',
                'is_snc_mode_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-wtr-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Wait-to-Restore timeout present
                ''',
                'is_wtr_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Notification bit 
                ''',
                'nbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('obit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Operational bit
                ''',
                'obit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path protection profile type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Protecting bit
                ''',
                'pbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protect-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                LSP Protect Type
                ''',
                'protect_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Secondary bit
                ''',
                'sbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                SNC mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TCM ID
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wtr-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait-to-Restore timeout
                ''',
                'wtr_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protection-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Aps' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Aps',
            False, 
            [
            _MetaInfoClassMember('protection-info', REFERENCE_CLASS, 'ProtectionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Aps.ProtectionInfo', 
                [], [], 
                '''                Protection Info
                ''',
                'protection_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'aps',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L',
            False, 
            [
            _MetaInfoClassMember('aps', REFERENCE_CLASS, 'Aps' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Aps', 
                [], [], 
                '''                APS Info for OTN S2L
                ''',
                'aps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn', 
                [], [], 
                '''                Info Related to OTN technology in S2L
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn-s2l',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.HeadEndBfdInfo.SessionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.HeadEndBfdInfo.SessionInfo',
            False, 
            [
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'TeBfdLspSessionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdLspSessionStateEnum', 
                [], [], 
                '''                BFD session state
                ''',
                'state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('state-change-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last session state
                change
                ''',
                'state_change_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'session-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.HeadEndBfdInfo.DeletionHistory' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.HeadEndBfdInfo.DeletionHistory',
            False, 
            [
            _MetaInfoClassMember('deletion-diagnostic-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Diagnostic Code for the BFD session get deleted
                ''',
                'deletion_diagnostic_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reason for the BFD session get deleted
                ''',
                'deletion_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time stamp of the BFD session get deleted
                ''',
                'deletion_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID of the BFD session get deleted
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'deletion-history',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.HeadEndBfdInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.HeadEndBfdInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-reverse-path-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path labels
                ''',
                'bfd_reverse_path_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The BFD reverse path is stale compared to
                configuration
                ''',
                'bfd_reverse_path_stale',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('creation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the BFD session created
                ''',
                'creation_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-history', REFERENCE_CLASS, 'DeletionHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.HeadEndBfdInfo.DeletionHistory', 
                [], [], 
                '''                BFD Session Deletion History
                ''',
                'deletion_history',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-redundant', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                sBFD session is redundant
                ''',
                'is_redundant',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lspbfd-type', REFERENCE_ENUM_CLASS, 'TeVifBfdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeVifBfdEnum', 
                [], [], 
                '''                LSP BFD type
                ''',
                'lspbfd_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-info', REFERENCE_CLASS, 'SessionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.HeadEndBfdInfo.SessionInfo', 
                [], [], 
                '''                BFD Session Info
                ''',
                'session_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'head-end-bfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.TailEndBfdInfo.SessionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.TailEndBfdInfo.SessionInfo',
            False, 
            [
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'TeBfdLspSessionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdLspSessionStateEnum', 
                [], [], 
                '''                BFD session state
                ''',
                'state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('state-change-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last session state
                change
                ''',
                'state_change_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'session-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.TailEndBfdInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.TailEndBfdInfo',
            False, 
            [
            _MetaInfoClassMember('failure-diagnostic-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD session failure diagnostic code
                ''',
                'failure_diagnostic_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('failure-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                BFD session failure reason
                ''',
                'failure_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-discriminator', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Local Discriminator
                ''',
                'local_discriminator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('min-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello interval in mini second
                ''',
                'min_interval',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('min-interval-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default hello interval
                ''',
                'min_interval_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default multiplier
                ''',
                'multiplier_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-discriminator', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Remote Discrminator
                ''',
                'remote_discriminator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-info', REFERENCE_CLASS, 'SessionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.TailEndBfdInfo.SessionInfo', 
                [], [], 
                '''                BFD Session Info
                ''',
                'session_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tail-end-bfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.SrlgCollection' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.SrlgCollection',
            False, 
            [
            _MetaInfoClassMember('discovered-srlg', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Discovered SRLGs
                ''',
                'discovered_srlg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-collect-type', REFERENCE_ENUM_CLASS, 'TeSrlgCollectRequestEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSrlgCollectRequestEnum', 
                [], [], 
                '''                SRLG-collection mechanism
                ''',
                'srlg_collect_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-collection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.Association' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.Association',
            False, 
            [
            _MetaInfoClassMember('s2l-association-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Association ID
                ''',
                's2l_association_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                S2L Association Source
                ''',
                's2l_association_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-tie-role', REFERENCE_ENUM_CLASS, 'TeAssociationTieRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAssociationTieRoleEnum', 
                [], [], 
                '''                S2L Association Tie Role
                ''',
                's2l_association_tie_role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Association Type                         
                (draft-ietf-ccamp-mpls-tp-rsvpte-ext-associated-lsp)
                ''',
                's2l_association_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-extended-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L Extended ID Array
                ''',
                's2l_extended_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-global-source', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L Global Source
                ''',
                's2l_global_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'association',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.Protection' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.Protection',
            False, 
            [
            _MetaInfoClassMember('any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Any
                ''',
                'any',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ded1-plus1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1+1 Protection
                ''',
                'ded1_plus1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ded1-to1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1:1 Protection
                ''',
                'ded1_to1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('enhanced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates Enhanced Protection Scheme
                ''',
                'enhanced',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extra-traffic', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should use Links that are protecting other
                (primary) traffic
                ''',
                'extra_traffic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should not use any Link Layer Protection
                ''',
                'link_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Flags Unprotected
                ''',
                'lsp_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-plus-one-bi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Bidirectional Protection
                ''',
                'one_plus_one_bi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-plus-one-uni', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Unidirectional Protection
                ''',
                'one_plus_one_uni',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-to-n-protection-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1:N Protection with Extra-Traffic
                ''',
                'one_to_n_protection_et',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Full Rerouting
                ''',
                'rerouting',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouting-no-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Rerouting Without Extra-Traffic
                ''',
                'rerouting_no_et',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-notification', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Notification Bit
                ''',
                's2l_notification',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-operational', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Operational Bit
                ''',
                's2l_operational',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Protecting Bit
                ''',
                's2l_protecting',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-secondary', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Secondary Bit
                ''',
                's2l_secondary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Shared Link Layer Protection
                ''',
                'shared',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseLspFec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseLspFec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseLspFec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseLspFec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseLspFec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-lsp-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseTspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseTspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.FlexInfo.FlexFec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.FlexInfo.FlexFec',
            False, 
            [
            _MetaInfoClassMember('s2l-fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                Session identifier (ctype)
                ''',
                's2l_fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-dest', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                sub-LSP destination address
                ''',
                's2l_fec_dest',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                's2l_fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                's2l_fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                's2l_fec_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSP source address
                ''',
                's2l_fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                sub-LSP subgroup ID
                ''',
                's2l_fec_subgroup_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                's2l_fec_subgroup_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                's2l_fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                's2l_fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.FlexInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.FlexInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-created', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GAL BFD Session Created
                ''',
                'bfd_created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-egress-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Egress Label
                ''',
                'bfd_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-int-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Internal Label
                ''',
                'bfd_int_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                BFD Next Hop
                ''',
                'bfd_next_hop',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-out-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD Out Interface Handle
                ''',
                'bfd_out_ifh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-tun-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD Tunnel Interface Handle
                ''',
                'bfd_tun_ifh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GAL BFD Session Up
                ''',
                'bfd_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('entry-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FlexLSP Entry Exists
                ''',
                'entry_exists',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ais', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault AIS
                ''',
                'fault_ais',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ldi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LDI
                ''',
                'fault_ldi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ldi-lockout', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LDI Lockout
                ''',
                'fault_ldi_lockout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-lkr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LKR
                ''',
                'fault_lkr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Fault Time
                ''',
                'fault_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex-fec', REFERENCE_CLASS, 'FlexFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.FlexInfo.FlexFec', 
                [], [], 
                '''                FEC for the FlexLSP Entry
                ''',
                'flex_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                In Label
                ''',
                'in_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('oam-created', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                OAM Entry Created
                ''',
                'oam_created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.LspWrapInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.LspWrapInfo',
            False, 
            [
            _MetaInfoClassMember('lsp-wrap-protection-enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Wrap protection enabled
                ''',
                'lsp_wrap_protection_enable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-protection-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSP Wrap Merge Point Label
                ''',
                'lsp_wrap_protection_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-protection-state', REFERENCE_ENUM_CLASS, 'MplsTeLspWrapStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspWrapStateEnum', 
                [], [], 
                '''                LSP wrap protection state
                ''',
                'lsp_wrap_protection_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reverse Egress Interface
                ''',
                'reverse_egress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reverse LSP label
                ''',
                'reverse_lsp_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-wrap-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.DiversityInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.DiversityInfo',
            False, 
            [
            _MetaInfoClassMember('diversity-type', REFERENCE_ENUM_CLASS, 'TePpDiversityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePpDiversityEnum', 
                [], [], 
                '''                S2L path diversity type
                ''',
                'diversity_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'diversity-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.SharedRiskLinkGroup' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.SharedRiskLinkGroup',
            False, 
            [
            _MetaInfoClassMember('shared-risk-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG number
                ''',
                'shared_risk_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SRLG name
                ''',
                'srlg_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'shared-risk-link-group',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutEro.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutEro.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutEro.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutEro.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutEro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutEro',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutEro.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutEro.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'out-ero',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InEro.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InEro.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InEro.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InEro.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InEro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InEro',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InEro.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InEro.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'in-ero',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.Ipv4RroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.Ipv4RroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.Ipv4RroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.Ipv4RroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.Ipv4RroSubObject.Flags', 
                [], [], 
                '''                The RRO IPV4 Subobject Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO IPV4 Address
                ''',
                'rro_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.LabelRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.LabelRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-global-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label is Global across all interfaces
                ''',
                'is_global_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.LabelRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.LabelRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.LabelRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Label Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-label-variable-length', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the RRO Subobject Label Variable Length
                ''',
                'is_label_variable_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Label Value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('variable-length-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Variable Length Label
                ''',
                'variable_length_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'label-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.UnnumberedRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.UnnumberedRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.UnnumberedRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.UnnumberedRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.UnnumberedRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Unnumbered Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO Interface Address
                ''',
                'interface_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.SrlgRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.SrlgRroSubObject',
            False, 
            [
            _MetaInfoClassMember('srl-gs', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject SRLGs
                ''',
                'srl_gs',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro',
            False, 
            [
            _MetaInfoClassMember('ipv4rro-sub-object', REFERENCE_CLASS, 'Ipv4RroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.Ipv4RroSubObject', 
                [], [], 
                '''                IPV4 RRO Sub Object
                ''',
                'ipv4rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rro-sub-object', REFERENCE_CLASS, 'LabelRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.LabelRroSubObject', 
                [], [], 
                '''                Label RRO Sub Object
                ''',
                'label_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtRroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtRroSubobjEnum', 
                [], [], 
                '''                RROType
                ''',
                'rro_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-rro-sub-object', REFERENCE_CLASS, 'SrlgRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.SrlgRroSubObject', 
                [], [], 
                '''                SRLG RRO Sub Object
                ''',
                'srlg_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-rro-sub-object', REFERENCE_CLASS, 'UnnumberedRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.UnnumberedRroSubObject', 
                [], [], 
                '''                Unnumbered RRO Sub Object
                ''',
                'unnumbered_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-rro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.Ipv4RroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.Ipv4RroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.Ipv4RroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.Ipv4RroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.Ipv4RroSubObject.Flags', 
                [], [], 
                '''                The RRO IPV4 Subobject Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO IPV4 Address
                ''',
                'rro_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.LabelRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.LabelRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-global-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label is Global across all interfaces
                ''',
                'is_global_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.LabelRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.LabelRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.LabelRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Label Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-label-variable-length', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the RRO Subobject Label Variable Length
                ''',
                'is_label_variable_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Label Value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('variable-length-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Variable Length Label
                ''',
                'variable_length_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'label-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.UnnumberedRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.UnnumberedRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.UnnumberedRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.UnnumberedRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.UnnumberedRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Unnumbered Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO Interface Address
                ''',
                'interface_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.SrlgRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.SrlgRroSubObject',
            False, 
            [
            _MetaInfoClassMember('srl-gs', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject SRLGs
                ''',
                'srl_gs',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro',
            False, 
            [
            _MetaInfoClassMember('ipv4rro-sub-object', REFERENCE_CLASS, 'Ipv4RroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.Ipv4RroSubObject', 
                [], [], 
                '''                IPV4 RRO Sub Object
                ''',
                'ipv4rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rro-sub-object', REFERENCE_CLASS, 'LabelRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.LabelRroSubObject', 
                [], [], 
                '''                Label RRO Sub Object
                ''',
                'label_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtRroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtRroSubobjEnum', 
                [], [], 
                '''                RROType
                ''',
                'rro_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-rro-sub-object', REFERENCE_CLASS, 'SrlgRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.SrlgRroSubObject', 
                [], [], 
                '''                SRLG RRO Sub Object
                ''',
                'srlg_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-rro-sub-object', REFERENCE_CLASS, 'UnnumberedRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.UnnumberedRroSubObject', 
                [], [], 
                '''                Unnumbered RRO Sub Object
                ''',
                'unnumbered_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-rro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathAffinityArray' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathAffinityArray',
            False, 
            [
            _MetaInfoClassMember('hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Hop address
                ''',
                'hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop-affinity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'hop_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop-extended-affinity', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hop affinity
                ''',
                'hop_extended_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-affinity-array',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseEroIn.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseEroIn.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseEroIn.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseEroIn.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseEroIn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseEroIn',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseEroIn.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseEroIn.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-ero-in',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.S2LSegmentRoutingPath' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.S2LSegmentRoutingPath',
            False, 
            [
            _MetaInfoClassMember('has-entropy-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Hop has EL specified
                ''',
                'has_entropy_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-ip-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node has IP addresses specified
                ''',
                'has_ip_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-mpls-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Hop has MPLS label specified
                ''',
                'has_mpls_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local IP address of adjacency or Node ID
                ''',
                'local_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mpls-label-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The MPLS label value
                ''',
                'mpls_label_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote IP address of adjacency
                ''',
                'remote_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sid-type', REFERENCE_ENUM_CLASS, 'TeSrSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSrSidEnum', 
                [], [], 
                '''                Type of the SID
                ''',
                'sid_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-segment-routing-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L',
            False, 
            [
            _MetaInfoClassMember('abr-auto-discovered', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next ABR auto discovered
                ''',
                'abr_auto_discovered',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('active-path-option', REFERENCE_CLASS, 'ActivePathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption', 
                [], [], 
                '''                The path option used to find the path for this
                S2L
                ''',
                'active_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('association', REFERENCE_CLASS, 'Association' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.Association', 
                [], [], 
                '''                Association Object
                ''',
                'association',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface handle of the backup tunnel
                ''',
                'backup_tunnel_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('diversity-info', REFERENCE_CLASS, 'DiversityInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.DiversityInfo', 
                [], [], 
                '''                S2L Diversity Information
                ''',
                'diversity_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('downstream-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Downstream router id
                ''',
                'downstream_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Egress Interface
                ''',
                'egress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface-brief', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Egress Interface in brief format
                ''',
                'egress_interface_brief',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Interface
                ''',
                'egress_interface_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Outgoing ERO's affinity bits (colors)
                ''',
                'expanded_ero_affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Outgoing ERO's affinity mask (colors)
                ''',
                'expanded_ero_affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Indicates the protocol and area used to find
                Outgoing ERO
                ''',
                'expanded_ero_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The metric value of the expanded path
                ''',
                'expanded_ero_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-metric-type', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                The Outgoing ERO's selection metric
                ''',
                'expanded_ero_metric_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex-info', REFERENCE_CLASS, 'FlexInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.FlexInfo', 
                [], [], 
                '''                FlexLSP S2L Information
                ''',
                'flex_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-out-tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FRR out tunnel intface
                ''',
                'frr_out_tunnel_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fspec', REFERENCE_CLASS, 'Fspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.Fspec', 
                [], [], 
                '''                The F spec info
                ''',
                'fspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generic-fspec', REFERENCE_CLASS, 'GenericFspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GenericFspec', 
                [], [], 
                '''                Generic FSpec
                ''',
                'generic_fspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generic-tspec', REFERENCE_CLASS, 'GenericTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GenericTspec', 
                [], [], 
                '''                Generic TSpec
                ''',
                'generic_tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gmpls-labels', REFERENCE_CLASS, 'GmplsLabels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels', 
                [], [], 
                '''                GMPLS labels
                ''',
                'gmpls_labels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('head-end-bfd-info', REFERENCE_CLASS, 'HeadEndBfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.HeadEndBfdInfo', 
                [], [], 
                '''                The Head-end BFD info
                ''',
                'head_end_bfd_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-ero', REFERENCE_LIST, 'InEro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InEro', 
                [], [], 
                '''                Incoming ERO for this S2L
                ''',
                'in_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-xro', REFERENCE_CLASS, 'InXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro', 
                [], [], 
                '''                Incoming XRO for this S2L
                ''',
                'in_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Incoming interface address
                ''',
                'incoming_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-address-generic', REFERENCE_CLASS, 'IncomingAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.IncomingAddressGeneric', 
                [], [], 
                '''                Incoming interface address
                ''',
                'incoming_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ingress Interface
                ''',
                'ingress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface-brief', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ingress Interface in brief format
                ''',
                'ingress_interface_brief',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Interface
                ''',
                'ingress_interface_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-protect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BW Protection Enabled or Disabled
                ''',
                'is_bandwidth_protect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-expanded-ero', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if this LSR expanded a loose path
                ''',
                'is_expanded_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-frr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Enabled or Disabled
                ''',
                'is_frr_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Enabled or Disabled
                ''',
                'is_node_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-optical', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Optical
                ''',
                'is_optical',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local router id
                ''',
                'local_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-info', REFERENCE_CLASS, 'LspWrapInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.LspWrapInfo', 
                [], [], 
                '''                Lsp Wrap  Related information
                ''',
                'lsp_wrap_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop address
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address-generic', REFERENCE_CLASS, 'NextHopAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.NextHopAddressGeneric', 
                [], [], 
                '''                Next hop address
                ''',
                'next_hop_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('node-hop-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hop count
                ''',
                'node_hop_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn-s2l', REFERENCE_CLASS, 'OtnS2L' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L', 
                [], [], 
                '''                Otn S2L Information
                ''',
                'otn_s2l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-ero', REFERENCE_LIST, 'OutEro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutEro', 
                [], [], 
                '''                Outgoing ERO for this S2L
                ''',
                'out_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-xro', REFERENCE_CLASS, 'OutXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro', 
                [], [], 
                '''                Outgoing XRO for this S2L
                ''',
                'out_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outbound-frr-state', REFERENCE_ENUM_CLASS, 'MplsTeFrrStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeFrrStateEnum', 
                [], [], 
                '''                Indicates outbound FRR state
                ''',
                'outbound_frr_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-affinity-array', REFERENCE_LIST, 'PathAffinityArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathAffinityArray', 
                [], [], 
                '''                Tunnel's Path hops with affinity
                ''',
                'path_affinity_array',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reeval-query-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loose path reevaluation query received at
                mid-point
                ''',
                'path_reeval_query_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-rro', REFERENCE_LIST, 'PathRro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro', 
                [], [], 
                '''                Path RRO for this S2L
                ''',
                'path_rro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-rro-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path RRO Enabled or Disabled
                ''',
                'path_rro_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-using-strict-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is using Strict SPF
                ''',
                'path_using_strict_spf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcalc-area', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IGP-area in which the S2L path was calculated
                ''',
                'pcalc_area',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Previous hop address
                ''',
                'previous_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-hop-address-generic', REFERENCE_CLASS, 'PreviousHopAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PreviousHopAddressGeneric', 
                [], [], 
                '''                Previous hop address
                ''',
                'previous_hop_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection', REFERENCE_CLASS, 'Protection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.Protection', 
                [], [], 
                '''                Protection Object
                ''',
                'protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-rro', REFERENCE_LIST, 'ResvRro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro', 
                [], [], 
                '''                Resv RRO for this S2L
                ''',
                'resv_rro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-ero-in', REFERENCE_LIST, 'ReverseEroIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseEroIn', 
                [], [], 
                '''                 Reverse Incoming ERO for this S2L
                ''',
                'reverse_ero_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Connected
                ''',
                'reverse_lsp_connected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-fec', REFERENCE_CLASS, 'ReverseLspFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseLspFec', 
                [], [], 
                '''                Reverse Associated Bidir LSP FEC
                ''',
                'reverse_lsp_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Name
                ''',
                'reverse_lsp_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Present
                ''',
                'reverse_lsp_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-tspec', REFERENCE_CLASS, 'ReverseTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseTspec', 
                [], [], 
                '''                The Reverse T spec info
                ''',
                'reverse_tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The reverse path weight
                ''',
                'reverse_weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('role', REFERENCE_ENUM_CLASS, 'MplsTeTunnelRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelRoleEnum', 
                [], [], 
                '''                Role of S2L
                ''',
                'role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-convergence', REFERENCE_CLASS, 'S2LConvergence' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.S2LConvergence', 
                [], [], 
                '''                TE LSP convergence related information
                ''',
                's2l_convergence',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec', REFERENCE_CLASS, 'S2LFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.S2LFec', 
                [], [], 
                '''                FEC for the S2L
                ''',
                's2l_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label
                ''',
                's2l_local_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing label
                ''',
                's2l_out_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-ero-obj-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2l Reverse ERO Object Present
                ''',
                's2l_reverse_ero_obj_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-lsp-sub-obj', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Reverse LSP Sub Objects
                ''',
                's2l_reverse_lsp_sub_obj',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-tspec-obj-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Reverse TSpec Object Present
                ''',
                's2l_reverse_tspec_obj_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-segment-routing-path', REFERENCE_LIST, 'S2LSegmentRoutingPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.S2LSegmentRoutingPath', 
                [], [], 
                '''                Segment-Routing S2L path info
                ''',
                's2l_segment_routing_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared-risk-link-group', REFERENCE_LIST, 'SharedRiskLinkGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.SharedRiskLinkGroup', 
                [], [], 
                '''                The S2L's excluded srlg groups
                ''',
                'shared_risk_link_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-status', REFERENCE_ENUM_CLASS, 'MplsTeTunnelsSignalingStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelsSignalingStatusEnum', 
                [], [], 
                '''                Signaling status
                ''',
                'signalling_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption', REFERENCE_CLASS, 'SoftPreemption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.SoftPreemption', 
                [], [], 
                '''                The soft preemption info for this LSP.
                ''',
                'soft_preemption',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-collection', REFERENCE_CLASS, 'SrlgCollection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.SrlgCollection', 
                [], [], 
                '''                SRLG-collection data
                ''',
                'srlg_collection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tail-end-bfd-info', REFERENCE_CLASS, 'TailEndBfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.TailEndBfdInfo', 
                [], [], 
                '''                The Tail-end BFD info
                ''',
                'tail_end_bfd_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-preferred-path-exists-send-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last preferred path exists msg send
                from mid-point
                ''',
                'time_since_last_preferred_path_exists_send_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-preferred-tree-exists-send-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last preferred tree exists msg send
                from mid-point
                ''',
                'time_since_last_preferred_tree_exists_send_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-query-received-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last reevaluation query received at
                mid-point
                ''',
                'time_since_last_query_received_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tspec', REFERENCE_CLASS, 'Tspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.Tspec', 
                [], [], 
                '''                The T spec info
                ''',
                'tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('upstream-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Upstream router id
                ''',
                'upstream_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the tunnel was up
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The path's weight
                ''',
                'weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote',
            False, 
            [
            _MetaInfoClassMember('ctype', REFERENCE_ENUM_CLASS, 'CtypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'CtypeEnum', 
                [], [], 
                '''                Ctype
                ''',
                'ctype',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination Address
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                LSP ID
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                P2MP ID
                ''',
                'p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('dste-class-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Matching DSTE class index
                ''',
                'dste_class_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-match', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Do the class type and priority match a DSTE
                class
                ''',
                'dste_class_match',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-active-reason', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP LSP FRR active reason
                ''',
                'frr_active_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-frr-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                P2MP LSP has FRR Failed
                ''',
                'is_frr_failed',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True for tunnel head
                ''',
                'is_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-passive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True for passive tunnel
                ''',
                'is_passive',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-path-change', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last path change
                ''',
                'last_path_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP LSP Bandwidth
                ''',
                'lsp_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The LSP bandwidth type
                ''',
                'lsp_bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-fec', REFERENCE_CLASS, 'LspFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.LspFec', 
                [], [], 
                '''                FEC for the LSP
                ''',
                'lsp_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSP hold priority
                ''',
                'lsp_hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSP setup priority
                ''',
                'lsp_setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('persistent-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Persistent forwarding statistics for number of
                bytes. Clear counters will not reset the counter
                ''',
                'persistent_bytes',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('persistent-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Persistent forwarding statistics for Number of
                packets. Clear counters will not reset the
                counter
                ''',
                'persistent_packets',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimize-reason', REFERENCE_ENUM_CLASS, 'MplsTeReoptDecisionReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeReoptDecisionReasonEnum', 
                [], [], 
                '''                Reason for re-optimization
                ''',
                'reoptimize_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimize-trigger', REFERENCE_ENUM_CLASS, 'MteReoptTriggerEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MteReoptTriggerEnum', 
                [], [], 
                '''                Re-optimize trigger
                ''',
                'reoptimize_trigger',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-down', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of down S2Ls
                ''',
                's2_ls_down',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-proceeding', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of proceeding S2Ls
                ''',
                's2_ls_proceeding',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of connected S2Ls
                ''',
                's2_ls_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l', REFERENCE_LIST, 'S2L' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L', 
                [], [], 
                '''                array of S2L structures
                ''',
                's2l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signaled-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signaled Name
                ''',
                'signaled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('timer-left', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds left to take next action if any
                ''',
                'timer_left',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MplsTeLspEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspEnum', 
                [], [], 
                '''                The type of this LSP
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the tunnel was up
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tunnel-remote',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelRemotes' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelRemotes',
            False, 
            [
            _MetaInfoClassMember('tunnel-remote', REFERENCE_LIST, 'TunnelRemote' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote', 
                [], [], 
                '''                P2P or P2MP tunnel that is a mid or tail
                ''',
                'tunnel_remote',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tunnel-remotes',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Config.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Config.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Config.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Config.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Config.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Config.BidirectionalConfig' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Config.BidirectionalConfig',
            False, 
            [
            _MetaInfoClassMember('association-corouted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the association co-routed
                ''',
                'association_corouted',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('association-global-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The association global ID
                ''',
                'association_global_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('association-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The association ID
                ''',
                'association_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('association-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The association source
                ''',
                'association_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('association-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Association Type
                (draft-ietf-ccamp-mpls-tp-rsvpte-ext-associated-lsp)
                ''',
                'association_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bidirectional-config',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Config.BfdConfig' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Config.BfdConfig',
            False, 
            [
            _MetaInfoClassMember('bfd-encap-mode', REFERENCE_ENUM_CLASS, 'TeVifBfdEncapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeVifBfdEncapModeEnum', 
                [], [], 
                '''                BFD Encap Mode
                ''',
                'bfd_encap_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-fast-detecting-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Deprecated
                ''',
                'bfd_fast_detecting_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-session-down-action', REFERENCE_ENUM_CLASS, 'MplsTeBfdSessionDownAction1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBfdSessionDownAction1Enum', 
                [], [], 
                '''                BFD Session Down Action
                ''',
                'bfd_session_down_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-session-down-reopt-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Session Down Reopt Timeout
                ''',
                'bfd_session_down_reopt_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-type', REFERENCE_ENUM_CLASS, 'TeVifBfdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeVifBfdEnum', 
                [], [], 
                '''                BFD Type
                ''',
                'bfd_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bring-up-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bring Up Timeout in second
                ''',
                'bring_up_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bring-up-timeout-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default bring up timeout
                ''',
                'bring_up_timeout_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dampening-initial-wait', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening initial wait time in milliseconds
                ''',
                'dampening_initial_wait',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dampening-initial-wait-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default dampening inital wait time
                ''',
                'dampening_initial_wait_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dampening-max-wait', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening max wait time in milliseconds
                ''',
                'dampening_max_wait',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dampening-max-wait-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default dampening max wait time
                ''',
                'dampening_max_wait_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dampening-secondary-wait', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening secondary wait time in milliseconds
                ''',
                'dampening_secondary_wait',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dampening-secondary-wait-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default dampening secondary wait time
                ''',
                'dampening_secondary_wait_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('min-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello interval in milliseconds
                ''',
                'min_interval',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('min-interval-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default hello interval
                ''',
                'min_interval_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default multiplier
                ''',
                'multiplier_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('periodic-lsp-ping-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Periodic LSP Ping disabled
                ''',
                'periodic_lsp_ping_disabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('periodic-lsp-ping-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Periodic LSP Ping interval in seconds
                ''',
                'periodic_lsp_ping_interval',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('periodic-lsp-ping-interval-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default LSP Ping interval
                ''',
                'periodic_lsp_ping_interval_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sbfd-target-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                SBFD Target ID
                ''',
                'sbfd_target_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-config',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Config.AutorouteDestination' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Config.AutorouteDestination',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'autoroute-destination',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Config' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Config',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Config.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-failure-reopt-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AffinityFailureReoptTimer
                ''',
                'affinity_failure_reopt_timer',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('autoroute-destination', REFERENCE_LIST, 'AutorouteDestination' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Config.AutorouteDestination', 
                [], [], 
                '''                Autoroute Destinations list
                ''',
                'autoroute_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup bandwidth
                ''',
                'backup_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-bandwidth-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Backup bandwidth flags
                ''',
                'backup_bandwidth_flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-config', REFERENCE_CLASS, 'BfdConfig' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Config.BfdConfig', 
                [], [], 
                '''                BFD Configuration Information
                ''',
                'bfd_config',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bidirectional-config', REFERENCE_CLASS, 'BidirectionalConfig' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Config.BidirectionalConfig', 
                [], [], 
                '''                Bidirectional Configuration Information
                ''',
                'bidirectional_config',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('config-load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Config loadshare
                ''',
                'config_load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured Bandwidth
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit-global', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global Cost Limit
                ''',
                'cost_limit_global',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('disable-affinity-failure-reopt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                DisableAffinityFailureReopt
                ''',
                'disable_affinity_failure_reopt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-null-imposition', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Imposition of Explicit NULL
                ''',
                'explicit_null_imposition',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute enabled
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hop Limit
                ''',
                'hop_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured Interface Bandwidth
                ''',
                'interface_configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-backup-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if this is a backup tunnel
                ''',
                'is_backup_tunnel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-in-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is in config
                ''',
                'is_in_config',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-p2mp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if tunnel is a P2MP tunnel
                ''',
                'is_p2mp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action on the tunnel path
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action-source', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action configuration source
                ''',
                'path_invalidation_action_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout interval on the tunnel
                path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout-source', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout configuration source
                ''',
                'path_invalidation_timeout_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-protection-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Protection enabled
                ''',
                'path_protection_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('payload-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Payload type
                ''',
                'payload_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('segment-routing-path-selection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Segment-Routing path selection type
                ''',
                'segment_routing_path_selection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signaled-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signaled name
                ''',
                'signaled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preempt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption enabled
                ''',
                'soft_preempt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-discovery', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SRLG-discovery enabled
                ''',
                'srlg_discovery',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel id
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'config',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.LspFec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.LspFec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.LspFec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.LspFec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.LspFec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.S2LFec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.S2LFec',
            False, 
            [
            _MetaInfoClassMember('s2l-fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                Session identifier (ctype)
                ''',
                's2l_fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-dest', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                sub-LSP destination address
                ''',
                's2l_fec_dest',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                's2l_fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                's2l_fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                's2l_fec_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSP source address
                ''',
                's2l_fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                sub-LSP subgroup ID
                ''',
                's2l_fec_subgroup_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                's2l_fec_subgroup_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                's2l_fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                's2l_fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.PathCalculationError' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.PathCalculationError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-calculation-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.RemergeError' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.RemergeError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'remerge-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.SignallingError' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.SignallingError',
            False, 
            [
            _MetaInfoClassMember('error', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Path Error code
                ''',
                'error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Source address of the error generating node
                ''',
                'error_node',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSPMode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if error is on the reverse LSP
                ''',
                'reverse_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP-id for which the error was received
                ''',
                'signalling_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path Error subcode
                ''',
                'sub_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalling-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption',
            False, 
            [
            _MetaInfoClassMember('attribute-set', REFERENCE_CLASS, 'AttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet', 
                [], [], 
                '''                The path option attribute set used by this path
                ''',
                'attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-found', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has found the defined attribute
                set
                ''',
                'attribute_set_found',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Explicit Path ID, this is the key to table
                ExplicitPaths.IdentifierTable
                ''',
                'explicit_path_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Explicit Path Name, this is the key to table
                ExplicitPaths.NameTable
                ''',
                'explicit_path_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has an attribute set defined
                ''',
                'has_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-xro-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has an XRO attribute set
                configured
                ''',
                'has_xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('holddown-duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Holddown Duration (seconds)
                ''',
                'holddown_duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path option is disabled
                ''',
                'is_disabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-helddown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if path is helddown
                ''',
                'is_helddown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-lockdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is locked down
                ''',
                'is_lockdown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-segment-routing', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is Segment-Routing
                ''',
                'is_segment_routing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-explicit-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if explicit path is strict
                ''',
                'is_strict_explicit_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-verbatim', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is verbatim
                ''',
                'is_verbatim',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index
                ''',
                'option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index-is-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The path option index is valid
                ''',
                'option_index_is_valid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-calculation-error', REFERENCE_LIST, 'PathCalculationError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.PathCalculationError', 
                [], [], 
                '''                Path computation information
                ''',
                'path_calculation_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The path-option area constraint
                ''',
                'path_option_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path option name
                ''',
                'path_option_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-type', REFERENCE_ENUM_CLASS, 'MplsTePathoptionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTePathoptionEnum', 
                [], [], 
                '''                Path option type
                ''',
                'path_option_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                PCE server address
                ''',
                'pce_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-by-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for Protect path options
                ''',
                'protected_by_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remerge-error', REFERENCE_LIST, 'RemergeError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.RemergeError', 
                [], [], 
                '''                Path computation remerge resolve info
                ''',
                'remerge_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restored-from-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for Restore path options
                ''',
                'restored_from_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-error', REFERENCE_LIST, 'SignallingError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.SignallingError', 
                [], [], 
                '''                Signalling information
                ''',
                'signalling_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set', REFERENCE_CLASS, 'XroAttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet', 
                [], [], 
                '''                The XRO attribute set used by this path-option
                ''',
                'xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set-found', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path's XRO attribute set is known
                ''',
                'xro_attribute_set_found',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'active-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'out-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'in-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.Tspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.Tspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GenericTspec.Otntspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GenericTspec.Otntspec',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit Rate in kbps
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nmc-or-tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                NMC or Tolerance
                ''',
                'nmc_or_tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Virtual Components
                ''',
                'nvc',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otntspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GenericTspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GenericTspec',
            False, 
            [
            _MetaInfoClassMember('otntspec', REFERENCE_CLASS, 'Otntspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GenericTspec.Otntspec', 
                [], [], 
                '''                TE TSpec for G709 OTN
                ''',
                'otntspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tspec-type', REFERENCE_ENUM_CLASS, 'TeMgmtGenericTspecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeMgmtGenericTspecEnum', 
                [], [], 
                '''                TSpecType
                ''',
                'tspec_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'generic-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.Fspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.Fspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GenericFspec.Otnfspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GenericFspec.Otnfspec',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit Rate in kbps
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nmc-or-tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                NMC or Tolerance
                ''',
                'nmc_or_tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Virtual Components
                ''',
                'nvc',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otnfspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GenericFspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GenericFspec',
            False, 
            [
            _MetaInfoClassMember('fspec-type', REFERENCE_ENUM_CLASS, 'TeMgmtGenericFspecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeMgmtGenericFspecEnum', 
                [], [], 
                '''                FSpecType
                ''',
                'fspec_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otnfspec', REFERENCE_CLASS, 'Otnfspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GenericFspec.Otnfspec', 
                [], [], 
                '''                TE FSpec for G709 OTN
                ''',
                'otnfspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'generic-fspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.NextHopAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.NextHopAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.NextHopAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.NextHopAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.NextHopAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'next-hop-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'previous-hop-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.IncomingAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.IncomingAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.IncomingAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.IncomingAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.IncomingAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'incoming-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.S2LConvergence' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.S2LConvergence',
            False, 
            [
            _MetaInfoClassMember('creation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tunnel creation timestamp (clocktime in nsecs)
                ''',
                'creation_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rewrite', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP Label rewrite timestamp (clocktime in nsecs)
                ''',
                'label_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Path-in timestamp (clocktime in nsecs)
                ''',
                'path_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Path-in timestamp (clocktime in nsecs)
                ''',
                'path_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Resv-in timestamp (clocktime in nsecs)
                ''',
                'resv_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Resv-out timestamp (clocktime in nsecs)
                ''',
                'resv_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-rewrite', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tunnel rewrite timestamp (clocktime in nsecs)
                ''',
                'tunnel_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-convergence',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.SoftPreemption' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.SoftPreemption',
            False, 
            [
            _MetaInfoClassMember('fr-rrewrite', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR-rewrite during soft preemption
                ''',
                'fr_rrewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fr-rrewrite-tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The tunnel name of the backup
                ''',
                'fr_rrewrite_tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('preempting-link-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The address of the link where the preemption
                happened
                ''',
                'preempting_link_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-link', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the link where the soft preemption
                occurred
                ''',
                'soft_preemption_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The POSIX timestamp when the soft preemption
                occurred
                ''',
                'soft_preemption_timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'MplsTeSoftPreemptionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeSoftPreemptionStateEnum', 
                [], [], 
                '''                The current state of the soft preemption
                operation
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-to-hard-preemption', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The number of seconds until hard preemption is
                triggered
                ''',
                'time_to_hard_preemption',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'soft-preemption',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels',
            False, 
            [
            _MetaInfoClassMember('path-egress-label', REFERENCE_CLASS, 'PathEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel', 
                [], [], 
                '''                Path message (upstream) egress label
                ''',
                'path_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-ingress-label', REFERENCE_CLASS, 'PathIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel', 
                [], [], 
                '''                Path message (upstream) ingress label
                ''',
                'path_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-egress-label', REFERENCE_CLASS, 'ResvEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel', 
                [], [], 
                '''                Resv message (downstream) egress label
                ''',
                'resv_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-ingress-label', REFERENCE_CLASS, 'ResvIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel', 
                [], [], 
                '''                Resv message (downstream) ingress label
                ''',
                'resv_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'gmpls-labels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tolerance
                ''',
                'tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-cbr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-gfp-f-res',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-gfp-f-non-res',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth',
            False, 
            [
            _MetaInfoClassMember('odu-flex-cbr', REFERENCE_CLASS, 'OduFlexCbr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr', 
                [], [], 
                '''                Odu flex CBR info
                ''',
                'odu_flex_cbr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-flex-gfp-f-non-res', REFERENCE_CLASS, 'OduFlexGfpFNonRes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes', 
                [], [], 
                '''                Odu flex GFP-F non-resizable info
                ''',
                'odu_flex_gfp_f_non_res',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-flex-gfp-f-res', REFERENCE_CLASS, 'OduFlexGfpFRes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes', 
                [], [], 
                '''                Odu flex GFP-F resizable info
                ''',
                'odu_flex_gfp_f_res',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-level', REFERENCE_ENUM_CLASS, 'TeOduLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeOduLevelEnum', 
                [], [], 
                '''                ODULevel
                ''',
                'odu_level',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels',
            False, 
            [
            _MetaInfoClassMember('path-egress-label', REFERENCE_CLASS, 'PathEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel', 
                [], [], 
                '''                Path message (upstream) egress label
                ''',
                'path_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-ingress-label', REFERENCE_CLASS, 'PathIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel', 
                [], [], 
                '''                Path message (upstream) ingress label
                ''',
                'path_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-egress-label', REFERENCE_CLASS, 'ResvEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel', 
                [], [], 
                '''                Resv message (downstream) egress label
                ''',
                'resv_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-ingress-label', REFERENCE_CLASS, 'ResvIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel', 
                [], [], 
                '''                Resv message (downstream) ingress label
                ''',
                'resv_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'labels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn',
            False, 
            [
            _MetaInfoClassMember('bandwidth', REFERENCE_CLASS, 'Bandwidth' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth', 
                [], [], 
                '''                OTN Bandwidth for s2l
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cross-connect-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cross connect id
                ''',
                'cross_connect_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gpid', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Gpid Payload
                ''',
                'gpid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Incoming Controller
                ''',
                'incoming_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Incoming Controller Ifhandle
                ''',
                'incoming_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Controller
                ''',
                'incoming_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Incoming Sub Controller
                ''',
                'incoming_sub_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Incoming Sub Controller Ifhandle
                ''',
                'incoming_sub_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Sub Controller
                ''',
                'incoming_sub_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if subcontrollers are connected
                ''',
                'is_connected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('labels', REFERENCE_CLASS, 'Labels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels', 
                [], [], 
                '''                Labels
                ''',
                'labels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing Controller
                ''',
                'outgoing_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Controller Ifhandle
                ''',
                'outgoing_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Controller
                ''',
                'outgoing_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing Sub Controller
                ''',
                'outgoing_sub_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Sub Controller Ifhandle
                ''',
                'outgoing_sub_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Sub Controller
                ''',
                'outgoing_sub_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                XC Uptime
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Aps.ProtectionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Aps.ProtectionInfo',
            False, 
            [
            _MetaInfoClassMember('ho-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-Off timeout
                ''',
                'ho_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-hopresent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Hold-Off timeout present
                ''',
                'is_hopresent',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-snc-mode-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SNC mode present
                ''',
                'is_snc_mode_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-wtr-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Wait-to-Restore timeout present
                ''',
                'is_wtr_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Notification bit 
                ''',
                'nbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('obit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Operational bit
                ''',
                'obit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path protection profile type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Protecting bit
                ''',
                'pbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protect-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                LSP Protect Type
                ''',
                'protect_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Secondary bit
                ''',
                'sbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                SNC mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TCM ID
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wtr-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait-to-Restore timeout
                ''',
                'wtr_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protection-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Aps' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Aps',
            False, 
            [
            _MetaInfoClassMember('protection-info', REFERENCE_CLASS, 'ProtectionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Aps.ProtectionInfo', 
                [], [], 
                '''                Protection Info
                ''',
                'protection_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'aps',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L',
            False, 
            [
            _MetaInfoClassMember('aps', REFERENCE_CLASS, 'Aps' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Aps', 
                [], [], 
                '''                APS Info for OTN S2L
                ''',
                'aps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn', 
                [], [], 
                '''                Info Related to OTN technology in S2L
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn-s2l',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.HeadEndBfdInfo.SessionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.HeadEndBfdInfo.SessionInfo',
            False, 
            [
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'TeBfdLspSessionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdLspSessionStateEnum', 
                [], [], 
                '''                BFD session state
                ''',
                'state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('state-change-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last session state
                change
                ''',
                'state_change_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'session-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.HeadEndBfdInfo.DeletionHistory' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.HeadEndBfdInfo.DeletionHistory',
            False, 
            [
            _MetaInfoClassMember('deletion-diagnostic-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Diagnostic Code for the BFD session get deleted
                ''',
                'deletion_diagnostic_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reason for the BFD session get deleted
                ''',
                'deletion_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time stamp of the BFD session get deleted
                ''',
                'deletion_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID of the BFD session get deleted
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'deletion-history',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.HeadEndBfdInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.HeadEndBfdInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-reverse-path-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path labels
                ''',
                'bfd_reverse_path_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The BFD reverse path is stale compared to
                configuration
                ''',
                'bfd_reverse_path_stale',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('creation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the BFD session created
                ''',
                'creation_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-history', REFERENCE_CLASS, 'DeletionHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.HeadEndBfdInfo.DeletionHistory', 
                [], [], 
                '''                BFD Session Deletion History
                ''',
                'deletion_history',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-redundant', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                sBFD session is redundant
                ''',
                'is_redundant',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lspbfd-type', REFERENCE_ENUM_CLASS, 'TeVifBfdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeVifBfdEnum', 
                [], [], 
                '''                LSP BFD type
                ''',
                'lspbfd_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-info', REFERENCE_CLASS, 'SessionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.HeadEndBfdInfo.SessionInfo', 
                [], [], 
                '''                BFD Session Info
                ''',
                'session_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'head-end-bfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.TailEndBfdInfo.SessionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.TailEndBfdInfo.SessionInfo',
            False, 
            [
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'TeBfdLspSessionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdLspSessionStateEnum', 
                [], [], 
                '''                BFD session state
                ''',
                'state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('state-change-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last session state
                change
                ''',
                'state_change_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'session-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.TailEndBfdInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.TailEndBfdInfo',
            False, 
            [
            _MetaInfoClassMember('failure-diagnostic-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD session failure diagnostic code
                ''',
                'failure_diagnostic_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('failure-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                BFD session failure reason
                ''',
                'failure_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-discriminator', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Local Discriminator
                ''',
                'local_discriminator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('min-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello interval in mini second
                ''',
                'min_interval',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('min-interval-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default hello interval
                ''',
                'min_interval_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default multiplier
                ''',
                'multiplier_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-discriminator', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Remote Discrminator
                ''',
                'remote_discriminator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-info', REFERENCE_CLASS, 'SessionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.TailEndBfdInfo.SessionInfo', 
                [], [], 
                '''                BFD Session Info
                ''',
                'session_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tail-end-bfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.SrlgCollection' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.SrlgCollection',
            False, 
            [
            _MetaInfoClassMember('discovered-srlg', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Discovered SRLGs
                ''',
                'discovered_srlg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-collect-type', REFERENCE_ENUM_CLASS, 'TeSrlgCollectRequestEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSrlgCollectRequestEnum', 
                [], [], 
                '''                SRLG-collection mechanism
                ''',
                'srlg_collect_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-collection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.Association' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.Association',
            False, 
            [
            _MetaInfoClassMember('s2l-association-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Association ID
                ''',
                's2l_association_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                S2L Association Source
                ''',
                's2l_association_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-tie-role', REFERENCE_ENUM_CLASS, 'TeAssociationTieRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAssociationTieRoleEnum', 
                [], [], 
                '''                S2L Association Tie Role
                ''',
                's2l_association_tie_role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Association Type                         
                (draft-ietf-ccamp-mpls-tp-rsvpte-ext-associated-lsp)
                ''',
                's2l_association_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-extended-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L Extended ID Array
                ''',
                's2l_extended_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-global-source', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L Global Source
                ''',
                's2l_global_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'association',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.Protection' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.Protection',
            False, 
            [
            _MetaInfoClassMember('any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Any
                ''',
                'any',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ded1-plus1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1+1 Protection
                ''',
                'ded1_plus1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ded1-to1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1:1 Protection
                ''',
                'ded1_to1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('enhanced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates Enhanced Protection Scheme
                ''',
                'enhanced',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extra-traffic', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should use Links that are protecting other
                (primary) traffic
                ''',
                'extra_traffic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should not use any Link Layer Protection
                ''',
                'link_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Flags Unprotected
                ''',
                'lsp_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-plus-one-bi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Bidirectional Protection
                ''',
                'one_plus_one_bi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-plus-one-uni', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Unidirectional Protection
                ''',
                'one_plus_one_uni',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-to-n-protection-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1:N Protection with Extra-Traffic
                ''',
                'one_to_n_protection_et',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Full Rerouting
                ''',
                'rerouting',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouting-no-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Rerouting Without Extra-Traffic
                ''',
                'rerouting_no_et',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-notification', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Notification Bit
                ''',
                's2l_notification',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-operational', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Operational Bit
                ''',
                's2l_operational',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Protecting Bit
                ''',
                's2l_protecting',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-secondary', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Secondary Bit
                ''',
                's2l_secondary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Shared Link Layer Protection
                ''',
                'shared',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseLspFec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseLspFec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseLspFec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseLspFec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseLspFec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-lsp-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseTspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseTspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.FlexInfo.FlexFec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.FlexInfo.FlexFec',
            False, 
            [
            _MetaInfoClassMember('s2l-fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                Session identifier (ctype)
                ''',
                's2l_fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-dest', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                sub-LSP destination address
                ''',
                's2l_fec_dest',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                's2l_fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                's2l_fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                's2l_fec_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSP source address
                ''',
                's2l_fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                sub-LSP subgroup ID
                ''',
                's2l_fec_subgroup_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                's2l_fec_subgroup_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                's2l_fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                's2l_fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.FlexInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.FlexInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-created', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GAL BFD Session Created
                ''',
                'bfd_created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-egress-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Egress Label
                ''',
                'bfd_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-int-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Internal Label
                ''',
                'bfd_int_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                BFD Next Hop
                ''',
                'bfd_next_hop',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-out-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD Out Interface Handle
                ''',
                'bfd_out_ifh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-tun-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD Tunnel Interface Handle
                ''',
                'bfd_tun_ifh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GAL BFD Session Up
                ''',
                'bfd_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('entry-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FlexLSP Entry Exists
                ''',
                'entry_exists',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ais', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault AIS
                ''',
                'fault_ais',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ldi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LDI
                ''',
                'fault_ldi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ldi-lockout', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LDI Lockout
                ''',
                'fault_ldi_lockout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-lkr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LKR
                ''',
                'fault_lkr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Fault Time
                ''',
                'fault_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex-fec', REFERENCE_CLASS, 'FlexFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.FlexInfo.FlexFec', 
                [], [], 
                '''                FEC for the FlexLSP Entry
                ''',
                'flex_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                In Label
                ''',
                'in_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('oam-created', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                OAM Entry Created
                ''',
                'oam_created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.LspWrapInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.LspWrapInfo',
            False, 
            [
            _MetaInfoClassMember('lsp-wrap-protection-enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Wrap protection enabled
                ''',
                'lsp_wrap_protection_enable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-protection-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSP Wrap Merge Point Label
                ''',
                'lsp_wrap_protection_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-protection-state', REFERENCE_ENUM_CLASS, 'MplsTeLspWrapStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspWrapStateEnum', 
                [], [], 
                '''                LSP wrap protection state
                ''',
                'lsp_wrap_protection_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reverse Egress Interface
                ''',
                'reverse_egress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reverse LSP label
                ''',
                'reverse_lsp_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-wrap-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.DiversityInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.DiversityInfo',
            False, 
            [
            _MetaInfoClassMember('diversity-type', REFERENCE_ENUM_CLASS, 'TePpDiversityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePpDiversityEnum', 
                [], [], 
                '''                S2L path diversity type
                ''',
                'diversity_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'diversity-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.SharedRiskLinkGroup' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.SharedRiskLinkGroup',
            False, 
            [
            _MetaInfoClassMember('shared-risk-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG number
                ''',
                'shared_risk_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SRLG name
                ''',
                'srlg_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'shared-risk-link-group',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutEro.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutEro.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutEro.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutEro.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutEro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutEro',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutEro.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutEro.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'out-ero',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InEro.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InEro.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InEro.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InEro.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InEro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InEro',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InEro.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InEro.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'in-ero',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.Ipv4RroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.Ipv4RroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.Ipv4RroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.Ipv4RroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.Ipv4RroSubObject.Flags', 
                [], [], 
                '''                The RRO IPV4 Subobject Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO IPV4 Address
                ''',
                'rro_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.LabelRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.LabelRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-global-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label is Global across all interfaces
                ''',
                'is_global_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.LabelRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.LabelRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.LabelRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Label Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-label-variable-length', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the RRO Subobject Label Variable Length
                ''',
                'is_label_variable_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Label Value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('variable-length-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Variable Length Label
                ''',
                'variable_length_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'label-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.UnnumberedRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.UnnumberedRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.UnnumberedRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.UnnumberedRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.UnnumberedRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Unnumbered Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO Interface Address
                ''',
                'interface_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.SrlgRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.SrlgRroSubObject',
            False, 
            [
            _MetaInfoClassMember('srl-gs', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject SRLGs
                ''',
                'srl_gs',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro',
            False, 
            [
            _MetaInfoClassMember('ipv4rro-sub-object', REFERENCE_CLASS, 'Ipv4RroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.Ipv4RroSubObject', 
                [], [], 
                '''                IPV4 RRO Sub Object
                ''',
                'ipv4rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rro-sub-object', REFERENCE_CLASS, 'LabelRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.LabelRroSubObject', 
                [], [], 
                '''                Label RRO Sub Object
                ''',
                'label_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtRroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtRroSubobjEnum', 
                [], [], 
                '''                RROType
                ''',
                'rro_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-rro-sub-object', REFERENCE_CLASS, 'SrlgRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.SrlgRroSubObject', 
                [], [], 
                '''                SRLG RRO Sub Object
                ''',
                'srlg_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-rro-sub-object', REFERENCE_CLASS, 'UnnumberedRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.UnnumberedRroSubObject', 
                [], [], 
                '''                Unnumbered RRO Sub Object
                ''',
                'unnumbered_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-rro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.Ipv4RroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.Ipv4RroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.Ipv4RroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.Ipv4RroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.Ipv4RroSubObject.Flags', 
                [], [], 
                '''                The RRO IPV4 Subobject Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO IPV4 Address
                ''',
                'rro_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.LabelRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.LabelRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-global-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label is Global across all interfaces
                ''',
                'is_global_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.LabelRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.LabelRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.LabelRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Label Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-label-variable-length', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the RRO Subobject Label Variable Length
                ''',
                'is_label_variable_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Label Value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('variable-length-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Variable Length Label
                ''',
                'variable_length_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'label-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.UnnumberedRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.UnnumberedRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Unnumbered Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO Interface Address
                ''',
                'interface_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.SrlgRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.SrlgRroSubObject',
            False, 
            [
            _MetaInfoClassMember('srl-gs', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject SRLGs
                ''',
                'srl_gs',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro',
            False, 
            [
            _MetaInfoClassMember('ipv4rro-sub-object', REFERENCE_CLASS, 'Ipv4RroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.Ipv4RroSubObject', 
                [], [], 
                '''                IPV4 RRO Sub Object
                ''',
                'ipv4rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rro-sub-object', REFERENCE_CLASS, 'LabelRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.LabelRroSubObject', 
                [], [], 
                '''                Label RRO Sub Object
                ''',
                'label_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtRroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtRroSubobjEnum', 
                [], [], 
                '''                RROType
                ''',
                'rro_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-rro-sub-object', REFERENCE_CLASS, 'SrlgRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.SrlgRroSubObject', 
                [], [], 
                '''                SRLG RRO Sub Object
                ''',
                'srlg_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-rro-sub-object', REFERENCE_CLASS, 'UnnumberedRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.UnnumberedRroSubObject', 
                [], [], 
                '''                Unnumbered RRO Sub Object
                ''',
                'unnumbered_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-rro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathAffinityArray' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathAffinityArray',
            False, 
            [
            _MetaInfoClassMember('hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Hop address
                ''',
                'hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop-affinity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'hop_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop-extended-affinity', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hop affinity
                ''',
                'hop_extended_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-affinity-array',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseEroIn.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseEroIn.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseEroIn.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseEroIn.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseEroIn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseEroIn',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseEroIn.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseEroIn.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-ero-in',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.S2LSegmentRoutingPath' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.S2LSegmentRoutingPath',
            False, 
            [
            _MetaInfoClassMember('has-entropy-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Hop has EL specified
                ''',
                'has_entropy_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-ip-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node has IP addresses specified
                ''',
                'has_ip_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-mpls-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Hop has MPLS label specified
                ''',
                'has_mpls_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local IP address of adjacency or Node ID
                ''',
                'local_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mpls-label-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The MPLS label value
                ''',
                'mpls_label_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote IP address of adjacency
                ''',
                'remote_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sid-type', REFERENCE_ENUM_CLASS, 'TeSrSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSrSidEnum', 
                [], [], 
                '''                Type of the SID
                ''',
                'sid_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-segment-routing-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L',
            False, 
            [
            _MetaInfoClassMember('abr-auto-discovered', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next ABR auto discovered
                ''',
                'abr_auto_discovered',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('active-path-option', REFERENCE_CLASS, 'ActivePathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption', 
                [], [], 
                '''                The path option used to find the path for this
                S2L
                ''',
                'active_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('association', REFERENCE_CLASS, 'Association' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.Association', 
                [], [], 
                '''                Association Object
                ''',
                'association',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface handle of the backup tunnel
                ''',
                'backup_tunnel_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('diversity-info', REFERENCE_CLASS, 'DiversityInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.DiversityInfo', 
                [], [], 
                '''                S2L Diversity Information
                ''',
                'diversity_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('downstream-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Downstream router id
                ''',
                'downstream_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Egress Interface
                ''',
                'egress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface-brief', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Egress Interface in brief format
                ''',
                'egress_interface_brief',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Interface
                ''',
                'egress_interface_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Outgoing ERO's affinity bits (colors)
                ''',
                'expanded_ero_affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Outgoing ERO's affinity mask (colors)
                ''',
                'expanded_ero_affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Indicates the protocol and area used to find
                Outgoing ERO
                ''',
                'expanded_ero_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The metric value of the expanded path
                ''',
                'expanded_ero_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-metric-type', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                The Outgoing ERO's selection metric
                ''',
                'expanded_ero_metric_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex-info', REFERENCE_CLASS, 'FlexInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.FlexInfo', 
                [], [], 
                '''                FlexLSP S2L Information
                ''',
                'flex_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-out-tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FRR out tunnel intface
                ''',
                'frr_out_tunnel_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fspec', REFERENCE_CLASS, 'Fspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.Fspec', 
                [], [], 
                '''                The F spec info
                ''',
                'fspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generic-fspec', REFERENCE_CLASS, 'GenericFspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GenericFspec', 
                [], [], 
                '''                Generic FSpec
                ''',
                'generic_fspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generic-tspec', REFERENCE_CLASS, 'GenericTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GenericTspec', 
                [], [], 
                '''                Generic TSpec
                ''',
                'generic_tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gmpls-labels', REFERENCE_CLASS, 'GmplsLabels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels', 
                [], [], 
                '''                GMPLS labels
                ''',
                'gmpls_labels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('head-end-bfd-info', REFERENCE_CLASS, 'HeadEndBfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.HeadEndBfdInfo', 
                [], [], 
                '''                The Head-end BFD info
                ''',
                'head_end_bfd_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-ero', REFERENCE_LIST, 'InEro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InEro', 
                [], [], 
                '''                Incoming ERO for this S2L
                ''',
                'in_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-xro', REFERENCE_CLASS, 'InXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro', 
                [], [], 
                '''                Incoming XRO for this S2L
                ''',
                'in_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Incoming interface address
                ''',
                'incoming_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-address-generic', REFERENCE_CLASS, 'IncomingAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.IncomingAddressGeneric', 
                [], [], 
                '''                Incoming interface address
                ''',
                'incoming_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ingress Interface
                ''',
                'ingress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface-brief', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ingress Interface in brief format
                ''',
                'ingress_interface_brief',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Interface
                ''',
                'ingress_interface_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-protect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BW Protection Enabled or Disabled
                ''',
                'is_bandwidth_protect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-expanded-ero', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if this LSR expanded a loose path
                ''',
                'is_expanded_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-frr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Enabled or Disabled
                ''',
                'is_frr_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Enabled or Disabled
                ''',
                'is_node_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-optical', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Optical
                ''',
                'is_optical',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local router id
                ''',
                'local_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-info', REFERENCE_CLASS, 'LspWrapInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.LspWrapInfo', 
                [], [], 
                '''                Lsp Wrap  Related information
                ''',
                'lsp_wrap_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop address
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address-generic', REFERENCE_CLASS, 'NextHopAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.NextHopAddressGeneric', 
                [], [], 
                '''                Next hop address
                ''',
                'next_hop_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('node-hop-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hop count
                ''',
                'node_hop_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn-s2l', REFERENCE_CLASS, 'OtnS2L' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L', 
                [], [], 
                '''                Otn S2L Information
                ''',
                'otn_s2l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-ero', REFERENCE_LIST, 'OutEro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutEro', 
                [], [], 
                '''                Outgoing ERO for this S2L
                ''',
                'out_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-xro', REFERENCE_CLASS, 'OutXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro', 
                [], [], 
                '''                Outgoing XRO for this S2L
                ''',
                'out_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outbound-frr-state', REFERENCE_ENUM_CLASS, 'MplsTeFrrStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeFrrStateEnum', 
                [], [], 
                '''                Indicates outbound FRR state
                ''',
                'outbound_frr_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-affinity-array', REFERENCE_LIST, 'PathAffinityArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathAffinityArray', 
                [], [], 
                '''                Tunnel's Path hops with affinity
                ''',
                'path_affinity_array',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reeval-query-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loose path reevaluation query received at
                mid-point
                ''',
                'path_reeval_query_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-rro', REFERENCE_LIST, 'PathRro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro', 
                [], [], 
                '''                Path RRO for this S2L
                ''',
                'path_rro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-rro-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path RRO Enabled or Disabled
                ''',
                'path_rro_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-using-strict-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is using Strict SPF
                ''',
                'path_using_strict_spf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcalc-area', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IGP-area in which the S2L path was calculated
                ''',
                'pcalc_area',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Previous hop address
                ''',
                'previous_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-hop-address-generic', REFERENCE_CLASS, 'PreviousHopAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric', 
                [], [], 
                '''                Previous hop address
                ''',
                'previous_hop_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection', REFERENCE_CLASS, 'Protection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.Protection', 
                [], [], 
                '''                Protection Object
                ''',
                'protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-rro', REFERENCE_LIST, 'ResvRro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro', 
                [], [], 
                '''                Resv RRO for this S2L
                ''',
                'resv_rro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-ero-in', REFERENCE_LIST, 'ReverseEroIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseEroIn', 
                [], [], 
                '''                 Reverse Incoming ERO for this S2L
                ''',
                'reverse_ero_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Connected
                ''',
                'reverse_lsp_connected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-fec', REFERENCE_CLASS, 'ReverseLspFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseLspFec', 
                [], [], 
                '''                Reverse Associated Bidir LSP FEC
                ''',
                'reverse_lsp_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Name
                ''',
                'reverse_lsp_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Present
                ''',
                'reverse_lsp_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-tspec', REFERENCE_CLASS, 'ReverseTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseTspec', 
                [], [], 
                '''                The Reverse T spec info
                ''',
                'reverse_tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The reverse path weight
                ''',
                'reverse_weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('role', REFERENCE_ENUM_CLASS, 'MplsTeTunnelRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelRoleEnum', 
                [], [], 
                '''                Role of S2L
                ''',
                'role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-convergence', REFERENCE_CLASS, 'S2LConvergence' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.S2LConvergence', 
                [], [], 
                '''                TE LSP convergence related information
                ''',
                's2l_convergence',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec', REFERENCE_CLASS, 'S2LFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.S2LFec', 
                [], [], 
                '''                FEC for the S2L
                ''',
                's2l_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label
                ''',
                's2l_local_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing label
                ''',
                's2l_out_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-ero-obj-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2l Reverse ERO Object Present
                ''',
                's2l_reverse_ero_obj_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-lsp-sub-obj', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Reverse LSP Sub Objects
                ''',
                's2l_reverse_lsp_sub_obj',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-tspec-obj-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Reverse TSpec Object Present
                ''',
                's2l_reverse_tspec_obj_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-segment-routing-path', REFERENCE_LIST, 'S2LSegmentRoutingPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.S2LSegmentRoutingPath', 
                [], [], 
                '''                Segment-Routing S2L path info
                ''',
                's2l_segment_routing_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared-risk-link-group', REFERENCE_LIST, 'SharedRiskLinkGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.SharedRiskLinkGroup', 
                [], [], 
                '''                The S2L's excluded srlg groups
                ''',
                'shared_risk_link_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-status', REFERENCE_ENUM_CLASS, 'MplsTeTunnelsSignalingStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelsSignalingStatusEnum', 
                [], [], 
                '''                Signaling status
                ''',
                'signalling_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption', REFERENCE_CLASS, 'SoftPreemption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.SoftPreemption', 
                [], [], 
                '''                The soft preemption info for this LSP.
                ''',
                'soft_preemption',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-collection', REFERENCE_CLASS, 'SrlgCollection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.SrlgCollection', 
                [], [], 
                '''                SRLG-collection data
                ''',
                'srlg_collection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tail-end-bfd-info', REFERENCE_CLASS, 'TailEndBfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.TailEndBfdInfo', 
                [], [], 
                '''                The Tail-end BFD info
                ''',
                'tail_end_bfd_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-preferred-path-exists-send-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last preferred path exists msg send
                from mid-point
                ''',
                'time_since_last_preferred_path_exists_send_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-preferred-tree-exists-send-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last preferred tree exists msg send
                from mid-point
                ''',
                'time_since_last_preferred_tree_exists_send_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-query-received-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last reevaluation query received at
                mid-point
                ''',
                'time_since_last_query_received_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tspec', REFERENCE_CLASS, 'Tspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.Tspec', 
                [], [], 
                '''                The T spec info
                ''',
                'tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('upstream-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Upstream router id
                ''',
                'upstream_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the tunnel was up
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The path's weight
                ''',
                'weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp',
            False, 
            [
            _MetaInfoClassMember('dste-class-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Matching DSTE class index
                ''',
                'dste_class_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-match', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Do the class type and priority match a DSTE
                class
                ''',
                'dste_class_match',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-active-reason', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP LSP FRR active reason
                ''',
                'frr_active_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-frr-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                P2MP LSP has FRR Failed
                ''',
                'is_frr_failed',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True for tunnel head
                ''',
                'is_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-passive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True for passive tunnel
                ''',
                'is_passive',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-path-change', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last path change
                ''',
                'last_path_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP LSP Bandwidth
                ''',
                'lsp_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The LSP bandwidth type
                ''',
                'lsp_bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-fec', REFERENCE_CLASS, 'LspFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.LspFec', 
                [], [], 
                '''                FEC for the LSP
                ''',
                'lsp_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSP hold priority
                ''',
                'lsp_hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSP setup priority
                ''',
                'lsp_setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('persistent-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Persistent forwarding statistics for number of
                bytes. Clear counters will not reset the counter
                ''',
                'persistent_bytes',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('persistent-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Persistent forwarding statistics for Number of
                packets. Clear counters will not reset the
                counter
                ''',
                'persistent_packets',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimize-reason', REFERENCE_ENUM_CLASS, 'MplsTeReoptDecisionReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeReoptDecisionReasonEnum', 
                [], [], 
                '''                Reason for re-optimization
                ''',
                'reoptimize_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimize-trigger', REFERENCE_ENUM_CLASS, 'MteReoptTriggerEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MteReoptTriggerEnum', 
                [], [], 
                '''                Re-optimize trigger
                ''',
                'reoptimize_trigger',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-down', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of down S2Ls
                ''',
                's2_ls_down',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-proceeding', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of proceeding S2Ls
                ''',
                's2_ls_proceeding',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of connected S2Ls
                ''',
                's2_ls_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l', REFERENCE_LIST, 'S2L' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L', 
                [], [], 
                '''                array of S2L structures
                ''',
                's2l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signaled-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signaled Name
                ''',
                'signaled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('timer-left', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds left to take next action if any
                ''',
                'timer_left',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MplsTeLspEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspEnum', 
                [], [], 
                '''                The type of this LSP
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the tunnel was up
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tunnel-current-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.LspFec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.LspFec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.LspFec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.LspFec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.LspFec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.S2LFec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.S2LFec',
            False, 
            [
            _MetaInfoClassMember('s2l-fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                Session identifier (ctype)
                ''',
                's2l_fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-dest', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                sub-LSP destination address
                ''',
                's2l_fec_dest',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                's2l_fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                's2l_fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                's2l_fec_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSP source address
                ''',
                's2l_fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                sub-LSP subgroup ID
                ''',
                's2l_fec_subgroup_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                's2l_fec_subgroup_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                's2l_fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                's2l_fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.PathCalculationError' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.PathCalculationError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-calculation-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.RemergeError' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.RemergeError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'remerge-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.SignallingError' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.SignallingError',
            False, 
            [
            _MetaInfoClassMember('error', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Path Error code
                ''',
                'error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Source address of the error generating node
                ''',
                'error_node',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSPMode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if error is on the reverse LSP
                ''',
                'reverse_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP-id for which the error was received
                ''',
                'signalling_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path Error subcode
                ''',
                'sub_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalling-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption',
            False, 
            [
            _MetaInfoClassMember('attribute-set', REFERENCE_CLASS, 'AttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet', 
                [], [], 
                '''                The path option attribute set used by this path
                ''',
                'attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-found', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has found the defined attribute
                set
                ''',
                'attribute_set_found',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Explicit Path ID, this is the key to table
                ExplicitPaths.IdentifierTable
                ''',
                'explicit_path_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Explicit Path Name, this is the key to table
                ExplicitPaths.NameTable
                ''',
                'explicit_path_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has an attribute set defined
                ''',
                'has_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-xro-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has an XRO attribute set
                configured
                ''',
                'has_xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('holddown-duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Holddown Duration (seconds)
                ''',
                'holddown_duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path option is disabled
                ''',
                'is_disabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-helddown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if path is helddown
                ''',
                'is_helddown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-lockdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is locked down
                ''',
                'is_lockdown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-segment-routing', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is Segment-Routing
                ''',
                'is_segment_routing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-explicit-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if explicit path is strict
                ''',
                'is_strict_explicit_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-verbatim', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is verbatim
                ''',
                'is_verbatim',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index
                ''',
                'option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index-is-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The path option index is valid
                ''',
                'option_index_is_valid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-calculation-error', REFERENCE_LIST, 'PathCalculationError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.PathCalculationError', 
                [], [], 
                '''                Path computation information
                ''',
                'path_calculation_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The path-option area constraint
                ''',
                'path_option_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path option name
                ''',
                'path_option_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-type', REFERENCE_ENUM_CLASS, 'MplsTePathoptionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTePathoptionEnum', 
                [], [], 
                '''                Path option type
                ''',
                'path_option_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                PCE server address
                ''',
                'pce_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-by-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for Protect path options
                ''',
                'protected_by_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remerge-error', REFERENCE_LIST, 'RemergeError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.RemergeError', 
                [], [], 
                '''                Path computation remerge resolve info
                ''',
                'remerge_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restored-from-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for Restore path options
                ''',
                'restored_from_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-error', REFERENCE_LIST, 'SignallingError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.SignallingError', 
                [], [], 
                '''                Signalling information
                ''',
                'signalling_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set', REFERENCE_CLASS, 'XroAttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet', 
                [], [], 
                '''                The XRO attribute set used by this path-option
                ''',
                'xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set-found', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path's XRO attribute set is known
                ''',
                'xro_attribute_set_found',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'active-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'out-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'in-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.Tspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.Tspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GenericTspec.Otntspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GenericTspec.Otntspec',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit Rate in kbps
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nmc-or-tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                NMC or Tolerance
                ''',
                'nmc_or_tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Virtual Components
                ''',
                'nvc',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otntspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GenericTspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GenericTspec',
            False, 
            [
            _MetaInfoClassMember('otntspec', REFERENCE_CLASS, 'Otntspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GenericTspec.Otntspec', 
                [], [], 
                '''                TE TSpec for G709 OTN
                ''',
                'otntspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tspec-type', REFERENCE_ENUM_CLASS, 'TeMgmtGenericTspecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeMgmtGenericTspecEnum', 
                [], [], 
                '''                TSpecType
                ''',
                'tspec_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'generic-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.Fspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.Fspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GenericFspec.Otnfspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GenericFspec.Otnfspec',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit Rate in kbps
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nmc-or-tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                NMC or Tolerance
                ''',
                'nmc_or_tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Virtual Components
                ''',
                'nvc',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otnfspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GenericFspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GenericFspec',
            False, 
            [
            _MetaInfoClassMember('fspec-type', REFERENCE_ENUM_CLASS, 'TeMgmtGenericFspecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeMgmtGenericFspecEnum', 
                [], [], 
                '''                FSpecType
                ''',
                'fspec_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otnfspec', REFERENCE_CLASS, 'Otnfspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GenericFspec.Otnfspec', 
                [], [], 
                '''                TE FSpec for G709 OTN
                ''',
                'otnfspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'generic-fspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'next-hop-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'previous-hop-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'incoming-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.S2LConvergence' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.S2LConvergence',
            False, 
            [
            _MetaInfoClassMember('creation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tunnel creation timestamp (clocktime in nsecs)
                ''',
                'creation_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rewrite', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP Label rewrite timestamp (clocktime in nsecs)
                ''',
                'label_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Path-in timestamp (clocktime in nsecs)
                ''',
                'path_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Path-in timestamp (clocktime in nsecs)
                ''',
                'path_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Resv-in timestamp (clocktime in nsecs)
                ''',
                'resv_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Resv-out timestamp (clocktime in nsecs)
                ''',
                'resv_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-rewrite', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tunnel rewrite timestamp (clocktime in nsecs)
                ''',
                'tunnel_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-convergence',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.SoftPreemption' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.SoftPreemption',
            False, 
            [
            _MetaInfoClassMember('fr-rrewrite', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR-rewrite during soft preemption
                ''',
                'fr_rrewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fr-rrewrite-tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The tunnel name of the backup
                ''',
                'fr_rrewrite_tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('preempting-link-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The address of the link where the preemption
                happened
                ''',
                'preempting_link_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-link', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the link where the soft preemption
                occurred
                ''',
                'soft_preemption_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The POSIX timestamp when the soft preemption
                occurred
                ''',
                'soft_preemption_timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'MplsTeSoftPreemptionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeSoftPreemptionStateEnum', 
                [], [], 
                '''                The current state of the soft preemption
                operation
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-to-hard-preemption', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The number of seconds until hard preemption is
                triggered
                ''',
                'time_to_hard_preemption',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'soft-preemption',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels',
            False, 
            [
            _MetaInfoClassMember('path-egress-label', REFERENCE_CLASS, 'PathEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel', 
                [], [], 
                '''                Path message (upstream) egress label
                ''',
                'path_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-ingress-label', REFERENCE_CLASS, 'PathIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel', 
                [], [], 
                '''                Path message (upstream) ingress label
                ''',
                'path_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-egress-label', REFERENCE_CLASS, 'ResvEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel', 
                [], [], 
                '''                Resv message (downstream) egress label
                ''',
                'resv_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-ingress-label', REFERENCE_CLASS, 'ResvIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel', 
                [], [], 
                '''                Resv message (downstream) ingress label
                ''',
                'resv_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'gmpls-labels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tolerance
                ''',
                'tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-cbr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-gfp-f-res',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-gfp-f-non-res',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth',
            False, 
            [
            _MetaInfoClassMember('odu-flex-cbr', REFERENCE_CLASS, 'OduFlexCbr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr', 
                [], [], 
                '''                Odu flex CBR info
                ''',
                'odu_flex_cbr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-flex-gfp-f-non-res', REFERENCE_CLASS, 'OduFlexGfpFNonRes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes', 
                [], [], 
                '''                Odu flex GFP-F non-resizable info
                ''',
                'odu_flex_gfp_f_non_res',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-flex-gfp-f-res', REFERENCE_CLASS, 'OduFlexGfpFRes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes', 
                [], [], 
                '''                Odu flex GFP-F resizable info
                ''',
                'odu_flex_gfp_f_res',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-level', REFERENCE_ENUM_CLASS, 'TeOduLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeOduLevelEnum', 
                [], [], 
                '''                ODULevel
                ''',
                'odu_level',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels',
            False, 
            [
            _MetaInfoClassMember('path-egress-label', REFERENCE_CLASS, 'PathEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel', 
                [], [], 
                '''                Path message (upstream) egress label
                ''',
                'path_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-ingress-label', REFERENCE_CLASS, 'PathIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel', 
                [], [], 
                '''                Path message (upstream) ingress label
                ''',
                'path_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-egress-label', REFERENCE_CLASS, 'ResvEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel', 
                [], [], 
                '''                Resv message (downstream) egress label
                ''',
                'resv_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-ingress-label', REFERENCE_CLASS, 'ResvIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel', 
                [], [], 
                '''                Resv message (downstream) ingress label
                ''',
                'resv_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'labels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn',
            False, 
            [
            _MetaInfoClassMember('bandwidth', REFERENCE_CLASS, 'Bandwidth' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth', 
                [], [], 
                '''                OTN Bandwidth for s2l
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cross-connect-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cross connect id
                ''',
                'cross_connect_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gpid', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Gpid Payload
                ''',
                'gpid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Incoming Controller
                ''',
                'incoming_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Incoming Controller Ifhandle
                ''',
                'incoming_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Controller
                ''',
                'incoming_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Incoming Sub Controller
                ''',
                'incoming_sub_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Incoming Sub Controller Ifhandle
                ''',
                'incoming_sub_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Sub Controller
                ''',
                'incoming_sub_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if subcontrollers are connected
                ''',
                'is_connected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('labels', REFERENCE_CLASS, 'Labels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels', 
                [], [], 
                '''                Labels
                ''',
                'labels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing Controller
                ''',
                'outgoing_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Controller Ifhandle
                ''',
                'outgoing_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Controller
                ''',
                'outgoing_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing Sub Controller
                ''',
                'outgoing_sub_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Sub Controller Ifhandle
                ''',
                'outgoing_sub_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Sub Controller
                ''',
                'outgoing_sub_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                XC Uptime
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Aps.ProtectionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Aps.ProtectionInfo',
            False, 
            [
            _MetaInfoClassMember('ho-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-Off timeout
                ''',
                'ho_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-hopresent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Hold-Off timeout present
                ''',
                'is_hopresent',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-snc-mode-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SNC mode present
                ''',
                'is_snc_mode_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-wtr-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Wait-to-Restore timeout present
                ''',
                'is_wtr_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Notification bit 
                ''',
                'nbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('obit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Operational bit
                ''',
                'obit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path protection profile type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Protecting bit
                ''',
                'pbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protect-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                LSP Protect Type
                ''',
                'protect_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Secondary bit
                ''',
                'sbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                SNC mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TCM ID
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wtr-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait-to-Restore timeout
                ''',
                'wtr_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protection-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Aps' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Aps',
            False, 
            [
            _MetaInfoClassMember('protection-info', REFERENCE_CLASS, 'ProtectionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Aps.ProtectionInfo', 
                [], [], 
                '''                Protection Info
                ''',
                'protection_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'aps',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L',
            False, 
            [
            _MetaInfoClassMember('aps', REFERENCE_CLASS, 'Aps' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Aps', 
                [], [], 
                '''                APS Info for OTN S2L
                ''',
                'aps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn', 
                [], [], 
                '''                Info Related to OTN technology in S2L
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn-s2l',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo.SessionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo.SessionInfo',
            False, 
            [
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'TeBfdLspSessionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdLspSessionStateEnum', 
                [], [], 
                '''                BFD session state
                ''',
                'state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('state-change-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last session state
                change
                ''',
                'state_change_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'session-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo.DeletionHistory' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo.DeletionHistory',
            False, 
            [
            _MetaInfoClassMember('deletion-diagnostic-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Diagnostic Code for the BFD session get deleted
                ''',
                'deletion_diagnostic_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reason for the BFD session get deleted
                ''',
                'deletion_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time stamp of the BFD session get deleted
                ''',
                'deletion_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID of the BFD session get deleted
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'deletion-history',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-reverse-path-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path labels
                ''',
                'bfd_reverse_path_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The BFD reverse path is stale compared to
                configuration
                ''',
                'bfd_reverse_path_stale',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('creation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the BFD session created
                ''',
                'creation_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-history', REFERENCE_CLASS, 'DeletionHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo.DeletionHistory', 
                [], [], 
                '''                BFD Session Deletion History
                ''',
                'deletion_history',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-redundant', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                sBFD session is redundant
                ''',
                'is_redundant',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lspbfd-type', REFERENCE_ENUM_CLASS, 'TeVifBfdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeVifBfdEnum', 
                [], [], 
                '''                LSP BFD type
                ''',
                'lspbfd_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-info', REFERENCE_CLASS, 'SessionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo.SessionInfo', 
                [], [], 
                '''                BFD Session Info
                ''',
                'session_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'head-end-bfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.TailEndBfdInfo.SessionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.TailEndBfdInfo.SessionInfo',
            False, 
            [
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'TeBfdLspSessionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdLspSessionStateEnum', 
                [], [], 
                '''                BFD session state
                ''',
                'state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('state-change-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last session state
                change
                ''',
                'state_change_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'session-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.TailEndBfdInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.TailEndBfdInfo',
            False, 
            [
            _MetaInfoClassMember('failure-diagnostic-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD session failure diagnostic code
                ''',
                'failure_diagnostic_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('failure-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                BFD session failure reason
                ''',
                'failure_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-discriminator', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Local Discriminator
                ''',
                'local_discriminator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('min-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello interval in mini second
                ''',
                'min_interval',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('min-interval-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default hello interval
                ''',
                'min_interval_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default multiplier
                ''',
                'multiplier_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-discriminator', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Remote Discrminator
                ''',
                'remote_discriminator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-info', REFERENCE_CLASS, 'SessionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.TailEndBfdInfo.SessionInfo', 
                [], [], 
                '''                BFD Session Info
                ''',
                'session_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tail-end-bfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.SrlgCollection' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.SrlgCollection',
            False, 
            [
            _MetaInfoClassMember('discovered-srlg', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Discovered SRLGs
                ''',
                'discovered_srlg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-collect-type', REFERENCE_ENUM_CLASS, 'TeSrlgCollectRequestEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSrlgCollectRequestEnum', 
                [], [], 
                '''                SRLG-collection mechanism
                ''',
                'srlg_collect_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-collection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.Association' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.Association',
            False, 
            [
            _MetaInfoClassMember('s2l-association-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Association ID
                ''',
                's2l_association_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                S2L Association Source
                ''',
                's2l_association_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-tie-role', REFERENCE_ENUM_CLASS, 'TeAssociationTieRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAssociationTieRoleEnum', 
                [], [], 
                '''                S2L Association Tie Role
                ''',
                's2l_association_tie_role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Association Type                         
                (draft-ietf-ccamp-mpls-tp-rsvpte-ext-associated-lsp)
                ''',
                's2l_association_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-extended-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L Extended ID Array
                ''',
                's2l_extended_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-global-source', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L Global Source
                ''',
                's2l_global_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'association',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.Protection' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.Protection',
            False, 
            [
            _MetaInfoClassMember('any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Any
                ''',
                'any',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ded1-plus1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1+1 Protection
                ''',
                'ded1_plus1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ded1-to1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1:1 Protection
                ''',
                'ded1_to1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('enhanced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates Enhanced Protection Scheme
                ''',
                'enhanced',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extra-traffic', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should use Links that are protecting other
                (primary) traffic
                ''',
                'extra_traffic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should not use any Link Layer Protection
                ''',
                'link_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Flags Unprotected
                ''',
                'lsp_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-plus-one-bi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Bidirectional Protection
                ''',
                'one_plus_one_bi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-plus-one-uni', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Unidirectional Protection
                ''',
                'one_plus_one_uni',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-to-n-protection-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1:N Protection with Extra-Traffic
                ''',
                'one_to_n_protection_et',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Full Rerouting
                ''',
                'rerouting',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouting-no-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Rerouting Without Extra-Traffic
                ''',
                'rerouting_no_et',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-notification', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Notification Bit
                ''',
                's2l_notification',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-operational', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Operational Bit
                ''',
                's2l_operational',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Protecting Bit
                ''',
                's2l_protecting',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-secondary', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Secondary Bit
                ''',
                's2l_secondary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Shared Link Layer Protection
                ''',
                'shared',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseLspFec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseLspFec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseLspFec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseLspFec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseLspFec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-lsp-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseTspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseTspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.FlexInfo.FlexFec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.FlexInfo.FlexFec',
            False, 
            [
            _MetaInfoClassMember('s2l-fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                Session identifier (ctype)
                ''',
                's2l_fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-dest', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                sub-LSP destination address
                ''',
                's2l_fec_dest',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                's2l_fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                's2l_fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                's2l_fec_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSP source address
                ''',
                's2l_fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                sub-LSP subgroup ID
                ''',
                's2l_fec_subgroup_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                's2l_fec_subgroup_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                's2l_fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                's2l_fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.FlexInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.FlexInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-created', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GAL BFD Session Created
                ''',
                'bfd_created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-egress-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Egress Label
                ''',
                'bfd_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-int-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Internal Label
                ''',
                'bfd_int_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                BFD Next Hop
                ''',
                'bfd_next_hop',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-out-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD Out Interface Handle
                ''',
                'bfd_out_ifh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-tun-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD Tunnel Interface Handle
                ''',
                'bfd_tun_ifh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GAL BFD Session Up
                ''',
                'bfd_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('entry-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FlexLSP Entry Exists
                ''',
                'entry_exists',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ais', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault AIS
                ''',
                'fault_ais',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ldi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LDI
                ''',
                'fault_ldi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ldi-lockout', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LDI Lockout
                ''',
                'fault_ldi_lockout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-lkr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LKR
                ''',
                'fault_lkr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Fault Time
                ''',
                'fault_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex-fec', REFERENCE_CLASS, 'FlexFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.FlexInfo.FlexFec', 
                [], [], 
                '''                FEC for the FlexLSP Entry
                ''',
                'flex_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                In Label
                ''',
                'in_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('oam-created', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                OAM Entry Created
                ''',
                'oam_created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.LspWrapInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.LspWrapInfo',
            False, 
            [
            _MetaInfoClassMember('lsp-wrap-protection-enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Wrap protection enabled
                ''',
                'lsp_wrap_protection_enable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-protection-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSP Wrap Merge Point Label
                ''',
                'lsp_wrap_protection_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-protection-state', REFERENCE_ENUM_CLASS, 'MplsTeLspWrapStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspWrapStateEnum', 
                [], [], 
                '''                LSP wrap protection state
                ''',
                'lsp_wrap_protection_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reverse Egress Interface
                ''',
                'reverse_egress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reverse LSP label
                ''',
                'reverse_lsp_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-wrap-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.DiversityInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.DiversityInfo',
            False, 
            [
            _MetaInfoClassMember('diversity-type', REFERENCE_ENUM_CLASS, 'TePpDiversityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePpDiversityEnum', 
                [], [], 
                '''                S2L path diversity type
                ''',
                'diversity_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'diversity-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.SharedRiskLinkGroup' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.SharedRiskLinkGroup',
            False, 
            [
            _MetaInfoClassMember('shared-risk-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG number
                ''',
                'shared_risk_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SRLG name
                ''',
                'srlg_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'shared-risk-link-group',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutEro.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutEro.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutEro.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutEro.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutEro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutEro',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutEro.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutEro.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'out-ero',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InEro.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InEro.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InEro.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InEro.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InEro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InEro',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InEro.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InEro.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'in-ero',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.Ipv4RroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.Ipv4RroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.Ipv4RroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.Ipv4RroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.Ipv4RroSubObject.Flags', 
                [], [], 
                '''                The RRO IPV4 Subobject Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO IPV4 Address
                ''',
                'rro_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.LabelRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.LabelRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-global-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label is Global across all interfaces
                ''',
                'is_global_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.LabelRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.LabelRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.LabelRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Label Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-label-variable-length', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the RRO Subobject Label Variable Length
                ''',
                'is_label_variable_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Label Value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('variable-length-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Variable Length Label
                ''',
                'variable_length_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'label-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.UnnumberedRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.UnnumberedRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Unnumbered Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO Interface Address
                ''',
                'interface_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.SrlgRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.SrlgRroSubObject',
            False, 
            [
            _MetaInfoClassMember('srl-gs', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject SRLGs
                ''',
                'srl_gs',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro',
            False, 
            [
            _MetaInfoClassMember('ipv4rro-sub-object', REFERENCE_CLASS, 'Ipv4RroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.Ipv4RroSubObject', 
                [], [], 
                '''                IPV4 RRO Sub Object
                ''',
                'ipv4rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rro-sub-object', REFERENCE_CLASS, 'LabelRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.LabelRroSubObject', 
                [], [], 
                '''                Label RRO Sub Object
                ''',
                'label_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtRroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtRroSubobjEnum', 
                [], [], 
                '''                RROType
                ''',
                'rro_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-rro-sub-object', REFERENCE_CLASS, 'SrlgRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.SrlgRroSubObject', 
                [], [], 
                '''                SRLG RRO Sub Object
                ''',
                'srlg_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-rro-sub-object', REFERENCE_CLASS, 'UnnumberedRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.UnnumberedRroSubObject', 
                [], [], 
                '''                Unnumbered RRO Sub Object
                ''',
                'unnumbered_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-rro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.Ipv4RroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.Ipv4RroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags', 
                [], [], 
                '''                The RRO IPV4 Subobject Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO IPV4 Address
                ''',
                'rro_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.LabelRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.LabelRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-global-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label is Global across all interfaces
                ''',
                'is_global_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.LabelRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.LabelRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.LabelRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Label Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-label-variable-length', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the RRO Subobject Label Variable Length
                ''',
                'is_label_variable_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Label Value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('variable-length-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Variable Length Label
                ''',
                'variable_length_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'label-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Unnumbered Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO Interface Address
                ''',
                'interface_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.SrlgRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.SrlgRroSubObject',
            False, 
            [
            _MetaInfoClassMember('srl-gs', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject SRLGs
                ''',
                'srl_gs',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro',
            False, 
            [
            _MetaInfoClassMember('ipv4rro-sub-object', REFERENCE_CLASS, 'Ipv4RroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.Ipv4RroSubObject', 
                [], [], 
                '''                IPV4 RRO Sub Object
                ''',
                'ipv4rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rro-sub-object', REFERENCE_CLASS, 'LabelRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.LabelRroSubObject', 
                [], [], 
                '''                Label RRO Sub Object
                ''',
                'label_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtRroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtRroSubobjEnum', 
                [], [], 
                '''                RROType
                ''',
                'rro_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-rro-sub-object', REFERENCE_CLASS, 'SrlgRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.SrlgRroSubObject', 
                [], [], 
                '''                SRLG RRO Sub Object
                ''',
                'srlg_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-rro-sub-object', REFERENCE_CLASS, 'UnnumberedRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject', 
                [], [], 
                '''                Unnumbered RRO Sub Object
                ''',
                'unnumbered_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-rro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathAffinityArray' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathAffinityArray',
            False, 
            [
            _MetaInfoClassMember('hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Hop address
                ''',
                'hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop-affinity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'hop_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop-extended-affinity', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hop affinity
                ''',
                'hop_extended_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-affinity-array',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseEroIn.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseEroIn.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseEroIn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseEroIn',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseEroIn.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-ero-in',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.S2LSegmentRoutingPath' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.S2LSegmentRoutingPath',
            False, 
            [
            _MetaInfoClassMember('has-entropy-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Hop has EL specified
                ''',
                'has_entropy_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-ip-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node has IP addresses specified
                ''',
                'has_ip_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-mpls-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Hop has MPLS label specified
                ''',
                'has_mpls_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local IP address of adjacency or Node ID
                ''',
                'local_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mpls-label-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The MPLS label value
                ''',
                'mpls_label_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote IP address of adjacency
                ''',
                'remote_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sid-type', REFERENCE_ENUM_CLASS, 'TeSrSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSrSidEnum', 
                [], [], 
                '''                Type of the SID
                ''',
                'sid_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-segment-routing-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L',
            False, 
            [
            _MetaInfoClassMember('abr-auto-discovered', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next ABR auto discovered
                ''',
                'abr_auto_discovered',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('active-path-option', REFERENCE_CLASS, 'ActivePathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption', 
                [], [], 
                '''                The path option used to find the path for this
                S2L
                ''',
                'active_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('association', REFERENCE_CLASS, 'Association' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.Association', 
                [], [], 
                '''                Association Object
                ''',
                'association',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface handle of the backup tunnel
                ''',
                'backup_tunnel_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('diversity-info', REFERENCE_CLASS, 'DiversityInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.DiversityInfo', 
                [], [], 
                '''                S2L Diversity Information
                ''',
                'diversity_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('downstream-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Downstream router id
                ''',
                'downstream_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Egress Interface
                ''',
                'egress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface-brief', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Egress Interface in brief format
                ''',
                'egress_interface_brief',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Interface
                ''',
                'egress_interface_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Outgoing ERO's affinity bits (colors)
                ''',
                'expanded_ero_affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Outgoing ERO's affinity mask (colors)
                ''',
                'expanded_ero_affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Indicates the protocol and area used to find
                Outgoing ERO
                ''',
                'expanded_ero_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The metric value of the expanded path
                ''',
                'expanded_ero_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-metric-type', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                The Outgoing ERO's selection metric
                ''',
                'expanded_ero_metric_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex-info', REFERENCE_CLASS, 'FlexInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.FlexInfo', 
                [], [], 
                '''                FlexLSP S2L Information
                ''',
                'flex_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-out-tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FRR out tunnel intface
                ''',
                'frr_out_tunnel_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fspec', REFERENCE_CLASS, 'Fspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.Fspec', 
                [], [], 
                '''                The F spec info
                ''',
                'fspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generic-fspec', REFERENCE_CLASS, 'GenericFspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GenericFspec', 
                [], [], 
                '''                Generic FSpec
                ''',
                'generic_fspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generic-tspec', REFERENCE_CLASS, 'GenericTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GenericTspec', 
                [], [], 
                '''                Generic TSpec
                ''',
                'generic_tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gmpls-labels', REFERENCE_CLASS, 'GmplsLabels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels', 
                [], [], 
                '''                GMPLS labels
                ''',
                'gmpls_labels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('head-end-bfd-info', REFERENCE_CLASS, 'HeadEndBfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo', 
                [], [], 
                '''                The Head-end BFD info
                ''',
                'head_end_bfd_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-ero', REFERENCE_LIST, 'InEro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InEro', 
                [], [], 
                '''                Incoming ERO for this S2L
                ''',
                'in_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-xro', REFERENCE_CLASS, 'InXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro', 
                [], [], 
                '''                Incoming XRO for this S2L
                ''',
                'in_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Incoming interface address
                ''',
                'incoming_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-address-generic', REFERENCE_CLASS, 'IncomingAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric', 
                [], [], 
                '''                Incoming interface address
                ''',
                'incoming_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ingress Interface
                ''',
                'ingress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface-brief', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ingress Interface in brief format
                ''',
                'ingress_interface_brief',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Interface
                ''',
                'ingress_interface_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-protect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BW Protection Enabled or Disabled
                ''',
                'is_bandwidth_protect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-expanded-ero', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if this LSR expanded a loose path
                ''',
                'is_expanded_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-frr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Enabled or Disabled
                ''',
                'is_frr_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Enabled or Disabled
                ''',
                'is_node_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-optical', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Optical
                ''',
                'is_optical',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local router id
                ''',
                'local_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-info', REFERENCE_CLASS, 'LspWrapInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.LspWrapInfo', 
                [], [], 
                '''                Lsp Wrap  Related information
                ''',
                'lsp_wrap_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop address
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address-generic', REFERENCE_CLASS, 'NextHopAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric', 
                [], [], 
                '''                Next hop address
                ''',
                'next_hop_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('node-hop-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hop count
                ''',
                'node_hop_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn-s2l', REFERENCE_CLASS, 'OtnS2L' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L', 
                [], [], 
                '''                Otn S2L Information
                ''',
                'otn_s2l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-ero', REFERENCE_LIST, 'OutEro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutEro', 
                [], [], 
                '''                Outgoing ERO for this S2L
                ''',
                'out_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-xro', REFERENCE_CLASS, 'OutXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro', 
                [], [], 
                '''                Outgoing XRO for this S2L
                ''',
                'out_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outbound-frr-state', REFERENCE_ENUM_CLASS, 'MplsTeFrrStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeFrrStateEnum', 
                [], [], 
                '''                Indicates outbound FRR state
                ''',
                'outbound_frr_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-affinity-array', REFERENCE_LIST, 'PathAffinityArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathAffinityArray', 
                [], [], 
                '''                Tunnel's Path hops with affinity
                ''',
                'path_affinity_array',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reeval-query-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loose path reevaluation query received at
                mid-point
                ''',
                'path_reeval_query_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-rro', REFERENCE_LIST, 'PathRro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro', 
                [], [], 
                '''                Path RRO for this S2L
                ''',
                'path_rro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-rro-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path RRO Enabled or Disabled
                ''',
                'path_rro_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-using-strict-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is using Strict SPF
                ''',
                'path_using_strict_spf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcalc-area', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IGP-area in which the S2L path was calculated
                ''',
                'pcalc_area',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Previous hop address
                ''',
                'previous_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-hop-address-generic', REFERENCE_CLASS, 'PreviousHopAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric', 
                [], [], 
                '''                Previous hop address
                ''',
                'previous_hop_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection', REFERENCE_CLASS, 'Protection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.Protection', 
                [], [], 
                '''                Protection Object
                ''',
                'protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-rro', REFERENCE_LIST, 'ResvRro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro', 
                [], [], 
                '''                Resv RRO for this S2L
                ''',
                'resv_rro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-ero-in', REFERENCE_LIST, 'ReverseEroIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseEroIn', 
                [], [], 
                '''                 Reverse Incoming ERO for this S2L
                ''',
                'reverse_ero_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Connected
                ''',
                'reverse_lsp_connected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-fec', REFERENCE_CLASS, 'ReverseLspFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseLspFec', 
                [], [], 
                '''                Reverse Associated Bidir LSP FEC
                ''',
                'reverse_lsp_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Name
                ''',
                'reverse_lsp_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Present
                ''',
                'reverse_lsp_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-tspec', REFERENCE_CLASS, 'ReverseTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseTspec', 
                [], [], 
                '''                The Reverse T spec info
                ''',
                'reverse_tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The reverse path weight
                ''',
                'reverse_weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('role', REFERENCE_ENUM_CLASS, 'MplsTeTunnelRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelRoleEnum', 
                [], [], 
                '''                Role of S2L
                ''',
                'role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-convergence', REFERENCE_CLASS, 'S2LConvergence' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.S2LConvergence', 
                [], [], 
                '''                TE LSP convergence related information
                ''',
                's2l_convergence',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec', REFERENCE_CLASS, 'S2LFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.S2LFec', 
                [], [], 
                '''                FEC for the S2L
                ''',
                's2l_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label
                ''',
                's2l_local_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing label
                ''',
                's2l_out_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-ero-obj-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2l Reverse ERO Object Present
                ''',
                's2l_reverse_ero_obj_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-lsp-sub-obj', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Reverse LSP Sub Objects
                ''',
                's2l_reverse_lsp_sub_obj',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-tspec-obj-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Reverse TSpec Object Present
                ''',
                's2l_reverse_tspec_obj_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-segment-routing-path', REFERENCE_LIST, 'S2LSegmentRoutingPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.S2LSegmentRoutingPath', 
                [], [], 
                '''                Segment-Routing S2L path info
                ''',
                's2l_segment_routing_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared-risk-link-group', REFERENCE_LIST, 'SharedRiskLinkGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.SharedRiskLinkGroup', 
                [], [], 
                '''                The S2L's excluded srlg groups
                ''',
                'shared_risk_link_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-status', REFERENCE_ENUM_CLASS, 'MplsTeTunnelsSignalingStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelsSignalingStatusEnum', 
                [], [], 
                '''                Signaling status
                ''',
                'signalling_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption', REFERENCE_CLASS, 'SoftPreemption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.SoftPreemption', 
                [], [], 
                '''                The soft preemption info for this LSP.
                ''',
                'soft_preemption',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-collection', REFERENCE_CLASS, 'SrlgCollection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.SrlgCollection', 
                [], [], 
                '''                SRLG-collection data
                ''',
                'srlg_collection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tail-end-bfd-info', REFERENCE_CLASS, 'TailEndBfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.TailEndBfdInfo', 
                [], [], 
                '''                The Tail-end BFD info
                ''',
                'tail_end_bfd_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-preferred-path-exists-send-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last preferred path exists msg send
                from mid-point
                ''',
                'time_since_last_preferred_path_exists_send_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-preferred-tree-exists-send-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last preferred tree exists msg send
                from mid-point
                ''',
                'time_since_last_preferred_tree_exists_send_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-query-received-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last reevaluation query received at
                mid-point
                ''',
                'time_since_last_query_received_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tspec', REFERENCE_CLASS, 'Tspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.Tspec', 
                [], [], 
                '''                The T spec info
                ''',
                'tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('upstream-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Upstream router id
                ''',
                'upstream_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the tunnel was up
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The path's weight
                ''',
                'weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp',
            False, 
            [
            _MetaInfoClassMember('dste-class-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Matching DSTE class index
                ''',
                'dste_class_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-match', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Do the class type and priority match a DSTE
                class
                ''',
                'dste_class_match',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-active-reason', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP LSP FRR active reason
                ''',
                'frr_active_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-frr-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                P2MP LSP has FRR Failed
                ''',
                'is_frr_failed',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True for tunnel head
                ''',
                'is_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-passive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True for passive tunnel
                ''',
                'is_passive',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-path-change', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last path change
                ''',
                'last_path_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP LSP Bandwidth
                ''',
                'lsp_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The LSP bandwidth type
                ''',
                'lsp_bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-fec', REFERENCE_CLASS, 'LspFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.LspFec', 
                [], [], 
                '''                FEC for the LSP
                ''',
                'lsp_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSP hold priority
                ''',
                'lsp_hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSP setup priority
                ''',
                'lsp_setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('persistent-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Persistent forwarding statistics for number of
                bytes. Clear counters will not reset the counter
                ''',
                'persistent_bytes',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('persistent-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Persistent forwarding statistics for Number of
                packets. Clear counters will not reset the
                counter
                ''',
                'persistent_packets',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimize-reason', REFERENCE_ENUM_CLASS, 'MplsTeReoptDecisionReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeReoptDecisionReasonEnum', 
                [], [], 
                '''                Reason for re-optimization
                ''',
                'reoptimize_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimize-trigger', REFERENCE_ENUM_CLASS, 'MteReoptTriggerEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MteReoptTriggerEnum', 
                [], [], 
                '''                Re-optimize trigger
                ''',
                'reoptimize_trigger',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-down', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of down S2Ls
                ''',
                's2_ls_down',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-proceeding', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of proceeding S2Ls
                ''',
                's2_ls_proceeding',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of connected S2Ls
                ''',
                's2_ls_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l', REFERENCE_LIST, 'S2L' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L', 
                [], [], 
                '''                array of S2L structures
                ''',
                's2l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signaled-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signaled Name
                ''',
                'signaled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('timer-left', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds left to take next action if any
                ''',
                'timer_left',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MplsTeLspEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspEnum', 
                [], [], 
                '''                The type of this LSP
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the tunnel was up
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reoptimized-p2mp-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.LspFec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.LspFec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.LspFec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.LspFec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.LspFec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.S2LFec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.S2LFec',
            False, 
            [
            _MetaInfoClassMember('s2l-fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                Session identifier (ctype)
                ''',
                's2l_fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-dest', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                sub-LSP destination address
                ''',
                's2l_fec_dest',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                's2l_fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                's2l_fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                's2l_fec_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSP source address
                ''',
                's2l_fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                sub-LSP subgroup ID
                ''',
                's2l_fec_subgroup_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                's2l_fec_subgroup_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                's2l_fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                's2l_fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.PathCalculationError' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.PathCalculationError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-calculation-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.RemergeError' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.RemergeError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'remerge-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.SignallingError' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.SignallingError',
            False, 
            [
            _MetaInfoClassMember('error', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Path Error code
                ''',
                'error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Source address of the error generating node
                ''',
                'error_node',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSPMode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if error is on the reverse LSP
                ''',
                'reverse_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP-id for which the error was received
                ''',
                'signalling_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path Error subcode
                ''',
                'sub_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalling-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption',
            False, 
            [
            _MetaInfoClassMember('attribute-set', REFERENCE_CLASS, 'AttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet', 
                [], [], 
                '''                The path option attribute set used by this path
                ''',
                'attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-found', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has found the defined attribute
                set
                ''',
                'attribute_set_found',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Explicit Path ID, this is the key to table
                ExplicitPaths.IdentifierTable
                ''',
                'explicit_path_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Explicit Path Name, this is the key to table
                ExplicitPaths.NameTable
                ''',
                'explicit_path_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has an attribute set defined
                ''',
                'has_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-xro-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has an XRO attribute set
                configured
                ''',
                'has_xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('holddown-duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Holddown Duration (seconds)
                ''',
                'holddown_duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path option is disabled
                ''',
                'is_disabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-helddown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if path is helddown
                ''',
                'is_helddown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-lockdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is locked down
                ''',
                'is_lockdown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-segment-routing', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is Segment-Routing
                ''',
                'is_segment_routing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-explicit-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if explicit path is strict
                ''',
                'is_strict_explicit_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-verbatim', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is verbatim
                ''',
                'is_verbatim',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index
                ''',
                'option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index-is-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The path option index is valid
                ''',
                'option_index_is_valid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-calculation-error', REFERENCE_LIST, 'PathCalculationError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.PathCalculationError', 
                [], [], 
                '''                Path computation information
                ''',
                'path_calculation_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The path-option area constraint
                ''',
                'path_option_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path option name
                ''',
                'path_option_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-type', REFERENCE_ENUM_CLASS, 'MplsTePathoptionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTePathoptionEnum', 
                [], [], 
                '''                Path option type
                ''',
                'path_option_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                PCE server address
                ''',
                'pce_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-by-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for Protect path options
                ''',
                'protected_by_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remerge-error', REFERENCE_LIST, 'RemergeError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.RemergeError', 
                [], [], 
                '''                Path computation remerge resolve info
                ''',
                'remerge_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restored-from-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for Restore path options
                ''',
                'restored_from_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-error', REFERENCE_LIST, 'SignallingError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.SignallingError', 
                [], [], 
                '''                Signalling information
                ''',
                'signalling_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set', REFERENCE_CLASS, 'XroAttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet', 
                [], [], 
                '''                The XRO attribute set used by this path-option
                ''',
                'xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set-found', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path's XRO attribute set is known
                ''',
                'xro_attribute_set_found',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'active-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'out-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'in-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.Tspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.Tspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GenericTspec.Otntspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GenericTspec.Otntspec',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit Rate in kbps
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nmc-or-tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                NMC or Tolerance
                ''',
                'nmc_or_tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Virtual Components
                ''',
                'nvc',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otntspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GenericTspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GenericTspec',
            False, 
            [
            _MetaInfoClassMember('otntspec', REFERENCE_CLASS, 'Otntspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GenericTspec.Otntspec', 
                [], [], 
                '''                TE TSpec for G709 OTN
                ''',
                'otntspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tspec-type', REFERENCE_ENUM_CLASS, 'TeMgmtGenericTspecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeMgmtGenericTspecEnum', 
                [], [], 
                '''                TSpecType
                ''',
                'tspec_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'generic-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.Fspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.Fspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GenericFspec.Otnfspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GenericFspec.Otnfspec',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit Rate in kbps
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nmc-or-tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                NMC or Tolerance
                ''',
                'nmc_or_tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Virtual Components
                ''',
                'nvc',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otnfspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GenericFspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GenericFspec',
            False, 
            [
            _MetaInfoClassMember('fspec-type', REFERENCE_ENUM_CLASS, 'TeMgmtGenericFspecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeMgmtGenericFspecEnum', 
                [], [], 
                '''                FSpecType
                ''',
                'fspec_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otnfspec', REFERENCE_CLASS, 'Otnfspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GenericFspec.Otnfspec', 
                [], [], 
                '''                TE FSpec for G709 OTN
                ''',
                'otnfspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'generic-fspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.NextHopAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.NextHopAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.NextHopAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.NextHopAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.NextHopAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'next-hop-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'previous-hop-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.IncomingAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.IncomingAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.IncomingAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.IncomingAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.IncomingAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'incoming-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.S2LConvergence' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.S2LConvergence',
            False, 
            [
            _MetaInfoClassMember('creation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tunnel creation timestamp (clocktime in nsecs)
                ''',
                'creation_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rewrite', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP Label rewrite timestamp (clocktime in nsecs)
                ''',
                'label_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Path-in timestamp (clocktime in nsecs)
                ''',
                'path_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Path-in timestamp (clocktime in nsecs)
                ''',
                'path_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Resv-in timestamp (clocktime in nsecs)
                ''',
                'resv_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Resv-out timestamp (clocktime in nsecs)
                ''',
                'resv_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-rewrite', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tunnel rewrite timestamp (clocktime in nsecs)
                ''',
                'tunnel_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-convergence',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.SoftPreemption' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.SoftPreemption',
            False, 
            [
            _MetaInfoClassMember('fr-rrewrite', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR-rewrite during soft preemption
                ''',
                'fr_rrewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fr-rrewrite-tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The tunnel name of the backup
                ''',
                'fr_rrewrite_tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('preempting-link-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The address of the link where the preemption
                happened
                ''',
                'preempting_link_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-link', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the link where the soft preemption
                occurred
                ''',
                'soft_preemption_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The POSIX timestamp when the soft preemption
                occurred
                ''',
                'soft_preemption_timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'MplsTeSoftPreemptionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeSoftPreemptionStateEnum', 
                [], [], 
                '''                The current state of the soft preemption
                operation
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-to-hard-preemption', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The number of seconds until hard preemption is
                triggered
                ''',
                'time_to_hard_preemption',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'soft-preemption',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels',
            False, 
            [
            _MetaInfoClassMember('path-egress-label', REFERENCE_CLASS, 'PathEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel', 
                [], [], 
                '''                Path message (upstream) egress label
                ''',
                'path_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-ingress-label', REFERENCE_CLASS, 'PathIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel', 
                [], [], 
                '''                Path message (upstream) ingress label
                ''',
                'path_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-egress-label', REFERENCE_CLASS, 'ResvEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel', 
                [], [], 
                '''                Resv message (downstream) egress label
                ''',
                'resv_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-ingress-label', REFERENCE_CLASS, 'ResvIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel', 
                [], [], 
                '''                Resv message (downstream) ingress label
                ''',
                'resv_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'gmpls-labels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tolerance
                ''',
                'tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-cbr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-gfp-f-res',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-gfp-f-non-res',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth',
            False, 
            [
            _MetaInfoClassMember('odu-flex-cbr', REFERENCE_CLASS, 'OduFlexCbr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr', 
                [], [], 
                '''                Odu flex CBR info
                ''',
                'odu_flex_cbr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-flex-gfp-f-non-res', REFERENCE_CLASS, 'OduFlexGfpFNonRes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes', 
                [], [], 
                '''                Odu flex GFP-F non-resizable info
                ''',
                'odu_flex_gfp_f_non_res',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-flex-gfp-f-res', REFERENCE_CLASS, 'OduFlexGfpFRes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes', 
                [], [], 
                '''                Odu flex GFP-F resizable info
                ''',
                'odu_flex_gfp_f_res',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-level', REFERENCE_ENUM_CLASS, 'TeOduLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeOduLevelEnum', 
                [], [], 
                '''                ODULevel
                ''',
                'odu_level',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels',
            False, 
            [
            _MetaInfoClassMember('path-egress-label', REFERENCE_CLASS, 'PathEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel', 
                [], [], 
                '''                Path message (upstream) egress label
                ''',
                'path_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-ingress-label', REFERENCE_CLASS, 'PathIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel', 
                [], [], 
                '''                Path message (upstream) ingress label
                ''',
                'path_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-egress-label', REFERENCE_CLASS, 'ResvEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel', 
                [], [], 
                '''                Resv message (downstream) egress label
                ''',
                'resv_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-ingress-label', REFERENCE_CLASS, 'ResvIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel', 
                [], [], 
                '''                Resv message (downstream) ingress label
                ''',
                'resv_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'labels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn',
            False, 
            [
            _MetaInfoClassMember('bandwidth', REFERENCE_CLASS, 'Bandwidth' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth', 
                [], [], 
                '''                OTN Bandwidth for s2l
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cross-connect-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cross connect id
                ''',
                'cross_connect_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gpid', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Gpid Payload
                ''',
                'gpid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Incoming Controller
                ''',
                'incoming_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Incoming Controller Ifhandle
                ''',
                'incoming_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Controller
                ''',
                'incoming_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Incoming Sub Controller
                ''',
                'incoming_sub_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Incoming Sub Controller Ifhandle
                ''',
                'incoming_sub_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Sub Controller
                ''',
                'incoming_sub_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if subcontrollers are connected
                ''',
                'is_connected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('labels', REFERENCE_CLASS, 'Labels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels', 
                [], [], 
                '''                Labels
                ''',
                'labels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing Controller
                ''',
                'outgoing_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Controller Ifhandle
                ''',
                'outgoing_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Controller
                ''',
                'outgoing_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing Sub Controller
                ''',
                'outgoing_sub_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Sub Controller Ifhandle
                ''',
                'outgoing_sub_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Sub Controller
                ''',
                'outgoing_sub_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                XC Uptime
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Aps.ProtectionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Aps.ProtectionInfo',
            False, 
            [
            _MetaInfoClassMember('ho-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-Off timeout
                ''',
                'ho_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-hopresent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Hold-Off timeout present
                ''',
                'is_hopresent',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-snc-mode-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SNC mode present
                ''',
                'is_snc_mode_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-wtr-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Wait-to-Restore timeout present
                ''',
                'is_wtr_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Notification bit 
                ''',
                'nbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('obit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Operational bit
                ''',
                'obit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path protection profile type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Protecting bit
                ''',
                'pbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protect-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                LSP Protect Type
                ''',
                'protect_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Secondary bit
                ''',
                'sbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                SNC mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TCM ID
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wtr-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait-to-Restore timeout
                ''',
                'wtr_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protection-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Aps' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Aps',
            False, 
            [
            _MetaInfoClassMember('protection-info', REFERENCE_CLASS, 'ProtectionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Aps.ProtectionInfo', 
                [], [], 
                '''                Protection Info
                ''',
                'protection_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'aps',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L',
            False, 
            [
            _MetaInfoClassMember('aps', REFERENCE_CLASS, 'Aps' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Aps', 
                [], [], 
                '''                APS Info for OTN S2L
                ''',
                'aps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn', 
                [], [], 
                '''                Info Related to OTN technology in S2L
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn-s2l',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.HeadEndBfdInfo.SessionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.HeadEndBfdInfo.SessionInfo',
            False, 
            [
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'TeBfdLspSessionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdLspSessionStateEnum', 
                [], [], 
                '''                BFD session state
                ''',
                'state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('state-change-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last session state
                change
                ''',
                'state_change_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'session-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.HeadEndBfdInfo.DeletionHistory' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.HeadEndBfdInfo.DeletionHistory',
            False, 
            [
            _MetaInfoClassMember('deletion-diagnostic-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Diagnostic Code for the BFD session get deleted
                ''',
                'deletion_diagnostic_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reason for the BFD session get deleted
                ''',
                'deletion_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time stamp of the BFD session get deleted
                ''',
                'deletion_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID of the BFD session get deleted
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'deletion-history',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.HeadEndBfdInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.HeadEndBfdInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-reverse-path-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path labels
                ''',
                'bfd_reverse_path_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The BFD reverse path is stale compared to
                configuration
                ''',
                'bfd_reverse_path_stale',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('creation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the BFD session created
                ''',
                'creation_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-history', REFERENCE_CLASS, 'DeletionHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.HeadEndBfdInfo.DeletionHistory', 
                [], [], 
                '''                BFD Session Deletion History
                ''',
                'deletion_history',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-redundant', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                sBFD session is redundant
                ''',
                'is_redundant',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lspbfd-type', REFERENCE_ENUM_CLASS, 'TeVifBfdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeVifBfdEnum', 
                [], [], 
                '''                LSP BFD type
                ''',
                'lspbfd_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-info', REFERENCE_CLASS, 'SessionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.HeadEndBfdInfo.SessionInfo', 
                [], [], 
                '''                BFD Session Info
                ''',
                'session_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'head-end-bfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.TailEndBfdInfo.SessionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.TailEndBfdInfo.SessionInfo',
            False, 
            [
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'TeBfdLspSessionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdLspSessionStateEnum', 
                [], [], 
                '''                BFD session state
                ''',
                'state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('state-change-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last session state
                change
                ''',
                'state_change_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'session-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.TailEndBfdInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.TailEndBfdInfo',
            False, 
            [
            _MetaInfoClassMember('failure-diagnostic-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD session failure diagnostic code
                ''',
                'failure_diagnostic_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('failure-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                BFD session failure reason
                ''',
                'failure_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-discriminator', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Local Discriminator
                ''',
                'local_discriminator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('min-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello interval in mini second
                ''',
                'min_interval',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('min-interval-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default hello interval
                ''',
                'min_interval_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default multiplier
                ''',
                'multiplier_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-discriminator', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Remote Discrminator
                ''',
                'remote_discriminator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-info', REFERENCE_CLASS, 'SessionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.TailEndBfdInfo.SessionInfo', 
                [], [], 
                '''                BFD Session Info
                ''',
                'session_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tail-end-bfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.SrlgCollection' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.SrlgCollection',
            False, 
            [
            _MetaInfoClassMember('discovered-srlg', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Discovered SRLGs
                ''',
                'discovered_srlg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-collect-type', REFERENCE_ENUM_CLASS, 'TeSrlgCollectRequestEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSrlgCollectRequestEnum', 
                [], [], 
                '''                SRLG-collection mechanism
                ''',
                'srlg_collect_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-collection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.Association' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.Association',
            False, 
            [
            _MetaInfoClassMember('s2l-association-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Association ID
                ''',
                's2l_association_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                S2L Association Source
                ''',
                's2l_association_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-tie-role', REFERENCE_ENUM_CLASS, 'TeAssociationTieRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAssociationTieRoleEnum', 
                [], [], 
                '''                S2L Association Tie Role
                ''',
                's2l_association_tie_role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Association Type                         
                (draft-ietf-ccamp-mpls-tp-rsvpte-ext-associated-lsp)
                ''',
                's2l_association_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-extended-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L Extended ID Array
                ''',
                's2l_extended_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-global-source', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L Global Source
                ''',
                's2l_global_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'association',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.Protection' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.Protection',
            False, 
            [
            _MetaInfoClassMember('any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Any
                ''',
                'any',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ded1-plus1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1+1 Protection
                ''',
                'ded1_plus1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ded1-to1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1:1 Protection
                ''',
                'ded1_to1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('enhanced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates Enhanced Protection Scheme
                ''',
                'enhanced',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extra-traffic', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should use Links that are protecting other
                (primary) traffic
                ''',
                'extra_traffic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should not use any Link Layer Protection
                ''',
                'link_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Flags Unprotected
                ''',
                'lsp_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-plus-one-bi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Bidirectional Protection
                ''',
                'one_plus_one_bi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-plus-one-uni', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Unidirectional Protection
                ''',
                'one_plus_one_uni',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-to-n-protection-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1:N Protection with Extra-Traffic
                ''',
                'one_to_n_protection_et',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Full Rerouting
                ''',
                'rerouting',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouting-no-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Rerouting Without Extra-Traffic
                ''',
                'rerouting_no_et',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-notification', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Notification Bit
                ''',
                's2l_notification',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-operational', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Operational Bit
                ''',
                's2l_operational',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Protecting Bit
                ''',
                's2l_protecting',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-secondary', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Secondary Bit
                ''',
                's2l_secondary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Shared Link Layer Protection
                ''',
                'shared',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseLspFec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseLspFec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseLspFec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseLspFec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseLspFec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-lsp-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseTspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseTspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.FlexInfo.FlexFec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.FlexInfo.FlexFec',
            False, 
            [
            _MetaInfoClassMember('s2l-fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                Session identifier (ctype)
                ''',
                's2l_fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-dest', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                sub-LSP destination address
                ''',
                's2l_fec_dest',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                's2l_fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                's2l_fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                's2l_fec_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSP source address
                ''',
                's2l_fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                sub-LSP subgroup ID
                ''',
                's2l_fec_subgroup_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                's2l_fec_subgroup_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                's2l_fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                's2l_fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.FlexInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.FlexInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-created', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GAL BFD Session Created
                ''',
                'bfd_created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-egress-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Egress Label
                ''',
                'bfd_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-int-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Internal Label
                ''',
                'bfd_int_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                BFD Next Hop
                ''',
                'bfd_next_hop',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-out-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD Out Interface Handle
                ''',
                'bfd_out_ifh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-tun-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD Tunnel Interface Handle
                ''',
                'bfd_tun_ifh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GAL BFD Session Up
                ''',
                'bfd_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('entry-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FlexLSP Entry Exists
                ''',
                'entry_exists',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ais', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault AIS
                ''',
                'fault_ais',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ldi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LDI
                ''',
                'fault_ldi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ldi-lockout', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LDI Lockout
                ''',
                'fault_ldi_lockout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-lkr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LKR
                ''',
                'fault_lkr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Fault Time
                ''',
                'fault_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex-fec', REFERENCE_CLASS, 'FlexFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.FlexInfo.FlexFec', 
                [], [], 
                '''                FEC for the FlexLSP Entry
                ''',
                'flex_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                In Label
                ''',
                'in_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('oam-created', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                OAM Entry Created
                ''',
                'oam_created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.LspWrapInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.LspWrapInfo',
            False, 
            [
            _MetaInfoClassMember('lsp-wrap-protection-enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Wrap protection enabled
                ''',
                'lsp_wrap_protection_enable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-protection-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSP Wrap Merge Point Label
                ''',
                'lsp_wrap_protection_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-protection-state', REFERENCE_ENUM_CLASS, 'MplsTeLspWrapStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspWrapStateEnum', 
                [], [], 
                '''                LSP wrap protection state
                ''',
                'lsp_wrap_protection_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reverse Egress Interface
                ''',
                'reverse_egress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reverse LSP label
                ''',
                'reverse_lsp_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-wrap-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.DiversityInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.DiversityInfo',
            False, 
            [
            _MetaInfoClassMember('diversity-type', REFERENCE_ENUM_CLASS, 'TePpDiversityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePpDiversityEnum', 
                [], [], 
                '''                S2L path diversity type
                ''',
                'diversity_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'diversity-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.SharedRiskLinkGroup' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.SharedRiskLinkGroup',
            False, 
            [
            _MetaInfoClassMember('shared-risk-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG number
                ''',
                'shared_risk_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SRLG name
                ''',
                'srlg_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'shared-risk-link-group',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutEro.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutEro.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutEro.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutEro.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutEro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutEro',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutEro.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutEro.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'out-ero',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InEro.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InEro.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InEro.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InEro.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InEro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InEro',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InEro.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InEro.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'in-ero',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.Ipv4RroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.Ipv4RroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.Ipv4RroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.Ipv4RroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.Ipv4RroSubObject.Flags', 
                [], [], 
                '''                The RRO IPV4 Subobject Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO IPV4 Address
                ''',
                'rro_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.LabelRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.LabelRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-global-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label is Global across all interfaces
                ''',
                'is_global_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.LabelRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.LabelRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.LabelRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Label Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-label-variable-length', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the RRO Subobject Label Variable Length
                ''',
                'is_label_variable_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Label Value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('variable-length-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Variable Length Label
                ''',
                'variable_length_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'label-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.UnnumberedRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.UnnumberedRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.UnnumberedRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.UnnumberedRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.UnnumberedRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Unnumbered Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO Interface Address
                ''',
                'interface_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.SrlgRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.SrlgRroSubObject',
            False, 
            [
            _MetaInfoClassMember('srl-gs', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject SRLGs
                ''',
                'srl_gs',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro',
            False, 
            [
            _MetaInfoClassMember('ipv4rro-sub-object', REFERENCE_CLASS, 'Ipv4RroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.Ipv4RroSubObject', 
                [], [], 
                '''                IPV4 RRO Sub Object
                ''',
                'ipv4rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rro-sub-object', REFERENCE_CLASS, 'LabelRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.LabelRroSubObject', 
                [], [], 
                '''                Label RRO Sub Object
                ''',
                'label_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtRroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtRroSubobjEnum', 
                [], [], 
                '''                RROType
                ''',
                'rro_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-rro-sub-object', REFERENCE_CLASS, 'SrlgRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.SrlgRroSubObject', 
                [], [], 
                '''                SRLG RRO Sub Object
                ''',
                'srlg_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-rro-sub-object', REFERENCE_CLASS, 'UnnumberedRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.UnnumberedRroSubObject', 
                [], [], 
                '''                Unnumbered RRO Sub Object
                ''',
                'unnumbered_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-rro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.Ipv4RroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.Ipv4RroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.Ipv4RroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.Ipv4RroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.Ipv4RroSubObject.Flags', 
                [], [], 
                '''                The RRO IPV4 Subobject Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO IPV4 Address
                ''',
                'rro_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.LabelRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.LabelRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-global-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label is Global across all interfaces
                ''',
                'is_global_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.LabelRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.LabelRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.LabelRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Label Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-label-variable-length', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the RRO Subobject Label Variable Length
                ''',
                'is_label_variable_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Label Value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('variable-length-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Variable Length Label
                ''',
                'variable_length_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'label-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.UnnumberedRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.UnnumberedRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Unnumbered Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO Interface Address
                ''',
                'interface_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.SrlgRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.SrlgRroSubObject',
            False, 
            [
            _MetaInfoClassMember('srl-gs', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject SRLGs
                ''',
                'srl_gs',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro',
            False, 
            [
            _MetaInfoClassMember('ipv4rro-sub-object', REFERENCE_CLASS, 'Ipv4RroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.Ipv4RroSubObject', 
                [], [], 
                '''                IPV4 RRO Sub Object
                ''',
                'ipv4rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rro-sub-object', REFERENCE_CLASS, 'LabelRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.LabelRroSubObject', 
                [], [], 
                '''                Label RRO Sub Object
                ''',
                'label_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtRroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtRroSubobjEnum', 
                [], [], 
                '''                RROType
                ''',
                'rro_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-rro-sub-object', REFERENCE_CLASS, 'SrlgRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.SrlgRroSubObject', 
                [], [], 
                '''                SRLG RRO Sub Object
                ''',
                'srlg_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-rro-sub-object', REFERENCE_CLASS, 'UnnumberedRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.UnnumberedRroSubObject', 
                [], [], 
                '''                Unnumbered RRO Sub Object
                ''',
                'unnumbered_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-rro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathAffinityArray' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathAffinityArray',
            False, 
            [
            _MetaInfoClassMember('hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Hop address
                ''',
                'hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop-affinity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'hop_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop-extended-affinity', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hop affinity
                ''',
                'hop_extended_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-affinity-array',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseEroIn.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseEroIn.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseEroIn.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseEroIn.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseEroIn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseEroIn',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseEroIn.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseEroIn.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-ero-in',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.S2LSegmentRoutingPath' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.S2LSegmentRoutingPath',
            False, 
            [
            _MetaInfoClassMember('has-entropy-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Hop has EL specified
                ''',
                'has_entropy_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-ip-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node has IP addresses specified
                ''',
                'has_ip_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-mpls-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Hop has MPLS label specified
                ''',
                'has_mpls_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local IP address of adjacency or Node ID
                ''',
                'local_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mpls-label-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The MPLS label value
                ''',
                'mpls_label_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote IP address of adjacency
                ''',
                'remote_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sid-type', REFERENCE_ENUM_CLASS, 'TeSrSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSrSidEnum', 
                [], [], 
                '''                Type of the SID
                ''',
                'sid_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-segment-routing-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L',
            False, 
            [
            _MetaInfoClassMember('abr-auto-discovered', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next ABR auto discovered
                ''',
                'abr_auto_discovered',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('active-path-option', REFERENCE_CLASS, 'ActivePathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption', 
                [], [], 
                '''                The path option used to find the path for this
                S2L
                ''',
                'active_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('association', REFERENCE_CLASS, 'Association' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.Association', 
                [], [], 
                '''                Association Object
                ''',
                'association',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface handle of the backup tunnel
                ''',
                'backup_tunnel_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('diversity-info', REFERENCE_CLASS, 'DiversityInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.DiversityInfo', 
                [], [], 
                '''                S2L Diversity Information
                ''',
                'diversity_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('downstream-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Downstream router id
                ''',
                'downstream_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Egress Interface
                ''',
                'egress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface-brief', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Egress Interface in brief format
                ''',
                'egress_interface_brief',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Interface
                ''',
                'egress_interface_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Outgoing ERO's affinity bits (colors)
                ''',
                'expanded_ero_affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Outgoing ERO's affinity mask (colors)
                ''',
                'expanded_ero_affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Indicates the protocol and area used to find
                Outgoing ERO
                ''',
                'expanded_ero_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The metric value of the expanded path
                ''',
                'expanded_ero_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-metric-type', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                The Outgoing ERO's selection metric
                ''',
                'expanded_ero_metric_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex-info', REFERENCE_CLASS, 'FlexInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.FlexInfo', 
                [], [], 
                '''                FlexLSP S2L Information
                ''',
                'flex_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-out-tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FRR out tunnel intface
                ''',
                'frr_out_tunnel_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fspec', REFERENCE_CLASS, 'Fspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.Fspec', 
                [], [], 
                '''                The F spec info
                ''',
                'fspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generic-fspec', REFERENCE_CLASS, 'GenericFspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GenericFspec', 
                [], [], 
                '''                Generic FSpec
                ''',
                'generic_fspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generic-tspec', REFERENCE_CLASS, 'GenericTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GenericTspec', 
                [], [], 
                '''                Generic TSpec
                ''',
                'generic_tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gmpls-labels', REFERENCE_CLASS, 'GmplsLabels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels', 
                [], [], 
                '''                GMPLS labels
                ''',
                'gmpls_labels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('head-end-bfd-info', REFERENCE_CLASS, 'HeadEndBfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.HeadEndBfdInfo', 
                [], [], 
                '''                The Head-end BFD info
                ''',
                'head_end_bfd_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-ero', REFERENCE_LIST, 'InEro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InEro', 
                [], [], 
                '''                Incoming ERO for this S2L
                ''',
                'in_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-xro', REFERENCE_CLASS, 'InXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro', 
                [], [], 
                '''                Incoming XRO for this S2L
                ''',
                'in_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Incoming interface address
                ''',
                'incoming_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-address-generic', REFERENCE_CLASS, 'IncomingAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.IncomingAddressGeneric', 
                [], [], 
                '''                Incoming interface address
                ''',
                'incoming_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ingress Interface
                ''',
                'ingress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface-brief', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ingress Interface in brief format
                ''',
                'ingress_interface_brief',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Interface
                ''',
                'ingress_interface_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-protect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BW Protection Enabled or Disabled
                ''',
                'is_bandwidth_protect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-expanded-ero', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if this LSR expanded a loose path
                ''',
                'is_expanded_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-frr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Enabled or Disabled
                ''',
                'is_frr_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Enabled or Disabled
                ''',
                'is_node_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-optical', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Optical
                ''',
                'is_optical',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local router id
                ''',
                'local_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-info', REFERENCE_CLASS, 'LspWrapInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.LspWrapInfo', 
                [], [], 
                '''                Lsp Wrap  Related information
                ''',
                'lsp_wrap_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop address
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address-generic', REFERENCE_CLASS, 'NextHopAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.NextHopAddressGeneric', 
                [], [], 
                '''                Next hop address
                ''',
                'next_hop_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('node-hop-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hop count
                ''',
                'node_hop_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn-s2l', REFERENCE_CLASS, 'OtnS2L' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L', 
                [], [], 
                '''                Otn S2L Information
                ''',
                'otn_s2l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-ero', REFERENCE_LIST, 'OutEro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutEro', 
                [], [], 
                '''                Outgoing ERO for this S2L
                ''',
                'out_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-xro', REFERENCE_CLASS, 'OutXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro', 
                [], [], 
                '''                Outgoing XRO for this S2L
                ''',
                'out_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outbound-frr-state', REFERENCE_ENUM_CLASS, 'MplsTeFrrStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeFrrStateEnum', 
                [], [], 
                '''                Indicates outbound FRR state
                ''',
                'outbound_frr_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-affinity-array', REFERENCE_LIST, 'PathAffinityArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathAffinityArray', 
                [], [], 
                '''                Tunnel's Path hops with affinity
                ''',
                'path_affinity_array',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reeval-query-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loose path reevaluation query received at
                mid-point
                ''',
                'path_reeval_query_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-rro', REFERENCE_LIST, 'PathRro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro', 
                [], [], 
                '''                Path RRO for this S2L
                ''',
                'path_rro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-rro-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path RRO Enabled or Disabled
                ''',
                'path_rro_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-using-strict-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is using Strict SPF
                ''',
                'path_using_strict_spf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcalc-area', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IGP-area in which the S2L path was calculated
                ''',
                'pcalc_area',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Previous hop address
                ''',
                'previous_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-hop-address-generic', REFERENCE_CLASS, 'PreviousHopAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric', 
                [], [], 
                '''                Previous hop address
                ''',
                'previous_hop_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection', REFERENCE_CLASS, 'Protection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.Protection', 
                [], [], 
                '''                Protection Object
                ''',
                'protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-rro', REFERENCE_LIST, 'ResvRro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro', 
                [], [], 
                '''                Resv RRO for this S2L
                ''',
                'resv_rro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-ero-in', REFERENCE_LIST, 'ReverseEroIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseEroIn', 
                [], [], 
                '''                 Reverse Incoming ERO for this S2L
                ''',
                'reverse_ero_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Connected
                ''',
                'reverse_lsp_connected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-fec', REFERENCE_CLASS, 'ReverseLspFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseLspFec', 
                [], [], 
                '''                Reverse Associated Bidir LSP FEC
                ''',
                'reverse_lsp_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Name
                ''',
                'reverse_lsp_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Present
                ''',
                'reverse_lsp_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-tspec', REFERENCE_CLASS, 'ReverseTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseTspec', 
                [], [], 
                '''                The Reverse T spec info
                ''',
                'reverse_tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The reverse path weight
                ''',
                'reverse_weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('role', REFERENCE_ENUM_CLASS, 'MplsTeTunnelRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelRoleEnum', 
                [], [], 
                '''                Role of S2L
                ''',
                'role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-convergence', REFERENCE_CLASS, 'S2LConvergence' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.S2LConvergence', 
                [], [], 
                '''                TE LSP convergence related information
                ''',
                's2l_convergence',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec', REFERENCE_CLASS, 'S2LFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.S2LFec', 
                [], [], 
                '''                FEC for the S2L
                ''',
                's2l_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label
                ''',
                's2l_local_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing label
                ''',
                's2l_out_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-ero-obj-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2l Reverse ERO Object Present
                ''',
                's2l_reverse_ero_obj_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-lsp-sub-obj', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Reverse LSP Sub Objects
                ''',
                's2l_reverse_lsp_sub_obj',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-tspec-obj-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Reverse TSpec Object Present
                ''',
                's2l_reverse_tspec_obj_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-segment-routing-path', REFERENCE_LIST, 'S2LSegmentRoutingPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.S2LSegmentRoutingPath', 
                [], [], 
                '''                Segment-Routing S2L path info
                ''',
                's2l_segment_routing_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared-risk-link-group', REFERENCE_LIST, 'SharedRiskLinkGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.SharedRiskLinkGroup', 
                [], [], 
                '''                The S2L's excluded srlg groups
                ''',
                'shared_risk_link_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-status', REFERENCE_ENUM_CLASS, 'MplsTeTunnelsSignalingStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelsSignalingStatusEnum', 
                [], [], 
                '''                Signaling status
                ''',
                'signalling_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption', REFERENCE_CLASS, 'SoftPreemption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.SoftPreemption', 
                [], [], 
                '''                The soft preemption info for this LSP.
                ''',
                'soft_preemption',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-collection', REFERENCE_CLASS, 'SrlgCollection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.SrlgCollection', 
                [], [], 
                '''                SRLG-collection data
                ''',
                'srlg_collection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tail-end-bfd-info', REFERENCE_CLASS, 'TailEndBfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.TailEndBfdInfo', 
                [], [], 
                '''                The Tail-end BFD info
                ''',
                'tail_end_bfd_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-preferred-path-exists-send-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last preferred path exists msg send
                from mid-point
                ''',
                'time_since_last_preferred_path_exists_send_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-preferred-tree-exists-send-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last preferred tree exists msg send
                from mid-point
                ''',
                'time_since_last_preferred_tree_exists_send_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-query-received-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last reevaluation query received at
                mid-point
                ''',
                'time_since_last_query_received_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tspec', REFERENCE_CLASS, 'Tspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.Tspec', 
                [], [], 
                '''                The T spec info
                ''',
                'tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('upstream-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Upstream router id
                ''',
                'upstream_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the tunnel was up
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The path's weight
                ''',
                'weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp',
            False, 
            [
            _MetaInfoClassMember('dste-class-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Matching DSTE class index
                ''',
                'dste_class_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-match', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Do the class type and priority match a DSTE
                class
                ''',
                'dste_class_match',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-active-reason', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP LSP FRR active reason
                ''',
                'frr_active_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-frr-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                P2MP LSP has FRR Failed
                ''',
                'is_frr_failed',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True for tunnel head
                ''',
                'is_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-passive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True for passive tunnel
                ''',
                'is_passive',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-path-change', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last path change
                ''',
                'last_path_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP LSP Bandwidth
                ''',
                'lsp_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The LSP bandwidth type
                ''',
                'lsp_bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-fec', REFERENCE_CLASS, 'LspFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.LspFec', 
                [], [], 
                '''                FEC for the LSP
                ''',
                'lsp_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSP hold priority
                ''',
                'lsp_hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSP setup priority
                ''',
                'lsp_setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('persistent-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Persistent forwarding statistics for number of
                bytes. Clear counters will not reset the counter
                ''',
                'persistent_bytes',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('persistent-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Persistent forwarding statistics for Number of
                packets. Clear counters will not reset the
                counter
                ''',
                'persistent_packets',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimize-reason', REFERENCE_ENUM_CLASS, 'MplsTeReoptDecisionReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeReoptDecisionReasonEnum', 
                [], [], 
                '''                Reason for re-optimization
                ''',
                'reoptimize_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimize-trigger', REFERENCE_ENUM_CLASS, 'MteReoptTriggerEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MteReoptTriggerEnum', 
                [], [], 
                '''                Re-optimize trigger
                ''',
                'reoptimize_trigger',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-down', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of down S2Ls
                ''',
                's2_ls_down',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-proceeding', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of proceeding S2Ls
                ''',
                's2_ls_proceeding',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of connected S2Ls
                ''',
                's2_ls_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l', REFERENCE_LIST, 'S2L' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L', 
                [], [], 
                '''                array of S2L structures
                ''',
                's2l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signaled-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signaled Name
                ''',
                'signaled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('timer-left', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds left to take next action if any
                ''',
                'timer_left',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MplsTeLspEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspEnum', 
                [], [], 
                '''                The type of this LSP
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the tunnel was up
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tunnel-standby-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.LspFec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.LspFec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.LspFec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.LspFec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.LspFec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.S2LFec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.S2LFec',
            False, 
            [
            _MetaInfoClassMember('s2l-fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                Session identifier (ctype)
                ''',
                's2l_fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-dest', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                sub-LSP destination address
                ''',
                's2l_fec_dest',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                's2l_fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                's2l_fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                's2l_fec_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSP source address
                ''',
                's2l_fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                sub-LSP subgroup ID
                ''',
                's2l_fec_subgroup_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                's2l_fec_subgroup_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                's2l_fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                's2l_fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.PathCalculationError' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.PathCalculationError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-calculation-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.RemergeError' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.RemergeError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'remerge-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.SignallingError' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.SignallingError',
            False, 
            [
            _MetaInfoClassMember('error', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Path Error code
                ''',
                'error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Source address of the error generating node
                ''',
                'error_node',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSPMode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if error is on the reverse LSP
                ''',
                'reverse_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP-id for which the error was received
                ''',
                'signalling_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path Error subcode
                ''',
                'sub_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalling-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption',
            False, 
            [
            _MetaInfoClassMember('attribute-set', REFERENCE_CLASS, 'AttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet', 
                [], [], 
                '''                The path option attribute set used by this path
                ''',
                'attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-found', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has found the defined attribute
                set
                ''',
                'attribute_set_found',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Explicit Path ID, this is the key to table
                ExplicitPaths.IdentifierTable
                ''',
                'explicit_path_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Explicit Path Name, this is the key to table
                ExplicitPaths.NameTable
                ''',
                'explicit_path_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has an attribute set defined
                ''',
                'has_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-xro-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has an XRO attribute set
                configured
                ''',
                'has_xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('holddown-duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Holddown Duration (seconds)
                ''',
                'holddown_duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path option is disabled
                ''',
                'is_disabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-helddown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if path is helddown
                ''',
                'is_helddown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-lockdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is locked down
                ''',
                'is_lockdown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-segment-routing', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is Segment-Routing
                ''',
                'is_segment_routing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-explicit-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if explicit path is strict
                ''',
                'is_strict_explicit_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-verbatim', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is verbatim
                ''',
                'is_verbatim',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index
                ''',
                'option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index-is-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The path option index is valid
                ''',
                'option_index_is_valid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-calculation-error', REFERENCE_LIST, 'PathCalculationError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.PathCalculationError', 
                [], [], 
                '''                Path computation information
                ''',
                'path_calculation_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The path-option area constraint
                ''',
                'path_option_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path option name
                ''',
                'path_option_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-type', REFERENCE_ENUM_CLASS, 'MplsTePathoptionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTePathoptionEnum', 
                [], [], 
                '''                Path option type
                ''',
                'path_option_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                PCE server address
                ''',
                'pce_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-by-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for Protect path options
                ''',
                'protected_by_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remerge-error', REFERENCE_LIST, 'RemergeError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.RemergeError', 
                [], [], 
                '''                Path computation remerge resolve info
                ''',
                'remerge_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restored-from-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for Restore path options
                ''',
                'restored_from_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-error', REFERENCE_LIST, 'SignallingError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.SignallingError', 
                [], [], 
                '''                Signalling information
                ''',
                'signalling_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set', REFERENCE_CLASS, 'XroAttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet', 
                [], [], 
                '''                The XRO attribute set used by this path-option
                ''',
                'xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set-found', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path's XRO attribute set is known
                ''',
                'xro_attribute_set_found',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'active-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'out-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'in-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.Tspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.Tspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GenericTspec.Otntspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GenericTspec.Otntspec',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit Rate in kbps
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nmc-or-tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                NMC or Tolerance
                ''',
                'nmc_or_tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Virtual Components
                ''',
                'nvc',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otntspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GenericTspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GenericTspec',
            False, 
            [
            _MetaInfoClassMember('otntspec', REFERENCE_CLASS, 'Otntspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GenericTspec.Otntspec', 
                [], [], 
                '''                TE TSpec for G709 OTN
                ''',
                'otntspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tspec-type', REFERENCE_ENUM_CLASS, 'TeMgmtGenericTspecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeMgmtGenericTspecEnum', 
                [], [], 
                '''                TSpecType
                ''',
                'tspec_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'generic-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.Fspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.Fspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GenericFspec.Otnfspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GenericFspec.Otnfspec',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit Rate in kbps
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nmc-or-tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                NMC or Tolerance
                ''',
                'nmc_or_tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Virtual Components
                ''',
                'nvc',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otnfspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GenericFspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GenericFspec',
            False, 
            [
            _MetaInfoClassMember('fspec-type', REFERENCE_ENUM_CLASS, 'TeMgmtGenericFspecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeMgmtGenericFspecEnum', 
                [], [], 
                '''                FSpecType
                ''',
                'fspec_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otnfspec', REFERENCE_CLASS, 'Otnfspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GenericFspec.Otnfspec', 
                [], [], 
                '''                TE FSpec for G709 OTN
                ''',
                'otnfspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'generic-fspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'next-hop-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'previous-hop-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'incoming-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.S2LConvergence' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.S2LConvergence',
            False, 
            [
            _MetaInfoClassMember('creation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tunnel creation timestamp (clocktime in nsecs)
                ''',
                'creation_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rewrite', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP Label rewrite timestamp (clocktime in nsecs)
                ''',
                'label_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Path-in timestamp (clocktime in nsecs)
                ''',
                'path_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Path-in timestamp (clocktime in nsecs)
                ''',
                'path_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Resv-in timestamp (clocktime in nsecs)
                ''',
                'resv_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Resv-out timestamp (clocktime in nsecs)
                ''',
                'resv_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-rewrite', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tunnel rewrite timestamp (clocktime in nsecs)
                ''',
                'tunnel_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-convergence',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.SoftPreemption' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.SoftPreemption',
            False, 
            [
            _MetaInfoClassMember('fr-rrewrite', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR-rewrite during soft preemption
                ''',
                'fr_rrewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fr-rrewrite-tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The tunnel name of the backup
                ''',
                'fr_rrewrite_tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('preempting-link-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The address of the link where the preemption
                happened
                ''',
                'preempting_link_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-link', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the link where the soft preemption
                occurred
                ''',
                'soft_preemption_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The POSIX timestamp when the soft preemption
                occurred
                ''',
                'soft_preemption_timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'MplsTeSoftPreemptionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeSoftPreemptionStateEnum', 
                [], [], 
                '''                The current state of the soft preemption
                operation
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-to-hard-preemption', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The number of seconds until hard preemption is
                triggered
                ''',
                'time_to_hard_preemption',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'soft-preemption',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels',
            False, 
            [
            _MetaInfoClassMember('path-egress-label', REFERENCE_CLASS, 'PathEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel', 
                [], [], 
                '''                Path message (upstream) egress label
                ''',
                'path_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-ingress-label', REFERENCE_CLASS, 'PathIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel', 
                [], [], 
                '''                Path message (upstream) ingress label
                ''',
                'path_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-egress-label', REFERENCE_CLASS, 'ResvEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel', 
                [], [], 
                '''                Resv message (downstream) egress label
                ''',
                'resv_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-ingress-label', REFERENCE_CLASS, 'ResvIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel', 
                [], [], 
                '''                Resv message (downstream) ingress label
                ''',
                'resv_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'gmpls-labels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tolerance
                ''',
                'tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-cbr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-gfp-f-res',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-gfp-f-non-res',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth',
            False, 
            [
            _MetaInfoClassMember('odu-flex-cbr', REFERENCE_CLASS, 'OduFlexCbr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr', 
                [], [], 
                '''                Odu flex CBR info
                ''',
                'odu_flex_cbr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-flex-gfp-f-non-res', REFERENCE_CLASS, 'OduFlexGfpFNonRes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes', 
                [], [], 
                '''                Odu flex GFP-F non-resizable info
                ''',
                'odu_flex_gfp_f_non_res',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-flex-gfp-f-res', REFERENCE_CLASS, 'OduFlexGfpFRes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes', 
                [], [], 
                '''                Odu flex GFP-F resizable info
                ''',
                'odu_flex_gfp_f_res',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-level', REFERENCE_ENUM_CLASS, 'TeOduLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeOduLevelEnum', 
                [], [], 
                '''                ODULevel
                ''',
                'odu_level',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels',
            False, 
            [
            _MetaInfoClassMember('path-egress-label', REFERENCE_CLASS, 'PathEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel', 
                [], [], 
                '''                Path message (upstream) egress label
                ''',
                'path_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-ingress-label', REFERENCE_CLASS, 'PathIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel', 
                [], [], 
                '''                Path message (upstream) ingress label
                ''',
                'path_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-egress-label', REFERENCE_CLASS, 'ResvEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel', 
                [], [], 
                '''                Resv message (downstream) egress label
                ''',
                'resv_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-ingress-label', REFERENCE_CLASS, 'ResvIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel', 
                [], [], 
                '''                Resv message (downstream) ingress label
                ''',
                'resv_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'labels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn',
            False, 
            [
            _MetaInfoClassMember('bandwidth', REFERENCE_CLASS, 'Bandwidth' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth', 
                [], [], 
                '''                OTN Bandwidth for s2l
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cross-connect-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cross connect id
                ''',
                'cross_connect_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gpid', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Gpid Payload
                ''',
                'gpid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Incoming Controller
                ''',
                'incoming_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Incoming Controller Ifhandle
                ''',
                'incoming_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Controller
                ''',
                'incoming_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Incoming Sub Controller
                ''',
                'incoming_sub_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Incoming Sub Controller Ifhandle
                ''',
                'incoming_sub_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Sub Controller
                ''',
                'incoming_sub_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if subcontrollers are connected
                ''',
                'is_connected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('labels', REFERENCE_CLASS, 'Labels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels', 
                [], [], 
                '''                Labels
                ''',
                'labels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing Controller
                ''',
                'outgoing_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Controller Ifhandle
                ''',
                'outgoing_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Controller
                ''',
                'outgoing_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing Sub Controller
                ''',
                'outgoing_sub_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Sub Controller Ifhandle
                ''',
                'outgoing_sub_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Sub Controller
                ''',
                'outgoing_sub_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                XC Uptime
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Aps.ProtectionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Aps.ProtectionInfo',
            False, 
            [
            _MetaInfoClassMember('ho-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-Off timeout
                ''',
                'ho_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-hopresent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Hold-Off timeout present
                ''',
                'is_hopresent',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-snc-mode-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SNC mode present
                ''',
                'is_snc_mode_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-wtr-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Wait-to-Restore timeout present
                ''',
                'is_wtr_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Notification bit 
                ''',
                'nbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('obit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Operational bit
                ''',
                'obit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path protection profile type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Protecting bit
                ''',
                'pbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protect-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                LSP Protect Type
                ''',
                'protect_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Secondary bit
                ''',
                'sbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                SNC mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TCM ID
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wtr-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait-to-Restore timeout
                ''',
                'wtr_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protection-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Aps' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Aps',
            False, 
            [
            _MetaInfoClassMember('protection-info', REFERENCE_CLASS, 'ProtectionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Aps.ProtectionInfo', 
                [], [], 
                '''                Protection Info
                ''',
                'protection_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'aps',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L',
            False, 
            [
            _MetaInfoClassMember('aps', REFERENCE_CLASS, 'Aps' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Aps', 
                [], [], 
                '''                APS Info for OTN S2L
                ''',
                'aps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn', 
                [], [], 
                '''                Info Related to OTN technology in S2L
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn-s2l',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo.SessionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo.SessionInfo',
            False, 
            [
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'TeBfdLspSessionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdLspSessionStateEnum', 
                [], [], 
                '''                BFD session state
                ''',
                'state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('state-change-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last session state
                change
                ''',
                'state_change_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'session-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo.DeletionHistory' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo.DeletionHistory',
            False, 
            [
            _MetaInfoClassMember('deletion-diagnostic-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Diagnostic Code for the BFD session get deleted
                ''',
                'deletion_diagnostic_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reason for the BFD session get deleted
                ''',
                'deletion_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time stamp of the BFD session get deleted
                ''',
                'deletion_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID of the BFD session get deleted
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'deletion-history',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-reverse-path-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path labels
                ''',
                'bfd_reverse_path_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The BFD reverse path is stale compared to
                configuration
                ''',
                'bfd_reverse_path_stale',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('creation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the BFD session created
                ''',
                'creation_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-history', REFERENCE_CLASS, 'DeletionHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo.DeletionHistory', 
                [], [], 
                '''                BFD Session Deletion History
                ''',
                'deletion_history',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-redundant', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                sBFD session is redundant
                ''',
                'is_redundant',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lspbfd-type', REFERENCE_ENUM_CLASS, 'TeVifBfdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeVifBfdEnum', 
                [], [], 
                '''                LSP BFD type
                ''',
                'lspbfd_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-info', REFERENCE_CLASS, 'SessionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo.SessionInfo', 
                [], [], 
                '''                BFD Session Info
                ''',
                'session_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'head-end-bfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.TailEndBfdInfo.SessionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.TailEndBfdInfo.SessionInfo',
            False, 
            [
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'TeBfdLspSessionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdLspSessionStateEnum', 
                [], [], 
                '''                BFD session state
                ''',
                'state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('state-change-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last session state
                change
                ''',
                'state_change_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'session-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.TailEndBfdInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.TailEndBfdInfo',
            False, 
            [
            _MetaInfoClassMember('failure-diagnostic-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD session failure diagnostic code
                ''',
                'failure_diagnostic_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('failure-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                BFD session failure reason
                ''',
                'failure_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-discriminator', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Local Discriminator
                ''',
                'local_discriminator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('min-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello interval in mini second
                ''',
                'min_interval',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('min-interval-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default hello interval
                ''',
                'min_interval_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default multiplier
                ''',
                'multiplier_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-discriminator', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Remote Discrminator
                ''',
                'remote_discriminator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-info', REFERENCE_CLASS, 'SessionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.TailEndBfdInfo.SessionInfo', 
                [], [], 
                '''                BFD Session Info
                ''',
                'session_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tail-end-bfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.SrlgCollection' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.SrlgCollection',
            False, 
            [
            _MetaInfoClassMember('discovered-srlg', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Discovered SRLGs
                ''',
                'discovered_srlg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-collect-type', REFERENCE_ENUM_CLASS, 'TeSrlgCollectRequestEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSrlgCollectRequestEnum', 
                [], [], 
                '''                SRLG-collection mechanism
                ''',
                'srlg_collect_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-collection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.Association' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.Association',
            False, 
            [
            _MetaInfoClassMember('s2l-association-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Association ID
                ''',
                's2l_association_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                S2L Association Source
                ''',
                's2l_association_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-tie-role', REFERENCE_ENUM_CLASS, 'TeAssociationTieRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAssociationTieRoleEnum', 
                [], [], 
                '''                S2L Association Tie Role
                ''',
                's2l_association_tie_role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Association Type                         
                (draft-ietf-ccamp-mpls-tp-rsvpte-ext-associated-lsp)
                ''',
                's2l_association_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-extended-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L Extended ID Array
                ''',
                's2l_extended_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-global-source', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L Global Source
                ''',
                's2l_global_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'association',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.Protection' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.Protection',
            False, 
            [
            _MetaInfoClassMember('any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Any
                ''',
                'any',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ded1-plus1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1+1 Protection
                ''',
                'ded1_plus1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ded1-to1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1:1 Protection
                ''',
                'ded1_to1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('enhanced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates Enhanced Protection Scheme
                ''',
                'enhanced',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extra-traffic', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should use Links that are protecting other
                (primary) traffic
                ''',
                'extra_traffic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should not use any Link Layer Protection
                ''',
                'link_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Flags Unprotected
                ''',
                'lsp_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-plus-one-bi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Bidirectional Protection
                ''',
                'one_plus_one_bi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-plus-one-uni', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Unidirectional Protection
                ''',
                'one_plus_one_uni',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-to-n-protection-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1:N Protection with Extra-Traffic
                ''',
                'one_to_n_protection_et',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Full Rerouting
                ''',
                'rerouting',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouting-no-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Rerouting Without Extra-Traffic
                ''',
                'rerouting_no_et',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-notification', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Notification Bit
                ''',
                's2l_notification',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-operational', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Operational Bit
                ''',
                's2l_operational',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Protecting Bit
                ''',
                's2l_protecting',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-secondary', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Secondary Bit
                ''',
                's2l_secondary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Shared Link Layer Protection
                ''',
                'shared',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseLspFec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseLspFec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseLspFec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseLspFec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseLspFec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-lsp-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseTspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseTspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.FlexInfo.FlexFec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.FlexInfo.FlexFec',
            False, 
            [
            _MetaInfoClassMember('s2l-fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                Session identifier (ctype)
                ''',
                's2l_fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-dest', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                sub-LSP destination address
                ''',
                's2l_fec_dest',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                's2l_fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                's2l_fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                's2l_fec_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSP source address
                ''',
                's2l_fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                sub-LSP subgroup ID
                ''',
                's2l_fec_subgroup_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                's2l_fec_subgroup_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                's2l_fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                's2l_fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.FlexInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.FlexInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-created', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GAL BFD Session Created
                ''',
                'bfd_created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-egress-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Egress Label
                ''',
                'bfd_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-int-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Internal Label
                ''',
                'bfd_int_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                BFD Next Hop
                ''',
                'bfd_next_hop',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-out-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD Out Interface Handle
                ''',
                'bfd_out_ifh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-tun-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD Tunnel Interface Handle
                ''',
                'bfd_tun_ifh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GAL BFD Session Up
                ''',
                'bfd_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('entry-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FlexLSP Entry Exists
                ''',
                'entry_exists',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ais', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault AIS
                ''',
                'fault_ais',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ldi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LDI
                ''',
                'fault_ldi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ldi-lockout', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LDI Lockout
                ''',
                'fault_ldi_lockout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-lkr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LKR
                ''',
                'fault_lkr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Fault Time
                ''',
                'fault_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex-fec', REFERENCE_CLASS, 'FlexFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.FlexInfo.FlexFec', 
                [], [], 
                '''                FEC for the FlexLSP Entry
                ''',
                'flex_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                In Label
                ''',
                'in_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('oam-created', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                OAM Entry Created
                ''',
                'oam_created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.LspWrapInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.LspWrapInfo',
            False, 
            [
            _MetaInfoClassMember('lsp-wrap-protection-enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Wrap protection enabled
                ''',
                'lsp_wrap_protection_enable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-protection-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSP Wrap Merge Point Label
                ''',
                'lsp_wrap_protection_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-protection-state', REFERENCE_ENUM_CLASS, 'MplsTeLspWrapStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspWrapStateEnum', 
                [], [], 
                '''                LSP wrap protection state
                ''',
                'lsp_wrap_protection_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reverse Egress Interface
                ''',
                'reverse_egress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reverse LSP label
                ''',
                'reverse_lsp_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-wrap-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.DiversityInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.DiversityInfo',
            False, 
            [
            _MetaInfoClassMember('diversity-type', REFERENCE_ENUM_CLASS, 'TePpDiversityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePpDiversityEnum', 
                [], [], 
                '''                S2L path diversity type
                ''',
                'diversity_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'diversity-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.SharedRiskLinkGroup' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.SharedRiskLinkGroup',
            False, 
            [
            _MetaInfoClassMember('shared-risk-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG number
                ''',
                'shared_risk_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SRLG name
                ''',
                'srlg_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'shared-risk-link-group',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutEro.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutEro.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutEro.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutEro.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutEro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutEro',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutEro.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutEro.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'out-ero',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InEro.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InEro.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InEro.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InEro.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InEro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InEro',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InEro.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InEro.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'in-ero',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.Ipv4RroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.Ipv4RroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.Ipv4RroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.Ipv4RroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.Ipv4RroSubObject.Flags', 
                [], [], 
                '''                The RRO IPV4 Subobject Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO IPV4 Address
                ''',
                'rro_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.LabelRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.LabelRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-global-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label is Global across all interfaces
                ''',
                'is_global_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.LabelRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.LabelRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.LabelRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Label Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-label-variable-length', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the RRO Subobject Label Variable Length
                ''',
                'is_label_variable_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Label Value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('variable-length-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Variable Length Label
                ''',
                'variable_length_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'label-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.UnnumberedRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.UnnumberedRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Unnumbered Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO Interface Address
                ''',
                'interface_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.SrlgRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.SrlgRroSubObject',
            False, 
            [
            _MetaInfoClassMember('srl-gs', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject SRLGs
                ''',
                'srl_gs',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro',
            False, 
            [
            _MetaInfoClassMember('ipv4rro-sub-object', REFERENCE_CLASS, 'Ipv4RroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.Ipv4RroSubObject', 
                [], [], 
                '''                IPV4 RRO Sub Object
                ''',
                'ipv4rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rro-sub-object', REFERENCE_CLASS, 'LabelRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.LabelRroSubObject', 
                [], [], 
                '''                Label RRO Sub Object
                ''',
                'label_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtRroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtRroSubobjEnum', 
                [], [], 
                '''                RROType
                ''',
                'rro_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-rro-sub-object', REFERENCE_CLASS, 'SrlgRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.SrlgRroSubObject', 
                [], [], 
                '''                SRLG RRO Sub Object
                ''',
                'srlg_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-rro-sub-object', REFERENCE_CLASS, 'UnnumberedRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.UnnumberedRroSubObject', 
                [], [], 
                '''                Unnumbered RRO Sub Object
                ''',
                'unnumbered_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-rro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.Ipv4RroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.Ipv4RroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags', 
                [], [], 
                '''                The RRO IPV4 Subobject Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO IPV4 Address
                ''',
                'rro_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.LabelRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.LabelRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-global-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label is Global across all interfaces
                ''',
                'is_global_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.LabelRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.LabelRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.LabelRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Label Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-label-variable-length', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the RRO Subobject Label Variable Length
                ''',
                'is_label_variable_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Label Value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('variable-length-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Variable Length Label
                ''',
                'variable_length_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'label-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Unnumbered Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO Interface Address
                ''',
                'interface_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.SrlgRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.SrlgRroSubObject',
            False, 
            [
            _MetaInfoClassMember('srl-gs', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject SRLGs
                ''',
                'srl_gs',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro',
            False, 
            [
            _MetaInfoClassMember('ipv4rro-sub-object', REFERENCE_CLASS, 'Ipv4RroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.Ipv4RroSubObject', 
                [], [], 
                '''                IPV4 RRO Sub Object
                ''',
                'ipv4rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rro-sub-object', REFERENCE_CLASS, 'LabelRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.LabelRroSubObject', 
                [], [], 
                '''                Label RRO Sub Object
                ''',
                'label_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtRroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtRroSubobjEnum', 
                [], [], 
                '''                RROType
                ''',
                'rro_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-rro-sub-object', REFERENCE_CLASS, 'SrlgRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.SrlgRroSubObject', 
                [], [], 
                '''                SRLG RRO Sub Object
                ''',
                'srlg_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-rro-sub-object', REFERENCE_CLASS, 'UnnumberedRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject', 
                [], [], 
                '''                Unnumbered RRO Sub Object
                ''',
                'unnumbered_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-rro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathAffinityArray' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathAffinityArray',
            False, 
            [
            _MetaInfoClassMember('hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Hop address
                ''',
                'hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop-affinity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'hop_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop-extended-affinity', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hop affinity
                ''',
                'hop_extended_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-affinity-array',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-ero-in',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.S2LSegmentRoutingPath' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.S2LSegmentRoutingPath',
            False, 
            [
            _MetaInfoClassMember('has-entropy-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Hop has EL specified
                ''',
                'has_entropy_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-ip-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node has IP addresses specified
                ''',
                'has_ip_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-mpls-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Hop has MPLS label specified
                ''',
                'has_mpls_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local IP address of adjacency or Node ID
                ''',
                'local_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mpls-label-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The MPLS label value
                ''',
                'mpls_label_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote IP address of adjacency
                ''',
                'remote_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sid-type', REFERENCE_ENUM_CLASS, 'TeSrSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSrSidEnum', 
                [], [], 
                '''                Type of the SID
                ''',
                'sid_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-segment-routing-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L',
            False, 
            [
            _MetaInfoClassMember('abr-auto-discovered', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next ABR auto discovered
                ''',
                'abr_auto_discovered',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('active-path-option', REFERENCE_CLASS, 'ActivePathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption', 
                [], [], 
                '''                The path option used to find the path for this
                S2L
                ''',
                'active_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('association', REFERENCE_CLASS, 'Association' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.Association', 
                [], [], 
                '''                Association Object
                ''',
                'association',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface handle of the backup tunnel
                ''',
                'backup_tunnel_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('diversity-info', REFERENCE_CLASS, 'DiversityInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.DiversityInfo', 
                [], [], 
                '''                S2L Diversity Information
                ''',
                'diversity_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('downstream-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Downstream router id
                ''',
                'downstream_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Egress Interface
                ''',
                'egress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface-brief', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Egress Interface in brief format
                ''',
                'egress_interface_brief',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Interface
                ''',
                'egress_interface_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Outgoing ERO's affinity bits (colors)
                ''',
                'expanded_ero_affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Outgoing ERO's affinity mask (colors)
                ''',
                'expanded_ero_affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Indicates the protocol and area used to find
                Outgoing ERO
                ''',
                'expanded_ero_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The metric value of the expanded path
                ''',
                'expanded_ero_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-metric-type', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                The Outgoing ERO's selection metric
                ''',
                'expanded_ero_metric_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex-info', REFERENCE_CLASS, 'FlexInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.FlexInfo', 
                [], [], 
                '''                FlexLSP S2L Information
                ''',
                'flex_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-out-tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FRR out tunnel intface
                ''',
                'frr_out_tunnel_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fspec', REFERENCE_CLASS, 'Fspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.Fspec', 
                [], [], 
                '''                The F spec info
                ''',
                'fspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generic-fspec', REFERENCE_CLASS, 'GenericFspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GenericFspec', 
                [], [], 
                '''                Generic FSpec
                ''',
                'generic_fspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generic-tspec', REFERENCE_CLASS, 'GenericTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GenericTspec', 
                [], [], 
                '''                Generic TSpec
                ''',
                'generic_tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gmpls-labels', REFERENCE_CLASS, 'GmplsLabels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels', 
                [], [], 
                '''                GMPLS labels
                ''',
                'gmpls_labels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('head-end-bfd-info', REFERENCE_CLASS, 'HeadEndBfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo', 
                [], [], 
                '''                The Head-end BFD info
                ''',
                'head_end_bfd_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-ero', REFERENCE_LIST, 'InEro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InEro', 
                [], [], 
                '''                Incoming ERO for this S2L
                ''',
                'in_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-xro', REFERENCE_CLASS, 'InXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro', 
                [], [], 
                '''                Incoming XRO for this S2L
                ''',
                'in_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Incoming interface address
                ''',
                'incoming_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-address-generic', REFERENCE_CLASS, 'IncomingAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric', 
                [], [], 
                '''                Incoming interface address
                ''',
                'incoming_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ingress Interface
                ''',
                'ingress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface-brief', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ingress Interface in brief format
                ''',
                'ingress_interface_brief',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Interface
                ''',
                'ingress_interface_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-protect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BW Protection Enabled or Disabled
                ''',
                'is_bandwidth_protect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-expanded-ero', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if this LSR expanded a loose path
                ''',
                'is_expanded_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-frr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Enabled or Disabled
                ''',
                'is_frr_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Enabled or Disabled
                ''',
                'is_node_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-optical', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Optical
                ''',
                'is_optical',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local router id
                ''',
                'local_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-info', REFERENCE_CLASS, 'LspWrapInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.LspWrapInfo', 
                [], [], 
                '''                Lsp Wrap  Related information
                ''',
                'lsp_wrap_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop address
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address-generic', REFERENCE_CLASS, 'NextHopAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric', 
                [], [], 
                '''                Next hop address
                ''',
                'next_hop_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('node-hop-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hop count
                ''',
                'node_hop_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn-s2l', REFERENCE_CLASS, 'OtnS2L' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L', 
                [], [], 
                '''                Otn S2L Information
                ''',
                'otn_s2l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-ero', REFERENCE_LIST, 'OutEro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutEro', 
                [], [], 
                '''                Outgoing ERO for this S2L
                ''',
                'out_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-xro', REFERENCE_CLASS, 'OutXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro', 
                [], [], 
                '''                Outgoing XRO for this S2L
                ''',
                'out_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outbound-frr-state', REFERENCE_ENUM_CLASS, 'MplsTeFrrStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeFrrStateEnum', 
                [], [], 
                '''                Indicates outbound FRR state
                ''',
                'outbound_frr_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-affinity-array', REFERENCE_LIST, 'PathAffinityArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathAffinityArray', 
                [], [], 
                '''                Tunnel's Path hops with affinity
                ''',
                'path_affinity_array',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reeval-query-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loose path reevaluation query received at
                mid-point
                ''',
                'path_reeval_query_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-rro', REFERENCE_LIST, 'PathRro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro', 
                [], [], 
                '''                Path RRO for this S2L
                ''',
                'path_rro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-rro-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path RRO Enabled or Disabled
                ''',
                'path_rro_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-using-strict-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is using Strict SPF
                ''',
                'path_using_strict_spf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcalc-area', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IGP-area in which the S2L path was calculated
                ''',
                'pcalc_area',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Previous hop address
                ''',
                'previous_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-hop-address-generic', REFERENCE_CLASS, 'PreviousHopAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric', 
                [], [], 
                '''                Previous hop address
                ''',
                'previous_hop_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection', REFERENCE_CLASS, 'Protection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.Protection', 
                [], [], 
                '''                Protection Object
                ''',
                'protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-rro', REFERENCE_LIST, 'ResvRro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro', 
                [], [], 
                '''                Resv RRO for this S2L
                ''',
                'resv_rro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-ero-in', REFERENCE_LIST, 'ReverseEroIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn', 
                [], [], 
                '''                 Reverse Incoming ERO for this S2L
                ''',
                'reverse_ero_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Connected
                ''',
                'reverse_lsp_connected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-fec', REFERENCE_CLASS, 'ReverseLspFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseLspFec', 
                [], [], 
                '''                Reverse Associated Bidir LSP FEC
                ''',
                'reverse_lsp_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Name
                ''',
                'reverse_lsp_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Present
                ''',
                'reverse_lsp_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-tspec', REFERENCE_CLASS, 'ReverseTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseTspec', 
                [], [], 
                '''                The Reverse T spec info
                ''',
                'reverse_tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The reverse path weight
                ''',
                'reverse_weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('role', REFERENCE_ENUM_CLASS, 'MplsTeTunnelRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelRoleEnum', 
                [], [], 
                '''                Role of S2L
                ''',
                'role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-convergence', REFERENCE_CLASS, 'S2LConvergence' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.S2LConvergence', 
                [], [], 
                '''                TE LSP convergence related information
                ''',
                's2l_convergence',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec', REFERENCE_CLASS, 'S2LFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.S2LFec', 
                [], [], 
                '''                FEC for the S2L
                ''',
                's2l_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label
                ''',
                's2l_local_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing label
                ''',
                's2l_out_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-ero-obj-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2l Reverse ERO Object Present
                ''',
                's2l_reverse_ero_obj_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-lsp-sub-obj', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Reverse LSP Sub Objects
                ''',
                's2l_reverse_lsp_sub_obj',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-tspec-obj-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Reverse TSpec Object Present
                ''',
                's2l_reverse_tspec_obj_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-segment-routing-path', REFERENCE_LIST, 'S2LSegmentRoutingPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.S2LSegmentRoutingPath', 
                [], [], 
                '''                Segment-Routing S2L path info
                ''',
                's2l_segment_routing_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared-risk-link-group', REFERENCE_LIST, 'SharedRiskLinkGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.SharedRiskLinkGroup', 
                [], [], 
                '''                The S2L's excluded srlg groups
                ''',
                'shared_risk_link_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-status', REFERENCE_ENUM_CLASS, 'MplsTeTunnelsSignalingStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelsSignalingStatusEnum', 
                [], [], 
                '''                Signaling status
                ''',
                'signalling_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption', REFERENCE_CLASS, 'SoftPreemption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.SoftPreemption', 
                [], [], 
                '''                The soft preemption info for this LSP.
                ''',
                'soft_preemption',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-collection', REFERENCE_CLASS, 'SrlgCollection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.SrlgCollection', 
                [], [], 
                '''                SRLG-collection data
                ''',
                'srlg_collection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tail-end-bfd-info', REFERENCE_CLASS, 'TailEndBfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.TailEndBfdInfo', 
                [], [], 
                '''                The Tail-end BFD info
                ''',
                'tail_end_bfd_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-preferred-path-exists-send-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last preferred path exists msg send
                from mid-point
                ''',
                'time_since_last_preferred_path_exists_send_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-preferred-tree-exists-send-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last preferred tree exists msg send
                from mid-point
                ''',
                'time_since_last_preferred_tree_exists_send_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-query-received-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last reevaluation query received at
                mid-point
                ''',
                'time_since_last_query_received_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tspec', REFERENCE_CLASS, 'Tspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.Tspec', 
                [], [], 
                '''                The T spec info
                ''',
                'tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('upstream-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Upstream router id
                ''',
                'upstream_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the tunnel was up
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The path's weight
                ''',
                'weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp',
            False, 
            [
            _MetaInfoClassMember('dste-class-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Matching DSTE class index
                ''',
                'dste_class_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-match', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Do the class type and priority match a DSTE
                class
                ''',
                'dste_class_match',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-active-reason', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP LSP FRR active reason
                ''',
                'frr_active_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-frr-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                P2MP LSP has FRR Failed
                ''',
                'is_frr_failed',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True for tunnel head
                ''',
                'is_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-passive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True for passive tunnel
                ''',
                'is_passive',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-path-change', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last path change
                ''',
                'last_path_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP LSP Bandwidth
                ''',
                'lsp_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The LSP bandwidth type
                ''',
                'lsp_bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-fec', REFERENCE_CLASS, 'LspFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.LspFec', 
                [], [], 
                '''                FEC for the LSP
                ''',
                'lsp_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSP hold priority
                ''',
                'lsp_hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSP setup priority
                ''',
                'lsp_setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('persistent-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Persistent forwarding statistics for number of
                bytes. Clear counters will not reset the counter
                ''',
                'persistent_bytes',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('persistent-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Persistent forwarding statistics for Number of
                packets. Clear counters will not reset the
                counter
                ''',
                'persistent_packets',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimize-reason', REFERENCE_ENUM_CLASS, 'MplsTeReoptDecisionReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeReoptDecisionReasonEnum', 
                [], [], 
                '''                Reason for re-optimization
                ''',
                'reoptimize_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimize-trigger', REFERENCE_ENUM_CLASS, 'MteReoptTriggerEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MteReoptTriggerEnum', 
                [], [], 
                '''                Re-optimize trigger
                ''',
                'reoptimize_trigger',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-down', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of down S2Ls
                ''',
                's2_ls_down',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-proceeding', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of proceeding S2Ls
                ''',
                's2_ls_proceeding',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of connected S2Ls
                ''',
                's2_ls_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l', REFERENCE_LIST, 'S2L' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L', 
                [], [], 
                '''                array of S2L structures
                ''',
                's2l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signaled-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signaled Name
                ''',
                'signaled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('timer-left', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds left to take next action if any
                ''',
                'timer_left',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MplsTeLspEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspEnum', 
                [], [], 
                '''                The type of this LSP
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the tunnel was up
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reoptimized-standby-p2mp-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.LspFec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.LspFec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.LspFec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.LspFec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.LspFec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.S2LFec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.S2LFec',
            False, 
            [
            _MetaInfoClassMember('s2l-fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                Session identifier (ctype)
                ''',
                's2l_fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-dest', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                sub-LSP destination address
                ''',
                's2l_fec_dest',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                's2l_fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                's2l_fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                's2l_fec_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSP source address
                ''',
                's2l_fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                sub-LSP subgroup ID
                ''',
                's2l_fec_subgroup_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                's2l_fec_subgroup_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                's2l_fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                's2l_fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.PathCalculationError' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.PathCalculationError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-calculation-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.RemergeError' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.RemergeError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'remerge-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.SignallingError' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.SignallingError',
            False, 
            [
            _MetaInfoClassMember('error', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Path Error code
                ''',
                'error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Source address of the error generating node
                ''',
                'error_node',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSPMode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if error is on the reverse LSP
                ''',
                'reverse_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP-id for which the error was received
                ''',
                'signalling_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path Error subcode
                ''',
                'sub_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalling-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption',
            False, 
            [
            _MetaInfoClassMember('attribute-set', REFERENCE_CLASS, 'AttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet', 
                [], [], 
                '''                The path option attribute set used by this path
                ''',
                'attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-found', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has found the defined attribute
                set
                ''',
                'attribute_set_found',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Explicit Path ID, this is the key to table
                ExplicitPaths.IdentifierTable
                ''',
                'explicit_path_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Explicit Path Name, this is the key to table
                ExplicitPaths.NameTable
                ''',
                'explicit_path_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has an attribute set defined
                ''',
                'has_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-xro-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has an XRO attribute set
                configured
                ''',
                'has_xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('holddown-duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Holddown Duration (seconds)
                ''',
                'holddown_duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path option is disabled
                ''',
                'is_disabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-helddown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if path is helddown
                ''',
                'is_helddown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-lockdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is locked down
                ''',
                'is_lockdown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-segment-routing', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is Segment-Routing
                ''',
                'is_segment_routing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-explicit-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if explicit path is strict
                ''',
                'is_strict_explicit_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-verbatim', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is verbatim
                ''',
                'is_verbatim',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index
                ''',
                'option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index-is-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The path option index is valid
                ''',
                'option_index_is_valid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-calculation-error', REFERENCE_LIST, 'PathCalculationError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.PathCalculationError', 
                [], [], 
                '''                Path computation information
                ''',
                'path_calculation_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The path-option area constraint
                ''',
                'path_option_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path option name
                ''',
                'path_option_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-type', REFERENCE_ENUM_CLASS, 'MplsTePathoptionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTePathoptionEnum', 
                [], [], 
                '''                Path option type
                ''',
                'path_option_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                PCE server address
                ''',
                'pce_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-by-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for Protect path options
                ''',
                'protected_by_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remerge-error', REFERENCE_LIST, 'RemergeError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.RemergeError', 
                [], [], 
                '''                Path computation remerge resolve info
                ''',
                'remerge_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restored-from-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for Restore path options
                ''',
                'restored_from_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-error', REFERENCE_LIST, 'SignallingError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.SignallingError', 
                [], [], 
                '''                Signalling information
                ''',
                'signalling_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set', REFERENCE_CLASS, 'XroAttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet', 
                [], [], 
                '''                The XRO attribute set used by this path-option
                ''',
                'xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set-found', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path's XRO attribute set is known
                ''',
                'xro_attribute_set_found',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'active-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'out-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'in-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.Tspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.Tspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GenericTspec.Otntspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GenericTspec.Otntspec',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit Rate in kbps
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nmc-or-tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                NMC or Tolerance
                ''',
                'nmc_or_tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Virtual Components
                ''',
                'nvc',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otntspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GenericTspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GenericTspec',
            False, 
            [
            _MetaInfoClassMember('otntspec', REFERENCE_CLASS, 'Otntspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GenericTspec.Otntspec', 
                [], [], 
                '''                TE TSpec for G709 OTN
                ''',
                'otntspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tspec-type', REFERENCE_ENUM_CLASS, 'TeMgmtGenericTspecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeMgmtGenericTspecEnum', 
                [], [], 
                '''                TSpecType
                ''',
                'tspec_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'generic-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.Fspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.Fspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GenericFspec.Otnfspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GenericFspec.Otnfspec',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit Rate in kbps
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nmc-or-tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                NMC or Tolerance
                ''',
                'nmc_or_tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Virtual Components
                ''',
                'nvc',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otnfspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GenericFspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GenericFspec',
            False, 
            [
            _MetaInfoClassMember('fspec-type', REFERENCE_ENUM_CLASS, 'TeMgmtGenericFspecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeMgmtGenericFspecEnum', 
                [], [], 
                '''                FSpecType
                ''',
                'fspec_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otnfspec', REFERENCE_CLASS, 'Otnfspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GenericFspec.Otnfspec', 
                [], [], 
                '''                TE FSpec for G709 OTN
                ''',
                'otnfspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'generic-fspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.NextHopAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.NextHopAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.NextHopAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.NextHopAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.NextHopAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'next-hop-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'previous-hop-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.IncomingAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.IncomingAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.IncomingAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.IncomingAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.IncomingAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'incoming-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.S2LConvergence' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.S2LConvergence',
            False, 
            [
            _MetaInfoClassMember('creation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tunnel creation timestamp (clocktime in nsecs)
                ''',
                'creation_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rewrite', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP Label rewrite timestamp (clocktime in nsecs)
                ''',
                'label_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Path-in timestamp (clocktime in nsecs)
                ''',
                'path_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Path-in timestamp (clocktime in nsecs)
                ''',
                'path_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Resv-in timestamp (clocktime in nsecs)
                ''',
                'resv_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Resv-out timestamp (clocktime in nsecs)
                ''',
                'resv_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-rewrite', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tunnel rewrite timestamp (clocktime in nsecs)
                ''',
                'tunnel_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-convergence',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.SoftPreemption' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.SoftPreemption',
            False, 
            [
            _MetaInfoClassMember('fr-rrewrite', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR-rewrite during soft preemption
                ''',
                'fr_rrewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fr-rrewrite-tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The tunnel name of the backup
                ''',
                'fr_rrewrite_tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('preempting-link-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The address of the link where the preemption
                happened
                ''',
                'preempting_link_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-link', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the link where the soft preemption
                occurred
                ''',
                'soft_preemption_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The POSIX timestamp when the soft preemption
                occurred
                ''',
                'soft_preemption_timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'MplsTeSoftPreemptionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeSoftPreemptionStateEnum', 
                [], [], 
                '''                The current state of the soft preemption
                operation
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-to-hard-preemption', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The number of seconds until hard preemption is
                triggered
                ''',
                'time_to_hard_preemption',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'soft-preemption',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels',
            False, 
            [
            _MetaInfoClassMember('path-egress-label', REFERENCE_CLASS, 'PathEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel', 
                [], [], 
                '''                Path message (upstream) egress label
                ''',
                'path_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-ingress-label', REFERENCE_CLASS, 'PathIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel', 
                [], [], 
                '''                Path message (upstream) ingress label
                ''',
                'path_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-egress-label', REFERENCE_CLASS, 'ResvEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel', 
                [], [], 
                '''                Resv message (downstream) egress label
                ''',
                'resv_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-ingress-label', REFERENCE_CLASS, 'ResvIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel', 
                [], [], 
                '''                Resv message (downstream) ingress label
                ''',
                'resv_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'gmpls-labels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tolerance
                ''',
                'tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-cbr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-gfp-f-res',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-gfp-f-non-res',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth',
            False, 
            [
            _MetaInfoClassMember('odu-flex-cbr', REFERENCE_CLASS, 'OduFlexCbr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr', 
                [], [], 
                '''                Odu flex CBR info
                ''',
                'odu_flex_cbr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-flex-gfp-f-non-res', REFERENCE_CLASS, 'OduFlexGfpFNonRes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes', 
                [], [], 
                '''                Odu flex GFP-F non-resizable info
                ''',
                'odu_flex_gfp_f_non_res',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-flex-gfp-f-res', REFERENCE_CLASS, 'OduFlexGfpFRes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes', 
                [], [], 
                '''                Odu flex GFP-F resizable info
                ''',
                'odu_flex_gfp_f_res',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-level', REFERENCE_ENUM_CLASS, 'TeOduLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeOduLevelEnum', 
                [], [], 
                '''                ODULevel
                ''',
                'odu_level',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels',
            False, 
            [
            _MetaInfoClassMember('path-egress-label', REFERENCE_CLASS, 'PathEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel', 
                [], [], 
                '''                Path message (upstream) egress label
                ''',
                'path_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-ingress-label', REFERENCE_CLASS, 'PathIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel', 
                [], [], 
                '''                Path message (upstream) ingress label
                ''',
                'path_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-egress-label', REFERENCE_CLASS, 'ResvEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel', 
                [], [], 
                '''                Resv message (downstream) egress label
                ''',
                'resv_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-ingress-label', REFERENCE_CLASS, 'ResvIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel', 
                [], [], 
                '''                Resv message (downstream) ingress label
                ''',
                'resv_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'labels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn',
            False, 
            [
            _MetaInfoClassMember('bandwidth', REFERENCE_CLASS, 'Bandwidth' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth', 
                [], [], 
                '''                OTN Bandwidth for s2l
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cross-connect-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cross connect id
                ''',
                'cross_connect_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gpid', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Gpid Payload
                ''',
                'gpid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Incoming Controller
                ''',
                'incoming_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Incoming Controller Ifhandle
                ''',
                'incoming_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Controller
                ''',
                'incoming_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Incoming Sub Controller
                ''',
                'incoming_sub_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Incoming Sub Controller Ifhandle
                ''',
                'incoming_sub_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Sub Controller
                ''',
                'incoming_sub_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if subcontrollers are connected
                ''',
                'is_connected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('labels', REFERENCE_CLASS, 'Labels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels', 
                [], [], 
                '''                Labels
                ''',
                'labels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing Controller
                ''',
                'outgoing_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Controller Ifhandle
                ''',
                'outgoing_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Controller
                ''',
                'outgoing_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing Sub Controller
                ''',
                'outgoing_sub_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Sub Controller Ifhandle
                ''',
                'outgoing_sub_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Sub Controller
                ''',
                'outgoing_sub_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                XC Uptime
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Aps.ProtectionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Aps.ProtectionInfo',
            False, 
            [
            _MetaInfoClassMember('ho-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-Off timeout
                ''',
                'ho_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-hopresent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Hold-Off timeout present
                ''',
                'is_hopresent',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-snc-mode-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SNC mode present
                ''',
                'is_snc_mode_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-wtr-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Wait-to-Restore timeout present
                ''',
                'is_wtr_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Notification bit 
                ''',
                'nbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('obit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Operational bit
                ''',
                'obit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path protection profile type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Protecting bit
                ''',
                'pbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protect-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                LSP Protect Type
                ''',
                'protect_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Secondary bit
                ''',
                'sbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                SNC mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TCM ID
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wtr-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait-to-Restore timeout
                ''',
                'wtr_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protection-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Aps' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Aps',
            False, 
            [
            _MetaInfoClassMember('protection-info', REFERENCE_CLASS, 'ProtectionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Aps.ProtectionInfo', 
                [], [], 
                '''                Protection Info
                ''',
                'protection_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'aps',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L',
            False, 
            [
            _MetaInfoClassMember('aps', REFERENCE_CLASS, 'Aps' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Aps', 
                [], [], 
                '''                APS Info for OTN S2L
                ''',
                'aps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn', 
                [], [], 
                '''                Info Related to OTN technology in S2L
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn-s2l',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.HeadEndBfdInfo.SessionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.HeadEndBfdInfo.SessionInfo',
            False, 
            [
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'TeBfdLspSessionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdLspSessionStateEnum', 
                [], [], 
                '''                BFD session state
                ''',
                'state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('state-change-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last session state
                change
                ''',
                'state_change_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'session-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.HeadEndBfdInfo.DeletionHistory' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.HeadEndBfdInfo.DeletionHistory',
            False, 
            [
            _MetaInfoClassMember('deletion-diagnostic-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Diagnostic Code for the BFD session get deleted
                ''',
                'deletion_diagnostic_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reason for the BFD session get deleted
                ''',
                'deletion_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time stamp of the BFD session get deleted
                ''',
                'deletion_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID of the BFD session get deleted
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'deletion-history',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.HeadEndBfdInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.HeadEndBfdInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-reverse-path-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path labels
                ''',
                'bfd_reverse_path_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The BFD reverse path is stale compared to
                configuration
                ''',
                'bfd_reverse_path_stale',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('creation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the BFD session created
                ''',
                'creation_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-history', REFERENCE_CLASS, 'DeletionHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.HeadEndBfdInfo.DeletionHistory', 
                [], [], 
                '''                BFD Session Deletion History
                ''',
                'deletion_history',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-redundant', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                sBFD session is redundant
                ''',
                'is_redundant',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lspbfd-type', REFERENCE_ENUM_CLASS, 'TeVifBfdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeVifBfdEnum', 
                [], [], 
                '''                LSP BFD type
                ''',
                'lspbfd_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-info', REFERENCE_CLASS, 'SessionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.HeadEndBfdInfo.SessionInfo', 
                [], [], 
                '''                BFD Session Info
                ''',
                'session_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'head-end-bfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.TailEndBfdInfo.SessionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.TailEndBfdInfo.SessionInfo',
            False, 
            [
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'TeBfdLspSessionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdLspSessionStateEnum', 
                [], [], 
                '''                BFD session state
                ''',
                'state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('state-change-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last session state
                change
                ''',
                'state_change_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'session-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.TailEndBfdInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.TailEndBfdInfo',
            False, 
            [
            _MetaInfoClassMember('failure-diagnostic-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD session failure diagnostic code
                ''',
                'failure_diagnostic_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('failure-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                BFD session failure reason
                ''',
                'failure_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-discriminator', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Local Discriminator
                ''',
                'local_discriminator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('min-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello interval in mini second
                ''',
                'min_interval',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('min-interval-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default hello interval
                ''',
                'min_interval_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default multiplier
                ''',
                'multiplier_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-discriminator', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Remote Discrminator
                ''',
                'remote_discriminator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-info', REFERENCE_CLASS, 'SessionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.TailEndBfdInfo.SessionInfo', 
                [], [], 
                '''                BFD Session Info
                ''',
                'session_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tail-end-bfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.SrlgCollection' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.SrlgCollection',
            False, 
            [
            _MetaInfoClassMember('discovered-srlg', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Discovered SRLGs
                ''',
                'discovered_srlg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-collect-type', REFERENCE_ENUM_CLASS, 'TeSrlgCollectRequestEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSrlgCollectRequestEnum', 
                [], [], 
                '''                SRLG-collection mechanism
                ''',
                'srlg_collect_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-collection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.Association' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.Association',
            False, 
            [
            _MetaInfoClassMember('s2l-association-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Association ID
                ''',
                's2l_association_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                S2L Association Source
                ''',
                's2l_association_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-tie-role', REFERENCE_ENUM_CLASS, 'TeAssociationTieRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAssociationTieRoleEnum', 
                [], [], 
                '''                S2L Association Tie Role
                ''',
                's2l_association_tie_role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Association Type                         
                (draft-ietf-ccamp-mpls-tp-rsvpte-ext-associated-lsp)
                ''',
                's2l_association_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-extended-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L Extended ID Array
                ''',
                's2l_extended_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-global-source', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L Global Source
                ''',
                's2l_global_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'association',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.Protection' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.Protection',
            False, 
            [
            _MetaInfoClassMember('any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Any
                ''',
                'any',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ded1-plus1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1+1 Protection
                ''',
                'ded1_plus1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ded1-to1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1:1 Protection
                ''',
                'ded1_to1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('enhanced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates Enhanced Protection Scheme
                ''',
                'enhanced',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extra-traffic', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should use Links that are protecting other
                (primary) traffic
                ''',
                'extra_traffic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should not use any Link Layer Protection
                ''',
                'link_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Flags Unprotected
                ''',
                'lsp_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-plus-one-bi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Bidirectional Protection
                ''',
                'one_plus_one_bi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-plus-one-uni', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Unidirectional Protection
                ''',
                'one_plus_one_uni',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-to-n-protection-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1:N Protection with Extra-Traffic
                ''',
                'one_to_n_protection_et',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Full Rerouting
                ''',
                'rerouting',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouting-no-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Rerouting Without Extra-Traffic
                ''',
                'rerouting_no_et',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-notification', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Notification Bit
                ''',
                's2l_notification',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-operational', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Operational Bit
                ''',
                's2l_operational',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Protecting Bit
                ''',
                's2l_protecting',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-secondary', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Secondary Bit
                ''',
                's2l_secondary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Shared Link Layer Protection
                ''',
                'shared',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseLspFec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseLspFec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseLspFec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseLspFec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseLspFec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-lsp-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseTspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseTspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.FlexInfo.FlexFec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.FlexInfo.FlexFec',
            False, 
            [
            _MetaInfoClassMember('s2l-fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                Session identifier (ctype)
                ''',
                's2l_fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-dest', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                sub-LSP destination address
                ''',
                's2l_fec_dest',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                's2l_fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                's2l_fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                's2l_fec_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSP source address
                ''',
                's2l_fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                sub-LSP subgroup ID
                ''',
                's2l_fec_subgroup_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                's2l_fec_subgroup_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                's2l_fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                's2l_fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.FlexInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.FlexInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-created', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GAL BFD Session Created
                ''',
                'bfd_created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-egress-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Egress Label
                ''',
                'bfd_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-int-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Internal Label
                ''',
                'bfd_int_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                BFD Next Hop
                ''',
                'bfd_next_hop',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-out-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD Out Interface Handle
                ''',
                'bfd_out_ifh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-tun-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD Tunnel Interface Handle
                ''',
                'bfd_tun_ifh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GAL BFD Session Up
                ''',
                'bfd_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('entry-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FlexLSP Entry Exists
                ''',
                'entry_exists',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ais', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault AIS
                ''',
                'fault_ais',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ldi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LDI
                ''',
                'fault_ldi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ldi-lockout', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LDI Lockout
                ''',
                'fault_ldi_lockout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-lkr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LKR
                ''',
                'fault_lkr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Fault Time
                ''',
                'fault_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex-fec', REFERENCE_CLASS, 'FlexFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.FlexInfo.FlexFec', 
                [], [], 
                '''                FEC for the FlexLSP Entry
                ''',
                'flex_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                In Label
                ''',
                'in_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('oam-created', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                OAM Entry Created
                ''',
                'oam_created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.LspWrapInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.LspWrapInfo',
            False, 
            [
            _MetaInfoClassMember('lsp-wrap-protection-enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Wrap protection enabled
                ''',
                'lsp_wrap_protection_enable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-protection-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSP Wrap Merge Point Label
                ''',
                'lsp_wrap_protection_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-protection-state', REFERENCE_ENUM_CLASS, 'MplsTeLspWrapStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspWrapStateEnum', 
                [], [], 
                '''                LSP wrap protection state
                ''',
                'lsp_wrap_protection_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reverse Egress Interface
                ''',
                'reverse_egress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reverse LSP label
                ''',
                'reverse_lsp_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-wrap-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.DiversityInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.DiversityInfo',
            False, 
            [
            _MetaInfoClassMember('diversity-type', REFERENCE_ENUM_CLASS, 'TePpDiversityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePpDiversityEnum', 
                [], [], 
                '''                S2L path diversity type
                ''',
                'diversity_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'diversity-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.SharedRiskLinkGroup' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.SharedRiskLinkGroup',
            False, 
            [
            _MetaInfoClassMember('shared-risk-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG number
                ''',
                'shared_risk_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SRLG name
                ''',
                'srlg_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'shared-risk-link-group',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutEro.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutEro.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutEro.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutEro.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutEro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutEro',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutEro.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutEro.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'out-ero',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InEro.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InEro.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InEro.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InEro.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InEro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InEro',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InEro.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InEro.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'in-ero',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.Ipv4RroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.Ipv4RroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.Ipv4RroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.Ipv4RroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.Ipv4RroSubObject.Flags', 
                [], [], 
                '''                The RRO IPV4 Subobject Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO IPV4 Address
                ''',
                'rro_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.LabelRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.LabelRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-global-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label is Global across all interfaces
                ''',
                'is_global_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.LabelRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.LabelRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.LabelRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Label Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-label-variable-length', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the RRO Subobject Label Variable Length
                ''',
                'is_label_variable_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Label Value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('variable-length-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Variable Length Label
                ''',
                'variable_length_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'label-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.UnnumberedRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.UnnumberedRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.UnnumberedRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.UnnumberedRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.UnnumberedRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Unnumbered Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO Interface Address
                ''',
                'interface_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.SrlgRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.SrlgRroSubObject',
            False, 
            [
            _MetaInfoClassMember('srl-gs', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject SRLGs
                ''',
                'srl_gs',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro',
            False, 
            [
            _MetaInfoClassMember('ipv4rro-sub-object', REFERENCE_CLASS, 'Ipv4RroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.Ipv4RroSubObject', 
                [], [], 
                '''                IPV4 RRO Sub Object
                ''',
                'ipv4rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rro-sub-object', REFERENCE_CLASS, 'LabelRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.LabelRroSubObject', 
                [], [], 
                '''                Label RRO Sub Object
                ''',
                'label_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtRroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtRroSubobjEnum', 
                [], [], 
                '''                RROType
                ''',
                'rro_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-rro-sub-object', REFERENCE_CLASS, 'SrlgRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.SrlgRroSubObject', 
                [], [], 
                '''                SRLG RRO Sub Object
                ''',
                'srlg_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-rro-sub-object', REFERENCE_CLASS, 'UnnumberedRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.UnnumberedRroSubObject', 
                [], [], 
                '''                Unnumbered RRO Sub Object
                ''',
                'unnumbered_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-rro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.Ipv4RroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.Ipv4RroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.Ipv4RroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.Ipv4RroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.Ipv4RroSubObject.Flags', 
                [], [], 
                '''                The RRO IPV4 Subobject Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO IPV4 Address
                ''',
                'rro_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.LabelRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.LabelRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-global-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label is Global across all interfaces
                ''',
                'is_global_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.LabelRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.LabelRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.LabelRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Label Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-label-variable-length', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the RRO Subobject Label Variable Length
                ''',
                'is_label_variable_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Label Value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('variable-length-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Variable Length Label
                ''',
                'variable_length_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'label-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.UnnumberedRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.UnnumberedRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Unnumbered Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO Interface Address
                ''',
                'interface_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.SrlgRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.SrlgRroSubObject',
            False, 
            [
            _MetaInfoClassMember('srl-gs', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject SRLGs
                ''',
                'srl_gs',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro',
            False, 
            [
            _MetaInfoClassMember('ipv4rro-sub-object', REFERENCE_CLASS, 'Ipv4RroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.Ipv4RroSubObject', 
                [], [], 
                '''                IPV4 RRO Sub Object
                ''',
                'ipv4rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rro-sub-object', REFERENCE_CLASS, 'LabelRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.LabelRroSubObject', 
                [], [], 
                '''                Label RRO Sub Object
                ''',
                'label_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtRroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtRroSubobjEnum', 
                [], [], 
                '''                RROType
                ''',
                'rro_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-rro-sub-object', REFERENCE_CLASS, 'SrlgRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.SrlgRroSubObject', 
                [], [], 
                '''                SRLG RRO Sub Object
                ''',
                'srlg_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-rro-sub-object', REFERENCE_CLASS, 'UnnumberedRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.UnnumberedRroSubObject', 
                [], [], 
                '''                Unnumbered RRO Sub Object
                ''',
                'unnumbered_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-rro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathAffinityArray' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathAffinityArray',
            False, 
            [
            _MetaInfoClassMember('hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Hop address
                ''',
                'hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop-affinity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'hop_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop-extended-affinity', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hop affinity
                ''',
                'hop_extended_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-affinity-array',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseEroIn.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseEroIn.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseEroIn.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseEroIn.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseEroIn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseEroIn',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseEroIn.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseEroIn.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-ero-in',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.S2LSegmentRoutingPath' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.S2LSegmentRoutingPath',
            False, 
            [
            _MetaInfoClassMember('has-entropy-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Hop has EL specified
                ''',
                'has_entropy_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-ip-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node has IP addresses specified
                ''',
                'has_ip_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-mpls-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Hop has MPLS label specified
                ''',
                'has_mpls_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local IP address of adjacency or Node ID
                ''',
                'local_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mpls-label-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The MPLS label value
                ''',
                'mpls_label_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote IP address of adjacency
                ''',
                'remote_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sid-type', REFERENCE_ENUM_CLASS, 'TeSrSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSrSidEnum', 
                [], [], 
                '''                Type of the SID
                ''',
                'sid_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-segment-routing-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L',
            False, 
            [
            _MetaInfoClassMember('abr-auto-discovered', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next ABR auto discovered
                ''',
                'abr_auto_discovered',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('active-path-option', REFERENCE_CLASS, 'ActivePathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption', 
                [], [], 
                '''                The path option used to find the path for this
                S2L
                ''',
                'active_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('association', REFERENCE_CLASS, 'Association' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.Association', 
                [], [], 
                '''                Association Object
                ''',
                'association',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface handle of the backup tunnel
                ''',
                'backup_tunnel_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('diversity-info', REFERENCE_CLASS, 'DiversityInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.DiversityInfo', 
                [], [], 
                '''                S2L Diversity Information
                ''',
                'diversity_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('downstream-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Downstream router id
                ''',
                'downstream_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Egress Interface
                ''',
                'egress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface-brief', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Egress Interface in brief format
                ''',
                'egress_interface_brief',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Interface
                ''',
                'egress_interface_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Outgoing ERO's affinity bits (colors)
                ''',
                'expanded_ero_affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Outgoing ERO's affinity mask (colors)
                ''',
                'expanded_ero_affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Indicates the protocol and area used to find
                Outgoing ERO
                ''',
                'expanded_ero_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The metric value of the expanded path
                ''',
                'expanded_ero_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-metric-type', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                The Outgoing ERO's selection metric
                ''',
                'expanded_ero_metric_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex-info', REFERENCE_CLASS, 'FlexInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.FlexInfo', 
                [], [], 
                '''                FlexLSP S2L Information
                ''',
                'flex_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-out-tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FRR out tunnel intface
                ''',
                'frr_out_tunnel_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fspec', REFERENCE_CLASS, 'Fspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.Fspec', 
                [], [], 
                '''                The F spec info
                ''',
                'fspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generic-fspec', REFERENCE_CLASS, 'GenericFspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GenericFspec', 
                [], [], 
                '''                Generic FSpec
                ''',
                'generic_fspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generic-tspec', REFERENCE_CLASS, 'GenericTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GenericTspec', 
                [], [], 
                '''                Generic TSpec
                ''',
                'generic_tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gmpls-labels', REFERENCE_CLASS, 'GmplsLabels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels', 
                [], [], 
                '''                GMPLS labels
                ''',
                'gmpls_labels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('head-end-bfd-info', REFERENCE_CLASS, 'HeadEndBfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.HeadEndBfdInfo', 
                [], [], 
                '''                The Head-end BFD info
                ''',
                'head_end_bfd_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-ero', REFERENCE_LIST, 'InEro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InEro', 
                [], [], 
                '''                Incoming ERO for this S2L
                ''',
                'in_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-xro', REFERENCE_CLASS, 'InXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro', 
                [], [], 
                '''                Incoming XRO for this S2L
                ''',
                'in_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Incoming interface address
                ''',
                'incoming_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-address-generic', REFERENCE_CLASS, 'IncomingAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.IncomingAddressGeneric', 
                [], [], 
                '''                Incoming interface address
                ''',
                'incoming_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ingress Interface
                ''',
                'ingress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface-brief', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ingress Interface in brief format
                ''',
                'ingress_interface_brief',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Interface
                ''',
                'ingress_interface_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-protect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BW Protection Enabled or Disabled
                ''',
                'is_bandwidth_protect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-expanded-ero', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if this LSR expanded a loose path
                ''',
                'is_expanded_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-frr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Enabled or Disabled
                ''',
                'is_frr_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Enabled or Disabled
                ''',
                'is_node_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-optical', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Optical
                ''',
                'is_optical',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local router id
                ''',
                'local_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-info', REFERENCE_CLASS, 'LspWrapInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.LspWrapInfo', 
                [], [], 
                '''                Lsp Wrap  Related information
                ''',
                'lsp_wrap_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop address
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address-generic', REFERENCE_CLASS, 'NextHopAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.NextHopAddressGeneric', 
                [], [], 
                '''                Next hop address
                ''',
                'next_hop_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('node-hop-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hop count
                ''',
                'node_hop_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn-s2l', REFERENCE_CLASS, 'OtnS2L' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L', 
                [], [], 
                '''                Otn S2L Information
                ''',
                'otn_s2l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-ero', REFERENCE_LIST, 'OutEro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutEro', 
                [], [], 
                '''                Outgoing ERO for this S2L
                ''',
                'out_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-xro', REFERENCE_CLASS, 'OutXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro', 
                [], [], 
                '''                Outgoing XRO for this S2L
                ''',
                'out_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outbound-frr-state', REFERENCE_ENUM_CLASS, 'MplsTeFrrStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeFrrStateEnum', 
                [], [], 
                '''                Indicates outbound FRR state
                ''',
                'outbound_frr_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-affinity-array', REFERENCE_LIST, 'PathAffinityArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathAffinityArray', 
                [], [], 
                '''                Tunnel's Path hops with affinity
                ''',
                'path_affinity_array',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reeval-query-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loose path reevaluation query received at
                mid-point
                ''',
                'path_reeval_query_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-rro', REFERENCE_LIST, 'PathRro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro', 
                [], [], 
                '''                Path RRO for this S2L
                ''',
                'path_rro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-rro-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path RRO Enabled or Disabled
                ''',
                'path_rro_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-using-strict-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is using Strict SPF
                ''',
                'path_using_strict_spf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcalc-area', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IGP-area in which the S2L path was calculated
                ''',
                'pcalc_area',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Previous hop address
                ''',
                'previous_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-hop-address-generic', REFERENCE_CLASS, 'PreviousHopAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric', 
                [], [], 
                '''                Previous hop address
                ''',
                'previous_hop_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection', REFERENCE_CLASS, 'Protection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.Protection', 
                [], [], 
                '''                Protection Object
                ''',
                'protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-rro', REFERENCE_LIST, 'ResvRro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro', 
                [], [], 
                '''                Resv RRO for this S2L
                ''',
                'resv_rro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-ero-in', REFERENCE_LIST, 'ReverseEroIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseEroIn', 
                [], [], 
                '''                 Reverse Incoming ERO for this S2L
                ''',
                'reverse_ero_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Connected
                ''',
                'reverse_lsp_connected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-fec', REFERENCE_CLASS, 'ReverseLspFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseLspFec', 
                [], [], 
                '''                Reverse Associated Bidir LSP FEC
                ''',
                'reverse_lsp_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Name
                ''',
                'reverse_lsp_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Present
                ''',
                'reverse_lsp_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-tspec', REFERENCE_CLASS, 'ReverseTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseTspec', 
                [], [], 
                '''                The Reverse T spec info
                ''',
                'reverse_tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The reverse path weight
                ''',
                'reverse_weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('role', REFERENCE_ENUM_CLASS, 'MplsTeTunnelRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelRoleEnum', 
                [], [], 
                '''                Role of S2L
                ''',
                'role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-convergence', REFERENCE_CLASS, 'S2LConvergence' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.S2LConvergence', 
                [], [], 
                '''                TE LSP convergence related information
                ''',
                's2l_convergence',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec', REFERENCE_CLASS, 'S2LFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.S2LFec', 
                [], [], 
                '''                FEC for the S2L
                ''',
                's2l_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label
                ''',
                's2l_local_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing label
                ''',
                's2l_out_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-ero-obj-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2l Reverse ERO Object Present
                ''',
                's2l_reverse_ero_obj_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-lsp-sub-obj', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Reverse LSP Sub Objects
                ''',
                's2l_reverse_lsp_sub_obj',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-tspec-obj-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Reverse TSpec Object Present
                ''',
                's2l_reverse_tspec_obj_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-segment-routing-path', REFERENCE_LIST, 'S2LSegmentRoutingPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.S2LSegmentRoutingPath', 
                [], [], 
                '''                Segment-Routing S2L path info
                ''',
                's2l_segment_routing_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared-risk-link-group', REFERENCE_LIST, 'SharedRiskLinkGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.SharedRiskLinkGroup', 
                [], [], 
                '''                The S2L's excluded srlg groups
                ''',
                'shared_risk_link_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-status', REFERENCE_ENUM_CLASS, 'MplsTeTunnelsSignalingStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelsSignalingStatusEnum', 
                [], [], 
                '''                Signaling status
                ''',
                'signalling_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption', REFERENCE_CLASS, 'SoftPreemption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.SoftPreemption', 
                [], [], 
                '''                The soft preemption info for this LSP.
                ''',
                'soft_preemption',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-collection', REFERENCE_CLASS, 'SrlgCollection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.SrlgCollection', 
                [], [], 
                '''                SRLG-collection data
                ''',
                'srlg_collection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tail-end-bfd-info', REFERENCE_CLASS, 'TailEndBfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.TailEndBfdInfo', 
                [], [], 
                '''                The Tail-end BFD info
                ''',
                'tail_end_bfd_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-preferred-path-exists-send-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last preferred path exists msg send
                from mid-point
                ''',
                'time_since_last_preferred_path_exists_send_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-preferred-tree-exists-send-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last preferred tree exists msg send
                from mid-point
                ''',
                'time_since_last_preferred_tree_exists_send_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-query-received-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last reevaluation query received at
                mid-point
                ''',
                'time_since_last_query_received_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tspec', REFERENCE_CLASS, 'Tspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.Tspec', 
                [], [], 
                '''                The T spec info
                ''',
                'tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('upstream-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Upstream router id
                ''',
                'upstream_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the tunnel was up
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The path's weight
                ''',
                'weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp',
            False, 
            [
            _MetaInfoClassMember('dste-class-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Matching DSTE class index
                ''',
                'dste_class_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-match', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Do the class type and priority match a DSTE
                class
                ''',
                'dste_class_match',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-active-reason', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP LSP FRR active reason
                ''',
                'frr_active_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-frr-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                P2MP LSP has FRR Failed
                ''',
                'is_frr_failed',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True for tunnel head
                ''',
                'is_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-passive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True for passive tunnel
                ''',
                'is_passive',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-path-change', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last path change
                ''',
                'last_path_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP LSP Bandwidth
                ''',
                'lsp_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The LSP bandwidth type
                ''',
                'lsp_bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-fec', REFERENCE_CLASS, 'LspFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.LspFec', 
                [], [], 
                '''                FEC for the LSP
                ''',
                'lsp_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSP hold priority
                ''',
                'lsp_hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSP setup priority
                ''',
                'lsp_setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('persistent-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Persistent forwarding statistics for number of
                bytes. Clear counters will not reset the counter
                ''',
                'persistent_bytes',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('persistent-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Persistent forwarding statistics for Number of
                packets. Clear counters will not reset the
                counter
                ''',
                'persistent_packets',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimize-reason', REFERENCE_ENUM_CLASS, 'MplsTeReoptDecisionReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeReoptDecisionReasonEnum', 
                [], [], 
                '''                Reason for re-optimization
                ''',
                'reoptimize_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimize-trigger', REFERENCE_ENUM_CLASS, 'MteReoptTriggerEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MteReoptTriggerEnum', 
                [], [], 
                '''                Re-optimize trigger
                ''',
                'reoptimize_trigger',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-down', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of down S2Ls
                ''',
                's2_ls_down',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-proceeding', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of proceeding S2Ls
                ''',
                's2_ls_proceeding',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of connected S2Ls
                ''',
                's2_ls_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l', REFERENCE_LIST, 'S2L' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L', 
                [], [], 
                '''                array of S2L structures
                ''',
                's2l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signaled-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signaled Name
                ''',
                'signaled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('timer-left', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds left to take next action if any
                ''',
                'timer_left',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MplsTeLspEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspEnum', 
                [], [], 
                '''                The type of this LSP
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the tunnel was up
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tunnel-restoration-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.LspFec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.LspFec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.LspFec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.LspFec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.LspFec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.S2LFec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.S2LFec',
            False, 
            [
            _MetaInfoClassMember('s2l-fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                Session identifier (ctype)
                ''',
                's2l_fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-dest', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                sub-LSP destination address
                ''',
                's2l_fec_dest',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                's2l_fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                's2l_fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                's2l_fec_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSP source address
                ''',
                's2l_fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                sub-LSP subgroup ID
                ''',
                's2l_fec_subgroup_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                's2l_fec_subgroup_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                's2l_fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                's2l_fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.PathCalculationError' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.PathCalculationError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-calculation-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.RemergeError' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.RemergeError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'remerge-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.SignallingError' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.SignallingError',
            False, 
            [
            _MetaInfoClassMember('error', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Path Error code
                ''',
                'error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Source address of the error generating node
                ''',
                'error_node',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSPMode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if error is on the reverse LSP
                ''',
                'reverse_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP-id for which the error was received
                ''',
                'signalling_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path Error subcode
                ''',
                'sub_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalling-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption',
            False, 
            [
            _MetaInfoClassMember('attribute-set', REFERENCE_CLASS, 'AttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet', 
                [], [], 
                '''                The path option attribute set used by this path
                ''',
                'attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-found', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has found the defined attribute
                set
                ''',
                'attribute_set_found',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Explicit Path ID, this is the key to table
                ExplicitPaths.IdentifierTable
                ''',
                'explicit_path_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Explicit Path Name, this is the key to table
                ExplicitPaths.NameTable
                ''',
                'explicit_path_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has an attribute set defined
                ''',
                'has_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-xro-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has an XRO attribute set
                configured
                ''',
                'has_xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('holddown-duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Holddown Duration (seconds)
                ''',
                'holddown_duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path option is disabled
                ''',
                'is_disabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-helddown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if path is helddown
                ''',
                'is_helddown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-lockdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is locked down
                ''',
                'is_lockdown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-segment-routing', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is Segment-Routing
                ''',
                'is_segment_routing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-explicit-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if explicit path is strict
                ''',
                'is_strict_explicit_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-verbatim', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is verbatim
                ''',
                'is_verbatim',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index
                ''',
                'option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index-is-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The path option index is valid
                ''',
                'option_index_is_valid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-calculation-error', REFERENCE_LIST, 'PathCalculationError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.PathCalculationError', 
                [], [], 
                '''                Path computation information
                ''',
                'path_calculation_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The path-option area constraint
                ''',
                'path_option_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path option name
                ''',
                'path_option_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-type', REFERENCE_ENUM_CLASS, 'MplsTePathoptionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTePathoptionEnum', 
                [], [], 
                '''                Path option type
                ''',
                'path_option_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                PCE server address
                ''',
                'pce_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-by-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for Protect path options
                ''',
                'protected_by_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remerge-error', REFERENCE_LIST, 'RemergeError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.RemergeError', 
                [], [], 
                '''                Path computation remerge resolve info
                ''',
                'remerge_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restored-from-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for Restore path options
                ''',
                'restored_from_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-error', REFERENCE_LIST, 'SignallingError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.SignallingError', 
                [], [], 
                '''                Signalling information
                ''',
                'signalling_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set', REFERENCE_CLASS, 'XroAttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet', 
                [], [], 
                '''                The XRO attribute set used by this path-option
                ''',
                'xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set-found', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path's XRO attribute set is known
                ''',
                'xro_attribute_set_found',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'active-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'out-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'in-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.Tspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.Tspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GenericTspec.Otntspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GenericTspec.Otntspec',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit Rate in kbps
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nmc-or-tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                NMC or Tolerance
                ''',
                'nmc_or_tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Virtual Components
                ''',
                'nvc',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otntspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GenericTspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GenericTspec',
            False, 
            [
            _MetaInfoClassMember('otntspec', REFERENCE_CLASS, 'Otntspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GenericTspec.Otntspec', 
                [], [], 
                '''                TE TSpec for G709 OTN
                ''',
                'otntspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tspec-type', REFERENCE_ENUM_CLASS, 'TeMgmtGenericTspecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeMgmtGenericTspecEnum', 
                [], [], 
                '''                TSpecType
                ''',
                'tspec_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'generic-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.Fspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.Fspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GenericFspec.Otnfspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GenericFspec.Otnfspec',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit Rate in kbps
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nmc-or-tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                NMC or Tolerance
                ''',
                'nmc_or_tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Virtual Components
                ''',
                'nvc',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otnfspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GenericFspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GenericFspec',
            False, 
            [
            _MetaInfoClassMember('fspec-type', REFERENCE_ENUM_CLASS, 'TeMgmtGenericFspecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeMgmtGenericFspecEnum', 
                [], [], 
                '''                FSpecType
                ''',
                'fspec_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otnfspec', REFERENCE_CLASS, 'Otnfspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GenericFspec.Otnfspec', 
                [], [], 
                '''                TE FSpec for G709 OTN
                ''',
                'otnfspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'generic-fspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.NextHopAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.NextHopAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.NextHopAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.NextHopAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.NextHopAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'next-hop-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'previous-hop-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.IncomingAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.IncomingAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.IncomingAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.IncomingAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.IncomingAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'incoming-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.S2LConvergence' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.S2LConvergence',
            False, 
            [
            _MetaInfoClassMember('creation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tunnel creation timestamp (clocktime in nsecs)
                ''',
                'creation_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rewrite', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP Label rewrite timestamp (clocktime in nsecs)
                ''',
                'label_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Path-in timestamp (clocktime in nsecs)
                ''',
                'path_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Path-in timestamp (clocktime in nsecs)
                ''',
                'path_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Resv-in timestamp (clocktime in nsecs)
                ''',
                'resv_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Resv-out timestamp (clocktime in nsecs)
                ''',
                'resv_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-rewrite', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tunnel rewrite timestamp (clocktime in nsecs)
                ''',
                'tunnel_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-convergence',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.SoftPreemption' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.SoftPreemption',
            False, 
            [
            _MetaInfoClassMember('fr-rrewrite', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR-rewrite during soft preemption
                ''',
                'fr_rrewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fr-rrewrite-tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The tunnel name of the backup
                ''',
                'fr_rrewrite_tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('preempting-link-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The address of the link where the preemption
                happened
                ''',
                'preempting_link_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-link', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the link where the soft preemption
                occurred
                ''',
                'soft_preemption_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The POSIX timestamp when the soft preemption
                occurred
                ''',
                'soft_preemption_timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'MplsTeSoftPreemptionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeSoftPreemptionStateEnum', 
                [], [], 
                '''                The current state of the soft preemption
                operation
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-to-hard-preemption', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The number of seconds until hard preemption is
                triggered
                ''',
                'time_to_hard_preemption',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'soft-preemption',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels',
            False, 
            [
            _MetaInfoClassMember('path-egress-label', REFERENCE_CLASS, 'PathEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel', 
                [], [], 
                '''                Path message (upstream) egress label
                ''',
                'path_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-ingress-label', REFERENCE_CLASS, 'PathIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel', 
                [], [], 
                '''                Path message (upstream) ingress label
                ''',
                'path_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-egress-label', REFERENCE_CLASS, 'ResvEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel', 
                [], [], 
                '''                Resv message (downstream) egress label
                ''',
                'resv_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-ingress-label', REFERENCE_CLASS, 'ResvIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel', 
                [], [], 
                '''                Resv message (downstream) ingress label
                ''',
                'resv_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'gmpls-labels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tolerance
                ''',
                'tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-cbr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-gfp-f-res',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-gfp-f-non-res',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth',
            False, 
            [
            _MetaInfoClassMember('odu-flex-cbr', REFERENCE_CLASS, 'OduFlexCbr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr', 
                [], [], 
                '''                Odu flex CBR info
                ''',
                'odu_flex_cbr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-flex-gfp-f-non-res', REFERENCE_CLASS, 'OduFlexGfpFNonRes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes', 
                [], [], 
                '''                Odu flex GFP-F non-resizable info
                ''',
                'odu_flex_gfp_f_non_res',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-flex-gfp-f-res', REFERENCE_CLASS, 'OduFlexGfpFRes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes', 
                [], [], 
                '''                Odu flex GFP-F resizable info
                ''',
                'odu_flex_gfp_f_res',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-level', REFERENCE_ENUM_CLASS, 'TeOduLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeOduLevelEnum', 
                [], [], 
                '''                ODULevel
                ''',
                'odu_level',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels',
            False, 
            [
            _MetaInfoClassMember('path-egress-label', REFERENCE_CLASS, 'PathEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel', 
                [], [], 
                '''                Path message (upstream) egress label
                ''',
                'path_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-ingress-label', REFERENCE_CLASS, 'PathIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel', 
                [], [], 
                '''                Path message (upstream) ingress label
                ''',
                'path_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-egress-label', REFERENCE_CLASS, 'ResvEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel', 
                [], [], 
                '''                Resv message (downstream) egress label
                ''',
                'resv_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-ingress-label', REFERENCE_CLASS, 'ResvIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel', 
                [], [], 
                '''                Resv message (downstream) ingress label
                ''',
                'resv_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'labels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn',
            False, 
            [
            _MetaInfoClassMember('bandwidth', REFERENCE_CLASS, 'Bandwidth' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth', 
                [], [], 
                '''                OTN Bandwidth for s2l
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cross-connect-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cross connect id
                ''',
                'cross_connect_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gpid', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Gpid Payload
                ''',
                'gpid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Incoming Controller
                ''',
                'incoming_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Incoming Controller Ifhandle
                ''',
                'incoming_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Controller
                ''',
                'incoming_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Incoming Sub Controller
                ''',
                'incoming_sub_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Incoming Sub Controller Ifhandle
                ''',
                'incoming_sub_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Sub Controller
                ''',
                'incoming_sub_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if subcontrollers are connected
                ''',
                'is_connected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('labels', REFERENCE_CLASS, 'Labels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels', 
                [], [], 
                '''                Labels
                ''',
                'labels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing Controller
                ''',
                'outgoing_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Controller Ifhandle
                ''',
                'outgoing_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Controller
                ''',
                'outgoing_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing Sub Controller
                ''',
                'outgoing_sub_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Sub Controller Ifhandle
                ''',
                'outgoing_sub_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Sub Controller
                ''',
                'outgoing_sub_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                XC Uptime
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Aps.ProtectionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Aps.ProtectionInfo',
            False, 
            [
            _MetaInfoClassMember('ho-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-Off timeout
                ''',
                'ho_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-hopresent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Hold-Off timeout present
                ''',
                'is_hopresent',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-snc-mode-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SNC mode present
                ''',
                'is_snc_mode_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-wtr-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Wait-to-Restore timeout present
                ''',
                'is_wtr_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Notification bit 
                ''',
                'nbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('obit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Operational bit
                ''',
                'obit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path protection profile type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Protecting bit
                ''',
                'pbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protect-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                LSP Protect Type
                ''',
                'protect_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Secondary bit
                ''',
                'sbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                SNC mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TCM ID
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wtr-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait-to-Restore timeout
                ''',
                'wtr_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protection-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Aps' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Aps',
            False, 
            [
            _MetaInfoClassMember('protection-info', REFERENCE_CLASS, 'ProtectionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Aps.ProtectionInfo', 
                [], [], 
                '''                Protection Info
                ''',
                'protection_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'aps',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L',
            False, 
            [
            _MetaInfoClassMember('aps', REFERENCE_CLASS, 'Aps' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Aps', 
                [], [], 
                '''                APS Info for OTN S2L
                ''',
                'aps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn', 
                [], [], 
                '''                Info Related to OTN technology in S2L
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn-s2l',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.HeadEndBfdInfo.SessionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.HeadEndBfdInfo.SessionInfo',
            False, 
            [
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'TeBfdLspSessionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdLspSessionStateEnum', 
                [], [], 
                '''                BFD session state
                ''',
                'state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('state-change-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last session state
                change
                ''',
                'state_change_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'session-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.HeadEndBfdInfo.DeletionHistory' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.HeadEndBfdInfo.DeletionHistory',
            False, 
            [
            _MetaInfoClassMember('deletion-diagnostic-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Diagnostic Code for the BFD session get deleted
                ''',
                'deletion_diagnostic_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reason for the BFD session get deleted
                ''',
                'deletion_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time stamp of the BFD session get deleted
                ''',
                'deletion_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID of the BFD session get deleted
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'deletion-history',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.HeadEndBfdInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.HeadEndBfdInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-reverse-path-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path labels
                ''',
                'bfd_reverse_path_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The BFD reverse path is stale compared to
                configuration
                ''',
                'bfd_reverse_path_stale',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('creation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the BFD session created
                ''',
                'creation_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-history', REFERENCE_CLASS, 'DeletionHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.HeadEndBfdInfo.DeletionHistory', 
                [], [], 
                '''                BFD Session Deletion History
                ''',
                'deletion_history',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-redundant', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                sBFD session is redundant
                ''',
                'is_redundant',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lspbfd-type', REFERENCE_ENUM_CLASS, 'TeVifBfdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeVifBfdEnum', 
                [], [], 
                '''                LSP BFD type
                ''',
                'lspbfd_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-info', REFERENCE_CLASS, 'SessionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.HeadEndBfdInfo.SessionInfo', 
                [], [], 
                '''                BFD Session Info
                ''',
                'session_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'head-end-bfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.TailEndBfdInfo.SessionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.TailEndBfdInfo.SessionInfo',
            False, 
            [
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'TeBfdLspSessionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdLspSessionStateEnum', 
                [], [], 
                '''                BFD session state
                ''',
                'state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('state-change-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last session state
                change
                ''',
                'state_change_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'session-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.TailEndBfdInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.TailEndBfdInfo',
            False, 
            [
            _MetaInfoClassMember('failure-diagnostic-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD session failure diagnostic code
                ''',
                'failure_diagnostic_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('failure-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                BFD session failure reason
                ''',
                'failure_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-discriminator', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Local Discriminator
                ''',
                'local_discriminator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('min-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello interval in mini second
                ''',
                'min_interval',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('min-interval-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default hello interval
                ''',
                'min_interval_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default multiplier
                ''',
                'multiplier_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-discriminator', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Remote Discrminator
                ''',
                'remote_discriminator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-info', REFERENCE_CLASS, 'SessionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.TailEndBfdInfo.SessionInfo', 
                [], [], 
                '''                BFD Session Info
                ''',
                'session_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tail-end-bfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.SrlgCollection' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.SrlgCollection',
            False, 
            [
            _MetaInfoClassMember('discovered-srlg', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Discovered SRLGs
                ''',
                'discovered_srlg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-collect-type', REFERENCE_ENUM_CLASS, 'TeSrlgCollectRequestEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSrlgCollectRequestEnum', 
                [], [], 
                '''                SRLG-collection mechanism
                ''',
                'srlg_collect_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-collection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.Association' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.Association',
            False, 
            [
            _MetaInfoClassMember('s2l-association-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Association ID
                ''',
                's2l_association_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                S2L Association Source
                ''',
                's2l_association_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-tie-role', REFERENCE_ENUM_CLASS, 'TeAssociationTieRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAssociationTieRoleEnum', 
                [], [], 
                '''                S2L Association Tie Role
                ''',
                's2l_association_tie_role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Association Type                         
                (draft-ietf-ccamp-mpls-tp-rsvpte-ext-associated-lsp)
                ''',
                's2l_association_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-extended-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L Extended ID Array
                ''',
                's2l_extended_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-global-source', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L Global Source
                ''',
                's2l_global_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'association',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.Protection' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.Protection',
            False, 
            [
            _MetaInfoClassMember('any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Any
                ''',
                'any',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ded1-plus1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1+1 Protection
                ''',
                'ded1_plus1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ded1-to1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1:1 Protection
                ''',
                'ded1_to1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('enhanced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates Enhanced Protection Scheme
                ''',
                'enhanced',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extra-traffic', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should use Links that are protecting other
                (primary) traffic
                ''',
                'extra_traffic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should not use any Link Layer Protection
                ''',
                'link_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Flags Unprotected
                ''',
                'lsp_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-plus-one-bi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Bidirectional Protection
                ''',
                'one_plus_one_bi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-plus-one-uni', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Unidirectional Protection
                ''',
                'one_plus_one_uni',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-to-n-protection-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1:N Protection with Extra-Traffic
                ''',
                'one_to_n_protection_et',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Full Rerouting
                ''',
                'rerouting',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouting-no-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Rerouting Without Extra-Traffic
                ''',
                'rerouting_no_et',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-notification', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Notification Bit
                ''',
                's2l_notification',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-operational', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Operational Bit
                ''',
                's2l_operational',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Protecting Bit
                ''',
                's2l_protecting',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-secondary', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Secondary Bit
                ''',
                's2l_secondary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Shared Link Layer Protection
                ''',
                'shared',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseLspFec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseLspFec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseLspFec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseLspFec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseLspFec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-lsp-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseTspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseTspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.FlexInfo.FlexFec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.FlexInfo.FlexFec',
            False, 
            [
            _MetaInfoClassMember('s2l-fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                Session identifier (ctype)
                ''',
                's2l_fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-dest', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                sub-LSP destination address
                ''',
                's2l_fec_dest',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                's2l_fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                's2l_fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                's2l_fec_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSP source address
                ''',
                's2l_fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                sub-LSP subgroup ID
                ''',
                's2l_fec_subgroup_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                's2l_fec_subgroup_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                's2l_fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                's2l_fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.FlexInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.FlexInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-created', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GAL BFD Session Created
                ''',
                'bfd_created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-egress-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Egress Label
                ''',
                'bfd_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-int-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Internal Label
                ''',
                'bfd_int_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                BFD Next Hop
                ''',
                'bfd_next_hop',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-out-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD Out Interface Handle
                ''',
                'bfd_out_ifh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-tun-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD Tunnel Interface Handle
                ''',
                'bfd_tun_ifh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GAL BFD Session Up
                ''',
                'bfd_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('entry-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FlexLSP Entry Exists
                ''',
                'entry_exists',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ais', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault AIS
                ''',
                'fault_ais',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ldi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LDI
                ''',
                'fault_ldi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ldi-lockout', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LDI Lockout
                ''',
                'fault_ldi_lockout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-lkr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LKR
                ''',
                'fault_lkr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Fault Time
                ''',
                'fault_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex-fec', REFERENCE_CLASS, 'FlexFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.FlexInfo.FlexFec', 
                [], [], 
                '''                FEC for the FlexLSP Entry
                ''',
                'flex_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                In Label
                ''',
                'in_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('oam-created', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                OAM Entry Created
                ''',
                'oam_created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.LspWrapInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.LspWrapInfo',
            False, 
            [
            _MetaInfoClassMember('lsp-wrap-protection-enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Wrap protection enabled
                ''',
                'lsp_wrap_protection_enable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-protection-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSP Wrap Merge Point Label
                ''',
                'lsp_wrap_protection_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-protection-state', REFERENCE_ENUM_CLASS, 'MplsTeLspWrapStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspWrapStateEnum', 
                [], [], 
                '''                LSP wrap protection state
                ''',
                'lsp_wrap_protection_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reverse Egress Interface
                ''',
                'reverse_egress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reverse LSP label
                ''',
                'reverse_lsp_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-wrap-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.DiversityInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.DiversityInfo',
            False, 
            [
            _MetaInfoClassMember('diversity-type', REFERENCE_ENUM_CLASS, 'TePpDiversityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePpDiversityEnum', 
                [], [], 
                '''                S2L path diversity type
                ''',
                'diversity_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'diversity-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.SharedRiskLinkGroup' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.SharedRiskLinkGroup',
            False, 
            [
            _MetaInfoClassMember('shared-risk-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG number
                ''',
                'shared_risk_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SRLG name
                ''',
                'srlg_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'shared-risk-link-group',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutEro.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutEro.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutEro.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutEro.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutEro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutEro',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutEro.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutEro.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'out-ero',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InEro.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InEro.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InEro.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InEro.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InEro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InEro',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InEro.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InEro.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'in-ero',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.Ipv4RroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.Ipv4RroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.Ipv4RroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.Ipv4RroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.Ipv4RroSubObject.Flags', 
                [], [], 
                '''                The RRO IPV4 Subobject Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO IPV4 Address
                ''',
                'rro_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.LabelRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.LabelRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-global-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label is Global across all interfaces
                ''',
                'is_global_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.LabelRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.LabelRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.LabelRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Label Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-label-variable-length', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the RRO Subobject Label Variable Length
                ''',
                'is_label_variable_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Label Value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('variable-length-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Variable Length Label
                ''',
                'variable_length_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'label-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.UnnumberedRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.UnnumberedRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Unnumbered Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO Interface Address
                ''',
                'interface_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.SrlgRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.SrlgRroSubObject',
            False, 
            [
            _MetaInfoClassMember('srl-gs', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject SRLGs
                ''',
                'srl_gs',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro',
            False, 
            [
            _MetaInfoClassMember('ipv4rro-sub-object', REFERENCE_CLASS, 'Ipv4RroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.Ipv4RroSubObject', 
                [], [], 
                '''                IPV4 RRO Sub Object
                ''',
                'ipv4rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rro-sub-object', REFERENCE_CLASS, 'LabelRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.LabelRroSubObject', 
                [], [], 
                '''                Label RRO Sub Object
                ''',
                'label_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtRroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtRroSubobjEnum', 
                [], [], 
                '''                RROType
                ''',
                'rro_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-rro-sub-object', REFERENCE_CLASS, 'SrlgRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.SrlgRroSubObject', 
                [], [], 
                '''                SRLG RRO Sub Object
                ''',
                'srlg_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-rro-sub-object', REFERENCE_CLASS, 'UnnumberedRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.UnnumberedRroSubObject', 
                [], [], 
                '''                Unnumbered RRO Sub Object
                ''',
                'unnumbered_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-rro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.Ipv4RroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.Ipv4RroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags', 
                [], [], 
                '''                The RRO IPV4 Subobject Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO IPV4 Address
                ''',
                'rro_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.LabelRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.LabelRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-global-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label is Global across all interfaces
                ''',
                'is_global_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.LabelRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.LabelRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.LabelRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Label Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-label-variable-length', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the RRO Subobject Label Variable Length
                ''',
                'is_label_variable_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Label Value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('variable-length-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Variable Length Label
                ''',
                'variable_length_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'label-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.UnnumberedRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.UnnumberedRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Unnumbered Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO Interface Address
                ''',
                'interface_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.SrlgRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.SrlgRroSubObject',
            False, 
            [
            _MetaInfoClassMember('srl-gs', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject SRLGs
                ''',
                'srl_gs',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro',
            False, 
            [
            _MetaInfoClassMember('ipv4rro-sub-object', REFERENCE_CLASS, 'Ipv4RroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.Ipv4RroSubObject', 
                [], [], 
                '''                IPV4 RRO Sub Object
                ''',
                'ipv4rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rro-sub-object', REFERENCE_CLASS, 'LabelRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.LabelRroSubObject', 
                [], [], 
                '''                Label RRO Sub Object
                ''',
                'label_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtRroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtRroSubobjEnum', 
                [], [], 
                '''                RROType
                ''',
                'rro_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-rro-sub-object', REFERENCE_CLASS, 'SrlgRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.SrlgRroSubObject', 
                [], [], 
                '''                SRLG RRO Sub Object
                ''',
                'srlg_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-rro-sub-object', REFERENCE_CLASS, 'UnnumberedRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.UnnumberedRroSubObject', 
                [], [], 
                '''                Unnumbered RRO Sub Object
                ''',
                'unnumbered_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-rro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathAffinityArray' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathAffinityArray',
            False, 
            [
            _MetaInfoClassMember('hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Hop address
                ''',
                'hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop-affinity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'hop_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop-extended-affinity', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hop affinity
                ''',
                'hop_extended_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-affinity-array',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseEroIn.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseEroIn.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseEroIn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseEroIn',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseEroIn.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-ero-in',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.S2LSegmentRoutingPath' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.S2LSegmentRoutingPath',
            False, 
            [
            _MetaInfoClassMember('has-entropy-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Hop has EL specified
                ''',
                'has_entropy_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-ip-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node has IP addresses specified
                ''',
                'has_ip_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-mpls-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Hop has MPLS label specified
                ''',
                'has_mpls_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local IP address of adjacency or Node ID
                ''',
                'local_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mpls-label-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The MPLS label value
                ''',
                'mpls_label_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote IP address of adjacency
                ''',
                'remote_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sid-type', REFERENCE_ENUM_CLASS, 'TeSrSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSrSidEnum', 
                [], [], 
                '''                Type of the SID
                ''',
                'sid_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-segment-routing-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L',
            False, 
            [
            _MetaInfoClassMember('abr-auto-discovered', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next ABR auto discovered
                ''',
                'abr_auto_discovered',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('active-path-option', REFERENCE_CLASS, 'ActivePathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption', 
                [], [], 
                '''                The path option used to find the path for this
                S2L
                ''',
                'active_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('association', REFERENCE_CLASS, 'Association' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.Association', 
                [], [], 
                '''                Association Object
                ''',
                'association',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface handle of the backup tunnel
                ''',
                'backup_tunnel_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('diversity-info', REFERENCE_CLASS, 'DiversityInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.DiversityInfo', 
                [], [], 
                '''                S2L Diversity Information
                ''',
                'diversity_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('downstream-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Downstream router id
                ''',
                'downstream_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Egress Interface
                ''',
                'egress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface-brief', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Egress Interface in brief format
                ''',
                'egress_interface_brief',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Interface
                ''',
                'egress_interface_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Outgoing ERO's affinity bits (colors)
                ''',
                'expanded_ero_affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Outgoing ERO's affinity mask (colors)
                ''',
                'expanded_ero_affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Indicates the protocol and area used to find
                Outgoing ERO
                ''',
                'expanded_ero_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The metric value of the expanded path
                ''',
                'expanded_ero_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-metric-type', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                The Outgoing ERO's selection metric
                ''',
                'expanded_ero_metric_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex-info', REFERENCE_CLASS, 'FlexInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.FlexInfo', 
                [], [], 
                '''                FlexLSP S2L Information
                ''',
                'flex_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-out-tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FRR out tunnel intface
                ''',
                'frr_out_tunnel_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fspec', REFERENCE_CLASS, 'Fspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.Fspec', 
                [], [], 
                '''                The F spec info
                ''',
                'fspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generic-fspec', REFERENCE_CLASS, 'GenericFspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GenericFspec', 
                [], [], 
                '''                Generic FSpec
                ''',
                'generic_fspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generic-tspec', REFERENCE_CLASS, 'GenericTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GenericTspec', 
                [], [], 
                '''                Generic TSpec
                ''',
                'generic_tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gmpls-labels', REFERENCE_CLASS, 'GmplsLabels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels', 
                [], [], 
                '''                GMPLS labels
                ''',
                'gmpls_labels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('head-end-bfd-info', REFERENCE_CLASS, 'HeadEndBfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.HeadEndBfdInfo', 
                [], [], 
                '''                The Head-end BFD info
                ''',
                'head_end_bfd_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-ero', REFERENCE_LIST, 'InEro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InEro', 
                [], [], 
                '''                Incoming ERO for this S2L
                ''',
                'in_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-xro', REFERENCE_CLASS, 'InXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro', 
                [], [], 
                '''                Incoming XRO for this S2L
                ''',
                'in_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Incoming interface address
                ''',
                'incoming_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-address-generic', REFERENCE_CLASS, 'IncomingAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.IncomingAddressGeneric', 
                [], [], 
                '''                Incoming interface address
                ''',
                'incoming_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ingress Interface
                ''',
                'ingress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface-brief', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ingress Interface in brief format
                ''',
                'ingress_interface_brief',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Interface
                ''',
                'ingress_interface_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-protect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BW Protection Enabled or Disabled
                ''',
                'is_bandwidth_protect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-expanded-ero', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if this LSR expanded a loose path
                ''',
                'is_expanded_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-frr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Enabled or Disabled
                ''',
                'is_frr_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Enabled or Disabled
                ''',
                'is_node_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-optical', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Optical
                ''',
                'is_optical',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local router id
                ''',
                'local_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-info', REFERENCE_CLASS, 'LspWrapInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.LspWrapInfo', 
                [], [], 
                '''                Lsp Wrap  Related information
                ''',
                'lsp_wrap_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop address
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address-generic', REFERENCE_CLASS, 'NextHopAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.NextHopAddressGeneric', 
                [], [], 
                '''                Next hop address
                ''',
                'next_hop_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('node-hop-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hop count
                ''',
                'node_hop_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn-s2l', REFERENCE_CLASS, 'OtnS2L' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L', 
                [], [], 
                '''                Otn S2L Information
                ''',
                'otn_s2l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-ero', REFERENCE_LIST, 'OutEro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutEro', 
                [], [], 
                '''                Outgoing ERO for this S2L
                ''',
                'out_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-xro', REFERENCE_CLASS, 'OutXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro', 
                [], [], 
                '''                Outgoing XRO for this S2L
                ''',
                'out_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outbound-frr-state', REFERENCE_ENUM_CLASS, 'MplsTeFrrStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeFrrStateEnum', 
                [], [], 
                '''                Indicates outbound FRR state
                ''',
                'outbound_frr_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-affinity-array', REFERENCE_LIST, 'PathAffinityArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathAffinityArray', 
                [], [], 
                '''                Tunnel's Path hops with affinity
                ''',
                'path_affinity_array',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reeval-query-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loose path reevaluation query received at
                mid-point
                ''',
                'path_reeval_query_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-rro', REFERENCE_LIST, 'PathRro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro', 
                [], [], 
                '''                Path RRO for this S2L
                ''',
                'path_rro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-rro-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path RRO Enabled or Disabled
                ''',
                'path_rro_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-using-strict-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is using Strict SPF
                ''',
                'path_using_strict_spf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcalc-area', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IGP-area in which the S2L path was calculated
                ''',
                'pcalc_area',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Previous hop address
                ''',
                'previous_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-hop-address-generic', REFERENCE_CLASS, 'PreviousHopAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric', 
                [], [], 
                '''                Previous hop address
                ''',
                'previous_hop_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection', REFERENCE_CLASS, 'Protection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.Protection', 
                [], [], 
                '''                Protection Object
                ''',
                'protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-rro', REFERENCE_LIST, 'ResvRro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro', 
                [], [], 
                '''                Resv RRO for this S2L
                ''',
                'resv_rro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-ero-in', REFERENCE_LIST, 'ReverseEroIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseEroIn', 
                [], [], 
                '''                 Reverse Incoming ERO for this S2L
                ''',
                'reverse_ero_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Connected
                ''',
                'reverse_lsp_connected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-fec', REFERENCE_CLASS, 'ReverseLspFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseLspFec', 
                [], [], 
                '''                Reverse Associated Bidir LSP FEC
                ''',
                'reverse_lsp_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Name
                ''',
                'reverse_lsp_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Present
                ''',
                'reverse_lsp_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-tspec', REFERENCE_CLASS, 'ReverseTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseTspec', 
                [], [], 
                '''                The Reverse T spec info
                ''',
                'reverse_tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The reverse path weight
                ''',
                'reverse_weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('role', REFERENCE_ENUM_CLASS, 'MplsTeTunnelRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelRoleEnum', 
                [], [], 
                '''                Role of S2L
                ''',
                'role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-convergence', REFERENCE_CLASS, 'S2LConvergence' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.S2LConvergence', 
                [], [], 
                '''                TE LSP convergence related information
                ''',
                's2l_convergence',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec', REFERENCE_CLASS, 'S2LFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.S2LFec', 
                [], [], 
                '''                FEC for the S2L
                ''',
                's2l_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label
                ''',
                's2l_local_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing label
                ''',
                's2l_out_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-ero-obj-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2l Reverse ERO Object Present
                ''',
                's2l_reverse_ero_obj_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-lsp-sub-obj', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Reverse LSP Sub Objects
                ''',
                's2l_reverse_lsp_sub_obj',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-tspec-obj-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Reverse TSpec Object Present
                ''',
                's2l_reverse_tspec_obj_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-segment-routing-path', REFERENCE_LIST, 'S2LSegmentRoutingPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.S2LSegmentRoutingPath', 
                [], [], 
                '''                Segment-Routing S2L path info
                ''',
                's2l_segment_routing_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared-risk-link-group', REFERENCE_LIST, 'SharedRiskLinkGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.SharedRiskLinkGroup', 
                [], [], 
                '''                The S2L's excluded srlg groups
                ''',
                'shared_risk_link_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-status', REFERENCE_ENUM_CLASS, 'MplsTeTunnelsSignalingStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelsSignalingStatusEnum', 
                [], [], 
                '''                Signaling status
                ''',
                'signalling_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption', REFERENCE_CLASS, 'SoftPreemption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.SoftPreemption', 
                [], [], 
                '''                The soft preemption info for this LSP.
                ''',
                'soft_preemption',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-collection', REFERENCE_CLASS, 'SrlgCollection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.SrlgCollection', 
                [], [], 
                '''                SRLG-collection data
                ''',
                'srlg_collection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tail-end-bfd-info', REFERENCE_CLASS, 'TailEndBfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.TailEndBfdInfo', 
                [], [], 
                '''                The Tail-end BFD info
                ''',
                'tail_end_bfd_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-preferred-path-exists-send-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last preferred path exists msg send
                from mid-point
                ''',
                'time_since_last_preferred_path_exists_send_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-preferred-tree-exists-send-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last preferred tree exists msg send
                from mid-point
                ''',
                'time_since_last_preferred_tree_exists_send_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-query-received-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last reevaluation query received at
                mid-point
                ''',
                'time_since_last_query_received_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tspec', REFERENCE_CLASS, 'Tspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.Tspec', 
                [], [], 
                '''                The T spec info
                ''',
                'tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('upstream-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Upstream router id
                ''',
                'upstream_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the tunnel was up
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The path's weight
                ''',
                'weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp',
            False, 
            [
            _MetaInfoClassMember('dste-class-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Matching DSTE class index
                ''',
                'dste_class_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-match', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Do the class type and priority match a DSTE
                class
                ''',
                'dste_class_match',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-active-reason', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP LSP FRR active reason
                ''',
                'frr_active_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-frr-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                P2MP LSP has FRR Failed
                ''',
                'is_frr_failed',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True for tunnel head
                ''',
                'is_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-passive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True for passive tunnel
                ''',
                'is_passive',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-path-change', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last path change
                ''',
                'last_path_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP LSP Bandwidth
                ''',
                'lsp_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The LSP bandwidth type
                ''',
                'lsp_bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-fec', REFERENCE_CLASS, 'LspFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.LspFec', 
                [], [], 
                '''                FEC for the LSP
                ''',
                'lsp_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSP hold priority
                ''',
                'lsp_hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSP setup priority
                ''',
                'lsp_setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('persistent-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Persistent forwarding statistics for number of
                bytes. Clear counters will not reset the counter
                ''',
                'persistent_bytes',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('persistent-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Persistent forwarding statistics for Number of
                packets. Clear counters will not reset the
                counter
                ''',
                'persistent_packets',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimize-reason', REFERENCE_ENUM_CLASS, 'MplsTeReoptDecisionReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeReoptDecisionReasonEnum', 
                [], [], 
                '''                Reason for re-optimization
                ''',
                'reoptimize_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimize-trigger', REFERENCE_ENUM_CLASS, 'MteReoptTriggerEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MteReoptTriggerEnum', 
                [], [], 
                '''                Re-optimize trigger
                ''',
                'reoptimize_trigger',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-down', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of down S2Ls
                ''',
                's2_ls_down',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-proceeding', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of proceeding S2Ls
                ''',
                's2_ls_proceeding',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of connected S2Ls
                ''',
                's2_ls_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l', REFERENCE_LIST, 'S2L' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L', 
                [], [], 
                '''                array of S2L structures
                ''',
                's2l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signaled-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signaled Name
                ''',
                'signaled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('timer-left', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds left to take next action if any
                ''',
                'timer_left',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MplsTeLspEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspEnum', 
                [], [], 
                '''                The type of this LSP
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the tunnel was up
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'delay-clean-pp-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.LspFec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.LspFec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.LspFec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.LspFec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.LspFec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.S2LFec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.S2LFec',
            False, 
            [
            _MetaInfoClassMember('s2l-fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                Session identifier (ctype)
                ''',
                's2l_fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-dest', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                sub-LSP destination address
                ''',
                's2l_fec_dest',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                's2l_fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                's2l_fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                's2l_fec_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSP source address
                ''',
                's2l_fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                sub-LSP subgroup ID
                ''',
                's2l_fec_subgroup_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                's2l_fec_subgroup_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                's2l_fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                's2l_fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.PathCalculationError' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.PathCalculationError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-calculation-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.RemergeError' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.RemergeError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'remerge-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.SignallingError' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.SignallingError',
            False, 
            [
            _MetaInfoClassMember('error', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Path Error code
                ''',
                'error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Source address of the error generating node
                ''',
                'error_node',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSPMode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if error is on the reverse LSP
                ''',
                'reverse_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP-id for which the error was received
                ''',
                'signalling_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path Error subcode
                ''',
                'sub_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalling-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption',
            False, 
            [
            _MetaInfoClassMember('attribute-set', REFERENCE_CLASS, 'AttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet', 
                [], [], 
                '''                The path option attribute set used by this path
                ''',
                'attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-found', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has found the defined attribute
                set
                ''',
                'attribute_set_found',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Explicit Path ID, this is the key to table
                ExplicitPaths.IdentifierTable
                ''',
                'explicit_path_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Explicit Path Name, this is the key to table
                ExplicitPaths.NameTable
                ''',
                'explicit_path_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has an attribute set defined
                ''',
                'has_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-xro-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has an XRO attribute set
                configured
                ''',
                'has_xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('holddown-duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Holddown Duration (seconds)
                ''',
                'holddown_duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path option is disabled
                ''',
                'is_disabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-helddown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if path is helddown
                ''',
                'is_helddown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-lockdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is locked down
                ''',
                'is_lockdown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-segment-routing', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is Segment-Routing
                ''',
                'is_segment_routing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-explicit-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if explicit path is strict
                ''',
                'is_strict_explicit_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-verbatim', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is verbatim
                ''',
                'is_verbatim',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index
                ''',
                'option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index-is-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The path option index is valid
                ''',
                'option_index_is_valid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-calculation-error', REFERENCE_LIST, 'PathCalculationError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.PathCalculationError', 
                [], [], 
                '''                Path computation information
                ''',
                'path_calculation_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The path-option area constraint
                ''',
                'path_option_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path option name
                ''',
                'path_option_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-type', REFERENCE_ENUM_CLASS, 'MplsTePathoptionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTePathoptionEnum', 
                [], [], 
                '''                Path option type
                ''',
                'path_option_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                PCE server address
                ''',
                'pce_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-by-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for Protect path options
                ''',
                'protected_by_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remerge-error', REFERENCE_LIST, 'RemergeError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.RemergeError', 
                [], [], 
                '''                Path computation remerge resolve info
                ''',
                'remerge_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restored-from-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for Restore path options
                ''',
                'restored_from_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-error', REFERENCE_LIST, 'SignallingError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.SignallingError', 
                [], [], 
                '''                Signalling information
                ''',
                'signalling_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set', REFERENCE_CLASS, 'XroAttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet', 
                [], [], 
                '''                The XRO attribute set used by this path-option
                ''',
                'xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set-found', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path's XRO attribute set is known
                ''',
                'xro_attribute_set_found',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'active-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'out-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'in-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.Tspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.Tspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GenericTspec.Otntspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GenericTspec.Otntspec',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit Rate in kbps
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nmc-or-tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                NMC or Tolerance
                ''',
                'nmc_or_tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Virtual Components
                ''',
                'nvc',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otntspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GenericTspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GenericTspec',
            False, 
            [
            _MetaInfoClassMember('otntspec', REFERENCE_CLASS, 'Otntspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GenericTspec.Otntspec', 
                [], [], 
                '''                TE TSpec for G709 OTN
                ''',
                'otntspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tspec-type', REFERENCE_ENUM_CLASS, 'TeMgmtGenericTspecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeMgmtGenericTspecEnum', 
                [], [], 
                '''                TSpecType
                ''',
                'tspec_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'generic-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.Fspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.Fspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GenericFspec.Otnfspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GenericFspec.Otnfspec',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit Rate in kbps
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nmc-or-tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                NMC or Tolerance
                ''',
                'nmc_or_tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Virtual Components
                ''',
                'nvc',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otnfspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GenericFspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GenericFspec',
            False, 
            [
            _MetaInfoClassMember('fspec-type', REFERENCE_ENUM_CLASS, 'TeMgmtGenericFspecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeMgmtGenericFspecEnum', 
                [], [], 
                '''                FSpecType
                ''',
                'fspec_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otnfspec', REFERENCE_CLASS, 'Otnfspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GenericFspec.Otnfspec', 
                [], [], 
                '''                TE FSpec for G709 OTN
                ''',
                'otnfspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'generic-fspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.NextHopAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.NextHopAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.NextHopAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.NextHopAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.NextHopAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'next-hop-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PreviousHopAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PreviousHopAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PreviousHopAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PreviousHopAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PreviousHopAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'previous-hop-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.IncomingAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.IncomingAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.IncomingAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.IncomingAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.IncomingAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'incoming-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.S2LConvergence' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.S2LConvergence',
            False, 
            [
            _MetaInfoClassMember('creation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tunnel creation timestamp (clocktime in nsecs)
                ''',
                'creation_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rewrite', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP Label rewrite timestamp (clocktime in nsecs)
                ''',
                'label_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Path-in timestamp (clocktime in nsecs)
                ''',
                'path_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Path-in timestamp (clocktime in nsecs)
                ''',
                'path_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Resv-in timestamp (clocktime in nsecs)
                ''',
                'resv_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Resv-out timestamp (clocktime in nsecs)
                ''',
                'resv_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-rewrite', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tunnel rewrite timestamp (clocktime in nsecs)
                ''',
                'tunnel_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-convergence',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.SoftPreemption' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.SoftPreemption',
            False, 
            [
            _MetaInfoClassMember('fr-rrewrite', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR-rewrite during soft preemption
                ''',
                'fr_rrewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fr-rrewrite-tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The tunnel name of the backup
                ''',
                'fr_rrewrite_tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('preempting-link-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The address of the link where the preemption
                happened
                ''',
                'preempting_link_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-link', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the link where the soft preemption
                occurred
                ''',
                'soft_preemption_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The POSIX timestamp when the soft preemption
                occurred
                ''',
                'soft_preemption_timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'MplsTeSoftPreemptionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeSoftPreemptionStateEnum', 
                [], [], 
                '''                The current state of the soft preemption
                operation
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-to-hard-preemption', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The number of seconds until hard preemption is
                triggered
                ''',
                'time_to_hard_preemption',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'soft-preemption',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathIngressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathIngressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathIngressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathEgressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathEgressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathEgressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels',
            False, 
            [
            _MetaInfoClassMember('path-egress-label', REFERENCE_CLASS, 'PathEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathEgressLabel', 
                [], [], 
                '''                Path message (upstream) egress label
                ''',
                'path_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-ingress-label', REFERENCE_CLASS, 'PathIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathIngressLabel', 
                [], [], 
                '''                Path message (upstream) ingress label
                ''',
                'path_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-egress-label', REFERENCE_CLASS, 'ResvEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel', 
                [], [], 
                '''                Resv message (downstream) egress label
                ''',
                'resv_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-ingress-label', REFERENCE_CLASS, 'ResvIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel', 
                [], [], 
                '''                Resv message (downstream) ingress label
                ''',
                'resv_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'gmpls-labels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tolerance
                ''',
                'tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-cbr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-gfp-f-res',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-gfp-f-non-res',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth',
            False, 
            [
            _MetaInfoClassMember('odu-flex-cbr', REFERENCE_CLASS, 'OduFlexCbr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr', 
                [], [], 
                '''                Odu flex CBR info
                ''',
                'odu_flex_cbr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-flex-gfp-f-non-res', REFERENCE_CLASS, 'OduFlexGfpFNonRes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes', 
                [], [], 
                '''                Odu flex GFP-F non-resizable info
                ''',
                'odu_flex_gfp_f_non_res',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-flex-gfp-f-res', REFERENCE_CLASS, 'OduFlexGfpFRes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes', 
                [], [], 
                '''                Odu flex GFP-F resizable info
                ''',
                'odu_flex_gfp_f_res',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-level', REFERENCE_ENUM_CLASS, 'TeOduLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeOduLevelEnum', 
                [], [], 
                '''                ODULevel
                ''',
                'odu_level',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels',
            False, 
            [
            _MetaInfoClassMember('path-egress-label', REFERENCE_CLASS, 'PathEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel', 
                [], [], 
                '''                Path message (upstream) egress label
                ''',
                'path_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-ingress-label', REFERENCE_CLASS, 'PathIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel', 
                [], [], 
                '''                Path message (upstream) ingress label
                ''',
                'path_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-egress-label', REFERENCE_CLASS, 'ResvEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel', 
                [], [], 
                '''                Resv message (downstream) egress label
                ''',
                'resv_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-ingress-label', REFERENCE_CLASS, 'ResvIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel', 
                [], [], 
                '''                Resv message (downstream) ingress label
                ''',
                'resv_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'labels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn',
            False, 
            [
            _MetaInfoClassMember('bandwidth', REFERENCE_CLASS, 'Bandwidth' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth', 
                [], [], 
                '''                OTN Bandwidth for s2l
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cross-connect-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cross connect id
                ''',
                'cross_connect_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gpid', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Gpid Payload
                ''',
                'gpid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Incoming Controller
                ''',
                'incoming_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Incoming Controller Ifhandle
                ''',
                'incoming_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Controller
                ''',
                'incoming_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Incoming Sub Controller
                ''',
                'incoming_sub_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Incoming Sub Controller Ifhandle
                ''',
                'incoming_sub_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Sub Controller
                ''',
                'incoming_sub_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if subcontrollers are connected
                ''',
                'is_connected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('labels', REFERENCE_CLASS, 'Labels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels', 
                [], [], 
                '''                Labels
                ''',
                'labels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing Controller
                ''',
                'outgoing_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Controller Ifhandle
                ''',
                'outgoing_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Controller
                ''',
                'outgoing_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing Sub Controller
                ''',
                'outgoing_sub_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Sub Controller Ifhandle
                ''',
                'outgoing_sub_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Sub Controller
                ''',
                'outgoing_sub_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                XC Uptime
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Aps.ProtectionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Aps.ProtectionInfo',
            False, 
            [
            _MetaInfoClassMember('ho-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-Off timeout
                ''',
                'ho_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-hopresent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Hold-Off timeout present
                ''',
                'is_hopresent',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-snc-mode-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SNC mode present
                ''',
                'is_snc_mode_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-wtr-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Wait-to-Restore timeout present
                ''',
                'is_wtr_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Notification bit 
                ''',
                'nbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('obit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Operational bit
                ''',
                'obit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path protection profile type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Protecting bit
                ''',
                'pbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protect-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                LSP Protect Type
                ''',
                'protect_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Secondary bit
                ''',
                'sbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                SNC mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TCM ID
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wtr-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait-to-Restore timeout
                ''',
                'wtr_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protection-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Aps' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Aps',
            False, 
            [
            _MetaInfoClassMember('protection-info', REFERENCE_CLASS, 'ProtectionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Aps.ProtectionInfo', 
                [], [], 
                '''                Protection Info
                ''',
                'protection_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'aps',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L',
            False, 
            [
            _MetaInfoClassMember('aps', REFERENCE_CLASS, 'Aps' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Aps', 
                [], [], 
                '''                APS Info for OTN S2L
                ''',
                'aps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn', 
                [], [], 
                '''                Info Related to OTN technology in S2L
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn-s2l',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.HeadEndBfdInfo.SessionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.HeadEndBfdInfo.SessionInfo',
            False, 
            [
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'TeBfdLspSessionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdLspSessionStateEnum', 
                [], [], 
                '''                BFD session state
                ''',
                'state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('state-change-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last session state
                change
                ''',
                'state_change_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'session-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.HeadEndBfdInfo.DeletionHistory' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.HeadEndBfdInfo.DeletionHistory',
            False, 
            [
            _MetaInfoClassMember('deletion-diagnostic-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Diagnostic Code for the BFD session get deleted
                ''',
                'deletion_diagnostic_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reason for the BFD session get deleted
                ''',
                'deletion_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time stamp of the BFD session get deleted
                ''',
                'deletion_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID of the BFD session get deleted
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'deletion-history',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.HeadEndBfdInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.HeadEndBfdInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-reverse-path-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path labels
                ''',
                'bfd_reverse_path_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The BFD reverse path is stale compared to
                configuration
                ''',
                'bfd_reverse_path_stale',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('creation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the BFD session created
                ''',
                'creation_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-history', REFERENCE_CLASS, 'DeletionHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.HeadEndBfdInfo.DeletionHistory', 
                [], [], 
                '''                BFD Session Deletion History
                ''',
                'deletion_history',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-redundant', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                sBFD session is redundant
                ''',
                'is_redundant',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lspbfd-type', REFERENCE_ENUM_CLASS, 'TeVifBfdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeVifBfdEnum', 
                [], [], 
                '''                LSP BFD type
                ''',
                'lspbfd_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-info', REFERENCE_CLASS, 'SessionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.HeadEndBfdInfo.SessionInfo', 
                [], [], 
                '''                BFD Session Info
                ''',
                'session_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'head-end-bfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.TailEndBfdInfo.SessionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.TailEndBfdInfo.SessionInfo',
            False, 
            [
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'TeBfdLspSessionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdLspSessionStateEnum', 
                [], [], 
                '''                BFD session state
                ''',
                'state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('state-change-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last session state
                change
                ''',
                'state_change_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'session-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.TailEndBfdInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.TailEndBfdInfo',
            False, 
            [
            _MetaInfoClassMember('failure-diagnostic-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD session failure diagnostic code
                ''',
                'failure_diagnostic_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('failure-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                BFD session failure reason
                ''',
                'failure_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-discriminator', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Local Discriminator
                ''',
                'local_discriminator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('min-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello interval in mini second
                ''',
                'min_interval',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('min-interval-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default hello interval
                ''',
                'min_interval_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default multiplier
                ''',
                'multiplier_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-discriminator', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Remote Discrminator
                ''',
                'remote_discriminator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-info', REFERENCE_CLASS, 'SessionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.TailEndBfdInfo.SessionInfo', 
                [], [], 
                '''                BFD Session Info
                ''',
                'session_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tail-end-bfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.SrlgCollection' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.SrlgCollection',
            False, 
            [
            _MetaInfoClassMember('discovered-srlg', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Discovered SRLGs
                ''',
                'discovered_srlg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-collect-type', REFERENCE_ENUM_CLASS, 'TeSrlgCollectRequestEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSrlgCollectRequestEnum', 
                [], [], 
                '''                SRLG-collection mechanism
                ''',
                'srlg_collect_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-collection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.Association' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.Association',
            False, 
            [
            _MetaInfoClassMember('s2l-association-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Association ID
                ''',
                's2l_association_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                S2L Association Source
                ''',
                's2l_association_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-tie-role', REFERENCE_ENUM_CLASS, 'TeAssociationTieRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAssociationTieRoleEnum', 
                [], [], 
                '''                S2L Association Tie Role
                ''',
                's2l_association_tie_role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Association Type                         
                (draft-ietf-ccamp-mpls-tp-rsvpte-ext-associated-lsp)
                ''',
                's2l_association_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-extended-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L Extended ID Array
                ''',
                's2l_extended_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-global-source', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L Global Source
                ''',
                's2l_global_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'association',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.Protection' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.Protection',
            False, 
            [
            _MetaInfoClassMember('any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Any
                ''',
                'any',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ded1-plus1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1+1 Protection
                ''',
                'ded1_plus1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ded1-to1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1:1 Protection
                ''',
                'ded1_to1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('enhanced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates Enhanced Protection Scheme
                ''',
                'enhanced',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extra-traffic', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should use Links that are protecting other
                (primary) traffic
                ''',
                'extra_traffic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should not use any Link Layer Protection
                ''',
                'link_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Flags Unprotected
                ''',
                'lsp_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-plus-one-bi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Bidirectional Protection
                ''',
                'one_plus_one_bi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-plus-one-uni', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Unidirectional Protection
                ''',
                'one_plus_one_uni',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-to-n-protection-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1:N Protection with Extra-Traffic
                ''',
                'one_to_n_protection_et',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Full Rerouting
                ''',
                'rerouting',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouting-no-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Rerouting Without Extra-Traffic
                ''',
                'rerouting_no_et',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-notification', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Notification Bit
                ''',
                's2l_notification',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-operational', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Operational Bit
                ''',
                's2l_operational',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Protecting Bit
                ''',
                's2l_protecting',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-secondary', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Secondary Bit
                ''',
                's2l_secondary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Shared Link Layer Protection
                ''',
                'shared',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseLspFec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseLspFec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseLspFec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseLspFec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseLspFec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-lsp-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseTspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseTspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.FlexInfo.FlexFec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.FlexInfo.FlexFec',
            False, 
            [
            _MetaInfoClassMember('s2l-fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                Session identifier (ctype)
                ''',
                's2l_fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-dest', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                sub-LSP destination address
                ''',
                's2l_fec_dest',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                's2l_fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                's2l_fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                's2l_fec_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSP source address
                ''',
                's2l_fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                sub-LSP subgroup ID
                ''',
                's2l_fec_subgroup_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                's2l_fec_subgroup_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                's2l_fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                's2l_fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.FlexInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.FlexInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-created', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GAL BFD Session Created
                ''',
                'bfd_created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-egress-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Egress Label
                ''',
                'bfd_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-int-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Internal Label
                ''',
                'bfd_int_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                BFD Next Hop
                ''',
                'bfd_next_hop',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-out-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD Out Interface Handle
                ''',
                'bfd_out_ifh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-tun-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD Tunnel Interface Handle
                ''',
                'bfd_tun_ifh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GAL BFD Session Up
                ''',
                'bfd_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('entry-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FlexLSP Entry Exists
                ''',
                'entry_exists',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ais', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault AIS
                ''',
                'fault_ais',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ldi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LDI
                ''',
                'fault_ldi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ldi-lockout', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LDI Lockout
                ''',
                'fault_ldi_lockout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-lkr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LKR
                ''',
                'fault_lkr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Fault Time
                ''',
                'fault_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex-fec', REFERENCE_CLASS, 'FlexFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.FlexInfo.FlexFec', 
                [], [], 
                '''                FEC for the FlexLSP Entry
                ''',
                'flex_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                In Label
                ''',
                'in_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('oam-created', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                OAM Entry Created
                ''',
                'oam_created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.LspWrapInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.LspWrapInfo',
            False, 
            [
            _MetaInfoClassMember('lsp-wrap-protection-enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Wrap protection enabled
                ''',
                'lsp_wrap_protection_enable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-protection-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSP Wrap Merge Point Label
                ''',
                'lsp_wrap_protection_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-protection-state', REFERENCE_ENUM_CLASS, 'MplsTeLspWrapStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspWrapStateEnum', 
                [], [], 
                '''                LSP wrap protection state
                ''',
                'lsp_wrap_protection_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reverse Egress Interface
                ''',
                'reverse_egress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reverse LSP label
                ''',
                'reverse_lsp_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-wrap-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.DiversityInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.DiversityInfo',
            False, 
            [
            _MetaInfoClassMember('diversity-type', REFERENCE_ENUM_CLASS, 'TePpDiversityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePpDiversityEnum', 
                [], [], 
                '''                S2L path diversity type
                ''',
                'diversity_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'diversity-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.SharedRiskLinkGroup' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.SharedRiskLinkGroup',
            False, 
            [
            _MetaInfoClassMember('shared-risk-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG number
                ''',
                'shared_risk_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SRLG name
                ''',
                'srlg_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'shared-risk-link-group',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutEro.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutEro.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutEro.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutEro.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutEro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutEro',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutEro.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutEro.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'out-ero',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InEro.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InEro.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InEro.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InEro.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InEro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InEro',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InEro.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InEro.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'in-ero',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.Ipv4RroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.Ipv4RroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.Ipv4RroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.Ipv4RroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.Ipv4RroSubObject.Flags', 
                [], [], 
                '''                The RRO IPV4 Subobject Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO IPV4 Address
                ''',
                'rro_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.LabelRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.LabelRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-global-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label is Global across all interfaces
                ''',
                'is_global_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.LabelRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.LabelRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.LabelRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Label Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-label-variable-length', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the RRO Subobject Label Variable Length
                ''',
                'is_label_variable_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Label Value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('variable-length-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Variable Length Label
                ''',
                'variable_length_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'label-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.UnnumberedRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.UnnumberedRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.UnnumberedRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.UnnumberedRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.UnnumberedRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Unnumbered Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO Interface Address
                ''',
                'interface_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.SrlgRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.SrlgRroSubObject',
            False, 
            [
            _MetaInfoClassMember('srl-gs', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject SRLGs
                ''',
                'srl_gs',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro',
            False, 
            [
            _MetaInfoClassMember('ipv4rro-sub-object', REFERENCE_CLASS, 'Ipv4RroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.Ipv4RroSubObject', 
                [], [], 
                '''                IPV4 RRO Sub Object
                ''',
                'ipv4rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rro-sub-object', REFERENCE_CLASS, 'LabelRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.LabelRroSubObject', 
                [], [], 
                '''                Label RRO Sub Object
                ''',
                'label_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtRroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtRroSubobjEnum', 
                [], [], 
                '''                RROType
                ''',
                'rro_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-rro-sub-object', REFERENCE_CLASS, 'SrlgRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.SrlgRroSubObject', 
                [], [], 
                '''                SRLG RRO Sub Object
                ''',
                'srlg_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-rro-sub-object', REFERENCE_CLASS, 'UnnumberedRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.UnnumberedRroSubObject', 
                [], [], 
                '''                Unnumbered RRO Sub Object
                ''',
                'unnumbered_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-rro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.Ipv4RroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.Ipv4RroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.Ipv4RroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.Ipv4RroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.Ipv4RroSubObject.Flags', 
                [], [], 
                '''                The RRO IPV4 Subobject Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO IPV4 Address
                ''',
                'rro_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.LabelRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.LabelRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-global-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label is Global across all interfaces
                ''',
                'is_global_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.LabelRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.LabelRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.LabelRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Label Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-label-variable-length', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the RRO Subobject Label Variable Length
                ''',
                'is_label_variable_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Label Value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('variable-length-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Variable Length Label
                ''',
                'variable_length_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'label-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.UnnumberedRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.UnnumberedRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Unnumbered Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO Interface Address
                ''',
                'interface_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.SrlgRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.SrlgRroSubObject',
            False, 
            [
            _MetaInfoClassMember('srl-gs', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject SRLGs
                ''',
                'srl_gs',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro',
            False, 
            [
            _MetaInfoClassMember('ipv4rro-sub-object', REFERENCE_CLASS, 'Ipv4RroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.Ipv4RroSubObject', 
                [], [], 
                '''                IPV4 RRO Sub Object
                ''',
                'ipv4rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rro-sub-object', REFERENCE_CLASS, 'LabelRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.LabelRroSubObject', 
                [], [], 
                '''                Label RRO Sub Object
                ''',
                'label_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtRroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtRroSubobjEnum', 
                [], [], 
                '''                RROType
                ''',
                'rro_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-rro-sub-object', REFERENCE_CLASS, 'SrlgRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.SrlgRroSubObject', 
                [], [], 
                '''                SRLG RRO Sub Object
                ''',
                'srlg_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-rro-sub-object', REFERENCE_CLASS, 'UnnumberedRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.UnnumberedRroSubObject', 
                [], [], 
                '''                Unnumbered RRO Sub Object
                ''',
                'unnumbered_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-rro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathAffinityArray' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathAffinityArray',
            False, 
            [
            _MetaInfoClassMember('hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Hop address
                ''',
                'hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop-affinity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'hop_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop-extended-affinity', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hop affinity
                ''',
                'hop_extended_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-affinity-array',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseEroIn.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseEroIn.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseEroIn.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseEroIn.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseEroIn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseEroIn',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseEroIn.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseEroIn.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-ero-in',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.S2LSegmentRoutingPath' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.S2LSegmentRoutingPath',
            False, 
            [
            _MetaInfoClassMember('has-entropy-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Hop has EL specified
                ''',
                'has_entropy_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-ip-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node has IP addresses specified
                ''',
                'has_ip_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-mpls-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Hop has MPLS label specified
                ''',
                'has_mpls_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local IP address of adjacency or Node ID
                ''',
                'local_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mpls-label-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The MPLS label value
                ''',
                'mpls_label_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote IP address of adjacency
                ''',
                'remote_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sid-type', REFERENCE_ENUM_CLASS, 'TeSrSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSrSidEnum', 
                [], [], 
                '''                Type of the SID
                ''',
                'sid_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-segment-routing-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L',
            False, 
            [
            _MetaInfoClassMember('abr-auto-discovered', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next ABR auto discovered
                ''',
                'abr_auto_discovered',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('active-path-option', REFERENCE_CLASS, 'ActivePathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption', 
                [], [], 
                '''                The path option used to find the path for this
                S2L
                ''',
                'active_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('association', REFERENCE_CLASS, 'Association' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.Association', 
                [], [], 
                '''                Association Object
                ''',
                'association',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface handle of the backup tunnel
                ''',
                'backup_tunnel_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('diversity-info', REFERENCE_CLASS, 'DiversityInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.DiversityInfo', 
                [], [], 
                '''                S2L Diversity Information
                ''',
                'diversity_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('downstream-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Downstream router id
                ''',
                'downstream_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Egress Interface
                ''',
                'egress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface-brief', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Egress Interface in brief format
                ''',
                'egress_interface_brief',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Interface
                ''',
                'egress_interface_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Outgoing ERO's affinity bits (colors)
                ''',
                'expanded_ero_affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Outgoing ERO's affinity mask (colors)
                ''',
                'expanded_ero_affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Indicates the protocol and area used to find
                Outgoing ERO
                ''',
                'expanded_ero_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The metric value of the expanded path
                ''',
                'expanded_ero_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-metric-type', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                The Outgoing ERO's selection metric
                ''',
                'expanded_ero_metric_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex-info', REFERENCE_CLASS, 'FlexInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.FlexInfo', 
                [], [], 
                '''                FlexLSP S2L Information
                ''',
                'flex_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-out-tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FRR out tunnel intface
                ''',
                'frr_out_tunnel_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fspec', REFERENCE_CLASS, 'Fspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.Fspec', 
                [], [], 
                '''                The F spec info
                ''',
                'fspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generic-fspec', REFERENCE_CLASS, 'GenericFspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GenericFspec', 
                [], [], 
                '''                Generic FSpec
                ''',
                'generic_fspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generic-tspec', REFERENCE_CLASS, 'GenericTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GenericTspec', 
                [], [], 
                '''                Generic TSpec
                ''',
                'generic_tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gmpls-labels', REFERENCE_CLASS, 'GmplsLabels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels', 
                [], [], 
                '''                GMPLS labels
                ''',
                'gmpls_labels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('head-end-bfd-info', REFERENCE_CLASS, 'HeadEndBfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.HeadEndBfdInfo', 
                [], [], 
                '''                The Head-end BFD info
                ''',
                'head_end_bfd_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-ero', REFERENCE_LIST, 'InEro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InEro', 
                [], [], 
                '''                Incoming ERO for this S2L
                ''',
                'in_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-xro', REFERENCE_CLASS, 'InXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro', 
                [], [], 
                '''                Incoming XRO for this S2L
                ''',
                'in_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Incoming interface address
                ''',
                'incoming_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-address-generic', REFERENCE_CLASS, 'IncomingAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.IncomingAddressGeneric', 
                [], [], 
                '''                Incoming interface address
                ''',
                'incoming_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ingress Interface
                ''',
                'ingress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface-brief', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ingress Interface in brief format
                ''',
                'ingress_interface_brief',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Interface
                ''',
                'ingress_interface_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-protect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BW Protection Enabled or Disabled
                ''',
                'is_bandwidth_protect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-expanded-ero', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if this LSR expanded a loose path
                ''',
                'is_expanded_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-frr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Enabled or Disabled
                ''',
                'is_frr_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Enabled or Disabled
                ''',
                'is_node_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-optical', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Optical
                ''',
                'is_optical',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local router id
                ''',
                'local_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-info', REFERENCE_CLASS, 'LspWrapInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.LspWrapInfo', 
                [], [], 
                '''                Lsp Wrap  Related information
                ''',
                'lsp_wrap_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop address
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address-generic', REFERENCE_CLASS, 'NextHopAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.NextHopAddressGeneric', 
                [], [], 
                '''                Next hop address
                ''',
                'next_hop_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('node-hop-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hop count
                ''',
                'node_hop_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn-s2l', REFERENCE_CLASS, 'OtnS2L' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L', 
                [], [], 
                '''                Otn S2L Information
                ''',
                'otn_s2l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-ero', REFERENCE_LIST, 'OutEro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutEro', 
                [], [], 
                '''                Outgoing ERO for this S2L
                ''',
                'out_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-xro', REFERENCE_CLASS, 'OutXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro', 
                [], [], 
                '''                Outgoing XRO for this S2L
                ''',
                'out_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outbound-frr-state', REFERENCE_ENUM_CLASS, 'MplsTeFrrStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeFrrStateEnum', 
                [], [], 
                '''                Indicates outbound FRR state
                ''',
                'outbound_frr_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-affinity-array', REFERENCE_LIST, 'PathAffinityArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathAffinityArray', 
                [], [], 
                '''                Tunnel's Path hops with affinity
                ''',
                'path_affinity_array',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reeval-query-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loose path reevaluation query received at
                mid-point
                ''',
                'path_reeval_query_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-rro', REFERENCE_LIST, 'PathRro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro', 
                [], [], 
                '''                Path RRO for this S2L
                ''',
                'path_rro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-rro-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path RRO Enabled or Disabled
                ''',
                'path_rro_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-using-strict-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is using Strict SPF
                ''',
                'path_using_strict_spf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcalc-area', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IGP-area in which the S2L path was calculated
                ''',
                'pcalc_area',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Previous hop address
                ''',
                'previous_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-hop-address-generic', REFERENCE_CLASS, 'PreviousHopAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PreviousHopAddressGeneric', 
                [], [], 
                '''                Previous hop address
                ''',
                'previous_hop_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection', REFERENCE_CLASS, 'Protection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.Protection', 
                [], [], 
                '''                Protection Object
                ''',
                'protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-rro', REFERENCE_LIST, 'ResvRro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro', 
                [], [], 
                '''                Resv RRO for this S2L
                ''',
                'resv_rro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-ero-in', REFERENCE_LIST, 'ReverseEroIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseEroIn', 
                [], [], 
                '''                 Reverse Incoming ERO for this S2L
                ''',
                'reverse_ero_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Connected
                ''',
                'reverse_lsp_connected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-fec', REFERENCE_CLASS, 'ReverseLspFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseLspFec', 
                [], [], 
                '''                Reverse Associated Bidir LSP FEC
                ''',
                'reverse_lsp_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Name
                ''',
                'reverse_lsp_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Present
                ''',
                'reverse_lsp_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-tspec', REFERENCE_CLASS, 'ReverseTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseTspec', 
                [], [], 
                '''                The Reverse T spec info
                ''',
                'reverse_tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The reverse path weight
                ''',
                'reverse_weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('role', REFERENCE_ENUM_CLASS, 'MplsTeTunnelRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelRoleEnum', 
                [], [], 
                '''                Role of S2L
                ''',
                'role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-convergence', REFERENCE_CLASS, 'S2LConvergence' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.S2LConvergence', 
                [], [], 
                '''                TE LSP convergence related information
                ''',
                's2l_convergence',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec', REFERENCE_CLASS, 'S2LFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.S2LFec', 
                [], [], 
                '''                FEC for the S2L
                ''',
                's2l_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label
                ''',
                's2l_local_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing label
                ''',
                's2l_out_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-ero-obj-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2l Reverse ERO Object Present
                ''',
                's2l_reverse_ero_obj_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-lsp-sub-obj', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Reverse LSP Sub Objects
                ''',
                's2l_reverse_lsp_sub_obj',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-tspec-obj-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Reverse TSpec Object Present
                ''',
                's2l_reverse_tspec_obj_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-segment-routing-path', REFERENCE_LIST, 'S2LSegmentRoutingPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.S2LSegmentRoutingPath', 
                [], [], 
                '''                Segment-Routing S2L path info
                ''',
                's2l_segment_routing_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared-risk-link-group', REFERENCE_LIST, 'SharedRiskLinkGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.SharedRiskLinkGroup', 
                [], [], 
                '''                The S2L's excluded srlg groups
                ''',
                'shared_risk_link_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-status', REFERENCE_ENUM_CLASS, 'MplsTeTunnelsSignalingStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelsSignalingStatusEnum', 
                [], [], 
                '''                Signaling status
                ''',
                'signalling_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption', REFERENCE_CLASS, 'SoftPreemption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.SoftPreemption', 
                [], [], 
                '''                The soft preemption info for this LSP.
                ''',
                'soft_preemption',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-collection', REFERENCE_CLASS, 'SrlgCollection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.SrlgCollection', 
                [], [], 
                '''                SRLG-collection data
                ''',
                'srlg_collection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tail-end-bfd-info', REFERENCE_CLASS, 'TailEndBfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.TailEndBfdInfo', 
                [], [], 
                '''                The Tail-end BFD info
                ''',
                'tail_end_bfd_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-preferred-path-exists-send-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last preferred path exists msg send
                from mid-point
                ''',
                'time_since_last_preferred_path_exists_send_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-preferred-tree-exists-send-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last preferred tree exists msg send
                from mid-point
                ''',
                'time_since_last_preferred_tree_exists_send_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-query-received-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last reevaluation query received at
                mid-point
                ''',
                'time_since_last_query_received_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tspec', REFERENCE_CLASS, 'Tspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.Tspec', 
                [], [], 
                '''                The T spec info
                ''',
                'tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('upstream-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Upstream router id
                ''',
                'upstream_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the tunnel was up
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The path's weight
                ''',
                'weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp',
            False, 
            [
            _MetaInfoClassMember('dste-class-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Matching DSTE class index
                ''',
                'dste_class_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-match', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Do the class type and priority match a DSTE
                class
                ''',
                'dste_class_match',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-active-reason', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP LSP FRR active reason
                ''',
                'frr_active_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-frr-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                P2MP LSP has FRR Failed
                ''',
                'is_frr_failed',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True for tunnel head
                ''',
                'is_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-passive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True for passive tunnel
                ''',
                'is_passive',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-path-change', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last path change
                ''',
                'last_path_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP LSP Bandwidth
                ''',
                'lsp_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The LSP bandwidth type
                ''',
                'lsp_bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-fec', REFERENCE_CLASS, 'LspFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.LspFec', 
                [], [], 
                '''                FEC for the LSP
                ''',
                'lsp_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSP hold priority
                ''',
                'lsp_hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSP setup priority
                ''',
                'lsp_setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('persistent-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Persistent forwarding statistics for number of
                bytes. Clear counters will not reset the counter
                ''',
                'persistent_bytes',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('persistent-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Persistent forwarding statistics for Number of
                packets. Clear counters will not reset the
                counter
                ''',
                'persistent_packets',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimize-reason', REFERENCE_ENUM_CLASS, 'MplsTeReoptDecisionReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeReoptDecisionReasonEnum', 
                [], [], 
                '''                Reason for re-optimization
                ''',
                'reoptimize_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimize-trigger', REFERENCE_ENUM_CLASS, 'MteReoptTriggerEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MteReoptTriggerEnum', 
                [], [], 
                '''                Re-optimize trigger
                ''',
                'reoptimize_trigger',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-down', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of down S2Ls
                ''',
                's2_ls_down',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-proceeding', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of proceeding S2Ls
                ''',
                's2_ls_proceeding',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of connected S2Ls
                ''',
                's2_ls_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l', REFERENCE_LIST, 'S2L' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L', 
                [], [], 
                '''                array of S2L structures
                ''',
                's2l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signaled-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signaled Name
                ''',
                'signaled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('timer-left', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds left to take next action if any
                ''',
                'timer_left',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MplsTeLspEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspEnum', 
                [], [], 
                '''                The type of this LSP
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the tunnel was up
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'cleaned-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.P2PInfo.AutoBandwidthStatus' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.P2PInfo.AutoBandwidthStatus',
            False, 
            [
            _MetaInfoClassMember('is-auto-bandwidth-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if auto-bw is enabled for the tunnel
                ''',
                'is_auto_bandwidth_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reactivation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until auto-bw gets activated if activation
                has been delayed due to failover
                ''',
                'reactivation_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'auto-bandwidth-status',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.P2PInfo.AutoBandwidthConfig' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.P2PInfo.AutoBandwidthConfig',
            False, 
            [
            _MetaInfoClassMember('adjustment-threshold-percent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth change threshold needed to trigger
                bandwidth adjustment
                ''',
                'adjustment_threshold_percent',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('adjustment-threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth change value (kbps) needed to trigger
                bandwidth adjustment
                ''',
                'adjustment_threshold_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('application-frequency', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Auto-bw application frequency for the tunnel
                (mins)
                ''',
                'application_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('collection-frequency', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global auto-bw collection frequency
                ''',
                'collection_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-auto-bandwidth-collect-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if auto-bw collection-only is enabled
                ''',
                'is_auto_bandwidth_collect_only',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum bandwidth auto-bw can apply
                ''',
                'maximum_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('minimum-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Minimum bandwidth auto-bw can apply
                ''',
                'minimum_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('overflow-threshold-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Limit of consecutive collections exceeding
                threshold to trigger an immediate overflow
                bandwidth adjustment
                ''',
                'overflow_threshold_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('overflow-threshold-percent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth change threshold needed to count a
                collection towards overflow limit allowed
                ''',
                'overflow_threshold_percent',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('overflow-threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth change value needed to count a
                collection towards overflow limit allowed
                ''',
                'overflow_threshold_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('underflow-threshold-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Limit of consecutive collections exceeding
                threshold to trigger an immediate underflow
                bandwidth adjustment
                ''',
                'underflow_threshold_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('underflow-threshold-percent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth change threshold needed to count a
                collection towards underflow limit allowed
                ''',
                'underflow_threshold_percent',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('underflow-threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth change value needed to count a
                collection towards underflow limit allowed
                ''',
                'underflow_threshold_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'auto-bandwidth-config',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.P2PInfo.AutoBandwidthOper' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.P2PInfo.AutoBandwidthOper',
            False, 
            [
            _MetaInfoClassMember('application-jitter', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Amount of time introduced to delay first
                application so that not all tunnels may signal
                BW at the same time
                ''',
                'application_jitter',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('application-reject-reason', REFERENCE_ENUM_CLASS, 'TeAutobwAppRejEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAutobwAppRejEnum', 
                [], [], 
                '''                Current application reject reason
                ''',
                'application_reject_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-applications', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of bandwidth applications requested
                by auto-bw
                ''',
                'bandwidth_applications',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-pool-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                Bandwidth pool type
                ''',
                'bandwidth_pool_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('collect-only-requested-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Collect-only Requested Bandwidth for the tunnel
                ''',
                'collect_only_requested_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('highest-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Highest bandwidth registered within current
                application period
                ''',
                'highest_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-application-trigger', REFERENCE_ENUM_CLASS, 'TeAutobwAppTriggerEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAutobwAppTriggerEnum', 
                [], [], 
                '''                The reason causing the last BW application
                ''',
                'last_application_trigger',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-bandwidth-applied', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last bandwidth requested by auto-bw for the
                tunnel
                ''',
                'last_bandwidth_applied',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('overflow-early-bw-applications', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                tunnel counter for number of bandwidth
                applications due to overflow
                ''',
                'overflow_early_bw_applications',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('samples-collected', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of samples collected within current
                application period
                ''',
                'samples_collected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('threshold-overflows', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                counter for current consecutive collections
                exceeding threshold
                ''',
                'threshold_overflows',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('threshold-underflows', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                counter for current consecutive collections
                exceeding threshold
                ''',
                'threshold_underflows',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-left-application', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time left until next auto-bw application
                algorithm is performed
                ''',
                'time_left_application',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-left-collection', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time left until next auto-bw data collection is
                performed
                ''',
                'time_left_collection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('underflow-early-bw-applications', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                tunnel counter for number of bandwidth
                applications due to underflow
                ''',
                'underflow_early_bw_applications',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('underflow-highest-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Highest sample collected during an underflow
                sequence
                ''',
                'underflow_highest_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'auto-bandwidth-oper',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.P2PInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.P2PInfo',
            False, 
            [
            _MetaInfoClassMember('auto-bandwidth-config', REFERENCE_CLASS, 'AutoBandwidthConfig' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.P2PInfo.AutoBandwidthConfig', 
                [], [], 
                '''                Tunnels's AutoBandwidth Configuration
                information
                ''',
                'auto_bandwidth_config',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-oper', REFERENCE_CLASS, 'AutoBandwidthOper' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.P2PInfo.AutoBandwidthOper', 
                [], [], 
                '''                Tunnels's AutoBandwidth Operational information
                ''',
                'auto_bandwidth_oper',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-status', REFERENCE_CLASS, 'AutoBandwidthStatus' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.P2PInfo.AutoBandwidthStatus', 
                [], [], 
                '''                Tunnels's AutoBandwidth Status information
                ''',
                'auto_bandwidth_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bidirectional', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the tunnel is bidirectional
                ''',
                'is_bidirectional',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'p2p-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.CurrentSetup.ConnectedUptimes' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.CurrentSetup.ConnectedUptimes',
            False, 
            [
            _MetaInfoClassMember('current-lsp-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the current LSP was up
                ''',
                'current_lsp_uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('current-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the tunnel was up
                ''',
                'current_uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'connected-uptimes',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.CurrentSetup' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.CurrentSetup',
            False, 
            [
            _MetaInfoClassMember('connected-uptimes', REFERENCE_CLASS, 'ConnectedUptimes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.CurrentSetup.ConnectedUptimes', 
                [], [], 
                '''                Uptimes for connected setup
                ''',
                'connected_uptimes',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('current-setup-last-error', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The last error for the current setup
                ''',
                'current_setup_last_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('current-setup-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds until the next attempt to
                connect this setup
                ''',
                'current_setup_timer',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('selection-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The reason why this setup is selected. For
                display purposes only.
                ''',
                'selection_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'current-setup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.ReoptSetup' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.ReoptSetup',
            False, 
            [
            _MetaInfoClassMember('reoptimized-setup-last-error', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The last error for the reopt setup
                ''',
                'reoptimized_setup_last_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimized-setup-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds until the next attempt to
                connect the reopt setup
                ''',
                'reoptimized_setup_timer',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimized-setup-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the reopt setup came up
                ''',
                'reoptimized_setup_uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reopt-setup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.GmplsPathProtectSetup' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.GmplsPathProtectSetup',
            False, 
            [
            _MetaInfoClassMember('protecting-setup-last-error', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The last error for the protecting setup (for
                display purposes only)
                ''',
                'protecting_setup_last_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protecting-setup-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds until the next attempt to
                connect the protecting setup
                ''',
                'protecting_setup_timer',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protecting-setup-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the protecting setup came
                up
                ''',
                'protecting_setup_uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'gmpls-path-protect-setup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.PreviousSetup' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.PreviousSetup',
            False, 
            [
            _MetaInfoClassMember('previous-fail-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reason for the previous setup's failure
                ''',
                'previous_fail_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-path-option', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The previous setup path option
                ''',
                'previous_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-setup-last-error', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The last error for the previous setup
                ''',
                'previous_setup_last_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-tunnel-instance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The previous setup's instance
                ''',
                'previous_tunnel_instance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'previous-setup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.PreviousGmplsPathProtectSetup' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.PreviousGmplsPathProtectSetup',
            False, 
            [
            _MetaInfoClassMember('previous-protect-fail-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reason for the previous protect setup's failure
                ''',
                'previous_protect_fail_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-protect-path-option', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The previous protect setup path option
                ''',
                'previous_protect_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-protect-setup-last-error', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The last error for the previous setup
                ''',
                'previous_protect_setup_last_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-protect-tunnel-instance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The previous protect setup's instance
                ''',
                'previous_protect_tunnel_instance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'previous-gmpls-path-protect-setup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.GmplsOtherSetup' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.GmplsOtherSetup',
            False, 
            [
            _MetaInfoClassMember('other-setup-error', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The last error for the additional setup
                ''',
                'other_setup_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for the additional setup
                ''',
                'path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'gmpls-other-setup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.GmplsOtherProtectSetup' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.GmplsOtherProtectSetup',
            False, 
            [
            _MetaInfoClassMember('other-setup-error', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The last error for the additional setup
                ''',
                'other_setup_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for the additional setup
                ''',
                'path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'gmpls-other-protect-setup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.StandbySetup' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.StandbySetup',
            False, 
            [
            _MetaInfoClassMember('standby-lsp-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the standby LSP was up
                ''',
                'standby_lsp_uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('standby-setup-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds until the next attempt to
                connect this setup
                ''',
                'standby_setup_timer',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'standby-setup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.StandbyReoptSetup' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.StandbyReoptSetup',
            False, 
            [
            _MetaInfoClassMember('reoptimized-setup-last-error', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The last error for the reopt setup
                ''',
                'reoptimized_setup_last_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimized-setup-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds until the next attempt to
                connect the reopt setup
                ''',
                'reoptimized_setup_timer',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimized-setup-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the reopt setup came up
                ''',
                'reoptimized_setup_uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'standby-reopt-setup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.LastReOptFail' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.LastReOptFail',
            False, 
            [
            _MetaInfoClassMember('re-opt-failed-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                First tunnel destination (if any) in re-opt LSP
                that failed to come up
                ''',
                're_opt_failed_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('re-opt-failed-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time stamp of the last re-opt failure. (seconds
                since Jan. 1, 1970)
                ''',
                're_opt_failed_timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('re-opt-last-fail-reason', REFERENCE_ENUM_CLASS, 'MplsTeReoptDecisionReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeReoptDecisionReasonEnum', 
                [], [], 
                '''                Reason (if any) for the last re-opt attempt
                failure
                ''',
                're_opt_last_fail_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'last-re-opt-fail',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.LastStdbyReOptFail' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.LastStdbyReOptFail',
            False, 
            [
            _MetaInfoClassMember('re-opt-failed-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                First tunnel destination (if any) in re-opt LSP
                that failed to come up
                ''',
                're_opt_failed_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('re-opt-failed-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time stamp of the last re-opt failure. (seconds
                since Jan. 1, 1970)
                ''',
                're_opt_failed_timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('re-opt-last-fail-reason', REFERENCE_ENUM_CLASS, 'MplsTeReoptDecisionReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeReoptDecisionReasonEnum', 
                [], [], 
                '''                Reason (if any) for the last re-opt attempt
                failure
                ''',
                're_opt_last_fail_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'last-stdby-re-opt-fail',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History',
            False, 
            [
            _MetaInfoClassMember('current-setup', REFERENCE_CLASS, 'CurrentSetup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.CurrentSetup', 
                [], [], 
                '''                Current setup data
                ''',
                'current_setup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gmpls-other-protect-setup', REFERENCE_CLASS, 'GmplsOtherProtectSetup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.GmplsOtherProtectSetup', 
                [], [], 
                '''                GMPLS additional protecting setup data
                ''',
                'gmpls_other_protect_setup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gmpls-other-setup', REFERENCE_CLASS, 'GmplsOtherSetup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.GmplsOtherSetup', 
                [], [], 
                '''                GMPLS additional setup data
                ''',
                'gmpls_other_setup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gmpls-path-protect-setup', REFERENCE_CLASS, 'GmplsPathProtectSetup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.GmplsPathProtectSetup', 
                [], [], 
                '''                GMPLS protecting setup data
                ''',
                'gmpls_path_protect_setup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-re-opt-fail', REFERENCE_CLASS, 'LastReOptFail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.LastReOptFail', 
                [], [], 
                '''                Last re-opt attempt failure information
                ''',
                'last_re_opt_fail',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-stdby-re-opt-fail', REFERENCE_CLASS, 'LastStdbyReOptFail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.LastStdbyReOptFail', 
                [], [], 
                '''                Last standby re-opt attempt failure information
                ''',
                'last_stdby_re_opt_fail',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-gmpls-path-protect-setup', REFERENCE_CLASS, 'PreviousGmplsPathProtectSetup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.PreviousGmplsPathProtectSetup', 
                [], [], 
                '''                Previous GMPLS protecting setup data
                ''',
                'previous_gmpls_path_protect_setup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-setup', REFERENCE_CLASS, 'PreviousSetup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.PreviousSetup', 
                [], [], 
                '''                Previous setup data
                ''',
                'previous_setup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reopt-setup', REFERENCE_CLASS, 'ReoptSetup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.ReoptSetup', 
                [], [], 
                '''                Reoptimized setup data
                ''',
                'reopt_setup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('standby-reopt-setup', REFERENCE_CLASS, 'StandbyReoptSetup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.StandbyReoptSetup', 
                [], [], 
                '''                Standby Reopt setup data
                ''',
                'standby_reopt_setup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('standby-setup', REFERENCE_CLASS, 'StandbySetup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.StandbySetup', 
                [], [], 
                '''                Standby setup data
                ''',
                'standby_setup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'history',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.PathProtection.Switchover' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.PathProtection.Switchover',
            False, 
            [
            _MetaInfoClassMember('date-of-error-detection', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The date when the error that caused the
                switchover was detected. This date is the number
                of seconds since Jan 1st 1970
                ''',
                'date_of_error_detection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('date-of-error-detection-millisec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The milliseconds offset of the date when the
                error that caused  the switchover was detected.
                ''',
                'date_of_error_detection_millisec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('from-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The LSP ID from which the traffic was switched
                over
                ''',
                'from_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-protection-switchover-event-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The index number of the path protection switch
                over event
                ''',
                'path_protection_switchover_event_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-protection-switchover-reason', REFERENCE_ENUM_CLASS, 'TeP2MpS2LDeletionSubcauseEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeP2MpS2LDeletionSubcauseEnum', 
                [], [], 
                '''                The reason that caused the path protection
                switchover
                ''',
                'path_protection_switchover_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-protection-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The ID of the tunnel that experienced switchover
                ''',
                'path_protection_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('switchover-duration-millisec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The time in milliseconds between the detection
                of the error and switching the traffic
                ''',
                'switchover_duration_millisec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('to-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The LSP ID to which the traffic was switched
                over
                ''',
                'to_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'switchover',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.PathProtection' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.PathProtection',
            False, 
            [
            _MetaInfoClassMember('diversity-type', REFERENCE_ENUM_CLASS, 'TePpDiversityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePpDiversityEnum', 
                [], [], 
                '''                Standby path diversity type
                ''',
                'diversity_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-protect-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Protection Configured
                ''',
                'is_path_protect_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-protect-switch-over-underway', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Switchover Underway
                ''',
                'is_path_protect_switch_over_underway',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-protection-protected-by-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The path option ID (level/index) of the
                configured explicit protecting path
                ''',
                'path_protection_protected_by_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimization-time-remaining', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remaining time until path protection
                reoptimization (seconds)
                ''',
                'reoptimization_time_remaining',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('standby-reoptimized-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of times the standby LSP was reoptimized
                ''',
                'standby_reoptimized_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('switchover', REFERENCE_CLASS, 'Switchover' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.PathProtection.Switchover', 
                [], [], 
                '''                Path Protected Switchover Information
                ''',
                'switchover',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('switchover-ready', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Total times, Standby LSP ready for use
                ''',
                'switchover_ready',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('switchover-reason', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Reason for last switchover
                ''',
                'switchover_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('switchover-total', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of times switchover occurred
                ''',
                'switchover_total',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-of-switchover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The date when the switchover was completed. This
                date is the number of seconds since Jan 1st 1970
                ''',
                'time_of_switchover_sec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('valid-path-protection-path-option-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether tunnel has a
                path-option which is valid for path-protection
                ''',
                'valid_path_protection_path_option_exists',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-protection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup.WeightedSrlgInfo.ProtectedInterfaceSrlg' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup.WeightedSrlgInfo.ProtectedInterfaceSrlg',
            False, 
            [
            _MetaInfoClassMember('admin-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Admin weight
                ''',
                'admin_weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG number
                ''',
                'srlg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SRLG name
                ''',
                'srlg_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface-srlg',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup.WeightedSrlgInfo.WeightedSrlgHop' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup.WeightedSrlgInfo.WeightedSrlgHop',
            False, 
            [
            _MetaInfoClassMember('aggregate-admin-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Sum of the admin weights for all the common SRLG
                values
                ''',
                'aggregate_admin_weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('common-srlg', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Common SRLG between this hop and the protected
                interface
                ''',
                'common_srlg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('from-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local IP address
                ''',
                'from_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('to-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote IP address
                ''',
                'to_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'weighted-srlg-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup.WeightedSrlgInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup.WeightedSrlgInfo',
            False, 
            [
            _MetaInfoClassMember('protected-interface-srlg', REFERENCE_LIST, 'ProtectedInterfaceSrlg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup.WeightedSrlgInfo.ProtectedInterfaceSrlg', 
                [], [], 
                '''                SRLG values and admin weight penalties of the
                protected interface
                ''',
                'protected_interface_srlg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('weighted-srlg-hop', REFERENCE_LIST, 'WeightedSrlgHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup.WeightedSrlgInfo.WeightedSrlgHop', 
                [], [], 
                '''                Autobackup hops and the common SRLG with the
                protected interface
                ''',
                'weighted_srlg_hop',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'weighted-srlg-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup.Iep.IepHop' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup.Iep.IepHop',
            False, 
            [
            _MetaInfoClassMember('hop-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hop Index
                ''',
                'hop_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('iep-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IEP Hop Address
                ''',
                'iep_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('iep-hop-type', REFERENCE_ENUM_CLASS, 'MplsTeIepHopEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeIepHopEnum', 
                [], [], 
                '''                IEP type
                ''',
                'iep_hop_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'iep-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup.Iep' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup.Iep',
            False, 
            [
            _MetaInfoClassMember('iep-hop', REFERENCE_LIST, 'IepHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup.Iep.IepHop', 
                [], [], 
                '''                IEP Hop List
                ''',
                'iep_hop',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option ID this IEP is associated with
                ''',
                'path_option_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'iep',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup',
            False, 
            [
            _MetaInfoClassMember('ab-protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface
                ''',
                'ab_protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ab-protection-type', REFERENCE_ENUM_CLASS, 'AutoBackupProtectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'AutoBackupProtectionEnum', 
                [], [], 
                '''                Protection type
                ''',
                'ab_protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('iep', REFERENCE_LIST, 'Iep' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup.Iep', 
                [], [], 
                '''                List of IEPs for the path options on this tunnel
                ''',
                'iep',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-unused-removal-timer-running', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if the unused removal timer is running
                ''',
                'is_unused_removal_timer_running',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-using-srlg', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether SRLG Path Option is in use
                ''',
                'is_using_srlg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Protected Address
                ''',
                'protected_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number Of Protected LSPs
                ''',
                'protected_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Protected S2Ls
                ''',
                'protected_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sharing-families', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of S2L Sharing Families
                ''',
                'sharing_families',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-prot-type', REFERENCE_ENUM_CLASS, 'AutoBackupSrlgModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'AutoBackupSrlgModeEnum', 
                [], [], 
                '''                SRLG Protection Type
                ''',
                'srlg_prot_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AttributeSet name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unused-removal-remaining-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time Remaining in Unused Removal Time in seconds
                ''',
                'unused_removal_remaining_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('weighted-srlg-info', REFERENCE_CLASS, 'WeightedSrlgInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup.WeightedSrlgInfo', 
                [], [], 
                '''                Weighted SRLG info for the autobackup tunnel
                ''',
                'weighted_srlg_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'auto-backup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoMesh' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoMesh',
            False, 
            [
            _MetaInfoClassMember('is-tunnel-unused-timer-running', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether unused timer running
                ''',
                'is_tunnel_unused_timer_running',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Auto-mesh tunnel Mesh Group ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-type', REFERENCE_ENUM_CLASS, 'TeMeshgroupEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeMeshgroupEnum', 
                [], [], 
                '''                Auto-tunnel mesh group type
                ''',
                'mesh_group_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remaining-unused-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remaining time for unused timer in seconds
                ''',
                'remaining_unused_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-destination-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Destination List name
                ''',
                'tunnel_destination_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'auto-mesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoPcc' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoPcc',
            False, 
            [
            _MetaInfoClassMember('creator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address of creating node
                ''',
                'creator_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('creator-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ID of creating node
                ''',
                'creator_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-creator-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if the ID of the creating node is set
                ''',
                'has_creator_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('operationally-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Operationally up
                ''',
                'operationally_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('owner-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address of owner node
                ''',
                'owner_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('plspid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PLSP ID
                ''',
                'plspid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('symbolic-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Symbolic name
                ''',
                'symbolic_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'auto-pcc',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.PceDelegation' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.PceDelegation',
            False, 
            [
            _MetaInfoClassMember('operationally-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Operationally up
                ''',
                'operationally_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('owner-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address of owner node
                ''',
                'owner_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('plsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PLSP ID
                ''',
                'plsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('symbolic-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Symbolic name
                ''',
                'symbolic_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'pce-delegation',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.SoftPreemption.SoftPreemptionCounters' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.SoftPreemption.SoftPreemptionCounters',
            False, 
            [
            _MetaInfoClassMember('frr-triggered-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of soft preempted LSPs that were fast
                rerouted at the             headend or any
                remote node before the reoptimization is done.
                ''',
                'frr_triggered_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-protection-switchover-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of soft preempted LSPs that were
                switched over to a             standby LSP.
                ''',
                'path_protection_switchover_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reopt-completed-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of soft preempted LSPs that were torn
                down by the ingress router after the reopt LSP
                was successfully setup.
                ''',
                'reopt_completed_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of soft preemption events
                ''',
                'soft_preemption_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-in-preemption-pending-avg', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The average time in seconds that an LSP was in
                preemption pending state
                ''',
                'time_in_preemption_pending_avg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-in-preemption-pending-max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The maximum time in seconds that an LSP was in
                preemption pending state
                ''',
                'time_in_preemption_pending_max',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-in-preemption-pending-min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The minimum time in seconds that an LSP was in
                preemption pending state
                ''',
                'time_in_preemption_pending_min',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('torn-down-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of soft preempted LSPs that were torn
                down by the              headend or any remote
                node before the reoptimization is done.
                ''',
                'torn_down_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'soft-preemption-counters',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.SoftPreemption.SoftPreemptionPathError' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.SoftPreemption.SoftPreemptionPathError',
            False, 
            [
            _MetaInfoClassMember('preempting-link-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The address of the link where the preemption
                happened
                ''',
                'preempting_link_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The POSIX timestamp when the soft preemption
                error is received
                ''',
                'timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'soft-preemption-path-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.SoftPreemption' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.SoftPreemption',
            False, 
            [
            _MetaInfoClassMember('preemption-pending-resolution', REFERENCE_ENUM_CLASS, 'MplsTeSoftPreemptionResolutionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeSoftPreemptionResolutionEnum', 
                [], [], 
                '''                Indicates how the soft preemption operation
                ended
                ''',
                'preemption_pending_resolution',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-counters', REFERENCE_CLASS, 'SoftPreemptionCounters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.SoftPreemption.SoftPreemptionCounters', 
                [], [], 
                '''                The soft preemption counters for this tunnel
                head
                ''',
                'soft_preemption_counters',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-path-error', REFERENCE_LIST, 'SoftPreemptionPathError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.SoftPreemption.SoftPreemptionPathError', 
                [], [], 
                '''                The array of soft preemption path errors info
                received for the LSP that is being soft
                preempted
                ''',
                'soft_preemption_path_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'MplsTeSoftPreemptionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeSoftPreemptionStateEnum', 
                [], [], 
                '''                The preemption state
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-in-preemption-pending', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The number of seconds that were spent in the
                preemption-pending state
                ''',
                'time_in_preemption_pending',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'soft-preemption',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.WdmUnitunnel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.WdmUnitunnel',
            False, 
            [
            _MetaInfoClassMember('controlled-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface being controlled
                ''',
                'controlled_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel-id
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-origin', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelOriginEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelOriginEnum', 
                [], [], 
                '''                Label origin
                ''',
                'label_origin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-optical-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local optical router id
                ''',
                'local_optical_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-optical-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote optical router id
                ''',
                'remote_optical_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source address
                ''',
                'source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-discovery', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SRLG-discovery enabled
                ''',
                'srlg_discovery',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-role', REFERENCE_ENUM_CLASS, 'MplsTeTunnelRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelRoleEnum', 
                [], [], 
                '''                Tunnel Role
                ''',
                'tunnel_role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-state', REFERENCE_ENUM_CLASS, 'MplsTeTunnelStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelStateEnum', 
                [], [], 
                '''                Tunnel state
                ''',
                'tunnel_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm-unitunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexCbr' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexCbr',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tolerance
                ''',
                'tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-cbr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexGfpFRes' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexGfpFRes',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-gfp-f-res',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexGfpFNonRes' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexGfpFNonRes',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-gfp-f-non-res',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn.BandwidthCfg' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn.BandwidthCfg',
            False, 
            [
            _MetaInfoClassMember('odu-flex-cbr', REFERENCE_CLASS, 'OduFlexCbr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexCbr', 
                [], [], 
                '''                Odu flex CBR info
                ''',
                'odu_flex_cbr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-flex-gfp-f-non-res', REFERENCE_CLASS, 'OduFlexGfpFNonRes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexGfpFNonRes', 
                [], [], 
                '''                Odu flex GFP-F non-resizable info
                ''',
                'odu_flex_gfp_f_non_res',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-flex-gfp-f-res', REFERENCE_CLASS, 'OduFlexGfpFRes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexGfpFRes', 
                [], [], 
                '''                Odu flex GFP-F resizable info
                ''',
                'odu_flex_gfp_f_res',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-level', REFERENCE_ENUM_CLASS, 'TeOduLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeOduLevelEnum', 
                [], [], 
                '''                ODULevel
                ''',
                'odu_level',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bandwidth-cfg',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn',
            False, 
            [
            _MetaInfoClassMember('bandwidth-cfg', REFERENCE_CLASS, 'BandwidthCfg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn.BandwidthCfg', 
                [], [], 
                '''                Configured OTN Bandwidth for tunnel
                ''',
                'bandwidth_cfg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.StaticUni' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.StaticUni',
            False, 
            [
            _MetaInfoClassMember('client-if-handle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Ingress Client Port Ifhandle
                ''',
                'client_if_handle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('client-odu-if-handle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Client Odu Interface
                ''',
                'client_odu_if_handle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('client-odu-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Client Odu Name
                ''',
                'client_odu_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('client-port', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ingress Client Port
                ''',
                'client_port',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cross-connect-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cross connect id
                ''',
                'cross_connect_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if client port is connected
                ''',
                'is_connected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-termination', REFERENCE_ENUM_CLASS, 'MplsTeTerminationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTerminationEnum', 
                [], [], 
                '''                Local Termination Type
                ''',
                'local_termination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('static-uni-type', REFERENCE_ENUM_CLASS, 'MplsTeUniEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeUniEnum', 
                [], [], 
                '''                Static uni type
                ''',
                'static_uni_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('term-client-if-handle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Termination Ingress Client Port Ifhandle
                ''',
                'term_client_if_handle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('term-client-port', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Termination Ingress Client Port
                ''',
                'term_client_port',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Client Port Uptime
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'static-uni',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.EgressPort.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.EgressPort.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.EgressPort.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.EgressPort.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.EgressPort.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.EgressPort' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.EgressPort',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.EgressPort.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'egress-port',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.TermEgressPort.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.TermEgressPort.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.TermEgressPort.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.TermEgressPort.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.TermEgressPort.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.TermEgressPort' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.TermEgressPort',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.TermEgressPort.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'term-egress-port',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni',
            False, 
            [
            _MetaInfoClassMember('egress-port', REFERENCE_CLASS, 'EgressPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.EgressPort', 
                [], [], 
                '''                Egress Client Port of Tunnel
                ''',
                'egress_port',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-termination', REFERENCE_ENUM_CLASS, 'MplsTeTerminationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTerminationEnum', 
                [], [], 
                '''                Local Termination Type
                ''',
                'local_termination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-uni-type', REFERENCE_ENUM_CLASS, 'MplsTeUniEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeUniEnum', 
                [], [], 
                '''                Remote uni type
                ''',
                'remote_uni_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('term-egress-port', REFERENCE_CLASS, 'TermEgressPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.TermEgressPort', 
                [], [], 
                '''                Termination Egress Client Port of Tunnel
                ''',
                'term_egress_port',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'egress-static-uni',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.HomepathEro.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.HomepathEro.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.HomepathEro.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.HomepathEro.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.HomepathEro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.HomepathEro',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.HomepathEro.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.HomepathEro.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'homepath-ero',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.DiversityInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.DiversityInfo',
            False, 
            [
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Dependent Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'diversity-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo',
            False, 
            [
            _MetaInfoClassMember('diversity-info', REFERENCE_LIST, 'DiversityInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.DiversityInfo', 
                [], [], 
                '''                Diversity Info
                ''',
                'diversity_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-static-uni', REFERENCE_CLASS, 'EgressStaticUni' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni', 
                [], [], 
                '''                Tunnel EgressStatic UNI Info
                ''',
                'egress_static_uni',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('homepath-ero', REFERENCE_LIST, 'HomepathEro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.HomepathEro', 
                [], [], 
                '''                Homepath ero for working lsp
                ''',
                'homepath_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn', 
                [], [], 
                '''                Info Related to OTN technology in S2L
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('static-uni', REFERENCE_CLASS, 'StaticUni' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.StaticUni', 
                [], [], 
                '''                Tunnel Static UNI Info
                ''',
                'static_uni',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status-homepath-working', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Status of working homepath
                ''',
                'status_homepath_working',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'transport-tunnel-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.BfdInfo.EventCounters' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.BfdInfo.EventCounters',
            False, 
            [
            _MetaInfoClassMember('session-admin-down-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLSP session admin down
                events
                ''',
                'session_admin_down_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-create-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLSP session create events
                ''',
                'session_create_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-create-timeout-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLSP session create timeout
                events
                ''',
                'session_create_timeout_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-creation-failed-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLSP session creation failed
                events
                ''',
                'session_creation_failed_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-down-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLSP session down events
                ''',
                'session_down_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-gracefully-delete-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLSP session gracefully
                delete events
                ''',
                'session_gracefully_delete_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-non-gracefully-delete-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLSP session non gracefully
                delete events
                ''',
                'session_non_gracefully_delete_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-replay-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLSP session replay events
                ''',
                'session_replay_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-up-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLSP session up events
                ''',
                'session_up_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'event-counters',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.BfdInfo.DampeningInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.BfdInfo.DampeningInfo',
            False, 
            [
            _MetaInfoClassMember('backoff-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backoff count
                ''',
                'backoff_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-down-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold down time in second
                ''',
                'hold_down_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index
                ''',
                'option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remained-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remained time to resignal in second
                ''',
                'remained_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'dampening-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.BfdInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.BfdInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-session-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel BFD session state up or down
                ''',
                'bfd_session_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dampening-info', REFERENCE_LIST, 'DampeningInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.BfdInfo.DampeningInfo', 
                [], [], 
                '''                Path option dampening info
                ''',
                'dampening_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('event-counters', REFERENCE_CLASS, 'EventCounters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.BfdInfo.EventCounters', 
                [], [], 
                '''                Per tunnel BFD session event counters
                ''',
                'event_counters',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('failure-diagnostic-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD session failure diagnostic code
                ''',
                'failure_diagnostic_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('failure-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                BFD session failure reason
                ''',
                'failure_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-session-up-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum time in mini second for session to come
                up
                ''',
                'maximum_session_up_interval',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('minimum-session-up-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Minimum time in mini second for session to come
                up
                ''',
                'minimum_session_up_interval',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-up-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last session state up
                ''',
                'session_up_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir.Aps.ProtectionProfile.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir.Aps.ProtectionProfile.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir.Aps.ProtectionProfile' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir.Aps.ProtectionProfile',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir.Aps.ProtectionProfile.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protection-profile',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir.Aps' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir.Aps',
            False, 
            [
            _MetaInfoClassMember('active-lsp', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                Active LSP for Incoming Data
                ''',
                'active_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('diversity-type', REFERENCE_ENUM_CLASS, 'TePpDiversityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePpDiversityEnum', 
                [], [], 
                '''                Standby path diversity type
                ''',
                'diversity_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-profile', REFERENCE_CLASS, 'ProtectionProfile' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir.Aps.ProtectionProfile', 
                [], [], 
                '''                Protection Profile Information of tunnel
                ''',
                'protection_profile',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'aps',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir.Restoration' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir.Restoration',
            False, 
            [
            _MetaInfoClassMember('diverse-lsp', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP from which restoration LSP is DIVERSED
                ''',
                'diverse_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('diversity-type', REFERENCE_ENUM_CLASS, 'TePpDiversityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePpDiversityEnum', 
                [], [], 
                '''                Restoration path diversity type
                ''',
                'diversity_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-option', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Revertive or non-revertive
                ''',
                'revert_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'restoration',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir',
            False, 
            [
            _MetaInfoClassMember('aps', REFERENCE_CLASS, 'Aps' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir.Aps', 
                [], [], 
                '''                APS Protection Info
                ''',
                'aps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration', REFERENCE_CLASS, 'Restoration' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir.Restoration', 
                [], [], 
                '''                Restoration Info
                ''',
                'restoration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn-bidir',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorCurrent.PathCalculationError' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorCurrent.PathCalculationError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-calculation-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorCurrent' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorCurrent',
            False, 
            [
            _MetaInfoClassMember('ero-reject-reason', REFERENCE_ENUM_CLASS, 'TeRevEroRejectReasonsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRevEroRejectReasonsEnum', 
                [], [], 
                '''                Reverse ERO Reject Reason
                ''',
                'ero_reject_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-calculation-error', REFERENCE_LIST, 'PathCalculationError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorCurrent.PathCalculationError', 
                [], [], 
                '''                Path Computation Information
                ''',
                'path_calculation_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path Option Index
                ''',
                'path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-type', REFERENCE_ENUM_CLASS, 'MtePathOptionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MtePathOptionEnum', 
                [], [], 
                '''                Path Option Type
                ''',
                'path_option_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-affinity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to affinity
                ''',
                'path_reject_reason_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to bw
                ''',
                'path_reject_reason_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-exclude-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to exclude link
                ''',
                'path_reject_reason_exclude_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-exclude-node', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to exclude node
                ''',
                'path_reject_reason_exclude_node',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-exclude-srlg', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to exclude SRLG
                ''',
                'path_reject_reason_exclude_srlg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-holddown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to holddown
                ''',
                'path_reject_reason_holddown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-hop-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to hop limit
                ''',
                'path_reject_reason_hop_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-ip-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to IP address
                ''',
                'path_reject_reason_ip_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-ixcd', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to IXCD
                ''',
                'path_reject_reason_ixcd',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-ol-head', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to head node overload
                ''',
                'path_reject_reason_node_ol_head',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-ol-mid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to mid node overload
                ''',
                'path_reject_reason_node_ol_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-ol-tail', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to head node overload
                ''',
                'path_reject_reason_node_ol_tail',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-ol-unknown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to unknown node overload
                ''',
                'path_reject_reason_node_ol_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-unreachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to unreachable node
                ''',
                'path_reject_reason_node_unreachable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-reverse-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to reverse bw
                ''',
                'path_reject_reason_reverse_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-reverse-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to reverse link
                ''',
                'path_reject_reason_reverse_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Reverse LSP ID
                ''',
                'reverse_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-ero-error-current',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorReopt.PathCalculationError' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorReopt.PathCalculationError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-calculation-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorReopt' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorReopt',
            False, 
            [
            _MetaInfoClassMember('ero-reject-reason', REFERENCE_ENUM_CLASS, 'TeRevEroRejectReasonsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRevEroRejectReasonsEnum', 
                [], [], 
                '''                Reverse ERO Reject Reason
                ''',
                'ero_reject_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-calculation-error', REFERENCE_LIST, 'PathCalculationError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorReopt.PathCalculationError', 
                [], [], 
                '''                Path Computation Information
                ''',
                'path_calculation_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path Option Index
                ''',
                'path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-type', REFERENCE_ENUM_CLASS, 'MtePathOptionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MtePathOptionEnum', 
                [], [], 
                '''                Path Option Type
                ''',
                'path_option_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-affinity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to affinity
                ''',
                'path_reject_reason_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to bw
                ''',
                'path_reject_reason_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-exclude-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to exclude link
                ''',
                'path_reject_reason_exclude_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-exclude-node', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to exclude node
                ''',
                'path_reject_reason_exclude_node',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-exclude-srlg', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to exclude SRLG
                ''',
                'path_reject_reason_exclude_srlg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-holddown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to holddown
                ''',
                'path_reject_reason_holddown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-hop-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to hop limit
                ''',
                'path_reject_reason_hop_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-ip-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to IP address
                ''',
                'path_reject_reason_ip_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-ixcd', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to IXCD
                ''',
                'path_reject_reason_ixcd',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-ol-head', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to head node overload
                ''',
                'path_reject_reason_node_ol_head',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-ol-mid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to mid node overload
                ''',
                'path_reject_reason_node_ol_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-ol-tail', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to head node overload
                ''',
                'path_reject_reason_node_ol_tail',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-ol-unknown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to unknown node overload
                ''',
                'path_reject_reason_node_ol_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-unreachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to unreachable node
                ''',
                'path_reject_reason_node_unreachable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-reverse-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to reverse bw
                ''',
                'path_reject_reason_reverse_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-reverse-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to reverse link
                ''',
                'path_reject_reason_reverse_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Reverse LSP ID
                ''',
                'reverse_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-ero-error-reopt',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorStandby.PathCalculationError' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorStandby.PathCalculationError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-calculation-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorStandby' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorStandby',
            False, 
            [
            _MetaInfoClassMember('ero-reject-reason', REFERENCE_ENUM_CLASS, 'TeRevEroRejectReasonsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRevEroRejectReasonsEnum', 
                [], [], 
                '''                Reverse ERO Reject Reason
                ''',
                'ero_reject_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-calculation-error', REFERENCE_LIST, 'PathCalculationError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorStandby.PathCalculationError', 
                [], [], 
                '''                Path Computation Information
                ''',
                'path_calculation_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path Option Index
                ''',
                'path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-type', REFERENCE_ENUM_CLASS, 'MtePathOptionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MtePathOptionEnum', 
                [], [], 
                '''                Path Option Type
                ''',
                'path_option_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-affinity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to affinity
                ''',
                'path_reject_reason_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to bw
                ''',
                'path_reject_reason_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-exclude-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to exclude link
                ''',
                'path_reject_reason_exclude_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-exclude-node', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to exclude node
                ''',
                'path_reject_reason_exclude_node',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-exclude-srlg', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to exclude SRLG
                ''',
                'path_reject_reason_exclude_srlg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-holddown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to holddown
                ''',
                'path_reject_reason_holddown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-hop-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to hop limit
                ''',
                'path_reject_reason_hop_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-ip-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to IP address
                ''',
                'path_reject_reason_ip_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-ixcd', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to IXCD
                ''',
                'path_reject_reason_ixcd',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-ol-head', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to head node overload
                ''',
                'path_reject_reason_node_ol_head',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-ol-mid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to mid node overload
                ''',
                'path_reject_reason_node_ol_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-ol-tail', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to head node overload
                ''',
                'path_reject_reason_node_ol_tail',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-ol-unknown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to unknown node overload
                ''',
                'path_reject_reason_node_ol_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-unreachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to unreachable node
                ''',
                'path_reject_reason_node_unreachable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-reverse-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to reverse bw
                ''',
                'path_reject_reason_reverse_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-reverse-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to reverse link
                ''',
                'path_reject_reason_reverse_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Reverse LSP ID
                ''',
                'reverse_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-ero-error-standby',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorStandbyReopt.PathCalculationError' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorStandbyReopt.PathCalculationError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-calculation-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorStandbyReopt' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorStandbyReopt',
            False, 
            [
            _MetaInfoClassMember('ero-reject-reason', REFERENCE_ENUM_CLASS, 'TeRevEroRejectReasonsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRevEroRejectReasonsEnum', 
                [], [], 
                '''                Reverse ERO Reject Reason
                ''',
                'ero_reject_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-calculation-error', REFERENCE_LIST, 'PathCalculationError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorStandbyReopt.PathCalculationError', 
                [], [], 
                '''                Path Computation Information
                ''',
                'path_calculation_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path Option Index
                ''',
                'path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-type', REFERENCE_ENUM_CLASS, 'MtePathOptionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MtePathOptionEnum', 
                [], [], 
                '''                Path Option Type
                ''',
                'path_option_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-affinity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to affinity
                ''',
                'path_reject_reason_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to bw
                ''',
                'path_reject_reason_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-exclude-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to exclude link
                ''',
                'path_reject_reason_exclude_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-exclude-node', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to exclude node
                ''',
                'path_reject_reason_exclude_node',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-exclude-srlg', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to exclude SRLG
                ''',
                'path_reject_reason_exclude_srlg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-holddown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to holddown
                ''',
                'path_reject_reason_holddown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-hop-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to hop limit
                ''',
                'path_reject_reason_hop_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-ip-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to IP address
                ''',
                'path_reject_reason_ip_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-ixcd', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to IXCD
                ''',
                'path_reject_reason_ixcd',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-ol-head', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to head node overload
                ''',
                'path_reject_reason_node_ol_head',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-ol-mid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to mid node overload
                ''',
                'path_reject_reason_node_ol_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-ol-tail', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to head node overload
                ''',
                'path_reject_reason_node_ol_tail',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-ol-unknown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to unknown node overload
                ''',
                'path_reject_reason_node_ol_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-unreachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to unreachable node
                ''',
                'path_reject_reason_node_unreachable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-reverse-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to reverse bw
                ''',
                'path_reject_reason_reverse_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-reverse-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to reverse link
                ''',
                'path_reject_reason_reverse_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Reverse LSP ID
                ''',
                'reverse_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-ero-error-standby-reopt',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir',
            False, 
            [
            _MetaInfoClassMember('reverse-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reverse Bandwidth value in kbps
                ''',
                'reverse_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-bandwidth-standby', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reverse Bandwidth value for standby in kbps
                ''',
                'reverse_bandwidth_standby',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-ero-error-current', REFERENCE_CLASS, 'ReverseEroErrorCurrent' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorCurrent', 
                [], [], 
                '''                Reverse ERO Error Current LSP
                ''',
                'reverse_ero_error_current',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-ero-error-reopt', REFERENCE_CLASS, 'ReverseEroErrorReopt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorReopt', 
                [], [], 
                '''                Reverse ERO Error Reopt LSP
                ''',
                'reverse_ero_error_reopt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-ero-error-standby', REFERENCE_CLASS, 'ReverseEroErrorStandby' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorStandby', 
                [], [], 
                '''                Reverse ERO Error Standby LSP
                ''',
                'reverse_ero_error_standby',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-ero-error-standby-reopt', REFERENCE_CLASS, 'ReverseEroErrorStandbyReopt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorStandbyReopt', 
                [], [], 
                '''                Reverse ERO Error Standby Reopt LSP
                ''',
                'reverse_ero_error_standby_reopt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bidir',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TeTunnelConvergence.ConvergenceLsp' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TeTunnelConvergence.ConvergenceLsp',
            False, 
            [
            _MetaInfoClassMember('creation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tunnel creation timestamp (clocktime in nsecs)
                ''',
                'creation_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rewrite', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP Label rewrite timestamp (clocktime in nsecs)
                ''',
                'label_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Path-in timestamp (clocktime in nsecs)
                ''',
                'path_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Path-in timestamp (clocktime in nsecs)
                ''',
                'path_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Resv-in timestamp (clocktime in nsecs)
                ''',
                'resv_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Resv-out timestamp (clocktime in nsecs)
                ''',
                'resv_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-rewrite', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tunnel rewrite timestamp (clocktime in nsecs)
                ''',
                'tunnel_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'convergence-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TeTunnelConvergence' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TeTunnelConvergence',
            False, 
            [
            _MetaInfoClassMember('binding-label-rewrite-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Binding label timestamp (clocktime in nsecs)
                ''',
                'binding_label_rewrite_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('convergence-complete-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TE convergence completion time
                ''',
                'convergence_complete_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('convergence-lsp', REFERENCE_CLASS, 'ConvergenceLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TeTunnelConvergence.ConvergenceLsp', 
                [], [], 
                '''                TE LSP convergence related information
                ''',
                'convergence_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-trigger-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                FRR trigger time
                ''',
                'frr_trigger_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-convergence-in-progress', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TE convergence in progress
                ''',
                'is_convergence_in_progress',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcalc-complete-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Path computation completion timestamp (clocktime
                in nsecs)
                ''',
                'pcalc_complete_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('vif-creation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Vif creation timestamp (clocktime in nsecs)
                ''',
                'vif_creation_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-tunnel-convergence',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.FlexInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.FlexInfo',
            False, 
            [
            _MetaInfoClassMember('fault-ais', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault AIS
                ''',
                'fault_ais',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-in-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Fault In Label
                ''',
                'fault_in_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ldi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LDI
                ''',
                'fault_ldi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ldi-lockout', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LDI Lockout
                ''',
                'fault_ldi_lockout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-lkr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LKR
                ''',
                'fault_lkr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Fault Time
                ''',
                'fault_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-lockout', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Lockout Status
                ''',
                'is_lockout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lockout-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The LSP ID of the locked out LSP
                ''',
                'lockout_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lockout-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The timestamp when the lockout is set
                ''',
                'lockout_timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('origination', REFERENCE_ENUM_CLASS, 'FlexLspLockoutOriginationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'FlexLspLockoutOriginationEnum', 
                [], [], 
                '''                Flex LSP Lockout Origination Source
                ''',
                'origination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.InterAreaReoptimization' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.InterAreaReoptimization',
            False, 
            [
            _MetaInfoClassMember('preferred-path-error-node', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address of the preferred path error generating
                node
                ''',
                'preferred_path_error_node',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('preferred-tree-error-node', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address of the preferred tree error generating
                node
                ''',
                'preferred_tree_error_node',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('received-preferred-path-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of received Preferred Path Exists Error
                ''',
                'received_preferred_path_errors',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('received-preferred-tree-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of received Preferred Tree Exists Error
                ''',
                'received_preferred_tree_errors',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sent-path-queries', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of better path queries sent
                ''',
                'sent_path_queries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-preferred-path-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Preferred Path Exists error
                received (seconds)
                ''',
                'time_since_last_preferred_path_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-preferred-tree-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Preferred Tree Exists error
                received (seconds)
                ''',
                'time_since_last_preferred_tree_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-query-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last better path query was sent
                (seconds)
                ''',
                'time_since_last_query_sent',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'inter-area-reoptimization',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.PathCalculationError' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.PathCalculationError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-calculation-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.RemergeError' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.RemergeError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'remerge-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.SignallingError' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.SignallingError',
            False, 
            [
            _MetaInfoClassMember('error', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Path Error code
                ''',
                'error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Source address of the error generating node
                ''',
                'error_node',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSPMode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if error is on the reverse LSP
                ''',
                'reverse_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP-id for which the error was received
                ''',
                'signalling_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path Error subcode
                ''',
                'sub_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalling-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry',
            False, 
            [
            _MetaInfoClassMember('attribute-set', REFERENCE_CLASS, 'AttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet', 
                [], [], 
                '''                The path option attribute set used by this path
                ''',
                'attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-found', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has found the defined attribute
                set
                ''',
                'attribute_set_found',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Explicit Path ID, this is the key to table
                ExplicitPaths.IdentifierTable
                ''',
                'explicit_path_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Explicit Path Name, this is the key to table
                ExplicitPaths.NameTable
                ''',
                'explicit_path_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has an attribute set defined
                ''',
                'has_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-xro-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has an XRO attribute set
                configured
                ''',
                'has_xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('holddown-duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Holddown Duration (seconds)
                ''',
                'holddown_duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path option is disabled
                ''',
                'is_disabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-helddown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if path is helddown
                ''',
                'is_helddown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-lockdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is locked down
                ''',
                'is_lockdown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-segment-routing', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is Segment-Routing
                ''',
                'is_segment_routing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-explicit-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if explicit path is strict
                ''',
                'is_strict_explicit_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-verbatim', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is verbatim
                ''',
                'is_verbatim',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index
                ''',
                'option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index-is-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The path option index is valid
                ''',
                'option_index_is_valid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-calculation-error', REFERENCE_LIST, 'PathCalculationError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.PathCalculationError', 
                [], [], 
                '''                Path computation information
                ''',
                'path_calculation_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The path-option area constraint
                ''',
                'path_option_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path option name
                ''',
                'path_option_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-type', REFERENCE_ENUM_CLASS, 'MplsTePathoptionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTePathoptionEnum', 
                [], [], 
                '''                Path option type
                ''',
                'path_option_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                PCE server address
                ''',
                'pce_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-by-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for Protect path options
                ''',
                'protected_by_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remerge-error', REFERENCE_LIST, 'RemergeError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.RemergeError', 
                [], [], 
                '''                Path computation remerge resolve info
                ''',
                'remerge_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restored-from-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for Restore path options
                ''',
                'restored_from_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-error', REFERENCE_LIST, 'SignallingError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.SignallingError', 
                [], [], 
                '''                Signalling information
                ''',
                'signalling_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set', REFERENCE_CLASS, 'XroAttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet', 
                [], [], 
                '''                The XRO attribute set used by this path-option
                ''',
                'xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set-found', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path's XRO attribute set is known
                ''',
                'xro_attribute_set_found',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-option-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.PathCalculationError' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.PathCalculationError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-calculation-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.RemergeError' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.RemergeError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'remerge-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.SignallingError' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.SignallingError',
            False, 
            [
            _MetaInfoClassMember('error', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Path Error code
                ''',
                'error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Source address of the error generating node
                ''',
                'error_node',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSPMode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if error is on the reverse LSP
                ''',
                'reverse_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP-id for which the error was received
                ''',
                'signalling_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path Error subcode
                ''',
                'sub_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalling-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption',
            False, 
            [
            _MetaInfoClassMember('attribute-set', REFERENCE_CLASS, 'AttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet', 
                [], [], 
                '''                The path option attribute set used by this path
                ''',
                'attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-found', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has found the defined attribute
                set
                ''',
                'attribute_set_found',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Explicit Path ID, this is the key to table
                ExplicitPaths.IdentifierTable
                ''',
                'explicit_path_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Explicit Path Name, this is the key to table
                ExplicitPaths.NameTable
                ''',
                'explicit_path_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has an attribute set defined
                ''',
                'has_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-xro-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has an XRO attribute set
                configured
                ''',
                'has_xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('holddown-duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Holddown Duration (seconds)
                ''',
                'holddown_duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path option is disabled
                ''',
                'is_disabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-helddown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if path is helddown
                ''',
                'is_helddown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-lockdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is locked down
                ''',
                'is_lockdown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-segment-routing', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is Segment-Routing
                ''',
                'is_segment_routing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-explicit-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if explicit path is strict
                ''',
                'is_strict_explicit_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-verbatim', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is verbatim
                ''',
                'is_verbatim',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index
                ''',
                'option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index-is-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The path option index is valid
                ''',
                'option_index_is_valid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-calculation-error', REFERENCE_LIST, 'PathCalculationError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.PathCalculationError', 
                [], [], 
                '''                Path computation information
                ''',
                'path_calculation_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The path-option area constraint
                ''',
                'path_option_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path option name
                ''',
                'path_option_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-type', REFERENCE_ENUM_CLASS, 'MplsTePathoptionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTePathoptionEnum', 
                [], [], 
                '''                Path option type
                ''',
                'path_option_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                PCE server address
                ''',
                'pce_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-by-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for Protect path options
                ''',
                'protected_by_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remerge-error', REFERENCE_LIST, 'RemergeError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.RemergeError', 
                [], [], 
                '''                Path computation remerge resolve info
                ''',
                'remerge_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restored-from-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for Restore path options
                ''',
                'restored_from_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-error', REFERENCE_LIST, 'SignallingError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.SignallingError', 
                [], [], 
                '''                Signalling information
                ''',
                'signalling_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set', REFERENCE_CLASS, 'XroAttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet', 
                [], [], 
                '''                The XRO attribute set used by this path-option
                ''',
                'xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set-found', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path's XRO attribute set is known
                ''',
                'xro_attribute_set_found',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination',
            False, 
            [
            _MetaInfoClassMember('active-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index of active path option
                ''',
                'active_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-deletion-cause', REFERENCE_ENUM_CLASS, 'TeP2MpS2LDeletionCauseEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeP2MpS2LDeletionCauseEnum', 
                [], [], 
                '''                Destination deletion cause
                ''',
                'destination_deletion_cause',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-deletion-sub-cause', REFERENCE_ENUM_CLASS, 'TeP2MpS2LDeletionSubcauseEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeP2MpS2LDeletionSubcauseEnum', 
                [], [], 
                '''                Destination deletion subcause
                ''',
                'destination_deletion_sub_cause',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-deletion-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Destination deletion timestamp in seconds
                ''',
                'destination_deletion_timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-state', REFERENCE_ENUM_CLASS, 'TeDestinationStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeDestinationStateEnum', 
                [], [], 
                '''                The state of the destination
                ''',
                'destination_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('inter-area-reoptimization', REFERENCE_CLASS, 'InterAreaReoptimization' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.InterAreaReoptimization', 
                [], [], 
                '''                The timing and count information of interarea
                reoptimization.
                ''',
                'inter_area_reoptimization',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-inter-area', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether this destination is in
                different area
                ''',
                'is_inter_area',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-change-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last path change time
                ''',
                'path_change_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option', REFERENCE_LIST, 'PathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption', 
                [], [], 
                '''                Destination's list of path options
                ''',
                'path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-entry', REFERENCE_LIST, 'PathOptionEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry', 
                [], [], 
                '''                Deprecated; replaced by PathOption
                ''',
                'path_option_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-exhausted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path options are exhausted
                ''',
                'path_option_exhausted',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-exist', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dest state may not be up but S2L may exist
                ''',
                's2l_exist',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Unused
                ''',
                'total_uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the destination was up
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'destination',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination Address
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('admin-state', REFERENCE_ENUM_CLASS, 'MteTunnelAdminStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MteTunnelAdminStateEnum', 
                [], [], 
                '''                Administrative State
                ''',
                'admin_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-failure-delayed-tear-time-remained', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Affinity Failure LSP tear down time remaining
                ''',
                'affinity_failure_delayed_tear_time_remained',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-failure-reopt-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AffinityFailureReoptDisabled
                ''',
                'affinity_failure_reopt_disabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-failure-reopt-time-remained', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AffinityFailureReoptTimeRemained
                ''',
                'affinity_failure_reopt_time_remained',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Indicates the protocol and area used to find
                Outgoing ERO
                ''',
                'area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-backup', REFERENCE_CLASS, 'AutoBackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup', 
                [], [], 
                '''                Autobackup Information
                ''',
                'auto_backup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-mesh', REFERENCE_CLASS, 'AutoMesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoMesh', 
                [], [], 
                '''                Automesh Information
                ''',
                'auto_mesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-pcc', REFERENCE_CLASS, 'AutoPcc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoPcc', 
                [], [], 
                '''                Auto-PCC Information
                ''',
                'auto_pcc',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IGP Auto route announce enabled
                ''',
                'auto_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('autoroute-announce-exclude-segment-routing', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether this tunnel is autoroute
                announced with exclude segment-routing option
                ''',
                'autoroute_announce_exclude_segment_routing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-requested', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth Requested
                ''',
                'bandwidth_requested',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The requested bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-info', REFERENCE_CLASS, 'BfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.BfdInfo', 
                [], [], 
                '''                BFD session info. This is NULL if BFD is not
                configured
                ''',
                'bfd_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bidir', REFERENCE_CLASS, 'Bidir' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir', 
                [], [], 
                '''                Bidir info
                ''',
                'bidir',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding Label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('binding-label-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True, if binding label exists
                ''',
                'binding_label_exists',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cleaned-lsp', REFERENCE_CLASS, 'CleanedLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp', 
                [], [], 
                '''                Cleaned LSP
                ''',
                'cleaned_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('config', REFERENCE_CLASS, 'Config' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Config', 
                [], [], 
                '''                Configuration data
                ''',
                'config',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('create-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time at which the tunnel was created
                ''',
                'create_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('delay-clean-pp-lsp', REFERENCE_CLASS, 'DelayCleanPpLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp', 
                [], [], 
                '''                Delay Clean PP LSP
                ''',
                'delay_clean_pp_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination', REFERENCE_LIST, 'Destination' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination', 
                [], [], 
                '''                Destinations array
                ''',
                'destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-disabled-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of disabled destinations
                ''',
                'destination_disabled_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-down-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of down destinations
                ''',
                'destination_down_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-up-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of up destinations
                ''',
                'destination_up_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('drop-mode', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if tunnel is in drop mode
                ''',
                'drop_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Explicit-path inuse by the current LSP has been
                modified
                ''',
                'explicit_path_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fail-reason', REFERENCE_ENUM_CLASS, 'MplsMteTunnelFailReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsMteTunnelFailReasonEnum', 
                [], [], 
                '''                The reason why failure occurred
                ''',
                'fail_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex-info', REFERENCE_CLASS, 'FlexInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.FlexInfo', 
                [], [], 
                '''                Flex Info
                ''',
                'flex_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forwarding-adjacency', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IGP forwarding adjacency enabled
                ''',
                'forwarding_adjacency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('history', REFERENCE_CLASS, 'History' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History', 
                [], [], 
                '''                Tunnel history
                ''',
                'history',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop-limit-ignored-reason', REFERENCE_ENUM_CLASS, 'TeHopLimitIgnoreEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeHopLimitIgnoreEnum', 
                [], [], 
                '''                Hop-limit ignored reason
                ''',
                'hop_limit_ignored_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('invalidation-time-remained', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation time remaining
                ''',
                'invalidation_time_remained',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-auto-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether this is an automatically
                generated backup tunnel
                ''',
                'is_auto_backup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-auto-pcc', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether this is an automatic PCC
                tunnel
                ''',
                'is_auto_pcc',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-protect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BW Protection Enabled or Disabled
                ''',
                'is_bandwidth_protect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-hop-limit-ignore', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Hop-limit ignored
                ''',
                'is_hop_limit_ignore',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-inter-area-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether this tunnel spans multiple
                areas.
                ''',
                'is_inter_area_tunnel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True for tunnel head
                ''',
                'is_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-named', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether this tunnel is named
                ''',
                'is_named',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Enabled or Disabled
                ''',
                'is_node_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-passive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True for passive tunnel
                ''',
                'is_passive',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-delegated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether this tunnel is delegated to a
                PCE server or not
                ''',
                'is_pce_delegated',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-hop-ifindex', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Termination destination ifindex
                ''',
                'last_hop_ifindex',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-path-change', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last path change
                ''',
                'last_path_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share-factor', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The specified loadsharing for the tunnel
                ''',
                'load_share_factor',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share-type', REFERENCE_ENUM_CLASS, 'MplsTeLoadshareEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLoadshareEnum', 
                [], [], 
                '''                Loadsharing type
                ''',
                'load_share_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lsp-wrap label value
                ''',
                'lsp_wrap_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-protection-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Lsp-wrap Protection enabled
                ''',
                'lsp_wrap_protection_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('metric-qualifier', REFERENCE_ENUM_CLASS, 'MplsTeMetricQualifierEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricQualifierEnum', 
                [], [], 
                '''                Describe how the metric was specified: default,
                globally set, or per interface
                ''',
                'metric_qualifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                The path selection metric
                ''',
                'metric_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('operational-state', REFERENCE_ENUM_CLASS, 'MteTunnelOperStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MteTunnelOperStateEnum', 
                [], [], 
                '''                Operational State
                ''',
                'operational_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('operational-state-changes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Counters for operational state changes
                ''',
                'operational_state_changes',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn-bidir', REFERENCE_CLASS, 'OtnBidir' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir', 
                [], [], 
                '''                OTN bidir info
                ''',
                'otn_bidir',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outbound-frr-state', REFERENCE_ENUM_CLASS, 'MplsTeFrrStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeFrrStateEnum', 
                [], [], 
                '''                Indicates outbound FRR state
                ''',
                'outbound_frr_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-info', REFERENCE_CLASS, 'P2PInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.P2PInfo', 
                [], [], 
                '''                P2P specific info
                ''',
                'p2p_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('passive-tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Passive tunnel name
                ''',
                'passive_tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path-Option inuse by the current LSP has been
                modified
                ''',
                'path_option_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-protection', REFERENCE_CLASS, 'PathProtection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.PathProtection', 
                [], [], 
                '''                Path Protect Info
                ''',
                'path_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-delegation', REFERENCE_CLASS, 'PceDelegation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.PceDelegation', 
                [], [], 
                '''                PCE Delegation information
                ''',
                'pce_delegation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-fail-reason', REFERENCE_ENUM_CLASS, 'MplsTePceFailReasonsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTePceFailReasonsEnum', 
                [], [], 
                '''                Failure reason for PCE-based tunnels
                ''',
                'pce_fail_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('persistent-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Persistent forwarding statistics for number of
                bytes. Clear counters will not reset the counter
                ''',
                'persistent_bytes',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('persistent-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Persistent forwarding statistics for Number of
                packets. Clear counters will not reset the
                counter
                ''',
                'persistent_packets',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('re-opt-hold-down-timer-remaining', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup hold-down timer remaining time in seconds
                ''',
                're_opt_hold_down_timer_remaining',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimized-p2mp-lsp', REFERENCE_CLASS, 'ReoptimizedP2MpLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp', 
                [], [], 
                '''                Reopt LSP
                ''',
                'reoptimized_p2mp_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimized-standby-p2mp-lsp', REFERENCE_CLASS, 'ReoptimizedStandbyP2MpLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp', 
                [], [], 
                '''                Standby Reopt LSP
                ''',
                'reoptimized_standby_p2mp_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reroute-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ReroutePending
                ''',
                'reroute_pending',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('role-standby', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if Role is Standby, Active otherwise
                ''',
                'role_standby',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signaled-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signaled Name
                ''',
                'signaled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snmp-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SNMP index for interface
                ''',
                'snmp_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption', REFERENCE_CLASS, 'SoftPreemption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.SoftPreemption', 
                [], [], 
                '''                Tunnel head soft preemption info. This is NULL
                if soft preemption is not configured
                ''',
                'soft_preemption',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-tunnel-convergence', REFERENCE_CLASS, 'TeTunnelConvergence' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TeTunnelConvergence', 
                [], [], 
                '''                TE tunnel convergence related information
                ''',
                'te_tunnel_convergence',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tie-breaker', REFERENCE_ENUM_CLASS, 'TePathSelectionTiebreakerEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathSelectionTiebreakerEnum', 
                [], [], 
                '''                The path selection tiebreaker
                ''',
                'tie_breaker',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tiebreaker-qualifier', REFERENCE_ENUM_CLASS, 'MplsTeMetricQualifierEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricQualifierEnum', 
                [], [], 
                '''                Describes how the path selection tiebreaker was
                specified: default, globally set, or per
                interface
                ''',
                'tiebreaker_qualifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tiebreaker-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated - replaced by Tiebreaker
                ''',
                'tiebreaker_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('transport-tunnel-info', REFERENCE_CLASS, 'TransportTunnelInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo', 
                [], [], 
                '''                Transport tunnel data. Only exists for Transport
                tunnels
                ''',
                'transport_tunnel_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AttributeSet name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                AttributeSet type
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-current-lsp', REFERENCE_CLASS, 'TunnelCurrentLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp', 
                [], [], 
                '''                Current LSP
                ''',
                'tunnel_current_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface handle of the associated tunnel
                ''',
                'tunnel_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-recovering', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel recovering
                ''',
                'tunnel_recovering',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-restoration-lsp', REFERENCE_CLASS, 'TunnelRestorationLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp', 
                [], [], 
                '''                Restoration LSP
                ''',
                'tunnel_restoration_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-standby-lsp', REFERENCE_CLASS, 'TunnelStandbyLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp', 
                [], [], 
                '''                Standby LSP
                ''',
                'tunnel_standby_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the tunnel was up
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm-unitunnel', REFERENCE_CLASS, 'WdmUnitunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.WdmUnitunnel', 
                [], [], 
                '''                WDM-UNI tunnel data. Only exists for WDM-UNI
                tunnels
                ''',
                'wdm_unitunnel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set', REFERENCE_CLASS, 'XroAttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet', 
                [], [], 
                '''                XRO attribute-set
                ''',
                'xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configured XRO attribute-set name
                ''',
                'xro_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'nni-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.NniTunnels' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.NniTunnels',
            False, 
            [
            _MetaInfoClassMember('nni-tunnel', REFERENCE_LIST, 'NniTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel', 
                [], [], 
                '''                GMPLS-NNI tail tunnel
                ''',
                'nni_tunnel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'nni-tunnels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config.BidirectionalConfig' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config.BidirectionalConfig',
            False, 
            [
            _MetaInfoClassMember('association-corouted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the association co-routed
                ''',
                'association_corouted',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('association-global-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The association global ID
                ''',
                'association_global_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('association-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The association ID
                ''',
                'association_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('association-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The association source
                ''',
                'association_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('association-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Association Type
                (draft-ietf-ccamp-mpls-tp-rsvpte-ext-associated-lsp)
                ''',
                'association_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bidirectional-config',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config.BfdConfig' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config.BfdConfig',
            False, 
            [
            _MetaInfoClassMember('bfd-encap-mode', REFERENCE_ENUM_CLASS, 'TeVifBfdEncapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeVifBfdEncapModeEnum', 
                [], [], 
                '''                BFD Encap Mode
                ''',
                'bfd_encap_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-fast-detecting-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Deprecated
                ''',
                'bfd_fast_detecting_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-session-down-action', REFERENCE_ENUM_CLASS, 'MplsTeBfdSessionDownAction1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBfdSessionDownAction1Enum', 
                [], [], 
                '''                BFD Session Down Action
                ''',
                'bfd_session_down_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-session-down-reopt-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Session Down Reopt Timeout
                ''',
                'bfd_session_down_reopt_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-type', REFERENCE_ENUM_CLASS, 'TeVifBfdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeVifBfdEnum', 
                [], [], 
                '''                BFD Type
                ''',
                'bfd_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bring-up-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bring Up Timeout in second
                ''',
                'bring_up_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bring-up-timeout-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default bring up timeout
                ''',
                'bring_up_timeout_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dampening-initial-wait', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening initial wait time in milliseconds
                ''',
                'dampening_initial_wait',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dampening-initial-wait-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default dampening inital wait time
                ''',
                'dampening_initial_wait_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dampening-max-wait', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening max wait time in milliseconds
                ''',
                'dampening_max_wait',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dampening-max-wait-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default dampening max wait time
                ''',
                'dampening_max_wait_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dampening-secondary-wait', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening secondary wait time in milliseconds
                ''',
                'dampening_secondary_wait',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dampening-secondary-wait-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default dampening secondary wait time
                ''',
                'dampening_secondary_wait_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('min-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello interval in milliseconds
                ''',
                'min_interval',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('min-interval-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default hello interval
                ''',
                'min_interval_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default multiplier
                ''',
                'multiplier_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('periodic-lsp-ping-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Periodic LSP Ping disabled
                ''',
                'periodic_lsp_ping_disabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('periodic-lsp-ping-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Periodic LSP Ping interval in seconds
                ''',
                'periodic_lsp_ping_interval',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('periodic-lsp-ping-interval-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default LSP Ping interval
                ''',
                'periodic_lsp_ping_interval_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sbfd-target-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                SBFD Target ID
                ''',
                'sbfd_target_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-config',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config.AutorouteDestination' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config.AutorouteDestination',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'autoroute-destination',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-failure-reopt-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AffinityFailureReoptTimer
                ''',
                'affinity_failure_reopt_timer',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('autoroute-destination', REFERENCE_LIST, 'AutorouteDestination' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config.AutorouteDestination', 
                [], [], 
                '''                Autoroute Destinations list
                ''',
                'autoroute_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup bandwidth
                ''',
                'backup_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-bandwidth-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Backup bandwidth flags
                ''',
                'backup_bandwidth_flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-config', REFERENCE_CLASS, 'BfdConfig' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config.BfdConfig', 
                [], [], 
                '''                BFD Configuration Information
                ''',
                'bfd_config',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bidirectional-config', REFERENCE_CLASS, 'BidirectionalConfig' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config.BidirectionalConfig', 
                [], [], 
                '''                Bidirectional Configuration Information
                ''',
                'bidirectional_config',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('config-load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Config loadshare
                ''',
                'config_load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured Bandwidth
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit-global', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global Cost Limit
                ''',
                'cost_limit_global',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('disable-affinity-failure-reopt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                DisableAffinityFailureReopt
                ''',
                'disable_affinity_failure_reopt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-null-imposition', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Imposition of Explicit NULL
                ''',
                'explicit_null_imposition',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute enabled
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hop Limit
                ''',
                'hop_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured Interface Bandwidth
                ''',
                'interface_configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-backup-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if this is a backup tunnel
                ''',
                'is_backup_tunnel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-in-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is in config
                ''',
                'is_in_config',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-p2mp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if tunnel is a P2MP tunnel
                ''',
                'is_p2mp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action on the tunnel path
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action-source', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action configuration source
                ''',
                'path_invalidation_action_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout interval on the tunnel
                path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout-source', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout configuration source
                ''',
                'path_invalidation_timeout_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-protection-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Protection enabled
                ''',
                'path_protection_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('payload-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Payload type
                ''',
                'payload_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('segment-routing-path-selection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Segment-Routing path selection type
                ''',
                'segment_routing_path_selection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signaled-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signaled name
                ''',
                'signaled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preempt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption enabled
                ''',
                'soft_preempt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-discovery', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SRLG-discovery enabled
                ''',
                'srlg_discovery',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel id
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'config',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.LspFec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.LspFec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.LspFec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.LspFec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.LspFec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.S2LFec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.S2LFec',
            False, 
            [
            _MetaInfoClassMember('s2l-fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                Session identifier (ctype)
                ''',
                's2l_fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-dest', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                sub-LSP destination address
                ''',
                's2l_fec_dest',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                's2l_fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                's2l_fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                's2l_fec_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSP source address
                ''',
                's2l_fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                sub-LSP subgroup ID
                ''',
                's2l_fec_subgroup_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                's2l_fec_subgroup_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                's2l_fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                's2l_fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.PathCalculationError' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.PathCalculationError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-calculation-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.RemergeError' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.RemergeError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'remerge-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.SignallingError' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.SignallingError',
            False, 
            [
            _MetaInfoClassMember('error', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Path Error code
                ''',
                'error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Source address of the error generating node
                ''',
                'error_node',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSPMode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if error is on the reverse LSP
                ''',
                'reverse_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP-id for which the error was received
                ''',
                'signalling_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path Error subcode
                ''',
                'sub_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalling-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption',
            False, 
            [
            _MetaInfoClassMember('attribute-set', REFERENCE_CLASS, 'AttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet', 
                [], [], 
                '''                The path option attribute set used by this path
                ''',
                'attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-found', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has found the defined attribute
                set
                ''',
                'attribute_set_found',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Explicit Path ID, this is the key to table
                ExplicitPaths.IdentifierTable
                ''',
                'explicit_path_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Explicit Path Name, this is the key to table
                ExplicitPaths.NameTable
                ''',
                'explicit_path_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has an attribute set defined
                ''',
                'has_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-xro-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has an XRO attribute set
                configured
                ''',
                'has_xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('holddown-duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Holddown Duration (seconds)
                ''',
                'holddown_duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path option is disabled
                ''',
                'is_disabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-helddown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if path is helddown
                ''',
                'is_helddown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-lockdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is locked down
                ''',
                'is_lockdown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-segment-routing', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is Segment-Routing
                ''',
                'is_segment_routing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-explicit-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if explicit path is strict
                ''',
                'is_strict_explicit_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-verbatim', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is verbatim
                ''',
                'is_verbatim',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index
                ''',
                'option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index-is-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The path option index is valid
                ''',
                'option_index_is_valid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-calculation-error', REFERENCE_LIST, 'PathCalculationError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.PathCalculationError', 
                [], [], 
                '''                Path computation information
                ''',
                'path_calculation_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The path-option area constraint
                ''',
                'path_option_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path option name
                ''',
                'path_option_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-type', REFERENCE_ENUM_CLASS, 'MplsTePathoptionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTePathoptionEnum', 
                [], [], 
                '''                Path option type
                ''',
                'path_option_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                PCE server address
                ''',
                'pce_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-by-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for Protect path options
                ''',
                'protected_by_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remerge-error', REFERENCE_LIST, 'RemergeError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.RemergeError', 
                [], [], 
                '''                Path computation remerge resolve info
                ''',
                'remerge_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restored-from-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for Restore path options
                ''',
                'restored_from_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-error', REFERENCE_LIST, 'SignallingError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.SignallingError', 
                [], [], 
                '''                Signalling information
                ''',
                'signalling_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set', REFERENCE_CLASS, 'XroAttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet', 
                [], [], 
                '''                The XRO attribute set used by this path-option
                ''',
                'xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set-found', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path's XRO attribute set is known
                ''',
                'xro_attribute_set_found',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'active-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'out-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'in-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.Tspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.Tspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GenericTspec.Otntspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GenericTspec.Otntspec',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit Rate in kbps
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nmc-or-tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                NMC or Tolerance
                ''',
                'nmc_or_tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Virtual Components
                ''',
                'nvc',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otntspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GenericTspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GenericTspec',
            False, 
            [
            _MetaInfoClassMember('otntspec', REFERENCE_CLASS, 'Otntspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GenericTspec.Otntspec', 
                [], [], 
                '''                TE TSpec for G709 OTN
                ''',
                'otntspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tspec-type', REFERENCE_ENUM_CLASS, 'TeMgmtGenericTspecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeMgmtGenericTspecEnum', 
                [], [], 
                '''                TSpecType
                ''',
                'tspec_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'generic-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.Fspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.Fspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GenericFspec.Otnfspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GenericFspec.Otnfspec',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit Rate in kbps
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nmc-or-tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                NMC or Tolerance
                ''',
                'nmc_or_tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Virtual Components
                ''',
                'nvc',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otnfspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GenericFspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GenericFspec',
            False, 
            [
            _MetaInfoClassMember('fspec-type', REFERENCE_ENUM_CLASS, 'TeMgmtGenericFspecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeMgmtGenericFspecEnum', 
                [], [], 
                '''                FSpecType
                ''',
                'fspec_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otnfspec', REFERENCE_CLASS, 'Otnfspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GenericFspec.Otnfspec', 
                [], [], 
                '''                TE FSpec for G709 OTN
                ''',
                'otnfspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'generic-fspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.NextHopAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.NextHopAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.NextHopAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.NextHopAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.NextHopAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'next-hop-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'previous-hop-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.IncomingAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.IncomingAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.IncomingAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.IncomingAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.IncomingAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'incoming-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.S2LConvergence' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.S2LConvergence',
            False, 
            [
            _MetaInfoClassMember('creation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tunnel creation timestamp (clocktime in nsecs)
                ''',
                'creation_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rewrite', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP Label rewrite timestamp (clocktime in nsecs)
                ''',
                'label_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Path-in timestamp (clocktime in nsecs)
                ''',
                'path_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Path-in timestamp (clocktime in nsecs)
                ''',
                'path_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Resv-in timestamp (clocktime in nsecs)
                ''',
                'resv_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Resv-out timestamp (clocktime in nsecs)
                ''',
                'resv_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-rewrite', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tunnel rewrite timestamp (clocktime in nsecs)
                ''',
                'tunnel_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-convergence',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.SoftPreemption' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.SoftPreemption',
            False, 
            [
            _MetaInfoClassMember('fr-rrewrite', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR-rewrite during soft preemption
                ''',
                'fr_rrewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fr-rrewrite-tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The tunnel name of the backup
                ''',
                'fr_rrewrite_tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('preempting-link-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The address of the link where the preemption
                happened
                ''',
                'preempting_link_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-link', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the link where the soft preemption
                occurred
                ''',
                'soft_preemption_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The POSIX timestamp when the soft preemption
                occurred
                ''',
                'soft_preemption_timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'MplsTeSoftPreemptionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeSoftPreemptionStateEnum', 
                [], [], 
                '''                The current state of the soft preemption
                operation
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-to-hard-preemption', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The number of seconds until hard preemption is
                triggered
                ''',
                'time_to_hard_preemption',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'soft-preemption',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels',
            False, 
            [
            _MetaInfoClassMember('path-egress-label', REFERENCE_CLASS, 'PathEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel', 
                [], [], 
                '''                Path message (upstream) egress label
                ''',
                'path_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-ingress-label', REFERENCE_CLASS, 'PathIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel', 
                [], [], 
                '''                Path message (upstream) ingress label
                ''',
                'path_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-egress-label', REFERENCE_CLASS, 'ResvEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel', 
                [], [], 
                '''                Resv message (downstream) egress label
                ''',
                'resv_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-ingress-label', REFERENCE_CLASS, 'ResvIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel', 
                [], [], 
                '''                Resv message (downstream) ingress label
                ''',
                'resv_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'gmpls-labels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tolerance
                ''',
                'tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-cbr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-gfp-f-res',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-gfp-f-non-res',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth',
            False, 
            [
            _MetaInfoClassMember('odu-flex-cbr', REFERENCE_CLASS, 'OduFlexCbr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr', 
                [], [], 
                '''                Odu flex CBR info
                ''',
                'odu_flex_cbr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-flex-gfp-f-non-res', REFERENCE_CLASS, 'OduFlexGfpFNonRes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes', 
                [], [], 
                '''                Odu flex GFP-F non-resizable info
                ''',
                'odu_flex_gfp_f_non_res',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-flex-gfp-f-res', REFERENCE_CLASS, 'OduFlexGfpFRes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes', 
                [], [], 
                '''                Odu flex GFP-F resizable info
                ''',
                'odu_flex_gfp_f_res',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-level', REFERENCE_ENUM_CLASS, 'TeOduLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeOduLevelEnum', 
                [], [], 
                '''                ODULevel
                ''',
                'odu_level',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels',
            False, 
            [
            _MetaInfoClassMember('path-egress-label', REFERENCE_CLASS, 'PathEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel', 
                [], [], 
                '''                Path message (upstream) egress label
                ''',
                'path_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-ingress-label', REFERENCE_CLASS, 'PathIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel', 
                [], [], 
                '''                Path message (upstream) ingress label
                ''',
                'path_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-egress-label', REFERENCE_CLASS, 'ResvEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel', 
                [], [], 
                '''                Resv message (downstream) egress label
                ''',
                'resv_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-ingress-label', REFERENCE_CLASS, 'ResvIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel', 
                [], [], 
                '''                Resv message (downstream) ingress label
                ''',
                'resv_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'labels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn',
            False, 
            [
            _MetaInfoClassMember('bandwidth', REFERENCE_CLASS, 'Bandwidth' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth', 
                [], [], 
                '''                OTN Bandwidth for s2l
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cross-connect-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cross connect id
                ''',
                'cross_connect_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gpid', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Gpid Payload
                ''',
                'gpid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Incoming Controller
                ''',
                'incoming_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Incoming Controller Ifhandle
                ''',
                'incoming_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Controller
                ''',
                'incoming_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Incoming Sub Controller
                ''',
                'incoming_sub_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Incoming Sub Controller Ifhandle
                ''',
                'incoming_sub_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Sub Controller
                ''',
                'incoming_sub_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if subcontrollers are connected
                ''',
                'is_connected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('labels', REFERENCE_CLASS, 'Labels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels', 
                [], [], 
                '''                Labels
                ''',
                'labels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing Controller
                ''',
                'outgoing_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Controller Ifhandle
                ''',
                'outgoing_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Controller
                ''',
                'outgoing_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing Sub Controller
                ''',
                'outgoing_sub_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Sub Controller Ifhandle
                ''',
                'outgoing_sub_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Sub Controller
                ''',
                'outgoing_sub_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                XC Uptime
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Aps.ProtectionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Aps.ProtectionInfo',
            False, 
            [
            _MetaInfoClassMember('ho-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-Off timeout
                ''',
                'ho_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-hopresent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Hold-Off timeout present
                ''',
                'is_hopresent',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-snc-mode-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SNC mode present
                ''',
                'is_snc_mode_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-wtr-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Wait-to-Restore timeout present
                ''',
                'is_wtr_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Notification bit 
                ''',
                'nbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('obit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Operational bit
                ''',
                'obit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path protection profile type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Protecting bit
                ''',
                'pbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protect-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                LSP Protect Type
                ''',
                'protect_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Secondary bit
                ''',
                'sbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                SNC mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TCM ID
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wtr-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait-to-Restore timeout
                ''',
                'wtr_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protection-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Aps' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Aps',
            False, 
            [
            _MetaInfoClassMember('protection-info', REFERENCE_CLASS, 'ProtectionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Aps.ProtectionInfo', 
                [], [], 
                '''                Protection Info
                ''',
                'protection_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'aps',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L',
            False, 
            [
            _MetaInfoClassMember('aps', REFERENCE_CLASS, 'Aps' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Aps', 
                [], [], 
                '''                APS Info for OTN S2L
                ''',
                'aps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn', 
                [], [], 
                '''                Info Related to OTN technology in S2L
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn-s2l',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.HeadEndBfdInfo.SessionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.HeadEndBfdInfo.SessionInfo',
            False, 
            [
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'TeBfdLspSessionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdLspSessionStateEnum', 
                [], [], 
                '''                BFD session state
                ''',
                'state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('state-change-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last session state
                change
                ''',
                'state_change_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'session-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.HeadEndBfdInfo.DeletionHistory' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.HeadEndBfdInfo.DeletionHistory',
            False, 
            [
            _MetaInfoClassMember('deletion-diagnostic-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Diagnostic Code for the BFD session get deleted
                ''',
                'deletion_diagnostic_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reason for the BFD session get deleted
                ''',
                'deletion_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time stamp of the BFD session get deleted
                ''',
                'deletion_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID of the BFD session get deleted
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'deletion-history',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.HeadEndBfdInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.HeadEndBfdInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-reverse-path-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path labels
                ''',
                'bfd_reverse_path_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The BFD reverse path is stale compared to
                configuration
                ''',
                'bfd_reverse_path_stale',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('creation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the BFD session created
                ''',
                'creation_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-history', REFERENCE_CLASS, 'DeletionHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.HeadEndBfdInfo.DeletionHistory', 
                [], [], 
                '''                BFD Session Deletion History
                ''',
                'deletion_history',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-redundant', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                sBFD session is redundant
                ''',
                'is_redundant',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lspbfd-type', REFERENCE_ENUM_CLASS, 'TeVifBfdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeVifBfdEnum', 
                [], [], 
                '''                LSP BFD type
                ''',
                'lspbfd_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-info', REFERENCE_CLASS, 'SessionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.HeadEndBfdInfo.SessionInfo', 
                [], [], 
                '''                BFD Session Info
                ''',
                'session_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'head-end-bfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.TailEndBfdInfo.SessionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.TailEndBfdInfo.SessionInfo',
            False, 
            [
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'TeBfdLspSessionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdLspSessionStateEnum', 
                [], [], 
                '''                BFD session state
                ''',
                'state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('state-change-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last session state
                change
                ''',
                'state_change_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'session-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.TailEndBfdInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.TailEndBfdInfo',
            False, 
            [
            _MetaInfoClassMember('failure-diagnostic-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD session failure diagnostic code
                ''',
                'failure_diagnostic_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('failure-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                BFD session failure reason
                ''',
                'failure_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-discriminator', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Local Discriminator
                ''',
                'local_discriminator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('min-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello interval in mini second
                ''',
                'min_interval',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('min-interval-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default hello interval
                ''',
                'min_interval_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default multiplier
                ''',
                'multiplier_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-discriminator', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Remote Discrminator
                ''',
                'remote_discriminator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-info', REFERENCE_CLASS, 'SessionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.TailEndBfdInfo.SessionInfo', 
                [], [], 
                '''                BFD Session Info
                ''',
                'session_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tail-end-bfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.SrlgCollection' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.SrlgCollection',
            False, 
            [
            _MetaInfoClassMember('discovered-srlg', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Discovered SRLGs
                ''',
                'discovered_srlg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-collect-type', REFERENCE_ENUM_CLASS, 'TeSrlgCollectRequestEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSrlgCollectRequestEnum', 
                [], [], 
                '''                SRLG-collection mechanism
                ''',
                'srlg_collect_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-collection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.Association' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.Association',
            False, 
            [
            _MetaInfoClassMember('s2l-association-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Association ID
                ''',
                's2l_association_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                S2L Association Source
                ''',
                's2l_association_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-tie-role', REFERENCE_ENUM_CLASS, 'TeAssociationTieRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAssociationTieRoleEnum', 
                [], [], 
                '''                S2L Association Tie Role
                ''',
                's2l_association_tie_role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Association Type                         
                (draft-ietf-ccamp-mpls-tp-rsvpte-ext-associated-lsp)
                ''',
                's2l_association_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-extended-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L Extended ID Array
                ''',
                's2l_extended_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-global-source', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L Global Source
                ''',
                's2l_global_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'association',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.Protection' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.Protection',
            False, 
            [
            _MetaInfoClassMember('any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Any
                ''',
                'any',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ded1-plus1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1+1 Protection
                ''',
                'ded1_plus1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ded1-to1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1:1 Protection
                ''',
                'ded1_to1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('enhanced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates Enhanced Protection Scheme
                ''',
                'enhanced',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extra-traffic', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should use Links that are protecting other
                (primary) traffic
                ''',
                'extra_traffic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should not use any Link Layer Protection
                ''',
                'link_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Flags Unprotected
                ''',
                'lsp_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-plus-one-bi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Bidirectional Protection
                ''',
                'one_plus_one_bi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-plus-one-uni', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Unidirectional Protection
                ''',
                'one_plus_one_uni',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-to-n-protection-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1:N Protection with Extra-Traffic
                ''',
                'one_to_n_protection_et',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Full Rerouting
                ''',
                'rerouting',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouting-no-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Rerouting Without Extra-Traffic
                ''',
                'rerouting_no_et',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-notification', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Notification Bit
                ''',
                's2l_notification',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-operational', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Operational Bit
                ''',
                's2l_operational',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Protecting Bit
                ''',
                's2l_protecting',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-secondary', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Secondary Bit
                ''',
                's2l_secondary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Shared Link Layer Protection
                ''',
                'shared',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseLspFec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseLspFec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseLspFec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseLspFec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseLspFec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-lsp-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseTspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseTspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.FlexInfo.FlexFec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.FlexInfo.FlexFec',
            False, 
            [
            _MetaInfoClassMember('s2l-fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                Session identifier (ctype)
                ''',
                's2l_fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-dest', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                sub-LSP destination address
                ''',
                's2l_fec_dest',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                's2l_fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                's2l_fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                's2l_fec_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSP source address
                ''',
                's2l_fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                sub-LSP subgroup ID
                ''',
                's2l_fec_subgroup_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                's2l_fec_subgroup_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                's2l_fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                's2l_fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.FlexInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.FlexInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-created', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GAL BFD Session Created
                ''',
                'bfd_created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-egress-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Egress Label
                ''',
                'bfd_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-int-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Internal Label
                ''',
                'bfd_int_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                BFD Next Hop
                ''',
                'bfd_next_hop',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-out-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD Out Interface Handle
                ''',
                'bfd_out_ifh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-tun-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD Tunnel Interface Handle
                ''',
                'bfd_tun_ifh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GAL BFD Session Up
                ''',
                'bfd_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('entry-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FlexLSP Entry Exists
                ''',
                'entry_exists',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ais', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault AIS
                ''',
                'fault_ais',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ldi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LDI
                ''',
                'fault_ldi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ldi-lockout', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LDI Lockout
                ''',
                'fault_ldi_lockout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-lkr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LKR
                ''',
                'fault_lkr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Fault Time
                ''',
                'fault_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex-fec', REFERENCE_CLASS, 'FlexFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.FlexInfo.FlexFec', 
                [], [], 
                '''                FEC for the FlexLSP Entry
                ''',
                'flex_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                In Label
                ''',
                'in_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('oam-created', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                OAM Entry Created
                ''',
                'oam_created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.LspWrapInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.LspWrapInfo',
            False, 
            [
            _MetaInfoClassMember('lsp-wrap-protection-enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Wrap protection enabled
                ''',
                'lsp_wrap_protection_enable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-protection-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSP Wrap Merge Point Label
                ''',
                'lsp_wrap_protection_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-protection-state', REFERENCE_ENUM_CLASS, 'MplsTeLspWrapStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspWrapStateEnum', 
                [], [], 
                '''                LSP wrap protection state
                ''',
                'lsp_wrap_protection_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reverse Egress Interface
                ''',
                'reverse_egress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reverse LSP label
                ''',
                'reverse_lsp_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-wrap-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.DiversityInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.DiversityInfo',
            False, 
            [
            _MetaInfoClassMember('diversity-type', REFERENCE_ENUM_CLASS, 'TePpDiversityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePpDiversityEnum', 
                [], [], 
                '''                S2L path diversity type
                ''',
                'diversity_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'diversity-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.SharedRiskLinkGroup' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.SharedRiskLinkGroup',
            False, 
            [
            _MetaInfoClassMember('shared-risk-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG number
                ''',
                'shared_risk_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SRLG name
                ''',
                'srlg_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'shared-risk-link-group',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutEro.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutEro.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutEro.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutEro.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutEro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutEro',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutEro.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutEro.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'out-ero',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InEro.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InEro.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InEro.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InEro.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InEro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InEro',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InEro.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InEro.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'in-ero',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.Ipv4RroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.Ipv4RroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.Ipv4RroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.Ipv4RroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.Ipv4RroSubObject.Flags', 
                [], [], 
                '''                The RRO IPV4 Subobject Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO IPV4 Address
                ''',
                'rro_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.LabelRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.LabelRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-global-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label is Global across all interfaces
                ''',
                'is_global_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.LabelRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.LabelRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.LabelRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Label Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-label-variable-length', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the RRO Subobject Label Variable Length
                ''',
                'is_label_variable_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Label Value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('variable-length-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Variable Length Label
                ''',
                'variable_length_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'label-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.UnnumberedRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.UnnumberedRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.UnnumberedRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.UnnumberedRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.UnnumberedRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Unnumbered Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO Interface Address
                ''',
                'interface_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.SrlgRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.SrlgRroSubObject',
            False, 
            [
            _MetaInfoClassMember('srl-gs', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject SRLGs
                ''',
                'srl_gs',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro',
            False, 
            [
            _MetaInfoClassMember('ipv4rro-sub-object', REFERENCE_CLASS, 'Ipv4RroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.Ipv4RroSubObject', 
                [], [], 
                '''                IPV4 RRO Sub Object
                ''',
                'ipv4rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rro-sub-object', REFERENCE_CLASS, 'LabelRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.LabelRroSubObject', 
                [], [], 
                '''                Label RRO Sub Object
                ''',
                'label_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtRroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtRroSubobjEnum', 
                [], [], 
                '''                RROType
                ''',
                'rro_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-rro-sub-object', REFERENCE_CLASS, 'SrlgRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.SrlgRroSubObject', 
                [], [], 
                '''                SRLG RRO Sub Object
                ''',
                'srlg_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-rro-sub-object', REFERENCE_CLASS, 'UnnumberedRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.UnnumberedRroSubObject', 
                [], [], 
                '''                Unnumbered RRO Sub Object
                ''',
                'unnumbered_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-rro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.Ipv4RroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.Ipv4RroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.Ipv4RroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.Ipv4RroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.Ipv4RroSubObject.Flags', 
                [], [], 
                '''                The RRO IPV4 Subobject Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO IPV4 Address
                ''',
                'rro_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.LabelRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.LabelRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-global-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label is Global across all interfaces
                ''',
                'is_global_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.LabelRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.LabelRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.LabelRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Label Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-label-variable-length', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the RRO Subobject Label Variable Length
                ''',
                'is_label_variable_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Label Value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('variable-length-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Variable Length Label
                ''',
                'variable_length_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'label-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.UnnumberedRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.UnnumberedRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Unnumbered Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO Interface Address
                ''',
                'interface_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.SrlgRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.SrlgRroSubObject',
            False, 
            [
            _MetaInfoClassMember('srl-gs', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject SRLGs
                ''',
                'srl_gs',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro',
            False, 
            [
            _MetaInfoClassMember('ipv4rro-sub-object', REFERENCE_CLASS, 'Ipv4RroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.Ipv4RroSubObject', 
                [], [], 
                '''                IPV4 RRO Sub Object
                ''',
                'ipv4rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rro-sub-object', REFERENCE_CLASS, 'LabelRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.LabelRroSubObject', 
                [], [], 
                '''                Label RRO Sub Object
                ''',
                'label_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtRroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtRroSubobjEnum', 
                [], [], 
                '''                RROType
                ''',
                'rro_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-rro-sub-object', REFERENCE_CLASS, 'SrlgRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.SrlgRroSubObject', 
                [], [], 
                '''                SRLG RRO Sub Object
                ''',
                'srlg_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-rro-sub-object', REFERENCE_CLASS, 'UnnumberedRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.UnnumberedRroSubObject', 
                [], [], 
                '''                Unnumbered RRO Sub Object
                ''',
                'unnumbered_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-rro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathAffinityArray' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathAffinityArray',
            False, 
            [
            _MetaInfoClassMember('hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Hop address
                ''',
                'hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop-affinity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'hop_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop-extended-affinity', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hop affinity
                ''',
                'hop_extended_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-affinity-array',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseEroIn.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseEroIn.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseEroIn.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseEroIn.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseEroIn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseEroIn',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseEroIn.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseEroIn.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-ero-in',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.S2LSegmentRoutingPath' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.S2LSegmentRoutingPath',
            False, 
            [
            _MetaInfoClassMember('has-entropy-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Hop has EL specified
                ''',
                'has_entropy_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-ip-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node has IP addresses specified
                ''',
                'has_ip_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-mpls-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Hop has MPLS label specified
                ''',
                'has_mpls_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local IP address of adjacency or Node ID
                ''',
                'local_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mpls-label-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The MPLS label value
                ''',
                'mpls_label_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote IP address of adjacency
                ''',
                'remote_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sid-type', REFERENCE_ENUM_CLASS, 'TeSrSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSrSidEnum', 
                [], [], 
                '''                Type of the SID
                ''',
                'sid_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-segment-routing-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L',
            False, 
            [
            _MetaInfoClassMember('abr-auto-discovered', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next ABR auto discovered
                ''',
                'abr_auto_discovered',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('active-path-option', REFERENCE_CLASS, 'ActivePathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption', 
                [], [], 
                '''                The path option used to find the path for this
                S2L
                ''',
                'active_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('association', REFERENCE_CLASS, 'Association' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.Association', 
                [], [], 
                '''                Association Object
                ''',
                'association',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface handle of the backup tunnel
                ''',
                'backup_tunnel_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('diversity-info', REFERENCE_CLASS, 'DiversityInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.DiversityInfo', 
                [], [], 
                '''                S2L Diversity Information
                ''',
                'diversity_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('downstream-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Downstream router id
                ''',
                'downstream_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Egress Interface
                ''',
                'egress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface-brief', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Egress Interface in brief format
                ''',
                'egress_interface_brief',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Interface
                ''',
                'egress_interface_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Outgoing ERO's affinity bits (colors)
                ''',
                'expanded_ero_affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Outgoing ERO's affinity mask (colors)
                ''',
                'expanded_ero_affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Indicates the protocol and area used to find
                Outgoing ERO
                ''',
                'expanded_ero_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The metric value of the expanded path
                ''',
                'expanded_ero_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-metric-type', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                The Outgoing ERO's selection metric
                ''',
                'expanded_ero_metric_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex-info', REFERENCE_CLASS, 'FlexInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.FlexInfo', 
                [], [], 
                '''                FlexLSP S2L Information
                ''',
                'flex_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-out-tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FRR out tunnel intface
                ''',
                'frr_out_tunnel_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fspec', REFERENCE_CLASS, 'Fspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.Fspec', 
                [], [], 
                '''                The F spec info
                ''',
                'fspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generic-fspec', REFERENCE_CLASS, 'GenericFspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GenericFspec', 
                [], [], 
                '''                Generic FSpec
                ''',
                'generic_fspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generic-tspec', REFERENCE_CLASS, 'GenericTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GenericTspec', 
                [], [], 
                '''                Generic TSpec
                ''',
                'generic_tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gmpls-labels', REFERENCE_CLASS, 'GmplsLabels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels', 
                [], [], 
                '''                GMPLS labels
                ''',
                'gmpls_labels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('head-end-bfd-info', REFERENCE_CLASS, 'HeadEndBfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.HeadEndBfdInfo', 
                [], [], 
                '''                The Head-end BFD info
                ''',
                'head_end_bfd_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-ero', REFERENCE_LIST, 'InEro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InEro', 
                [], [], 
                '''                Incoming ERO for this S2L
                ''',
                'in_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-xro', REFERENCE_CLASS, 'InXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro', 
                [], [], 
                '''                Incoming XRO for this S2L
                ''',
                'in_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Incoming interface address
                ''',
                'incoming_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-address-generic', REFERENCE_CLASS, 'IncomingAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.IncomingAddressGeneric', 
                [], [], 
                '''                Incoming interface address
                ''',
                'incoming_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ingress Interface
                ''',
                'ingress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface-brief', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ingress Interface in brief format
                ''',
                'ingress_interface_brief',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Interface
                ''',
                'ingress_interface_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-protect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BW Protection Enabled or Disabled
                ''',
                'is_bandwidth_protect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-expanded-ero', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if this LSR expanded a loose path
                ''',
                'is_expanded_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-frr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Enabled or Disabled
                ''',
                'is_frr_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Enabled or Disabled
                ''',
                'is_node_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-optical', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Optical
                ''',
                'is_optical',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local router id
                ''',
                'local_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-info', REFERENCE_CLASS, 'LspWrapInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.LspWrapInfo', 
                [], [], 
                '''                Lsp Wrap  Related information
                ''',
                'lsp_wrap_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop address
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address-generic', REFERENCE_CLASS, 'NextHopAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.NextHopAddressGeneric', 
                [], [], 
                '''                Next hop address
                ''',
                'next_hop_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('node-hop-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hop count
                ''',
                'node_hop_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn-s2l', REFERENCE_CLASS, 'OtnS2L' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L', 
                [], [], 
                '''                Otn S2L Information
                ''',
                'otn_s2l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-ero', REFERENCE_LIST, 'OutEro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutEro', 
                [], [], 
                '''                Outgoing ERO for this S2L
                ''',
                'out_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-xro', REFERENCE_CLASS, 'OutXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro', 
                [], [], 
                '''                Outgoing XRO for this S2L
                ''',
                'out_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outbound-frr-state', REFERENCE_ENUM_CLASS, 'MplsTeFrrStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeFrrStateEnum', 
                [], [], 
                '''                Indicates outbound FRR state
                ''',
                'outbound_frr_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-affinity-array', REFERENCE_LIST, 'PathAffinityArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathAffinityArray', 
                [], [], 
                '''                Tunnel's Path hops with affinity
                ''',
                'path_affinity_array',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reeval-query-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loose path reevaluation query received at
                mid-point
                ''',
                'path_reeval_query_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-rro', REFERENCE_LIST, 'PathRro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro', 
                [], [], 
                '''                Path RRO for this S2L
                ''',
                'path_rro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-rro-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path RRO Enabled or Disabled
                ''',
                'path_rro_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-using-strict-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is using Strict SPF
                ''',
                'path_using_strict_spf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcalc-area', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IGP-area in which the S2L path was calculated
                ''',
                'pcalc_area',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Previous hop address
                ''',
                'previous_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-hop-address-generic', REFERENCE_CLASS, 'PreviousHopAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric', 
                [], [], 
                '''                Previous hop address
                ''',
                'previous_hop_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection', REFERENCE_CLASS, 'Protection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.Protection', 
                [], [], 
                '''                Protection Object
                ''',
                'protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-rro', REFERENCE_LIST, 'ResvRro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro', 
                [], [], 
                '''                Resv RRO for this S2L
                ''',
                'resv_rro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-ero-in', REFERENCE_LIST, 'ReverseEroIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseEroIn', 
                [], [], 
                '''                 Reverse Incoming ERO for this S2L
                ''',
                'reverse_ero_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Connected
                ''',
                'reverse_lsp_connected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-fec', REFERENCE_CLASS, 'ReverseLspFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseLspFec', 
                [], [], 
                '''                Reverse Associated Bidir LSP FEC
                ''',
                'reverse_lsp_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Name
                ''',
                'reverse_lsp_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Present
                ''',
                'reverse_lsp_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-tspec', REFERENCE_CLASS, 'ReverseTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseTspec', 
                [], [], 
                '''                The Reverse T spec info
                ''',
                'reverse_tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The reverse path weight
                ''',
                'reverse_weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('role', REFERENCE_ENUM_CLASS, 'MplsTeTunnelRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelRoleEnum', 
                [], [], 
                '''                Role of S2L
                ''',
                'role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-convergence', REFERENCE_CLASS, 'S2LConvergence' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.S2LConvergence', 
                [], [], 
                '''                TE LSP convergence related information
                ''',
                's2l_convergence',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec', REFERENCE_CLASS, 'S2LFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.S2LFec', 
                [], [], 
                '''                FEC for the S2L
                ''',
                's2l_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label
                ''',
                's2l_local_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing label
                ''',
                's2l_out_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-ero-obj-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2l Reverse ERO Object Present
                ''',
                's2l_reverse_ero_obj_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-lsp-sub-obj', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Reverse LSP Sub Objects
                ''',
                's2l_reverse_lsp_sub_obj',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-tspec-obj-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Reverse TSpec Object Present
                ''',
                's2l_reverse_tspec_obj_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-segment-routing-path', REFERENCE_LIST, 'S2LSegmentRoutingPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.S2LSegmentRoutingPath', 
                [], [], 
                '''                Segment-Routing S2L path info
                ''',
                's2l_segment_routing_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared-risk-link-group', REFERENCE_LIST, 'SharedRiskLinkGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.SharedRiskLinkGroup', 
                [], [], 
                '''                The S2L's excluded srlg groups
                ''',
                'shared_risk_link_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-status', REFERENCE_ENUM_CLASS, 'MplsTeTunnelsSignalingStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelsSignalingStatusEnum', 
                [], [], 
                '''                Signaling status
                ''',
                'signalling_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption', REFERENCE_CLASS, 'SoftPreemption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.SoftPreemption', 
                [], [], 
                '''                The soft preemption info for this LSP.
                ''',
                'soft_preemption',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-collection', REFERENCE_CLASS, 'SrlgCollection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.SrlgCollection', 
                [], [], 
                '''                SRLG-collection data
                ''',
                'srlg_collection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tail-end-bfd-info', REFERENCE_CLASS, 'TailEndBfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.TailEndBfdInfo', 
                [], [], 
                '''                The Tail-end BFD info
                ''',
                'tail_end_bfd_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-preferred-path-exists-send-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last preferred path exists msg send
                from mid-point
                ''',
                'time_since_last_preferred_path_exists_send_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-preferred-tree-exists-send-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last preferred tree exists msg send
                from mid-point
                ''',
                'time_since_last_preferred_tree_exists_send_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-query-received-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last reevaluation query received at
                mid-point
                ''',
                'time_since_last_query_received_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tspec', REFERENCE_CLASS, 'Tspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.Tspec', 
                [], [], 
                '''                The T spec info
                ''',
                'tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('upstream-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Upstream router id
                ''',
                'upstream_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the tunnel was up
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The path's weight
                ''',
                'weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp',
            False, 
            [
            _MetaInfoClassMember('dste-class-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Matching DSTE class index
                ''',
                'dste_class_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-match', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Do the class type and priority match a DSTE
                class
                ''',
                'dste_class_match',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-active-reason', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP LSP FRR active reason
                ''',
                'frr_active_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-frr-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                P2MP LSP has FRR Failed
                ''',
                'is_frr_failed',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True for tunnel head
                ''',
                'is_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-passive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True for passive tunnel
                ''',
                'is_passive',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-path-change', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last path change
                ''',
                'last_path_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP LSP Bandwidth
                ''',
                'lsp_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The LSP bandwidth type
                ''',
                'lsp_bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-fec', REFERENCE_CLASS, 'LspFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.LspFec', 
                [], [], 
                '''                FEC for the LSP
                ''',
                'lsp_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSP hold priority
                ''',
                'lsp_hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSP setup priority
                ''',
                'lsp_setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('persistent-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Persistent forwarding statistics for number of
                bytes. Clear counters will not reset the counter
                ''',
                'persistent_bytes',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('persistent-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Persistent forwarding statistics for Number of
                packets. Clear counters will not reset the
                counter
                ''',
                'persistent_packets',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimize-reason', REFERENCE_ENUM_CLASS, 'MplsTeReoptDecisionReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeReoptDecisionReasonEnum', 
                [], [], 
                '''                Reason for re-optimization
                ''',
                'reoptimize_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimize-trigger', REFERENCE_ENUM_CLASS, 'MteReoptTriggerEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MteReoptTriggerEnum', 
                [], [], 
                '''                Re-optimize trigger
                ''',
                'reoptimize_trigger',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-down', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of down S2Ls
                ''',
                's2_ls_down',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-proceeding', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of proceeding S2Ls
                ''',
                's2_ls_proceeding',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of connected S2Ls
                ''',
                's2_ls_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l', REFERENCE_LIST, 'S2L' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L', 
                [], [], 
                '''                array of S2L structures
                ''',
                's2l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signaled-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signaled Name
                ''',
                'signaled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('timer-left', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds left to take next action if any
                ''',
                'timer_left',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MplsTeLspEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspEnum', 
                [], [], 
                '''                The type of this LSP
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the tunnel was up
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tunnel-current-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.LspFec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.LspFec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.LspFec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.LspFec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.LspFec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.S2LFec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.S2LFec',
            False, 
            [
            _MetaInfoClassMember('s2l-fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                Session identifier (ctype)
                ''',
                's2l_fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-dest', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                sub-LSP destination address
                ''',
                's2l_fec_dest',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                's2l_fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                's2l_fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                's2l_fec_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSP source address
                ''',
                's2l_fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                sub-LSP subgroup ID
                ''',
                's2l_fec_subgroup_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                's2l_fec_subgroup_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                's2l_fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                's2l_fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.PathCalculationError' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.PathCalculationError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-calculation-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.RemergeError' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.RemergeError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'remerge-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.SignallingError' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.SignallingError',
            False, 
            [
            _MetaInfoClassMember('error', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Path Error code
                ''',
                'error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Source address of the error generating node
                ''',
                'error_node',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSPMode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if error is on the reverse LSP
                ''',
                'reverse_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP-id for which the error was received
                ''',
                'signalling_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path Error subcode
                ''',
                'sub_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalling-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption',
            False, 
            [
            _MetaInfoClassMember('attribute-set', REFERENCE_CLASS, 'AttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet', 
                [], [], 
                '''                The path option attribute set used by this path
                ''',
                'attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-found', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has found the defined attribute
                set
                ''',
                'attribute_set_found',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Explicit Path ID, this is the key to table
                ExplicitPaths.IdentifierTable
                ''',
                'explicit_path_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Explicit Path Name, this is the key to table
                ExplicitPaths.NameTable
                ''',
                'explicit_path_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has an attribute set defined
                ''',
                'has_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-xro-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has an XRO attribute set
                configured
                ''',
                'has_xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('holddown-duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Holddown Duration (seconds)
                ''',
                'holddown_duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path option is disabled
                ''',
                'is_disabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-helddown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if path is helddown
                ''',
                'is_helddown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-lockdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is locked down
                ''',
                'is_lockdown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-segment-routing', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is Segment-Routing
                ''',
                'is_segment_routing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-explicit-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if explicit path is strict
                ''',
                'is_strict_explicit_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-verbatim', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is verbatim
                ''',
                'is_verbatim',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index
                ''',
                'option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index-is-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The path option index is valid
                ''',
                'option_index_is_valid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-calculation-error', REFERENCE_LIST, 'PathCalculationError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.PathCalculationError', 
                [], [], 
                '''                Path computation information
                ''',
                'path_calculation_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The path-option area constraint
                ''',
                'path_option_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path option name
                ''',
                'path_option_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-type', REFERENCE_ENUM_CLASS, 'MplsTePathoptionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTePathoptionEnum', 
                [], [], 
                '''                Path option type
                ''',
                'path_option_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                PCE server address
                ''',
                'pce_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-by-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for Protect path options
                ''',
                'protected_by_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remerge-error', REFERENCE_LIST, 'RemergeError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.RemergeError', 
                [], [], 
                '''                Path computation remerge resolve info
                ''',
                'remerge_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restored-from-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for Restore path options
                ''',
                'restored_from_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-error', REFERENCE_LIST, 'SignallingError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.SignallingError', 
                [], [], 
                '''                Signalling information
                ''',
                'signalling_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set', REFERENCE_CLASS, 'XroAttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet', 
                [], [], 
                '''                The XRO attribute set used by this path-option
                ''',
                'xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set-found', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path's XRO attribute set is known
                ''',
                'xro_attribute_set_found',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'active-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'out-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'in-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.Tspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.Tspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GenericTspec.Otntspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GenericTspec.Otntspec',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit Rate in kbps
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nmc-or-tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                NMC or Tolerance
                ''',
                'nmc_or_tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Virtual Components
                ''',
                'nvc',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otntspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GenericTspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GenericTspec',
            False, 
            [
            _MetaInfoClassMember('otntspec', REFERENCE_CLASS, 'Otntspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GenericTspec.Otntspec', 
                [], [], 
                '''                TE TSpec for G709 OTN
                ''',
                'otntspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tspec-type', REFERENCE_ENUM_CLASS, 'TeMgmtGenericTspecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeMgmtGenericTspecEnum', 
                [], [], 
                '''                TSpecType
                ''',
                'tspec_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'generic-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.Fspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.Fspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GenericFspec.Otnfspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GenericFspec.Otnfspec',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit Rate in kbps
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nmc-or-tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                NMC or Tolerance
                ''',
                'nmc_or_tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Virtual Components
                ''',
                'nvc',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otnfspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GenericFspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GenericFspec',
            False, 
            [
            _MetaInfoClassMember('fspec-type', REFERENCE_ENUM_CLASS, 'TeMgmtGenericFspecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeMgmtGenericFspecEnum', 
                [], [], 
                '''                FSpecType
                ''',
                'fspec_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otnfspec', REFERENCE_CLASS, 'Otnfspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GenericFspec.Otnfspec', 
                [], [], 
                '''                TE FSpec for G709 OTN
                ''',
                'otnfspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'generic-fspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'next-hop-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'previous-hop-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'incoming-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.S2LConvergence' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.S2LConvergence',
            False, 
            [
            _MetaInfoClassMember('creation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tunnel creation timestamp (clocktime in nsecs)
                ''',
                'creation_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rewrite', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP Label rewrite timestamp (clocktime in nsecs)
                ''',
                'label_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Path-in timestamp (clocktime in nsecs)
                ''',
                'path_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Path-in timestamp (clocktime in nsecs)
                ''',
                'path_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Resv-in timestamp (clocktime in nsecs)
                ''',
                'resv_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Resv-out timestamp (clocktime in nsecs)
                ''',
                'resv_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-rewrite', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tunnel rewrite timestamp (clocktime in nsecs)
                ''',
                'tunnel_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-convergence',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.SoftPreemption' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.SoftPreemption',
            False, 
            [
            _MetaInfoClassMember('fr-rrewrite', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR-rewrite during soft preemption
                ''',
                'fr_rrewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fr-rrewrite-tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The tunnel name of the backup
                ''',
                'fr_rrewrite_tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('preempting-link-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The address of the link where the preemption
                happened
                ''',
                'preempting_link_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-link', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the link where the soft preemption
                occurred
                ''',
                'soft_preemption_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The POSIX timestamp when the soft preemption
                occurred
                ''',
                'soft_preemption_timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'MplsTeSoftPreemptionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeSoftPreemptionStateEnum', 
                [], [], 
                '''                The current state of the soft preemption
                operation
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-to-hard-preemption', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The number of seconds until hard preemption is
                triggered
                ''',
                'time_to_hard_preemption',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'soft-preemption',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels',
            False, 
            [
            _MetaInfoClassMember('path-egress-label', REFERENCE_CLASS, 'PathEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel', 
                [], [], 
                '''                Path message (upstream) egress label
                ''',
                'path_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-ingress-label', REFERENCE_CLASS, 'PathIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel', 
                [], [], 
                '''                Path message (upstream) ingress label
                ''',
                'path_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-egress-label', REFERENCE_CLASS, 'ResvEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel', 
                [], [], 
                '''                Resv message (downstream) egress label
                ''',
                'resv_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-ingress-label', REFERENCE_CLASS, 'ResvIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel', 
                [], [], 
                '''                Resv message (downstream) ingress label
                ''',
                'resv_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'gmpls-labels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tolerance
                ''',
                'tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-cbr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-gfp-f-res',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-gfp-f-non-res',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth',
            False, 
            [
            _MetaInfoClassMember('odu-flex-cbr', REFERENCE_CLASS, 'OduFlexCbr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr', 
                [], [], 
                '''                Odu flex CBR info
                ''',
                'odu_flex_cbr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-flex-gfp-f-non-res', REFERENCE_CLASS, 'OduFlexGfpFNonRes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes', 
                [], [], 
                '''                Odu flex GFP-F non-resizable info
                ''',
                'odu_flex_gfp_f_non_res',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-flex-gfp-f-res', REFERENCE_CLASS, 'OduFlexGfpFRes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes', 
                [], [], 
                '''                Odu flex GFP-F resizable info
                ''',
                'odu_flex_gfp_f_res',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-level', REFERENCE_ENUM_CLASS, 'TeOduLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeOduLevelEnum', 
                [], [], 
                '''                ODULevel
                ''',
                'odu_level',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels',
            False, 
            [
            _MetaInfoClassMember('path-egress-label', REFERENCE_CLASS, 'PathEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel', 
                [], [], 
                '''                Path message (upstream) egress label
                ''',
                'path_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-ingress-label', REFERENCE_CLASS, 'PathIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel', 
                [], [], 
                '''                Path message (upstream) ingress label
                ''',
                'path_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-egress-label', REFERENCE_CLASS, 'ResvEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel', 
                [], [], 
                '''                Resv message (downstream) egress label
                ''',
                'resv_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-ingress-label', REFERENCE_CLASS, 'ResvIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel', 
                [], [], 
                '''                Resv message (downstream) ingress label
                ''',
                'resv_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'labels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn',
            False, 
            [
            _MetaInfoClassMember('bandwidth', REFERENCE_CLASS, 'Bandwidth' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth', 
                [], [], 
                '''                OTN Bandwidth for s2l
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cross-connect-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cross connect id
                ''',
                'cross_connect_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gpid', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Gpid Payload
                ''',
                'gpid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Incoming Controller
                ''',
                'incoming_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Incoming Controller Ifhandle
                ''',
                'incoming_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Controller
                ''',
                'incoming_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Incoming Sub Controller
                ''',
                'incoming_sub_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Incoming Sub Controller Ifhandle
                ''',
                'incoming_sub_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Sub Controller
                ''',
                'incoming_sub_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if subcontrollers are connected
                ''',
                'is_connected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('labels', REFERENCE_CLASS, 'Labels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels', 
                [], [], 
                '''                Labels
                ''',
                'labels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing Controller
                ''',
                'outgoing_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Controller Ifhandle
                ''',
                'outgoing_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Controller
                ''',
                'outgoing_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing Sub Controller
                ''',
                'outgoing_sub_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Sub Controller Ifhandle
                ''',
                'outgoing_sub_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Sub Controller
                ''',
                'outgoing_sub_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                XC Uptime
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Aps.ProtectionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Aps.ProtectionInfo',
            False, 
            [
            _MetaInfoClassMember('ho-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-Off timeout
                ''',
                'ho_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-hopresent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Hold-Off timeout present
                ''',
                'is_hopresent',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-snc-mode-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SNC mode present
                ''',
                'is_snc_mode_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-wtr-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Wait-to-Restore timeout present
                ''',
                'is_wtr_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Notification bit 
                ''',
                'nbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('obit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Operational bit
                ''',
                'obit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path protection profile type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Protecting bit
                ''',
                'pbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protect-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                LSP Protect Type
                ''',
                'protect_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Secondary bit
                ''',
                'sbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                SNC mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TCM ID
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wtr-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait-to-Restore timeout
                ''',
                'wtr_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protection-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Aps' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Aps',
            False, 
            [
            _MetaInfoClassMember('protection-info', REFERENCE_CLASS, 'ProtectionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Aps.ProtectionInfo', 
                [], [], 
                '''                Protection Info
                ''',
                'protection_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'aps',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L',
            False, 
            [
            _MetaInfoClassMember('aps', REFERENCE_CLASS, 'Aps' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Aps', 
                [], [], 
                '''                APS Info for OTN S2L
                ''',
                'aps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn', 
                [], [], 
                '''                Info Related to OTN technology in S2L
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn-s2l',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo.SessionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo.SessionInfo',
            False, 
            [
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'TeBfdLspSessionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdLspSessionStateEnum', 
                [], [], 
                '''                BFD session state
                ''',
                'state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('state-change-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last session state
                change
                ''',
                'state_change_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'session-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo.DeletionHistory' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo.DeletionHistory',
            False, 
            [
            _MetaInfoClassMember('deletion-diagnostic-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Diagnostic Code for the BFD session get deleted
                ''',
                'deletion_diagnostic_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reason for the BFD session get deleted
                ''',
                'deletion_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time stamp of the BFD session get deleted
                ''',
                'deletion_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID of the BFD session get deleted
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'deletion-history',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-reverse-path-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path labels
                ''',
                'bfd_reverse_path_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The BFD reverse path is stale compared to
                configuration
                ''',
                'bfd_reverse_path_stale',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('creation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the BFD session created
                ''',
                'creation_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-history', REFERENCE_CLASS, 'DeletionHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo.DeletionHistory', 
                [], [], 
                '''                BFD Session Deletion History
                ''',
                'deletion_history',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-redundant', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                sBFD session is redundant
                ''',
                'is_redundant',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lspbfd-type', REFERENCE_ENUM_CLASS, 'TeVifBfdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeVifBfdEnum', 
                [], [], 
                '''                LSP BFD type
                ''',
                'lspbfd_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-info', REFERENCE_CLASS, 'SessionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo.SessionInfo', 
                [], [], 
                '''                BFD Session Info
                ''',
                'session_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'head-end-bfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.TailEndBfdInfo.SessionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.TailEndBfdInfo.SessionInfo',
            False, 
            [
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'TeBfdLspSessionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdLspSessionStateEnum', 
                [], [], 
                '''                BFD session state
                ''',
                'state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('state-change-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last session state
                change
                ''',
                'state_change_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'session-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.TailEndBfdInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.TailEndBfdInfo',
            False, 
            [
            _MetaInfoClassMember('failure-diagnostic-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD session failure diagnostic code
                ''',
                'failure_diagnostic_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('failure-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                BFD session failure reason
                ''',
                'failure_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-discriminator', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Local Discriminator
                ''',
                'local_discriminator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('min-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello interval in mini second
                ''',
                'min_interval',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('min-interval-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default hello interval
                ''',
                'min_interval_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default multiplier
                ''',
                'multiplier_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-discriminator', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Remote Discrminator
                ''',
                'remote_discriminator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-info', REFERENCE_CLASS, 'SessionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.TailEndBfdInfo.SessionInfo', 
                [], [], 
                '''                BFD Session Info
                ''',
                'session_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tail-end-bfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.SrlgCollection' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.SrlgCollection',
            False, 
            [
            _MetaInfoClassMember('discovered-srlg', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Discovered SRLGs
                ''',
                'discovered_srlg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-collect-type', REFERENCE_ENUM_CLASS, 'TeSrlgCollectRequestEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSrlgCollectRequestEnum', 
                [], [], 
                '''                SRLG-collection mechanism
                ''',
                'srlg_collect_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-collection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.Association' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.Association',
            False, 
            [
            _MetaInfoClassMember('s2l-association-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Association ID
                ''',
                's2l_association_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                S2L Association Source
                ''',
                's2l_association_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-tie-role', REFERENCE_ENUM_CLASS, 'TeAssociationTieRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAssociationTieRoleEnum', 
                [], [], 
                '''                S2L Association Tie Role
                ''',
                's2l_association_tie_role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Association Type                         
                (draft-ietf-ccamp-mpls-tp-rsvpte-ext-associated-lsp)
                ''',
                's2l_association_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-extended-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L Extended ID Array
                ''',
                's2l_extended_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-global-source', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L Global Source
                ''',
                's2l_global_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'association',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.Protection' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.Protection',
            False, 
            [
            _MetaInfoClassMember('any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Any
                ''',
                'any',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ded1-plus1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1+1 Protection
                ''',
                'ded1_plus1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ded1-to1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1:1 Protection
                ''',
                'ded1_to1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('enhanced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates Enhanced Protection Scheme
                ''',
                'enhanced',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extra-traffic', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should use Links that are protecting other
                (primary) traffic
                ''',
                'extra_traffic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should not use any Link Layer Protection
                ''',
                'link_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Flags Unprotected
                ''',
                'lsp_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-plus-one-bi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Bidirectional Protection
                ''',
                'one_plus_one_bi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-plus-one-uni', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Unidirectional Protection
                ''',
                'one_plus_one_uni',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-to-n-protection-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1:N Protection with Extra-Traffic
                ''',
                'one_to_n_protection_et',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Full Rerouting
                ''',
                'rerouting',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouting-no-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Rerouting Without Extra-Traffic
                ''',
                'rerouting_no_et',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-notification', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Notification Bit
                ''',
                's2l_notification',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-operational', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Operational Bit
                ''',
                's2l_operational',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Protecting Bit
                ''',
                's2l_protecting',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-secondary', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Secondary Bit
                ''',
                's2l_secondary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Shared Link Layer Protection
                ''',
                'shared',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseLspFec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseLspFec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseLspFec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseLspFec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseLspFec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-lsp-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseTspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseTspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.FlexInfo.FlexFec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.FlexInfo.FlexFec',
            False, 
            [
            _MetaInfoClassMember('s2l-fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                Session identifier (ctype)
                ''',
                's2l_fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-dest', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                sub-LSP destination address
                ''',
                's2l_fec_dest',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                's2l_fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                's2l_fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                's2l_fec_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSP source address
                ''',
                's2l_fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                sub-LSP subgroup ID
                ''',
                's2l_fec_subgroup_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                's2l_fec_subgroup_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                's2l_fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                's2l_fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.FlexInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.FlexInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-created', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GAL BFD Session Created
                ''',
                'bfd_created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-egress-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Egress Label
                ''',
                'bfd_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-int-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Internal Label
                ''',
                'bfd_int_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                BFD Next Hop
                ''',
                'bfd_next_hop',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-out-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD Out Interface Handle
                ''',
                'bfd_out_ifh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-tun-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD Tunnel Interface Handle
                ''',
                'bfd_tun_ifh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GAL BFD Session Up
                ''',
                'bfd_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('entry-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FlexLSP Entry Exists
                ''',
                'entry_exists',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ais', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault AIS
                ''',
                'fault_ais',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ldi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LDI
                ''',
                'fault_ldi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ldi-lockout', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LDI Lockout
                ''',
                'fault_ldi_lockout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-lkr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LKR
                ''',
                'fault_lkr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Fault Time
                ''',
                'fault_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex-fec', REFERENCE_CLASS, 'FlexFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.FlexInfo.FlexFec', 
                [], [], 
                '''                FEC for the FlexLSP Entry
                ''',
                'flex_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                In Label
                ''',
                'in_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('oam-created', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                OAM Entry Created
                ''',
                'oam_created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.LspWrapInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.LspWrapInfo',
            False, 
            [
            _MetaInfoClassMember('lsp-wrap-protection-enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Wrap protection enabled
                ''',
                'lsp_wrap_protection_enable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-protection-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSP Wrap Merge Point Label
                ''',
                'lsp_wrap_protection_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-protection-state', REFERENCE_ENUM_CLASS, 'MplsTeLspWrapStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspWrapStateEnum', 
                [], [], 
                '''                LSP wrap protection state
                ''',
                'lsp_wrap_protection_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reverse Egress Interface
                ''',
                'reverse_egress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reverse LSP label
                ''',
                'reverse_lsp_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-wrap-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.DiversityInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.DiversityInfo',
            False, 
            [
            _MetaInfoClassMember('diversity-type', REFERENCE_ENUM_CLASS, 'TePpDiversityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePpDiversityEnum', 
                [], [], 
                '''                S2L path diversity type
                ''',
                'diversity_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'diversity-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.SharedRiskLinkGroup' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.SharedRiskLinkGroup',
            False, 
            [
            _MetaInfoClassMember('shared-risk-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG number
                ''',
                'shared_risk_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SRLG name
                ''',
                'srlg_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'shared-risk-link-group',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutEro.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutEro.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutEro.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutEro.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutEro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutEro',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutEro.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutEro.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'out-ero',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InEro.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InEro.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InEro.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InEro.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InEro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InEro',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InEro.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InEro.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'in-ero',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.Ipv4RroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.Ipv4RroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.Ipv4RroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.Ipv4RroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.Ipv4RroSubObject.Flags', 
                [], [], 
                '''                The RRO IPV4 Subobject Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO IPV4 Address
                ''',
                'rro_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.LabelRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.LabelRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-global-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label is Global across all interfaces
                ''',
                'is_global_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.LabelRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.LabelRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.LabelRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Label Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-label-variable-length', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the RRO Subobject Label Variable Length
                ''',
                'is_label_variable_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Label Value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('variable-length-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Variable Length Label
                ''',
                'variable_length_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'label-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.UnnumberedRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.UnnumberedRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Unnumbered Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO Interface Address
                ''',
                'interface_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.SrlgRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.SrlgRroSubObject',
            False, 
            [
            _MetaInfoClassMember('srl-gs', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject SRLGs
                ''',
                'srl_gs',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro',
            False, 
            [
            _MetaInfoClassMember('ipv4rro-sub-object', REFERENCE_CLASS, 'Ipv4RroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.Ipv4RroSubObject', 
                [], [], 
                '''                IPV4 RRO Sub Object
                ''',
                'ipv4rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rro-sub-object', REFERENCE_CLASS, 'LabelRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.LabelRroSubObject', 
                [], [], 
                '''                Label RRO Sub Object
                ''',
                'label_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtRroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtRroSubobjEnum', 
                [], [], 
                '''                RROType
                ''',
                'rro_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-rro-sub-object', REFERENCE_CLASS, 'SrlgRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.SrlgRroSubObject', 
                [], [], 
                '''                SRLG RRO Sub Object
                ''',
                'srlg_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-rro-sub-object', REFERENCE_CLASS, 'UnnumberedRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.UnnumberedRroSubObject', 
                [], [], 
                '''                Unnumbered RRO Sub Object
                ''',
                'unnumbered_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-rro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.Ipv4RroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.Ipv4RroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags', 
                [], [], 
                '''                The RRO IPV4 Subobject Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO IPV4 Address
                ''',
                'rro_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.LabelRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.LabelRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-global-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label is Global across all interfaces
                ''',
                'is_global_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.LabelRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.LabelRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.LabelRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Label Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-label-variable-length', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the RRO Subobject Label Variable Length
                ''',
                'is_label_variable_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Label Value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('variable-length-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Variable Length Label
                ''',
                'variable_length_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'label-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Unnumbered Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO Interface Address
                ''',
                'interface_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.SrlgRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.SrlgRroSubObject',
            False, 
            [
            _MetaInfoClassMember('srl-gs', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject SRLGs
                ''',
                'srl_gs',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro',
            False, 
            [
            _MetaInfoClassMember('ipv4rro-sub-object', REFERENCE_CLASS, 'Ipv4RroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.Ipv4RroSubObject', 
                [], [], 
                '''                IPV4 RRO Sub Object
                ''',
                'ipv4rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rro-sub-object', REFERENCE_CLASS, 'LabelRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.LabelRroSubObject', 
                [], [], 
                '''                Label RRO Sub Object
                ''',
                'label_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtRroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtRroSubobjEnum', 
                [], [], 
                '''                RROType
                ''',
                'rro_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-rro-sub-object', REFERENCE_CLASS, 'SrlgRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.SrlgRroSubObject', 
                [], [], 
                '''                SRLG RRO Sub Object
                ''',
                'srlg_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-rro-sub-object', REFERENCE_CLASS, 'UnnumberedRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject', 
                [], [], 
                '''                Unnumbered RRO Sub Object
                ''',
                'unnumbered_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-rro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathAffinityArray' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathAffinityArray',
            False, 
            [
            _MetaInfoClassMember('hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Hop address
                ''',
                'hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop-affinity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'hop_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop-extended-affinity', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hop affinity
                ''',
                'hop_extended_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-affinity-array',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseEroIn.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseEroIn.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseEroIn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseEroIn',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseEroIn.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-ero-in',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.S2LSegmentRoutingPath' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.S2LSegmentRoutingPath',
            False, 
            [
            _MetaInfoClassMember('has-entropy-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Hop has EL specified
                ''',
                'has_entropy_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-ip-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node has IP addresses specified
                ''',
                'has_ip_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-mpls-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Hop has MPLS label specified
                ''',
                'has_mpls_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local IP address of adjacency or Node ID
                ''',
                'local_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mpls-label-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The MPLS label value
                ''',
                'mpls_label_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote IP address of adjacency
                ''',
                'remote_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sid-type', REFERENCE_ENUM_CLASS, 'TeSrSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSrSidEnum', 
                [], [], 
                '''                Type of the SID
                ''',
                'sid_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-segment-routing-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L',
            False, 
            [
            _MetaInfoClassMember('abr-auto-discovered', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next ABR auto discovered
                ''',
                'abr_auto_discovered',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('active-path-option', REFERENCE_CLASS, 'ActivePathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption', 
                [], [], 
                '''                The path option used to find the path for this
                S2L
                ''',
                'active_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('association', REFERENCE_CLASS, 'Association' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.Association', 
                [], [], 
                '''                Association Object
                ''',
                'association',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface handle of the backup tunnel
                ''',
                'backup_tunnel_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('diversity-info', REFERENCE_CLASS, 'DiversityInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.DiversityInfo', 
                [], [], 
                '''                S2L Diversity Information
                ''',
                'diversity_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('downstream-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Downstream router id
                ''',
                'downstream_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Egress Interface
                ''',
                'egress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface-brief', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Egress Interface in brief format
                ''',
                'egress_interface_brief',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Interface
                ''',
                'egress_interface_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Outgoing ERO's affinity bits (colors)
                ''',
                'expanded_ero_affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Outgoing ERO's affinity mask (colors)
                ''',
                'expanded_ero_affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Indicates the protocol and area used to find
                Outgoing ERO
                ''',
                'expanded_ero_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The metric value of the expanded path
                ''',
                'expanded_ero_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-metric-type', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                The Outgoing ERO's selection metric
                ''',
                'expanded_ero_metric_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex-info', REFERENCE_CLASS, 'FlexInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.FlexInfo', 
                [], [], 
                '''                FlexLSP S2L Information
                ''',
                'flex_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-out-tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FRR out tunnel intface
                ''',
                'frr_out_tunnel_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fspec', REFERENCE_CLASS, 'Fspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.Fspec', 
                [], [], 
                '''                The F spec info
                ''',
                'fspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generic-fspec', REFERENCE_CLASS, 'GenericFspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GenericFspec', 
                [], [], 
                '''                Generic FSpec
                ''',
                'generic_fspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generic-tspec', REFERENCE_CLASS, 'GenericTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GenericTspec', 
                [], [], 
                '''                Generic TSpec
                ''',
                'generic_tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gmpls-labels', REFERENCE_CLASS, 'GmplsLabels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels', 
                [], [], 
                '''                GMPLS labels
                ''',
                'gmpls_labels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('head-end-bfd-info', REFERENCE_CLASS, 'HeadEndBfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo', 
                [], [], 
                '''                The Head-end BFD info
                ''',
                'head_end_bfd_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-ero', REFERENCE_LIST, 'InEro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InEro', 
                [], [], 
                '''                Incoming ERO for this S2L
                ''',
                'in_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-xro', REFERENCE_CLASS, 'InXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro', 
                [], [], 
                '''                Incoming XRO for this S2L
                ''',
                'in_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Incoming interface address
                ''',
                'incoming_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-address-generic', REFERENCE_CLASS, 'IncomingAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric', 
                [], [], 
                '''                Incoming interface address
                ''',
                'incoming_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ingress Interface
                ''',
                'ingress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface-brief', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ingress Interface in brief format
                ''',
                'ingress_interface_brief',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Interface
                ''',
                'ingress_interface_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-protect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BW Protection Enabled or Disabled
                ''',
                'is_bandwidth_protect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-expanded-ero', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if this LSR expanded a loose path
                ''',
                'is_expanded_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-frr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Enabled or Disabled
                ''',
                'is_frr_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Enabled or Disabled
                ''',
                'is_node_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-optical', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Optical
                ''',
                'is_optical',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local router id
                ''',
                'local_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-info', REFERENCE_CLASS, 'LspWrapInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.LspWrapInfo', 
                [], [], 
                '''                Lsp Wrap  Related information
                ''',
                'lsp_wrap_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop address
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address-generic', REFERENCE_CLASS, 'NextHopAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric', 
                [], [], 
                '''                Next hop address
                ''',
                'next_hop_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('node-hop-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hop count
                ''',
                'node_hop_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn-s2l', REFERENCE_CLASS, 'OtnS2L' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L', 
                [], [], 
                '''                Otn S2L Information
                ''',
                'otn_s2l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-ero', REFERENCE_LIST, 'OutEro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutEro', 
                [], [], 
                '''                Outgoing ERO for this S2L
                ''',
                'out_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-xro', REFERENCE_CLASS, 'OutXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro', 
                [], [], 
                '''                Outgoing XRO for this S2L
                ''',
                'out_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outbound-frr-state', REFERENCE_ENUM_CLASS, 'MplsTeFrrStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeFrrStateEnum', 
                [], [], 
                '''                Indicates outbound FRR state
                ''',
                'outbound_frr_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-affinity-array', REFERENCE_LIST, 'PathAffinityArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathAffinityArray', 
                [], [], 
                '''                Tunnel's Path hops with affinity
                ''',
                'path_affinity_array',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reeval-query-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loose path reevaluation query received at
                mid-point
                ''',
                'path_reeval_query_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-rro', REFERENCE_LIST, 'PathRro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro', 
                [], [], 
                '''                Path RRO for this S2L
                ''',
                'path_rro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-rro-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path RRO Enabled or Disabled
                ''',
                'path_rro_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-using-strict-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is using Strict SPF
                ''',
                'path_using_strict_spf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcalc-area', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IGP-area in which the S2L path was calculated
                ''',
                'pcalc_area',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Previous hop address
                ''',
                'previous_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-hop-address-generic', REFERENCE_CLASS, 'PreviousHopAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric', 
                [], [], 
                '''                Previous hop address
                ''',
                'previous_hop_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection', REFERENCE_CLASS, 'Protection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.Protection', 
                [], [], 
                '''                Protection Object
                ''',
                'protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-rro', REFERENCE_LIST, 'ResvRro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro', 
                [], [], 
                '''                Resv RRO for this S2L
                ''',
                'resv_rro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-ero-in', REFERENCE_LIST, 'ReverseEroIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseEroIn', 
                [], [], 
                '''                 Reverse Incoming ERO for this S2L
                ''',
                'reverse_ero_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Connected
                ''',
                'reverse_lsp_connected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-fec', REFERENCE_CLASS, 'ReverseLspFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseLspFec', 
                [], [], 
                '''                Reverse Associated Bidir LSP FEC
                ''',
                'reverse_lsp_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Name
                ''',
                'reverse_lsp_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Present
                ''',
                'reverse_lsp_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-tspec', REFERENCE_CLASS, 'ReverseTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseTspec', 
                [], [], 
                '''                The Reverse T spec info
                ''',
                'reverse_tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The reverse path weight
                ''',
                'reverse_weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('role', REFERENCE_ENUM_CLASS, 'MplsTeTunnelRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelRoleEnum', 
                [], [], 
                '''                Role of S2L
                ''',
                'role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-convergence', REFERENCE_CLASS, 'S2LConvergence' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.S2LConvergence', 
                [], [], 
                '''                TE LSP convergence related information
                ''',
                's2l_convergence',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec', REFERENCE_CLASS, 'S2LFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.S2LFec', 
                [], [], 
                '''                FEC for the S2L
                ''',
                's2l_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label
                ''',
                's2l_local_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing label
                ''',
                's2l_out_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-ero-obj-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2l Reverse ERO Object Present
                ''',
                's2l_reverse_ero_obj_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-lsp-sub-obj', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Reverse LSP Sub Objects
                ''',
                's2l_reverse_lsp_sub_obj',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-tspec-obj-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Reverse TSpec Object Present
                ''',
                's2l_reverse_tspec_obj_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-segment-routing-path', REFERENCE_LIST, 'S2LSegmentRoutingPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.S2LSegmentRoutingPath', 
                [], [], 
                '''                Segment-Routing S2L path info
                ''',
                's2l_segment_routing_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared-risk-link-group', REFERENCE_LIST, 'SharedRiskLinkGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.SharedRiskLinkGroup', 
                [], [], 
                '''                The S2L's excluded srlg groups
                ''',
                'shared_risk_link_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-status', REFERENCE_ENUM_CLASS, 'MplsTeTunnelsSignalingStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelsSignalingStatusEnum', 
                [], [], 
                '''                Signaling status
                ''',
                'signalling_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption', REFERENCE_CLASS, 'SoftPreemption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.SoftPreemption', 
                [], [], 
                '''                The soft preemption info for this LSP.
                ''',
                'soft_preemption',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-collection', REFERENCE_CLASS, 'SrlgCollection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.SrlgCollection', 
                [], [], 
                '''                SRLG-collection data
                ''',
                'srlg_collection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tail-end-bfd-info', REFERENCE_CLASS, 'TailEndBfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.TailEndBfdInfo', 
                [], [], 
                '''                The Tail-end BFD info
                ''',
                'tail_end_bfd_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-preferred-path-exists-send-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last preferred path exists msg send
                from mid-point
                ''',
                'time_since_last_preferred_path_exists_send_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-preferred-tree-exists-send-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last preferred tree exists msg send
                from mid-point
                ''',
                'time_since_last_preferred_tree_exists_send_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-query-received-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last reevaluation query received at
                mid-point
                ''',
                'time_since_last_query_received_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tspec', REFERENCE_CLASS, 'Tspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.Tspec', 
                [], [], 
                '''                The T spec info
                ''',
                'tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('upstream-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Upstream router id
                ''',
                'upstream_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the tunnel was up
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The path's weight
                ''',
                'weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp',
            False, 
            [
            _MetaInfoClassMember('dste-class-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Matching DSTE class index
                ''',
                'dste_class_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-match', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Do the class type and priority match a DSTE
                class
                ''',
                'dste_class_match',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-active-reason', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP LSP FRR active reason
                ''',
                'frr_active_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-frr-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                P2MP LSP has FRR Failed
                ''',
                'is_frr_failed',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True for tunnel head
                ''',
                'is_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-passive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True for passive tunnel
                ''',
                'is_passive',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-path-change', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last path change
                ''',
                'last_path_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP LSP Bandwidth
                ''',
                'lsp_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The LSP bandwidth type
                ''',
                'lsp_bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-fec', REFERENCE_CLASS, 'LspFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.LspFec', 
                [], [], 
                '''                FEC for the LSP
                ''',
                'lsp_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSP hold priority
                ''',
                'lsp_hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSP setup priority
                ''',
                'lsp_setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('persistent-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Persistent forwarding statistics for number of
                bytes. Clear counters will not reset the counter
                ''',
                'persistent_bytes',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('persistent-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Persistent forwarding statistics for Number of
                packets. Clear counters will not reset the
                counter
                ''',
                'persistent_packets',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimize-reason', REFERENCE_ENUM_CLASS, 'MplsTeReoptDecisionReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeReoptDecisionReasonEnum', 
                [], [], 
                '''                Reason for re-optimization
                ''',
                'reoptimize_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimize-trigger', REFERENCE_ENUM_CLASS, 'MteReoptTriggerEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MteReoptTriggerEnum', 
                [], [], 
                '''                Re-optimize trigger
                ''',
                'reoptimize_trigger',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-down', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of down S2Ls
                ''',
                's2_ls_down',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-proceeding', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of proceeding S2Ls
                ''',
                's2_ls_proceeding',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of connected S2Ls
                ''',
                's2_ls_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l', REFERENCE_LIST, 'S2L' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L', 
                [], [], 
                '''                array of S2L structures
                ''',
                's2l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signaled-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signaled Name
                ''',
                'signaled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('timer-left', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds left to take next action if any
                ''',
                'timer_left',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MplsTeLspEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspEnum', 
                [], [], 
                '''                The type of this LSP
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the tunnel was up
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reoptimized-p2mp-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.LspFec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.LspFec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.LspFec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.LspFec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.LspFec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.S2LFec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.S2LFec',
            False, 
            [
            _MetaInfoClassMember('s2l-fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                Session identifier (ctype)
                ''',
                's2l_fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-dest', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                sub-LSP destination address
                ''',
                's2l_fec_dest',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                's2l_fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                's2l_fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                's2l_fec_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSP source address
                ''',
                's2l_fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                sub-LSP subgroup ID
                ''',
                's2l_fec_subgroup_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                's2l_fec_subgroup_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                's2l_fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                's2l_fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.PathCalculationError' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.PathCalculationError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-calculation-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.RemergeError' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.RemergeError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'remerge-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.SignallingError' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.SignallingError',
            False, 
            [
            _MetaInfoClassMember('error', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Path Error code
                ''',
                'error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Source address of the error generating node
                ''',
                'error_node',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSPMode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if error is on the reverse LSP
                ''',
                'reverse_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP-id for which the error was received
                ''',
                'signalling_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path Error subcode
                ''',
                'sub_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalling-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption',
            False, 
            [
            _MetaInfoClassMember('attribute-set', REFERENCE_CLASS, 'AttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet', 
                [], [], 
                '''                The path option attribute set used by this path
                ''',
                'attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-found', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has found the defined attribute
                set
                ''',
                'attribute_set_found',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Explicit Path ID, this is the key to table
                ExplicitPaths.IdentifierTable
                ''',
                'explicit_path_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Explicit Path Name, this is the key to table
                ExplicitPaths.NameTable
                ''',
                'explicit_path_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has an attribute set defined
                ''',
                'has_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-xro-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has an XRO attribute set
                configured
                ''',
                'has_xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('holddown-duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Holddown Duration (seconds)
                ''',
                'holddown_duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path option is disabled
                ''',
                'is_disabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-helddown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if path is helddown
                ''',
                'is_helddown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-lockdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is locked down
                ''',
                'is_lockdown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-segment-routing', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is Segment-Routing
                ''',
                'is_segment_routing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-explicit-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if explicit path is strict
                ''',
                'is_strict_explicit_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-verbatim', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is verbatim
                ''',
                'is_verbatim',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index
                ''',
                'option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index-is-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The path option index is valid
                ''',
                'option_index_is_valid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-calculation-error', REFERENCE_LIST, 'PathCalculationError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.PathCalculationError', 
                [], [], 
                '''                Path computation information
                ''',
                'path_calculation_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The path-option area constraint
                ''',
                'path_option_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path option name
                ''',
                'path_option_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-type', REFERENCE_ENUM_CLASS, 'MplsTePathoptionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTePathoptionEnum', 
                [], [], 
                '''                Path option type
                ''',
                'path_option_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                PCE server address
                ''',
                'pce_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-by-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for Protect path options
                ''',
                'protected_by_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remerge-error', REFERENCE_LIST, 'RemergeError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.RemergeError', 
                [], [], 
                '''                Path computation remerge resolve info
                ''',
                'remerge_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restored-from-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for Restore path options
                ''',
                'restored_from_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-error', REFERENCE_LIST, 'SignallingError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.SignallingError', 
                [], [], 
                '''                Signalling information
                ''',
                'signalling_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set', REFERENCE_CLASS, 'XroAttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet', 
                [], [], 
                '''                The XRO attribute set used by this path-option
                ''',
                'xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set-found', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path's XRO attribute set is known
                ''',
                'xro_attribute_set_found',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'active-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'out-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'in-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.Tspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.Tspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GenericTspec.Otntspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GenericTspec.Otntspec',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit Rate in kbps
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nmc-or-tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                NMC or Tolerance
                ''',
                'nmc_or_tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Virtual Components
                ''',
                'nvc',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otntspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GenericTspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GenericTspec',
            False, 
            [
            _MetaInfoClassMember('otntspec', REFERENCE_CLASS, 'Otntspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GenericTspec.Otntspec', 
                [], [], 
                '''                TE TSpec for G709 OTN
                ''',
                'otntspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tspec-type', REFERENCE_ENUM_CLASS, 'TeMgmtGenericTspecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeMgmtGenericTspecEnum', 
                [], [], 
                '''                TSpecType
                ''',
                'tspec_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'generic-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.Fspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.Fspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GenericFspec.Otnfspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GenericFspec.Otnfspec',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit Rate in kbps
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nmc-or-tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                NMC or Tolerance
                ''',
                'nmc_or_tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Virtual Components
                ''',
                'nvc',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otnfspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GenericFspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GenericFspec',
            False, 
            [
            _MetaInfoClassMember('fspec-type', REFERENCE_ENUM_CLASS, 'TeMgmtGenericFspecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeMgmtGenericFspecEnum', 
                [], [], 
                '''                FSpecType
                ''',
                'fspec_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otnfspec', REFERENCE_CLASS, 'Otnfspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GenericFspec.Otnfspec', 
                [], [], 
                '''                TE FSpec for G709 OTN
                ''',
                'otnfspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'generic-fspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.NextHopAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.NextHopAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.NextHopAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.NextHopAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.NextHopAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'next-hop-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'previous-hop-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.IncomingAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.IncomingAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.IncomingAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.IncomingAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.IncomingAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'incoming-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.S2LConvergence' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.S2LConvergence',
            False, 
            [
            _MetaInfoClassMember('creation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tunnel creation timestamp (clocktime in nsecs)
                ''',
                'creation_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rewrite', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP Label rewrite timestamp (clocktime in nsecs)
                ''',
                'label_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Path-in timestamp (clocktime in nsecs)
                ''',
                'path_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Path-in timestamp (clocktime in nsecs)
                ''',
                'path_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Resv-in timestamp (clocktime in nsecs)
                ''',
                'resv_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Resv-out timestamp (clocktime in nsecs)
                ''',
                'resv_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-rewrite', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tunnel rewrite timestamp (clocktime in nsecs)
                ''',
                'tunnel_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-convergence',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.SoftPreemption' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.SoftPreemption',
            False, 
            [
            _MetaInfoClassMember('fr-rrewrite', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR-rewrite during soft preemption
                ''',
                'fr_rrewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fr-rrewrite-tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The tunnel name of the backup
                ''',
                'fr_rrewrite_tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('preempting-link-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The address of the link where the preemption
                happened
                ''',
                'preempting_link_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-link', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the link where the soft preemption
                occurred
                ''',
                'soft_preemption_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The POSIX timestamp when the soft preemption
                occurred
                ''',
                'soft_preemption_timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'MplsTeSoftPreemptionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeSoftPreemptionStateEnum', 
                [], [], 
                '''                The current state of the soft preemption
                operation
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-to-hard-preemption', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The number of seconds until hard preemption is
                triggered
                ''',
                'time_to_hard_preemption',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'soft-preemption',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels',
            False, 
            [
            _MetaInfoClassMember('path-egress-label', REFERENCE_CLASS, 'PathEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel', 
                [], [], 
                '''                Path message (upstream) egress label
                ''',
                'path_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-ingress-label', REFERENCE_CLASS, 'PathIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel', 
                [], [], 
                '''                Path message (upstream) ingress label
                ''',
                'path_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-egress-label', REFERENCE_CLASS, 'ResvEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel', 
                [], [], 
                '''                Resv message (downstream) egress label
                ''',
                'resv_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-ingress-label', REFERENCE_CLASS, 'ResvIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel', 
                [], [], 
                '''                Resv message (downstream) ingress label
                ''',
                'resv_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'gmpls-labels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tolerance
                ''',
                'tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-cbr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-gfp-f-res',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-gfp-f-non-res',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth',
            False, 
            [
            _MetaInfoClassMember('odu-flex-cbr', REFERENCE_CLASS, 'OduFlexCbr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr', 
                [], [], 
                '''                Odu flex CBR info
                ''',
                'odu_flex_cbr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-flex-gfp-f-non-res', REFERENCE_CLASS, 'OduFlexGfpFNonRes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes', 
                [], [], 
                '''                Odu flex GFP-F non-resizable info
                ''',
                'odu_flex_gfp_f_non_res',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-flex-gfp-f-res', REFERENCE_CLASS, 'OduFlexGfpFRes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes', 
                [], [], 
                '''                Odu flex GFP-F resizable info
                ''',
                'odu_flex_gfp_f_res',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-level', REFERENCE_ENUM_CLASS, 'TeOduLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeOduLevelEnum', 
                [], [], 
                '''                ODULevel
                ''',
                'odu_level',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels',
            False, 
            [
            _MetaInfoClassMember('path-egress-label', REFERENCE_CLASS, 'PathEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel', 
                [], [], 
                '''                Path message (upstream) egress label
                ''',
                'path_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-ingress-label', REFERENCE_CLASS, 'PathIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel', 
                [], [], 
                '''                Path message (upstream) ingress label
                ''',
                'path_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-egress-label', REFERENCE_CLASS, 'ResvEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel', 
                [], [], 
                '''                Resv message (downstream) egress label
                ''',
                'resv_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-ingress-label', REFERENCE_CLASS, 'ResvIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel', 
                [], [], 
                '''                Resv message (downstream) ingress label
                ''',
                'resv_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'labels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn',
            False, 
            [
            _MetaInfoClassMember('bandwidth', REFERENCE_CLASS, 'Bandwidth' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth', 
                [], [], 
                '''                OTN Bandwidth for s2l
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cross-connect-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cross connect id
                ''',
                'cross_connect_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gpid', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Gpid Payload
                ''',
                'gpid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Incoming Controller
                ''',
                'incoming_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Incoming Controller Ifhandle
                ''',
                'incoming_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Controller
                ''',
                'incoming_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Incoming Sub Controller
                ''',
                'incoming_sub_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Incoming Sub Controller Ifhandle
                ''',
                'incoming_sub_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Sub Controller
                ''',
                'incoming_sub_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if subcontrollers are connected
                ''',
                'is_connected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('labels', REFERENCE_CLASS, 'Labels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels', 
                [], [], 
                '''                Labels
                ''',
                'labels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing Controller
                ''',
                'outgoing_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Controller Ifhandle
                ''',
                'outgoing_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Controller
                ''',
                'outgoing_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing Sub Controller
                ''',
                'outgoing_sub_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Sub Controller Ifhandle
                ''',
                'outgoing_sub_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Sub Controller
                ''',
                'outgoing_sub_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                XC Uptime
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Aps.ProtectionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Aps.ProtectionInfo',
            False, 
            [
            _MetaInfoClassMember('ho-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-Off timeout
                ''',
                'ho_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-hopresent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Hold-Off timeout present
                ''',
                'is_hopresent',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-snc-mode-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SNC mode present
                ''',
                'is_snc_mode_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-wtr-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Wait-to-Restore timeout present
                ''',
                'is_wtr_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Notification bit 
                ''',
                'nbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('obit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Operational bit
                ''',
                'obit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path protection profile type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Protecting bit
                ''',
                'pbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protect-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                LSP Protect Type
                ''',
                'protect_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Secondary bit
                ''',
                'sbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                SNC mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TCM ID
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wtr-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait-to-Restore timeout
                ''',
                'wtr_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protection-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Aps' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Aps',
            False, 
            [
            _MetaInfoClassMember('protection-info', REFERENCE_CLASS, 'ProtectionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Aps.ProtectionInfo', 
                [], [], 
                '''                Protection Info
                ''',
                'protection_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'aps',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L',
            False, 
            [
            _MetaInfoClassMember('aps', REFERENCE_CLASS, 'Aps' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Aps', 
                [], [], 
                '''                APS Info for OTN S2L
                ''',
                'aps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn', 
                [], [], 
                '''                Info Related to OTN technology in S2L
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn-s2l',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.HeadEndBfdInfo.SessionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.HeadEndBfdInfo.SessionInfo',
            False, 
            [
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'TeBfdLspSessionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdLspSessionStateEnum', 
                [], [], 
                '''                BFD session state
                ''',
                'state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('state-change-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last session state
                change
                ''',
                'state_change_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'session-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.HeadEndBfdInfo.DeletionHistory' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.HeadEndBfdInfo.DeletionHistory',
            False, 
            [
            _MetaInfoClassMember('deletion-diagnostic-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Diagnostic Code for the BFD session get deleted
                ''',
                'deletion_diagnostic_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reason for the BFD session get deleted
                ''',
                'deletion_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time stamp of the BFD session get deleted
                ''',
                'deletion_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID of the BFD session get deleted
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'deletion-history',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.HeadEndBfdInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.HeadEndBfdInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-reverse-path-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path labels
                ''',
                'bfd_reverse_path_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The BFD reverse path is stale compared to
                configuration
                ''',
                'bfd_reverse_path_stale',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('creation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the BFD session created
                ''',
                'creation_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-history', REFERENCE_CLASS, 'DeletionHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.HeadEndBfdInfo.DeletionHistory', 
                [], [], 
                '''                BFD Session Deletion History
                ''',
                'deletion_history',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-redundant', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                sBFD session is redundant
                ''',
                'is_redundant',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lspbfd-type', REFERENCE_ENUM_CLASS, 'TeVifBfdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeVifBfdEnum', 
                [], [], 
                '''                LSP BFD type
                ''',
                'lspbfd_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-info', REFERENCE_CLASS, 'SessionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.HeadEndBfdInfo.SessionInfo', 
                [], [], 
                '''                BFD Session Info
                ''',
                'session_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'head-end-bfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.TailEndBfdInfo.SessionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.TailEndBfdInfo.SessionInfo',
            False, 
            [
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'TeBfdLspSessionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdLspSessionStateEnum', 
                [], [], 
                '''                BFD session state
                ''',
                'state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('state-change-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last session state
                change
                ''',
                'state_change_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'session-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.TailEndBfdInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.TailEndBfdInfo',
            False, 
            [
            _MetaInfoClassMember('failure-diagnostic-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD session failure diagnostic code
                ''',
                'failure_diagnostic_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('failure-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                BFD session failure reason
                ''',
                'failure_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-discriminator', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Local Discriminator
                ''',
                'local_discriminator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('min-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello interval in mini second
                ''',
                'min_interval',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('min-interval-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default hello interval
                ''',
                'min_interval_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default multiplier
                ''',
                'multiplier_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-discriminator', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Remote Discrminator
                ''',
                'remote_discriminator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-info', REFERENCE_CLASS, 'SessionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.TailEndBfdInfo.SessionInfo', 
                [], [], 
                '''                BFD Session Info
                ''',
                'session_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tail-end-bfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.SrlgCollection' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.SrlgCollection',
            False, 
            [
            _MetaInfoClassMember('discovered-srlg', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Discovered SRLGs
                ''',
                'discovered_srlg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-collect-type', REFERENCE_ENUM_CLASS, 'TeSrlgCollectRequestEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSrlgCollectRequestEnum', 
                [], [], 
                '''                SRLG-collection mechanism
                ''',
                'srlg_collect_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-collection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.Association' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.Association',
            False, 
            [
            _MetaInfoClassMember('s2l-association-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Association ID
                ''',
                's2l_association_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                S2L Association Source
                ''',
                's2l_association_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-tie-role', REFERENCE_ENUM_CLASS, 'TeAssociationTieRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAssociationTieRoleEnum', 
                [], [], 
                '''                S2L Association Tie Role
                ''',
                's2l_association_tie_role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Association Type                         
                (draft-ietf-ccamp-mpls-tp-rsvpte-ext-associated-lsp)
                ''',
                's2l_association_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-extended-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L Extended ID Array
                ''',
                's2l_extended_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-global-source', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L Global Source
                ''',
                's2l_global_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'association',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.Protection' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.Protection',
            False, 
            [
            _MetaInfoClassMember('any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Any
                ''',
                'any',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ded1-plus1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1+1 Protection
                ''',
                'ded1_plus1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ded1-to1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1:1 Protection
                ''',
                'ded1_to1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('enhanced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates Enhanced Protection Scheme
                ''',
                'enhanced',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extra-traffic', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should use Links that are protecting other
                (primary) traffic
                ''',
                'extra_traffic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should not use any Link Layer Protection
                ''',
                'link_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Flags Unprotected
                ''',
                'lsp_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-plus-one-bi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Bidirectional Protection
                ''',
                'one_plus_one_bi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-plus-one-uni', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Unidirectional Protection
                ''',
                'one_plus_one_uni',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-to-n-protection-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1:N Protection with Extra-Traffic
                ''',
                'one_to_n_protection_et',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Full Rerouting
                ''',
                'rerouting',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouting-no-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Rerouting Without Extra-Traffic
                ''',
                'rerouting_no_et',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-notification', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Notification Bit
                ''',
                's2l_notification',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-operational', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Operational Bit
                ''',
                's2l_operational',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Protecting Bit
                ''',
                's2l_protecting',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-secondary', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Secondary Bit
                ''',
                's2l_secondary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Shared Link Layer Protection
                ''',
                'shared',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseLspFec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseLspFec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseLspFec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseLspFec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseLspFec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-lsp-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseTspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseTspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.FlexInfo.FlexFec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.FlexInfo.FlexFec',
            False, 
            [
            _MetaInfoClassMember('s2l-fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                Session identifier (ctype)
                ''',
                's2l_fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-dest', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                sub-LSP destination address
                ''',
                's2l_fec_dest',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                's2l_fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                's2l_fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                's2l_fec_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSP source address
                ''',
                's2l_fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                sub-LSP subgroup ID
                ''',
                's2l_fec_subgroup_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                's2l_fec_subgroup_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                's2l_fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                's2l_fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.FlexInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.FlexInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-created', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GAL BFD Session Created
                ''',
                'bfd_created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-egress-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Egress Label
                ''',
                'bfd_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-int-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Internal Label
                ''',
                'bfd_int_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                BFD Next Hop
                ''',
                'bfd_next_hop',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-out-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD Out Interface Handle
                ''',
                'bfd_out_ifh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-tun-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD Tunnel Interface Handle
                ''',
                'bfd_tun_ifh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GAL BFD Session Up
                ''',
                'bfd_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('entry-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FlexLSP Entry Exists
                ''',
                'entry_exists',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ais', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault AIS
                ''',
                'fault_ais',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ldi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LDI
                ''',
                'fault_ldi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ldi-lockout', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LDI Lockout
                ''',
                'fault_ldi_lockout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-lkr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LKR
                ''',
                'fault_lkr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Fault Time
                ''',
                'fault_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex-fec', REFERENCE_CLASS, 'FlexFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.FlexInfo.FlexFec', 
                [], [], 
                '''                FEC for the FlexLSP Entry
                ''',
                'flex_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                In Label
                ''',
                'in_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('oam-created', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                OAM Entry Created
                ''',
                'oam_created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.LspWrapInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.LspWrapInfo',
            False, 
            [
            _MetaInfoClassMember('lsp-wrap-protection-enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Wrap protection enabled
                ''',
                'lsp_wrap_protection_enable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-protection-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSP Wrap Merge Point Label
                ''',
                'lsp_wrap_protection_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-protection-state', REFERENCE_ENUM_CLASS, 'MplsTeLspWrapStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspWrapStateEnum', 
                [], [], 
                '''                LSP wrap protection state
                ''',
                'lsp_wrap_protection_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reverse Egress Interface
                ''',
                'reverse_egress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reverse LSP label
                ''',
                'reverse_lsp_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-wrap-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.DiversityInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.DiversityInfo',
            False, 
            [
            _MetaInfoClassMember('diversity-type', REFERENCE_ENUM_CLASS, 'TePpDiversityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePpDiversityEnum', 
                [], [], 
                '''                S2L path diversity type
                ''',
                'diversity_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'diversity-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.SharedRiskLinkGroup' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.SharedRiskLinkGroup',
            False, 
            [
            _MetaInfoClassMember('shared-risk-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG number
                ''',
                'shared_risk_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SRLG name
                ''',
                'srlg_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'shared-risk-link-group',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutEro.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutEro.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutEro.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutEro.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutEro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutEro',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutEro.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutEro.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'out-ero',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InEro.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InEro.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InEro.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InEro.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InEro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InEro',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InEro.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InEro.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'in-ero',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.Ipv4RroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.Ipv4RroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.Ipv4RroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.Ipv4RroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.Ipv4RroSubObject.Flags', 
                [], [], 
                '''                The RRO IPV4 Subobject Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO IPV4 Address
                ''',
                'rro_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.LabelRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.LabelRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-global-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label is Global across all interfaces
                ''',
                'is_global_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.LabelRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.LabelRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.LabelRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Label Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-label-variable-length', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the RRO Subobject Label Variable Length
                ''',
                'is_label_variable_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Label Value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('variable-length-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Variable Length Label
                ''',
                'variable_length_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'label-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.UnnumberedRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.UnnumberedRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.UnnumberedRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.UnnumberedRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.UnnumberedRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Unnumbered Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO Interface Address
                ''',
                'interface_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.SrlgRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.SrlgRroSubObject',
            False, 
            [
            _MetaInfoClassMember('srl-gs', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject SRLGs
                ''',
                'srl_gs',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro',
            False, 
            [
            _MetaInfoClassMember('ipv4rro-sub-object', REFERENCE_CLASS, 'Ipv4RroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.Ipv4RroSubObject', 
                [], [], 
                '''                IPV4 RRO Sub Object
                ''',
                'ipv4rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rro-sub-object', REFERENCE_CLASS, 'LabelRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.LabelRroSubObject', 
                [], [], 
                '''                Label RRO Sub Object
                ''',
                'label_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtRroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtRroSubobjEnum', 
                [], [], 
                '''                RROType
                ''',
                'rro_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-rro-sub-object', REFERENCE_CLASS, 'SrlgRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.SrlgRroSubObject', 
                [], [], 
                '''                SRLG RRO Sub Object
                ''',
                'srlg_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-rro-sub-object', REFERENCE_CLASS, 'UnnumberedRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.UnnumberedRroSubObject', 
                [], [], 
                '''                Unnumbered RRO Sub Object
                ''',
                'unnumbered_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-rro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.Ipv4RroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.Ipv4RroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.Ipv4RroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.Ipv4RroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.Ipv4RroSubObject.Flags', 
                [], [], 
                '''                The RRO IPV4 Subobject Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO IPV4 Address
                ''',
                'rro_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.LabelRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.LabelRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-global-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label is Global across all interfaces
                ''',
                'is_global_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.LabelRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.LabelRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.LabelRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Label Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-label-variable-length', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the RRO Subobject Label Variable Length
                ''',
                'is_label_variable_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Label Value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('variable-length-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Variable Length Label
                ''',
                'variable_length_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'label-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.UnnumberedRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.UnnumberedRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Unnumbered Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO Interface Address
                ''',
                'interface_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.SrlgRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.SrlgRroSubObject',
            False, 
            [
            _MetaInfoClassMember('srl-gs', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject SRLGs
                ''',
                'srl_gs',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro',
            False, 
            [
            _MetaInfoClassMember('ipv4rro-sub-object', REFERENCE_CLASS, 'Ipv4RroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.Ipv4RroSubObject', 
                [], [], 
                '''                IPV4 RRO Sub Object
                ''',
                'ipv4rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rro-sub-object', REFERENCE_CLASS, 'LabelRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.LabelRroSubObject', 
                [], [], 
                '''                Label RRO Sub Object
                ''',
                'label_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtRroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtRroSubobjEnum', 
                [], [], 
                '''                RROType
                ''',
                'rro_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-rro-sub-object', REFERENCE_CLASS, 'SrlgRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.SrlgRroSubObject', 
                [], [], 
                '''                SRLG RRO Sub Object
                ''',
                'srlg_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-rro-sub-object', REFERENCE_CLASS, 'UnnumberedRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.UnnumberedRroSubObject', 
                [], [], 
                '''                Unnumbered RRO Sub Object
                ''',
                'unnumbered_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-rro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathAffinityArray' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathAffinityArray',
            False, 
            [
            _MetaInfoClassMember('hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Hop address
                ''',
                'hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop-affinity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'hop_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop-extended-affinity', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hop affinity
                ''',
                'hop_extended_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-affinity-array',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseEroIn.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseEroIn.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseEroIn.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseEroIn.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseEroIn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseEroIn',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseEroIn.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseEroIn.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-ero-in',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.S2LSegmentRoutingPath' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.S2LSegmentRoutingPath',
            False, 
            [
            _MetaInfoClassMember('has-entropy-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Hop has EL specified
                ''',
                'has_entropy_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-ip-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node has IP addresses specified
                ''',
                'has_ip_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-mpls-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Hop has MPLS label specified
                ''',
                'has_mpls_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local IP address of adjacency or Node ID
                ''',
                'local_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mpls-label-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The MPLS label value
                ''',
                'mpls_label_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote IP address of adjacency
                ''',
                'remote_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sid-type', REFERENCE_ENUM_CLASS, 'TeSrSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSrSidEnum', 
                [], [], 
                '''                Type of the SID
                ''',
                'sid_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-segment-routing-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L',
            False, 
            [
            _MetaInfoClassMember('abr-auto-discovered', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next ABR auto discovered
                ''',
                'abr_auto_discovered',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('active-path-option', REFERENCE_CLASS, 'ActivePathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption', 
                [], [], 
                '''                The path option used to find the path for this
                S2L
                ''',
                'active_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('association', REFERENCE_CLASS, 'Association' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.Association', 
                [], [], 
                '''                Association Object
                ''',
                'association',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface handle of the backup tunnel
                ''',
                'backup_tunnel_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('diversity-info', REFERENCE_CLASS, 'DiversityInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.DiversityInfo', 
                [], [], 
                '''                S2L Diversity Information
                ''',
                'diversity_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('downstream-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Downstream router id
                ''',
                'downstream_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Egress Interface
                ''',
                'egress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface-brief', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Egress Interface in brief format
                ''',
                'egress_interface_brief',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Interface
                ''',
                'egress_interface_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Outgoing ERO's affinity bits (colors)
                ''',
                'expanded_ero_affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Outgoing ERO's affinity mask (colors)
                ''',
                'expanded_ero_affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Indicates the protocol and area used to find
                Outgoing ERO
                ''',
                'expanded_ero_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The metric value of the expanded path
                ''',
                'expanded_ero_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-metric-type', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                The Outgoing ERO's selection metric
                ''',
                'expanded_ero_metric_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex-info', REFERENCE_CLASS, 'FlexInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.FlexInfo', 
                [], [], 
                '''                FlexLSP S2L Information
                ''',
                'flex_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-out-tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FRR out tunnel intface
                ''',
                'frr_out_tunnel_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fspec', REFERENCE_CLASS, 'Fspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.Fspec', 
                [], [], 
                '''                The F spec info
                ''',
                'fspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generic-fspec', REFERENCE_CLASS, 'GenericFspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GenericFspec', 
                [], [], 
                '''                Generic FSpec
                ''',
                'generic_fspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generic-tspec', REFERENCE_CLASS, 'GenericTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GenericTspec', 
                [], [], 
                '''                Generic TSpec
                ''',
                'generic_tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gmpls-labels', REFERENCE_CLASS, 'GmplsLabels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels', 
                [], [], 
                '''                GMPLS labels
                ''',
                'gmpls_labels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('head-end-bfd-info', REFERENCE_CLASS, 'HeadEndBfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.HeadEndBfdInfo', 
                [], [], 
                '''                The Head-end BFD info
                ''',
                'head_end_bfd_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-ero', REFERENCE_LIST, 'InEro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InEro', 
                [], [], 
                '''                Incoming ERO for this S2L
                ''',
                'in_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-xro', REFERENCE_CLASS, 'InXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro', 
                [], [], 
                '''                Incoming XRO for this S2L
                ''',
                'in_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Incoming interface address
                ''',
                'incoming_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-address-generic', REFERENCE_CLASS, 'IncomingAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.IncomingAddressGeneric', 
                [], [], 
                '''                Incoming interface address
                ''',
                'incoming_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ingress Interface
                ''',
                'ingress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface-brief', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ingress Interface in brief format
                ''',
                'ingress_interface_brief',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Interface
                ''',
                'ingress_interface_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-protect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BW Protection Enabled or Disabled
                ''',
                'is_bandwidth_protect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-expanded-ero', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if this LSR expanded a loose path
                ''',
                'is_expanded_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-frr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Enabled or Disabled
                ''',
                'is_frr_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Enabled or Disabled
                ''',
                'is_node_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-optical', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Optical
                ''',
                'is_optical',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local router id
                ''',
                'local_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-info', REFERENCE_CLASS, 'LspWrapInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.LspWrapInfo', 
                [], [], 
                '''                Lsp Wrap  Related information
                ''',
                'lsp_wrap_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop address
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address-generic', REFERENCE_CLASS, 'NextHopAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.NextHopAddressGeneric', 
                [], [], 
                '''                Next hop address
                ''',
                'next_hop_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('node-hop-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hop count
                ''',
                'node_hop_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn-s2l', REFERENCE_CLASS, 'OtnS2L' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L', 
                [], [], 
                '''                Otn S2L Information
                ''',
                'otn_s2l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-ero', REFERENCE_LIST, 'OutEro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutEro', 
                [], [], 
                '''                Outgoing ERO for this S2L
                ''',
                'out_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-xro', REFERENCE_CLASS, 'OutXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro', 
                [], [], 
                '''                Outgoing XRO for this S2L
                ''',
                'out_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outbound-frr-state', REFERENCE_ENUM_CLASS, 'MplsTeFrrStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeFrrStateEnum', 
                [], [], 
                '''                Indicates outbound FRR state
                ''',
                'outbound_frr_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-affinity-array', REFERENCE_LIST, 'PathAffinityArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathAffinityArray', 
                [], [], 
                '''                Tunnel's Path hops with affinity
                ''',
                'path_affinity_array',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reeval-query-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loose path reevaluation query received at
                mid-point
                ''',
                'path_reeval_query_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-rro', REFERENCE_LIST, 'PathRro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro', 
                [], [], 
                '''                Path RRO for this S2L
                ''',
                'path_rro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-rro-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path RRO Enabled or Disabled
                ''',
                'path_rro_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-using-strict-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is using Strict SPF
                ''',
                'path_using_strict_spf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcalc-area', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IGP-area in which the S2L path was calculated
                ''',
                'pcalc_area',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Previous hop address
                ''',
                'previous_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-hop-address-generic', REFERENCE_CLASS, 'PreviousHopAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric', 
                [], [], 
                '''                Previous hop address
                ''',
                'previous_hop_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection', REFERENCE_CLASS, 'Protection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.Protection', 
                [], [], 
                '''                Protection Object
                ''',
                'protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-rro', REFERENCE_LIST, 'ResvRro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro', 
                [], [], 
                '''                Resv RRO for this S2L
                ''',
                'resv_rro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-ero-in', REFERENCE_LIST, 'ReverseEroIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseEroIn', 
                [], [], 
                '''                 Reverse Incoming ERO for this S2L
                ''',
                'reverse_ero_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Connected
                ''',
                'reverse_lsp_connected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-fec', REFERENCE_CLASS, 'ReverseLspFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseLspFec', 
                [], [], 
                '''                Reverse Associated Bidir LSP FEC
                ''',
                'reverse_lsp_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Name
                ''',
                'reverse_lsp_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Present
                ''',
                'reverse_lsp_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-tspec', REFERENCE_CLASS, 'ReverseTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseTspec', 
                [], [], 
                '''                The Reverse T spec info
                ''',
                'reverse_tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The reverse path weight
                ''',
                'reverse_weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('role', REFERENCE_ENUM_CLASS, 'MplsTeTunnelRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelRoleEnum', 
                [], [], 
                '''                Role of S2L
                ''',
                'role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-convergence', REFERENCE_CLASS, 'S2LConvergence' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.S2LConvergence', 
                [], [], 
                '''                TE LSP convergence related information
                ''',
                's2l_convergence',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec', REFERENCE_CLASS, 'S2LFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.S2LFec', 
                [], [], 
                '''                FEC for the S2L
                ''',
                's2l_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label
                ''',
                's2l_local_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing label
                ''',
                's2l_out_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-ero-obj-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2l Reverse ERO Object Present
                ''',
                's2l_reverse_ero_obj_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-lsp-sub-obj', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Reverse LSP Sub Objects
                ''',
                's2l_reverse_lsp_sub_obj',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-tspec-obj-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Reverse TSpec Object Present
                ''',
                's2l_reverse_tspec_obj_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-segment-routing-path', REFERENCE_LIST, 'S2LSegmentRoutingPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.S2LSegmentRoutingPath', 
                [], [], 
                '''                Segment-Routing S2L path info
                ''',
                's2l_segment_routing_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared-risk-link-group', REFERENCE_LIST, 'SharedRiskLinkGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.SharedRiskLinkGroup', 
                [], [], 
                '''                The S2L's excluded srlg groups
                ''',
                'shared_risk_link_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-status', REFERENCE_ENUM_CLASS, 'MplsTeTunnelsSignalingStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelsSignalingStatusEnum', 
                [], [], 
                '''                Signaling status
                ''',
                'signalling_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption', REFERENCE_CLASS, 'SoftPreemption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.SoftPreemption', 
                [], [], 
                '''                The soft preemption info for this LSP.
                ''',
                'soft_preemption',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-collection', REFERENCE_CLASS, 'SrlgCollection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.SrlgCollection', 
                [], [], 
                '''                SRLG-collection data
                ''',
                'srlg_collection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tail-end-bfd-info', REFERENCE_CLASS, 'TailEndBfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.TailEndBfdInfo', 
                [], [], 
                '''                The Tail-end BFD info
                ''',
                'tail_end_bfd_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-preferred-path-exists-send-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last preferred path exists msg send
                from mid-point
                ''',
                'time_since_last_preferred_path_exists_send_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-preferred-tree-exists-send-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last preferred tree exists msg send
                from mid-point
                ''',
                'time_since_last_preferred_tree_exists_send_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-query-received-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last reevaluation query received at
                mid-point
                ''',
                'time_since_last_query_received_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tspec', REFERENCE_CLASS, 'Tspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.Tspec', 
                [], [], 
                '''                The T spec info
                ''',
                'tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('upstream-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Upstream router id
                ''',
                'upstream_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the tunnel was up
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The path's weight
                ''',
                'weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp',
            False, 
            [
            _MetaInfoClassMember('dste-class-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Matching DSTE class index
                ''',
                'dste_class_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-match', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Do the class type and priority match a DSTE
                class
                ''',
                'dste_class_match',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-active-reason', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP LSP FRR active reason
                ''',
                'frr_active_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-frr-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                P2MP LSP has FRR Failed
                ''',
                'is_frr_failed',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True for tunnel head
                ''',
                'is_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-passive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True for passive tunnel
                ''',
                'is_passive',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-path-change', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last path change
                ''',
                'last_path_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP LSP Bandwidth
                ''',
                'lsp_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The LSP bandwidth type
                ''',
                'lsp_bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-fec', REFERENCE_CLASS, 'LspFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.LspFec', 
                [], [], 
                '''                FEC for the LSP
                ''',
                'lsp_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSP hold priority
                ''',
                'lsp_hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSP setup priority
                ''',
                'lsp_setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('persistent-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Persistent forwarding statistics for number of
                bytes. Clear counters will not reset the counter
                ''',
                'persistent_bytes',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('persistent-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Persistent forwarding statistics for Number of
                packets. Clear counters will not reset the
                counter
                ''',
                'persistent_packets',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimize-reason', REFERENCE_ENUM_CLASS, 'MplsTeReoptDecisionReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeReoptDecisionReasonEnum', 
                [], [], 
                '''                Reason for re-optimization
                ''',
                'reoptimize_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimize-trigger', REFERENCE_ENUM_CLASS, 'MteReoptTriggerEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MteReoptTriggerEnum', 
                [], [], 
                '''                Re-optimize trigger
                ''',
                'reoptimize_trigger',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-down', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of down S2Ls
                ''',
                's2_ls_down',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-proceeding', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of proceeding S2Ls
                ''',
                's2_ls_proceeding',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of connected S2Ls
                ''',
                's2_ls_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l', REFERENCE_LIST, 'S2L' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L', 
                [], [], 
                '''                array of S2L structures
                ''',
                's2l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signaled-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signaled Name
                ''',
                'signaled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('timer-left', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds left to take next action if any
                ''',
                'timer_left',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MplsTeLspEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspEnum', 
                [], [], 
                '''                The type of this LSP
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the tunnel was up
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tunnel-standby-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.LspFec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.LspFec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.LspFec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.LspFec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.LspFec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.S2LFec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.S2LFec',
            False, 
            [
            _MetaInfoClassMember('s2l-fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                Session identifier (ctype)
                ''',
                's2l_fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-dest', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                sub-LSP destination address
                ''',
                's2l_fec_dest',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                's2l_fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                's2l_fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                's2l_fec_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSP source address
                ''',
                's2l_fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                sub-LSP subgroup ID
                ''',
                's2l_fec_subgroup_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                's2l_fec_subgroup_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                's2l_fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                's2l_fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.PathCalculationError' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.PathCalculationError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-calculation-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.RemergeError' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.RemergeError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'remerge-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.SignallingError' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.SignallingError',
            False, 
            [
            _MetaInfoClassMember('error', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Path Error code
                ''',
                'error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Source address of the error generating node
                ''',
                'error_node',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSPMode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if error is on the reverse LSP
                ''',
                'reverse_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP-id for which the error was received
                ''',
                'signalling_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path Error subcode
                ''',
                'sub_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalling-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption',
            False, 
            [
            _MetaInfoClassMember('attribute-set', REFERENCE_CLASS, 'AttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet', 
                [], [], 
                '''                The path option attribute set used by this path
                ''',
                'attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-found', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has found the defined attribute
                set
                ''',
                'attribute_set_found',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Explicit Path ID, this is the key to table
                ExplicitPaths.IdentifierTable
                ''',
                'explicit_path_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Explicit Path Name, this is the key to table
                ExplicitPaths.NameTable
                ''',
                'explicit_path_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has an attribute set defined
                ''',
                'has_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-xro-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has an XRO attribute set
                configured
                ''',
                'has_xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('holddown-duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Holddown Duration (seconds)
                ''',
                'holddown_duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path option is disabled
                ''',
                'is_disabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-helddown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if path is helddown
                ''',
                'is_helddown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-lockdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is locked down
                ''',
                'is_lockdown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-segment-routing', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is Segment-Routing
                ''',
                'is_segment_routing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-explicit-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if explicit path is strict
                ''',
                'is_strict_explicit_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-verbatim', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is verbatim
                ''',
                'is_verbatim',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index
                ''',
                'option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index-is-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The path option index is valid
                ''',
                'option_index_is_valid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-calculation-error', REFERENCE_LIST, 'PathCalculationError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.PathCalculationError', 
                [], [], 
                '''                Path computation information
                ''',
                'path_calculation_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The path-option area constraint
                ''',
                'path_option_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path option name
                ''',
                'path_option_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-type', REFERENCE_ENUM_CLASS, 'MplsTePathoptionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTePathoptionEnum', 
                [], [], 
                '''                Path option type
                ''',
                'path_option_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                PCE server address
                ''',
                'pce_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-by-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for Protect path options
                ''',
                'protected_by_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remerge-error', REFERENCE_LIST, 'RemergeError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.RemergeError', 
                [], [], 
                '''                Path computation remerge resolve info
                ''',
                'remerge_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restored-from-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for Restore path options
                ''',
                'restored_from_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-error', REFERENCE_LIST, 'SignallingError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.SignallingError', 
                [], [], 
                '''                Signalling information
                ''',
                'signalling_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set', REFERENCE_CLASS, 'XroAttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet', 
                [], [], 
                '''                The XRO attribute set used by this path-option
                ''',
                'xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set-found', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path's XRO attribute set is known
                ''',
                'xro_attribute_set_found',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'active-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'out-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'in-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.Tspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.Tspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GenericTspec.Otntspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GenericTspec.Otntspec',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit Rate in kbps
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nmc-or-tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                NMC or Tolerance
                ''',
                'nmc_or_tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Virtual Components
                ''',
                'nvc',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otntspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GenericTspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GenericTspec',
            False, 
            [
            _MetaInfoClassMember('otntspec', REFERENCE_CLASS, 'Otntspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GenericTspec.Otntspec', 
                [], [], 
                '''                TE TSpec for G709 OTN
                ''',
                'otntspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tspec-type', REFERENCE_ENUM_CLASS, 'TeMgmtGenericTspecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeMgmtGenericTspecEnum', 
                [], [], 
                '''                TSpecType
                ''',
                'tspec_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'generic-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.Fspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.Fspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GenericFspec.Otnfspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GenericFspec.Otnfspec',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit Rate in kbps
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nmc-or-tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                NMC or Tolerance
                ''',
                'nmc_or_tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Virtual Components
                ''',
                'nvc',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otnfspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GenericFspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GenericFspec',
            False, 
            [
            _MetaInfoClassMember('fspec-type', REFERENCE_ENUM_CLASS, 'TeMgmtGenericFspecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeMgmtGenericFspecEnum', 
                [], [], 
                '''                FSpecType
                ''',
                'fspec_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otnfspec', REFERENCE_CLASS, 'Otnfspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GenericFspec.Otnfspec', 
                [], [], 
                '''                TE FSpec for G709 OTN
                ''',
                'otnfspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'generic-fspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'next-hop-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'previous-hop-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'incoming-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.S2LConvergence' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.S2LConvergence',
            False, 
            [
            _MetaInfoClassMember('creation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tunnel creation timestamp (clocktime in nsecs)
                ''',
                'creation_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rewrite', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP Label rewrite timestamp (clocktime in nsecs)
                ''',
                'label_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Path-in timestamp (clocktime in nsecs)
                ''',
                'path_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Path-in timestamp (clocktime in nsecs)
                ''',
                'path_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Resv-in timestamp (clocktime in nsecs)
                ''',
                'resv_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Resv-out timestamp (clocktime in nsecs)
                ''',
                'resv_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-rewrite', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tunnel rewrite timestamp (clocktime in nsecs)
                ''',
                'tunnel_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-convergence',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.SoftPreemption' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.SoftPreemption',
            False, 
            [
            _MetaInfoClassMember('fr-rrewrite', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR-rewrite during soft preemption
                ''',
                'fr_rrewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fr-rrewrite-tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The tunnel name of the backup
                ''',
                'fr_rrewrite_tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('preempting-link-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The address of the link where the preemption
                happened
                ''',
                'preempting_link_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-link', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the link where the soft preemption
                occurred
                ''',
                'soft_preemption_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The POSIX timestamp when the soft preemption
                occurred
                ''',
                'soft_preemption_timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'MplsTeSoftPreemptionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeSoftPreemptionStateEnum', 
                [], [], 
                '''                The current state of the soft preemption
                operation
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-to-hard-preemption', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The number of seconds until hard preemption is
                triggered
                ''',
                'time_to_hard_preemption',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'soft-preemption',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels',
            False, 
            [
            _MetaInfoClassMember('path-egress-label', REFERENCE_CLASS, 'PathEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel', 
                [], [], 
                '''                Path message (upstream) egress label
                ''',
                'path_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-ingress-label', REFERENCE_CLASS, 'PathIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel', 
                [], [], 
                '''                Path message (upstream) ingress label
                ''',
                'path_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-egress-label', REFERENCE_CLASS, 'ResvEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel', 
                [], [], 
                '''                Resv message (downstream) egress label
                ''',
                'resv_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-ingress-label', REFERENCE_CLASS, 'ResvIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel', 
                [], [], 
                '''                Resv message (downstream) ingress label
                ''',
                'resv_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'gmpls-labels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tolerance
                ''',
                'tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-cbr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-gfp-f-res',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-gfp-f-non-res',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth',
            False, 
            [
            _MetaInfoClassMember('odu-flex-cbr', REFERENCE_CLASS, 'OduFlexCbr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr', 
                [], [], 
                '''                Odu flex CBR info
                ''',
                'odu_flex_cbr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-flex-gfp-f-non-res', REFERENCE_CLASS, 'OduFlexGfpFNonRes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes', 
                [], [], 
                '''                Odu flex GFP-F non-resizable info
                ''',
                'odu_flex_gfp_f_non_res',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-flex-gfp-f-res', REFERENCE_CLASS, 'OduFlexGfpFRes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes', 
                [], [], 
                '''                Odu flex GFP-F resizable info
                ''',
                'odu_flex_gfp_f_res',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-level', REFERENCE_ENUM_CLASS, 'TeOduLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeOduLevelEnum', 
                [], [], 
                '''                ODULevel
                ''',
                'odu_level',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels',
            False, 
            [
            _MetaInfoClassMember('path-egress-label', REFERENCE_CLASS, 'PathEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel', 
                [], [], 
                '''                Path message (upstream) egress label
                ''',
                'path_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-ingress-label', REFERENCE_CLASS, 'PathIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel', 
                [], [], 
                '''                Path message (upstream) ingress label
                ''',
                'path_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-egress-label', REFERENCE_CLASS, 'ResvEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel', 
                [], [], 
                '''                Resv message (downstream) egress label
                ''',
                'resv_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-ingress-label', REFERENCE_CLASS, 'ResvIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel', 
                [], [], 
                '''                Resv message (downstream) ingress label
                ''',
                'resv_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'labels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn',
            False, 
            [
            _MetaInfoClassMember('bandwidth', REFERENCE_CLASS, 'Bandwidth' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth', 
                [], [], 
                '''                OTN Bandwidth for s2l
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cross-connect-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cross connect id
                ''',
                'cross_connect_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gpid', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Gpid Payload
                ''',
                'gpid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Incoming Controller
                ''',
                'incoming_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Incoming Controller Ifhandle
                ''',
                'incoming_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Controller
                ''',
                'incoming_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Incoming Sub Controller
                ''',
                'incoming_sub_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Incoming Sub Controller Ifhandle
                ''',
                'incoming_sub_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Sub Controller
                ''',
                'incoming_sub_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if subcontrollers are connected
                ''',
                'is_connected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('labels', REFERENCE_CLASS, 'Labels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels', 
                [], [], 
                '''                Labels
                ''',
                'labels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing Controller
                ''',
                'outgoing_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Controller Ifhandle
                ''',
                'outgoing_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Controller
                ''',
                'outgoing_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing Sub Controller
                ''',
                'outgoing_sub_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Sub Controller Ifhandle
                ''',
                'outgoing_sub_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Sub Controller
                ''',
                'outgoing_sub_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                XC Uptime
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Aps.ProtectionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Aps.ProtectionInfo',
            False, 
            [
            _MetaInfoClassMember('ho-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-Off timeout
                ''',
                'ho_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-hopresent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Hold-Off timeout present
                ''',
                'is_hopresent',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-snc-mode-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SNC mode present
                ''',
                'is_snc_mode_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-wtr-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Wait-to-Restore timeout present
                ''',
                'is_wtr_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Notification bit 
                ''',
                'nbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('obit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Operational bit
                ''',
                'obit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path protection profile type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Protecting bit
                ''',
                'pbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protect-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                LSP Protect Type
                ''',
                'protect_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Secondary bit
                ''',
                'sbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                SNC mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TCM ID
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wtr-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait-to-Restore timeout
                ''',
                'wtr_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protection-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Aps' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Aps',
            False, 
            [
            _MetaInfoClassMember('protection-info', REFERENCE_CLASS, 'ProtectionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Aps.ProtectionInfo', 
                [], [], 
                '''                Protection Info
                ''',
                'protection_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'aps',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L',
            False, 
            [
            _MetaInfoClassMember('aps', REFERENCE_CLASS, 'Aps' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Aps', 
                [], [], 
                '''                APS Info for OTN S2L
                ''',
                'aps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn', 
                [], [], 
                '''                Info Related to OTN technology in S2L
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn-s2l',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo.SessionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo.SessionInfo',
            False, 
            [
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'TeBfdLspSessionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdLspSessionStateEnum', 
                [], [], 
                '''                BFD session state
                ''',
                'state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('state-change-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last session state
                change
                ''',
                'state_change_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'session-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo.DeletionHistory' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo.DeletionHistory',
            False, 
            [
            _MetaInfoClassMember('deletion-diagnostic-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Diagnostic Code for the BFD session get deleted
                ''',
                'deletion_diagnostic_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reason for the BFD session get deleted
                ''',
                'deletion_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time stamp of the BFD session get deleted
                ''',
                'deletion_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID of the BFD session get deleted
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'deletion-history',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-reverse-path-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path labels
                ''',
                'bfd_reverse_path_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The BFD reverse path is stale compared to
                configuration
                ''',
                'bfd_reverse_path_stale',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('creation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the BFD session created
                ''',
                'creation_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-history', REFERENCE_CLASS, 'DeletionHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo.DeletionHistory', 
                [], [], 
                '''                BFD Session Deletion History
                ''',
                'deletion_history',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-redundant', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                sBFD session is redundant
                ''',
                'is_redundant',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lspbfd-type', REFERENCE_ENUM_CLASS, 'TeVifBfdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeVifBfdEnum', 
                [], [], 
                '''                LSP BFD type
                ''',
                'lspbfd_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-info', REFERENCE_CLASS, 'SessionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo.SessionInfo', 
                [], [], 
                '''                BFD Session Info
                ''',
                'session_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'head-end-bfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.TailEndBfdInfo.SessionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.TailEndBfdInfo.SessionInfo',
            False, 
            [
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'TeBfdLspSessionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdLspSessionStateEnum', 
                [], [], 
                '''                BFD session state
                ''',
                'state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('state-change-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last session state
                change
                ''',
                'state_change_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'session-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.TailEndBfdInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.TailEndBfdInfo',
            False, 
            [
            _MetaInfoClassMember('failure-diagnostic-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD session failure diagnostic code
                ''',
                'failure_diagnostic_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('failure-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                BFD session failure reason
                ''',
                'failure_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-discriminator', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Local Discriminator
                ''',
                'local_discriminator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('min-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello interval in mini second
                ''',
                'min_interval',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('min-interval-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default hello interval
                ''',
                'min_interval_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default multiplier
                ''',
                'multiplier_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-discriminator', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Remote Discrminator
                ''',
                'remote_discriminator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-info', REFERENCE_CLASS, 'SessionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.TailEndBfdInfo.SessionInfo', 
                [], [], 
                '''                BFD Session Info
                ''',
                'session_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tail-end-bfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.SrlgCollection' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.SrlgCollection',
            False, 
            [
            _MetaInfoClassMember('discovered-srlg', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Discovered SRLGs
                ''',
                'discovered_srlg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-collect-type', REFERENCE_ENUM_CLASS, 'TeSrlgCollectRequestEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSrlgCollectRequestEnum', 
                [], [], 
                '''                SRLG-collection mechanism
                ''',
                'srlg_collect_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-collection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.Association' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.Association',
            False, 
            [
            _MetaInfoClassMember('s2l-association-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Association ID
                ''',
                's2l_association_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                S2L Association Source
                ''',
                's2l_association_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-tie-role', REFERENCE_ENUM_CLASS, 'TeAssociationTieRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAssociationTieRoleEnum', 
                [], [], 
                '''                S2L Association Tie Role
                ''',
                's2l_association_tie_role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Association Type                         
                (draft-ietf-ccamp-mpls-tp-rsvpte-ext-associated-lsp)
                ''',
                's2l_association_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-extended-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L Extended ID Array
                ''',
                's2l_extended_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-global-source', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L Global Source
                ''',
                's2l_global_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'association',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.Protection' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.Protection',
            False, 
            [
            _MetaInfoClassMember('any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Any
                ''',
                'any',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ded1-plus1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1+1 Protection
                ''',
                'ded1_plus1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ded1-to1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1:1 Protection
                ''',
                'ded1_to1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('enhanced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates Enhanced Protection Scheme
                ''',
                'enhanced',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extra-traffic', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should use Links that are protecting other
                (primary) traffic
                ''',
                'extra_traffic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should not use any Link Layer Protection
                ''',
                'link_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Flags Unprotected
                ''',
                'lsp_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-plus-one-bi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Bidirectional Protection
                ''',
                'one_plus_one_bi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-plus-one-uni', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Unidirectional Protection
                ''',
                'one_plus_one_uni',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-to-n-protection-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1:N Protection with Extra-Traffic
                ''',
                'one_to_n_protection_et',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Full Rerouting
                ''',
                'rerouting',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouting-no-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Rerouting Without Extra-Traffic
                ''',
                'rerouting_no_et',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-notification', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Notification Bit
                ''',
                's2l_notification',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-operational', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Operational Bit
                ''',
                's2l_operational',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Protecting Bit
                ''',
                's2l_protecting',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-secondary', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Secondary Bit
                ''',
                's2l_secondary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Shared Link Layer Protection
                ''',
                'shared',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseLspFec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseLspFec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseLspFec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseLspFec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseLspFec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-lsp-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseTspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseTspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.FlexInfo.FlexFec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.FlexInfo.FlexFec',
            False, 
            [
            _MetaInfoClassMember('s2l-fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                Session identifier (ctype)
                ''',
                's2l_fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-dest', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                sub-LSP destination address
                ''',
                's2l_fec_dest',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                's2l_fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                's2l_fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                's2l_fec_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSP source address
                ''',
                's2l_fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                sub-LSP subgroup ID
                ''',
                's2l_fec_subgroup_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                's2l_fec_subgroup_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                's2l_fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                's2l_fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.FlexInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.FlexInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-created', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GAL BFD Session Created
                ''',
                'bfd_created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-egress-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Egress Label
                ''',
                'bfd_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-int-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Internal Label
                ''',
                'bfd_int_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                BFD Next Hop
                ''',
                'bfd_next_hop',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-out-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD Out Interface Handle
                ''',
                'bfd_out_ifh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-tun-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD Tunnel Interface Handle
                ''',
                'bfd_tun_ifh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GAL BFD Session Up
                ''',
                'bfd_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('entry-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FlexLSP Entry Exists
                ''',
                'entry_exists',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ais', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault AIS
                ''',
                'fault_ais',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ldi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LDI
                ''',
                'fault_ldi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ldi-lockout', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LDI Lockout
                ''',
                'fault_ldi_lockout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-lkr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LKR
                ''',
                'fault_lkr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Fault Time
                ''',
                'fault_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex-fec', REFERENCE_CLASS, 'FlexFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.FlexInfo.FlexFec', 
                [], [], 
                '''                FEC for the FlexLSP Entry
                ''',
                'flex_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                In Label
                ''',
                'in_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('oam-created', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                OAM Entry Created
                ''',
                'oam_created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.LspWrapInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.LspWrapInfo',
            False, 
            [
            _MetaInfoClassMember('lsp-wrap-protection-enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Wrap protection enabled
                ''',
                'lsp_wrap_protection_enable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-protection-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSP Wrap Merge Point Label
                ''',
                'lsp_wrap_protection_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-protection-state', REFERENCE_ENUM_CLASS, 'MplsTeLspWrapStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspWrapStateEnum', 
                [], [], 
                '''                LSP wrap protection state
                ''',
                'lsp_wrap_protection_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reverse Egress Interface
                ''',
                'reverse_egress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reverse LSP label
                ''',
                'reverse_lsp_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-wrap-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.DiversityInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.DiversityInfo',
            False, 
            [
            _MetaInfoClassMember('diversity-type', REFERENCE_ENUM_CLASS, 'TePpDiversityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePpDiversityEnum', 
                [], [], 
                '''                S2L path diversity type
                ''',
                'diversity_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'diversity-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.SharedRiskLinkGroup' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.SharedRiskLinkGroup',
            False, 
            [
            _MetaInfoClassMember('shared-risk-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG number
                ''',
                'shared_risk_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SRLG name
                ''',
                'srlg_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'shared-risk-link-group',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutEro.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutEro.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutEro.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutEro.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutEro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutEro',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutEro.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutEro.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'out-ero',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InEro.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InEro.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InEro.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InEro.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InEro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InEro',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InEro.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InEro.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'in-ero',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.Ipv4RroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.Ipv4RroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.Ipv4RroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.Ipv4RroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.Ipv4RroSubObject.Flags', 
                [], [], 
                '''                The RRO IPV4 Subobject Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO IPV4 Address
                ''',
                'rro_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.LabelRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.LabelRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-global-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label is Global across all interfaces
                ''',
                'is_global_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.LabelRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.LabelRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.LabelRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Label Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-label-variable-length', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the RRO Subobject Label Variable Length
                ''',
                'is_label_variable_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Label Value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('variable-length-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Variable Length Label
                ''',
                'variable_length_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'label-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.UnnumberedRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.UnnumberedRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Unnumbered Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO Interface Address
                ''',
                'interface_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.SrlgRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.SrlgRroSubObject',
            False, 
            [
            _MetaInfoClassMember('srl-gs', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject SRLGs
                ''',
                'srl_gs',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro',
            False, 
            [
            _MetaInfoClassMember('ipv4rro-sub-object', REFERENCE_CLASS, 'Ipv4RroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.Ipv4RroSubObject', 
                [], [], 
                '''                IPV4 RRO Sub Object
                ''',
                'ipv4rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rro-sub-object', REFERENCE_CLASS, 'LabelRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.LabelRroSubObject', 
                [], [], 
                '''                Label RRO Sub Object
                ''',
                'label_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtRroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtRroSubobjEnum', 
                [], [], 
                '''                RROType
                ''',
                'rro_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-rro-sub-object', REFERENCE_CLASS, 'SrlgRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.SrlgRroSubObject', 
                [], [], 
                '''                SRLG RRO Sub Object
                ''',
                'srlg_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-rro-sub-object', REFERENCE_CLASS, 'UnnumberedRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.UnnumberedRroSubObject', 
                [], [], 
                '''                Unnumbered RRO Sub Object
                ''',
                'unnumbered_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-rro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.Ipv4RroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.Ipv4RroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags', 
                [], [], 
                '''                The RRO IPV4 Subobject Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO IPV4 Address
                ''',
                'rro_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.LabelRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.LabelRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-global-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label is Global across all interfaces
                ''',
                'is_global_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.LabelRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.LabelRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.LabelRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Label Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-label-variable-length', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the RRO Subobject Label Variable Length
                ''',
                'is_label_variable_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Label Value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('variable-length-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Variable Length Label
                ''',
                'variable_length_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'label-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Unnumbered Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO Interface Address
                ''',
                'interface_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.SrlgRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.SrlgRroSubObject',
            False, 
            [
            _MetaInfoClassMember('srl-gs', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject SRLGs
                ''',
                'srl_gs',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro',
            False, 
            [
            _MetaInfoClassMember('ipv4rro-sub-object', REFERENCE_CLASS, 'Ipv4RroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.Ipv4RroSubObject', 
                [], [], 
                '''                IPV4 RRO Sub Object
                ''',
                'ipv4rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rro-sub-object', REFERENCE_CLASS, 'LabelRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.LabelRroSubObject', 
                [], [], 
                '''                Label RRO Sub Object
                ''',
                'label_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtRroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtRroSubobjEnum', 
                [], [], 
                '''                RROType
                ''',
                'rro_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-rro-sub-object', REFERENCE_CLASS, 'SrlgRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.SrlgRroSubObject', 
                [], [], 
                '''                SRLG RRO Sub Object
                ''',
                'srlg_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-rro-sub-object', REFERENCE_CLASS, 'UnnumberedRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject', 
                [], [], 
                '''                Unnumbered RRO Sub Object
                ''',
                'unnumbered_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-rro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathAffinityArray' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathAffinityArray',
            False, 
            [
            _MetaInfoClassMember('hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Hop address
                ''',
                'hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop-affinity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'hop_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop-extended-affinity', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hop affinity
                ''',
                'hop_extended_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-affinity-array',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-ero-in',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.S2LSegmentRoutingPath' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.S2LSegmentRoutingPath',
            False, 
            [
            _MetaInfoClassMember('has-entropy-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Hop has EL specified
                ''',
                'has_entropy_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-ip-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node has IP addresses specified
                ''',
                'has_ip_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-mpls-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Hop has MPLS label specified
                ''',
                'has_mpls_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local IP address of adjacency or Node ID
                ''',
                'local_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mpls-label-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The MPLS label value
                ''',
                'mpls_label_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote IP address of adjacency
                ''',
                'remote_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sid-type', REFERENCE_ENUM_CLASS, 'TeSrSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSrSidEnum', 
                [], [], 
                '''                Type of the SID
                ''',
                'sid_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-segment-routing-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L',
            False, 
            [
            _MetaInfoClassMember('abr-auto-discovered', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next ABR auto discovered
                ''',
                'abr_auto_discovered',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('active-path-option', REFERENCE_CLASS, 'ActivePathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption', 
                [], [], 
                '''                The path option used to find the path for this
                S2L
                ''',
                'active_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('association', REFERENCE_CLASS, 'Association' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.Association', 
                [], [], 
                '''                Association Object
                ''',
                'association',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface handle of the backup tunnel
                ''',
                'backup_tunnel_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('diversity-info', REFERENCE_CLASS, 'DiversityInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.DiversityInfo', 
                [], [], 
                '''                S2L Diversity Information
                ''',
                'diversity_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('downstream-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Downstream router id
                ''',
                'downstream_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Egress Interface
                ''',
                'egress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface-brief', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Egress Interface in brief format
                ''',
                'egress_interface_brief',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Interface
                ''',
                'egress_interface_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Outgoing ERO's affinity bits (colors)
                ''',
                'expanded_ero_affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Outgoing ERO's affinity mask (colors)
                ''',
                'expanded_ero_affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Indicates the protocol and area used to find
                Outgoing ERO
                ''',
                'expanded_ero_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The metric value of the expanded path
                ''',
                'expanded_ero_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-metric-type', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                The Outgoing ERO's selection metric
                ''',
                'expanded_ero_metric_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex-info', REFERENCE_CLASS, 'FlexInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.FlexInfo', 
                [], [], 
                '''                FlexLSP S2L Information
                ''',
                'flex_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-out-tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FRR out tunnel intface
                ''',
                'frr_out_tunnel_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fspec', REFERENCE_CLASS, 'Fspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.Fspec', 
                [], [], 
                '''                The F spec info
                ''',
                'fspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generic-fspec', REFERENCE_CLASS, 'GenericFspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GenericFspec', 
                [], [], 
                '''                Generic FSpec
                ''',
                'generic_fspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generic-tspec', REFERENCE_CLASS, 'GenericTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GenericTspec', 
                [], [], 
                '''                Generic TSpec
                ''',
                'generic_tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gmpls-labels', REFERENCE_CLASS, 'GmplsLabels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels', 
                [], [], 
                '''                GMPLS labels
                ''',
                'gmpls_labels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('head-end-bfd-info', REFERENCE_CLASS, 'HeadEndBfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo', 
                [], [], 
                '''                The Head-end BFD info
                ''',
                'head_end_bfd_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-ero', REFERENCE_LIST, 'InEro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InEro', 
                [], [], 
                '''                Incoming ERO for this S2L
                ''',
                'in_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-xro', REFERENCE_CLASS, 'InXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro', 
                [], [], 
                '''                Incoming XRO for this S2L
                ''',
                'in_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Incoming interface address
                ''',
                'incoming_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-address-generic', REFERENCE_CLASS, 'IncomingAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric', 
                [], [], 
                '''                Incoming interface address
                ''',
                'incoming_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ingress Interface
                ''',
                'ingress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface-brief', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ingress Interface in brief format
                ''',
                'ingress_interface_brief',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Interface
                ''',
                'ingress_interface_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-protect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BW Protection Enabled or Disabled
                ''',
                'is_bandwidth_protect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-expanded-ero', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if this LSR expanded a loose path
                ''',
                'is_expanded_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-frr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Enabled or Disabled
                ''',
                'is_frr_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Enabled or Disabled
                ''',
                'is_node_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-optical', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Optical
                ''',
                'is_optical',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local router id
                ''',
                'local_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-info', REFERENCE_CLASS, 'LspWrapInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.LspWrapInfo', 
                [], [], 
                '''                Lsp Wrap  Related information
                ''',
                'lsp_wrap_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop address
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address-generic', REFERENCE_CLASS, 'NextHopAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric', 
                [], [], 
                '''                Next hop address
                ''',
                'next_hop_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('node-hop-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hop count
                ''',
                'node_hop_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn-s2l', REFERENCE_CLASS, 'OtnS2L' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L', 
                [], [], 
                '''                Otn S2L Information
                ''',
                'otn_s2l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-ero', REFERENCE_LIST, 'OutEro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutEro', 
                [], [], 
                '''                Outgoing ERO for this S2L
                ''',
                'out_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-xro', REFERENCE_CLASS, 'OutXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro', 
                [], [], 
                '''                Outgoing XRO for this S2L
                ''',
                'out_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outbound-frr-state', REFERENCE_ENUM_CLASS, 'MplsTeFrrStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeFrrStateEnum', 
                [], [], 
                '''                Indicates outbound FRR state
                ''',
                'outbound_frr_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-affinity-array', REFERENCE_LIST, 'PathAffinityArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathAffinityArray', 
                [], [], 
                '''                Tunnel's Path hops with affinity
                ''',
                'path_affinity_array',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reeval-query-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loose path reevaluation query received at
                mid-point
                ''',
                'path_reeval_query_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-rro', REFERENCE_LIST, 'PathRro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro', 
                [], [], 
                '''                Path RRO for this S2L
                ''',
                'path_rro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-rro-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path RRO Enabled or Disabled
                ''',
                'path_rro_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-using-strict-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is using Strict SPF
                ''',
                'path_using_strict_spf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcalc-area', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IGP-area in which the S2L path was calculated
                ''',
                'pcalc_area',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Previous hop address
                ''',
                'previous_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-hop-address-generic', REFERENCE_CLASS, 'PreviousHopAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric', 
                [], [], 
                '''                Previous hop address
                ''',
                'previous_hop_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection', REFERENCE_CLASS, 'Protection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.Protection', 
                [], [], 
                '''                Protection Object
                ''',
                'protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-rro', REFERENCE_LIST, 'ResvRro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro', 
                [], [], 
                '''                Resv RRO for this S2L
                ''',
                'resv_rro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-ero-in', REFERENCE_LIST, 'ReverseEroIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn', 
                [], [], 
                '''                 Reverse Incoming ERO for this S2L
                ''',
                'reverse_ero_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Connected
                ''',
                'reverse_lsp_connected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-fec', REFERENCE_CLASS, 'ReverseLspFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseLspFec', 
                [], [], 
                '''                Reverse Associated Bidir LSP FEC
                ''',
                'reverse_lsp_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Name
                ''',
                'reverse_lsp_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Present
                ''',
                'reverse_lsp_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-tspec', REFERENCE_CLASS, 'ReverseTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseTspec', 
                [], [], 
                '''                The Reverse T spec info
                ''',
                'reverse_tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The reverse path weight
                ''',
                'reverse_weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('role', REFERENCE_ENUM_CLASS, 'MplsTeTunnelRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelRoleEnum', 
                [], [], 
                '''                Role of S2L
                ''',
                'role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-convergence', REFERENCE_CLASS, 'S2LConvergence' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.S2LConvergence', 
                [], [], 
                '''                TE LSP convergence related information
                ''',
                's2l_convergence',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec', REFERENCE_CLASS, 'S2LFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.S2LFec', 
                [], [], 
                '''                FEC for the S2L
                ''',
                's2l_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label
                ''',
                's2l_local_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing label
                ''',
                's2l_out_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-ero-obj-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2l Reverse ERO Object Present
                ''',
                's2l_reverse_ero_obj_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-lsp-sub-obj', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Reverse LSP Sub Objects
                ''',
                's2l_reverse_lsp_sub_obj',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-tspec-obj-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Reverse TSpec Object Present
                ''',
                's2l_reverse_tspec_obj_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-segment-routing-path', REFERENCE_LIST, 'S2LSegmentRoutingPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.S2LSegmentRoutingPath', 
                [], [], 
                '''                Segment-Routing S2L path info
                ''',
                's2l_segment_routing_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared-risk-link-group', REFERENCE_LIST, 'SharedRiskLinkGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.SharedRiskLinkGroup', 
                [], [], 
                '''                The S2L's excluded srlg groups
                ''',
                'shared_risk_link_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-status', REFERENCE_ENUM_CLASS, 'MplsTeTunnelsSignalingStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelsSignalingStatusEnum', 
                [], [], 
                '''                Signaling status
                ''',
                'signalling_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption', REFERENCE_CLASS, 'SoftPreemption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.SoftPreemption', 
                [], [], 
                '''                The soft preemption info for this LSP.
                ''',
                'soft_preemption',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-collection', REFERENCE_CLASS, 'SrlgCollection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.SrlgCollection', 
                [], [], 
                '''                SRLG-collection data
                ''',
                'srlg_collection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tail-end-bfd-info', REFERENCE_CLASS, 'TailEndBfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.TailEndBfdInfo', 
                [], [], 
                '''                The Tail-end BFD info
                ''',
                'tail_end_bfd_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-preferred-path-exists-send-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last preferred path exists msg send
                from mid-point
                ''',
                'time_since_last_preferred_path_exists_send_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-preferred-tree-exists-send-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last preferred tree exists msg send
                from mid-point
                ''',
                'time_since_last_preferred_tree_exists_send_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-query-received-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last reevaluation query received at
                mid-point
                ''',
                'time_since_last_query_received_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tspec', REFERENCE_CLASS, 'Tspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.Tspec', 
                [], [], 
                '''                The T spec info
                ''',
                'tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('upstream-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Upstream router id
                ''',
                'upstream_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the tunnel was up
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The path's weight
                ''',
                'weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp',
            False, 
            [
            _MetaInfoClassMember('dste-class-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Matching DSTE class index
                ''',
                'dste_class_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-match', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Do the class type and priority match a DSTE
                class
                ''',
                'dste_class_match',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-active-reason', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP LSP FRR active reason
                ''',
                'frr_active_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-frr-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                P2MP LSP has FRR Failed
                ''',
                'is_frr_failed',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True for tunnel head
                ''',
                'is_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-passive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True for passive tunnel
                ''',
                'is_passive',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-path-change', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last path change
                ''',
                'last_path_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP LSP Bandwidth
                ''',
                'lsp_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The LSP bandwidth type
                ''',
                'lsp_bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-fec', REFERENCE_CLASS, 'LspFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.LspFec', 
                [], [], 
                '''                FEC for the LSP
                ''',
                'lsp_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSP hold priority
                ''',
                'lsp_hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSP setup priority
                ''',
                'lsp_setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('persistent-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Persistent forwarding statistics for number of
                bytes. Clear counters will not reset the counter
                ''',
                'persistent_bytes',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('persistent-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Persistent forwarding statistics for Number of
                packets. Clear counters will not reset the
                counter
                ''',
                'persistent_packets',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimize-reason', REFERENCE_ENUM_CLASS, 'MplsTeReoptDecisionReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeReoptDecisionReasonEnum', 
                [], [], 
                '''                Reason for re-optimization
                ''',
                'reoptimize_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimize-trigger', REFERENCE_ENUM_CLASS, 'MteReoptTriggerEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MteReoptTriggerEnum', 
                [], [], 
                '''                Re-optimize trigger
                ''',
                'reoptimize_trigger',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-down', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of down S2Ls
                ''',
                's2_ls_down',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-proceeding', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of proceeding S2Ls
                ''',
                's2_ls_proceeding',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of connected S2Ls
                ''',
                's2_ls_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l', REFERENCE_LIST, 'S2L' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L', 
                [], [], 
                '''                array of S2L structures
                ''',
                's2l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signaled-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signaled Name
                ''',
                'signaled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('timer-left', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds left to take next action if any
                ''',
                'timer_left',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MplsTeLspEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspEnum', 
                [], [], 
                '''                The type of this LSP
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the tunnel was up
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reoptimized-standby-p2mp-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.LspFec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.LspFec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.LspFec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.LspFec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.LspFec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.S2LFec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.S2LFec',
            False, 
            [
            _MetaInfoClassMember('s2l-fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                Session identifier (ctype)
                ''',
                's2l_fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-dest', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                sub-LSP destination address
                ''',
                's2l_fec_dest',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                's2l_fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                's2l_fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                's2l_fec_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSP source address
                ''',
                's2l_fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                sub-LSP subgroup ID
                ''',
                's2l_fec_subgroup_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                's2l_fec_subgroup_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                's2l_fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                's2l_fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.PathCalculationError' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.PathCalculationError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-calculation-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.RemergeError' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.RemergeError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'remerge-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.SignallingError' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.SignallingError',
            False, 
            [
            _MetaInfoClassMember('error', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Path Error code
                ''',
                'error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Source address of the error generating node
                ''',
                'error_node',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSPMode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if error is on the reverse LSP
                ''',
                'reverse_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP-id for which the error was received
                ''',
                'signalling_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path Error subcode
                ''',
                'sub_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalling-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption',
            False, 
            [
            _MetaInfoClassMember('attribute-set', REFERENCE_CLASS, 'AttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet', 
                [], [], 
                '''                The path option attribute set used by this path
                ''',
                'attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-found', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has found the defined attribute
                set
                ''',
                'attribute_set_found',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Explicit Path ID, this is the key to table
                ExplicitPaths.IdentifierTable
                ''',
                'explicit_path_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Explicit Path Name, this is the key to table
                ExplicitPaths.NameTable
                ''',
                'explicit_path_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has an attribute set defined
                ''',
                'has_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-xro-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has an XRO attribute set
                configured
                ''',
                'has_xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('holddown-duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Holddown Duration (seconds)
                ''',
                'holddown_duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path option is disabled
                ''',
                'is_disabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-helddown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if path is helddown
                ''',
                'is_helddown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-lockdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is locked down
                ''',
                'is_lockdown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-segment-routing', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is Segment-Routing
                ''',
                'is_segment_routing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-explicit-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if explicit path is strict
                ''',
                'is_strict_explicit_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-verbatim', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is verbatim
                ''',
                'is_verbatim',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index
                ''',
                'option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index-is-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The path option index is valid
                ''',
                'option_index_is_valid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-calculation-error', REFERENCE_LIST, 'PathCalculationError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.PathCalculationError', 
                [], [], 
                '''                Path computation information
                ''',
                'path_calculation_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The path-option area constraint
                ''',
                'path_option_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path option name
                ''',
                'path_option_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-type', REFERENCE_ENUM_CLASS, 'MplsTePathoptionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTePathoptionEnum', 
                [], [], 
                '''                Path option type
                ''',
                'path_option_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                PCE server address
                ''',
                'pce_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-by-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for Protect path options
                ''',
                'protected_by_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remerge-error', REFERENCE_LIST, 'RemergeError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.RemergeError', 
                [], [], 
                '''                Path computation remerge resolve info
                ''',
                'remerge_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restored-from-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for Restore path options
                ''',
                'restored_from_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-error', REFERENCE_LIST, 'SignallingError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.SignallingError', 
                [], [], 
                '''                Signalling information
                ''',
                'signalling_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set', REFERENCE_CLASS, 'XroAttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet', 
                [], [], 
                '''                The XRO attribute set used by this path-option
                ''',
                'xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set-found', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path's XRO attribute set is known
                ''',
                'xro_attribute_set_found',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'active-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'out-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'in-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.Tspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.Tspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GenericTspec.Otntspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GenericTspec.Otntspec',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit Rate in kbps
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nmc-or-tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                NMC or Tolerance
                ''',
                'nmc_or_tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Virtual Components
                ''',
                'nvc',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otntspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GenericTspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GenericTspec',
            False, 
            [
            _MetaInfoClassMember('otntspec', REFERENCE_CLASS, 'Otntspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GenericTspec.Otntspec', 
                [], [], 
                '''                TE TSpec for G709 OTN
                ''',
                'otntspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tspec-type', REFERENCE_ENUM_CLASS, 'TeMgmtGenericTspecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeMgmtGenericTspecEnum', 
                [], [], 
                '''                TSpecType
                ''',
                'tspec_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'generic-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.Fspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.Fspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GenericFspec.Otnfspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GenericFspec.Otnfspec',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit Rate in kbps
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nmc-or-tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                NMC or Tolerance
                ''',
                'nmc_or_tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Virtual Components
                ''',
                'nvc',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otnfspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GenericFspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GenericFspec',
            False, 
            [
            _MetaInfoClassMember('fspec-type', REFERENCE_ENUM_CLASS, 'TeMgmtGenericFspecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeMgmtGenericFspecEnum', 
                [], [], 
                '''                FSpecType
                ''',
                'fspec_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otnfspec', REFERENCE_CLASS, 'Otnfspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GenericFspec.Otnfspec', 
                [], [], 
                '''                TE FSpec for G709 OTN
                ''',
                'otnfspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'generic-fspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.NextHopAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.NextHopAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.NextHopAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.NextHopAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.NextHopAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'next-hop-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'previous-hop-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.IncomingAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.IncomingAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.IncomingAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.IncomingAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.IncomingAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'incoming-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.S2LConvergence' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.S2LConvergence',
            False, 
            [
            _MetaInfoClassMember('creation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tunnel creation timestamp (clocktime in nsecs)
                ''',
                'creation_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rewrite', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP Label rewrite timestamp (clocktime in nsecs)
                ''',
                'label_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Path-in timestamp (clocktime in nsecs)
                ''',
                'path_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Path-in timestamp (clocktime in nsecs)
                ''',
                'path_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Resv-in timestamp (clocktime in nsecs)
                ''',
                'resv_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Resv-out timestamp (clocktime in nsecs)
                ''',
                'resv_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-rewrite', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tunnel rewrite timestamp (clocktime in nsecs)
                ''',
                'tunnel_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-convergence',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.SoftPreemption' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.SoftPreemption',
            False, 
            [
            _MetaInfoClassMember('fr-rrewrite', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR-rewrite during soft preemption
                ''',
                'fr_rrewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fr-rrewrite-tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The tunnel name of the backup
                ''',
                'fr_rrewrite_tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('preempting-link-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The address of the link where the preemption
                happened
                ''',
                'preempting_link_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-link', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the link where the soft preemption
                occurred
                ''',
                'soft_preemption_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The POSIX timestamp when the soft preemption
                occurred
                ''',
                'soft_preemption_timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'MplsTeSoftPreemptionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeSoftPreemptionStateEnum', 
                [], [], 
                '''                The current state of the soft preemption
                operation
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-to-hard-preemption', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The number of seconds until hard preemption is
                triggered
                ''',
                'time_to_hard_preemption',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'soft-preemption',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels',
            False, 
            [
            _MetaInfoClassMember('path-egress-label', REFERENCE_CLASS, 'PathEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel', 
                [], [], 
                '''                Path message (upstream) egress label
                ''',
                'path_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-ingress-label', REFERENCE_CLASS, 'PathIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel', 
                [], [], 
                '''                Path message (upstream) ingress label
                ''',
                'path_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-egress-label', REFERENCE_CLASS, 'ResvEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel', 
                [], [], 
                '''                Resv message (downstream) egress label
                ''',
                'resv_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-ingress-label', REFERENCE_CLASS, 'ResvIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel', 
                [], [], 
                '''                Resv message (downstream) ingress label
                ''',
                'resv_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'gmpls-labels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tolerance
                ''',
                'tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-cbr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-gfp-f-res',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-gfp-f-non-res',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth',
            False, 
            [
            _MetaInfoClassMember('odu-flex-cbr', REFERENCE_CLASS, 'OduFlexCbr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr', 
                [], [], 
                '''                Odu flex CBR info
                ''',
                'odu_flex_cbr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-flex-gfp-f-non-res', REFERENCE_CLASS, 'OduFlexGfpFNonRes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes', 
                [], [], 
                '''                Odu flex GFP-F non-resizable info
                ''',
                'odu_flex_gfp_f_non_res',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-flex-gfp-f-res', REFERENCE_CLASS, 'OduFlexGfpFRes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes', 
                [], [], 
                '''                Odu flex GFP-F resizable info
                ''',
                'odu_flex_gfp_f_res',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-level', REFERENCE_ENUM_CLASS, 'TeOduLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeOduLevelEnum', 
                [], [], 
                '''                ODULevel
                ''',
                'odu_level',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels',
            False, 
            [
            _MetaInfoClassMember('path-egress-label', REFERENCE_CLASS, 'PathEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel', 
                [], [], 
                '''                Path message (upstream) egress label
                ''',
                'path_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-ingress-label', REFERENCE_CLASS, 'PathIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel', 
                [], [], 
                '''                Path message (upstream) ingress label
                ''',
                'path_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-egress-label', REFERENCE_CLASS, 'ResvEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel', 
                [], [], 
                '''                Resv message (downstream) egress label
                ''',
                'resv_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-ingress-label', REFERENCE_CLASS, 'ResvIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel', 
                [], [], 
                '''                Resv message (downstream) ingress label
                ''',
                'resv_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'labels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn',
            False, 
            [
            _MetaInfoClassMember('bandwidth', REFERENCE_CLASS, 'Bandwidth' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth', 
                [], [], 
                '''                OTN Bandwidth for s2l
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cross-connect-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cross connect id
                ''',
                'cross_connect_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gpid', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Gpid Payload
                ''',
                'gpid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Incoming Controller
                ''',
                'incoming_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Incoming Controller Ifhandle
                ''',
                'incoming_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Controller
                ''',
                'incoming_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Incoming Sub Controller
                ''',
                'incoming_sub_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Incoming Sub Controller Ifhandle
                ''',
                'incoming_sub_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Sub Controller
                ''',
                'incoming_sub_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if subcontrollers are connected
                ''',
                'is_connected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('labels', REFERENCE_CLASS, 'Labels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels', 
                [], [], 
                '''                Labels
                ''',
                'labels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing Controller
                ''',
                'outgoing_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Controller Ifhandle
                ''',
                'outgoing_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Controller
                ''',
                'outgoing_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing Sub Controller
                ''',
                'outgoing_sub_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Sub Controller Ifhandle
                ''',
                'outgoing_sub_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Sub Controller
                ''',
                'outgoing_sub_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                XC Uptime
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Aps.ProtectionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Aps.ProtectionInfo',
            False, 
            [
            _MetaInfoClassMember('ho-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-Off timeout
                ''',
                'ho_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-hopresent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Hold-Off timeout present
                ''',
                'is_hopresent',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-snc-mode-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SNC mode present
                ''',
                'is_snc_mode_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-wtr-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Wait-to-Restore timeout present
                ''',
                'is_wtr_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Notification bit 
                ''',
                'nbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('obit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Operational bit
                ''',
                'obit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path protection profile type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Protecting bit
                ''',
                'pbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protect-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                LSP Protect Type
                ''',
                'protect_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Secondary bit
                ''',
                'sbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                SNC mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TCM ID
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wtr-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait-to-Restore timeout
                ''',
                'wtr_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protection-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Aps' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Aps',
            False, 
            [
            _MetaInfoClassMember('protection-info', REFERENCE_CLASS, 'ProtectionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Aps.ProtectionInfo', 
                [], [], 
                '''                Protection Info
                ''',
                'protection_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'aps',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L',
            False, 
            [
            _MetaInfoClassMember('aps', REFERENCE_CLASS, 'Aps' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Aps', 
                [], [], 
                '''                APS Info for OTN S2L
                ''',
                'aps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn', 
                [], [], 
                '''                Info Related to OTN technology in S2L
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn-s2l',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.HeadEndBfdInfo.SessionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.HeadEndBfdInfo.SessionInfo',
            False, 
            [
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'TeBfdLspSessionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdLspSessionStateEnum', 
                [], [], 
                '''                BFD session state
                ''',
                'state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('state-change-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last session state
                change
                ''',
                'state_change_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'session-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.HeadEndBfdInfo.DeletionHistory' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.HeadEndBfdInfo.DeletionHistory',
            False, 
            [
            _MetaInfoClassMember('deletion-diagnostic-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Diagnostic Code for the BFD session get deleted
                ''',
                'deletion_diagnostic_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reason for the BFD session get deleted
                ''',
                'deletion_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time stamp of the BFD session get deleted
                ''',
                'deletion_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID of the BFD session get deleted
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'deletion-history',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.HeadEndBfdInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.HeadEndBfdInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-reverse-path-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path labels
                ''',
                'bfd_reverse_path_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The BFD reverse path is stale compared to
                configuration
                ''',
                'bfd_reverse_path_stale',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('creation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the BFD session created
                ''',
                'creation_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-history', REFERENCE_CLASS, 'DeletionHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.HeadEndBfdInfo.DeletionHistory', 
                [], [], 
                '''                BFD Session Deletion History
                ''',
                'deletion_history',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-redundant', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                sBFD session is redundant
                ''',
                'is_redundant',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lspbfd-type', REFERENCE_ENUM_CLASS, 'TeVifBfdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeVifBfdEnum', 
                [], [], 
                '''                LSP BFD type
                ''',
                'lspbfd_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-info', REFERENCE_CLASS, 'SessionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.HeadEndBfdInfo.SessionInfo', 
                [], [], 
                '''                BFD Session Info
                ''',
                'session_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'head-end-bfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.TailEndBfdInfo.SessionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.TailEndBfdInfo.SessionInfo',
            False, 
            [
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'TeBfdLspSessionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdLspSessionStateEnum', 
                [], [], 
                '''                BFD session state
                ''',
                'state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('state-change-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last session state
                change
                ''',
                'state_change_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'session-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.TailEndBfdInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.TailEndBfdInfo',
            False, 
            [
            _MetaInfoClassMember('failure-diagnostic-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD session failure diagnostic code
                ''',
                'failure_diagnostic_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('failure-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                BFD session failure reason
                ''',
                'failure_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-discriminator', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Local Discriminator
                ''',
                'local_discriminator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('min-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello interval in mini second
                ''',
                'min_interval',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('min-interval-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default hello interval
                ''',
                'min_interval_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default multiplier
                ''',
                'multiplier_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-discriminator', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Remote Discrminator
                ''',
                'remote_discriminator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-info', REFERENCE_CLASS, 'SessionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.TailEndBfdInfo.SessionInfo', 
                [], [], 
                '''                BFD Session Info
                ''',
                'session_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tail-end-bfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.SrlgCollection' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.SrlgCollection',
            False, 
            [
            _MetaInfoClassMember('discovered-srlg', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Discovered SRLGs
                ''',
                'discovered_srlg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-collect-type', REFERENCE_ENUM_CLASS, 'TeSrlgCollectRequestEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSrlgCollectRequestEnum', 
                [], [], 
                '''                SRLG-collection mechanism
                ''',
                'srlg_collect_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-collection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.Association' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.Association',
            False, 
            [
            _MetaInfoClassMember('s2l-association-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Association ID
                ''',
                's2l_association_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                S2L Association Source
                ''',
                's2l_association_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-tie-role', REFERENCE_ENUM_CLASS, 'TeAssociationTieRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAssociationTieRoleEnum', 
                [], [], 
                '''                S2L Association Tie Role
                ''',
                's2l_association_tie_role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Association Type                         
                (draft-ietf-ccamp-mpls-tp-rsvpte-ext-associated-lsp)
                ''',
                's2l_association_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-extended-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L Extended ID Array
                ''',
                's2l_extended_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-global-source', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L Global Source
                ''',
                's2l_global_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'association',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.Protection' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.Protection',
            False, 
            [
            _MetaInfoClassMember('any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Any
                ''',
                'any',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ded1-plus1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1+1 Protection
                ''',
                'ded1_plus1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ded1-to1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1:1 Protection
                ''',
                'ded1_to1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('enhanced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates Enhanced Protection Scheme
                ''',
                'enhanced',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extra-traffic', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should use Links that are protecting other
                (primary) traffic
                ''',
                'extra_traffic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should not use any Link Layer Protection
                ''',
                'link_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Flags Unprotected
                ''',
                'lsp_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-plus-one-bi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Bidirectional Protection
                ''',
                'one_plus_one_bi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-plus-one-uni', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Unidirectional Protection
                ''',
                'one_plus_one_uni',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-to-n-protection-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1:N Protection with Extra-Traffic
                ''',
                'one_to_n_protection_et',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Full Rerouting
                ''',
                'rerouting',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouting-no-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Rerouting Without Extra-Traffic
                ''',
                'rerouting_no_et',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-notification', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Notification Bit
                ''',
                's2l_notification',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-operational', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Operational Bit
                ''',
                's2l_operational',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Protecting Bit
                ''',
                's2l_protecting',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-secondary', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Secondary Bit
                ''',
                's2l_secondary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Shared Link Layer Protection
                ''',
                'shared',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseLspFec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseLspFec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseLspFec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseLspFec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseLspFec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-lsp-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseTspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseTspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.FlexInfo.FlexFec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.FlexInfo.FlexFec',
            False, 
            [
            _MetaInfoClassMember('s2l-fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                Session identifier (ctype)
                ''',
                's2l_fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-dest', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                sub-LSP destination address
                ''',
                's2l_fec_dest',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                's2l_fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                's2l_fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                's2l_fec_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSP source address
                ''',
                's2l_fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                sub-LSP subgroup ID
                ''',
                's2l_fec_subgroup_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                's2l_fec_subgroup_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                's2l_fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                's2l_fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.FlexInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.FlexInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-created', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GAL BFD Session Created
                ''',
                'bfd_created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-egress-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Egress Label
                ''',
                'bfd_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-int-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Internal Label
                ''',
                'bfd_int_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                BFD Next Hop
                ''',
                'bfd_next_hop',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-out-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD Out Interface Handle
                ''',
                'bfd_out_ifh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-tun-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD Tunnel Interface Handle
                ''',
                'bfd_tun_ifh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GAL BFD Session Up
                ''',
                'bfd_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('entry-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FlexLSP Entry Exists
                ''',
                'entry_exists',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ais', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault AIS
                ''',
                'fault_ais',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ldi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LDI
                ''',
                'fault_ldi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ldi-lockout', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LDI Lockout
                ''',
                'fault_ldi_lockout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-lkr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LKR
                ''',
                'fault_lkr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Fault Time
                ''',
                'fault_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex-fec', REFERENCE_CLASS, 'FlexFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.FlexInfo.FlexFec', 
                [], [], 
                '''                FEC for the FlexLSP Entry
                ''',
                'flex_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                In Label
                ''',
                'in_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('oam-created', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                OAM Entry Created
                ''',
                'oam_created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.LspWrapInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.LspWrapInfo',
            False, 
            [
            _MetaInfoClassMember('lsp-wrap-protection-enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Wrap protection enabled
                ''',
                'lsp_wrap_protection_enable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-protection-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSP Wrap Merge Point Label
                ''',
                'lsp_wrap_protection_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-protection-state', REFERENCE_ENUM_CLASS, 'MplsTeLspWrapStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspWrapStateEnum', 
                [], [], 
                '''                LSP wrap protection state
                ''',
                'lsp_wrap_protection_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reverse Egress Interface
                ''',
                'reverse_egress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reverse LSP label
                ''',
                'reverse_lsp_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-wrap-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.DiversityInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.DiversityInfo',
            False, 
            [
            _MetaInfoClassMember('diversity-type', REFERENCE_ENUM_CLASS, 'TePpDiversityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePpDiversityEnum', 
                [], [], 
                '''                S2L path diversity type
                ''',
                'diversity_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'diversity-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.SharedRiskLinkGroup' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.SharedRiskLinkGroup',
            False, 
            [
            _MetaInfoClassMember('shared-risk-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG number
                ''',
                'shared_risk_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SRLG name
                ''',
                'srlg_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'shared-risk-link-group',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutEro.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutEro.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutEro.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutEro.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutEro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutEro',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutEro.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutEro.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'out-ero',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InEro.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InEro.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InEro.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InEro.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InEro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InEro',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InEro.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InEro.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'in-ero',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.Ipv4RroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.Ipv4RroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.Ipv4RroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.Ipv4RroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.Ipv4RroSubObject.Flags', 
                [], [], 
                '''                The RRO IPV4 Subobject Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO IPV4 Address
                ''',
                'rro_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.LabelRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.LabelRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-global-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label is Global across all interfaces
                ''',
                'is_global_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.LabelRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.LabelRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.LabelRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Label Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-label-variable-length', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the RRO Subobject Label Variable Length
                ''',
                'is_label_variable_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Label Value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('variable-length-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Variable Length Label
                ''',
                'variable_length_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'label-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.UnnumberedRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.UnnumberedRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.UnnumberedRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.UnnumberedRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.UnnumberedRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Unnumbered Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO Interface Address
                ''',
                'interface_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.SrlgRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.SrlgRroSubObject',
            False, 
            [
            _MetaInfoClassMember('srl-gs', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject SRLGs
                ''',
                'srl_gs',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro',
            False, 
            [
            _MetaInfoClassMember('ipv4rro-sub-object', REFERENCE_CLASS, 'Ipv4RroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.Ipv4RroSubObject', 
                [], [], 
                '''                IPV4 RRO Sub Object
                ''',
                'ipv4rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rro-sub-object', REFERENCE_CLASS, 'LabelRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.LabelRroSubObject', 
                [], [], 
                '''                Label RRO Sub Object
                ''',
                'label_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtRroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtRroSubobjEnum', 
                [], [], 
                '''                RROType
                ''',
                'rro_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-rro-sub-object', REFERENCE_CLASS, 'SrlgRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.SrlgRroSubObject', 
                [], [], 
                '''                SRLG RRO Sub Object
                ''',
                'srlg_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-rro-sub-object', REFERENCE_CLASS, 'UnnumberedRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.UnnumberedRroSubObject', 
                [], [], 
                '''                Unnumbered RRO Sub Object
                ''',
                'unnumbered_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-rro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.Ipv4RroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.Ipv4RroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.Ipv4RroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.Ipv4RroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.Ipv4RroSubObject.Flags', 
                [], [], 
                '''                The RRO IPV4 Subobject Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO IPV4 Address
                ''',
                'rro_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.LabelRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.LabelRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-global-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label is Global across all interfaces
                ''',
                'is_global_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.LabelRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.LabelRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.LabelRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Label Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-label-variable-length', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the RRO Subobject Label Variable Length
                ''',
                'is_label_variable_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Label Value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('variable-length-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Variable Length Label
                ''',
                'variable_length_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'label-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.UnnumberedRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.UnnumberedRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Unnumbered Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO Interface Address
                ''',
                'interface_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.SrlgRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.SrlgRroSubObject',
            False, 
            [
            _MetaInfoClassMember('srl-gs', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject SRLGs
                ''',
                'srl_gs',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro',
            False, 
            [
            _MetaInfoClassMember('ipv4rro-sub-object', REFERENCE_CLASS, 'Ipv4RroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.Ipv4RroSubObject', 
                [], [], 
                '''                IPV4 RRO Sub Object
                ''',
                'ipv4rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rro-sub-object', REFERENCE_CLASS, 'LabelRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.LabelRroSubObject', 
                [], [], 
                '''                Label RRO Sub Object
                ''',
                'label_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtRroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtRroSubobjEnum', 
                [], [], 
                '''                RROType
                ''',
                'rro_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-rro-sub-object', REFERENCE_CLASS, 'SrlgRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.SrlgRroSubObject', 
                [], [], 
                '''                SRLG RRO Sub Object
                ''',
                'srlg_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-rro-sub-object', REFERENCE_CLASS, 'UnnumberedRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.UnnumberedRroSubObject', 
                [], [], 
                '''                Unnumbered RRO Sub Object
                ''',
                'unnumbered_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-rro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathAffinityArray' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathAffinityArray',
            False, 
            [
            _MetaInfoClassMember('hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Hop address
                ''',
                'hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop-affinity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'hop_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop-extended-affinity', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hop affinity
                ''',
                'hop_extended_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-affinity-array',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseEroIn.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseEroIn.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseEroIn.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseEroIn.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseEroIn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseEroIn',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseEroIn.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseEroIn.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-ero-in',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.S2LSegmentRoutingPath' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.S2LSegmentRoutingPath',
            False, 
            [
            _MetaInfoClassMember('has-entropy-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Hop has EL specified
                ''',
                'has_entropy_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-ip-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node has IP addresses specified
                ''',
                'has_ip_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-mpls-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Hop has MPLS label specified
                ''',
                'has_mpls_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local IP address of adjacency or Node ID
                ''',
                'local_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mpls-label-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The MPLS label value
                ''',
                'mpls_label_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote IP address of adjacency
                ''',
                'remote_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sid-type', REFERENCE_ENUM_CLASS, 'TeSrSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSrSidEnum', 
                [], [], 
                '''                Type of the SID
                ''',
                'sid_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-segment-routing-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L',
            False, 
            [
            _MetaInfoClassMember('abr-auto-discovered', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next ABR auto discovered
                ''',
                'abr_auto_discovered',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('active-path-option', REFERENCE_CLASS, 'ActivePathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption', 
                [], [], 
                '''                The path option used to find the path for this
                S2L
                ''',
                'active_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('association', REFERENCE_CLASS, 'Association' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.Association', 
                [], [], 
                '''                Association Object
                ''',
                'association',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface handle of the backup tunnel
                ''',
                'backup_tunnel_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('diversity-info', REFERENCE_CLASS, 'DiversityInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.DiversityInfo', 
                [], [], 
                '''                S2L Diversity Information
                ''',
                'diversity_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('downstream-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Downstream router id
                ''',
                'downstream_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Egress Interface
                ''',
                'egress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface-brief', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Egress Interface in brief format
                ''',
                'egress_interface_brief',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Interface
                ''',
                'egress_interface_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Outgoing ERO's affinity bits (colors)
                ''',
                'expanded_ero_affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Outgoing ERO's affinity mask (colors)
                ''',
                'expanded_ero_affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Indicates the protocol and area used to find
                Outgoing ERO
                ''',
                'expanded_ero_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The metric value of the expanded path
                ''',
                'expanded_ero_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-metric-type', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                The Outgoing ERO's selection metric
                ''',
                'expanded_ero_metric_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex-info', REFERENCE_CLASS, 'FlexInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.FlexInfo', 
                [], [], 
                '''                FlexLSP S2L Information
                ''',
                'flex_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-out-tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FRR out tunnel intface
                ''',
                'frr_out_tunnel_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fspec', REFERENCE_CLASS, 'Fspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.Fspec', 
                [], [], 
                '''                The F spec info
                ''',
                'fspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generic-fspec', REFERENCE_CLASS, 'GenericFspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GenericFspec', 
                [], [], 
                '''                Generic FSpec
                ''',
                'generic_fspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generic-tspec', REFERENCE_CLASS, 'GenericTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GenericTspec', 
                [], [], 
                '''                Generic TSpec
                ''',
                'generic_tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gmpls-labels', REFERENCE_CLASS, 'GmplsLabels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels', 
                [], [], 
                '''                GMPLS labels
                ''',
                'gmpls_labels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('head-end-bfd-info', REFERENCE_CLASS, 'HeadEndBfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.HeadEndBfdInfo', 
                [], [], 
                '''                The Head-end BFD info
                ''',
                'head_end_bfd_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-ero', REFERENCE_LIST, 'InEro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InEro', 
                [], [], 
                '''                Incoming ERO for this S2L
                ''',
                'in_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-xro', REFERENCE_CLASS, 'InXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro', 
                [], [], 
                '''                Incoming XRO for this S2L
                ''',
                'in_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Incoming interface address
                ''',
                'incoming_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-address-generic', REFERENCE_CLASS, 'IncomingAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.IncomingAddressGeneric', 
                [], [], 
                '''                Incoming interface address
                ''',
                'incoming_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ingress Interface
                ''',
                'ingress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface-brief', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ingress Interface in brief format
                ''',
                'ingress_interface_brief',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Interface
                ''',
                'ingress_interface_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-protect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BW Protection Enabled or Disabled
                ''',
                'is_bandwidth_protect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-expanded-ero', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if this LSR expanded a loose path
                ''',
                'is_expanded_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-frr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Enabled or Disabled
                ''',
                'is_frr_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Enabled or Disabled
                ''',
                'is_node_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-optical', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Optical
                ''',
                'is_optical',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local router id
                ''',
                'local_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-info', REFERENCE_CLASS, 'LspWrapInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.LspWrapInfo', 
                [], [], 
                '''                Lsp Wrap  Related information
                ''',
                'lsp_wrap_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop address
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address-generic', REFERENCE_CLASS, 'NextHopAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.NextHopAddressGeneric', 
                [], [], 
                '''                Next hop address
                ''',
                'next_hop_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('node-hop-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hop count
                ''',
                'node_hop_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn-s2l', REFERENCE_CLASS, 'OtnS2L' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L', 
                [], [], 
                '''                Otn S2L Information
                ''',
                'otn_s2l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-ero', REFERENCE_LIST, 'OutEro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutEro', 
                [], [], 
                '''                Outgoing ERO for this S2L
                ''',
                'out_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-xro', REFERENCE_CLASS, 'OutXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro', 
                [], [], 
                '''                Outgoing XRO for this S2L
                ''',
                'out_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outbound-frr-state', REFERENCE_ENUM_CLASS, 'MplsTeFrrStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeFrrStateEnum', 
                [], [], 
                '''                Indicates outbound FRR state
                ''',
                'outbound_frr_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-affinity-array', REFERENCE_LIST, 'PathAffinityArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathAffinityArray', 
                [], [], 
                '''                Tunnel's Path hops with affinity
                ''',
                'path_affinity_array',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reeval-query-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loose path reevaluation query received at
                mid-point
                ''',
                'path_reeval_query_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-rro', REFERENCE_LIST, 'PathRro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro', 
                [], [], 
                '''                Path RRO for this S2L
                ''',
                'path_rro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-rro-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path RRO Enabled or Disabled
                ''',
                'path_rro_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-using-strict-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is using Strict SPF
                ''',
                'path_using_strict_spf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcalc-area', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IGP-area in which the S2L path was calculated
                ''',
                'pcalc_area',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Previous hop address
                ''',
                'previous_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-hop-address-generic', REFERENCE_CLASS, 'PreviousHopAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric', 
                [], [], 
                '''                Previous hop address
                ''',
                'previous_hop_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection', REFERENCE_CLASS, 'Protection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.Protection', 
                [], [], 
                '''                Protection Object
                ''',
                'protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-rro', REFERENCE_LIST, 'ResvRro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro', 
                [], [], 
                '''                Resv RRO for this S2L
                ''',
                'resv_rro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-ero-in', REFERENCE_LIST, 'ReverseEroIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseEroIn', 
                [], [], 
                '''                 Reverse Incoming ERO for this S2L
                ''',
                'reverse_ero_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Connected
                ''',
                'reverse_lsp_connected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-fec', REFERENCE_CLASS, 'ReverseLspFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseLspFec', 
                [], [], 
                '''                Reverse Associated Bidir LSP FEC
                ''',
                'reverse_lsp_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Name
                ''',
                'reverse_lsp_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Present
                ''',
                'reverse_lsp_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-tspec', REFERENCE_CLASS, 'ReverseTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseTspec', 
                [], [], 
                '''                The Reverse T spec info
                ''',
                'reverse_tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The reverse path weight
                ''',
                'reverse_weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('role', REFERENCE_ENUM_CLASS, 'MplsTeTunnelRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelRoleEnum', 
                [], [], 
                '''                Role of S2L
                ''',
                'role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-convergence', REFERENCE_CLASS, 'S2LConvergence' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.S2LConvergence', 
                [], [], 
                '''                TE LSP convergence related information
                ''',
                's2l_convergence',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec', REFERENCE_CLASS, 'S2LFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.S2LFec', 
                [], [], 
                '''                FEC for the S2L
                ''',
                's2l_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label
                ''',
                's2l_local_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing label
                ''',
                's2l_out_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-ero-obj-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2l Reverse ERO Object Present
                ''',
                's2l_reverse_ero_obj_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-lsp-sub-obj', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Reverse LSP Sub Objects
                ''',
                's2l_reverse_lsp_sub_obj',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-tspec-obj-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Reverse TSpec Object Present
                ''',
                's2l_reverse_tspec_obj_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-segment-routing-path', REFERENCE_LIST, 'S2LSegmentRoutingPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.S2LSegmentRoutingPath', 
                [], [], 
                '''                Segment-Routing S2L path info
                ''',
                's2l_segment_routing_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared-risk-link-group', REFERENCE_LIST, 'SharedRiskLinkGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.SharedRiskLinkGroup', 
                [], [], 
                '''                The S2L's excluded srlg groups
                ''',
                'shared_risk_link_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-status', REFERENCE_ENUM_CLASS, 'MplsTeTunnelsSignalingStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelsSignalingStatusEnum', 
                [], [], 
                '''                Signaling status
                ''',
                'signalling_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption', REFERENCE_CLASS, 'SoftPreemption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.SoftPreemption', 
                [], [], 
                '''                The soft preemption info for this LSP.
                ''',
                'soft_preemption',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-collection', REFERENCE_CLASS, 'SrlgCollection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.SrlgCollection', 
                [], [], 
                '''                SRLG-collection data
                ''',
                'srlg_collection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tail-end-bfd-info', REFERENCE_CLASS, 'TailEndBfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.TailEndBfdInfo', 
                [], [], 
                '''                The Tail-end BFD info
                ''',
                'tail_end_bfd_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-preferred-path-exists-send-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last preferred path exists msg send
                from mid-point
                ''',
                'time_since_last_preferred_path_exists_send_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-preferred-tree-exists-send-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last preferred tree exists msg send
                from mid-point
                ''',
                'time_since_last_preferred_tree_exists_send_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-query-received-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last reevaluation query received at
                mid-point
                ''',
                'time_since_last_query_received_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tspec', REFERENCE_CLASS, 'Tspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.Tspec', 
                [], [], 
                '''                The T spec info
                ''',
                'tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('upstream-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Upstream router id
                ''',
                'upstream_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the tunnel was up
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The path's weight
                ''',
                'weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp',
            False, 
            [
            _MetaInfoClassMember('dste-class-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Matching DSTE class index
                ''',
                'dste_class_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-match', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Do the class type and priority match a DSTE
                class
                ''',
                'dste_class_match',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-active-reason', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP LSP FRR active reason
                ''',
                'frr_active_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-frr-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                P2MP LSP has FRR Failed
                ''',
                'is_frr_failed',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True for tunnel head
                ''',
                'is_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-passive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True for passive tunnel
                ''',
                'is_passive',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-path-change', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last path change
                ''',
                'last_path_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP LSP Bandwidth
                ''',
                'lsp_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The LSP bandwidth type
                ''',
                'lsp_bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-fec', REFERENCE_CLASS, 'LspFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.LspFec', 
                [], [], 
                '''                FEC for the LSP
                ''',
                'lsp_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSP hold priority
                ''',
                'lsp_hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSP setup priority
                ''',
                'lsp_setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('persistent-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Persistent forwarding statistics for number of
                bytes. Clear counters will not reset the counter
                ''',
                'persistent_bytes',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('persistent-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Persistent forwarding statistics for Number of
                packets. Clear counters will not reset the
                counter
                ''',
                'persistent_packets',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimize-reason', REFERENCE_ENUM_CLASS, 'MplsTeReoptDecisionReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeReoptDecisionReasonEnum', 
                [], [], 
                '''                Reason for re-optimization
                ''',
                'reoptimize_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimize-trigger', REFERENCE_ENUM_CLASS, 'MteReoptTriggerEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MteReoptTriggerEnum', 
                [], [], 
                '''                Re-optimize trigger
                ''',
                'reoptimize_trigger',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-down', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of down S2Ls
                ''',
                's2_ls_down',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-proceeding', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of proceeding S2Ls
                ''',
                's2_ls_proceeding',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of connected S2Ls
                ''',
                's2_ls_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l', REFERENCE_LIST, 'S2L' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L', 
                [], [], 
                '''                array of S2L structures
                ''',
                's2l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signaled-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signaled Name
                ''',
                'signaled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('timer-left', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds left to take next action if any
                ''',
                'timer_left',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MplsTeLspEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspEnum', 
                [], [], 
                '''                The type of this LSP
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the tunnel was up
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tunnel-restoration-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.LspFec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.LspFec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.LspFec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.LspFec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.LspFec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.S2LFec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.S2LFec',
            False, 
            [
            _MetaInfoClassMember('s2l-fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                Session identifier (ctype)
                ''',
                's2l_fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-dest', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                sub-LSP destination address
                ''',
                's2l_fec_dest',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                's2l_fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                's2l_fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                's2l_fec_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSP source address
                ''',
                's2l_fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                sub-LSP subgroup ID
                ''',
                's2l_fec_subgroup_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                's2l_fec_subgroup_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                's2l_fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                's2l_fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.PathCalculationError' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.PathCalculationError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-calculation-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.RemergeError' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.RemergeError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'remerge-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.SignallingError' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.SignallingError',
            False, 
            [
            _MetaInfoClassMember('error', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Path Error code
                ''',
                'error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Source address of the error generating node
                ''',
                'error_node',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSPMode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if error is on the reverse LSP
                ''',
                'reverse_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP-id for which the error was received
                ''',
                'signalling_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path Error subcode
                ''',
                'sub_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalling-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption',
            False, 
            [
            _MetaInfoClassMember('attribute-set', REFERENCE_CLASS, 'AttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet', 
                [], [], 
                '''                The path option attribute set used by this path
                ''',
                'attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-found', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has found the defined attribute
                set
                ''',
                'attribute_set_found',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Explicit Path ID, this is the key to table
                ExplicitPaths.IdentifierTable
                ''',
                'explicit_path_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Explicit Path Name, this is the key to table
                ExplicitPaths.NameTable
                ''',
                'explicit_path_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has an attribute set defined
                ''',
                'has_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-xro-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has an XRO attribute set
                configured
                ''',
                'has_xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('holddown-duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Holddown Duration (seconds)
                ''',
                'holddown_duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path option is disabled
                ''',
                'is_disabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-helddown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if path is helddown
                ''',
                'is_helddown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-lockdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is locked down
                ''',
                'is_lockdown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-segment-routing', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is Segment-Routing
                ''',
                'is_segment_routing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-explicit-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if explicit path is strict
                ''',
                'is_strict_explicit_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-verbatim', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is verbatim
                ''',
                'is_verbatim',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index
                ''',
                'option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index-is-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The path option index is valid
                ''',
                'option_index_is_valid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-calculation-error', REFERENCE_LIST, 'PathCalculationError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.PathCalculationError', 
                [], [], 
                '''                Path computation information
                ''',
                'path_calculation_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The path-option area constraint
                ''',
                'path_option_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path option name
                ''',
                'path_option_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-type', REFERENCE_ENUM_CLASS, 'MplsTePathoptionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTePathoptionEnum', 
                [], [], 
                '''                Path option type
                ''',
                'path_option_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                PCE server address
                ''',
                'pce_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-by-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for Protect path options
                ''',
                'protected_by_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remerge-error', REFERENCE_LIST, 'RemergeError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.RemergeError', 
                [], [], 
                '''                Path computation remerge resolve info
                ''',
                'remerge_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restored-from-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for Restore path options
                ''',
                'restored_from_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-error', REFERENCE_LIST, 'SignallingError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.SignallingError', 
                [], [], 
                '''                Signalling information
                ''',
                'signalling_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set', REFERENCE_CLASS, 'XroAttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet', 
                [], [], 
                '''                The XRO attribute set used by this path-option
                ''',
                'xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set-found', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path's XRO attribute set is known
                ''',
                'xro_attribute_set_found',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'active-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'out-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'in-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.Tspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.Tspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GenericTspec.Otntspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GenericTspec.Otntspec',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit Rate in kbps
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nmc-or-tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                NMC or Tolerance
                ''',
                'nmc_or_tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Virtual Components
                ''',
                'nvc',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otntspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GenericTspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GenericTspec',
            False, 
            [
            _MetaInfoClassMember('otntspec', REFERENCE_CLASS, 'Otntspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GenericTspec.Otntspec', 
                [], [], 
                '''                TE TSpec for G709 OTN
                ''',
                'otntspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tspec-type', REFERENCE_ENUM_CLASS, 'TeMgmtGenericTspecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeMgmtGenericTspecEnum', 
                [], [], 
                '''                TSpecType
                ''',
                'tspec_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'generic-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.Fspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.Fspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GenericFspec.Otnfspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GenericFspec.Otnfspec',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit Rate in kbps
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nmc-or-tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                NMC or Tolerance
                ''',
                'nmc_or_tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Virtual Components
                ''',
                'nvc',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otnfspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GenericFspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GenericFspec',
            False, 
            [
            _MetaInfoClassMember('fspec-type', REFERENCE_ENUM_CLASS, 'TeMgmtGenericFspecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeMgmtGenericFspecEnum', 
                [], [], 
                '''                FSpecType
                ''',
                'fspec_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otnfspec', REFERENCE_CLASS, 'Otnfspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GenericFspec.Otnfspec', 
                [], [], 
                '''                TE FSpec for G709 OTN
                ''',
                'otnfspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'generic-fspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.NextHopAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.NextHopAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.NextHopAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.NextHopAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.NextHopAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'next-hop-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'previous-hop-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.IncomingAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.IncomingAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.IncomingAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.IncomingAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.IncomingAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'incoming-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.S2LConvergence' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.S2LConvergence',
            False, 
            [
            _MetaInfoClassMember('creation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tunnel creation timestamp (clocktime in nsecs)
                ''',
                'creation_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rewrite', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP Label rewrite timestamp (clocktime in nsecs)
                ''',
                'label_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Path-in timestamp (clocktime in nsecs)
                ''',
                'path_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Path-in timestamp (clocktime in nsecs)
                ''',
                'path_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Resv-in timestamp (clocktime in nsecs)
                ''',
                'resv_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Resv-out timestamp (clocktime in nsecs)
                ''',
                'resv_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-rewrite', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tunnel rewrite timestamp (clocktime in nsecs)
                ''',
                'tunnel_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-convergence',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.SoftPreemption' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.SoftPreemption',
            False, 
            [
            _MetaInfoClassMember('fr-rrewrite', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR-rewrite during soft preemption
                ''',
                'fr_rrewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fr-rrewrite-tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The tunnel name of the backup
                ''',
                'fr_rrewrite_tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('preempting-link-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The address of the link where the preemption
                happened
                ''',
                'preempting_link_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-link', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the link where the soft preemption
                occurred
                ''',
                'soft_preemption_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The POSIX timestamp when the soft preemption
                occurred
                ''',
                'soft_preemption_timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'MplsTeSoftPreemptionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeSoftPreemptionStateEnum', 
                [], [], 
                '''                The current state of the soft preemption
                operation
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-to-hard-preemption', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The number of seconds until hard preemption is
                triggered
                ''',
                'time_to_hard_preemption',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'soft-preemption',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels',
            False, 
            [
            _MetaInfoClassMember('path-egress-label', REFERENCE_CLASS, 'PathEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel', 
                [], [], 
                '''                Path message (upstream) egress label
                ''',
                'path_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-ingress-label', REFERENCE_CLASS, 'PathIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel', 
                [], [], 
                '''                Path message (upstream) ingress label
                ''',
                'path_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-egress-label', REFERENCE_CLASS, 'ResvEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel', 
                [], [], 
                '''                Resv message (downstream) egress label
                ''',
                'resv_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-ingress-label', REFERENCE_CLASS, 'ResvIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel', 
                [], [], 
                '''                Resv message (downstream) ingress label
                ''',
                'resv_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'gmpls-labels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tolerance
                ''',
                'tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-cbr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-gfp-f-res',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-gfp-f-non-res',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth',
            False, 
            [
            _MetaInfoClassMember('odu-flex-cbr', REFERENCE_CLASS, 'OduFlexCbr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr', 
                [], [], 
                '''                Odu flex CBR info
                ''',
                'odu_flex_cbr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-flex-gfp-f-non-res', REFERENCE_CLASS, 'OduFlexGfpFNonRes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes', 
                [], [], 
                '''                Odu flex GFP-F non-resizable info
                ''',
                'odu_flex_gfp_f_non_res',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-flex-gfp-f-res', REFERENCE_CLASS, 'OduFlexGfpFRes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes', 
                [], [], 
                '''                Odu flex GFP-F resizable info
                ''',
                'odu_flex_gfp_f_res',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-level', REFERENCE_ENUM_CLASS, 'TeOduLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeOduLevelEnum', 
                [], [], 
                '''                ODULevel
                ''',
                'odu_level',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels',
            False, 
            [
            _MetaInfoClassMember('path-egress-label', REFERENCE_CLASS, 'PathEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel', 
                [], [], 
                '''                Path message (upstream) egress label
                ''',
                'path_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-ingress-label', REFERENCE_CLASS, 'PathIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel', 
                [], [], 
                '''                Path message (upstream) ingress label
                ''',
                'path_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-egress-label', REFERENCE_CLASS, 'ResvEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel', 
                [], [], 
                '''                Resv message (downstream) egress label
                ''',
                'resv_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-ingress-label', REFERENCE_CLASS, 'ResvIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel', 
                [], [], 
                '''                Resv message (downstream) ingress label
                ''',
                'resv_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'labels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn',
            False, 
            [
            _MetaInfoClassMember('bandwidth', REFERENCE_CLASS, 'Bandwidth' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth', 
                [], [], 
                '''                OTN Bandwidth for s2l
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cross-connect-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cross connect id
                ''',
                'cross_connect_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gpid', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Gpid Payload
                ''',
                'gpid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Incoming Controller
                ''',
                'incoming_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Incoming Controller Ifhandle
                ''',
                'incoming_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Controller
                ''',
                'incoming_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Incoming Sub Controller
                ''',
                'incoming_sub_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Incoming Sub Controller Ifhandle
                ''',
                'incoming_sub_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Sub Controller
                ''',
                'incoming_sub_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if subcontrollers are connected
                ''',
                'is_connected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('labels', REFERENCE_CLASS, 'Labels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels', 
                [], [], 
                '''                Labels
                ''',
                'labels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing Controller
                ''',
                'outgoing_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Controller Ifhandle
                ''',
                'outgoing_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Controller
                ''',
                'outgoing_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing Sub Controller
                ''',
                'outgoing_sub_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Sub Controller Ifhandle
                ''',
                'outgoing_sub_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Sub Controller
                ''',
                'outgoing_sub_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                XC Uptime
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Aps.ProtectionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Aps.ProtectionInfo',
            False, 
            [
            _MetaInfoClassMember('ho-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-Off timeout
                ''',
                'ho_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-hopresent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Hold-Off timeout present
                ''',
                'is_hopresent',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-snc-mode-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SNC mode present
                ''',
                'is_snc_mode_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-wtr-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Wait-to-Restore timeout present
                ''',
                'is_wtr_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Notification bit 
                ''',
                'nbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('obit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Operational bit
                ''',
                'obit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path protection profile type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Protecting bit
                ''',
                'pbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protect-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                LSP Protect Type
                ''',
                'protect_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Secondary bit
                ''',
                'sbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                SNC mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TCM ID
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wtr-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait-to-Restore timeout
                ''',
                'wtr_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protection-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Aps' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Aps',
            False, 
            [
            _MetaInfoClassMember('protection-info', REFERENCE_CLASS, 'ProtectionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Aps.ProtectionInfo', 
                [], [], 
                '''                Protection Info
                ''',
                'protection_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'aps',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L',
            False, 
            [
            _MetaInfoClassMember('aps', REFERENCE_CLASS, 'Aps' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Aps', 
                [], [], 
                '''                APS Info for OTN S2L
                ''',
                'aps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn', 
                [], [], 
                '''                Info Related to OTN technology in S2L
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn-s2l',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.HeadEndBfdInfo.SessionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.HeadEndBfdInfo.SessionInfo',
            False, 
            [
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'TeBfdLspSessionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdLspSessionStateEnum', 
                [], [], 
                '''                BFD session state
                ''',
                'state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('state-change-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last session state
                change
                ''',
                'state_change_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'session-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.HeadEndBfdInfo.DeletionHistory' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.HeadEndBfdInfo.DeletionHistory',
            False, 
            [
            _MetaInfoClassMember('deletion-diagnostic-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Diagnostic Code for the BFD session get deleted
                ''',
                'deletion_diagnostic_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reason for the BFD session get deleted
                ''',
                'deletion_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time stamp of the BFD session get deleted
                ''',
                'deletion_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID of the BFD session get deleted
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'deletion-history',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.HeadEndBfdInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.HeadEndBfdInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-reverse-path-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path labels
                ''',
                'bfd_reverse_path_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The BFD reverse path is stale compared to
                configuration
                ''',
                'bfd_reverse_path_stale',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('creation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the BFD session created
                ''',
                'creation_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-history', REFERENCE_CLASS, 'DeletionHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.HeadEndBfdInfo.DeletionHistory', 
                [], [], 
                '''                BFD Session Deletion History
                ''',
                'deletion_history',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-redundant', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                sBFD session is redundant
                ''',
                'is_redundant',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lspbfd-type', REFERENCE_ENUM_CLASS, 'TeVifBfdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeVifBfdEnum', 
                [], [], 
                '''                LSP BFD type
                ''',
                'lspbfd_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-info', REFERENCE_CLASS, 'SessionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.HeadEndBfdInfo.SessionInfo', 
                [], [], 
                '''                BFD Session Info
                ''',
                'session_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'head-end-bfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.TailEndBfdInfo.SessionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.TailEndBfdInfo.SessionInfo',
            False, 
            [
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'TeBfdLspSessionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdLspSessionStateEnum', 
                [], [], 
                '''                BFD session state
                ''',
                'state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('state-change-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last session state
                change
                ''',
                'state_change_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'session-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.TailEndBfdInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.TailEndBfdInfo',
            False, 
            [
            _MetaInfoClassMember('failure-diagnostic-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD session failure diagnostic code
                ''',
                'failure_diagnostic_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('failure-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                BFD session failure reason
                ''',
                'failure_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-discriminator', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Local Discriminator
                ''',
                'local_discriminator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('min-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello interval in mini second
                ''',
                'min_interval',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('min-interval-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default hello interval
                ''',
                'min_interval_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default multiplier
                ''',
                'multiplier_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-discriminator', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Remote Discrminator
                ''',
                'remote_discriminator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-info', REFERENCE_CLASS, 'SessionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.TailEndBfdInfo.SessionInfo', 
                [], [], 
                '''                BFD Session Info
                ''',
                'session_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tail-end-bfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.SrlgCollection' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.SrlgCollection',
            False, 
            [
            _MetaInfoClassMember('discovered-srlg', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Discovered SRLGs
                ''',
                'discovered_srlg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-collect-type', REFERENCE_ENUM_CLASS, 'TeSrlgCollectRequestEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSrlgCollectRequestEnum', 
                [], [], 
                '''                SRLG-collection mechanism
                ''',
                'srlg_collect_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-collection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.Association' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.Association',
            False, 
            [
            _MetaInfoClassMember('s2l-association-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Association ID
                ''',
                's2l_association_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                S2L Association Source
                ''',
                's2l_association_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-tie-role', REFERENCE_ENUM_CLASS, 'TeAssociationTieRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAssociationTieRoleEnum', 
                [], [], 
                '''                S2L Association Tie Role
                ''',
                's2l_association_tie_role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Association Type                         
                (draft-ietf-ccamp-mpls-tp-rsvpte-ext-associated-lsp)
                ''',
                's2l_association_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-extended-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L Extended ID Array
                ''',
                's2l_extended_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-global-source', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L Global Source
                ''',
                's2l_global_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'association',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.Protection' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.Protection',
            False, 
            [
            _MetaInfoClassMember('any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Any
                ''',
                'any',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ded1-plus1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1+1 Protection
                ''',
                'ded1_plus1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ded1-to1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1:1 Protection
                ''',
                'ded1_to1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('enhanced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates Enhanced Protection Scheme
                ''',
                'enhanced',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extra-traffic', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should use Links that are protecting other
                (primary) traffic
                ''',
                'extra_traffic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should not use any Link Layer Protection
                ''',
                'link_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Flags Unprotected
                ''',
                'lsp_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-plus-one-bi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Bidirectional Protection
                ''',
                'one_plus_one_bi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-plus-one-uni', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Unidirectional Protection
                ''',
                'one_plus_one_uni',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-to-n-protection-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1:N Protection with Extra-Traffic
                ''',
                'one_to_n_protection_et',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Full Rerouting
                ''',
                'rerouting',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouting-no-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Rerouting Without Extra-Traffic
                ''',
                'rerouting_no_et',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-notification', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Notification Bit
                ''',
                's2l_notification',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-operational', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Operational Bit
                ''',
                's2l_operational',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Protecting Bit
                ''',
                's2l_protecting',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-secondary', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Secondary Bit
                ''',
                's2l_secondary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Shared Link Layer Protection
                ''',
                'shared',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseLspFec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseLspFec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseLspFec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseLspFec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseLspFec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-lsp-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseTspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseTspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.FlexInfo.FlexFec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.FlexInfo.FlexFec',
            False, 
            [
            _MetaInfoClassMember('s2l-fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                Session identifier (ctype)
                ''',
                's2l_fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-dest', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                sub-LSP destination address
                ''',
                's2l_fec_dest',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                's2l_fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                's2l_fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                's2l_fec_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSP source address
                ''',
                's2l_fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                sub-LSP subgroup ID
                ''',
                's2l_fec_subgroup_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                's2l_fec_subgroup_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                's2l_fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                's2l_fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.FlexInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.FlexInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-created', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GAL BFD Session Created
                ''',
                'bfd_created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-egress-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Egress Label
                ''',
                'bfd_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-int-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Internal Label
                ''',
                'bfd_int_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                BFD Next Hop
                ''',
                'bfd_next_hop',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-out-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD Out Interface Handle
                ''',
                'bfd_out_ifh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-tun-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD Tunnel Interface Handle
                ''',
                'bfd_tun_ifh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GAL BFD Session Up
                ''',
                'bfd_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('entry-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FlexLSP Entry Exists
                ''',
                'entry_exists',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ais', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault AIS
                ''',
                'fault_ais',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ldi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LDI
                ''',
                'fault_ldi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ldi-lockout', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LDI Lockout
                ''',
                'fault_ldi_lockout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-lkr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LKR
                ''',
                'fault_lkr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Fault Time
                ''',
                'fault_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex-fec', REFERENCE_CLASS, 'FlexFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.FlexInfo.FlexFec', 
                [], [], 
                '''                FEC for the FlexLSP Entry
                ''',
                'flex_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                In Label
                ''',
                'in_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('oam-created', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                OAM Entry Created
                ''',
                'oam_created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.LspWrapInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.LspWrapInfo',
            False, 
            [
            _MetaInfoClassMember('lsp-wrap-protection-enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Wrap protection enabled
                ''',
                'lsp_wrap_protection_enable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-protection-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSP Wrap Merge Point Label
                ''',
                'lsp_wrap_protection_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-protection-state', REFERENCE_ENUM_CLASS, 'MplsTeLspWrapStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspWrapStateEnum', 
                [], [], 
                '''                LSP wrap protection state
                ''',
                'lsp_wrap_protection_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reverse Egress Interface
                ''',
                'reverse_egress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reverse LSP label
                ''',
                'reverse_lsp_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-wrap-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.DiversityInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.DiversityInfo',
            False, 
            [
            _MetaInfoClassMember('diversity-type', REFERENCE_ENUM_CLASS, 'TePpDiversityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePpDiversityEnum', 
                [], [], 
                '''                S2L path diversity type
                ''',
                'diversity_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'diversity-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.SharedRiskLinkGroup' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.SharedRiskLinkGroup',
            False, 
            [
            _MetaInfoClassMember('shared-risk-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG number
                ''',
                'shared_risk_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SRLG name
                ''',
                'srlg_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'shared-risk-link-group',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutEro.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutEro.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutEro.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutEro.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutEro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutEro',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutEro.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutEro.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'out-ero',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InEro.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InEro.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InEro.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InEro.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InEro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InEro',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InEro.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InEro.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'in-ero',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.Ipv4RroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.Ipv4RroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.Ipv4RroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.Ipv4RroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.Ipv4RroSubObject.Flags', 
                [], [], 
                '''                The RRO IPV4 Subobject Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO IPV4 Address
                ''',
                'rro_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.LabelRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.LabelRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-global-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label is Global across all interfaces
                ''',
                'is_global_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.LabelRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.LabelRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.LabelRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Label Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-label-variable-length', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the RRO Subobject Label Variable Length
                ''',
                'is_label_variable_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Label Value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('variable-length-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Variable Length Label
                ''',
                'variable_length_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'label-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.UnnumberedRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.UnnumberedRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Unnumbered Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO Interface Address
                ''',
                'interface_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.SrlgRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.SrlgRroSubObject',
            False, 
            [
            _MetaInfoClassMember('srl-gs', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject SRLGs
                ''',
                'srl_gs',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro',
            False, 
            [
            _MetaInfoClassMember('ipv4rro-sub-object', REFERENCE_CLASS, 'Ipv4RroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.Ipv4RroSubObject', 
                [], [], 
                '''                IPV4 RRO Sub Object
                ''',
                'ipv4rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rro-sub-object', REFERENCE_CLASS, 'LabelRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.LabelRroSubObject', 
                [], [], 
                '''                Label RRO Sub Object
                ''',
                'label_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtRroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtRroSubobjEnum', 
                [], [], 
                '''                RROType
                ''',
                'rro_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-rro-sub-object', REFERENCE_CLASS, 'SrlgRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.SrlgRroSubObject', 
                [], [], 
                '''                SRLG RRO Sub Object
                ''',
                'srlg_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-rro-sub-object', REFERENCE_CLASS, 'UnnumberedRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.UnnumberedRroSubObject', 
                [], [], 
                '''                Unnumbered RRO Sub Object
                ''',
                'unnumbered_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-rro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.Ipv4RroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.Ipv4RroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags', 
                [], [], 
                '''                The RRO IPV4 Subobject Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO IPV4 Address
                ''',
                'rro_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.LabelRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.LabelRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-global-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label is Global across all interfaces
                ''',
                'is_global_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.LabelRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.LabelRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.LabelRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Label Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-label-variable-length', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the RRO Subobject Label Variable Length
                ''',
                'is_label_variable_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Label Value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('variable-length-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Variable Length Label
                ''',
                'variable_length_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'label-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.UnnumberedRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.UnnumberedRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Unnumbered Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO Interface Address
                ''',
                'interface_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.SrlgRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.SrlgRroSubObject',
            False, 
            [
            _MetaInfoClassMember('srl-gs', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject SRLGs
                ''',
                'srl_gs',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro',
            False, 
            [
            _MetaInfoClassMember('ipv4rro-sub-object', REFERENCE_CLASS, 'Ipv4RroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.Ipv4RroSubObject', 
                [], [], 
                '''                IPV4 RRO Sub Object
                ''',
                'ipv4rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rro-sub-object', REFERENCE_CLASS, 'LabelRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.LabelRroSubObject', 
                [], [], 
                '''                Label RRO Sub Object
                ''',
                'label_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtRroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtRroSubobjEnum', 
                [], [], 
                '''                RROType
                ''',
                'rro_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-rro-sub-object', REFERENCE_CLASS, 'SrlgRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.SrlgRroSubObject', 
                [], [], 
                '''                SRLG RRO Sub Object
                ''',
                'srlg_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-rro-sub-object', REFERENCE_CLASS, 'UnnumberedRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.UnnumberedRroSubObject', 
                [], [], 
                '''                Unnumbered RRO Sub Object
                ''',
                'unnumbered_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-rro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathAffinityArray' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathAffinityArray',
            False, 
            [
            _MetaInfoClassMember('hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Hop address
                ''',
                'hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop-affinity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'hop_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop-extended-affinity', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hop affinity
                ''',
                'hop_extended_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-affinity-array',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseEroIn.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseEroIn.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseEroIn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseEroIn',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseEroIn.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-ero-in',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.S2LSegmentRoutingPath' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.S2LSegmentRoutingPath',
            False, 
            [
            _MetaInfoClassMember('has-entropy-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Hop has EL specified
                ''',
                'has_entropy_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-ip-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node has IP addresses specified
                ''',
                'has_ip_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-mpls-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Hop has MPLS label specified
                ''',
                'has_mpls_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local IP address of adjacency or Node ID
                ''',
                'local_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mpls-label-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The MPLS label value
                ''',
                'mpls_label_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote IP address of adjacency
                ''',
                'remote_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sid-type', REFERENCE_ENUM_CLASS, 'TeSrSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSrSidEnum', 
                [], [], 
                '''                Type of the SID
                ''',
                'sid_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-segment-routing-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L',
            False, 
            [
            _MetaInfoClassMember('abr-auto-discovered', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next ABR auto discovered
                ''',
                'abr_auto_discovered',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('active-path-option', REFERENCE_CLASS, 'ActivePathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption', 
                [], [], 
                '''                The path option used to find the path for this
                S2L
                ''',
                'active_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('association', REFERENCE_CLASS, 'Association' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.Association', 
                [], [], 
                '''                Association Object
                ''',
                'association',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface handle of the backup tunnel
                ''',
                'backup_tunnel_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('diversity-info', REFERENCE_CLASS, 'DiversityInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.DiversityInfo', 
                [], [], 
                '''                S2L Diversity Information
                ''',
                'diversity_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('downstream-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Downstream router id
                ''',
                'downstream_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Egress Interface
                ''',
                'egress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface-brief', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Egress Interface in brief format
                ''',
                'egress_interface_brief',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Interface
                ''',
                'egress_interface_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Outgoing ERO's affinity bits (colors)
                ''',
                'expanded_ero_affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Outgoing ERO's affinity mask (colors)
                ''',
                'expanded_ero_affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Indicates the protocol and area used to find
                Outgoing ERO
                ''',
                'expanded_ero_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The metric value of the expanded path
                ''',
                'expanded_ero_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-metric-type', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                The Outgoing ERO's selection metric
                ''',
                'expanded_ero_metric_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex-info', REFERENCE_CLASS, 'FlexInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.FlexInfo', 
                [], [], 
                '''                FlexLSP S2L Information
                ''',
                'flex_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-out-tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FRR out tunnel intface
                ''',
                'frr_out_tunnel_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fspec', REFERENCE_CLASS, 'Fspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.Fspec', 
                [], [], 
                '''                The F spec info
                ''',
                'fspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generic-fspec', REFERENCE_CLASS, 'GenericFspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GenericFspec', 
                [], [], 
                '''                Generic FSpec
                ''',
                'generic_fspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generic-tspec', REFERENCE_CLASS, 'GenericTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GenericTspec', 
                [], [], 
                '''                Generic TSpec
                ''',
                'generic_tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gmpls-labels', REFERENCE_CLASS, 'GmplsLabels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels', 
                [], [], 
                '''                GMPLS labels
                ''',
                'gmpls_labels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('head-end-bfd-info', REFERENCE_CLASS, 'HeadEndBfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.HeadEndBfdInfo', 
                [], [], 
                '''                The Head-end BFD info
                ''',
                'head_end_bfd_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-ero', REFERENCE_LIST, 'InEro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InEro', 
                [], [], 
                '''                Incoming ERO for this S2L
                ''',
                'in_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-xro', REFERENCE_CLASS, 'InXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro', 
                [], [], 
                '''                Incoming XRO for this S2L
                ''',
                'in_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Incoming interface address
                ''',
                'incoming_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-address-generic', REFERENCE_CLASS, 'IncomingAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.IncomingAddressGeneric', 
                [], [], 
                '''                Incoming interface address
                ''',
                'incoming_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ingress Interface
                ''',
                'ingress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface-brief', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ingress Interface in brief format
                ''',
                'ingress_interface_brief',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Interface
                ''',
                'ingress_interface_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-protect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BW Protection Enabled or Disabled
                ''',
                'is_bandwidth_protect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-expanded-ero', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if this LSR expanded a loose path
                ''',
                'is_expanded_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-frr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Enabled or Disabled
                ''',
                'is_frr_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Enabled or Disabled
                ''',
                'is_node_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-optical', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Optical
                ''',
                'is_optical',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local router id
                ''',
                'local_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-info', REFERENCE_CLASS, 'LspWrapInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.LspWrapInfo', 
                [], [], 
                '''                Lsp Wrap  Related information
                ''',
                'lsp_wrap_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop address
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address-generic', REFERENCE_CLASS, 'NextHopAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.NextHopAddressGeneric', 
                [], [], 
                '''                Next hop address
                ''',
                'next_hop_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('node-hop-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hop count
                ''',
                'node_hop_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn-s2l', REFERENCE_CLASS, 'OtnS2L' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L', 
                [], [], 
                '''                Otn S2L Information
                ''',
                'otn_s2l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-ero', REFERENCE_LIST, 'OutEro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutEro', 
                [], [], 
                '''                Outgoing ERO for this S2L
                ''',
                'out_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-xro', REFERENCE_CLASS, 'OutXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro', 
                [], [], 
                '''                Outgoing XRO for this S2L
                ''',
                'out_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outbound-frr-state', REFERENCE_ENUM_CLASS, 'MplsTeFrrStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeFrrStateEnum', 
                [], [], 
                '''                Indicates outbound FRR state
                ''',
                'outbound_frr_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-affinity-array', REFERENCE_LIST, 'PathAffinityArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathAffinityArray', 
                [], [], 
                '''                Tunnel's Path hops with affinity
                ''',
                'path_affinity_array',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reeval-query-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loose path reevaluation query received at
                mid-point
                ''',
                'path_reeval_query_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-rro', REFERENCE_LIST, 'PathRro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro', 
                [], [], 
                '''                Path RRO for this S2L
                ''',
                'path_rro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-rro-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path RRO Enabled or Disabled
                ''',
                'path_rro_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-using-strict-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is using Strict SPF
                ''',
                'path_using_strict_spf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcalc-area', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IGP-area in which the S2L path was calculated
                ''',
                'pcalc_area',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Previous hop address
                ''',
                'previous_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-hop-address-generic', REFERENCE_CLASS, 'PreviousHopAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric', 
                [], [], 
                '''                Previous hop address
                ''',
                'previous_hop_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection', REFERENCE_CLASS, 'Protection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.Protection', 
                [], [], 
                '''                Protection Object
                ''',
                'protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-rro', REFERENCE_LIST, 'ResvRro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro', 
                [], [], 
                '''                Resv RRO for this S2L
                ''',
                'resv_rro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-ero-in', REFERENCE_LIST, 'ReverseEroIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseEroIn', 
                [], [], 
                '''                 Reverse Incoming ERO for this S2L
                ''',
                'reverse_ero_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Connected
                ''',
                'reverse_lsp_connected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-fec', REFERENCE_CLASS, 'ReverseLspFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseLspFec', 
                [], [], 
                '''                Reverse Associated Bidir LSP FEC
                ''',
                'reverse_lsp_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Name
                ''',
                'reverse_lsp_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Present
                ''',
                'reverse_lsp_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-tspec', REFERENCE_CLASS, 'ReverseTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseTspec', 
                [], [], 
                '''                The Reverse T spec info
                ''',
                'reverse_tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The reverse path weight
                ''',
                'reverse_weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('role', REFERENCE_ENUM_CLASS, 'MplsTeTunnelRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelRoleEnum', 
                [], [], 
                '''                Role of S2L
                ''',
                'role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-convergence', REFERENCE_CLASS, 'S2LConvergence' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.S2LConvergence', 
                [], [], 
                '''                TE LSP convergence related information
                ''',
                's2l_convergence',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec', REFERENCE_CLASS, 'S2LFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.S2LFec', 
                [], [], 
                '''                FEC for the S2L
                ''',
                's2l_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label
                ''',
                's2l_local_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing label
                ''',
                's2l_out_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-ero-obj-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2l Reverse ERO Object Present
                ''',
                's2l_reverse_ero_obj_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-lsp-sub-obj', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Reverse LSP Sub Objects
                ''',
                's2l_reverse_lsp_sub_obj',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-tspec-obj-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Reverse TSpec Object Present
                ''',
                's2l_reverse_tspec_obj_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-segment-routing-path', REFERENCE_LIST, 'S2LSegmentRoutingPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.S2LSegmentRoutingPath', 
                [], [], 
                '''                Segment-Routing S2L path info
                ''',
                's2l_segment_routing_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared-risk-link-group', REFERENCE_LIST, 'SharedRiskLinkGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.SharedRiskLinkGroup', 
                [], [], 
                '''                The S2L's excluded srlg groups
                ''',
                'shared_risk_link_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-status', REFERENCE_ENUM_CLASS, 'MplsTeTunnelsSignalingStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelsSignalingStatusEnum', 
                [], [], 
                '''                Signaling status
                ''',
                'signalling_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption', REFERENCE_CLASS, 'SoftPreemption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.SoftPreemption', 
                [], [], 
                '''                The soft preemption info for this LSP.
                ''',
                'soft_preemption',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-collection', REFERENCE_CLASS, 'SrlgCollection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.SrlgCollection', 
                [], [], 
                '''                SRLG-collection data
                ''',
                'srlg_collection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tail-end-bfd-info', REFERENCE_CLASS, 'TailEndBfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.TailEndBfdInfo', 
                [], [], 
                '''                The Tail-end BFD info
                ''',
                'tail_end_bfd_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-preferred-path-exists-send-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last preferred path exists msg send
                from mid-point
                ''',
                'time_since_last_preferred_path_exists_send_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-preferred-tree-exists-send-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last preferred tree exists msg send
                from mid-point
                ''',
                'time_since_last_preferred_tree_exists_send_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-query-received-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last reevaluation query received at
                mid-point
                ''',
                'time_since_last_query_received_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tspec', REFERENCE_CLASS, 'Tspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.Tspec', 
                [], [], 
                '''                The T spec info
                ''',
                'tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('upstream-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Upstream router id
                ''',
                'upstream_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the tunnel was up
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The path's weight
                ''',
                'weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp',
            False, 
            [
            _MetaInfoClassMember('dste-class-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Matching DSTE class index
                ''',
                'dste_class_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-match', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Do the class type and priority match a DSTE
                class
                ''',
                'dste_class_match',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-active-reason', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP LSP FRR active reason
                ''',
                'frr_active_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-frr-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                P2MP LSP has FRR Failed
                ''',
                'is_frr_failed',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True for tunnel head
                ''',
                'is_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-passive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True for passive tunnel
                ''',
                'is_passive',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-path-change', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last path change
                ''',
                'last_path_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP LSP Bandwidth
                ''',
                'lsp_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The LSP bandwidth type
                ''',
                'lsp_bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-fec', REFERENCE_CLASS, 'LspFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.LspFec', 
                [], [], 
                '''                FEC for the LSP
                ''',
                'lsp_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSP hold priority
                ''',
                'lsp_hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSP setup priority
                ''',
                'lsp_setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('persistent-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Persistent forwarding statistics for number of
                bytes. Clear counters will not reset the counter
                ''',
                'persistent_bytes',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('persistent-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Persistent forwarding statistics for Number of
                packets. Clear counters will not reset the
                counter
                ''',
                'persistent_packets',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimize-reason', REFERENCE_ENUM_CLASS, 'MplsTeReoptDecisionReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeReoptDecisionReasonEnum', 
                [], [], 
                '''                Reason for re-optimization
                ''',
                'reoptimize_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimize-trigger', REFERENCE_ENUM_CLASS, 'MteReoptTriggerEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MteReoptTriggerEnum', 
                [], [], 
                '''                Re-optimize trigger
                ''',
                'reoptimize_trigger',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-down', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of down S2Ls
                ''',
                's2_ls_down',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-proceeding', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of proceeding S2Ls
                ''',
                's2_ls_proceeding',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of connected S2Ls
                ''',
                's2_ls_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l', REFERENCE_LIST, 'S2L' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L', 
                [], [], 
                '''                array of S2L structures
                ''',
                's2l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signaled-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signaled Name
                ''',
                'signaled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('timer-left', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds left to take next action if any
                ''',
                'timer_left',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MplsTeLspEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspEnum', 
                [], [], 
                '''                The type of this LSP
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the tunnel was up
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'delay-clean-pp-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.LspFec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.LspFec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.LspFec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.LspFec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.LspFec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.S2LFec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.S2LFec',
            False, 
            [
            _MetaInfoClassMember('s2l-fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                Session identifier (ctype)
                ''',
                's2l_fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-dest', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                sub-LSP destination address
                ''',
                's2l_fec_dest',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                's2l_fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                's2l_fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                's2l_fec_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSP source address
                ''',
                's2l_fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                sub-LSP subgroup ID
                ''',
                's2l_fec_subgroup_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                's2l_fec_subgroup_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                's2l_fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                's2l_fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.PathCalculationError' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.PathCalculationError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-calculation-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.RemergeError' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.RemergeError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'remerge-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.SignallingError' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.SignallingError',
            False, 
            [
            _MetaInfoClassMember('error', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Path Error code
                ''',
                'error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Source address of the error generating node
                ''',
                'error_node',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSPMode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if error is on the reverse LSP
                ''',
                'reverse_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP-id for which the error was received
                ''',
                'signalling_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path Error subcode
                ''',
                'sub_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalling-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption',
            False, 
            [
            _MetaInfoClassMember('attribute-set', REFERENCE_CLASS, 'AttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet', 
                [], [], 
                '''                The path option attribute set used by this path
                ''',
                'attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-found', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has found the defined attribute
                set
                ''',
                'attribute_set_found',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Explicit Path ID, this is the key to table
                ExplicitPaths.IdentifierTable
                ''',
                'explicit_path_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Explicit Path Name, this is the key to table
                ExplicitPaths.NameTable
                ''',
                'explicit_path_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has an attribute set defined
                ''',
                'has_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-xro-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has an XRO attribute set
                configured
                ''',
                'has_xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('holddown-duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Holddown Duration (seconds)
                ''',
                'holddown_duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path option is disabled
                ''',
                'is_disabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-helddown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if path is helddown
                ''',
                'is_helddown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-lockdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is locked down
                ''',
                'is_lockdown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-segment-routing', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is Segment-Routing
                ''',
                'is_segment_routing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-explicit-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if explicit path is strict
                ''',
                'is_strict_explicit_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-verbatim', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is verbatim
                ''',
                'is_verbatim',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index
                ''',
                'option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index-is-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The path option index is valid
                ''',
                'option_index_is_valid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-calculation-error', REFERENCE_LIST, 'PathCalculationError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.PathCalculationError', 
                [], [], 
                '''                Path computation information
                ''',
                'path_calculation_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The path-option area constraint
                ''',
                'path_option_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path option name
                ''',
                'path_option_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-type', REFERENCE_ENUM_CLASS, 'MplsTePathoptionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTePathoptionEnum', 
                [], [], 
                '''                Path option type
                ''',
                'path_option_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                PCE server address
                ''',
                'pce_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-by-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for Protect path options
                ''',
                'protected_by_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remerge-error', REFERENCE_LIST, 'RemergeError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.RemergeError', 
                [], [], 
                '''                Path computation remerge resolve info
                ''',
                'remerge_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restored-from-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for Restore path options
                ''',
                'restored_from_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-error', REFERENCE_LIST, 'SignallingError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.SignallingError', 
                [], [], 
                '''                Signalling information
                ''',
                'signalling_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set', REFERENCE_CLASS, 'XroAttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet', 
                [], [], 
                '''                The XRO attribute set used by this path-option
                ''',
                'xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set-found', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path's XRO attribute set is known
                ''',
                'xro_attribute_set_found',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'active-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'out-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'in-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.Tspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.Tspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GenericTspec.Otntspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GenericTspec.Otntspec',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit Rate in kbps
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nmc-or-tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                NMC or Tolerance
                ''',
                'nmc_or_tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Virtual Components
                ''',
                'nvc',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otntspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GenericTspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GenericTspec',
            False, 
            [
            _MetaInfoClassMember('otntspec', REFERENCE_CLASS, 'Otntspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GenericTspec.Otntspec', 
                [], [], 
                '''                TE TSpec for G709 OTN
                ''',
                'otntspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tspec-type', REFERENCE_ENUM_CLASS, 'TeMgmtGenericTspecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeMgmtGenericTspecEnum', 
                [], [], 
                '''                TSpecType
                ''',
                'tspec_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'generic-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.Fspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.Fspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GenericFspec.Otnfspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GenericFspec.Otnfspec',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit Rate in kbps
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nmc-or-tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                NMC or Tolerance
                ''',
                'nmc_or_tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Virtual Components
                ''',
                'nvc',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otnfspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GenericFspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GenericFspec',
            False, 
            [
            _MetaInfoClassMember('fspec-type', REFERENCE_ENUM_CLASS, 'TeMgmtGenericFspecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeMgmtGenericFspecEnum', 
                [], [], 
                '''                FSpecType
                ''',
                'fspec_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otnfspec', REFERENCE_CLASS, 'Otnfspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GenericFspec.Otnfspec', 
                [], [], 
                '''                TE FSpec for G709 OTN
                ''',
                'otnfspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'generic-fspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.NextHopAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.NextHopAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.NextHopAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.NextHopAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.NextHopAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'next-hop-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PreviousHopAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PreviousHopAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PreviousHopAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PreviousHopAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PreviousHopAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'previous-hop-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.IncomingAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.IncomingAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.IncomingAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.IncomingAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.IncomingAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'incoming-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.S2LConvergence' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.S2LConvergence',
            False, 
            [
            _MetaInfoClassMember('creation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tunnel creation timestamp (clocktime in nsecs)
                ''',
                'creation_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rewrite', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP Label rewrite timestamp (clocktime in nsecs)
                ''',
                'label_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Path-in timestamp (clocktime in nsecs)
                ''',
                'path_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Path-in timestamp (clocktime in nsecs)
                ''',
                'path_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Resv-in timestamp (clocktime in nsecs)
                ''',
                'resv_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Resv-out timestamp (clocktime in nsecs)
                ''',
                'resv_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-rewrite', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tunnel rewrite timestamp (clocktime in nsecs)
                ''',
                'tunnel_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-convergence',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.SoftPreemption' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.SoftPreemption',
            False, 
            [
            _MetaInfoClassMember('fr-rrewrite', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR-rewrite during soft preemption
                ''',
                'fr_rrewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fr-rrewrite-tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The tunnel name of the backup
                ''',
                'fr_rrewrite_tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('preempting-link-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The address of the link where the preemption
                happened
                ''',
                'preempting_link_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-link', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the link where the soft preemption
                occurred
                ''',
                'soft_preemption_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The POSIX timestamp when the soft preemption
                occurred
                ''',
                'soft_preemption_timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'MplsTeSoftPreemptionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeSoftPreemptionStateEnum', 
                [], [], 
                '''                The current state of the soft preemption
                operation
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-to-hard-preemption', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The number of seconds until hard preemption is
                triggered
                ''',
                'time_to_hard_preemption',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'soft-preemption',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathIngressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathIngressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathIngressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathEgressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathEgressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathEgressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels',
            False, 
            [
            _MetaInfoClassMember('path-egress-label', REFERENCE_CLASS, 'PathEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathEgressLabel', 
                [], [], 
                '''                Path message (upstream) egress label
                ''',
                'path_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-ingress-label', REFERENCE_CLASS, 'PathIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathIngressLabel', 
                [], [], 
                '''                Path message (upstream) ingress label
                ''',
                'path_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-egress-label', REFERENCE_CLASS, 'ResvEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel', 
                [], [], 
                '''                Resv message (downstream) egress label
                ''',
                'resv_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-ingress-label', REFERENCE_CLASS, 'ResvIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel', 
                [], [], 
                '''                Resv message (downstream) ingress label
                ''',
                'resv_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'gmpls-labels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tolerance
                ''',
                'tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-cbr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-gfp-f-res',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-gfp-f-non-res',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth',
            False, 
            [
            _MetaInfoClassMember('odu-flex-cbr', REFERENCE_CLASS, 'OduFlexCbr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr', 
                [], [], 
                '''                Odu flex CBR info
                ''',
                'odu_flex_cbr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-flex-gfp-f-non-res', REFERENCE_CLASS, 'OduFlexGfpFNonRes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes', 
                [], [], 
                '''                Odu flex GFP-F non-resizable info
                ''',
                'odu_flex_gfp_f_non_res',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-flex-gfp-f-res', REFERENCE_CLASS, 'OduFlexGfpFRes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes', 
                [], [], 
                '''                Odu flex GFP-F resizable info
                ''',
                'odu_flex_gfp_f_res',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-level', REFERENCE_ENUM_CLASS, 'TeOduLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeOduLevelEnum', 
                [], [], 
                '''                ODULevel
                ''',
                'odu_level',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels',
            False, 
            [
            _MetaInfoClassMember('path-egress-label', REFERENCE_CLASS, 'PathEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel', 
                [], [], 
                '''                Path message (upstream) egress label
                ''',
                'path_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-ingress-label', REFERENCE_CLASS, 'PathIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel', 
                [], [], 
                '''                Path message (upstream) ingress label
                ''',
                'path_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-egress-label', REFERENCE_CLASS, 'ResvEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel', 
                [], [], 
                '''                Resv message (downstream) egress label
                ''',
                'resv_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-ingress-label', REFERENCE_CLASS, 'ResvIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel', 
                [], [], 
                '''                Resv message (downstream) ingress label
                ''',
                'resv_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'labels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn',
            False, 
            [
            _MetaInfoClassMember('bandwidth', REFERENCE_CLASS, 'Bandwidth' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth', 
                [], [], 
                '''                OTN Bandwidth for s2l
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cross-connect-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cross connect id
                ''',
                'cross_connect_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gpid', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Gpid Payload
                ''',
                'gpid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Incoming Controller
                ''',
                'incoming_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Incoming Controller Ifhandle
                ''',
                'incoming_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Controller
                ''',
                'incoming_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Incoming Sub Controller
                ''',
                'incoming_sub_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Incoming Sub Controller Ifhandle
                ''',
                'incoming_sub_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Sub Controller
                ''',
                'incoming_sub_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if subcontrollers are connected
                ''',
                'is_connected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('labels', REFERENCE_CLASS, 'Labels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels', 
                [], [], 
                '''                Labels
                ''',
                'labels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing Controller
                ''',
                'outgoing_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Controller Ifhandle
                ''',
                'outgoing_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Controller
                ''',
                'outgoing_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing Sub Controller
                ''',
                'outgoing_sub_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Sub Controller Ifhandle
                ''',
                'outgoing_sub_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Sub Controller
                ''',
                'outgoing_sub_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                XC Uptime
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Aps.ProtectionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Aps.ProtectionInfo',
            False, 
            [
            _MetaInfoClassMember('ho-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-Off timeout
                ''',
                'ho_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-hopresent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Hold-Off timeout present
                ''',
                'is_hopresent',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-snc-mode-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SNC mode present
                ''',
                'is_snc_mode_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-wtr-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Wait-to-Restore timeout present
                ''',
                'is_wtr_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Notification bit 
                ''',
                'nbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('obit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Operational bit
                ''',
                'obit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path protection profile type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Protecting bit
                ''',
                'pbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protect-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                LSP Protect Type
                ''',
                'protect_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Secondary bit
                ''',
                'sbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                SNC mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TCM ID
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wtr-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait-to-Restore timeout
                ''',
                'wtr_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protection-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Aps' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Aps',
            False, 
            [
            _MetaInfoClassMember('protection-info', REFERENCE_CLASS, 'ProtectionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Aps.ProtectionInfo', 
                [], [], 
                '''                Protection Info
                ''',
                'protection_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'aps',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L',
            False, 
            [
            _MetaInfoClassMember('aps', REFERENCE_CLASS, 'Aps' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Aps', 
                [], [], 
                '''                APS Info for OTN S2L
                ''',
                'aps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn', 
                [], [], 
                '''                Info Related to OTN technology in S2L
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn-s2l',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.HeadEndBfdInfo.SessionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.HeadEndBfdInfo.SessionInfo',
            False, 
            [
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'TeBfdLspSessionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdLspSessionStateEnum', 
                [], [], 
                '''                BFD session state
                ''',
                'state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('state-change-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last session state
                change
                ''',
                'state_change_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'session-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.HeadEndBfdInfo.DeletionHistory' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.HeadEndBfdInfo.DeletionHistory',
            False, 
            [
            _MetaInfoClassMember('deletion-diagnostic-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Diagnostic Code for the BFD session get deleted
                ''',
                'deletion_diagnostic_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reason for the BFD session get deleted
                ''',
                'deletion_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time stamp of the BFD session get deleted
                ''',
                'deletion_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID of the BFD session get deleted
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'deletion-history',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.HeadEndBfdInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.HeadEndBfdInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-reverse-path-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path labels
                ''',
                'bfd_reverse_path_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The BFD reverse path is stale compared to
                configuration
                ''',
                'bfd_reverse_path_stale',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('creation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the BFD session created
                ''',
                'creation_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-history', REFERENCE_CLASS, 'DeletionHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.HeadEndBfdInfo.DeletionHistory', 
                [], [], 
                '''                BFD Session Deletion History
                ''',
                'deletion_history',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-redundant', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                sBFD session is redundant
                ''',
                'is_redundant',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lspbfd-type', REFERENCE_ENUM_CLASS, 'TeVifBfdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeVifBfdEnum', 
                [], [], 
                '''                LSP BFD type
                ''',
                'lspbfd_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-info', REFERENCE_CLASS, 'SessionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.HeadEndBfdInfo.SessionInfo', 
                [], [], 
                '''                BFD Session Info
                ''',
                'session_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'head-end-bfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.TailEndBfdInfo.SessionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.TailEndBfdInfo.SessionInfo',
            False, 
            [
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'TeBfdLspSessionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdLspSessionStateEnum', 
                [], [], 
                '''                BFD session state
                ''',
                'state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('state-change-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last session state
                change
                ''',
                'state_change_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'session-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.TailEndBfdInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.TailEndBfdInfo',
            False, 
            [
            _MetaInfoClassMember('failure-diagnostic-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD session failure diagnostic code
                ''',
                'failure_diagnostic_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('failure-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                BFD session failure reason
                ''',
                'failure_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-discriminator', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Local Discriminator
                ''',
                'local_discriminator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('min-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello interval in mini second
                ''',
                'min_interval',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('min-interval-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default hello interval
                ''',
                'min_interval_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default multiplier
                ''',
                'multiplier_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-discriminator', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Remote Discrminator
                ''',
                'remote_discriminator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-info', REFERENCE_CLASS, 'SessionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.TailEndBfdInfo.SessionInfo', 
                [], [], 
                '''                BFD Session Info
                ''',
                'session_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tail-end-bfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.SrlgCollection' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.SrlgCollection',
            False, 
            [
            _MetaInfoClassMember('discovered-srlg', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Discovered SRLGs
                ''',
                'discovered_srlg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-collect-type', REFERENCE_ENUM_CLASS, 'TeSrlgCollectRequestEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSrlgCollectRequestEnum', 
                [], [], 
                '''                SRLG-collection mechanism
                ''',
                'srlg_collect_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-collection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.Association' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.Association',
            False, 
            [
            _MetaInfoClassMember('s2l-association-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Association ID
                ''',
                's2l_association_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                S2L Association Source
                ''',
                's2l_association_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-tie-role', REFERENCE_ENUM_CLASS, 'TeAssociationTieRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAssociationTieRoleEnum', 
                [], [], 
                '''                S2L Association Tie Role
                ''',
                's2l_association_tie_role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Association Type                         
                (draft-ietf-ccamp-mpls-tp-rsvpte-ext-associated-lsp)
                ''',
                's2l_association_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-extended-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L Extended ID Array
                ''',
                's2l_extended_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-global-source', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L Global Source
                ''',
                's2l_global_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'association',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.Protection' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.Protection',
            False, 
            [
            _MetaInfoClassMember('any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Any
                ''',
                'any',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ded1-plus1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1+1 Protection
                ''',
                'ded1_plus1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ded1-to1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1:1 Protection
                ''',
                'ded1_to1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('enhanced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates Enhanced Protection Scheme
                ''',
                'enhanced',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extra-traffic', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should use Links that are protecting other
                (primary) traffic
                ''',
                'extra_traffic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should not use any Link Layer Protection
                ''',
                'link_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Flags Unprotected
                ''',
                'lsp_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-plus-one-bi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Bidirectional Protection
                ''',
                'one_plus_one_bi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-plus-one-uni', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Unidirectional Protection
                ''',
                'one_plus_one_uni',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-to-n-protection-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1:N Protection with Extra-Traffic
                ''',
                'one_to_n_protection_et',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Full Rerouting
                ''',
                'rerouting',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouting-no-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Rerouting Without Extra-Traffic
                ''',
                'rerouting_no_et',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-notification', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Notification Bit
                ''',
                's2l_notification',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-operational', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Operational Bit
                ''',
                's2l_operational',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Protecting Bit
                ''',
                's2l_protecting',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-secondary', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Secondary Bit
                ''',
                's2l_secondary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Shared Link Layer Protection
                ''',
                'shared',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseLspFec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseLspFec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseLspFec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseLspFec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseLspFec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-lsp-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseTspec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseTspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.FlexInfo.FlexFec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.FlexInfo.FlexFec',
            False, 
            [
            _MetaInfoClassMember('s2l-fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                Session identifier (ctype)
                ''',
                's2l_fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-dest', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                sub-LSP destination address
                ''',
                's2l_fec_dest',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                's2l_fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                's2l_fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                's2l_fec_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSP source address
                ''',
                's2l_fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                sub-LSP subgroup ID
                ''',
                's2l_fec_subgroup_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                's2l_fec_subgroup_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                's2l_fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                's2l_fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.FlexInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.FlexInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-created', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GAL BFD Session Created
                ''',
                'bfd_created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-egress-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Egress Label
                ''',
                'bfd_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-int-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Internal Label
                ''',
                'bfd_int_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                BFD Next Hop
                ''',
                'bfd_next_hop',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-out-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD Out Interface Handle
                ''',
                'bfd_out_ifh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-tun-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD Tunnel Interface Handle
                ''',
                'bfd_tun_ifh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GAL BFD Session Up
                ''',
                'bfd_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('entry-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FlexLSP Entry Exists
                ''',
                'entry_exists',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ais', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault AIS
                ''',
                'fault_ais',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ldi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LDI
                ''',
                'fault_ldi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ldi-lockout', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LDI Lockout
                ''',
                'fault_ldi_lockout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-lkr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LKR
                ''',
                'fault_lkr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Fault Time
                ''',
                'fault_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex-fec', REFERENCE_CLASS, 'FlexFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.FlexInfo.FlexFec', 
                [], [], 
                '''                FEC for the FlexLSP Entry
                ''',
                'flex_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                In Label
                ''',
                'in_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('oam-created', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                OAM Entry Created
                ''',
                'oam_created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.LspWrapInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.LspWrapInfo',
            False, 
            [
            _MetaInfoClassMember('lsp-wrap-protection-enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Wrap protection enabled
                ''',
                'lsp_wrap_protection_enable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-protection-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSP Wrap Merge Point Label
                ''',
                'lsp_wrap_protection_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-protection-state', REFERENCE_ENUM_CLASS, 'MplsTeLspWrapStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspWrapStateEnum', 
                [], [], 
                '''                LSP wrap protection state
                ''',
                'lsp_wrap_protection_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reverse Egress Interface
                ''',
                'reverse_egress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reverse LSP label
                ''',
                'reverse_lsp_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-wrap-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.DiversityInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.DiversityInfo',
            False, 
            [
            _MetaInfoClassMember('diversity-type', REFERENCE_ENUM_CLASS, 'TePpDiversityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePpDiversityEnum', 
                [], [], 
                '''                S2L path diversity type
                ''',
                'diversity_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'diversity-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.SharedRiskLinkGroup' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.SharedRiskLinkGroup',
            False, 
            [
            _MetaInfoClassMember('shared-risk-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG number
                ''',
                'shared_risk_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SRLG name
                ''',
                'srlg_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'shared-risk-link-group',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutEro.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutEro.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutEro.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutEro.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutEro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutEro',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutEro.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutEro.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'out-ero',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InEro.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InEro.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InEro.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InEro.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InEro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InEro',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InEro.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InEro.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'in-ero',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.Ipv4RroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.Ipv4RroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.Ipv4RroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.Ipv4RroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.Ipv4RroSubObject.Flags', 
                [], [], 
                '''                The RRO IPV4 Subobject Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO IPV4 Address
                ''',
                'rro_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.LabelRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.LabelRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-global-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label is Global across all interfaces
                ''',
                'is_global_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.LabelRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.LabelRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.LabelRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Label Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-label-variable-length', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the RRO Subobject Label Variable Length
                ''',
                'is_label_variable_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Label Value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('variable-length-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Variable Length Label
                ''',
                'variable_length_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'label-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.UnnumberedRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.UnnumberedRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.UnnumberedRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.UnnumberedRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.UnnumberedRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Unnumbered Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO Interface Address
                ''',
                'interface_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.SrlgRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.SrlgRroSubObject',
            False, 
            [
            _MetaInfoClassMember('srl-gs', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject SRLGs
                ''',
                'srl_gs',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro',
            False, 
            [
            _MetaInfoClassMember('ipv4rro-sub-object', REFERENCE_CLASS, 'Ipv4RroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.Ipv4RroSubObject', 
                [], [], 
                '''                IPV4 RRO Sub Object
                ''',
                'ipv4rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rro-sub-object', REFERENCE_CLASS, 'LabelRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.LabelRroSubObject', 
                [], [], 
                '''                Label RRO Sub Object
                ''',
                'label_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtRroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtRroSubobjEnum', 
                [], [], 
                '''                RROType
                ''',
                'rro_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-rro-sub-object', REFERENCE_CLASS, 'SrlgRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.SrlgRroSubObject', 
                [], [], 
                '''                SRLG RRO Sub Object
                ''',
                'srlg_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-rro-sub-object', REFERENCE_CLASS, 'UnnumberedRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.UnnumberedRroSubObject', 
                [], [], 
                '''                Unnumbered RRO Sub Object
                ''',
                'unnumbered_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-rro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.Ipv4RroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.Ipv4RroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.Ipv4RroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.Ipv4RroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.Ipv4RroSubObject.Flags', 
                [], [], 
                '''                The RRO IPV4 Subobject Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO IPV4 Address
                ''',
                'rro_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.LabelRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.LabelRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-global-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label is Global across all interfaces
                ''',
                'is_global_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.LabelRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.LabelRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.LabelRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Label Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-label-variable-length', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the RRO Subobject Label Variable Length
                ''',
                'is_label_variable_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Label Value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('variable-length-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Variable Length Label
                ''',
                'variable_length_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'label-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.UnnumberedRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.UnnumberedRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Unnumbered Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO Interface Address
                ''',
                'interface_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.SrlgRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.SrlgRroSubObject',
            False, 
            [
            _MetaInfoClassMember('srl-gs', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject SRLGs
                ''',
                'srl_gs',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro',
            False, 
            [
            _MetaInfoClassMember('ipv4rro-sub-object', REFERENCE_CLASS, 'Ipv4RroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.Ipv4RroSubObject', 
                [], [], 
                '''                IPV4 RRO Sub Object
                ''',
                'ipv4rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rro-sub-object', REFERENCE_CLASS, 'LabelRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.LabelRroSubObject', 
                [], [], 
                '''                Label RRO Sub Object
                ''',
                'label_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtRroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtRroSubobjEnum', 
                [], [], 
                '''                RROType
                ''',
                'rro_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-rro-sub-object', REFERENCE_CLASS, 'SrlgRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.SrlgRroSubObject', 
                [], [], 
                '''                SRLG RRO Sub Object
                ''',
                'srlg_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-rro-sub-object', REFERENCE_CLASS, 'UnnumberedRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.UnnumberedRroSubObject', 
                [], [], 
                '''                Unnumbered RRO Sub Object
                ''',
                'unnumbered_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-rro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathAffinityArray' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathAffinityArray',
            False, 
            [
            _MetaInfoClassMember('hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Hop address
                ''',
                'hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop-affinity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'hop_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop-extended-affinity', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hop affinity
                ''',
                'hop_extended_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-affinity-array',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseEroIn.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseEroIn.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseEroIn.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseEroIn.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseEroIn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseEroIn',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseEroIn.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseEroIn.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-ero-in',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.S2LSegmentRoutingPath' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.S2LSegmentRoutingPath',
            False, 
            [
            _MetaInfoClassMember('has-entropy-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Hop has EL specified
                ''',
                'has_entropy_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-ip-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node has IP addresses specified
                ''',
                'has_ip_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-mpls-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Hop has MPLS label specified
                ''',
                'has_mpls_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local IP address of adjacency or Node ID
                ''',
                'local_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mpls-label-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The MPLS label value
                ''',
                'mpls_label_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote IP address of adjacency
                ''',
                'remote_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sid-type', REFERENCE_ENUM_CLASS, 'TeSrSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSrSidEnum', 
                [], [], 
                '''                Type of the SID
                ''',
                'sid_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-segment-routing-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L',
            False, 
            [
            _MetaInfoClassMember('abr-auto-discovered', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next ABR auto discovered
                ''',
                'abr_auto_discovered',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('active-path-option', REFERENCE_CLASS, 'ActivePathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption', 
                [], [], 
                '''                The path option used to find the path for this
                S2L
                ''',
                'active_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('association', REFERENCE_CLASS, 'Association' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.Association', 
                [], [], 
                '''                Association Object
                ''',
                'association',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface handle of the backup tunnel
                ''',
                'backup_tunnel_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('diversity-info', REFERENCE_CLASS, 'DiversityInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.DiversityInfo', 
                [], [], 
                '''                S2L Diversity Information
                ''',
                'diversity_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('downstream-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Downstream router id
                ''',
                'downstream_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Egress Interface
                ''',
                'egress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface-brief', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Egress Interface in brief format
                ''',
                'egress_interface_brief',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Interface
                ''',
                'egress_interface_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Outgoing ERO's affinity bits (colors)
                ''',
                'expanded_ero_affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Outgoing ERO's affinity mask (colors)
                ''',
                'expanded_ero_affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Indicates the protocol and area used to find
                Outgoing ERO
                ''',
                'expanded_ero_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The metric value of the expanded path
                ''',
                'expanded_ero_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-metric-type', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                The Outgoing ERO's selection metric
                ''',
                'expanded_ero_metric_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex-info', REFERENCE_CLASS, 'FlexInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.FlexInfo', 
                [], [], 
                '''                FlexLSP S2L Information
                ''',
                'flex_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-out-tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FRR out tunnel intface
                ''',
                'frr_out_tunnel_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fspec', REFERENCE_CLASS, 'Fspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.Fspec', 
                [], [], 
                '''                The F spec info
                ''',
                'fspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generic-fspec', REFERENCE_CLASS, 'GenericFspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GenericFspec', 
                [], [], 
                '''                Generic FSpec
                ''',
                'generic_fspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generic-tspec', REFERENCE_CLASS, 'GenericTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GenericTspec', 
                [], [], 
                '''                Generic TSpec
                ''',
                'generic_tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gmpls-labels', REFERENCE_CLASS, 'GmplsLabels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels', 
                [], [], 
                '''                GMPLS labels
                ''',
                'gmpls_labels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('head-end-bfd-info', REFERENCE_CLASS, 'HeadEndBfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.HeadEndBfdInfo', 
                [], [], 
                '''                The Head-end BFD info
                ''',
                'head_end_bfd_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-ero', REFERENCE_LIST, 'InEro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InEro', 
                [], [], 
                '''                Incoming ERO for this S2L
                ''',
                'in_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-xro', REFERENCE_CLASS, 'InXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro', 
                [], [], 
                '''                Incoming XRO for this S2L
                ''',
                'in_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Incoming interface address
                ''',
                'incoming_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-address-generic', REFERENCE_CLASS, 'IncomingAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.IncomingAddressGeneric', 
                [], [], 
                '''                Incoming interface address
                ''',
                'incoming_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ingress Interface
                ''',
                'ingress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface-brief', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ingress Interface in brief format
                ''',
                'ingress_interface_brief',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Interface
                ''',
                'ingress_interface_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-protect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BW Protection Enabled or Disabled
                ''',
                'is_bandwidth_protect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-expanded-ero', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if this LSR expanded a loose path
                ''',
                'is_expanded_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-frr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Enabled or Disabled
                ''',
                'is_frr_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Enabled or Disabled
                ''',
                'is_node_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-optical', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Optical
                ''',
                'is_optical',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local router id
                ''',
                'local_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-info', REFERENCE_CLASS, 'LspWrapInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.LspWrapInfo', 
                [], [], 
                '''                Lsp Wrap  Related information
                ''',
                'lsp_wrap_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop address
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address-generic', REFERENCE_CLASS, 'NextHopAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.NextHopAddressGeneric', 
                [], [], 
                '''                Next hop address
                ''',
                'next_hop_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('node-hop-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hop count
                ''',
                'node_hop_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn-s2l', REFERENCE_CLASS, 'OtnS2L' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L', 
                [], [], 
                '''                Otn S2L Information
                ''',
                'otn_s2l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-ero', REFERENCE_LIST, 'OutEro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutEro', 
                [], [], 
                '''                Outgoing ERO for this S2L
                ''',
                'out_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-xro', REFERENCE_CLASS, 'OutXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro', 
                [], [], 
                '''                Outgoing XRO for this S2L
                ''',
                'out_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outbound-frr-state', REFERENCE_ENUM_CLASS, 'MplsTeFrrStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeFrrStateEnum', 
                [], [], 
                '''                Indicates outbound FRR state
                ''',
                'outbound_frr_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-affinity-array', REFERENCE_LIST, 'PathAffinityArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathAffinityArray', 
                [], [], 
                '''                Tunnel's Path hops with affinity
                ''',
                'path_affinity_array',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reeval-query-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loose path reevaluation query received at
                mid-point
                ''',
                'path_reeval_query_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-rro', REFERENCE_LIST, 'PathRro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro', 
                [], [], 
                '''                Path RRO for this S2L
                ''',
                'path_rro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-rro-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path RRO Enabled or Disabled
                ''',
                'path_rro_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-using-strict-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is using Strict SPF
                ''',
                'path_using_strict_spf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcalc-area', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IGP-area in which the S2L path was calculated
                ''',
                'pcalc_area',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Previous hop address
                ''',
                'previous_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-hop-address-generic', REFERENCE_CLASS, 'PreviousHopAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PreviousHopAddressGeneric', 
                [], [], 
                '''                Previous hop address
                ''',
                'previous_hop_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection', REFERENCE_CLASS, 'Protection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.Protection', 
                [], [], 
                '''                Protection Object
                ''',
                'protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-rro', REFERENCE_LIST, 'ResvRro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro', 
                [], [], 
                '''                Resv RRO for this S2L
                ''',
                'resv_rro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-ero-in', REFERENCE_LIST, 'ReverseEroIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseEroIn', 
                [], [], 
                '''                 Reverse Incoming ERO for this S2L
                ''',
                'reverse_ero_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Connected
                ''',
                'reverse_lsp_connected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-fec', REFERENCE_CLASS, 'ReverseLspFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseLspFec', 
                [], [], 
                '''                Reverse Associated Bidir LSP FEC
                ''',
                'reverse_lsp_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Name
                ''',
                'reverse_lsp_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Present
                ''',
                'reverse_lsp_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-tspec', REFERENCE_CLASS, 'ReverseTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseTspec', 
                [], [], 
                '''                The Reverse T spec info
                ''',
                'reverse_tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The reverse path weight
                ''',
                'reverse_weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('role', REFERENCE_ENUM_CLASS, 'MplsTeTunnelRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelRoleEnum', 
                [], [], 
                '''                Role of S2L
                ''',
                'role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-convergence', REFERENCE_CLASS, 'S2LConvergence' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.S2LConvergence', 
                [], [], 
                '''                TE LSP convergence related information
                ''',
                's2l_convergence',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec', REFERENCE_CLASS, 'S2LFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.S2LFec', 
                [], [], 
                '''                FEC for the S2L
                ''',
                's2l_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label
                ''',
                's2l_local_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing label
                ''',
                's2l_out_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-ero-obj-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2l Reverse ERO Object Present
                ''',
                's2l_reverse_ero_obj_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-lsp-sub-obj', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Reverse LSP Sub Objects
                ''',
                's2l_reverse_lsp_sub_obj',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-tspec-obj-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Reverse TSpec Object Present
                ''',
                's2l_reverse_tspec_obj_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-segment-routing-path', REFERENCE_LIST, 'S2LSegmentRoutingPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.S2LSegmentRoutingPath', 
                [], [], 
                '''                Segment-Routing S2L path info
                ''',
                's2l_segment_routing_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared-risk-link-group', REFERENCE_LIST, 'SharedRiskLinkGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.SharedRiskLinkGroup', 
                [], [], 
                '''                The S2L's excluded srlg groups
                ''',
                'shared_risk_link_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-status', REFERENCE_ENUM_CLASS, 'MplsTeTunnelsSignalingStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelsSignalingStatusEnum', 
                [], [], 
                '''                Signaling status
                ''',
                'signalling_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption', REFERENCE_CLASS, 'SoftPreemption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.SoftPreemption', 
                [], [], 
                '''                The soft preemption info for this LSP.
                ''',
                'soft_preemption',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-collection', REFERENCE_CLASS, 'SrlgCollection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.SrlgCollection', 
                [], [], 
                '''                SRLG-collection data
                ''',
                'srlg_collection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tail-end-bfd-info', REFERENCE_CLASS, 'TailEndBfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.TailEndBfdInfo', 
                [], [], 
                '''                The Tail-end BFD info
                ''',
                'tail_end_bfd_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-preferred-path-exists-send-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last preferred path exists msg send
                from mid-point
                ''',
                'time_since_last_preferred_path_exists_send_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-preferred-tree-exists-send-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last preferred tree exists msg send
                from mid-point
                ''',
                'time_since_last_preferred_tree_exists_send_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-query-received-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last reevaluation query received at
                mid-point
                ''',
                'time_since_last_query_received_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tspec', REFERENCE_CLASS, 'Tspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.Tspec', 
                [], [], 
                '''                The T spec info
                ''',
                'tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('upstream-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Upstream router id
                ''',
                'upstream_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the tunnel was up
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The path's weight
                ''',
                'weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp',
            False, 
            [
            _MetaInfoClassMember('dste-class-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Matching DSTE class index
                ''',
                'dste_class_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-match', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Do the class type and priority match a DSTE
                class
                ''',
                'dste_class_match',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-active-reason', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP LSP FRR active reason
                ''',
                'frr_active_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-frr-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                P2MP LSP has FRR Failed
                ''',
                'is_frr_failed',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True for tunnel head
                ''',
                'is_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-passive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True for passive tunnel
                ''',
                'is_passive',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-path-change', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last path change
                ''',
                'last_path_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP LSP Bandwidth
                ''',
                'lsp_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The LSP bandwidth type
                ''',
                'lsp_bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-fec', REFERENCE_CLASS, 'LspFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.LspFec', 
                [], [], 
                '''                FEC for the LSP
                ''',
                'lsp_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSP hold priority
                ''',
                'lsp_hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSP setup priority
                ''',
                'lsp_setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('persistent-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Persistent forwarding statistics for number of
                bytes. Clear counters will not reset the counter
                ''',
                'persistent_bytes',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('persistent-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Persistent forwarding statistics for Number of
                packets. Clear counters will not reset the
                counter
                ''',
                'persistent_packets',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimize-reason', REFERENCE_ENUM_CLASS, 'MplsTeReoptDecisionReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeReoptDecisionReasonEnum', 
                [], [], 
                '''                Reason for re-optimization
                ''',
                'reoptimize_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimize-trigger', REFERENCE_ENUM_CLASS, 'MteReoptTriggerEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MteReoptTriggerEnum', 
                [], [], 
                '''                Re-optimize trigger
                ''',
                'reoptimize_trigger',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-down', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of down S2Ls
                ''',
                's2_ls_down',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-proceeding', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of proceeding S2Ls
                ''',
                's2_ls_proceeding',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of connected S2Ls
                ''',
                's2_ls_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l', REFERENCE_LIST, 'S2L' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L', 
                [], [], 
                '''                array of S2L structures
                ''',
                's2l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signaled-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signaled Name
                ''',
                'signaled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('timer-left', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds left to take next action if any
                ''',
                'timer_left',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MplsTeLspEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspEnum', 
                [], [], 
                '''                The type of this LSP
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the tunnel was up
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'cleaned-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.P2PInfo.AutoBandwidthStatus' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.P2PInfo.AutoBandwidthStatus',
            False, 
            [
            _MetaInfoClassMember('is-auto-bandwidth-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if auto-bw is enabled for the tunnel
                ''',
                'is_auto_bandwidth_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reactivation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until auto-bw gets activated if activation
                has been delayed due to failover
                ''',
                'reactivation_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'auto-bandwidth-status',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.P2PInfo.AutoBandwidthConfig' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.P2PInfo.AutoBandwidthConfig',
            False, 
            [
            _MetaInfoClassMember('adjustment-threshold-percent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth change threshold needed to trigger
                bandwidth adjustment
                ''',
                'adjustment_threshold_percent',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('adjustment-threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth change value (kbps) needed to trigger
                bandwidth adjustment
                ''',
                'adjustment_threshold_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('application-frequency', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Auto-bw application frequency for the tunnel
                (mins)
                ''',
                'application_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('collection-frequency', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global auto-bw collection frequency
                ''',
                'collection_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-auto-bandwidth-collect-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if auto-bw collection-only is enabled
                ''',
                'is_auto_bandwidth_collect_only',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum bandwidth auto-bw can apply
                ''',
                'maximum_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('minimum-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Minimum bandwidth auto-bw can apply
                ''',
                'minimum_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('overflow-threshold-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Limit of consecutive collections exceeding
                threshold to trigger an immediate overflow
                bandwidth adjustment
                ''',
                'overflow_threshold_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('overflow-threshold-percent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth change threshold needed to count a
                collection towards overflow limit allowed
                ''',
                'overflow_threshold_percent',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('overflow-threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth change value needed to count a
                collection towards overflow limit allowed
                ''',
                'overflow_threshold_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('underflow-threshold-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Limit of consecutive collections exceeding
                threshold to trigger an immediate underflow
                bandwidth adjustment
                ''',
                'underflow_threshold_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('underflow-threshold-percent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth change threshold needed to count a
                collection towards underflow limit allowed
                ''',
                'underflow_threshold_percent',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('underflow-threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth change value needed to count a
                collection towards underflow limit allowed
                ''',
                'underflow_threshold_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'auto-bandwidth-config',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.P2PInfo.AutoBandwidthOper' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.P2PInfo.AutoBandwidthOper',
            False, 
            [
            _MetaInfoClassMember('application-jitter', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Amount of time introduced to delay first
                application so that not all tunnels may signal
                BW at the same time
                ''',
                'application_jitter',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('application-reject-reason', REFERENCE_ENUM_CLASS, 'TeAutobwAppRejEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAutobwAppRejEnum', 
                [], [], 
                '''                Current application reject reason
                ''',
                'application_reject_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-applications', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of bandwidth applications requested
                by auto-bw
                ''',
                'bandwidth_applications',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-pool-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                Bandwidth pool type
                ''',
                'bandwidth_pool_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('collect-only-requested-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Collect-only Requested Bandwidth for the tunnel
                ''',
                'collect_only_requested_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('highest-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Highest bandwidth registered within current
                application period
                ''',
                'highest_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-application-trigger', REFERENCE_ENUM_CLASS, 'TeAutobwAppTriggerEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAutobwAppTriggerEnum', 
                [], [], 
                '''                The reason causing the last BW application
                ''',
                'last_application_trigger',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-bandwidth-applied', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last bandwidth requested by auto-bw for the
                tunnel
                ''',
                'last_bandwidth_applied',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('overflow-early-bw-applications', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                tunnel counter for number of bandwidth
                applications due to overflow
                ''',
                'overflow_early_bw_applications',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('samples-collected', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of samples collected within current
                application period
                ''',
                'samples_collected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('threshold-overflows', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                counter for current consecutive collections
                exceeding threshold
                ''',
                'threshold_overflows',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('threshold-underflows', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                counter for current consecutive collections
                exceeding threshold
                ''',
                'threshold_underflows',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-left-application', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time left until next auto-bw application
                algorithm is performed
                ''',
                'time_left_application',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-left-collection', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time left until next auto-bw data collection is
                performed
                ''',
                'time_left_collection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('underflow-early-bw-applications', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                tunnel counter for number of bandwidth
                applications due to underflow
                ''',
                'underflow_early_bw_applications',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('underflow-highest-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Highest sample collected during an underflow
                sequence
                ''',
                'underflow_highest_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'auto-bandwidth-oper',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.P2PInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.P2PInfo',
            False, 
            [
            _MetaInfoClassMember('auto-bandwidth-config', REFERENCE_CLASS, 'AutoBandwidthConfig' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.P2PInfo.AutoBandwidthConfig', 
                [], [], 
                '''                Tunnels's AutoBandwidth Configuration
                information
                ''',
                'auto_bandwidth_config',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-oper', REFERENCE_CLASS, 'AutoBandwidthOper' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.P2PInfo.AutoBandwidthOper', 
                [], [], 
                '''                Tunnels's AutoBandwidth Operational information
                ''',
                'auto_bandwidth_oper',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-status', REFERENCE_CLASS, 'AutoBandwidthStatus' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.P2PInfo.AutoBandwidthStatus', 
                [], [], 
                '''                Tunnels's AutoBandwidth Status information
                ''',
                'auto_bandwidth_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bidirectional', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the tunnel is bidirectional
                ''',
                'is_bidirectional',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'p2p-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.CurrentSetup.ConnectedUptimes' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.CurrentSetup.ConnectedUptimes',
            False, 
            [
            _MetaInfoClassMember('current-lsp-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the current LSP was up
                ''',
                'current_lsp_uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('current-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the tunnel was up
                ''',
                'current_uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'connected-uptimes',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.CurrentSetup' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.CurrentSetup',
            False, 
            [
            _MetaInfoClassMember('connected-uptimes', REFERENCE_CLASS, 'ConnectedUptimes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.CurrentSetup.ConnectedUptimes', 
                [], [], 
                '''                Uptimes for connected setup
                ''',
                'connected_uptimes',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('current-setup-last-error', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The last error for the current setup
                ''',
                'current_setup_last_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('current-setup-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds until the next attempt to
                connect this setup
                ''',
                'current_setup_timer',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('selection-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The reason why this setup is selected. For
                display purposes only.
                ''',
                'selection_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'current-setup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.ReoptSetup' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.ReoptSetup',
            False, 
            [
            _MetaInfoClassMember('reoptimized-setup-last-error', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The last error for the reopt setup
                ''',
                'reoptimized_setup_last_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimized-setup-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds until the next attempt to
                connect the reopt setup
                ''',
                'reoptimized_setup_timer',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimized-setup-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the reopt setup came up
                ''',
                'reoptimized_setup_uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reopt-setup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.GmplsPathProtectSetup' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.GmplsPathProtectSetup',
            False, 
            [
            _MetaInfoClassMember('protecting-setup-last-error', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The last error for the protecting setup (for
                display purposes only)
                ''',
                'protecting_setup_last_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protecting-setup-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds until the next attempt to
                connect the protecting setup
                ''',
                'protecting_setup_timer',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protecting-setup-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the protecting setup came
                up
                ''',
                'protecting_setup_uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'gmpls-path-protect-setup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.PreviousSetup' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.PreviousSetup',
            False, 
            [
            _MetaInfoClassMember('previous-fail-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reason for the previous setup's failure
                ''',
                'previous_fail_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-path-option', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The previous setup path option
                ''',
                'previous_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-setup-last-error', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The last error for the previous setup
                ''',
                'previous_setup_last_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-tunnel-instance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The previous setup's instance
                ''',
                'previous_tunnel_instance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'previous-setup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.PreviousGmplsPathProtectSetup' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.PreviousGmplsPathProtectSetup',
            False, 
            [
            _MetaInfoClassMember('previous-protect-fail-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reason for the previous protect setup's failure
                ''',
                'previous_protect_fail_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-protect-path-option', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The previous protect setup path option
                ''',
                'previous_protect_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-protect-setup-last-error', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The last error for the previous setup
                ''',
                'previous_protect_setup_last_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-protect-tunnel-instance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The previous protect setup's instance
                ''',
                'previous_protect_tunnel_instance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'previous-gmpls-path-protect-setup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.GmplsOtherSetup' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.GmplsOtherSetup',
            False, 
            [
            _MetaInfoClassMember('other-setup-error', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The last error for the additional setup
                ''',
                'other_setup_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for the additional setup
                ''',
                'path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'gmpls-other-setup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.GmplsOtherProtectSetup' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.GmplsOtherProtectSetup',
            False, 
            [
            _MetaInfoClassMember('other-setup-error', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The last error for the additional setup
                ''',
                'other_setup_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for the additional setup
                ''',
                'path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'gmpls-other-protect-setup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.StandbySetup' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.StandbySetup',
            False, 
            [
            _MetaInfoClassMember('standby-lsp-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the standby LSP was up
                ''',
                'standby_lsp_uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('standby-setup-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds until the next attempt to
                connect this setup
                ''',
                'standby_setup_timer',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'standby-setup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.StandbyReoptSetup' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.StandbyReoptSetup',
            False, 
            [
            _MetaInfoClassMember('reoptimized-setup-last-error', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The last error for the reopt setup
                ''',
                'reoptimized_setup_last_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimized-setup-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds until the next attempt to
                connect the reopt setup
                ''',
                'reoptimized_setup_timer',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimized-setup-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the reopt setup came up
                ''',
                'reoptimized_setup_uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'standby-reopt-setup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.LastReOptFail' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.LastReOptFail',
            False, 
            [
            _MetaInfoClassMember('re-opt-failed-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                First tunnel destination (if any) in re-opt LSP
                that failed to come up
                ''',
                're_opt_failed_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('re-opt-failed-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time stamp of the last re-opt failure. (seconds
                since Jan. 1, 1970)
                ''',
                're_opt_failed_timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('re-opt-last-fail-reason', REFERENCE_ENUM_CLASS, 'MplsTeReoptDecisionReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeReoptDecisionReasonEnum', 
                [], [], 
                '''                Reason (if any) for the last re-opt attempt
                failure
                ''',
                're_opt_last_fail_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'last-re-opt-fail',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.LastStdbyReOptFail' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.LastStdbyReOptFail',
            False, 
            [
            _MetaInfoClassMember('re-opt-failed-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                First tunnel destination (if any) in re-opt LSP
                that failed to come up
                ''',
                're_opt_failed_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('re-opt-failed-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time stamp of the last re-opt failure. (seconds
                since Jan. 1, 1970)
                ''',
                're_opt_failed_timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('re-opt-last-fail-reason', REFERENCE_ENUM_CLASS, 'MplsTeReoptDecisionReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeReoptDecisionReasonEnum', 
                [], [], 
                '''                Reason (if any) for the last re-opt attempt
                failure
                ''',
                're_opt_last_fail_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'last-stdby-re-opt-fail',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History',
            False, 
            [
            _MetaInfoClassMember('current-setup', REFERENCE_CLASS, 'CurrentSetup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.CurrentSetup', 
                [], [], 
                '''                Current setup data
                ''',
                'current_setup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gmpls-other-protect-setup', REFERENCE_CLASS, 'GmplsOtherProtectSetup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.GmplsOtherProtectSetup', 
                [], [], 
                '''                GMPLS additional protecting setup data
                ''',
                'gmpls_other_protect_setup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gmpls-other-setup', REFERENCE_CLASS, 'GmplsOtherSetup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.GmplsOtherSetup', 
                [], [], 
                '''                GMPLS additional setup data
                ''',
                'gmpls_other_setup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gmpls-path-protect-setup', REFERENCE_CLASS, 'GmplsPathProtectSetup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.GmplsPathProtectSetup', 
                [], [], 
                '''                GMPLS protecting setup data
                ''',
                'gmpls_path_protect_setup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-re-opt-fail', REFERENCE_CLASS, 'LastReOptFail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.LastReOptFail', 
                [], [], 
                '''                Last re-opt attempt failure information
                ''',
                'last_re_opt_fail',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-stdby-re-opt-fail', REFERENCE_CLASS, 'LastStdbyReOptFail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.LastStdbyReOptFail', 
                [], [], 
                '''                Last standby re-opt attempt failure information
                ''',
                'last_stdby_re_opt_fail',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-gmpls-path-protect-setup', REFERENCE_CLASS, 'PreviousGmplsPathProtectSetup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.PreviousGmplsPathProtectSetup', 
                [], [], 
                '''                Previous GMPLS protecting setup data
                ''',
                'previous_gmpls_path_protect_setup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-setup', REFERENCE_CLASS, 'PreviousSetup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.PreviousSetup', 
                [], [], 
                '''                Previous setup data
                ''',
                'previous_setup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reopt-setup', REFERENCE_CLASS, 'ReoptSetup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.ReoptSetup', 
                [], [], 
                '''                Reoptimized setup data
                ''',
                'reopt_setup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('standby-reopt-setup', REFERENCE_CLASS, 'StandbyReoptSetup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.StandbyReoptSetup', 
                [], [], 
                '''                Standby Reopt setup data
                ''',
                'standby_reopt_setup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('standby-setup', REFERENCE_CLASS, 'StandbySetup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.StandbySetup', 
                [], [], 
                '''                Standby setup data
                ''',
                'standby_setup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'history',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.PathProtection.Switchover' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.PathProtection.Switchover',
            False, 
            [
            _MetaInfoClassMember('date-of-error-detection', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The date when the error that caused the
                switchover was detected. This date is the number
                of seconds since Jan 1st 1970
                ''',
                'date_of_error_detection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('date-of-error-detection-millisec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The milliseconds offset of the date when the
                error that caused  the switchover was detected.
                ''',
                'date_of_error_detection_millisec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('from-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The LSP ID from which the traffic was switched
                over
                ''',
                'from_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-protection-switchover-event-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The index number of the path protection switch
                over event
                ''',
                'path_protection_switchover_event_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-protection-switchover-reason', REFERENCE_ENUM_CLASS, 'TeP2MpS2LDeletionSubcauseEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeP2MpS2LDeletionSubcauseEnum', 
                [], [], 
                '''                The reason that caused the path protection
                switchover
                ''',
                'path_protection_switchover_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-protection-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The ID of the tunnel that experienced switchover
                ''',
                'path_protection_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('switchover-duration-millisec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The time in milliseconds between the detection
                of the error and switching the traffic
                ''',
                'switchover_duration_millisec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('to-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The LSP ID to which the traffic was switched
                over
                ''',
                'to_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'switchover',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.PathProtection' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.PathProtection',
            False, 
            [
            _MetaInfoClassMember('diversity-type', REFERENCE_ENUM_CLASS, 'TePpDiversityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePpDiversityEnum', 
                [], [], 
                '''                Standby path diversity type
                ''',
                'diversity_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-protect-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Protection Configured
                ''',
                'is_path_protect_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-protect-switch-over-underway', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Switchover Underway
                ''',
                'is_path_protect_switch_over_underway',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-protection-protected-by-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The path option ID (level/index) of the
                configured explicit protecting path
                ''',
                'path_protection_protected_by_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimization-time-remaining', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remaining time until path protection
                reoptimization (seconds)
                ''',
                'reoptimization_time_remaining',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('standby-reoptimized-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of times the standby LSP was reoptimized
                ''',
                'standby_reoptimized_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('switchover', REFERENCE_CLASS, 'Switchover' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.PathProtection.Switchover', 
                [], [], 
                '''                Path Protected Switchover Information
                ''',
                'switchover',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('switchover-ready', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Total times, Standby LSP ready for use
                ''',
                'switchover_ready',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('switchover-reason', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Reason for last switchover
                ''',
                'switchover_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('switchover-total', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of times switchover occurred
                ''',
                'switchover_total',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-of-switchover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The date when the switchover was completed. This
                date is the number of seconds since Jan 1st 1970
                ''',
                'time_of_switchover_sec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('valid-path-protection-path-option-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether tunnel has a
                path-option which is valid for path-protection
                ''',
                'valid_path_protection_path_option_exists',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-protection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup.WeightedSrlgInfo.ProtectedInterfaceSrlg' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup.WeightedSrlgInfo.ProtectedInterfaceSrlg',
            False, 
            [
            _MetaInfoClassMember('admin-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Admin weight
                ''',
                'admin_weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG number
                ''',
                'srlg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SRLG name
                ''',
                'srlg_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface-srlg',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup.WeightedSrlgInfo.WeightedSrlgHop' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup.WeightedSrlgInfo.WeightedSrlgHop',
            False, 
            [
            _MetaInfoClassMember('aggregate-admin-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Sum of the admin weights for all the common SRLG
                values
                ''',
                'aggregate_admin_weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('common-srlg', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Common SRLG between this hop and the protected
                interface
                ''',
                'common_srlg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('from-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local IP address
                ''',
                'from_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('to-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote IP address
                ''',
                'to_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'weighted-srlg-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup.WeightedSrlgInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup.WeightedSrlgInfo',
            False, 
            [
            _MetaInfoClassMember('protected-interface-srlg', REFERENCE_LIST, 'ProtectedInterfaceSrlg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup.WeightedSrlgInfo.ProtectedInterfaceSrlg', 
                [], [], 
                '''                SRLG values and admin weight penalties of the
                protected interface
                ''',
                'protected_interface_srlg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('weighted-srlg-hop', REFERENCE_LIST, 'WeightedSrlgHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup.WeightedSrlgInfo.WeightedSrlgHop', 
                [], [], 
                '''                Autobackup hops and the common SRLG with the
                protected interface
                ''',
                'weighted_srlg_hop',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'weighted-srlg-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup.Iep.IepHop' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup.Iep.IepHop',
            False, 
            [
            _MetaInfoClassMember('hop-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hop Index
                ''',
                'hop_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('iep-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IEP Hop Address
                ''',
                'iep_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('iep-hop-type', REFERENCE_ENUM_CLASS, 'MplsTeIepHopEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeIepHopEnum', 
                [], [], 
                '''                IEP type
                ''',
                'iep_hop_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'iep-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup.Iep' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup.Iep',
            False, 
            [
            _MetaInfoClassMember('iep-hop', REFERENCE_LIST, 'IepHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup.Iep.IepHop', 
                [], [], 
                '''                IEP Hop List
                ''',
                'iep_hop',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option ID this IEP is associated with
                ''',
                'path_option_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'iep',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup',
            False, 
            [
            _MetaInfoClassMember('ab-protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface
                ''',
                'ab_protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ab-protection-type', REFERENCE_ENUM_CLASS, 'AutoBackupProtectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'AutoBackupProtectionEnum', 
                [], [], 
                '''                Protection type
                ''',
                'ab_protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('iep', REFERENCE_LIST, 'Iep' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup.Iep', 
                [], [], 
                '''                List of IEPs for the path options on this tunnel
                ''',
                'iep',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-unused-removal-timer-running', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if the unused removal timer is running
                ''',
                'is_unused_removal_timer_running',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-using-srlg', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether SRLG Path Option is in use
                ''',
                'is_using_srlg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Protected Address
                ''',
                'protected_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number Of Protected LSPs
                ''',
                'protected_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Protected S2Ls
                ''',
                'protected_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sharing-families', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of S2L Sharing Families
                ''',
                'sharing_families',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-prot-type', REFERENCE_ENUM_CLASS, 'AutoBackupSrlgModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'AutoBackupSrlgModeEnum', 
                [], [], 
                '''                SRLG Protection Type
                ''',
                'srlg_prot_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AttributeSet name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unused-removal-remaining-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time Remaining in Unused Removal Time in seconds
                ''',
                'unused_removal_remaining_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('weighted-srlg-info', REFERENCE_CLASS, 'WeightedSrlgInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup.WeightedSrlgInfo', 
                [], [], 
                '''                Weighted SRLG info for the autobackup tunnel
                ''',
                'weighted_srlg_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'auto-backup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoMesh' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoMesh',
            False, 
            [
            _MetaInfoClassMember('is-tunnel-unused-timer-running', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether unused timer running
                ''',
                'is_tunnel_unused_timer_running',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Auto-mesh tunnel Mesh Group ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-type', REFERENCE_ENUM_CLASS, 'TeMeshgroupEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeMeshgroupEnum', 
                [], [], 
                '''                Auto-tunnel mesh group type
                ''',
                'mesh_group_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remaining-unused-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remaining time for unused timer in seconds
                ''',
                'remaining_unused_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-destination-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Destination List name
                ''',
                'tunnel_destination_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'auto-mesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoPcc' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoPcc',
            False, 
            [
            _MetaInfoClassMember('creator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address of creating node
                ''',
                'creator_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('creator-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ID of creating node
                ''',
                'creator_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-creator-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if the ID of the creating node is set
                ''',
                'has_creator_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('operationally-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Operationally up
                ''',
                'operationally_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('owner-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address of owner node
                ''',
                'owner_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('plspid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PLSP ID
                ''',
                'plspid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('symbolic-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Symbolic name
                ''',
                'symbolic_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'auto-pcc',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.PceDelegation' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.PceDelegation',
            False, 
            [
            _MetaInfoClassMember('operationally-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Operationally up
                ''',
                'operationally_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('owner-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address of owner node
                ''',
                'owner_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('plsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PLSP ID
                ''',
                'plsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('symbolic-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Symbolic name
                ''',
                'symbolic_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'pce-delegation',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.SoftPreemption.SoftPreemptionCounters' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.SoftPreemption.SoftPreemptionCounters',
            False, 
            [
            _MetaInfoClassMember('frr-triggered-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of soft preempted LSPs that were fast
                rerouted at the             headend or any
                remote node before the reoptimization is done.
                ''',
                'frr_triggered_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-protection-switchover-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of soft preempted LSPs that were
                switched over to a             standby LSP.
                ''',
                'path_protection_switchover_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reopt-completed-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of soft preempted LSPs that were torn
                down by the ingress router after the reopt LSP
                was successfully setup.
                ''',
                'reopt_completed_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of soft preemption events
                ''',
                'soft_preemption_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-in-preemption-pending-avg', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The average time in seconds that an LSP was in
                preemption pending state
                ''',
                'time_in_preemption_pending_avg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-in-preemption-pending-max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The maximum time in seconds that an LSP was in
                preemption pending state
                ''',
                'time_in_preemption_pending_max',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-in-preemption-pending-min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The minimum time in seconds that an LSP was in
                preemption pending state
                ''',
                'time_in_preemption_pending_min',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('torn-down-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of soft preempted LSPs that were torn
                down by the              headend or any remote
                node before the reoptimization is done.
                ''',
                'torn_down_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'soft-preemption-counters',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.SoftPreemption.SoftPreemptionPathError' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.SoftPreemption.SoftPreemptionPathError',
            False, 
            [
            _MetaInfoClassMember('preempting-link-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The address of the link where the preemption
                happened
                ''',
                'preempting_link_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The POSIX timestamp when the soft preemption
                error is received
                ''',
                'timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'soft-preemption-path-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.SoftPreemption' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.SoftPreemption',
            False, 
            [
            _MetaInfoClassMember('preemption-pending-resolution', REFERENCE_ENUM_CLASS, 'MplsTeSoftPreemptionResolutionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeSoftPreemptionResolutionEnum', 
                [], [], 
                '''                Indicates how the soft preemption operation
                ended
                ''',
                'preemption_pending_resolution',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-counters', REFERENCE_CLASS, 'SoftPreemptionCounters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.SoftPreemption.SoftPreemptionCounters', 
                [], [], 
                '''                The soft preemption counters for this tunnel
                head
                ''',
                'soft_preemption_counters',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-path-error', REFERENCE_LIST, 'SoftPreemptionPathError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.SoftPreemption.SoftPreemptionPathError', 
                [], [], 
                '''                The array of soft preemption path errors info
                received for the LSP that is being soft
                preempted
                ''',
                'soft_preemption_path_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'MplsTeSoftPreemptionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeSoftPreemptionStateEnum', 
                [], [], 
                '''                The preemption state
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-in-preemption-pending', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The number of seconds that were spent in the
                preemption-pending state
                ''',
                'time_in_preemption_pending',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'soft-preemption',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.WdmUnitunnel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.WdmUnitunnel',
            False, 
            [
            _MetaInfoClassMember('controlled-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface being controlled
                ''',
                'controlled_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel-id
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-origin', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelOriginEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelOriginEnum', 
                [], [], 
                '''                Label origin
                ''',
                'label_origin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-optical-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local optical router id
                ''',
                'local_optical_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-optical-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote optical router id
                ''',
                'remote_optical_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source address
                ''',
                'source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-discovery', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SRLG-discovery enabled
                ''',
                'srlg_discovery',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-role', REFERENCE_ENUM_CLASS, 'MplsTeTunnelRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelRoleEnum', 
                [], [], 
                '''                Tunnel Role
                ''',
                'tunnel_role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-state', REFERENCE_ENUM_CLASS, 'MplsTeTunnelStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelStateEnum', 
                [], [], 
                '''                Tunnel state
                ''',
                'tunnel_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm-unitunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexCbr' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexCbr',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tolerance
                ''',
                'tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-cbr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexGfpFRes' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexGfpFRes',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-gfp-f-res',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexGfpFNonRes' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexGfpFNonRes',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-gfp-f-non-res',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn.BandwidthCfg' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn.BandwidthCfg',
            False, 
            [
            _MetaInfoClassMember('odu-flex-cbr', REFERENCE_CLASS, 'OduFlexCbr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexCbr', 
                [], [], 
                '''                Odu flex CBR info
                ''',
                'odu_flex_cbr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-flex-gfp-f-non-res', REFERENCE_CLASS, 'OduFlexGfpFNonRes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexGfpFNonRes', 
                [], [], 
                '''                Odu flex GFP-F non-resizable info
                ''',
                'odu_flex_gfp_f_non_res',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-flex-gfp-f-res', REFERENCE_CLASS, 'OduFlexGfpFRes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexGfpFRes', 
                [], [], 
                '''                Odu flex GFP-F resizable info
                ''',
                'odu_flex_gfp_f_res',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-level', REFERENCE_ENUM_CLASS, 'TeOduLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeOduLevelEnum', 
                [], [], 
                '''                ODULevel
                ''',
                'odu_level',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bandwidth-cfg',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn',
            False, 
            [
            _MetaInfoClassMember('bandwidth-cfg', REFERENCE_CLASS, 'BandwidthCfg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn.BandwidthCfg', 
                [], [], 
                '''                Configured OTN Bandwidth for tunnel
                ''',
                'bandwidth_cfg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.StaticUni' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.StaticUni',
            False, 
            [
            _MetaInfoClassMember('client-if-handle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Ingress Client Port Ifhandle
                ''',
                'client_if_handle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('client-odu-if-handle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Client Odu Interface
                ''',
                'client_odu_if_handle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('client-odu-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Client Odu Name
                ''',
                'client_odu_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('client-port', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ingress Client Port
                ''',
                'client_port',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cross-connect-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cross connect id
                ''',
                'cross_connect_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if client port is connected
                ''',
                'is_connected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-termination', REFERENCE_ENUM_CLASS, 'MplsTeTerminationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTerminationEnum', 
                [], [], 
                '''                Local Termination Type
                ''',
                'local_termination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('static-uni-type', REFERENCE_ENUM_CLASS, 'MplsTeUniEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeUniEnum', 
                [], [], 
                '''                Static uni type
                ''',
                'static_uni_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('term-client-if-handle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Termination Ingress Client Port Ifhandle
                ''',
                'term_client_if_handle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('term-client-port', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Termination Ingress Client Port
                ''',
                'term_client_port',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Client Port Uptime
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'static-uni',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.EgressPort.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.EgressPort.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.EgressPort.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.EgressPort.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.EgressPort.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.EgressPort' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.EgressPort',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.EgressPort.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'egress-port',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.TermEgressPort.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.TermEgressPort.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.TermEgressPort.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.TermEgressPort.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.TermEgressPort.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.TermEgressPort' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.TermEgressPort',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.TermEgressPort.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'term-egress-port',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni',
            False, 
            [
            _MetaInfoClassMember('egress-port', REFERENCE_CLASS, 'EgressPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.EgressPort', 
                [], [], 
                '''                Egress Client Port of Tunnel
                ''',
                'egress_port',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-termination', REFERENCE_ENUM_CLASS, 'MplsTeTerminationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTerminationEnum', 
                [], [], 
                '''                Local Termination Type
                ''',
                'local_termination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-uni-type', REFERENCE_ENUM_CLASS, 'MplsTeUniEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeUniEnum', 
                [], [], 
                '''                Remote uni type
                ''',
                'remote_uni_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('term-egress-port', REFERENCE_CLASS, 'TermEgressPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.TermEgressPort', 
                [], [], 
                '''                Termination Egress Client Port of Tunnel
                ''',
                'term_egress_port',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'egress-static-uni',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.HomepathEro.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.HomepathEro.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.HomepathEro.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.HomepathEro.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.HomepathEro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.HomepathEro',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.HomepathEro.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.HomepathEro.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'homepath-ero',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.DiversityInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.DiversityInfo',
            False, 
            [
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Dependent Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'diversity-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo',
            False, 
            [
            _MetaInfoClassMember('diversity-info', REFERENCE_LIST, 'DiversityInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.DiversityInfo', 
                [], [], 
                '''                Diversity Info
                ''',
                'diversity_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-static-uni', REFERENCE_CLASS, 'EgressStaticUni' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni', 
                [], [], 
                '''                Tunnel EgressStatic UNI Info
                ''',
                'egress_static_uni',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('homepath-ero', REFERENCE_LIST, 'HomepathEro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.HomepathEro', 
                [], [], 
                '''                Homepath ero for working lsp
                ''',
                'homepath_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn', 
                [], [], 
                '''                Info Related to OTN technology in S2L
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('static-uni', REFERENCE_CLASS, 'StaticUni' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.StaticUni', 
                [], [], 
                '''                Tunnel Static UNI Info
                ''',
                'static_uni',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status-homepath-working', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Status of working homepath
                ''',
                'status_homepath_working',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'transport-tunnel-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.BfdInfo.EventCounters' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.BfdInfo.EventCounters',
            False, 
            [
            _MetaInfoClassMember('session-admin-down-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLSP session admin down
                events
                ''',
                'session_admin_down_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-create-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLSP session create events
                ''',
                'session_create_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-create-timeout-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLSP session create timeout
                events
                ''',
                'session_create_timeout_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-creation-failed-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLSP session creation failed
                events
                ''',
                'session_creation_failed_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-down-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLSP session down events
                ''',
                'session_down_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-gracefully-delete-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLSP session gracefully
                delete events
                ''',
                'session_gracefully_delete_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-non-gracefully-delete-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLSP session non gracefully
                delete events
                ''',
                'session_non_gracefully_delete_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-replay-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLSP session replay events
                ''',
                'session_replay_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-up-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLSP session up events
                ''',
                'session_up_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'event-counters',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.BfdInfo.DampeningInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.BfdInfo.DampeningInfo',
            False, 
            [
            _MetaInfoClassMember('backoff-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backoff count
                ''',
                'backoff_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-down-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold down time in second
                ''',
                'hold_down_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index
                ''',
                'option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remained-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remained time to resignal in second
                ''',
                'remained_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'dampening-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.BfdInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.BfdInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-session-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel BFD session state up or down
                ''',
                'bfd_session_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dampening-info', REFERENCE_LIST, 'DampeningInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.BfdInfo.DampeningInfo', 
                [], [], 
                '''                Path option dampening info
                ''',
                'dampening_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('event-counters', REFERENCE_CLASS, 'EventCounters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.BfdInfo.EventCounters', 
                [], [], 
                '''                Per tunnel BFD session event counters
                ''',
                'event_counters',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('failure-diagnostic-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD session failure diagnostic code
                ''',
                'failure_diagnostic_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('failure-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                BFD session failure reason
                ''',
                'failure_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-session-up-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum time in mini second for session to come
                up
                ''',
                'maximum_session_up_interval',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('minimum-session-up-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Minimum time in mini second for session to come
                up
                ''',
                'minimum_session_up_interval',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-up-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last session state up
                ''',
                'session_up_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir.Aps.ProtectionProfile.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir.Aps.ProtectionProfile.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir.Aps.ProtectionProfile' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir.Aps.ProtectionProfile',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir.Aps.ProtectionProfile.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protection-profile',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir.Aps' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir.Aps',
            False, 
            [
            _MetaInfoClassMember('active-lsp', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                Active LSP for Incoming Data
                ''',
                'active_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('diversity-type', REFERENCE_ENUM_CLASS, 'TePpDiversityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePpDiversityEnum', 
                [], [], 
                '''                Standby path diversity type
                ''',
                'diversity_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-profile', REFERENCE_CLASS, 'ProtectionProfile' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir.Aps.ProtectionProfile', 
                [], [], 
                '''                Protection Profile Information of tunnel
                ''',
                'protection_profile',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'aps',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir.Restoration' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir.Restoration',
            False, 
            [
            _MetaInfoClassMember('diverse-lsp', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP from which restoration LSP is DIVERSED
                ''',
                'diverse_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('diversity-type', REFERENCE_ENUM_CLASS, 'TePpDiversityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePpDiversityEnum', 
                [], [], 
                '''                Restoration path diversity type
                ''',
                'diversity_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-option', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Revertive or non-revertive
                ''',
                'revert_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'restoration',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir',
            False, 
            [
            _MetaInfoClassMember('aps', REFERENCE_CLASS, 'Aps' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir.Aps', 
                [], [], 
                '''                APS Protection Info
                ''',
                'aps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration', REFERENCE_CLASS, 'Restoration' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir.Restoration', 
                [], [], 
                '''                Restoration Info
                ''',
                'restoration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn-bidir',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorCurrent.PathCalculationError' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorCurrent.PathCalculationError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-calculation-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorCurrent' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorCurrent',
            False, 
            [
            _MetaInfoClassMember('ero-reject-reason', REFERENCE_ENUM_CLASS, 'TeRevEroRejectReasonsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRevEroRejectReasonsEnum', 
                [], [], 
                '''                Reverse ERO Reject Reason
                ''',
                'ero_reject_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-calculation-error', REFERENCE_LIST, 'PathCalculationError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorCurrent.PathCalculationError', 
                [], [], 
                '''                Path Computation Information
                ''',
                'path_calculation_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path Option Index
                ''',
                'path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-type', REFERENCE_ENUM_CLASS, 'MtePathOptionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MtePathOptionEnum', 
                [], [], 
                '''                Path Option Type
                ''',
                'path_option_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-affinity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to affinity
                ''',
                'path_reject_reason_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to bw
                ''',
                'path_reject_reason_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-exclude-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to exclude link
                ''',
                'path_reject_reason_exclude_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-exclude-node', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to exclude node
                ''',
                'path_reject_reason_exclude_node',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-exclude-srlg', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to exclude SRLG
                ''',
                'path_reject_reason_exclude_srlg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-holddown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to holddown
                ''',
                'path_reject_reason_holddown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-hop-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to hop limit
                ''',
                'path_reject_reason_hop_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-ip-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to IP address
                ''',
                'path_reject_reason_ip_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-ixcd', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to IXCD
                ''',
                'path_reject_reason_ixcd',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-ol-head', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to head node overload
                ''',
                'path_reject_reason_node_ol_head',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-ol-mid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to mid node overload
                ''',
                'path_reject_reason_node_ol_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-ol-tail', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to head node overload
                ''',
                'path_reject_reason_node_ol_tail',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-ol-unknown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to unknown node overload
                ''',
                'path_reject_reason_node_ol_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-unreachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to unreachable node
                ''',
                'path_reject_reason_node_unreachable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-reverse-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to reverse bw
                ''',
                'path_reject_reason_reverse_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-reverse-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to reverse link
                ''',
                'path_reject_reason_reverse_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Reverse LSP ID
                ''',
                'reverse_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-ero-error-current',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorReopt.PathCalculationError' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorReopt.PathCalculationError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-calculation-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorReopt' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorReopt',
            False, 
            [
            _MetaInfoClassMember('ero-reject-reason', REFERENCE_ENUM_CLASS, 'TeRevEroRejectReasonsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRevEroRejectReasonsEnum', 
                [], [], 
                '''                Reverse ERO Reject Reason
                ''',
                'ero_reject_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-calculation-error', REFERENCE_LIST, 'PathCalculationError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorReopt.PathCalculationError', 
                [], [], 
                '''                Path Computation Information
                ''',
                'path_calculation_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path Option Index
                ''',
                'path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-type', REFERENCE_ENUM_CLASS, 'MtePathOptionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MtePathOptionEnum', 
                [], [], 
                '''                Path Option Type
                ''',
                'path_option_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-affinity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to affinity
                ''',
                'path_reject_reason_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to bw
                ''',
                'path_reject_reason_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-exclude-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to exclude link
                ''',
                'path_reject_reason_exclude_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-exclude-node', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to exclude node
                ''',
                'path_reject_reason_exclude_node',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-exclude-srlg', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to exclude SRLG
                ''',
                'path_reject_reason_exclude_srlg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-holddown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to holddown
                ''',
                'path_reject_reason_holddown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-hop-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to hop limit
                ''',
                'path_reject_reason_hop_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-ip-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to IP address
                ''',
                'path_reject_reason_ip_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-ixcd', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to IXCD
                ''',
                'path_reject_reason_ixcd',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-ol-head', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to head node overload
                ''',
                'path_reject_reason_node_ol_head',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-ol-mid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to mid node overload
                ''',
                'path_reject_reason_node_ol_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-ol-tail', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to head node overload
                ''',
                'path_reject_reason_node_ol_tail',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-ol-unknown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to unknown node overload
                ''',
                'path_reject_reason_node_ol_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-unreachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to unreachable node
                ''',
                'path_reject_reason_node_unreachable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-reverse-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to reverse bw
                ''',
                'path_reject_reason_reverse_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-reverse-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to reverse link
                ''',
                'path_reject_reason_reverse_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Reverse LSP ID
                ''',
                'reverse_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-ero-error-reopt',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorStandby.PathCalculationError' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorStandby.PathCalculationError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-calculation-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorStandby' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorStandby',
            False, 
            [
            _MetaInfoClassMember('ero-reject-reason', REFERENCE_ENUM_CLASS, 'TeRevEroRejectReasonsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRevEroRejectReasonsEnum', 
                [], [], 
                '''                Reverse ERO Reject Reason
                ''',
                'ero_reject_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-calculation-error', REFERENCE_LIST, 'PathCalculationError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorStandby.PathCalculationError', 
                [], [], 
                '''                Path Computation Information
                ''',
                'path_calculation_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path Option Index
                ''',
                'path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-type', REFERENCE_ENUM_CLASS, 'MtePathOptionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MtePathOptionEnum', 
                [], [], 
                '''                Path Option Type
                ''',
                'path_option_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-affinity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to affinity
                ''',
                'path_reject_reason_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to bw
                ''',
                'path_reject_reason_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-exclude-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to exclude link
                ''',
                'path_reject_reason_exclude_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-exclude-node', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to exclude node
                ''',
                'path_reject_reason_exclude_node',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-exclude-srlg', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to exclude SRLG
                ''',
                'path_reject_reason_exclude_srlg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-holddown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to holddown
                ''',
                'path_reject_reason_holddown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-hop-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to hop limit
                ''',
                'path_reject_reason_hop_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-ip-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to IP address
                ''',
                'path_reject_reason_ip_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-ixcd', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to IXCD
                ''',
                'path_reject_reason_ixcd',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-ol-head', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to head node overload
                ''',
                'path_reject_reason_node_ol_head',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-ol-mid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to mid node overload
                ''',
                'path_reject_reason_node_ol_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-ol-tail', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to head node overload
                ''',
                'path_reject_reason_node_ol_tail',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-ol-unknown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to unknown node overload
                ''',
                'path_reject_reason_node_ol_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-unreachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to unreachable node
                ''',
                'path_reject_reason_node_unreachable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-reverse-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to reverse bw
                ''',
                'path_reject_reason_reverse_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-reverse-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to reverse link
                ''',
                'path_reject_reason_reverse_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Reverse LSP ID
                ''',
                'reverse_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-ero-error-standby',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorStandbyReopt.PathCalculationError' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorStandbyReopt.PathCalculationError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-calculation-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorStandbyReopt' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorStandbyReopt',
            False, 
            [
            _MetaInfoClassMember('ero-reject-reason', REFERENCE_ENUM_CLASS, 'TeRevEroRejectReasonsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRevEroRejectReasonsEnum', 
                [], [], 
                '''                Reverse ERO Reject Reason
                ''',
                'ero_reject_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-calculation-error', REFERENCE_LIST, 'PathCalculationError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorStandbyReopt.PathCalculationError', 
                [], [], 
                '''                Path Computation Information
                ''',
                'path_calculation_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path Option Index
                ''',
                'path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-type', REFERENCE_ENUM_CLASS, 'MtePathOptionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MtePathOptionEnum', 
                [], [], 
                '''                Path Option Type
                ''',
                'path_option_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-affinity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to affinity
                ''',
                'path_reject_reason_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to bw
                ''',
                'path_reject_reason_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-exclude-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to exclude link
                ''',
                'path_reject_reason_exclude_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-exclude-node', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to exclude node
                ''',
                'path_reject_reason_exclude_node',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-exclude-srlg', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to exclude SRLG
                ''',
                'path_reject_reason_exclude_srlg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-holddown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to holddown
                ''',
                'path_reject_reason_holddown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-hop-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to hop limit
                ''',
                'path_reject_reason_hop_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-ip-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to IP address
                ''',
                'path_reject_reason_ip_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-ixcd', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to IXCD
                ''',
                'path_reject_reason_ixcd',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-ol-head', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to head node overload
                ''',
                'path_reject_reason_node_ol_head',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-ol-mid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to mid node overload
                ''',
                'path_reject_reason_node_ol_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-ol-tail', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to head node overload
                ''',
                'path_reject_reason_node_ol_tail',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-ol-unknown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to unknown node overload
                ''',
                'path_reject_reason_node_ol_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-unreachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to unreachable node
                ''',
                'path_reject_reason_node_unreachable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-reverse-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to reverse bw
                ''',
                'path_reject_reason_reverse_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-reverse-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to reverse link
                ''',
                'path_reject_reason_reverse_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Reverse LSP ID
                ''',
                'reverse_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-ero-error-standby-reopt',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir',
            False, 
            [
            _MetaInfoClassMember('reverse-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reverse Bandwidth value in kbps
                ''',
                'reverse_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-bandwidth-standby', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reverse Bandwidth value for standby in kbps
                ''',
                'reverse_bandwidth_standby',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-ero-error-current', REFERENCE_CLASS, 'ReverseEroErrorCurrent' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorCurrent', 
                [], [], 
                '''                Reverse ERO Error Current LSP
                ''',
                'reverse_ero_error_current',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-ero-error-reopt', REFERENCE_CLASS, 'ReverseEroErrorReopt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorReopt', 
                [], [], 
                '''                Reverse ERO Error Reopt LSP
                ''',
                'reverse_ero_error_reopt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-ero-error-standby', REFERENCE_CLASS, 'ReverseEroErrorStandby' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorStandby', 
                [], [], 
                '''                Reverse ERO Error Standby LSP
                ''',
                'reverse_ero_error_standby',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-ero-error-standby-reopt', REFERENCE_CLASS, 'ReverseEroErrorStandbyReopt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorStandbyReopt', 
                [], [], 
                '''                Reverse ERO Error Standby Reopt LSP
                ''',
                'reverse_ero_error_standby_reopt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bidir',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TeTunnelConvergence.ConvergenceLsp' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TeTunnelConvergence.ConvergenceLsp',
            False, 
            [
            _MetaInfoClassMember('creation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tunnel creation timestamp (clocktime in nsecs)
                ''',
                'creation_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rewrite', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP Label rewrite timestamp (clocktime in nsecs)
                ''',
                'label_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Path-in timestamp (clocktime in nsecs)
                ''',
                'path_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Path-in timestamp (clocktime in nsecs)
                ''',
                'path_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Resv-in timestamp (clocktime in nsecs)
                ''',
                'resv_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Resv-out timestamp (clocktime in nsecs)
                ''',
                'resv_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-rewrite', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tunnel rewrite timestamp (clocktime in nsecs)
                ''',
                'tunnel_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'convergence-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TeTunnelConvergence' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TeTunnelConvergence',
            False, 
            [
            _MetaInfoClassMember('binding-label-rewrite-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Binding label timestamp (clocktime in nsecs)
                ''',
                'binding_label_rewrite_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('convergence-complete-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TE convergence completion time
                ''',
                'convergence_complete_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('convergence-lsp', REFERENCE_CLASS, 'ConvergenceLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TeTunnelConvergence.ConvergenceLsp', 
                [], [], 
                '''                TE LSP convergence related information
                ''',
                'convergence_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-trigger-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                FRR trigger time
                ''',
                'frr_trigger_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-convergence-in-progress', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TE convergence in progress
                ''',
                'is_convergence_in_progress',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcalc-complete-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Path computation completion timestamp (clocktime
                in nsecs)
                ''',
                'pcalc_complete_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('vif-creation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Vif creation timestamp (clocktime in nsecs)
                ''',
                'vif_creation_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-tunnel-convergence',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.FlexInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.FlexInfo',
            False, 
            [
            _MetaInfoClassMember('fault-ais', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault AIS
                ''',
                'fault_ais',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-in-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Fault In Label
                ''',
                'fault_in_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ldi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LDI
                ''',
                'fault_ldi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ldi-lockout', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LDI Lockout
                ''',
                'fault_ldi_lockout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-lkr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LKR
                ''',
                'fault_lkr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Fault Time
                ''',
                'fault_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-lockout', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Lockout Status
                ''',
                'is_lockout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lockout-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The LSP ID of the locked out LSP
                ''',
                'lockout_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lockout-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The timestamp when the lockout is set
                ''',
                'lockout_timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('origination', REFERENCE_ENUM_CLASS, 'FlexLspLockoutOriginationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'FlexLspLockoutOriginationEnum', 
                [], [], 
                '''                Flex LSP Lockout Origination Source
                ''',
                'origination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.InterAreaReoptimization' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.InterAreaReoptimization',
            False, 
            [
            _MetaInfoClassMember('preferred-path-error-node', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address of the preferred path error generating
                node
                ''',
                'preferred_path_error_node',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('preferred-tree-error-node', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address of the preferred tree error generating
                node
                ''',
                'preferred_tree_error_node',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('received-preferred-path-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of received Preferred Path Exists Error
                ''',
                'received_preferred_path_errors',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('received-preferred-tree-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of received Preferred Tree Exists Error
                ''',
                'received_preferred_tree_errors',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sent-path-queries', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of better path queries sent
                ''',
                'sent_path_queries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-preferred-path-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Preferred Path Exists error
                received (seconds)
                ''',
                'time_since_last_preferred_path_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-preferred-tree-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Preferred Tree Exists error
                received (seconds)
                ''',
                'time_since_last_preferred_tree_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-query-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last better path query was sent
                (seconds)
                ''',
                'time_since_last_query_sent',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'inter-area-reoptimization',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.PathCalculationError' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.PathCalculationError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-calculation-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.RemergeError' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.RemergeError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'remerge-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.SignallingError' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.SignallingError',
            False, 
            [
            _MetaInfoClassMember('error', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Path Error code
                ''',
                'error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Source address of the error generating node
                ''',
                'error_node',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSPMode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if error is on the reverse LSP
                ''',
                'reverse_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP-id for which the error was received
                ''',
                'signalling_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path Error subcode
                ''',
                'sub_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalling-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry',
            False, 
            [
            _MetaInfoClassMember('attribute-set', REFERENCE_CLASS, 'AttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet', 
                [], [], 
                '''                The path option attribute set used by this path
                ''',
                'attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-found', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has found the defined attribute
                set
                ''',
                'attribute_set_found',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Explicit Path ID, this is the key to table
                ExplicitPaths.IdentifierTable
                ''',
                'explicit_path_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Explicit Path Name, this is the key to table
                ExplicitPaths.NameTable
                ''',
                'explicit_path_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has an attribute set defined
                ''',
                'has_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-xro-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has an XRO attribute set
                configured
                ''',
                'has_xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('holddown-duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Holddown Duration (seconds)
                ''',
                'holddown_duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path option is disabled
                ''',
                'is_disabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-helddown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if path is helddown
                ''',
                'is_helddown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-lockdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is locked down
                ''',
                'is_lockdown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-segment-routing', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is Segment-Routing
                ''',
                'is_segment_routing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-explicit-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if explicit path is strict
                ''',
                'is_strict_explicit_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-verbatim', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is verbatim
                ''',
                'is_verbatim',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index
                ''',
                'option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index-is-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The path option index is valid
                ''',
                'option_index_is_valid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-calculation-error', REFERENCE_LIST, 'PathCalculationError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.PathCalculationError', 
                [], [], 
                '''                Path computation information
                ''',
                'path_calculation_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The path-option area constraint
                ''',
                'path_option_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path option name
                ''',
                'path_option_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-type', REFERENCE_ENUM_CLASS, 'MplsTePathoptionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTePathoptionEnum', 
                [], [], 
                '''                Path option type
                ''',
                'path_option_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                PCE server address
                ''',
                'pce_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-by-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for Protect path options
                ''',
                'protected_by_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remerge-error', REFERENCE_LIST, 'RemergeError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.RemergeError', 
                [], [], 
                '''                Path computation remerge resolve info
                ''',
                'remerge_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restored-from-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for Restore path options
                ''',
                'restored_from_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-error', REFERENCE_LIST, 'SignallingError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.SignallingError', 
                [], [], 
                '''                Signalling information
                ''',
                'signalling_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set', REFERENCE_CLASS, 'XroAttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet', 
                [], [], 
                '''                The XRO attribute set used by this path-option
                ''',
                'xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set-found', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path's XRO attribute set is known
                ''',
                'xro_attribute_set_found',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-option-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.PathCalculationError' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.PathCalculationError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-calculation-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.RemergeError' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.RemergeError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'remerge-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.SignallingError' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.SignallingError',
            False, 
            [
            _MetaInfoClassMember('error', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Path Error code
                ''',
                'error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Source address of the error generating node
                ''',
                'error_node',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSPMode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if error is on the reverse LSP
                ''',
                'reverse_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP-id for which the error was received
                ''',
                'signalling_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path Error subcode
                ''',
                'sub_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalling-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption',
            False, 
            [
            _MetaInfoClassMember('attribute-set', REFERENCE_CLASS, 'AttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet', 
                [], [], 
                '''                The path option attribute set used by this path
                ''',
                'attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-found', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has found the defined attribute
                set
                ''',
                'attribute_set_found',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Explicit Path ID, this is the key to table
                ExplicitPaths.IdentifierTable
                ''',
                'explicit_path_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Explicit Path Name, this is the key to table
                ExplicitPaths.NameTable
                ''',
                'explicit_path_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has an attribute set defined
                ''',
                'has_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-xro-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has an XRO attribute set
                configured
                ''',
                'has_xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('holddown-duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Holddown Duration (seconds)
                ''',
                'holddown_duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path option is disabled
                ''',
                'is_disabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-helddown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if path is helddown
                ''',
                'is_helddown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-lockdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is locked down
                ''',
                'is_lockdown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-segment-routing', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is Segment-Routing
                ''',
                'is_segment_routing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-explicit-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if explicit path is strict
                ''',
                'is_strict_explicit_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-verbatim', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is verbatim
                ''',
                'is_verbatim',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index
                ''',
                'option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index-is-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The path option index is valid
                ''',
                'option_index_is_valid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-calculation-error', REFERENCE_LIST, 'PathCalculationError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.PathCalculationError', 
                [], [], 
                '''                Path computation information
                ''',
                'path_calculation_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The path-option area constraint
                ''',
                'path_option_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path option name
                ''',
                'path_option_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-type', REFERENCE_ENUM_CLASS, 'MplsTePathoptionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTePathoptionEnum', 
                [], [], 
                '''                Path option type
                ''',
                'path_option_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                PCE server address
                ''',
                'pce_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-by-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for Protect path options
                ''',
                'protected_by_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remerge-error', REFERENCE_LIST, 'RemergeError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.RemergeError', 
                [], [], 
                '''                Path computation remerge resolve info
                ''',
                'remerge_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restored-from-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for Restore path options
                ''',
                'restored_from_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-error', REFERENCE_LIST, 'SignallingError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.SignallingError', 
                [], [], 
                '''                Signalling information
                ''',
                'signalling_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set', REFERENCE_CLASS, 'XroAttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet', 
                [], [], 
                '''                The XRO attribute set used by this path-option
                ''',
                'xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set-found', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path's XRO attribute set is known
                ''',
                'xro_attribute_set_found',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination',
            False, 
            [
            _MetaInfoClassMember('active-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index of active path option
                ''',
                'active_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-deletion-cause', REFERENCE_ENUM_CLASS, 'TeP2MpS2LDeletionCauseEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeP2MpS2LDeletionCauseEnum', 
                [], [], 
                '''                Destination deletion cause
                ''',
                'destination_deletion_cause',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-deletion-sub-cause', REFERENCE_ENUM_CLASS, 'TeP2MpS2LDeletionSubcauseEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeP2MpS2LDeletionSubcauseEnum', 
                [], [], 
                '''                Destination deletion subcause
                ''',
                'destination_deletion_sub_cause',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-deletion-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Destination deletion timestamp in seconds
                ''',
                'destination_deletion_timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-state', REFERENCE_ENUM_CLASS, 'TeDestinationStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeDestinationStateEnum', 
                [], [], 
                '''                The state of the destination
                ''',
                'destination_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('inter-area-reoptimization', REFERENCE_CLASS, 'InterAreaReoptimization' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.InterAreaReoptimization', 
                [], [], 
                '''                The timing and count information of interarea
                reoptimization.
                ''',
                'inter_area_reoptimization',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-inter-area', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether this destination is in
                different area
                ''',
                'is_inter_area',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-change-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last path change time
                ''',
                'path_change_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option', REFERENCE_LIST, 'PathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption', 
                [], [], 
                '''                Destination's list of path options
                ''',
                'path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-entry', REFERENCE_LIST, 'PathOptionEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry', 
                [], [], 
                '''                Deprecated; replaced by PathOption
                ''',
                'path_option_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-exhausted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path options are exhausted
                ''',
                'path_option_exhausted',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-exist', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dest state may not be up but S2L may exist
                ''',
                's2l_exist',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Unused
                ''',
                'total_uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the destination was up
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'destination',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead',
            False, 
            [
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('admin-state', REFERENCE_ENUM_CLASS, 'MteTunnelAdminStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MteTunnelAdminStateEnum', 
                [], [], 
                '''                Administrative State
                ''',
                'admin_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-failure-delayed-tear-time-remained', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Affinity Failure LSP tear down time remaining
                ''',
                'affinity_failure_delayed_tear_time_remained',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-failure-reopt-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AffinityFailureReoptDisabled
                ''',
                'affinity_failure_reopt_disabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-failure-reopt-time-remained', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AffinityFailureReoptTimeRemained
                ''',
                'affinity_failure_reopt_time_remained',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Indicates the protocol and area used to find
                Outgoing ERO
                ''',
                'area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-backup', REFERENCE_CLASS, 'AutoBackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup', 
                [], [], 
                '''                Autobackup Information
                ''',
                'auto_backup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-mesh', REFERENCE_CLASS, 'AutoMesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoMesh', 
                [], [], 
                '''                Automesh Information
                ''',
                'auto_mesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-pcc', REFERENCE_CLASS, 'AutoPcc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoPcc', 
                [], [], 
                '''                Auto-PCC Information
                ''',
                'auto_pcc',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IGP Auto route announce enabled
                ''',
                'auto_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('autoroute-announce-exclude-segment-routing', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether this tunnel is autoroute
                announced with exclude segment-routing option
                ''',
                'autoroute_announce_exclude_segment_routing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-requested', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth Requested
                ''',
                'bandwidth_requested',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The requested bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-info', REFERENCE_CLASS, 'BfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.BfdInfo', 
                [], [], 
                '''                BFD session info. This is NULL if BFD is not
                configured
                ''',
                'bfd_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bidir', REFERENCE_CLASS, 'Bidir' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir', 
                [], [], 
                '''                Bidir info
                ''',
                'bidir',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding Label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('binding-label-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True, if binding label exists
                ''',
                'binding_label_exists',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cleaned-lsp', REFERENCE_CLASS, 'CleanedLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp', 
                [], [], 
                '''                Cleaned LSP
                ''',
                'cleaned_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('config', REFERENCE_CLASS, 'Config' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config', 
                [], [], 
                '''                Configuration data
                ''',
                'config',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('create-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time at which the tunnel was created
                ''',
                'create_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('delay-clean-pp-lsp', REFERENCE_CLASS, 'DelayCleanPpLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp', 
                [], [], 
                '''                Delay Clean PP LSP
                ''',
                'delay_clean_pp_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination', REFERENCE_LIST, 'Destination' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination', 
                [], [], 
                '''                Destinations array
                ''',
                'destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-disabled-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of disabled destinations
                ''',
                'destination_disabled_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-down-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of down destinations
                ''',
                'destination_down_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-up-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of up destinations
                ''',
                'destination_up_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('drop-mode', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if tunnel is in drop mode
                ''',
                'drop_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Explicit-path inuse by the current LSP has been
                modified
                ''',
                'explicit_path_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fail-reason', REFERENCE_ENUM_CLASS, 'MplsMteTunnelFailReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsMteTunnelFailReasonEnum', 
                [], [], 
                '''                The reason why failure occurred
                ''',
                'fail_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex-info', REFERENCE_CLASS, 'FlexInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.FlexInfo', 
                [], [], 
                '''                Flex Info
                ''',
                'flex_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forwarding-adjacency', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IGP forwarding adjacency enabled
                ''',
                'forwarding_adjacency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('history', REFERENCE_CLASS, 'History' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History', 
                [], [], 
                '''                Tunnel history
                ''',
                'history',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop-limit-ignored-reason', REFERENCE_ENUM_CLASS, 'TeHopLimitIgnoreEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeHopLimitIgnoreEnum', 
                [], [], 
                '''                Hop-limit ignored reason
                ''',
                'hop_limit_ignored_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('invalidation-time-remained', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation time remaining
                ''',
                'invalidation_time_remained',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-auto-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether this is an automatically
                generated backup tunnel
                ''',
                'is_auto_backup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-auto-pcc', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether this is an automatic PCC
                tunnel
                ''',
                'is_auto_pcc',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-protect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BW Protection Enabled or Disabled
                ''',
                'is_bandwidth_protect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-hop-limit-ignore', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Hop-limit ignored
                ''',
                'is_hop_limit_ignore',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-inter-area-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether this tunnel spans multiple
                areas.
                ''',
                'is_inter_area_tunnel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True for tunnel head
                ''',
                'is_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-named', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether this tunnel is named
                ''',
                'is_named',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Enabled or Disabled
                ''',
                'is_node_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-passive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True for passive tunnel
                ''',
                'is_passive',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-delegated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether this tunnel is delegated to a
                PCE server or not
                ''',
                'is_pce_delegated',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-hop-ifindex', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Termination destination ifindex
                ''',
                'last_hop_ifindex',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-path-change', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last path change
                ''',
                'last_path_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share-factor', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The specified loadsharing for the tunnel
                ''',
                'load_share_factor',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share-type', REFERENCE_ENUM_CLASS, 'MplsTeLoadshareEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLoadshareEnum', 
                [], [], 
                '''                Loadsharing type
                ''',
                'load_share_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lsp-wrap label value
                ''',
                'lsp_wrap_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-protection-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Lsp-wrap Protection enabled
                ''',
                'lsp_wrap_protection_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('metric-qualifier', REFERENCE_ENUM_CLASS, 'MplsTeMetricQualifierEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricQualifierEnum', 
                [], [], 
                '''                Describe how the metric was specified: default,
                globally set, or per interface
                ''',
                'metric_qualifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                The path selection metric
                ''',
                'metric_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('operational-state', REFERENCE_ENUM_CLASS, 'MteTunnelOperStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MteTunnelOperStateEnum', 
                [], [], 
                '''                Operational State
                ''',
                'operational_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('operational-state-changes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Counters for operational state changes
                ''',
                'operational_state_changes',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn-bidir', REFERENCE_CLASS, 'OtnBidir' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir', 
                [], [], 
                '''                OTN bidir info
                ''',
                'otn_bidir',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outbound-frr-state', REFERENCE_ENUM_CLASS, 'MplsTeFrrStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeFrrStateEnum', 
                [], [], 
                '''                Indicates outbound FRR state
                ''',
                'outbound_frr_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-info', REFERENCE_CLASS, 'P2PInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.P2PInfo', 
                [], [], 
                '''                P2P specific info
                ''',
                'p2p_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('passive-tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Passive tunnel name
                ''',
                'passive_tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path-Option inuse by the current LSP has been
                modified
                ''',
                'path_option_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-protection', REFERENCE_CLASS, 'PathProtection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.PathProtection', 
                [], [], 
                '''                Path Protect Info
                ''',
                'path_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-delegation', REFERENCE_CLASS, 'PceDelegation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.PceDelegation', 
                [], [], 
                '''                PCE Delegation information
                ''',
                'pce_delegation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-fail-reason', REFERENCE_ENUM_CLASS, 'MplsTePceFailReasonsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTePceFailReasonsEnum', 
                [], [], 
                '''                Failure reason for PCE-based tunnels
                ''',
                'pce_fail_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('persistent-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Persistent forwarding statistics for number of
                bytes. Clear counters will not reset the counter
                ''',
                'persistent_bytes',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('persistent-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Persistent forwarding statistics for Number of
                packets. Clear counters will not reset the
                counter
                ''',
                'persistent_packets',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('re-opt-hold-down-timer-remaining', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup hold-down timer remaining time in seconds
                ''',
                're_opt_hold_down_timer_remaining',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimized-p2mp-lsp', REFERENCE_CLASS, 'ReoptimizedP2MpLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp', 
                [], [], 
                '''                Reopt LSP
                ''',
                'reoptimized_p2mp_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimized-standby-p2mp-lsp', REFERENCE_CLASS, 'ReoptimizedStandbyP2MpLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp', 
                [], [], 
                '''                Standby Reopt LSP
                ''',
                'reoptimized_standby_p2mp_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reroute-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ReroutePending
                ''',
                'reroute_pending',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('role-standby', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if Role is Standby, Active otherwise
                ''',
                'role_standby',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signaled-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signaled Name
                ''',
                'signaled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snmp-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SNMP index for interface
                ''',
                'snmp_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption', REFERENCE_CLASS, 'SoftPreemption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.SoftPreemption', 
                [], [], 
                '''                Tunnel head soft preemption info. This is NULL
                if soft preemption is not configured
                ''',
                'soft_preemption',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-tunnel-convergence', REFERENCE_CLASS, 'TeTunnelConvergence' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TeTunnelConvergence', 
                [], [], 
                '''                TE tunnel convergence related information
                ''',
                'te_tunnel_convergence',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tie-breaker', REFERENCE_ENUM_CLASS, 'TePathSelectionTiebreakerEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathSelectionTiebreakerEnum', 
                [], [], 
                '''                The path selection tiebreaker
                ''',
                'tie_breaker',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tiebreaker-qualifier', REFERENCE_ENUM_CLASS, 'MplsTeMetricQualifierEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricQualifierEnum', 
                [], [], 
                '''                Describes how the path selection tiebreaker was
                specified: default, globally set, or per
                interface
                ''',
                'tiebreaker_qualifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tiebreaker-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated - replaced by Tiebreaker
                ''',
                'tiebreaker_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('transport-tunnel-info', REFERENCE_CLASS, 'TransportTunnelInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo', 
                [], [], 
                '''                Transport tunnel data. Only exists for Transport
                tunnels
                ''',
                'transport_tunnel_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AttributeSet name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                AttributeSet type
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-current-lsp', REFERENCE_CLASS, 'TunnelCurrentLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp', 
                [], [], 
                '''                Current LSP
                ''',
                'tunnel_current_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface handle of the associated tunnel
                ''',
                'tunnel_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-recovering', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel recovering
                ''',
                'tunnel_recovering',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-restoration-lsp', REFERENCE_CLASS, 'TunnelRestorationLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp', 
                [], [], 
                '''                Restoration LSP
                ''',
                'tunnel_restoration_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-standby-lsp', REFERENCE_CLASS, 'TunnelStandbyLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp', 
                [], [], 
                '''                Standby LSP
                ''',
                'tunnel_standby_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the tunnel was up
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm-unitunnel', REFERENCE_CLASS, 'WdmUnitunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.WdmUnitunnel', 
                [], [], 
                '''                WDM-UNI tunnel data. Only exists for WDM-UNI
                tunnels
                ''',
                'wdm_unitunnel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set', REFERENCE_CLASS, 'XroAttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet', 
                [], [], 
                '''                XRO attribute-set
                ''',
                'xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configured XRO attribute-set name
                ''',
                'xro_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tunnel-head',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel.TunnelHeads' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel.TunnelHeads',
            False, 
            [
            _MetaInfoClassMember('tunnel-head', REFERENCE_LIST, 'TunnelHead' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead', 
                [], [], 
                '''                mpls te p2p or p2mp tunnels
                ''',
                'tunnel_head',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tunnel-heads',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2PP2MpTunnel' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2PP2MpTunnel',
            False, 
            [
            _MetaInfoClassMember('nni-tunnels', REFERENCE_CLASS, 'NniTunnels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.NniTunnels', 
                [], [], 
                '''                GMPLS NNI tunnels
                ''',
                'nni_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-heads', REFERENCE_CLASS, 'TunnelHeads' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelHeads', 
                [], [], 
                '''                Restrict display to P2P or P2MP head tunnels
                ''',
                'tunnel_heads',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-remote-briefs', REFERENCE_CLASS, 'TunnelRemoteBriefs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemoteBriefs', 
                [], [], 
                '''                Restrict display to P2P or P2MP mid or tail
                tunnels
                ''',
                'tunnel_remote_briefs',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-remotes', REFERENCE_CLASS, 'TunnelRemotes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel.TunnelRemotes', 
                [], [], 
                '''                Restrict display to P2P or P2MP mid or tail
                tunnels
                ''',
                'tunnel_remotes',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'p2p-p2mp-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.TopologyNodes.TopologyNode.TopologyNodeSidAndSrbg' : {
        'meta_info' : _MetaInfoClass('MplsTe.TopologyNodes.TopologyNode.TopologyNodeSidAndSrbg',
            False, 
            [
            _MetaInfoClassMember('segment-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment-Routing Node-SID
                ''',
                'segment_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('segment-id-local-absolute-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Node-SID local absolute value
                ''',
                'segment_id_local_absolute_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srgb-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment-Routing global block size
                ''',
                'srgb_size',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srgb-start', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment-Routring global block start value
                ''',
                'srgb_start',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'topology-node-sid-and-srbg',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthPrestandard.TopologyLinkPrestandardBandwidthDetail' : {
        'meta_info' : _MetaInfoClass('MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthPrestandard.TopologyLinkPrestandardBandwidthDetail',
            False, 
            [
            _MetaInfoClassMember('topology-link-prestandard-bandwidth-allocated', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link's allocated bandwidth at priority levels
                (priority 0 to priority 7)
                ''',
                'topology_link_prestandard_bandwidth_allocated',
                'Cisco-IOS-XR-mpls-te-oper', False, max_elements=8),
            _MetaInfoClassMember('topology-link-prestandard-bandwidth-available-global', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link's available global-pool bandwidth at
                priority levels (priority 0 to priority 7)
                ''',
                'topology_link_prestandard_bandwidth_available_global',
                'Cisco-IOS-XR-mpls-te-oper', False, max_elements=8),
            _MetaInfoClassMember('topology-link-prestandard-bandwidth-available-subpool', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link's available sub-pool bandwidth at priority
                levels (priority 0 to priority 7)
                ''',
                'topology_link_prestandard_bandwidth_available_subpool',
                'Cisco-IOS-XR-mpls-te-oper', False, max_elements=8),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'topology-link-prestandard-bandwidth-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthPrestandard' : {
        'meta_info' : _MetaInfoClass('MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthPrestandard',
            False, 
            [
            _MetaInfoClassMember('topology-link-prestandard-bandwidth-detail', REFERENCE_CLASS, 'TopologyLinkPrestandardBandwidthDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthPrestandard.TopologyLinkPrestandardBandwidthDetail', 
                [], [], 
                '''                Detailed bandwidth information for this link
                ''',
                'topology_link_prestandard_bandwidth_detail',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-prestandard-bandwidth-physical', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The link's physical bandwidth
                ''',
                'topology_link_prestandard_bandwidth_physical',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-prestandard-bandwidth-reservation-global', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The link's reservable global bandwidth
                ''',
                'topology_link_prestandard_bandwidth_reservation_global',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-prestandard-bandwidth-reservation-subpool', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The link's reservable subpool bandwidth
                ''',
                'topology_link_prestandard_bandwidth_reservation_subpool',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'topology-link-bandwidth-prestandard',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthStandard.TopoLinkStdBwDetail' : {
        'meta_info' : _MetaInfoClass('MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthStandard.TopoLinkStdBwDetail',
            False, 
            [
            _MetaInfoClassMember('topo-link-std-bw-allocated', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link's allocated bandwidth per class
                ''',
                'topo_link_std_bw_allocated',
                'Cisco-IOS-XR-mpls-te-oper', False, max_elements=8),
            _MetaInfoClassMember('topo-link-std-bw-available', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link's available bandwidth per class
                ''',
                'topo_link_std_bw_available',
                'Cisco-IOS-XR-mpls-te-oper', False, max_elements=8),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'topo-link-std-bw-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthStandard' : {
        'meta_info' : _MetaInfoClass('MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthStandard',
            False, 
            [
            _MetaInfoClassMember('topo-link-std-bw-detail', REFERENCE_CLASS, 'TopoLinkStdBwDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthStandard.TopoLinkStdBwDetail', 
                [], [], 
                '''                Detailed bandwidth information for this link
                ''',
                'topo_link_std_bw_detail',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topo-link-std-bw-physical', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The link's physical bandwidth
                ''',
                'topo_link_std_bw_physical',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topo-link-std-bw-res-max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The link's maximum reservable bandwidth
                ''',
                'topo_link_std_bw_res_max',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topo-link-std-bw-res-pool0', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The link's reservable BC0 bandwidth
                ''',
                'topo_link_std_bw_res_pool0',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topo-link-std-bw-res-pool1', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The link's reservable BC1 bandwidth
                ''',
                'topo_link_std_bw_res_pool1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'topology-link-bandwidth-standard',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth' : {
        'meta_info' : _MetaInfoClass('MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth',
            False, 
            [
            _MetaInfoClassMember('bandwidth-migration-mode', REFERENCE_ENUM_CLASS, 'RrrDsteMigrationModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RrrDsteMigrationModeEnum', 
                [], [], 
                '''                BandwidthMigrationMode
                ''',
                'bandwidth_migration_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-bandwidth-prestandard', REFERENCE_CLASS, 'TopologyLinkBandwidthPrestandard' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthPrestandard', 
                [], [], 
                '''                Pre-standard bandwidth information for this link
                ''',
                'topology_link_bandwidth_prestandard',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-bandwidth-standard', REFERENCE_CLASS, 'TopologyLinkBandwidthStandard' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthStandard', 
                [], [], 
                '''                IETF-standard bandwidth information for this
                link
                ''',
                'topology_link_bandwidth_standard',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'topology-link-bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Fixed' : {
        'meta_info' : _MetaInfoClass('MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Fixed',
            False, 
            [
            _MetaInfoClassMember('maximum-od-us', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Maximum Number of ODUs of this level possible on
                this link
                ''',
                'maximum_od_us',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unreserved-od-us', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Maximum Number of ODUs of this level possible on
                this link
                ''',
                'unreserved_od_us',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fixed',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Flex' : {
        'meta_info' : _MetaInfoClass('MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Flex',
            False, 
            [
            _MetaInfoClassMember('max-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max kbps Bandwidth of this level possible on
                this link
                ''',
                'max_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-lsp-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Per LSP Max kbps Bandwidth of this level
                possible on this link
                ''',
                'max_lsp_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unreserved-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Unreserved kbps Bandwidth of this level possible
                on this link
                ''',
                'unreserved_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo',
            False, 
            [
            _MetaInfoClassMember('fixed', REFERENCE_CLASS, 'Fixed' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Fixed', 
                [], [], 
                '''                ODU capability for Fixed ODUs
                ''',
                'fixed',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex', REFERENCE_CLASS, 'Flex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Flex', 
                [], [], 
                '''                ODU capability for Flex ODUs
                ''',
                'flex',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeOduCapabilityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeOduCapabilityEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bandwidth-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.OduLinkCapabilities.OduCapability' : {
        'meta_info' : _MetaInfoClass('MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.OduLinkCapabilities.OduCapability',
            False, 
            [
            _MetaInfoClassMember('bandwidth-info', REFERENCE_CLASS, 'BandwidthInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo', 
                [], [], 
                '''                Bandwidth related info for this ODU level
                ''',
                'bandwidth_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lcas-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if link LCAS capable for this ODU level
                ''',
                'lcas_capable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signal-type', REFERENCE_ENUM_CLASS, 'TeOduLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeOduLevelEnum', 
                [], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('stage1', REFERENCE_ENUM_CLASS, 'TeOduLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeOduLevelEnum', 
                [], [], 
                '''                ODU Type at stage 1, Not Set for HO ODU
                ''',
                'stage1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('stage2', REFERENCE_ENUM_CLASS, 'TeOduLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeOduLevelEnum', 
                [], [], 
                '''                ODU Type at stage 2, Not Set for single stage
                mulitplexing
                ''',
                'stage2',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('stage3', REFERENCE_ENUM_CLASS, 'TeOduLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeOduLevelEnum', 
                [], [], 
                '''                ODU Type at stage 3, Not set up to two levels of
                multiplexing
                ''',
                'stage3',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('stage4', REFERENCE_ENUM_CLASS, 'TeOduLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeOduLevelEnum', 
                [], [], 
                '''                ODU Type at stage 4, Not set up to three levels
                of multiplexing
                ''',
                'stage4',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('switchable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if link is switchable for this ODU level
                ''',
                'switchable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('terminable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if link is terminable for this ODU level
                ''',
                'terminable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tsg1p25', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if link supports 1.25G TSG for this ODU
                level
                ''',
                'tsg1p25',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tsg2p5', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if link supports 2.5G TSG for this ODU
                level
                ''',
                'tsg2p5',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('vcat-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if link VCAT capable for this ODU level
                ''',
                'vcat_capable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-capability',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.OduLinkCapabilities' : {
        'meta_info' : _MetaInfoClass('MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.OduLinkCapabilities',
            False, 
            [
            _MetaInfoClassMember('max-lsp-bandwidth', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max LSP Bandwidth per priority in kbit/s
                ''',
                'max_lsp_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-capability', REFERENCE_LIST, 'OduCapability' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.OduLinkCapabilities.OduCapability', 
                [], [], 
                '''                ODU Capabilities of Link
                ''',
                'odu_capability',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-link-capabilities',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.SharedRiskLinkGroup' : {
        'meta_info' : _MetaInfoClass('MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.SharedRiskLinkGroup',
            False, 
            [
            _MetaInfoClassMember('shared-risk-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG number
                ''',
                'shared_risk_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SRLG name
                ''',
                'srlg_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'shared-risk-link-group',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.AdjacencySid' : {
        'meta_info' : _MetaInfoClass('MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.AdjacencySid',
            False, 
            [
            _MetaInfoClassMember('adjacency-sid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The adjacency SID assigned for the topology node
                ''',
                'adjacency_sid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flag-b', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IGP Flag B
                ''',
                'flag_b',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flag-f', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IGP Flag F
                ''',
                'flag_f',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flag-l', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IGP Flag L
                ''',
                'flag_l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flag-s', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IGP Flag S
                ''',
                'flag_s',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flag-v', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IGP Flag V
                ''',
                'flag_v',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-type', REFERENCE_ENUM_CLASS, 'IgpSubnetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'IgpSubnetEnum', 
                [], [], 
                '''                Link Type
                ''',
                'link_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local Address
                ''',
                'local_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nbr-node-igpid', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The neighbor node's IGP ID
                ''',
                'nbr_node_igpid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nbr-node-te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The neigbor node's TE router-id
                ''',
                'nbr_node_te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote Address
                ''',
                'remote_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'adjacency-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink' : {
        'meta_info' : _MetaInfoClass('MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink',
            False, 
            [
            _MetaInfoClassMember('adjacency-sid', REFERENCE_LIST, 'AdjacencySid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.AdjacencySid', 
                [], [], 
                '''                Adjacency SIDs assigned for adjacency nodes
                ''',
                'adjacency_sid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-link-capabilities', REFERENCE_CLASS, 'OduLinkCapabilities' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.OduLinkCapabilities', 
                [], [], 
                '''                ODU Link Capabilities
                ''',
                'odu_link_capabilities',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared-risk-link-group', REFERENCE_LIST, 'SharedRiskLinkGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.SharedRiskLinkGroup', 
                [], [], 
                '''                The link's shared risk link groups
                ''',
                'shared_risk_link_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'topology_link_affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-bandwidth', REFERENCE_CLASS, 'TopologyLinkBandwidth' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth', 
                [], [], 
                '''                Bandwidth information for this link
                ''',
                'topology_link_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-bandwidth-model', REFERENCE_ENUM_CLASS, 'IgpteLibBwModelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'IgpteLibBwModelEnum', 
                [], [], 
                '''                The link's topology bandwidth model
                ''',
                'topology_link_bandwidth_model',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-encoding', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                The link's encoding
                ''',
                'topology_link_encoding',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-extended-affinity-bit', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The link's affinity bits (colors)
                ''',
                'topology_link_extended_affinity_bit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-fragment-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor's link version counter
                ''',
                'topology_link_fragment_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The link's IGP metric
                ''',
                'topology_link_igp_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Link's local interface address
                ''',
                'topology_link_interface_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link's local interface ID
                ''',
                'topology_link_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Link's neighbor interface address
                ''',
                'topology_link_neighbor_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-neighbor-generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor's link version counter
                ''',
                'topology_link_neighbor_generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-neighbor-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link's neighbor interface ID
                ''',
                'topology_link_neighbor_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-neighbor-node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Node id of neighbor
                ''',
                'topology_link_neighbor_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-neighbor-system-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                System id of neighbor
                ''',
                'topology_link_neighbor_system_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-switching-capability', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                The link's switching capability
                ''',
                'topology_link_switching_capability',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-te-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The link's TE metric
                ''',
                'topology_link_te_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-type', REFERENCE_ENUM_CLASS, 'IgpSubnetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'IgpSubnetEnum', 
                [], [], 
                '''                Link type
                ''',
                'topology_link_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-uni-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Unidirectional Link Delay in micro-sec
                ''',
                'topology_link_uni_delay',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'topology-node-link',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.TopologyNodes.TopologyNode' : {
        'meta_info' : _MetaInfoClass('MplsTe.TopologyNodes.TopologyNode',
            False, 
            [
            _MetaInfoClassMember('area', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                IGP area
                ''',
                'area',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('igp-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                IGP instance
                ''',
                'igp_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('igp-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IGP Node ID
                ''',
                'igp_node_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'MplsTeIgpProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeIgpProtocolEnum', 
                [], [], 
                '''                IGP protocol type
                ''',
                'protocol',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('topology-node-type', REFERENCE_ENUM_CLASS, 'MplsTeNodeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeNodeEnum', 
                [], [], 
                '''                Node type
                ''',
                'topology_node_type',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('topology-node-link', REFERENCE_LIST, 'TopologyNodeLink' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink', 
                [], [], 
                '''                This node's link information
                ''',
                'topology_node_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-node-overloaded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether this node is overloaded
                ''',
                'topology_node_overloaded',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-node-sid-and-srbg', REFERENCE_CLASS, 'TopologyNodeSidAndSrbg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.TopologyNodes.TopologyNode.TopologyNodeSidAndSrbg', 
                [], [], 
                '''                This node's SID and SRBG information
                ''',
                'topology_node_sid_and_srbg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-node-te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The node's TE router-id. Not set for network
                nodes
                ''',
                'topology_node_te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'topology-node',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.TopologyNodes' : {
        'meta_info' : _MetaInfoClass('MplsTe.TopologyNodes',
            False, 
            [
            _MetaInfoClassMember('topology-node', REFERENCE_LIST, 'TopologyNode' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.TopologyNodes.TopologyNode', 
                [], [], 
                '''                A node in the MPLS-TE topology
                ''',
                'topology_node',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'topology-nodes',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AnnounceTunnelsInfo.AutorouteAnnounceTable.AnnounceDest.TotalTunnel.IgPs' : {
        'meta_info' : _MetaInfoClass('MplsTe.AnnounceTunnelsInfo.AutorouteAnnounceTable.AnnounceDest.TotalTunnel.IgPs',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'MplsTeAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('igp-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The IGP Instance and Area ID
                ''',
                'igp_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ig-ps',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AnnounceTunnelsInfo.AutorouteAnnounceTable.AnnounceDest.TotalTunnel' : {
        'meta_info' : _MetaInfoClass('MplsTe.AnnounceTunnelsInfo.AutorouteAnnounceTable.AnnounceDest.TotalTunnel',
            False, 
            [
            _MetaInfoClassMember('announce-type', REFERENCE_ENUM_CLASS, 'MplsTeTunnelAnnounceEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelAnnounceEnum', 
                [], [], 
                '''                Announcement type
                ''',
                'announce_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('area-format', REFERENCE_ENUM_CLASS, 'IgpOspfAreaFormatEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'IgpOspfAreaFormatEnum', 
                [], [], 
                '''                IGP Area Format
                ''',
                'area_format',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold time in seconds
                ''',
                'hold_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ig-ps', REFERENCE_LIST, 'IgPs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AnnounceTunnelsInfo.AutorouteAnnounceTable.AnnounceDest.TotalTunnel.IgPs', 
                [], [], 
                '''                List of IGPs to which it is announced
                ''',
                'ig_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                IGP metric
                ''',
                'igp_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-auto-mesh-aa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if this is auto-tunnel mesh AA
                ''',
                'is_auto_mesh_aa',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-segment-routing', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if autoroute-announce has exclude
                segment-routing option
                ''',
                'is_exclude_segment_routing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-sr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if this is a segment routing tunnel
                ''',
                'is_sr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-sr-strict', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if this is a strict SID SR tunnel
                ''',
                'is_sr_strict',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-idaa', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MeshGroup ID for AA
                ''',
                'mesh_group_idaa',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'IgpteAaMetricModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'IgpteAaMetricModeEnum', 
                [], [], 
                '''                Autoroute mode
                ''',
                'mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The tunnel destination
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-loadshare', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel loadshare
                ''',
                'tunnel_loadshare',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-sig-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The tunnel signaled-name
                ''',
                'tunnel_sig_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'total-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AnnounceTunnelsInfo.AutorouteAnnounceTable.AnnounceDest' : {
        'meta_info' : _MetaInfoClass('MplsTe.AnnounceTunnelsInfo.AutorouteAnnounceTable.AnnounceDest',
            False, 
            [
            _MetaInfoClassMember('area', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Area
                ''',
                'area',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination Address
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('igp-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                IGP Instance ID
                ''',
                'igp_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'MplsTeIgpProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeIgpProtocolEnum', 
                [], [], 
                '''                The IGP protocol used by the tunnel
                ''',
                'protocol',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('announced-tunnels-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The number of announced tunnels
                ''',
                'announced_tunnels_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('area-format', REFERENCE_ENUM_CLASS, 'IgpOspfAreaFormatEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'IgpOspfAreaFormatEnum', 
                [], [], 
                '''                The format for the area: IPv4 address or a
                positive integer
                ''',
                'area_format',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('autorouted-tunnels-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The number of tunnels that are announced as
                shortcuts
                ''',
                'autorouted_tunnels_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination
                ''',
                'destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forwarding-adjacency-tunnels-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The number of tunnels that are announced as
                forwarding adjacencies
                ''',
                'forwarding_adjacency_tunnels_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('igp-area', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP Area ID
                ''',
                'igp_area',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('igp-instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IGP Instance name
                ''',
                'igp_instance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('igp-type', REFERENCE_ENUM_CLASS, 'IgpProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'IgpProtocolEnum', 
                [], [], 
                '''                IGP type
                ''',
                'igp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-tunnel', REFERENCE_LIST, 'TotalTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AnnounceTunnelsInfo.AutorouteAnnounceTable.AnnounceDest.TotalTunnel', 
                [], [], 
                '''                Announced tunnels for this destination
                ''',
                'total_tunnel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'announce-dest',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AnnounceTunnelsInfo.AutorouteAnnounceTable' : {
        'meta_info' : _MetaInfoClass('MplsTe.AnnounceTunnelsInfo.AutorouteAnnounceTable',
            False, 
            [
            _MetaInfoClassMember('announce-dest', REFERENCE_LIST, 'AnnounceDest' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AnnounceTunnelsInfo.AutorouteAnnounceTable.AnnounceDest', 
                [], [], 
                '''                Autoroute tunnels per destination information
                ''',
                'announce_dest',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'autoroute-announce-table',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AnnounceTunnelsInfo.AllAutorouteTable.AnnounceDest.TotalTunnel.IgPs' : {
        'meta_info' : _MetaInfoClass('MplsTe.AnnounceTunnelsInfo.AllAutorouteTable.AnnounceDest.TotalTunnel.IgPs',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'MplsTeAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('igp-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The IGP Instance and Area ID
                ''',
                'igp_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ig-ps',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AnnounceTunnelsInfo.AllAutorouteTable.AnnounceDest.TotalTunnel' : {
        'meta_info' : _MetaInfoClass('MplsTe.AnnounceTunnelsInfo.AllAutorouteTable.AnnounceDest.TotalTunnel',
            False, 
            [
            _MetaInfoClassMember('announce-type', REFERENCE_ENUM_CLASS, 'MplsTeTunnelAnnounceEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelAnnounceEnum', 
                [], [], 
                '''                Announcement type
                ''',
                'announce_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('area-format', REFERENCE_ENUM_CLASS, 'IgpOspfAreaFormatEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'IgpOspfAreaFormatEnum', 
                [], [], 
                '''                IGP Area Format
                ''',
                'area_format',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold time in seconds
                ''',
                'hold_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ig-ps', REFERENCE_LIST, 'IgPs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AnnounceTunnelsInfo.AllAutorouteTable.AnnounceDest.TotalTunnel.IgPs', 
                [], [], 
                '''                List of IGPs to which it is announced
                ''',
                'ig_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                IGP metric
                ''',
                'igp_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-auto-mesh-aa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if this is auto-tunnel mesh AA
                ''',
                'is_auto_mesh_aa',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-segment-routing', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if autoroute-announce has exclude
                segment-routing option
                ''',
                'is_exclude_segment_routing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-sr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if this is a segment routing tunnel
                ''',
                'is_sr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-sr-strict', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if this is a strict SID SR tunnel
                ''',
                'is_sr_strict',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-idaa', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MeshGroup ID for AA
                ''',
                'mesh_group_idaa',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'IgpteAaMetricModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'IgpteAaMetricModeEnum', 
                [], [], 
                '''                Autoroute mode
                ''',
                'mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The tunnel destination
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-loadshare', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel loadshare
                ''',
                'tunnel_loadshare',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-sig-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The tunnel signaled-name
                ''',
                'tunnel_sig_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'total-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AnnounceTunnelsInfo.AllAutorouteTable.AnnounceDest' : {
        'meta_info' : _MetaInfoClass('MplsTe.AnnounceTunnelsInfo.AllAutorouteTable.AnnounceDest',
            False, 
            [
            _MetaInfoClassMember('area', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Area
                ''',
                'area',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination Address
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('igp-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                IGP Instance ID
                ''',
                'igp_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'MplsTeIgpProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeIgpProtocolEnum', 
                [], [], 
                '''                The IGP protocol used by the tunnel
                ''',
                'protocol',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('announced-tunnels-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The number of announced tunnels
                ''',
                'announced_tunnels_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('area-format', REFERENCE_ENUM_CLASS, 'IgpOspfAreaFormatEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'IgpOspfAreaFormatEnum', 
                [], [], 
                '''                The format for the area: IPv4 address or a
                positive integer
                ''',
                'area_format',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('autorouted-tunnels-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The number of tunnels that are announced as
                shortcuts
                ''',
                'autorouted_tunnels_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination
                ''',
                'destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forwarding-adjacency-tunnels-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The number of tunnels that are announced as
                forwarding adjacencies
                ''',
                'forwarding_adjacency_tunnels_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('igp-area', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP Area ID
                ''',
                'igp_area',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('igp-instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IGP Instance name
                ''',
                'igp_instance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('igp-type', REFERENCE_ENUM_CLASS, 'IgpProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'IgpProtocolEnum', 
                [], [], 
                '''                IGP type
                ''',
                'igp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-tunnel', REFERENCE_LIST, 'TotalTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AnnounceTunnelsInfo.AllAutorouteTable.AnnounceDest.TotalTunnel', 
                [], [], 
                '''                Announced tunnels for this destination
                ''',
                'total_tunnel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'announce-dest',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AnnounceTunnelsInfo.AllAutorouteTable' : {
        'meta_info' : _MetaInfoClass('MplsTe.AnnounceTunnelsInfo.AllAutorouteTable',
            False, 
            [
            _MetaInfoClassMember('announce-dest', REFERENCE_LIST, 'AnnounceDest' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AnnounceTunnelsInfo.AllAutorouteTable.AnnounceDest', 
                [], [], 
                '''                Autoroute tunnels per destination information
                ''',
                'announce_dest',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'all-autoroute-table',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AnnounceTunnelsInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.AnnounceTunnelsInfo',
            False, 
            [
            _MetaInfoClassMember('all-autoroute-table', REFERENCE_CLASS, 'AllAutorouteTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AnnounceTunnelsInfo.AllAutorouteTable', 
                [], [], 
                '''                Autoroute announce and forwarding adjacency
                table
                ''',
                'all_autoroute_table',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('autoroute-announce-table', REFERENCE_CLASS, 'AutorouteAnnounceTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AnnounceTunnelsInfo.AutorouteAnnounceTable', 
                [], [], 
                '''                Autoroute announce and forwarding adjacency
                table
                ''',
                'autoroute_announce_table',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'announce-tunnels-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.CollaboratorTimers.P2MpTimer' : {
        'meta_info' : _MetaInfoClass('MplsTe.CollaboratorTimers.P2MpTimer',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The expiry delay in seconds
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expiry-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Date when the timer last expired in seconds
                ''',
                'expiry_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-running', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if the timer is running
                ''',
                'is_running',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('start-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Date when timer was last started in seconds
                ''',
                'start_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('stop-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Date when the timer was last stopped in seconds
                ''',
                'stop_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('timer-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Timer Name
                ''',
                'timer_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('timer-type', REFERENCE_ENUM_CLASS, 'MplsTeP2MpTimerEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeP2MpTimerEnum', 
                [], [], 
                '''                Timer Type
                ''',
                'timer_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'p2mp-timer',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.CollaboratorTimers' : {
        'meta_info' : _MetaInfoClass('MplsTe.CollaboratorTimers',
            False, 
            [
            _MetaInfoClassMember('p2mp-timer', REFERENCE_LIST, 'P2MpTimer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.CollaboratorTimers.P2MpTimer', 
                [], [], 
                '''                Description of all P2MP timers
                ''',
                'p2mp_timer',
                'Cisco-IOS-XR-mpls-te-oper', False, max_elements=29),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'collaborator-timers',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AutoTunnel.Pcc.Summary' : {
        'meta_info' : _MetaInfoClass('MplsTe.AutoTunnel.Pcc.Summary',
            False, 
            [
            _MetaInfoClassMember('down-pcc-auto-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of stateful PCE client auto-tunnels
                that are down
                ''',
                'down_pcc_auto_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcc-auto-tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of stateful PCE client auto-tunnels
                ''',
                'pcc_auto_tunnel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('up-pcc-auto-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of stateful PCE client auto-tunnels
                that are up
                ''',
                'up_pcc_auto_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'summary',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AutoTunnel.Pcc' : {
        'meta_info' : _MetaInfoClass('MplsTe.AutoTunnel.Pcc',
            False, 
            [
            _MetaInfoClassMember('summary', REFERENCE_CLASS, 'Summary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AutoTunnel.Pcc.Summary', 
                [], [], 
                '''                MPLS TE auto-tunnel pcc summary information
                ''',
                'summary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'pcc',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AutoTunnel.Mesh.MeshGroups.MeshGroup.Destination' : {
        'meta_info' : _MetaInfoClass('MplsTe.AutoTunnel.Mesh.MeshGroups.MeshGroup.Destination',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('operational-status', REFERENCE_ENUM_CLASS, 'MplsTeTunnelStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelStateEnum', 
                [], [], 
                '''                Tunnel operational status
                ''',
                'operational_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remaining-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remaining time for unused timer in seconds
                ''',
                'remaining_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'destination',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AutoTunnel.Mesh.MeshGroups.MeshGroup' : {
        'meta_info' : _MetaInfoClass('MplsTe.AutoTunnel.Mesh.MeshGroups.MeshGroup',
            False, 
            [
            _MetaInfoClassMember('mesh-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mesh group ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute set name
                ''',
                'attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-mesh-group-type', REFERENCE_ENUM_CLASS, 'TeMeshgroupEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeMeshgroupEnum', 
                [], [], 
                '''                Meshgroup Type
                ''',
                'auto_mesh_group_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-mesh-total-destinations', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of destinations
                ''',
                'auto_mesh_total_destinations',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-mesh-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of automesh tunnels
                ''',
                'auto_mesh_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination', REFERENCE_LIST, 'Destination' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AutoTunnel.Mesh.MeshGroups.MeshGroup.Destination', 
                [], [], 
                '''                List of destinations for this meshgroup
                ''',
                'destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Destination List name
                ''',
                'destination_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-list-type', REFERENCE_ENUM_CLASS, 'TeAclEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAclEnum', 
                [], [], 
                '''                Type of the  destlist
                ''',
                'destination_list_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('down-auto-mesh-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of automesh tunnels that are down
                ''',
                'down_auto_mesh_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-auto-mesh-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of automesh tunnels that are FRR
                enabled
                ''',
                'frr_auto_mesh_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-attribute-set-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any attribute-set associated to this
                meshgroup
                ''',
                'is_attribute_set_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-attribute-set-in-db', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate the existence of attribute set
                found in database
                ''',
                'is_attribute_set_in_db',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-destination-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any destiantion-list associated to this
                meshgroup
                ''',
                'is_destination_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-meshgroup-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the meshgroup disabled
                ''',
                'is_meshgroup_disabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remaining-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remaining time for recreate timer in seconds
                ''',
                'remaining_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('up-auto-mesh-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of automesh tunnels that are up
                ''',
                'up_auto_mesh_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'mesh-group',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AutoTunnel.Mesh.MeshGroups' : {
        'meta_info' : _MetaInfoClass('MplsTe.AutoTunnel.Mesh.MeshGroups',
            False, 
            [
            _MetaInfoClassMember('mesh-group', REFERENCE_LIST, 'MeshGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AutoTunnel.Mesh.MeshGroups.MeshGroup', 
                [], [], 
                '''                Display auto-tunnel mesh group information
                ''',
                'mesh_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'mesh-groups',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AutoTunnel.Mesh.Statistics' : {
        'meta_info' : _MetaInfoClass('MplsTe.AutoTunnel.Mesh.Statistics',
            False, 
            [
            _MetaInfoClassMember('connected', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of connected automesh tunnels
                ''',
                'connected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('created', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of connected automesh tunnels
                ''',
                'created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-cleared-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time at which these were last cleared in seconds
                since (in seconds since 1st Jan 1970 00:00:00)'
                ''',
                'last_cleared_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('removed-in-use', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of automesh tunnels removed while up and
                in use
                ''',
                'removed_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('removed-range-exceeded', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of automesh tunnel attempts rejected
                because the total number exceeds the range
                ''',
                'removed_range_exceeded',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('removed-unused', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of automesh tunnels removed while unused
                ''',
                'removed_unused',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AutoTunnel.Mesh.Summary' : {
        'meta_info' : _MetaInfoClass('MplsTe.AutoTunnel.Mesh.Summary',
            False, 
            [
            _MetaInfoClassMember('auto-mesh-destinations', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of automesh destinations
                ''',
                'auto_mesh_destinations',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-mesh-groups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of automesh mesh-groups
                ''',
                'auto_mesh_groups',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-mesh-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of automesh tunnels
                ''',
                'auto_mesh_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('down-auto-mesh-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of automesh tunnels that are down
                ''',
                'down_auto_mesh_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-auto-mesh-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of automesh tunnels that are FRR
                enabled
                ''',
                'frr_auto_mesh_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('up-auto-mesh-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of automesh tunnels that are up
                ''',
                'up_auto_mesh_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'summary',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AutoTunnel.Mesh.Config' : {
        'meta_info' : _MetaInfoClass('MplsTe.AutoTunnel.Mesh.Config',
            False, 
            [
            _MetaInfoClassMember('is-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicate if auto-tunnel mesh feature is
                configured 
                ''',
                'is_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper bound of configured tunnel ID range
                ''',
                'max_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('min-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower bound of configured tunnel ID range
                ''',
                'min_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unused-removal-timeout-configured', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured value of unused removal timer in
                seconds
                ''',
                'unused_removal_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'config',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AutoTunnel.Mesh.OneHop.Interfaces.Interface.Tunnel' : {
        'meta_info' : _MetaInfoClass('MplsTe.AutoTunnel.Mesh.OneHop.Interfaces.Interface.Tunnel',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination Address
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-lspid', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'tunnel_lspid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-state', REFERENCE_ENUM_CLASS, 'MplsTeTunnelStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelStateEnum', 
                [], [], 
                '''                Tunnel state
                ''',
                'tunnel_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AutoTunnel.Mesh.OneHop.Interfaces.Interface' : {
        'meta_info' : _MetaInfoClass('MplsTe.AutoTunnel.Mesh.OneHop.Interfaces.Interface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface name
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel', REFERENCE_LIST, 'Tunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AutoTunnel.Mesh.OneHop.Interfaces.Interface.Tunnel', 
                [], [], 
                '''                Onehop tunnels created for this interface
                ''',
                'tunnel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AutoTunnel.Mesh.OneHop.Interfaces' : {
        'meta_info' : _MetaInfoClass('MplsTe.AutoTunnel.Mesh.OneHop.Interfaces',
            False, 
            [
            _MetaInfoClassMember('interface', REFERENCE_LIST, 'Interface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AutoTunnel.Mesh.OneHop.Interfaces.Interface', 
                [], [], 
                '''                Display auto-tunnel mesh onehop interface
                information
                ''',
                'interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'interfaces',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AutoTunnel.Mesh.OneHop.Statistics' : {
        'meta_info' : _MetaInfoClass('MplsTe.AutoTunnel.Mesh.OneHop.Statistics',
            False, 
            [
            _MetaInfoClassMember('connected', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of connected automesh tunnels
                ''',
                'connected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('created', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of connected automesh tunnels
                ''',
                'created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-cleared-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time at which these were last cleared in seconds
                since (in seconds since 1st Jan 1970 00:00:00)'
                ''',
                'last_cleared_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('removed-in-use', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of automesh tunnels removed while up and
                in use
                ''',
                'removed_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('removed-range-exceeded', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of automesh tunnel attempts rejected
                because the total number exceeds the range
                ''',
                'removed_range_exceeded',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('removed-unused', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of automesh tunnels removed while unused
                ''',
                'removed_unused',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AutoTunnel.Mesh.OneHop.Summary' : {
        'meta_info' : _MetaInfoClass('MplsTe.AutoTunnel.Mesh.OneHop.Summary',
            False, 
            [
            _MetaInfoClassMember('auto-mesh-one-hop-destinations', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of automesh onehop destinations
                ''',
                'auto_mesh_one_hop_destinations',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-mesh-one-hop-groups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of automesh onehop mesh-groups
                ''',
                'auto_mesh_one_hop_groups',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-mesh-one-hop-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of automesh onehop tunnels
                ''',
                'auto_mesh_one_hop_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('down-auto-mesh-one-hop-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of automesh onehop tunnels that are
                down
                ''',
                'down_auto_mesh_one_hop_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-auto-mesh-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of automesh onehop tunnels that are
                FRR enabled
                ''',
                'frr_auto_mesh_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('up-auto-mesh-one-hop-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of automesh onehop tunnels that are
                up
                ''',
                'up_auto_mesh_one_hop_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'summary',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AutoTunnel.Mesh.OneHop' : {
        'meta_info' : _MetaInfoClass('MplsTe.AutoTunnel.Mesh.OneHop',
            False, 
            [
            _MetaInfoClassMember('interfaces', REFERENCE_CLASS, 'Interfaces' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AutoTunnel.Mesh.OneHop.Interfaces', 
                [], [], 
                '''                Display auto-tunnel onehop interfaces
                ''',
                'interfaces',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AutoTunnel.Mesh.OneHop.Statistics', 
                [], [], 
                '''                MPLS TE auto-tunnel mesh onehop counters
                (stats) information
                ''',
                'statistics',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('summary', REFERENCE_CLASS, 'Summary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AutoTunnel.Mesh.OneHop.Summary', 
                [], [], 
                '''                MPLS TE auto-tunnel mesh onehop summary
                information
                ''',
                'summary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'one-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AutoTunnel.Mesh' : {
        'meta_info' : _MetaInfoClass('MplsTe.AutoTunnel.Mesh',
            False, 
            [
            _MetaInfoClassMember('config', REFERENCE_CLASS, 'Config' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AutoTunnel.Mesh.Config', 
                [], [], 
                '''                MPLS TE auto-tunnel mesh configuration
                information
                ''',
                'config',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-groups', REFERENCE_CLASS, 'MeshGroups' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AutoTunnel.Mesh.MeshGroups', 
                [], [], 
                '''                Display auto-tunnel mesh group
                ''',
                'mesh_groups',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-hop', REFERENCE_CLASS, 'OneHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AutoTunnel.Mesh.OneHop', 
                [], [], 
                '''                MPLS TE auto-tunnel mesh onehop information
                ''',
                'one_hop',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AutoTunnel.Mesh.Statistics', 
                [], [], 
                '''                MPLS TE auto-tunnel mesh counters (stats)
                information
                ''',
                'statistics',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('summary', REFERENCE_CLASS, 'Summary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AutoTunnel.Mesh.Summary', 
                [], [], 
                '''                MPLS TE auto-tunnel mesh summary information
                ''',
                'summary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'mesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AutoTunnel.Backup.Tunnels.Tunnel' : {
        'meta_info' : _MetaInfoClass('MplsTe.AutoTunnel.Backup.Tunnels.Tunnel',
            False, 
            [
            _MetaInfoClassMember('backup-tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Backup tunnel name
                ''',
                'backup_tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('atb-protection-type', REFERENCE_ENUM_CLASS, 'AutoBackupProtectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'AutoBackupProtectionEnum', 
                [], [], 
                '''                Type of protection offered by this auto-tunnel
                backup
                ''',
                'atb_protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('operational-status', REFERENCE_ENUM_CLASS, 'MplsTeTunnelStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelStateEnum', 
                [], [], 
                '''                Tunnel operational status
                ''',
                'operational_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-flows', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of protected flows
                ''',
                'protected_flows',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface protected by this auto-tunnel backup
                ''',
                'protected_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of node protected by this auto-tunnel
                backup
                ''',
                'protected_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-mode', REFERENCE_ENUM_CLASS, 'AutoBackupSrlgModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'AutoBackupSrlgModeEnum', 
                [], [], 
                '''                SRLG exclude mode for this auto-tunnel backup
                ''',
                'srlg_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AutoTunnel.Backup.Tunnels' : {
        'meta_info' : _MetaInfoClass('MplsTe.AutoTunnel.Backup.Tunnels',
            False, 
            [
            _MetaInfoClassMember('tunnel', REFERENCE_LIST, 'Tunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AutoTunnel.Backup.Tunnels.Tunnel', 
                [], [], 
                '''                Display auto tunnel backup tunnel information
                ''',
                'tunnel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tunnels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AutoTunnel.Backup.Statistics.Created' : {
        'meta_info' : _MetaInfoClass('MplsTe.AutoTunnel.Backup.Statistics.Created',
            False, 
            [
            _MetaInfoClassMember('next-hop-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next hop auto backup tunnels only
                ''',
                'next_hop_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-next-hop-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next next hop auto backup tunnels only
                ''',
                'next_next_hop_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total auto backup tunnels
                ''',
                'total_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'created',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AutoTunnel.Backup.Statistics.Connected' : {
        'meta_info' : _MetaInfoClass('MplsTe.AutoTunnel.Backup.Statistics.Connected',
            False, 
            [
            _MetaInfoClassMember('next-hop-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next hop auto backup tunnels only
                ''',
                'next_hop_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-next-hop-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next next hop auto backup tunnels only
                ''',
                'next_next_hop_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total auto backup tunnels
                ''',
                'total_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AutoTunnel.Backup.Statistics.RemovedDown' : {
        'meta_info' : _MetaInfoClass('MplsTe.AutoTunnel.Backup.Statistics.RemovedDown',
            False, 
            [
            _MetaInfoClassMember('next-hop-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next hop auto backup tunnels only
                ''',
                'next_hop_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-next-hop-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next next hop auto backup tunnels only
                ''',
                'next_next_hop_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total auto backup tunnels
                ''',
                'total_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'removed-down',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AutoTunnel.Backup.Statistics.RemovedUnused' : {
        'meta_info' : _MetaInfoClass('MplsTe.AutoTunnel.Backup.Statistics.RemovedUnused',
            False, 
            [
            _MetaInfoClassMember('next-hop-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next hop auto backup tunnels only
                ''',
                'next_hop_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-next-hop-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next next hop auto backup tunnels only
                ''',
                'next_next_hop_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total auto backup tunnels
                ''',
                'total_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'removed-unused',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AutoTunnel.Backup.Statistics.RemovedInUse' : {
        'meta_info' : _MetaInfoClass('MplsTe.AutoTunnel.Backup.Statistics.RemovedInUse',
            False, 
            [
            _MetaInfoClassMember('next-hop-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next hop auto backup tunnels only
                ''',
                'next_hop_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-next-hop-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next next hop auto backup tunnels only
                ''',
                'next_next_hop_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total auto backup tunnels
                ''',
                'total_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'removed-in-use',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AutoTunnel.Backup.Statistics.RemovedRangeExceeded' : {
        'meta_info' : _MetaInfoClass('MplsTe.AutoTunnel.Backup.Statistics.RemovedRangeExceeded',
            False, 
            [
            _MetaInfoClassMember('next-hop-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next hop auto backup tunnels only
                ''',
                'next_hop_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-next-hop-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next next hop auto backup tunnels only
                ''',
                'next_next_hop_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total auto backup tunnels
                ''',
                'total_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'removed-range-exceeded',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AutoTunnel.Backup.Statistics' : {
        'meta_info' : _MetaInfoClass('MplsTe.AutoTunnel.Backup.Statistics',
            False, 
            [
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AutoTunnel.Backup.Statistics.Connected', 
                [], [], 
                '''                Number of connected auto backup tunnels
                ''',
                'connected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('created', REFERENCE_CLASS, 'Created' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AutoTunnel.Backup.Statistics.Created', 
                [], [], 
                '''                Number of connected auto backup tunnels
                ''',
                'created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-cleared-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp when the stat has been cleared
                ''',
                'last_cleared_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('removed-down', REFERENCE_CLASS, 'RemovedDown' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AutoTunnel.Backup.Statistics.RemovedDown', 
                [], [], 
                '''                Number of NNHOP auto backup tunnels removed
                while down
                ''',
                'removed_down',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('removed-in-use', REFERENCE_CLASS, 'RemovedInUse' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AutoTunnel.Backup.Statistics.RemovedInUse', 
                [], [], 
                '''                Number of auto backup tunnels removed while up
                and in use
                ''',
                'removed_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('removed-range-exceeded', REFERENCE_CLASS, 'RemovedRangeExceeded' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AutoTunnel.Backup.Statistics.RemovedRangeExceeded', 
                [], [], 
                '''                Number of auto backup tunnel attempts rejected
                because the total number exceeds the range
                ''',
                'removed_range_exceeded',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('removed-unused', REFERENCE_CLASS, 'RemovedUnused' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AutoTunnel.Backup.Statistics.RemovedUnused', 
                [], [], 
                '''                Number of auto backup tunnels removed while
                unused
                ''',
                'removed_unused',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AutoTunnel.Backup.Summary' : {
        'meta_info' : _MetaInfoClass('MplsTe.AutoTunnel.Backup.Summary',
            False, 
            [
            _MetaInfoClassMember('autobackups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup tunnels
                ''',
                'autobackups',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('down-autobackups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup tunnels that are down
                ''',
                'down_autobackups',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-autobackup-protected-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup protected LSPs with
                NHOP and no SRLG
                ''',
                'next_hop_autobackup_protected_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-autobackup-protected-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup protected S2Ls with
                NHOP and no SRLG
                ''',
                'next_hop_autobackup_protected_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-autobackup-protected-s2l-families', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup protected S2L
                Families with NHOP and no SRLG
                ''',
                'next_hop_autobackup_protected_s2l_families',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-autobackups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup tunnels that are NHOP
                ''',
                'next_hop_autobackups',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-srlg-autobackup-protected-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup protected LSPs with
                NHOP and SRLG
                ''',
                'next_hop_srlg_autobackup_protected_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-srlg-autobackup-protected-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup protected S2Ls with
                NHOP and SRLG
                ''',
                'next_hop_srlg_autobackup_protected_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-srlg-autobackup-protected-s2l-families', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup protected S2L
                Families with NHOP and SRLG
                ''',
                'next_hop_srlg_autobackup_protected_s2l_families',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-next-hop-autobackup-protected-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup protected LSPs with
                NNHOP and no SRLG
                ''',
                'next_next_hop_autobackup_protected_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-next-hop-autobackup-protected-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup protected S2Ls with
                NNHOP and no SRLG
                ''',
                'next_next_hop_autobackup_protected_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-next-hop-autobackup-protected-s2l-families', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup protected S2L
                Families with NNHOP and no SRLG
                ''',
                'next_next_hop_autobackup_protected_s2l_families',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-next-hop-autobackups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup tunnels that are
                NNHOP
                ''',
                'next_next_hop_autobackups',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-next-hop-srlg-autobackup-protected-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup protected LSPs with
                NNHOP and SRLG
                ''',
                'next_next_hop_srlg_autobackup_protected_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-next-hop-srlg-autobackup-protected-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup protected S2Ls with
                NNHOP and SRLG
                ''',
                'next_next_hop_srlg_autobackup_protected_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-next-hop-srlg-autobackup-protected-s2l-families', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup protected S2L
                Families with NNHOP and SRLG
                ''',
                'next_next_hop_srlg_autobackup_protected_s2l_families',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-preferred-autobackups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup tunnels that are
                using SRLG preferred
                ''',
                'srlg_preferred_autobackups',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-strict-autobackups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup tunnels that are
                using SRLG strict
                ''',
                'srlg_strict_autobackups',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-weighted-autobackups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup tunnels that are
                using weighted SRLG
                ''',
                'srlg_weighted_autobackups',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unused-autobackups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup tunnels that are
                unused
                ''',
                'unused_autobackups',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('up-autobackups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup tunnels that are up
                ''',
                'up_autobackups',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'summary',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AutoTunnel.Backup.Config' : {
        'meta_info' : _MetaInfoClass('MplsTe.AutoTunnel.Backup.Config',
            False, 
            [
            _MetaInfoClassMember('interface-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of TE link interfaces with auto-tunnel
                backup configured
                ''',
                'interface_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicate if auto-tunnel bacukp feature is
                configured 
                ''',
                'is_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper bound of configured tunnel ID range
                ''',
                'max_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('min-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower bound of configured tunnel ID range
                ''',
                'min_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unused-removal-timeout-configured', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured value of unused removal timer in
                seconds
                ''',
                'unused_removal_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'config',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AutoTunnel.Backup' : {
        'meta_info' : _MetaInfoClass('MplsTe.AutoTunnel.Backup',
            False, 
            [
            _MetaInfoClassMember('config', REFERENCE_CLASS, 'Config' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AutoTunnel.Backup.Config', 
                [], [], 
                '''                MPLS TE auto-tunnel backup configuration
                information
                ''',
                'config',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AutoTunnel.Backup.Statistics', 
                [], [], 
                '''                MPLS TE auto-tunnel backup counters (stats)
                information
                ''',
                'statistics',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('summary', REFERENCE_CLASS, 'Summary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AutoTunnel.Backup.Summary', 
                [], [], 
                '''                MPLS TE auto-tunnel backup summary information
                ''',
                'summary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnels', REFERENCE_CLASS, 'Tunnels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AutoTunnel.Backup.Tunnels', 
                [], [], 
                '''                auto-tunnel backup information
                ''',
                'tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'backup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AutoTunnel' : {
        'meta_info' : _MetaInfoClass('MplsTe.AutoTunnel',
            False, 
            [
            _MetaInfoClassMember('backup', REFERENCE_CLASS, 'Backup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AutoTunnel.Backup', 
                [], [], 
                '''                Auto tunnel backup information.
                ''',
                'backup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh', REFERENCE_CLASS, 'Mesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AutoTunnel.Mesh', 
                [], [], 
                '''                Auto tunnel mesh information.
                ''',
                'mesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcc', REFERENCE_CLASS, 'Pcc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AutoTunnel.Pcc', 
                [], [], 
                '''                Auto tunnel PCC (Path Computation Client)
                information.
                ''',
                'pcc',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'auto-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.SoftPreemption.Statistics' : {
        'meta_info' : _MetaInfoClass('MplsTe.SoftPreemption.Statistics',
            False, 
            [
            _MetaInfoClassMember('frr-triggered-soft-preempted-lsp-ss', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of LSPs that have been soft preempted
                and then fast rerouted at this node
                ''',
                'frr_triggered_soft_preempted_lsp_ss',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-cleared-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The timestamp when these stats are cleared
                relative to Jan 1, 1970
                ''',
                'last_cleared_timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('minimum-time-in-soft-preempted-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The minimum number of seconds an LSP remained in
                the soft preempted state
                ''',
                'minimum_time_in_soft_preempted_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-protected-switchover-soft-preempted-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of soft preemption LSPs that are replaced
                with the path protection LSP. This is relevant
                to the headend
                ''',
                'path_protected_switchover_soft_preempted_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimized-soft-preempted-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of soft preemption LSPs that are
                reoptimized. This is relevant to the headend
                ''',
                'reoptimized_soft_preempted_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preempted-head-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of soft preempted LSPs at the headend.
                This is relevant to the headend
                ''',
                'soft_preempted_head_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preempted-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of LSPs that have been soft preempted
                at this node
                ''',
                'soft_preempted_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of soft preemption events triggered
                ''',
                'soft_preemption_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-in-soft-preempted-state-avg', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The average number of seconds an LSP remained in
                the soft preempted state. This excludes the
                timed out LSPs
                ''',
                'time_in_soft_preempted_state_avg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-in-soft-preempted-state-max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The maximum number of seconds an LSP remained in
                the soft preempted state without being hard
                preempted
                ''',
                'time_in_soft_preempted_state_max',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('timed-out-soft-preempted-lsp-ss', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of LSPs that have been soft preempted
                and timed out at this node
                ''',
                'timed_out_soft_preempted_lsp_ss',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('torn-down-soft-preempted-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of LSPs that have been soft preempted
                at this node and torn down before timing out
                ''',
                'torn_down_soft_preempted_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('torndown-soft-preempted-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of soft preemption LSPs that are torn
                down instead of being reoptimized. This is
                relevant to the headend.
                ''',
                'torndown_soft_preempted_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.SoftPreemption' : {
        'meta_info' : _MetaInfoClass('MplsTe.SoftPreemption',
            False, 
            [
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.SoftPreemption.Statistics', 
                [], [], 
                '''                MPLS TE soft preemption stats information
                ''',
                'statistics',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'soft-preemption',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.ForwardingAdjacencyDestinations.ForwardingAdjacencyDestination.ForwardAdjacency.IgPs' : {
        'meta_info' : _MetaInfoClass('MplsTe.ForwardingAdjacencyDestinations.ForwardingAdjacencyDestination.ForwardAdjacency.IgPs',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'MplsTeAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('igp-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The IGP Instance and Area ID
                ''',
                'igp_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ig-ps',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.ForwardingAdjacencyDestinations.ForwardingAdjacencyDestination.ForwardAdjacency' : {
        'meta_info' : _MetaInfoClass('MplsTe.ForwardingAdjacencyDestinations.ForwardingAdjacencyDestination.ForwardAdjacency',
            False, 
            [
            _MetaInfoClassMember('hold-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold time in seconds
                ''',
                'hold_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ig-ps', REFERENCE_LIST, 'IgPs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.ForwardingAdjacencyDestinations.ForwardingAdjacencyDestination.ForwardAdjacency.IgPs', 
                [], [], 
                '''                List of IGPs to which it is announced
                ''',
                'ig_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-adjacency-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if adj is up
                ''',
                'is_adjacency_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('traffic-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Traffic Share
                ''',
                'traffic_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'forward-adjacency',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.ForwardingAdjacencyDestinations.ForwardingAdjacencyDestination' : {
        'meta_info' : _MetaInfoClass('MplsTe.ForwardingAdjacencyDestinations.ForwardingAdjacencyDestination',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('adjacencies', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Forwarding Adjacencies
                ''',
                'adjacencies',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-address-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The tunnel destination
                ''',
                'destination_address_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-adjacency', REFERENCE_LIST, 'ForwardAdjacency' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.ForwardingAdjacencyDestinations.ForwardingAdjacencyDestination.ForwardAdjacency', 
                [], [], 
                '''                Forwarding-adjacency list
                ''',
                'forward_adjacency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-adjacencies', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of IPv6 Forwarding Adjacencies
                ''',
                'ipv6_adjacencies',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'forwarding-adjacency-destination',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.ForwardingAdjacencyDestinations' : {
        'meta_info' : _MetaInfoClass('MplsTe.ForwardingAdjacencyDestinations',
            False, 
            [
            _MetaInfoClassMember('forwarding-adjacency-destination', REFERENCE_LIST, 'ForwardingAdjacencyDestination' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.ForwardingAdjacencyDestinations.ForwardingAdjacencyDestination', 
                [], [], 
                '''                Forwarding Adjacencies for a destination
                ''',
                'forwarding_adjacency_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'forwarding-adjacency-destinations',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.IgpAreas.IgpArea.Area.ActiveData.AreaStatistics' : {
        'meta_info' : _MetaInfoClass('MplsTe.IgpAreas.IgpArea.Area.ActiveData.AreaStatistics',
            False, 
            [
            _MetaInfoClassMember('area-adjacency-announce-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of adjacency announcement messages
                received
                ''',
                'area_adjacency_announce_messages',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('area-adjacency-request-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of adjacency request messages sent
                ''',
                'area_adjacency_request_messages',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('area-flood-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of local LSA floods sent
                ''',
                'area_flood_messages',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('area-lsa-announce-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSA announcement messages received
                ''',
                'area_lsa_announce_messages',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('area-lsa-delete-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSA delete messages received
                ''',
                'area_lsa_delete_messages',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('area-lsa-fragment-announce-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSA fragment announcement messages
                received
                ''',
                'area_lsa_fragment_announce_messages',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('area-lsa-fragment-delete-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSA fragment delete messages received
                ''',
                'area_lsa_fragment_delete_messages',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('area-tunnel-announce-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of tunnel announcement messages sent
                ''',
                'area_tunnel_announce_messages',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'area-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.IgpAreas.IgpArea.Area.ActiveData' : {
        'meta_info' : _MetaInfoClass('MplsTe.IgpAreas.IgpArea.Area.ActiveData',
            False, 
            [
            _MetaInfoClassMember('area-statistics', REFERENCE_CLASS, 'AreaStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.IgpAreas.IgpArea.Area.ActiveData.AreaStatistics', 
                [], [], 
                '''                Area communication statistics
                ''',
                'area_statistics',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interfaces-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of interfaces running over this area
                ''',
                'interfaces_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-idt-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate IDT for link adjacencies was
                received
                ''',
                'link_idt_received',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2mp-destination-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of P2MP destinations whose path was
                calculated over this area
                ''',
                'p2mp_destination_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-autoroute-announced-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of p2p tunnel heads which have been
                autoroute-announced into this area
                ''',
                'p2p_autoroute_announced_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-forwarding-adjacency-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of p2p tunnel heads which have been
                announced as forwarding adjacencies in this area
                ''',
                'p2p_forwarding_adjacency_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-heads-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of p2p tunnel heads whose path was
                calculated over this area
                ''',
                'p2p_heads_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sr-strict', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate if the area is SR strict
                ''',
                'sr_strict',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-idt-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate IDT topology was received
                ''',
                'topology_idt_received',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-loose-hops', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of tunnels with a loose hop ERO expanded
                in this area
                ''',
                'tunnel_loose_hops',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'active-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.IgpAreas.IgpArea.Area' : {
        'meta_info' : _MetaInfoClass('MplsTe.IgpAreas.IgpArea.Area',
            False, 
            [
            _MetaInfoClassMember('active-data', REFERENCE_CLASS, 'ActiveData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.IgpAreas.IgpArea.Area.ActiveData', 
                [], [], 
                '''                Data which applies only to an active area
                ''',
                'active_data',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('area-format', REFERENCE_ENUM_CLASS, 'IgpOspfAreaFormatEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'IgpOspfAreaFormatEnum', 
                [], [], 
                '''                IGP Area Format
                ''',
                'area_format',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('area-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Internal area index
                ''',
                'area_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('area-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area number
                ''',
                'area_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-config-ready', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not the area is correctly
                configured under the IGP submode to run TE
                ''',
                'is_config_ready',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'area',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.IgpAreas.IgpArea' : {
        'meta_info' : _MetaInfoClass('MplsTe.IgpAreas.IgpArea',
            False, 
            [
            _MetaInfoClassMember('process-tag', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                IGP Process Tag
                ''',
                'process_tag',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'MplsTeIgpProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeIgpProtocolEnum', 
                [], [], 
                '''                The IGP protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('area', REFERENCE_LIST, 'Area' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.IgpAreas.IgpArea.Area', 
                [], [], 
                '''                IGP area information
                ''',
                'area',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Configured TE router-id
                ''',
                'configured_te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('connection-down-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times IGP connection has gone down
                ''',
                'connection_down_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('connection-up-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times IGP connection has gone up
                ''',
                'connection_up_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('global-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Global router-id
                ''',
                'global_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('globall-router-id-optical', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Global router-id for GMPLS (optical TE)
                ''',
                'globall_router_id_optical',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('igp-system-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                 The IGP instance's system/router-id; interpret
                appropriately depending on IGP type
                ''',
                'igp_system_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('igp-type', REFERENCE_ENUM_CLASS, 'IgpProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'IgpProtocolEnum', 
                [], [], 
                '''                IGP type
                ''',
                'igp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-use-te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id in use
                ''',
                'in_use_te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                 The IGP instance name
                ''',
                'instance_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-connection-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether the IGP connection is
                open or not
                ''',
                'is_connection_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('secondary-router-id', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Secondary router-ids
                ''',
                'secondary_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'igp-area',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.IgpAreas' : {
        'meta_info' : _MetaInfoClass('MplsTe.IgpAreas',
            False, 
            [
            _MetaInfoClassMember('igp-area', REFERENCE_LIST, 'IgpArea' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.IgpAreas.IgpArea', 
                [], [], 
                '''                An IGP instance
                ''',
                'igp_area',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'igp-areas',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.WrapProtection.ProtectedLsps.ProtectedLsp' : {
        'meta_info' : _MetaInfoClass('MplsTe.WrapProtection.ProtectedLsps.ProtectedLsp',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination Address
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                LSP ID
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                P2MP ID
                ''',
                'p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('session-type', REFERENCE_ENUM_CLASS, 'CtypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'CtypeEnum', 
                [], [], 
                '''                Session Type
                ''',
                'session_type',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Subgroup ID
                ''',
                'sub_group_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('sub-group-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Orig ID
                ''',
                'sub_group_originator',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('destination-address-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination
                ''',
                'destination_address_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-tunnel-id-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended Tunnel ID
                ''',
                'extended_tunnel_id_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-protection-enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Wrap protection enabled
                ''',
                'lsp_wrap_protection_enable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-protection-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSP Wrap Merge Point Label
                ''',
                'lsp_wrap_protection_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-protection-state', REFERENCE_ENUM_CLASS, 'MplsTeLspWrapStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspWrapStateEnum', 
                [], [], 
                '''                LSP wrap protection state
                ''',
                'lsp_wrap_protection_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2mp-id-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L P2MP ID
                ''',
                'p2mp_id_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reverse Egress Interface
                ''',
                'reverse_egress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reverse LSP label
                ''',
                'reverse_lsp_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-address-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source
                ''',
                'source_address_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-group-id-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Sub-Group ID
                ''',
                'sub_group_id_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-group-original-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                S2L Sub-Group Originator ID
                ''',
                'sub_group_original_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-instance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel instance
                ''',
                'tunnel_instance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.WrapProtection.ProtectedLsps' : {
        'meta_info' : _MetaInfoClass('MplsTe.WrapProtection.ProtectedLsps',
            False, 
            [
            _MetaInfoClassMember('protected-lsp', REFERENCE_LIST, 'ProtectedLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.WrapProtection.ProtectedLsps.ProtectedLsp', 
                [], [], 
                '''                Wrap protection info for a given protected LSP
                ''',
                'protected_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-lsps',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.WrapProtection' : {
        'meta_info' : _MetaInfoClass('MplsTe.WrapProtection',
            False, 
            [
            _MetaInfoClassMember('protected-lsps', REFERENCE_CLASS, 'ProtectedLsps' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.WrapProtection.ProtectedLsps', 
                [], [], 
                '''                The set of wrap protected LSPs available in
                MPLS-TE
                ''',
                'protected_lsps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wrap-protection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Topology.Global_.Areas.LocalSidAndSrbg' : {
        'meta_info' : _MetaInfoClass('MplsTe.Topology.Global_.Areas.LocalSidAndSrbg',
            False, 
            [
            _MetaInfoClassMember('segment-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment-Routing Node-SID
                ''',
                'segment_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('segment-id-local-absolute-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Node-SID local absolute value
                ''',
                'segment_id_local_absolute_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srgb-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment-Routing global block size
                ''',
                'srgb_size',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srgb-start', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment-Routring global block start value
                ''',
                'srgb_start',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'local-sid-and-srbg',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Topology.Global_.Areas' : {
        'meta_info' : _MetaInfoClass('MplsTe.Topology.Global_.Areas',
            False, 
            [
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The area's id
                ''',
                'area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-sid-and-srbg', REFERENCE_CLASS, 'LocalSidAndSrbg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Topology.Global_.Areas.LocalSidAndSrbg', 
                [], [], 
                '''                Local SID and SRBG
                ''',
                'local_sid_and_srbg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The node's IGP id
                ''',
                'node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'IgpProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'IgpProtocolEnum', 
                [], [], 
                '''                Protocol used
                ''',
                'protocol',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'areas',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Topology.Global_' : {
        'meta_info' : _MetaInfoClass('MplsTe.Topology.Global_',
            False, 
            [
            _MetaInfoClassMember('areas', REFERENCE_LIST, 'Areas' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Topology.Global_.Areas', 
                [], [], 
                '''                Information for areas
                ''',
                'areas',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-down-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interval in seconds to hold down a neighbor
                after a signalling error
                ''',
                'hold_down_interval',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-add-remove-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link add/remove counter
                ''',
                'link_add_remove_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-model-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local BC Model ID
                ''',
                'local_model_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'global',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Topology.DestinationPaths.DestinationPath.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.Topology.DestinationPaths.DestinationPath.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Topology.DestinationPaths.DestinationPath.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.Topology.DestinationPaths.DestinationPath.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Topology.DestinationPaths.DestinationPath.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Topology.DestinationPaths.DestinationPath.SharedRiskLinkGroup' : {
        'meta_info' : _MetaInfoClass('MplsTe.Topology.DestinationPaths.DestinationPath.SharedRiskLinkGroup',
            False, 
            [
            _MetaInfoClassMember('shared-risk-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG number
                ''',
                'shared_risk_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SRLG name
                ''',
                'srlg_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'shared-risk-link-group',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Topology.DestinationPaths.DestinationPath.SrSegment' : {
        'meta_info' : _MetaInfoClass('MplsTe.Topology.DestinationPaths.DestinationPath.SrSegment',
            False, 
            [
            _MetaInfoClassMember('has-entropy-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Hop has EL specified
                ''',
                'has_entropy_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-ip-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node has IP addresses specified
                ''',
                'has_ip_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-mpls-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Hop has MPLS label specified
                ''',
                'has_mpls_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local IP address of adjacency or Node ID
                ''',
                'local_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mpls-label-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The MPLS label value
                ''',
                'mpls_label_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote IP address of adjacency
                ''',
                'remote_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sid-type', REFERENCE_ENUM_CLASS, 'TeSrSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSrSidEnum', 
                [], [], 
                '''                Type of the SID
                ''',
                'sid_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'sr-segment',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Topology.DestinationPaths.DestinationPath' : {
        'meta_info' : _MetaInfoClass('MplsTe.Topology.DestinationPaths.DestinationPath',
            False, 
            [
            _MetaInfoClassMember('accumulated-admin-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The path's accumulated admin weight
                ''',
                'accumulated_admin_weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Topology.DestinationPaths.DestinationPath.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Affinity Bits
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Affinity Mask
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Bandwidth in kbps
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The path's bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Cost Limit
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination Address
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-address-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The path's destination
                ''',
                'destination_address_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-srlg-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Exclude SRLG IP Addr
                ''',
                'exclude_srlg_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-srlg-ip-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Exclude SRLG IP Address
                ''',
                'exclude_srlg_ip_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Hold Priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The path's hold priority
                ''',
                'hold_priority_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The path's array of hops
                ''',
                'hop',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop-limit', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Hop Limit
                ''',
                'hop_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('igp-area', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                IGP Area
                ''',
                'igp_area',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('igp-instance', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                IGP Instance
                ''',
                'igp_instance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('igp-type', REFERENCE_ENUM_CLASS, 'MplsTeIgpProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeIgpProtocolEnum', 
                [], [], 
                '''                IGP Type
                ''',
                'igp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-full-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if path is full
                ''',
                'is_full_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-partial-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if path is partial
                ''',
                'is_partial_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-segment-routing-db-checked', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if checking the Segment-Routing DB is
                enabled
                ''',
                'is_segment_routing_db_checked',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-topology-checked', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if checking the topology is enabled
                ''',
                'is_topology_checked',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mininum-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The path's minimum bandwidth
                ''',
                'mininum_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('node-hop-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Path hop count
                ''',
                'node_hop_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                This is the ID of the explicit path to be
                used for this path calculation query
                ''',
                'path_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                This is the name of the explicit path to be
                used for this path calculation query
                ''',
                'path_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'MplsTePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTePathEnum', 
                [], [], 
                '''                Path Type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('requested-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The path's requested bandwidth
                ''',
                'requested_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Setup Priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The path's setup priority
                ''',
                'setup_priority_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared-risk-link-group', REFERENCE_LIST, 'SharedRiskLinkGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Topology.DestinationPaths.DestinationPath.SharedRiskLinkGroup', 
                [], [], 
                '''                The path's excluded srlg groups
                ''',
                'shared_risk_link_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sr-segment', REFERENCE_LIST, 'SrSegment' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Topology.DestinationPaths.DestinationPath.SrSegment', 
                [], [], 
                '''                The path's array of Segment-Routing segments
                ''',
                'sr_segment',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The tunnel ID to which this path belong
                ''',
                'tunnel_id_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'destination-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Topology.DestinationPaths' : {
        'meta_info' : _MetaInfoClass('MplsTe.Topology.DestinationPaths',
            False, 
            [
            _MetaInfoClassMember('destination-path', REFERENCE_LIST, 'DestinationPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Topology.DestinationPaths.DestinationPath', 
                [], [], 
                '''                A GET operation on this class returns the best
                available path in the TE topology to reach the
                specified destination while satisfying the
                specified constraints.
                ''',
                'destination_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'destination-paths',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Topology.ConfiguredSrlgs.ConfiguredSrlg.SrlgLink' : {
        'meta_info' : _MetaInfoClass('MplsTe.Topology.ConfiguredSrlgs.ConfiguredSrlg.SrlgLink',
            False, 
            [
            _MetaInfoClassMember('local-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local address
                ''',
                'local_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote address
                ''',
                'remote_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-link',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Topology.ConfiguredSrlgs.ConfiguredSrlg' : {
        'meta_info' : _MetaInfoClass('MplsTe.Topology.ConfiguredSrlgs.ConfiguredSrlg',
            False, 
            [
            _MetaInfoClassMember('srlg-number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                SRLG Number
                ''',
                'srlg_number',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('admin-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The admin weight that is added to the link if
                the SRLG is shared with the protected link
                ''',
                'admin_weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-admin-weight-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Set to TRUE if the admin weight is explicitely
                configured
                ''',
                'is_admin_weight_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-link', REFERENCE_LIST, 'SrlgLink' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Topology.ConfiguredSrlgs.ConfiguredSrlg.SrlgLink', 
                [], [], 
                '''                Link associated with the SRLG
                ''',
                'srlg_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SRLG name
                ''',
                'srlg_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-number-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG number
                ''',
                'srlg_number_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'configured-srlg',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Topology.ConfiguredSrlgs' : {
        'meta_info' : _MetaInfoClass('MplsTe.Topology.ConfiguredSrlgs',
            False, 
            [
            _MetaInfoClassMember('configured-srlg', REFERENCE_LIST, 'ConfiguredSrlg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Topology.ConfiguredSrlgs.ConfiguredSrlg', 
                [], [], 
                '''                Configured SRLG value and the addresses using
                it
                ''',
                'configured_srlg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'configured-srlgs',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Topology.Srlgs.Srlg.SrlgAreas.SrlgLink.LinkAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTe.Topology.Srlgs.Srlg.SrlgAreas.SrlgLink.LinkAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Topology.Srlgs.Srlg.SrlgAreas.SrlgLink.LinkAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTe.Topology.Srlgs.Srlg.SrlgAreas.SrlgLink.LinkAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Topology.Srlgs.Srlg.SrlgAreas.SrlgLink.LinkAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Topology.Srlgs.Srlg.SrlgAreas.SrlgLink.LinkAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTe.Topology.Srlgs.Srlg.SrlgAreas.SrlgLink.LinkAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Topology.Srlgs.Srlg.SrlgAreas.SrlgLink.LinkAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'link-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Topology.Srlgs.Srlg.SrlgAreas.SrlgLink' : {
        'meta_info' : _MetaInfoClass('MplsTe.Topology.Srlgs.Srlg.SrlgAreas.SrlgLink',
            False, 
            [
            _MetaInfoClassMember('link-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Link address
                ''',
                'link_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-address-generic', REFERENCE_CLASS, 'LinkAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Topology.Srlgs.Srlg.SrlgAreas.SrlgLink.LinkAddressGeneric', 
                [], [], 
                '''                Link address
                ''',
                'link_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Link TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-link',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Topology.Srlgs.Srlg.SrlgAreas' : {
        'meta_info' : _MetaInfoClass('MplsTe.Topology.Srlgs.Srlg.SrlgAreas',
            False, 
            [
            _MetaInfoClassMember('igp-area', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP Area ID
                ''',
                'igp_area',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('igp-area-format', REFERENCE_ENUM_CLASS, 'IgpOspfAreaFormatEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'IgpOspfAreaFormatEnum', 
                [], [], 
                '''                IGP-area format
                ''',
                'igp_area_format',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('igp-instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IGP Instance name
                ''',
                'igp_instance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('igp-type', REFERENCE_ENUM_CLASS, 'IgpProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'IgpProtocolEnum', 
                [], [], 
                '''                IGP type
                ''',
                'igp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-link', REFERENCE_LIST, 'SrlgLink' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Topology.Srlgs.Srlg.SrlgAreas.SrlgLink', 
                [], [], 
                '''                Links in this SRLG/area
                ''',
                'srlg_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-areas',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Topology.Srlgs.Srlg' : {
        'meta_info' : _MetaInfoClass('MplsTe.Topology.Srlgs.Srlg',
            False, 
            [
            _MetaInfoClassMember('srlg-number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                SRLG Number
                ''',
                'srlg_number',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('admin-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The admin weight that is added to the link if
                the SRLG is shared with the protected link
                ''',
                'admin_weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-areas', REFERENCE_LIST, 'SrlgAreas' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Topology.Srlgs.Srlg.SrlgAreas', 
                [], [], 
                '''                Topology areas in this SRLG
                ''',
                'srlg_areas',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SRLG name
                ''',
                'srlg_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Topology.Srlgs' : {
        'meta_info' : _MetaInfoClass('MplsTe.Topology.Srlgs',
            False, 
            [
            _MetaInfoClassMember('srlg', REFERENCE_LIST, 'Srlg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Topology.Srlgs.Srlg', 
                [], [], 
                '''                SRLG operational value for the overall MPLS-TE
                topology
                ''',
                'srlg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlgs',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Topology.PathTunnels.PathTunnel.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.Topology.PathTunnels.PathTunnel.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Topology.PathTunnels.PathTunnel.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.Topology.PathTunnels.PathTunnel.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Topology.PathTunnels.PathTunnel.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Topology.PathTunnels.PathTunnel.SharedRiskLinkGroup' : {
        'meta_info' : _MetaInfoClass('MplsTe.Topology.PathTunnels.PathTunnel.SharedRiskLinkGroup',
            False, 
            [
            _MetaInfoClassMember('shared-risk-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG number
                ''',
                'shared_risk_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SRLG name
                ''',
                'srlg_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'shared-risk-link-group',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Topology.PathTunnels.PathTunnel.SrSegment' : {
        'meta_info' : _MetaInfoClass('MplsTe.Topology.PathTunnels.PathTunnel.SrSegment',
            False, 
            [
            _MetaInfoClassMember('has-entropy-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Hop has EL specified
                ''',
                'has_entropy_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-ip-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node has IP addresses specified
                ''',
                'has_ip_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-mpls-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Hop has MPLS label specified
                ''',
                'has_mpls_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local IP address of adjacency or Node ID
                ''',
                'local_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mpls-label-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The MPLS label value
                ''',
                'mpls_label_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote IP address of adjacency
                ''',
                'remote_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sid-type', REFERENCE_ENUM_CLASS, 'TeSrSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSrSidEnum', 
                [], [], 
                '''                Type of the SID
                ''',
                'sid_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'sr-segment',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Topology.PathTunnels.PathTunnel' : {
        'meta_info' : _MetaInfoClass('MplsTe.Topology.PathTunnels.PathTunnel',
            False, 
            [
            _MetaInfoClassMember('accumulated-admin-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The path's accumulated admin weight
                ''',
                'accumulated_admin_weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Topology.PathTunnels.PathTunnel.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The path's bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-address-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The path's destination
                ''',
                'destination_address_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-srlg-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Exclude SRLG IP Addr
                ''',
                'exclude_srlg_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The path's hold priority
                ''',
                'hold_priority_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The path's array of hops
                ''',
                'hop',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-full-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if path is full
                ''',
                'is_full_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-partial-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if path is partial
                ''',
                'is_partial_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-segment-routing-db-checked', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if checking the Segment-Routing DB is
                enabled
                ''',
                'is_segment_routing_db_checked',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-topology-checked', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if checking the topology is enabled
                ''',
                'is_topology_checked',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mininum-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The path's minimum bandwidth
                ''',
                'mininum_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('node-hop-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Path hop count
                ''',
                'node_hop_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('requested-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The path's requested bandwidth
                ''',
                'requested_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The path's setup priority
                ''',
                'setup_priority_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared-risk-link-group', REFERENCE_LIST, 'SharedRiskLinkGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Topology.PathTunnels.PathTunnel.SharedRiskLinkGroup', 
                [], [], 
                '''                The path's excluded srlg groups
                ''',
                'shared_risk_link_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sr-segment', REFERENCE_LIST, 'SrSegment' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Topology.PathTunnels.PathTunnel.SrSegment', 
                [], [], 
                '''                The path's array of Segment-Routing segments
                ''',
                'sr_segment',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The tunnel ID to which this path belong
                ''',
                'tunnel_id_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Topology.PathTunnels' : {
        'meta_info' : _MetaInfoClass('MplsTe.Topology.PathTunnels',
            False, 
            [
            _MetaInfoClassMember('path-tunnel', REFERENCE_LIST, 'PathTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Topology.PathTunnels.PathTunnel', 
                [], [], 
                '''                MPLS-TE topology path taken by the specified
                tunnel
                ''',
                'path_tunnel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-tunnels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Topology' : {
        'meta_info' : _MetaInfoClass('MplsTe.Topology',
            False, 
            [
            _MetaInfoClassMember('configured-srlgs', REFERENCE_CLASS, 'ConfiguredSrlgs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Topology.ConfiguredSrlgs', 
                [], [], 
                '''                Set of configured SRLG
                ''',
                'configured_srlgs',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-paths', REFERENCE_CLASS, 'DestinationPaths' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Topology.DestinationPaths', 
                [], [], 
                '''                This table models the path calculation
                capabilities in MPLS-TE.A GET operation for the
                complete table will return no entries.See the
                class DestinationPath for more details.
                ''',
                'destination_paths',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('global', REFERENCE_CLASS, 'Global_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Topology.Global_', 
                [], [], 
                '''                Global information about the overall MPLS-TE
                topology
                ''',
                'global_',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-tunnels', REFERENCE_CLASS, 'PathTunnels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Topology.PathTunnels', 
                [], [], 
                '''                MPLS-Te topology path info
                ''',
                'path_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlgs', REFERENCE_CLASS, 'Srlgs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Topology.Srlgs', 
                [], [], 
                '''                Set of SRLG operational value for the overall
                MPLS-TE topology
                ''',
                'srlgs',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'topology',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.SignallingCounters.Issu' : {
        'meta_info' : _MetaInfoClass('MplsTe.SignallingCounters.Issu',
            False, 
            [
            _MetaInfoClassMember('last-cleared-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The timestamp, in seconds, when these statistics
                are cleared              since 00:00:00 UTC,
                January 1, 1970
                ''',
                'last_cleared_timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-idt-states', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last IDT States
                ''',
                'last_idt_states',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('role', REFERENCE_ENUM_CLASS, 'TeProcRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProcRoleEnum', 
                [], [], 
                '''                Process role
                ''',
                'role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-deletions', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total deletions
                ''',
                'total_deletions',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-id-ts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total IDTs
                ''',
                'total_id_ts',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-nac-ks', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total NACKs
                ''',
                'total_nac_ks',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-states', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total states
                ''',
                'total_states',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'issu',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.SignallingCounters.HeadsCounters.HeadsCounter.Statistics' : {
        'meta_info' : _MetaInfoClass('MplsTe.SignallingCounters.HeadsCounters.HeadsCounter.Statistics',
            False, 
            [
            _MetaInfoClassMember('events-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE Signaling event count
                ''',
                'events_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('events-total-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total TE Signalling event count
                ''',
                'events_total_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-backup-assign-err-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Error on Backup Assign event
                ''',
                'rx_backup_assign_err_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-event-unknown', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Unknown events
                ''',
                'rx_event_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Change event
                ''',
                'rx_path_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Create event
                ''',
                'rx_path_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Delete event
                ''',
                'rx_path_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Error event
                ''',
                'rx_path_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-reeval-query-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Reeval Query event
                ''',
                'rx_path_reeval_query_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Change event
                ''',
                'rx_resv_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Create event
                ''',
                'rx_resv_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Delete event
                ''',
                'rx_resv_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Error event
                ''',
                'rx_resv_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-backup-assign-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Assign event
                ''',
                'tx_backup_assign_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-event-unknown', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Unknown TX events
                ''',
                'tx_event_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Change event
                ''',
                'tx_path_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Create event
                ''',
                'tx_path_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Delete event
                ''',
                'tx_path_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Error event
                ''',
                'tx_path_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-reeval-query-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Reeval Query event
                ''',
                'tx_path_reeval_query_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Change event
                ''',
                'tx_resv_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Create event
                ''',
                'tx_resv_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Delete event
                ''',
                'tx_resv_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Error event
                ''',
                'tx_resv_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.SignallingCounters.HeadsCounters.HeadsCounter.DestinationStatistic.Statistics' : {
        'meta_info' : _MetaInfoClass('MplsTe.SignallingCounters.HeadsCounters.HeadsCounter.DestinationStatistic.Statistics',
            False, 
            [
            _MetaInfoClassMember('events-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE Signaling event count
                ''',
                'events_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('events-total-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total TE Signalling event count
                ''',
                'events_total_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-backup-assign-err-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Error on Backup Assign event
                ''',
                'rx_backup_assign_err_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-event-unknown', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Unknown events
                ''',
                'rx_event_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Change event
                ''',
                'rx_path_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Create event
                ''',
                'rx_path_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Delete event
                ''',
                'rx_path_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Error event
                ''',
                'rx_path_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-reeval-query-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Reeval Query event
                ''',
                'rx_path_reeval_query_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Change event
                ''',
                'rx_resv_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Create event
                ''',
                'rx_resv_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Delete event
                ''',
                'rx_resv_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Error event
                ''',
                'rx_resv_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-backup-assign-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Assign event
                ''',
                'tx_backup_assign_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-event-unknown', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Unknown TX events
                ''',
                'tx_event_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Change event
                ''',
                'tx_path_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Create event
                ''',
                'tx_path_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Delete event
                ''',
                'tx_path_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Error event
                ''',
                'tx_path_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-reeval-query-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Reeval Query event
                ''',
                'tx_path_reeval_query_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Change event
                ''',
                'tx_resv_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Create event
                ''',
                'tx_resv_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Delete event
                ''',
                'tx_resv_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Error event
                ''',
                'tx_resv_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.SignallingCounters.HeadsCounters.HeadsCounter.DestinationStatistic.S2LStatistic.Statistics' : {
        'meta_info' : _MetaInfoClass('MplsTe.SignallingCounters.HeadsCounters.HeadsCounter.DestinationStatistic.S2LStatistic.Statistics',
            False, 
            [
            _MetaInfoClassMember('events-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE Signaling event count
                ''',
                'events_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('events-total-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total TE Signalling event count
                ''',
                'events_total_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-backup-assign-err-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Error on Backup Assign event
                ''',
                'rx_backup_assign_err_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-event-unknown', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Unknown events
                ''',
                'rx_event_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Change event
                ''',
                'rx_path_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Create event
                ''',
                'rx_path_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Delete event
                ''',
                'rx_path_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Error event
                ''',
                'rx_path_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-reeval-query-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Reeval Query event
                ''',
                'rx_path_reeval_query_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Change event
                ''',
                'rx_resv_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Create event
                ''',
                'rx_resv_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Delete event
                ''',
                'rx_resv_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Error event
                ''',
                'rx_resv_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-backup-assign-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Assign event
                ''',
                'tx_backup_assign_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-event-unknown', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Unknown TX events
                ''',
                'tx_event_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Change event
                ''',
                'tx_path_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Create event
                ''',
                'tx_path_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Delete event
                ''',
                'tx_path_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Error event
                ''',
                'tx_path_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-reeval-query-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Reeval Query event
                ''',
                'tx_path_reeval_query_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Change event
                ''',
                'tx_resv_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Create event
                ''',
                'tx_resv_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Delete event
                ''',
                'tx_resv_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Error event
                ''',
                'tx_resv_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.SignallingCounters.HeadsCounters.HeadsCounter.DestinationStatistic.S2LStatistic' : {
        'meta_info' : _MetaInfoClass('MplsTe.SignallingCounters.HeadsCounters.HeadsCounter.DestinationStatistic.S2LStatistic',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.SignallingCounters.HeadsCounters.HeadsCounter.DestinationStatistic.S2LStatistic.Statistics', 
                [], [], 
                '''                S2L stats
                ''',
                'statistics',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                subgroup ID
                ''',
                'sub_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-group-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                'sub_group_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-statistic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.SignallingCounters.HeadsCounters.HeadsCounter.DestinationStatistic' : {
        'meta_info' : _MetaInfoClass('MplsTe.SignallingCounters.HeadsCounters.HeadsCounter.DestinationStatistic',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-statistic', REFERENCE_LIST, 'S2LStatistic' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.SignallingCounters.HeadsCounters.HeadsCounter.DestinationStatistic.S2LStatistic', 
                [], [], 
                '''                List of S2L Stats
                ''',
                's2l_statistic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.SignallingCounters.HeadsCounters.HeadsCounter.DestinationStatistic.Statistics', 
                [], [], 
                '''                Destination stats
                ''',
                'statistics',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'destination-statistic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.SignallingCounters.HeadsCounters.HeadsCounter' : {
        'meta_info' : _MetaInfoClass('MplsTe.SignallingCounters.HeadsCounters.HeadsCounter',
            False, 
            [
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                tunnel id of last obtained tunnel
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('destination-statistic', REFERENCE_LIST, 'DestinationStatistic' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.SignallingCounters.HeadsCounters.HeadsCounter.DestinationStatistic', 
                [], [], 
                '''                List of Destination Stats
                ''',
                'destination_statistic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.SignallingCounters.HeadsCounters.HeadsCounter.Statistics', 
                [], [], 
                '''                VIF stats
                ''',
                'statistics',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-sig-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel Signalled-Name
                ''',
                'tunnel_sig_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'heads-counter',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.SignallingCounters.HeadsCounters' : {
        'meta_info' : _MetaInfoClass('MplsTe.SignallingCounters.HeadsCounters',
            False, 
            [
            _MetaInfoClassMember('heads-counter', REFERENCE_LIST, 'HeadsCounter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.SignallingCounters.HeadsCounters.HeadsCounter', 
                [], [], 
                '''                MPLS TE counters signalling head
                ''',
                'heads_counter',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'heads-counters',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.SignallingCounters.MidsCounters.MidsCounter.Statistics' : {
        'meta_info' : _MetaInfoClass('MplsTe.SignallingCounters.MidsCounters.MidsCounter.Statistics',
            False, 
            [
            _MetaInfoClassMember('events-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE Signaling event count
                ''',
                'events_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('events-total-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total TE Signalling event count
                ''',
                'events_total_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-backup-assign-err-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Error on Backup Assign event
                ''',
                'rx_backup_assign_err_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-event-unknown', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Unknown events
                ''',
                'rx_event_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Change event
                ''',
                'rx_path_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Create event
                ''',
                'rx_path_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Delete event
                ''',
                'rx_path_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Error event
                ''',
                'rx_path_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-reeval-query-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Reeval Query event
                ''',
                'rx_path_reeval_query_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Change event
                ''',
                'rx_resv_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Create event
                ''',
                'rx_resv_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Delete event
                ''',
                'rx_resv_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Error event
                ''',
                'rx_resv_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-backup-assign-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Assign event
                ''',
                'tx_backup_assign_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-event-unknown', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Unknown TX events
                ''',
                'tx_event_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Change event
                ''',
                'tx_path_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Create event
                ''',
                'tx_path_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Delete event
                ''',
                'tx_path_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Error event
                ''',
                'tx_path_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-reeval-query-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Reeval Query event
                ''',
                'tx_path_reeval_query_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Change event
                ''',
                'tx_resv_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Create event
                ''',
                'tx_resv_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Delete event
                ''',
                'tx_resv_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Error event
                ''',
                'tx_resv_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.SignallingCounters.MidsCounters.MidsCounter.S2LStatistic.Statistics' : {
        'meta_info' : _MetaInfoClass('MplsTe.SignallingCounters.MidsCounters.MidsCounter.S2LStatistic.Statistics',
            False, 
            [
            _MetaInfoClassMember('events-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE Signaling event count
                ''',
                'events_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('events-total-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total TE Signalling event count
                ''',
                'events_total_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-backup-assign-err-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Error on Backup Assign event
                ''',
                'rx_backup_assign_err_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-event-unknown', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Unknown events
                ''',
                'rx_event_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Change event
                ''',
                'rx_path_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Create event
                ''',
                'rx_path_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Delete event
                ''',
                'rx_path_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Error event
                ''',
                'rx_path_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-reeval-query-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Reeval Query event
                ''',
                'rx_path_reeval_query_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Change event
                ''',
                'rx_resv_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Create event
                ''',
                'rx_resv_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Delete event
                ''',
                'rx_resv_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Error event
                ''',
                'rx_resv_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-backup-assign-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Assign event
                ''',
                'tx_backup_assign_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-event-unknown', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Unknown TX events
                ''',
                'tx_event_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Change event
                ''',
                'tx_path_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Create event
                ''',
                'tx_path_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Delete event
                ''',
                'tx_path_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Error event
                ''',
                'tx_path_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-reeval-query-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Reeval Query event
                ''',
                'tx_path_reeval_query_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Change event
                ''',
                'tx_resv_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Create event
                ''',
                'tx_resv_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Delete event
                ''',
                'tx_resv_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Error event
                ''',
                'tx_resv_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.SignallingCounters.MidsCounters.MidsCounter.S2LStatistic' : {
        'meta_info' : _MetaInfoClass('MplsTe.SignallingCounters.MidsCounters.MidsCounter.S2LStatistic',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.SignallingCounters.MidsCounters.MidsCounter.S2LStatistic.Statistics', 
                [], [], 
                '''                S2L stats
                ''',
                'statistics',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                subgroup ID
                ''',
                'sub_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-group-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                'sub_group_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-statistic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.SignallingCounters.MidsCounters.MidsCounter' : {
        'meta_info' : _MetaInfoClass('MplsTe.SignallingCounters.MidsCounters.MidsCounter',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination Address
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                LSP ID
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                tunnel id of last obtained tunnel
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('s2l-statistic', REFERENCE_LIST, 'S2LStatistic' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.SignallingCounters.MidsCounters.MidsCounter.S2LStatistic', 
                [], [], 
                '''                List of S2L Statistics
                ''',
                's2l_statistic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.SignallingCounters.MidsCounters.MidsCounter.Statistics', 
                [], [], 
                '''                LSP statistics
                ''',
                'statistics',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'mids-counter',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.SignallingCounters.MidsCounters' : {
        'meta_info' : _MetaInfoClass('MplsTe.SignallingCounters.MidsCounters',
            False, 
            [
            _MetaInfoClassMember('mids-counter', REFERENCE_LIST, 'MidsCounter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.SignallingCounters.MidsCounters.MidsCounter', 
                [], [], 
                '''                MPLS TE counters signalling mid
                ''',
                'mids_counter',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'mids-counters',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter.Statistics' : {
        'meta_info' : _MetaInfoClass('MplsTe.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter.Statistics',
            False, 
            [
            _MetaInfoClassMember('events-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE Signaling event count
                ''',
                'events_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('events-total-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total TE Signalling event count
                ''',
                'events_total_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-backup-assign-err-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Error on Backup Assign event
                ''',
                'rx_backup_assign_err_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-event-unknown', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Unknown events
                ''',
                'rx_event_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Change event
                ''',
                'rx_path_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Create event
                ''',
                'rx_path_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Delete event
                ''',
                'rx_path_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Error event
                ''',
                'rx_path_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-reeval-query-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Reeval Query event
                ''',
                'rx_path_reeval_query_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Change event
                ''',
                'rx_resv_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Create event
                ''',
                'rx_resv_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Delete event
                ''',
                'rx_resv_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Error event
                ''',
                'rx_resv_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-backup-assign-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Assign event
                ''',
                'tx_backup_assign_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-event-unknown', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Unknown TX events
                ''',
                'tx_event_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Change event
                ''',
                'tx_path_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Create event
                ''',
                'tx_path_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Delete event
                ''',
                'tx_path_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Error event
                ''',
                'tx_path_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-reeval-query-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Reeval Query event
                ''',
                'tx_path_reeval_query_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Change event
                ''',
                'tx_resv_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Create event
                ''',
                'tx_resv_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Delete event
                ''',
                'tx_resv_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Error event
                ''',
                'tx_resv_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter.DestinationStatistic.Statistics' : {
        'meta_info' : _MetaInfoClass('MplsTe.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter.DestinationStatistic.Statistics',
            False, 
            [
            _MetaInfoClassMember('events-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE Signaling event count
                ''',
                'events_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('events-total-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total TE Signalling event count
                ''',
                'events_total_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-backup-assign-err-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Error on Backup Assign event
                ''',
                'rx_backup_assign_err_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-event-unknown', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Unknown events
                ''',
                'rx_event_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Change event
                ''',
                'rx_path_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Create event
                ''',
                'rx_path_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Delete event
                ''',
                'rx_path_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Error event
                ''',
                'rx_path_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-reeval-query-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Reeval Query event
                ''',
                'rx_path_reeval_query_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Change event
                ''',
                'rx_resv_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Create event
                ''',
                'rx_resv_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Delete event
                ''',
                'rx_resv_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Error event
                ''',
                'rx_resv_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-backup-assign-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Assign event
                ''',
                'tx_backup_assign_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-event-unknown', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Unknown TX events
                ''',
                'tx_event_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Change event
                ''',
                'tx_path_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Create event
                ''',
                'tx_path_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Delete event
                ''',
                'tx_path_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Error event
                ''',
                'tx_path_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-reeval-query-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Reeval Query event
                ''',
                'tx_path_reeval_query_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Change event
                ''',
                'tx_resv_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Create event
                ''',
                'tx_resv_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Delete event
                ''',
                'tx_resv_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Error event
                ''',
                'tx_resv_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter.DestinationStatistic.S2LStatistic.Statistics' : {
        'meta_info' : _MetaInfoClass('MplsTe.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter.DestinationStatistic.S2LStatistic.Statistics',
            False, 
            [
            _MetaInfoClassMember('events-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE Signaling event count
                ''',
                'events_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('events-total-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total TE Signalling event count
                ''',
                'events_total_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-backup-assign-err-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Error on Backup Assign event
                ''',
                'rx_backup_assign_err_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-event-unknown', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Unknown events
                ''',
                'rx_event_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Change event
                ''',
                'rx_path_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Create event
                ''',
                'rx_path_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Delete event
                ''',
                'rx_path_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Error event
                ''',
                'rx_path_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-reeval-query-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Reeval Query event
                ''',
                'rx_path_reeval_query_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Change event
                ''',
                'rx_resv_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Create event
                ''',
                'rx_resv_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Delete event
                ''',
                'rx_resv_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Error event
                ''',
                'rx_resv_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-backup-assign-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Assign event
                ''',
                'tx_backup_assign_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-event-unknown', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Unknown TX events
                ''',
                'tx_event_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Change event
                ''',
                'tx_path_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Create event
                ''',
                'tx_path_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Delete event
                ''',
                'tx_path_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Error event
                ''',
                'tx_path_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-reeval-query-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Reeval Query event
                ''',
                'tx_path_reeval_query_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Change event
                ''',
                'tx_resv_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Create event
                ''',
                'tx_resv_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Delete event
                ''',
                'tx_resv_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Error event
                ''',
                'tx_resv_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter.DestinationStatistic.S2LStatistic' : {
        'meta_info' : _MetaInfoClass('MplsTe.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter.DestinationStatistic.S2LStatistic',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter.DestinationStatistic.S2LStatistic.Statistics', 
                [], [], 
                '''                S2L stats
                ''',
                'statistics',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                subgroup ID
                ''',
                'sub_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-group-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                'sub_group_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-statistic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter.DestinationStatistic' : {
        'meta_info' : _MetaInfoClass('MplsTe.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter.DestinationStatistic',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-statistic', REFERENCE_LIST, 'S2LStatistic' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter.DestinationStatistic.S2LStatistic', 
                [], [], 
                '''                List of S2L Stats
                ''',
                's2l_statistic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter.DestinationStatistic.Statistics', 
                [], [], 
                '''                Destination stats
                ''',
                'statistics',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'destination-statistic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter' : {
        'meta_info' : _MetaInfoClass('MplsTe.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter',
            False, 
            [
            _MetaInfoClassMember('ctype', REFERENCE_ENUM_CLASS, 'CtypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'CtypeEnum', 
                [], [], 
                '''                Ctype
                ''',
                'ctype',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('destination-statistic', REFERENCE_LIST, 'DestinationStatistic' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter.DestinationStatistic', 
                [], [], 
                '''                List of Destination Stats
                ''',
                'destination_statistic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter.Statistics', 
                [], [], 
                '''                VIF stats
                ''',
                'statistics',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-sig-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel Signalled-Name
                ''',
                'tunnel_sig_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'head-signalling-counter',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.SignallingCounters.HeadSignallingCounters' : {
        'meta_info' : _MetaInfoClass('MplsTe.SignallingCounters.HeadSignallingCounters',
            False, 
            [
            _MetaInfoClassMember('head-signalling-counter', REFERENCE_LIST, 'HeadSignallingCounter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter', 
                [], [], 
                '''                TE stats
                ''',
                'head_signalling_counter',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'head-signalling-counters',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.SignallingCounters.RemoteSignallingCounters.RemoteSignallingCounter.Statistics' : {
        'meta_info' : _MetaInfoClass('MplsTe.SignallingCounters.RemoteSignallingCounters.RemoteSignallingCounter.Statistics',
            False, 
            [
            _MetaInfoClassMember('events-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE Signaling event count
                ''',
                'events_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('events-total-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total TE Signalling event count
                ''',
                'events_total_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-backup-assign-err-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Error on Backup Assign event
                ''',
                'rx_backup_assign_err_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-event-unknown', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Unknown events
                ''',
                'rx_event_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Change event
                ''',
                'rx_path_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Create event
                ''',
                'rx_path_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Delete event
                ''',
                'rx_path_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Error event
                ''',
                'rx_path_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-reeval-query-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Reeval Query event
                ''',
                'rx_path_reeval_query_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Change event
                ''',
                'rx_resv_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Create event
                ''',
                'rx_resv_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Delete event
                ''',
                'rx_resv_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Error event
                ''',
                'rx_resv_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-backup-assign-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Assign event
                ''',
                'tx_backup_assign_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-event-unknown', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Unknown TX events
                ''',
                'tx_event_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Change event
                ''',
                'tx_path_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Create event
                ''',
                'tx_path_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Delete event
                ''',
                'tx_path_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Error event
                ''',
                'tx_path_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-reeval-query-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Reeval Query event
                ''',
                'tx_path_reeval_query_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Change event
                ''',
                'tx_resv_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Create event
                ''',
                'tx_resv_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Delete event
                ''',
                'tx_resv_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Error event
                ''',
                'tx_resv_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.SignallingCounters.RemoteSignallingCounters.RemoteSignallingCounter.S2LStatistic.Statistics' : {
        'meta_info' : _MetaInfoClass('MplsTe.SignallingCounters.RemoteSignallingCounters.RemoteSignallingCounter.S2LStatistic.Statistics',
            False, 
            [
            _MetaInfoClassMember('events-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE Signaling event count
                ''',
                'events_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('events-total-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total TE Signalling event count
                ''',
                'events_total_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-backup-assign-err-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Error on Backup Assign event
                ''',
                'rx_backup_assign_err_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-event-unknown', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Unknown events
                ''',
                'rx_event_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Change event
                ''',
                'rx_path_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Create event
                ''',
                'rx_path_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Delete event
                ''',
                'rx_path_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Error event
                ''',
                'rx_path_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-reeval-query-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Reeval Query event
                ''',
                'rx_path_reeval_query_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Change event
                ''',
                'rx_resv_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Create event
                ''',
                'rx_resv_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Delete event
                ''',
                'rx_resv_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Error event
                ''',
                'rx_resv_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-backup-assign-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Assign event
                ''',
                'tx_backup_assign_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-event-unknown', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Unknown TX events
                ''',
                'tx_event_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Change event
                ''',
                'tx_path_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Create event
                ''',
                'tx_path_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Delete event
                ''',
                'tx_path_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Error event
                ''',
                'tx_path_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-reeval-query-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Reeval Query event
                ''',
                'tx_path_reeval_query_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Change event
                ''',
                'tx_resv_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Create event
                ''',
                'tx_resv_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Delete event
                ''',
                'tx_resv_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Error event
                ''',
                'tx_resv_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.SignallingCounters.RemoteSignallingCounters.RemoteSignallingCounter.S2LStatistic' : {
        'meta_info' : _MetaInfoClass('MplsTe.SignallingCounters.RemoteSignallingCounters.RemoteSignallingCounter.S2LStatistic',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.SignallingCounters.RemoteSignallingCounters.RemoteSignallingCounter.S2LStatistic.Statistics', 
                [], [], 
                '''                S2L stats
                ''',
                'statistics',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                subgroup ID
                ''',
                'sub_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-group-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                'sub_group_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-statistic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.SignallingCounters.RemoteSignallingCounters.RemoteSignallingCounter' : {
        'meta_info' : _MetaInfoClass('MplsTe.SignallingCounters.RemoteSignallingCounters.RemoteSignallingCounter',
            False, 
            [
            _MetaInfoClassMember('ctype', REFERENCE_ENUM_CLASS, 'CtypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'CtypeEnum', 
                [], [], 
                '''                Ctype
                ''',
                'ctype',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination Address
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                LSP ID
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                P2MP ID
                ''',
                'p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Subgroup ID
                ''',
                'sub_group_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('sub-group-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup originator
                ''',
                'sub_group_originator',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('s2l-statistic', REFERENCE_LIST, 'S2LStatistic' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.SignallingCounters.RemoteSignallingCounters.RemoteSignallingCounter.S2LStatistic', 
                [], [], 
                '''                List of S2L Statistics
                ''',
                's2l_statistic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.SignallingCounters.RemoteSignallingCounters.RemoteSignallingCounter.Statistics', 
                [], [], 
                '''                LSP statistics
                ''',
                'statistics',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'remote-signalling-counter',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.SignallingCounters.RemoteSignallingCounters' : {
        'meta_info' : _MetaInfoClass('MplsTe.SignallingCounters.RemoteSignallingCounters',
            False, 
            [
            _MetaInfoClassMember('remote-signalling-counter', REFERENCE_LIST, 'RemoteSignallingCounter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.SignallingCounters.RemoteSignallingCounters.RemoteSignallingCounter', 
                [], [], 
                '''                TE stats
                ''',
                'remote_signalling_counter',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'remote-signalling-counters',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.SignallingCounters.TailsCounters.TailsCounter.Statistics' : {
        'meta_info' : _MetaInfoClass('MplsTe.SignallingCounters.TailsCounters.TailsCounter.Statistics',
            False, 
            [
            _MetaInfoClassMember('events-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE Signaling event count
                ''',
                'events_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('events-total-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total TE Signalling event count
                ''',
                'events_total_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-backup-assign-err-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Error on Backup Assign event
                ''',
                'rx_backup_assign_err_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-event-unknown', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Unknown events
                ''',
                'rx_event_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Change event
                ''',
                'rx_path_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Create event
                ''',
                'rx_path_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Delete event
                ''',
                'rx_path_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Error event
                ''',
                'rx_path_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-reeval-query-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Reeval Query event
                ''',
                'rx_path_reeval_query_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Change event
                ''',
                'rx_resv_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Create event
                ''',
                'rx_resv_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Delete event
                ''',
                'rx_resv_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Error event
                ''',
                'rx_resv_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-backup-assign-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Assign event
                ''',
                'tx_backup_assign_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-event-unknown', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Unknown TX events
                ''',
                'tx_event_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Change event
                ''',
                'tx_path_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Create event
                ''',
                'tx_path_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Delete event
                ''',
                'tx_path_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Error event
                ''',
                'tx_path_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-reeval-query-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Reeval Query event
                ''',
                'tx_path_reeval_query_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Change event
                ''',
                'tx_resv_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Create event
                ''',
                'tx_resv_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Delete event
                ''',
                'tx_resv_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Error event
                ''',
                'tx_resv_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.SignallingCounters.TailsCounters.TailsCounter.S2LStatistic.Statistics' : {
        'meta_info' : _MetaInfoClass('MplsTe.SignallingCounters.TailsCounters.TailsCounter.S2LStatistic.Statistics',
            False, 
            [
            _MetaInfoClassMember('events-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE Signaling event count
                ''',
                'events_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('events-total-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total TE Signalling event count
                ''',
                'events_total_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-backup-assign-err-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Error on Backup Assign event
                ''',
                'rx_backup_assign_err_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-event-unknown', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Unknown events
                ''',
                'rx_event_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Change event
                ''',
                'rx_path_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Create event
                ''',
                'rx_path_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Delete event
                ''',
                'rx_path_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Error event
                ''',
                'rx_path_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-reeval-query-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Reeval Query event
                ''',
                'rx_path_reeval_query_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Change event
                ''',
                'rx_resv_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Create event
                ''',
                'rx_resv_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Delete event
                ''',
                'rx_resv_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Error event
                ''',
                'rx_resv_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-backup-assign-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Assign event
                ''',
                'tx_backup_assign_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-event-unknown', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Unknown TX events
                ''',
                'tx_event_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Change event
                ''',
                'tx_path_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Create event
                ''',
                'tx_path_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Delete event
                ''',
                'tx_path_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Error event
                ''',
                'tx_path_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-reeval-query-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Reeval Query event
                ''',
                'tx_path_reeval_query_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Change event
                ''',
                'tx_resv_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Create event
                ''',
                'tx_resv_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Delete event
                ''',
                'tx_resv_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Error event
                ''',
                'tx_resv_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.SignallingCounters.TailsCounters.TailsCounter.S2LStatistic' : {
        'meta_info' : _MetaInfoClass('MplsTe.SignallingCounters.TailsCounters.TailsCounter.S2LStatistic',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.SignallingCounters.TailsCounters.TailsCounter.S2LStatistic.Statistics', 
                [], [], 
                '''                S2L stats
                ''',
                'statistics',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                subgroup ID
                ''',
                'sub_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-group-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                'sub_group_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-statistic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.SignallingCounters.TailsCounters.TailsCounter' : {
        'meta_info' : _MetaInfoClass('MplsTe.SignallingCounters.TailsCounters.TailsCounter',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination Address
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                LSP ID
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                tunnel id of last obtained tunnel
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('s2l-statistic', REFERENCE_LIST, 'S2LStatistic' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.SignallingCounters.TailsCounters.TailsCounter.S2LStatistic', 
                [], [], 
                '''                List of S2L Statistics
                ''',
                's2l_statistic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.SignallingCounters.TailsCounters.TailsCounter.Statistics', 
                [], [], 
                '''                LSP statistics
                ''',
                'statistics',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tails-counter',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.SignallingCounters.TailsCounters' : {
        'meta_info' : _MetaInfoClass('MplsTe.SignallingCounters.TailsCounters',
            False, 
            [
            _MetaInfoClassMember('tails-counter', REFERENCE_LIST, 'TailsCounter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.SignallingCounters.TailsCounters.TailsCounter', 
                [], [], 
                '''                MPLS TE counters signalling mid
                ''',
                'tails_counter',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tails-counters',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif.Statistics' : {
        'meta_info' : _MetaInfoClass('MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif.Statistics',
            False, 
            [
            _MetaInfoClassMember('events-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE Signaling event count
                ''',
                'events_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('events-total-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total TE Signalling event count
                ''',
                'events_total_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-backup-assign-err-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Error on Backup Assign event
                ''',
                'rx_backup_assign_err_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-event-unknown', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Unknown events
                ''',
                'rx_event_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Change event
                ''',
                'rx_path_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Create event
                ''',
                'rx_path_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Delete event
                ''',
                'rx_path_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Error event
                ''',
                'rx_path_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-reeval-query-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Reeval Query event
                ''',
                'rx_path_reeval_query_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Change event
                ''',
                'rx_resv_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Create event
                ''',
                'rx_resv_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Delete event
                ''',
                'rx_resv_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Error event
                ''',
                'rx_resv_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-backup-assign-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Assign event
                ''',
                'tx_backup_assign_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-event-unknown', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Unknown TX events
                ''',
                'tx_event_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Change event
                ''',
                'tx_path_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Create event
                ''',
                'tx_path_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Delete event
                ''',
                'tx_path_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Error event
                ''',
                'tx_path_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-reeval-query-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Reeval Query event
                ''',
                'tx_path_reeval_query_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Change event
                ''',
                'tx_resv_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Create event
                ''',
                'tx_resv_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Delete event
                ''',
                'tx_resv_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Error event
                ''',
                'tx_resv_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif.DestinationStatistic.Statistics' : {
        'meta_info' : _MetaInfoClass('MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif.DestinationStatistic.Statistics',
            False, 
            [
            _MetaInfoClassMember('events-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE Signaling event count
                ''',
                'events_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('events-total-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total TE Signalling event count
                ''',
                'events_total_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-backup-assign-err-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Error on Backup Assign event
                ''',
                'rx_backup_assign_err_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-event-unknown', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Unknown events
                ''',
                'rx_event_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Change event
                ''',
                'rx_path_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Create event
                ''',
                'rx_path_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Delete event
                ''',
                'rx_path_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Error event
                ''',
                'rx_path_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-reeval-query-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Reeval Query event
                ''',
                'rx_path_reeval_query_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Change event
                ''',
                'rx_resv_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Create event
                ''',
                'rx_resv_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Delete event
                ''',
                'rx_resv_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Error event
                ''',
                'rx_resv_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-backup-assign-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Assign event
                ''',
                'tx_backup_assign_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-event-unknown', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Unknown TX events
                ''',
                'tx_event_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Change event
                ''',
                'tx_path_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Create event
                ''',
                'tx_path_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Delete event
                ''',
                'tx_path_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Error event
                ''',
                'tx_path_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-reeval-query-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Reeval Query event
                ''',
                'tx_path_reeval_query_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Change event
                ''',
                'tx_resv_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Create event
                ''',
                'tx_resv_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Delete event
                ''',
                'tx_resv_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Error event
                ''',
                'tx_resv_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif.DestinationStatistic.S2LStatistic.Statistics' : {
        'meta_info' : _MetaInfoClass('MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif.DestinationStatistic.S2LStatistic.Statistics',
            False, 
            [
            _MetaInfoClassMember('events-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE Signaling event count
                ''',
                'events_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('events-total-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total TE Signalling event count
                ''',
                'events_total_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-backup-assign-err-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Error on Backup Assign event
                ''',
                'rx_backup_assign_err_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-event-unknown', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Unknown events
                ''',
                'rx_event_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Change event
                ''',
                'rx_path_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Create event
                ''',
                'rx_path_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Delete event
                ''',
                'rx_path_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Error event
                ''',
                'rx_path_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-reeval-query-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Reeval Query event
                ''',
                'rx_path_reeval_query_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Change event
                ''',
                'rx_resv_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Create event
                ''',
                'rx_resv_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Delete event
                ''',
                'rx_resv_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Error event
                ''',
                'rx_resv_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-backup-assign-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Assign event
                ''',
                'tx_backup_assign_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-event-unknown', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Unknown TX events
                ''',
                'tx_event_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Change event
                ''',
                'tx_path_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Create event
                ''',
                'tx_path_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Delete event
                ''',
                'tx_path_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Error event
                ''',
                'tx_path_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-reeval-query-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Reeval Query event
                ''',
                'tx_path_reeval_query_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Change event
                ''',
                'tx_resv_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Create event
                ''',
                'tx_resv_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Delete event
                ''',
                'tx_resv_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Error event
                ''',
                'tx_resv_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif.DestinationStatistic.S2LStatistic' : {
        'meta_info' : _MetaInfoClass('MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif.DestinationStatistic.S2LStatistic',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif.DestinationStatistic.S2LStatistic.Statistics', 
                [], [], 
                '''                S2L stats
                ''',
                'statistics',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                subgroup ID
                ''',
                'sub_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-group-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                'sub_group_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-statistic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif.DestinationStatistic' : {
        'meta_info' : _MetaInfoClass('MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif.DestinationStatistic',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-statistic', REFERENCE_LIST, 'S2LStatistic' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif.DestinationStatistic.S2LStatistic', 
                [], [], 
                '''                List of S2L Stats
                ''',
                's2l_statistic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif.DestinationStatistic.Statistics', 
                [], [], 
                '''                Destination stats
                ''',
                'statistics',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'destination-statistic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif' : {
        'meta_info' : _MetaInfoClass('MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif',
            False, 
            [
            _MetaInfoClassMember('destination-statistic', REFERENCE_LIST, 'DestinationStatistic' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif.DestinationStatistic', 
                [], [], 
                '''                List of Destination Stats
                ''',
                'destination_statistic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif.Statistics', 
                [], [], 
                '''                VIF stats
                ''',
                'statistics',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-sig-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel Signalled-Name
                ''',
                'tunnel_sig_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-signalling-filter-vif',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterLsp.Statistics' : {
        'meta_info' : _MetaInfoClass('MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterLsp.Statistics',
            False, 
            [
            _MetaInfoClassMember('events-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE Signaling event count
                ''',
                'events_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('events-total-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total TE Signalling event count
                ''',
                'events_total_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-backup-assign-err-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Error on Backup Assign event
                ''',
                'rx_backup_assign_err_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-event-unknown', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Unknown events
                ''',
                'rx_event_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Change event
                ''',
                'rx_path_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Create event
                ''',
                'rx_path_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Delete event
                ''',
                'rx_path_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Error event
                ''',
                'rx_path_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-reeval-query-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Reeval Query event
                ''',
                'rx_path_reeval_query_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Change event
                ''',
                'rx_resv_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Create event
                ''',
                'rx_resv_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Delete event
                ''',
                'rx_resv_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Error event
                ''',
                'rx_resv_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-backup-assign-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Assign event
                ''',
                'tx_backup_assign_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-event-unknown', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Unknown TX events
                ''',
                'tx_event_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Change event
                ''',
                'tx_path_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Create event
                ''',
                'tx_path_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Delete event
                ''',
                'tx_path_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Error event
                ''',
                'tx_path_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-reeval-query-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Reeval Query event
                ''',
                'tx_path_reeval_query_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Change event
                ''',
                'tx_resv_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Create event
                ''',
                'tx_resv_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Delete event
                ''',
                'tx_resv_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Error event
                ''',
                'tx_resv_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterLsp.S2LStatistic.Statistics' : {
        'meta_info' : _MetaInfoClass('MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterLsp.S2LStatistic.Statistics',
            False, 
            [
            _MetaInfoClassMember('events-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE Signaling event count
                ''',
                'events_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('events-total-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total TE Signalling event count
                ''',
                'events_total_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-backup-assign-err-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Error on Backup Assign event
                ''',
                'rx_backup_assign_err_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-event-unknown', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Unknown events
                ''',
                'rx_event_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Change event
                ''',
                'rx_path_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Create event
                ''',
                'rx_path_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Delete event
                ''',
                'rx_path_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Error event
                ''',
                'rx_path_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-reeval-query-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Reeval Query event
                ''',
                'rx_path_reeval_query_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Change event
                ''',
                'rx_resv_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Create event
                ''',
                'rx_resv_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Delete event
                ''',
                'rx_resv_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Error event
                ''',
                'rx_resv_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-backup-assign-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Assign event
                ''',
                'tx_backup_assign_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-event-unknown', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Unknown TX events
                ''',
                'tx_event_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Change event
                ''',
                'tx_path_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Create event
                ''',
                'tx_path_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Delete event
                ''',
                'tx_path_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Error event
                ''',
                'tx_path_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-reeval-query-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Reeval Query event
                ''',
                'tx_path_reeval_query_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Change event
                ''',
                'tx_resv_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Create event
                ''',
                'tx_resv_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Delete event
                ''',
                'tx_resv_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Error event
                ''',
                'tx_resv_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterLsp.S2LStatistic' : {
        'meta_info' : _MetaInfoClass('MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterLsp.S2LStatistic',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterLsp.S2LStatistic.Statistics', 
                [], [], 
                '''                S2L stats
                ''',
                'statistics',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                subgroup ID
                ''',
                'sub_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-group-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                'sub_group_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-statistic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterLsp' : {
        'meta_info' : _MetaInfoClass('MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterLsp',
            False, 
            [
            _MetaInfoClassMember('s2l-statistic', REFERENCE_LIST, 'S2LStatistic' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterLsp.S2LStatistic', 
                [], [], 
                '''                List of S2L Statistics
                ''',
                's2l_statistic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterLsp.Statistics', 
                [], [], 
                '''                LSP statistics
                ''',
                'statistics',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-signalling-filter-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData' : {
        'meta_info' : _MetaInfoClass('MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData',
            False, 
            [
            _MetaInfoClassMember('statistics-filter', REFERENCE_ENUM_CLASS, 'TeStatsSigFilterEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeStatsSigFilterEnum', 
                [], [], 
                '''                StatisticsFilter
                ''',
                'statistics_filter',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-signalling-filter-lsp', REFERENCE_CLASS, 'TeSignallingFilterLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterLsp', 
                [], [], 
                '''                LSP data
                ''',
                'te_signalling_filter_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-signalling-filter-vif', REFERENCE_CLASS, 'TeSignallingFilterVif' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif', 
                [], [], 
                '''                VIF data
                ''',
                'te_signalling_filter_vif',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-signalling-filter-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.SignallingCounters.Signallings.Signalling' : {
        'meta_info' : _MetaInfoClass('MplsTe.SignallingCounters.Signallings.Signalling',
            False, 
            [
            _MetaInfoClassMember('ctype', REFERENCE_ENUM_CLASS, 'CtypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'CtypeEnum', 
                [], [], 
                '''                Ctype
                ''',
                'ctype',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination Address
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                LSP ID
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                P2MP ID
                ''',
                'p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Subgroup ID
                ''',
                'sub_group_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('sub-group-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup originator
                ''',
                'sub_group_originator',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('te-signalling-filter-data', REFERENCE_CLASS, 'TeSignallingFilterData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData', 
                [], [], 
                '''                TE Signaling Filter data
                ''',
                'te_signalling_filter_data',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalling',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.SignallingCounters.Signallings' : {
        'meta_info' : _MetaInfoClass('MplsTe.SignallingCounters.Signallings',
            False, 
            [
            _MetaInfoClassMember('signalling', REFERENCE_LIST, 'Signalling' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.SignallingCounters.Signallings.Signalling', 
                [], [], 
                '''                TE Sig
                ''',
                'signalling',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signallings',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.SignallingCounters.SignallingSummary' : {
        'meta_info' : _MetaInfoClass('MplsTe.SignallingCounters.SignallingSummary',
            False, 
            [
            _MetaInfoClassMember('events-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE Signaling event count
                ''',
                'events_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('events-total-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total TE Signalling event count
                ''',
                'events_total_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-backup-assign-err-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Error on Backup Assign event
                ''',
                'rx_backup_assign_err_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-event-unknown', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Unknown events
                ''',
                'rx_event_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Change event
                ''',
                'rx_path_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Create event
                ''',
                'rx_path_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Delete event
                ''',
                'rx_path_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Error event
                ''',
                'rx_path_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-reeval-query-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Reeval Query event
                ''',
                'rx_path_reeval_query_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Change event
                ''',
                'rx_resv_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Create event
                ''',
                'rx_resv_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Delete event
                ''',
                'rx_resv_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Error event
                ''',
                'rx_resv_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-backup-assign-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Assign event
                ''',
                'tx_backup_assign_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-event-unknown', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Unknown TX events
                ''',
                'tx_event_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Change event
                ''',
                'tx_path_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Create event
                ''',
                'tx_path_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Delete event
                ''',
                'tx_path_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Error event
                ''',
                'tx_path_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-reeval-query-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Reeval Query event
                ''',
                'tx_path_reeval_query_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Change event
                ''',
                'tx_resv_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Create event
                ''',
                'tx_resv_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Delete event
                ''',
                'tx_resv_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Error event
                ''',
                'tx_resv_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalling-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.SignallingCounters' : {
        'meta_info' : _MetaInfoClass('MplsTe.SignallingCounters',
            False, 
            [
            _MetaInfoClassMember('head-signalling-counters', REFERENCE_CLASS, 'HeadSignallingCounters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.SignallingCounters.HeadSignallingCounters', 
                [], [], 
                '''                Sig Head Table TE counters
                ''',
                'head_signalling_counters',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('heads-counters', REFERENCE_CLASS, 'HeadsCounters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.SignallingCounters.HeadsCounters', 
                [], [], 
                '''                MPLS TE counters signalling heads table
                ''',
                'heads_counters',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('issu', REFERENCE_CLASS, 'Issu' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.SignallingCounters.Issu', 
                [], [], 
                '''                MPLS TE ISSU counters
                ''',
                'issu',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mids-counters', REFERENCE_CLASS, 'MidsCounters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.SignallingCounters.MidsCounters', 
                [], [], 
                '''                MPLS TE counters signalling heads table
                ''',
                'mids_counters',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-signalling-counters', REFERENCE_CLASS, 'RemoteSignallingCounters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.SignallingCounters.RemoteSignallingCounters', 
                [], [], 
                '''                Sig mid tail Table TE counters
                ''',
                'remote_signalling_counters',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-summary', REFERENCE_CLASS, 'SignallingSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.SignallingCounters.SignallingSummary', 
                [], [], 
                '''                Send-Recv count summary for TE Signaling
                ''',
                'signalling_summary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signallings', REFERENCE_CLASS, 'Signallings' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.SignallingCounters.Signallings', 
                [], [], 
                '''                TE counters
                ''',
                'signallings',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tails-counters', REFERENCE_CLASS, 'TailsCounters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.SignallingCounters.TailsCounters', 
                [], [], 
                '''                MPLS TE counters signalling heads table
                ''',
                'tails_counters',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalling-counters',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.DiffServTeClasses.TeClass' : {
        'meta_info' : _MetaInfoClass('MplsTe.DiffServTeClasses.TeClass',
            False, 
            [
            _MetaInfoClassMember('class-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                The DS-TE class number from 0 to 7
                ''',
                'class_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('class-status', REFERENCE_ENUM_CLASS, 'MplsTeDsteClassStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeDsteClassStatusEnum', 
                [], [], 
                '''                The status of the TE class
                ''',
                'class_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                The class type of the TE class
                ''',
                'class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                The priority of the TE class
                ''',
                'priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-class',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.DiffServTeClasses' : {
        'meta_info' : _MetaInfoClass('MplsTe.DiffServTeClasses',
            False, 
            [
            _MetaInfoClassMember('te-class', REFERENCE_LIST, 'TeClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.DiffServTeClasses.TeClass', 
                [], [], 
                '''                te class
                ''',
                'te_class',
                'Cisco-IOS-XR-mpls-te-oper', False, max_elements=8),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'diff-serv-te-classes',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Issu.Status.SyncStatusInformation.SlaveSyncInformation.Idt.CurrentIdtInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.Issu.Status.SyncStatusInformation.SlaveSyncInformation.Idt.CurrentIdtInfo',
            False, 
            [
            _MetaInfoClassMember('declare-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Declare ready timestampe in seconds
                ''',
                'declare_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('idt-end-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT end timestampe in seconds
                ''',
                'idt_end_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('idt-start-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT start timestampe in seconds
                ''',
                'idt_start_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-ready-status', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Ready status
                ''',
                'is_ready_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reason', REFERENCE_ENUM_CLASS, 'TeSyncNotReadyReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSyncNotReadyReasonEnum', 
                [], [], 
                '''                Not ready reason
                ''',
                'reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('withdraw-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Withdraw ready timestampe in seconds
                ''',
                'withdraw_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'current-idt-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Issu.Status.SyncStatusInformation.SlaveSyncInformation.Idt.PreviousIdtStatus' : {
        'meta_info' : _MetaInfoClass('MplsTe.Issu.Status.SyncStatusInformation.SlaveSyncInformation.Idt.PreviousIdtStatus',
            False, 
            [
            _MetaInfoClassMember('declare-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Declare ready timestampe in seconds
                ''',
                'declare_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('idt-end-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT end timestampe in seconds
                ''',
                'idt_end_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('idt-start-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT start timestampe in seconds
                ''',
                'idt_start_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-ready-status', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Ready status
                ''',
                'is_ready_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reason', REFERENCE_ENUM_CLASS, 'TeSyncNotReadyReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSyncNotReadyReasonEnum', 
                [], [], 
                '''                Not ready reason
                ''',
                'reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('withdraw-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Withdraw ready timestampe in seconds
                ''',
                'withdraw_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'previous-idt-status',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Issu.Status.SyncStatusInformation.SlaveSyncInformation.Idt' : {
        'meta_info' : _MetaInfoClass('MplsTe.Issu.Status.SyncStatusInformation.SlaveSyncInformation.Idt',
            False, 
            [
            _MetaInfoClassMember('current-idt-info', REFERENCE_CLASS, 'CurrentIdtInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Issu.Status.SyncStatusInformation.SlaveSyncInformation.Idt.CurrentIdtInfo', 
                [], [], 
                '''                Current IDT information
                ''',
                'current_idt_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-idt-status', REFERENCE_CLASS, 'PreviousIdtStatus' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Issu.Status.SyncStatusInformation.SlaveSyncInformation.Idt.PreviousIdtStatus', 
                [], [], 
                '''                Previous IDT information
                ''',
                'previous_idt_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'idt',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Issu.Status.SyncStatusInformation.SlaveSyncInformation.VifPending' : {
        'meta_info' : _MetaInfoClass('MplsTe.Issu.Status.SyncStatusInformation.SlaveSyncInformation.VifPending',
            False, 
            [
            _MetaInfoClassMember('pending-reason', REFERENCE_ENUM_CLASS, 'TeSyncPendingReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSyncPendingReasonEnum', 
                [], [], 
                '''                Pending reason
                ''',
                'pending_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'vif-pending',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Issu.Status.SyncStatusInformation.SlaveSyncInformation.S2LPending' : {
        'meta_info' : _MetaInfoClass('MplsTe.Issu.Status.SyncStatusInformation.SlaveSyncInformation.S2LPending',
            False, 
            [
            _MetaInfoClassMember('pending-reason', REFERENCE_ENUM_CLASS, 'TeSyncPendingReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSyncPendingReasonEnum', 
                [], [], 
                '''                Pending reason
                ''',
                'pending_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-role', REFERENCE_ENUM_CLASS, 'MplsTeTunnelRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelRoleEnum', 
                [], [], 
                '''                S2L role
                ''',
                's2l_role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signaled-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signaled name
                ''',
                'signaled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-pending',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Issu.Status.SyncStatusInformation.SlaveSyncInformation' : {
        'meta_info' : _MetaInfoClass('MplsTe.Issu.Status.SyncStatusInformation.SlaveSyncInformation',
            False, 
            [
            _MetaInfoClassMember('idt', REFERENCE_CLASS, 'Idt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Issu.Status.SyncStatusInformation.SlaveSyncInformation.Idt', 
                [], [], 
                '''                Sync status IDT information
                ''',
                'idt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('insync-sub-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-LSPs in sync
                ''',
                'insync_sub_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('insync-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnels in sync
                ''',
                'insync_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pending-sub-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-LSPs in sync pending
                ''',
                'pending_sub_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pending-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnels in sync pending
                ''',
                'pending_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-pending', REFERENCE_LIST, 'S2LPending' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Issu.Status.SyncStatusInformation.SlaveSyncInformation.S2LPending', 
                [], [], 
                '''                Pending sub-LSPs details
                ''',
                's2l_pending',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('vif-pending', REFERENCE_LIST, 'VifPending' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Issu.Status.SyncStatusInformation.SlaveSyncInformation.VifPending', 
                [], [], 
                '''                Pending tunnels details
                ''',
                'vif_pending',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'slave-sync-information',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Issu.Status.SyncStatusInformation.MasterSyncInformation.Idt.CurrentIdtInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.Issu.Status.SyncStatusInformation.MasterSyncInformation.Idt.CurrentIdtInfo',
            False, 
            [
            _MetaInfoClassMember('declare-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Declare ready timestampe in seconds
                ''',
                'declare_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('idt-end-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT end timestampe in seconds
                ''',
                'idt_end_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('idt-start-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT start timestampe in seconds
                ''',
                'idt_start_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-ready-status', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Ready status
                ''',
                'is_ready_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reason', REFERENCE_ENUM_CLASS, 'TeSyncNotReadyReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSyncNotReadyReasonEnum', 
                [], [], 
                '''                Not ready reason
                ''',
                'reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('withdraw-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Withdraw ready timestampe in seconds
                ''',
                'withdraw_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'current-idt-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Issu.Status.SyncStatusInformation.MasterSyncInformation.Idt.PreviousIdtStatus' : {
        'meta_info' : _MetaInfoClass('MplsTe.Issu.Status.SyncStatusInformation.MasterSyncInformation.Idt.PreviousIdtStatus',
            False, 
            [
            _MetaInfoClassMember('declare-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Declare ready timestampe in seconds
                ''',
                'declare_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('idt-end-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT end timestampe in seconds
                ''',
                'idt_end_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('idt-start-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT start timestampe in seconds
                ''',
                'idt_start_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-ready-status', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Ready status
                ''',
                'is_ready_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reason', REFERENCE_ENUM_CLASS, 'TeSyncNotReadyReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSyncNotReadyReasonEnum', 
                [], [], 
                '''                Not ready reason
                ''',
                'reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('withdraw-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Withdraw ready timestampe in seconds
                ''',
                'withdraw_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'previous-idt-status',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Issu.Status.SyncStatusInformation.MasterSyncInformation.Idt' : {
        'meta_info' : _MetaInfoClass('MplsTe.Issu.Status.SyncStatusInformation.MasterSyncInformation.Idt',
            False, 
            [
            _MetaInfoClassMember('current-idt-info', REFERENCE_CLASS, 'CurrentIdtInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Issu.Status.SyncStatusInformation.MasterSyncInformation.Idt.CurrentIdtInfo', 
                [], [], 
                '''                Current IDT information
                ''',
                'current_idt_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-idt-status', REFERENCE_CLASS, 'PreviousIdtStatus' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Issu.Status.SyncStatusInformation.MasterSyncInformation.Idt.PreviousIdtStatus', 
                [], [], 
                '''                Previous IDT information
                ''',
                'previous_idt_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'idt',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Issu.Status.SyncStatusInformation.MasterSyncInformation' : {
        'meta_info' : _MetaInfoClass('MplsTe.Issu.Status.SyncStatusInformation.MasterSyncInformation',
            False, 
            [
            _MetaInfoClassMember('idt', REFERENCE_CLASS, 'Idt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Issu.Status.SyncStatusInformation.MasterSyncInformation.Idt', 
                [], [], 
                '''                Sync status IDT information
                ''',
                'idt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'master-sync-information',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Issu.Status.SyncStatusInformation' : {
        'meta_info' : _MetaInfoClass('MplsTe.Issu.Status.SyncStatusInformation',
            False, 
            [
            _MetaInfoClassMember('master-sync-information', REFERENCE_CLASS, 'MasterSyncInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Issu.Status.SyncStatusInformation.MasterSyncInformation', 
                [], [], 
                '''                Master sync information
                ''',
                'master_sync_information',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('slave-sync-information', REFERENCE_CLASS, 'SlaveSyncInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Issu.Status.SyncStatusInformation.SlaveSyncInformation', 
                [], [], 
                '''                Slave sync information
                ''',
                'slave_sync_information',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sync-show-type', REFERENCE_ENUM_CLASS, 'TeSyncStatusShowEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSyncStatusShowEnum', 
                [], [], 
                '''                SyncShowType
                ''',
                'sync_show_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'sync-status-information',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Issu.Status' : {
        'meta_info' : _MetaInfoClass('MplsTe.Issu.Status',
            False, 
            [
            _MetaInfoClassMember('role', REFERENCE_ENUM_CLASS, 'TeProcRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProcRoleEnum', 
                [], [], 
                '''                Process role
                ''',
                'role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sync-status-information', REFERENCE_CLASS, 'SyncStatusInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Issu.Status.SyncStatusInformation', 
                [], [], 
                '''                Sync information for the NSR and ISSU
                ''',
                'sync_status_information',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'status',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Issu.Detail.SyncStatusInformation.SlaveSyncInformation.Idt.CurrentIdtInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.Issu.Detail.SyncStatusInformation.SlaveSyncInformation.Idt.CurrentIdtInfo',
            False, 
            [
            _MetaInfoClassMember('declare-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Declare ready timestampe in seconds
                ''',
                'declare_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('idt-end-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT end timestampe in seconds
                ''',
                'idt_end_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('idt-start-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT start timestampe in seconds
                ''',
                'idt_start_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-ready-status', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Ready status
                ''',
                'is_ready_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reason', REFERENCE_ENUM_CLASS, 'TeSyncNotReadyReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSyncNotReadyReasonEnum', 
                [], [], 
                '''                Not ready reason
                ''',
                'reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('withdraw-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Withdraw ready timestampe in seconds
                ''',
                'withdraw_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'current-idt-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Issu.Detail.SyncStatusInformation.SlaveSyncInformation.Idt.PreviousIdtStatus' : {
        'meta_info' : _MetaInfoClass('MplsTe.Issu.Detail.SyncStatusInformation.SlaveSyncInformation.Idt.PreviousIdtStatus',
            False, 
            [
            _MetaInfoClassMember('declare-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Declare ready timestampe in seconds
                ''',
                'declare_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('idt-end-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT end timestampe in seconds
                ''',
                'idt_end_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('idt-start-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT start timestampe in seconds
                ''',
                'idt_start_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-ready-status', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Ready status
                ''',
                'is_ready_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reason', REFERENCE_ENUM_CLASS, 'TeSyncNotReadyReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSyncNotReadyReasonEnum', 
                [], [], 
                '''                Not ready reason
                ''',
                'reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('withdraw-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Withdraw ready timestampe in seconds
                ''',
                'withdraw_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'previous-idt-status',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Issu.Detail.SyncStatusInformation.SlaveSyncInformation.Idt' : {
        'meta_info' : _MetaInfoClass('MplsTe.Issu.Detail.SyncStatusInformation.SlaveSyncInformation.Idt',
            False, 
            [
            _MetaInfoClassMember('current-idt-info', REFERENCE_CLASS, 'CurrentIdtInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Issu.Detail.SyncStatusInformation.SlaveSyncInformation.Idt.CurrentIdtInfo', 
                [], [], 
                '''                Current IDT information
                ''',
                'current_idt_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-idt-status', REFERENCE_CLASS, 'PreviousIdtStatus' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Issu.Detail.SyncStatusInformation.SlaveSyncInformation.Idt.PreviousIdtStatus', 
                [], [], 
                '''                Previous IDT information
                ''',
                'previous_idt_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'idt',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Issu.Detail.SyncStatusInformation.SlaveSyncInformation.VifPending' : {
        'meta_info' : _MetaInfoClass('MplsTe.Issu.Detail.SyncStatusInformation.SlaveSyncInformation.VifPending',
            False, 
            [
            _MetaInfoClassMember('pending-reason', REFERENCE_ENUM_CLASS, 'TeSyncPendingReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSyncPendingReasonEnum', 
                [], [], 
                '''                Pending reason
                ''',
                'pending_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'vif-pending',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Issu.Detail.SyncStatusInformation.SlaveSyncInformation.S2LPending' : {
        'meta_info' : _MetaInfoClass('MplsTe.Issu.Detail.SyncStatusInformation.SlaveSyncInformation.S2LPending',
            False, 
            [
            _MetaInfoClassMember('pending-reason', REFERENCE_ENUM_CLASS, 'TeSyncPendingReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSyncPendingReasonEnum', 
                [], [], 
                '''                Pending reason
                ''',
                'pending_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-role', REFERENCE_ENUM_CLASS, 'MplsTeTunnelRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelRoleEnum', 
                [], [], 
                '''                S2L role
                ''',
                's2l_role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signaled-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signaled name
                ''',
                'signaled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-pending',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Issu.Detail.SyncStatusInformation.SlaveSyncInformation' : {
        'meta_info' : _MetaInfoClass('MplsTe.Issu.Detail.SyncStatusInformation.SlaveSyncInformation',
            False, 
            [
            _MetaInfoClassMember('idt', REFERENCE_CLASS, 'Idt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Issu.Detail.SyncStatusInformation.SlaveSyncInformation.Idt', 
                [], [], 
                '''                Sync status IDT information
                ''',
                'idt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('insync-sub-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-LSPs in sync
                ''',
                'insync_sub_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('insync-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnels in sync
                ''',
                'insync_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pending-sub-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-LSPs in sync pending
                ''',
                'pending_sub_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pending-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnels in sync pending
                ''',
                'pending_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-pending', REFERENCE_LIST, 'S2LPending' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Issu.Detail.SyncStatusInformation.SlaveSyncInformation.S2LPending', 
                [], [], 
                '''                Pending sub-LSPs details
                ''',
                's2l_pending',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('vif-pending', REFERENCE_LIST, 'VifPending' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Issu.Detail.SyncStatusInformation.SlaveSyncInformation.VifPending', 
                [], [], 
                '''                Pending tunnels details
                ''',
                'vif_pending',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'slave-sync-information',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Issu.Detail.SyncStatusInformation.MasterSyncInformation.Idt.CurrentIdtInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.Issu.Detail.SyncStatusInformation.MasterSyncInformation.Idt.CurrentIdtInfo',
            False, 
            [
            _MetaInfoClassMember('declare-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Declare ready timestampe in seconds
                ''',
                'declare_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('idt-end-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT end timestampe in seconds
                ''',
                'idt_end_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('idt-start-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT start timestampe in seconds
                ''',
                'idt_start_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-ready-status', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Ready status
                ''',
                'is_ready_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reason', REFERENCE_ENUM_CLASS, 'TeSyncNotReadyReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSyncNotReadyReasonEnum', 
                [], [], 
                '''                Not ready reason
                ''',
                'reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('withdraw-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Withdraw ready timestampe in seconds
                ''',
                'withdraw_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'current-idt-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Issu.Detail.SyncStatusInformation.MasterSyncInformation.Idt.PreviousIdtStatus' : {
        'meta_info' : _MetaInfoClass('MplsTe.Issu.Detail.SyncStatusInformation.MasterSyncInformation.Idt.PreviousIdtStatus',
            False, 
            [
            _MetaInfoClassMember('declare-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Declare ready timestampe in seconds
                ''',
                'declare_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('idt-end-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT end timestampe in seconds
                ''',
                'idt_end_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('idt-start-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT start timestampe in seconds
                ''',
                'idt_start_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-ready-status', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Ready status
                ''',
                'is_ready_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reason', REFERENCE_ENUM_CLASS, 'TeSyncNotReadyReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSyncNotReadyReasonEnum', 
                [], [], 
                '''                Not ready reason
                ''',
                'reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('withdraw-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Withdraw ready timestampe in seconds
                ''',
                'withdraw_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'previous-idt-status',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Issu.Detail.SyncStatusInformation.MasterSyncInformation.Idt' : {
        'meta_info' : _MetaInfoClass('MplsTe.Issu.Detail.SyncStatusInformation.MasterSyncInformation.Idt',
            False, 
            [
            _MetaInfoClassMember('current-idt-info', REFERENCE_CLASS, 'CurrentIdtInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Issu.Detail.SyncStatusInformation.MasterSyncInformation.Idt.CurrentIdtInfo', 
                [], [], 
                '''                Current IDT information
                ''',
                'current_idt_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-idt-status', REFERENCE_CLASS, 'PreviousIdtStatus' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Issu.Detail.SyncStatusInformation.MasterSyncInformation.Idt.PreviousIdtStatus', 
                [], [], 
                '''                Previous IDT information
                ''',
                'previous_idt_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'idt',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Issu.Detail.SyncStatusInformation.MasterSyncInformation' : {
        'meta_info' : _MetaInfoClass('MplsTe.Issu.Detail.SyncStatusInformation.MasterSyncInformation',
            False, 
            [
            _MetaInfoClassMember('idt', REFERENCE_CLASS, 'Idt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Issu.Detail.SyncStatusInformation.MasterSyncInformation.Idt', 
                [], [], 
                '''                Sync status IDT information
                ''',
                'idt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'master-sync-information',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Issu.Detail.SyncStatusInformation' : {
        'meta_info' : _MetaInfoClass('MplsTe.Issu.Detail.SyncStatusInformation',
            False, 
            [
            _MetaInfoClassMember('master-sync-information', REFERENCE_CLASS, 'MasterSyncInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Issu.Detail.SyncStatusInformation.MasterSyncInformation', 
                [], [], 
                '''                Master sync information
                ''',
                'master_sync_information',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('slave-sync-information', REFERENCE_CLASS, 'SlaveSyncInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Issu.Detail.SyncStatusInformation.SlaveSyncInformation', 
                [], [], 
                '''                Slave sync information
                ''',
                'slave_sync_information',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sync-show-type', REFERENCE_ENUM_CLASS, 'TeSyncStatusShowEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSyncStatusShowEnum', 
                [], [], 
                '''                SyncShowType
                ''',
                'sync_show_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'sync-status-information',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Issu.Detail' : {
        'meta_info' : _MetaInfoClass('MplsTe.Issu.Detail',
            False, 
            [
            _MetaInfoClassMember('role', REFERENCE_ENUM_CLASS, 'TeProcRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProcRoleEnum', 
                [], [], 
                '''                Process role
                ''',
                'role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sync-status-information', REFERENCE_CLASS, 'SyncStatusInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Issu.Detail.SyncStatusInformation', 
                [], [], 
                '''                Sync information for the NSR and ISSU
                ''',
                'sync_status_information',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'detail',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Issu' : {
        'meta_info' : _MetaInfoClass('MplsTe.Issu',
            False, 
            [
            _MetaInfoClassMember('detail', REFERENCE_CLASS, 'Detail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Issu.Detail', 
                [], [], 
                '''                MPLS TE ISSU Status information
                ''',
                'detail',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_CLASS, 'Status' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Issu.Status', 
                [], [], 
                '''                MPLS TE ISSU Status information
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'issu',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.FastReroute.BackupTunnels.BackupTunnel' : {
        'meta_info' : _MetaInfoClass('MplsTe.FastReroute.BackupTunnels.BackupTunnel',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Protected interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Backup tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('backup-status', REFERENCE_ENUM_CLASS, 'MplsTeBackupStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBackupStatusEnum', 
                [], [], 
                '''                Backup state
                ''',
                'backup_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup tunnel ID
                ''',
                'backup_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-tunnel-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Backup tunnel name
                ''',
                'backup_tunnel_name_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-type', REFERENCE_ENUM_CLASS, 'MplsTeBackupEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBackupEnum', 
                [], [], 
                '''                Backup type
                ''',
                'backup_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-usage', REFERENCE_ENUM_CLASS, 'MplsTeBackupUsageEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBackupUsageEnum', 
                [], [], 
                '''                Backup usage
                ''',
                'backup_usage',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth (kbps)
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-limit-type', REFERENCE_ENUM_CLASS, 'MplsTeBwLimitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwLimitEnum', 
                [], [], 
                '''                Bandwidth limit type
                ''',
                'bandwidth_limit_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-pool-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                Bandwidth pool type
                ''',
                'bandwidth_pool_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('connection-status', REFERENCE_ENUM_CLASS, 'MplsTeTunnelStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelStateEnum', 
                [], [], 
                '''                Backup's connection's status
                ''',
                'connection_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Backup's destination
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-active-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSPs in FRR active state
                ''',
                'frr_active_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-active-soft-preempted-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of soft preempted LSPs routed over backup
                ''',
                'frr_active_soft_preempted_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('general-status', REFERENCE_ENUM_CLASS, 'MplsTeTunnelStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelStateEnum', 
                [], [], 
                '''                Backup's general status
                ''',
                'general_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the auto-backup has an attribute set
                defined
                ''',
                'has_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-use-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth currently in use (kbps)
                ''',
                'in_use_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-attribute-set-in-db', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate the existence of attribute set
                found in database
                ''',
                'is_attribute_set_in_db',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSPs
                ''',
                'ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('output-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The output intf of the tunnel
                ''',
                'output_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prot-interface-autobackup-config', REFERENCE_ENUM_CLASS, 'AutoBackupProtectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'AutoBackupProtectionEnum', 
                [], [], 
                '''                Protected interface Autobackup config
                ''',
                'prot_interface_autobackup_config',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prot-interface-srlg-config', REFERENCE_ENUM_CLASS, 'AutoBackupSrlgModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'AutoBackupSrlgModeEnum', 
                [], [], 
                '''                Protected interface SRLG config
                ''',
                'prot_interface_srlg_config',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('recreate-remaining-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time Remaining in Recreate Timer (seconds)
                ''',
                'recreate_remaining_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('recreate-timer-is-running', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if the recreate timer is running
                ''',
                'recreate_timer_is_running',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of P2MP S2Ls
                ''',
                's2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-families', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of S2L Families
                ''',
                's2l_families',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preempted-in-use-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth soft preempted and rerouted over the
                backup(kbps)
                ''',
                'soft_preempted_in_use_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Backup's source
                ''',
                'source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-instance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel instance
                ''',
                'tunnel_instance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'backup-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.FastReroute.BackupTunnels' : {
        'meta_info' : _MetaInfoClass('MplsTe.FastReroute.BackupTunnels',
            False, 
            [
            _MetaInfoClassMember('backup-tunnel', REFERENCE_LIST, 'BackupTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.FastReroute.BackupTunnels.BackupTunnel', 
                [], [], 
                '''                Fastreroute info for a given backup tunnel
                ''',
                'backup_tunnel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'backup-tunnels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.FastReroute.ProtectedInterfaces.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTe.FastReroute.ProtectedInterfaces.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('backup-tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Backup tunnel name
                ''',
                'backup_tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Protected interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('backup-status', REFERENCE_ENUM_CLASS, 'MplsTeBackupStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBackupStatusEnum', 
                [], [], 
                '''                Backup state
                ''',
                'backup_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup tunnel ID
                ''',
                'backup_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-tunnel-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Backup tunnel name
                ''',
                'backup_tunnel_name_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-type', REFERENCE_ENUM_CLASS, 'MplsTeBackupEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBackupEnum', 
                [], [], 
                '''                Backup type
                ''',
                'backup_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-usage', REFERENCE_ENUM_CLASS, 'MplsTeBackupUsageEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBackupUsageEnum', 
                [], [], 
                '''                Backup usage
                ''',
                'backup_usage',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth (kbps)
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-limit-type', REFERENCE_ENUM_CLASS, 'MplsTeBwLimitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwLimitEnum', 
                [], [], 
                '''                Bandwidth limit type
                ''',
                'bandwidth_limit_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-pool-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                Bandwidth pool type
                ''',
                'bandwidth_pool_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('connection-status', REFERENCE_ENUM_CLASS, 'MplsTeTunnelStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelStateEnum', 
                [], [], 
                '''                Backup's connection's status
                ''',
                'connection_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Backup's destination
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-active-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSPs in FRR active state
                ''',
                'frr_active_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-active-soft-preempted-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of soft preempted LSPs routed over backup
                ''',
                'frr_active_soft_preempted_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('general-status', REFERENCE_ENUM_CLASS, 'MplsTeTunnelStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelStateEnum', 
                [], [], 
                '''                Backup's general status
                ''',
                'general_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the auto-backup has an attribute set
                defined
                ''',
                'has_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-use-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth currently in use (kbps)
                ''',
                'in_use_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-attribute-set-in-db', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate the existence of attribute set
                found in database
                ''',
                'is_attribute_set_in_db',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSPs
                ''',
                'ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('output-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The output intf of the tunnel
                ''',
                'output_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prot-interface-autobackup-config', REFERENCE_ENUM_CLASS, 'AutoBackupProtectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'AutoBackupProtectionEnum', 
                [], [], 
                '''                Protected interface Autobackup config
                ''',
                'prot_interface_autobackup_config',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prot-interface-srlg-config', REFERENCE_ENUM_CLASS, 'AutoBackupSrlgModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'AutoBackupSrlgModeEnum', 
                [], [], 
                '''                Protected interface SRLG config
                ''',
                'prot_interface_srlg_config',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('recreate-remaining-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time Remaining in Recreate Timer (seconds)
                ''',
                'recreate_remaining_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('recreate-timer-is-running', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if the recreate timer is running
                ''',
                'recreate_timer_is_running',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of P2MP S2Ls
                ''',
                's2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-families', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of S2L Families
                ''',
                's2l_families',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preempted-in-use-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth soft preempted and rerouted over the
                backup(kbps)
                ''',
                'soft_preempted_in_use_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Backup's source
                ''',
                'source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-instance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel instance
                ''',
                'tunnel_instance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.FastReroute.ProtectedInterfaces' : {
        'meta_info' : _MetaInfoClass('MplsTe.FastReroute.ProtectedInterfaces',
            False, 
            [
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.FastReroute.ProtectedInterfaces.ProtectedInterface', 
                [], [], 
                '''                Fastreroute info for a given protected
                interface
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interfaces',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.FastReroute.Protections.Protection' : {
        'meta_info' : _MetaInfoClass('MplsTe.FastReroute.Protections.Protection',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination Address
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                LSP ID
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                P2MP ID
                ''',
                'p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('session-type', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Session Type
                ''',
                'session_type',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Subgroup ID
                ''',
                'sub_group_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('sub-group-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Orig ID
                ''',
                'sub_group_originator',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('admin-status', REFERENCE_ENUM_CLASS, 'MplsTeTunnelStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelStateEnum', 
                [], [], 
                '''                Tunnel Admin status
                ''',
                'admin_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup bandwidth
                ''',
                'backup_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                S2L Nexthop of the backup tunnel
                ''',
                'backup_next_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-status', REFERENCE_ENUM_CLASS, 'MplsTeBackupStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBackupStatusEnum', 
                [], [], 
                '''                Backup status
                ''',
                'backup_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-limit-type', REFERENCE_ENUM_CLASS, 'MplsTeBwLimitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwLimitEnum', 
                [], [], 
                '''                Bandwidth limit type
                ''',
                'bandwidth_limit_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-pool-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                Bandwidth pool type
                ''',
                'bandwidth_pool_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-address-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination
                ''',
                'destination_address_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-tunnel-id-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended Tunnel ID
                ''',
                'extended_tunnel_id_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-output-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Output interface of bkup tunnel
                ''',
                'frr_output_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-output-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                FRR output label
                ''',
                'frr_output_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-output-tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FRR output tunnel intface
                ''',
                'frr_output_tunnel_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('inbound-frr-state', REFERENCE_ENUM_CLASS, 'MplsTeFrrStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeFrrStateEnum', 
                [], [], 
                '''                Indicates inbound FRR state
                ''',
                'inbound_frr_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('input-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input label
                ''',
                'input_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-frr-requested', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if frr protection is on
                ''',
                'is_frr_requested',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-p2mp-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is P2P or P2MP Tunnel
                ''',
                'is_p2mp_tunnel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether signalled
                ''',
                'is_signalled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                LSP bandwidth type
                ''',
                'lsp_bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('operation-status', REFERENCE_ENUM_CLASS, 'MplsTeTunnelStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelStateEnum', 
                [], [], 
                '''                Tunnel operational status
                ''',
                'operation_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('original-input-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Input intface of the LSP
                ''',
                'original_input_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outbound-frr-state', REFERENCE_ENUM_CLASS, 'MplsTeFrrStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeFrrStateEnum', 
                [], [], 
                '''                Indicates outbound FRR state
                ''',
                'outbound_frr_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('output-interface-lsp', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Output intface of the LSP
                ''',
                'output_interface_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('output-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output label
                ''',
                'output_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2mp-id-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L P2MP ID
                ''',
                'p2mp_id_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Previous hop
                ''',
                'previous_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('role', REFERENCE_ENUM_CLASS, 'MplsTeTunnelRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelRoleEnum', 
                [], [], 
                '''                Role of LSP
                ''',
                'role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sharing-type', REFERENCE_ENUM_CLASS, 'MplsTeFrrSharingEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeFrrSharingEnum', 
                [], [], 
                '''                Outgoing i/f Sharing type
                ''',
                'sharing_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-address-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source
                ''',
                'source_address_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-group-id-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Sub-Group ID
                ''',
                'sub_group_id_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-group-original-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                S2L Sub-Group Originator ID
                ''',
                'sub_group_original_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-instance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel instance
                ''',
                'tunnel_instance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.FastReroute.Protections' : {
        'meta_info' : _MetaInfoClass('MplsTe.FastReroute.Protections',
            False, 
            [
            _MetaInfoClassMember('protection', REFERENCE_LIST, 'Protection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.FastReroute.Protections.Protection', 
                [], [], 
                '''                Fastreroute info for a given protection
                interface
                ''',
                'protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protections',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.FastReroute.Promotion' : {
        'meta_info' : _MetaInfoClass('MplsTe.FastReroute.Promotion',
            False, 
            [
            _MetaInfoClassMember('is-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicate if periodic promotion is configured 
                ''',
                'is_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('promotion-period', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Promotion period in seconds
                ''',
                'promotion_period',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remaining-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remaining time for next promotion in seconds
                ''',
                'remaining_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'promotion',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.FastReroute' : {
        'meta_info' : _MetaInfoClass('MplsTe.FastReroute',
            False, 
            [
            _MetaInfoClassMember('backup-tunnels', REFERENCE_CLASS, 'BackupTunnels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.FastReroute.BackupTunnels', 
                [], [], 
                '''                The set of fastreroute backup tunnels available
                in MPLS-TE
                ''',
                'backup_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('promotion', REFERENCE_CLASS, 'Promotion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.FastReroute.Promotion', 
                [], [], 
                '''                The info about the promotion timer of backup
                tunnels
                ''',
                'promotion',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interfaces', REFERENCE_CLASS, 'ProtectedInterfaces' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.FastReroute.ProtectedInterfaces', 
                [], [], 
                '''                The set of fastreroute protected interfaces
                available in MPLS-TE
                ''',
                'protected_interfaces',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protections', REFERENCE_CLASS, 'Protections' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.FastReroute.Protections', 
                [], [], 
                '''                The set of fastreroute protected interfaces
                available in MPLS-TE
                ''',
                'protections',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fast-reroute',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AttributeSets.AttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTe.AttributeSets.AttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AttributeSets.AttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTe.AttributeSets.AttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 64)], [], 
                '''                Attribute Set Name
                ''',
                'attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('attribute-set-type', REFERENCE_ENUM_CLASS, 'MplsTeAttrSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeAttrSetEnum', 
                [], [], 
                '''                Attribute Set Type
                ''',
                'attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AttributeSets.AttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AttributeSets' : {
        'meta_info' : _MetaInfoClass('MplsTe.AttributeSets',
            False, 
            [
            _MetaInfoClassMember('attribute-set', REFERENCE_LIST, 'AttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AttributeSets.AttributeSet', 
                [], [], 
                '''                MPLS TE attribute-set information
                ''',
                'attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-sets',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.IgpAreaBriefs.IgpAreaBrief.Area.ActiveData.AreaStatistics' : {
        'meta_info' : _MetaInfoClass('MplsTe.IgpAreaBriefs.IgpAreaBrief.Area.ActiveData.AreaStatistics',
            False, 
            [
            _MetaInfoClassMember('area-adjacency-announce-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of adjacency announcement messages
                received
                ''',
                'area_adjacency_announce_messages',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('area-adjacency-request-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of adjacency request messages sent
                ''',
                'area_adjacency_request_messages',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('area-flood-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of local LSA floods sent
                ''',
                'area_flood_messages',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('area-lsa-announce-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSA announcement messages received
                ''',
                'area_lsa_announce_messages',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('area-lsa-delete-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSA delete messages received
                ''',
                'area_lsa_delete_messages',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('area-lsa-fragment-announce-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSA fragment announcement messages
                received
                ''',
                'area_lsa_fragment_announce_messages',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('area-lsa-fragment-delete-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSA fragment delete messages received
                ''',
                'area_lsa_fragment_delete_messages',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('area-tunnel-announce-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of tunnel announcement messages sent
                ''',
                'area_tunnel_announce_messages',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'area-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.IgpAreaBriefs.IgpAreaBrief.Area.ActiveData' : {
        'meta_info' : _MetaInfoClass('MplsTe.IgpAreaBriefs.IgpAreaBrief.Area.ActiveData',
            False, 
            [
            _MetaInfoClassMember('area-statistics', REFERENCE_CLASS, 'AreaStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.IgpAreaBriefs.IgpAreaBrief.Area.ActiveData.AreaStatistics', 
                [], [], 
                '''                Area communication statistics
                ''',
                'area_statistics',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interfaces-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of interfaces running over this area
                ''',
                'interfaces_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-idt-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate IDT for link adjacencies was
                received
                ''',
                'link_idt_received',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2mp-destination-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of P2MP destinations whose path was
                calculated over this area
                ''',
                'p2mp_destination_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-autoroute-announced-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of p2p tunnel heads which have been
                autoroute-announced into this area
                ''',
                'p2p_autoroute_announced_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-forwarding-adjacency-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of p2p tunnel heads which have been
                announced as forwarding adjacencies in this area
                ''',
                'p2p_forwarding_adjacency_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-heads-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of p2p tunnel heads whose path was
                calculated over this area
                ''',
                'p2p_heads_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sr-strict', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate if the area is SR strict
                ''',
                'sr_strict',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-idt-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate IDT topology was received
                ''',
                'topology_idt_received',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-loose-hops', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of tunnels with a loose hop ERO expanded
                in this area
                ''',
                'tunnel_loose_hops',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'active-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.IgpAreaBriefs.IgpAreaBrief.Area' : {
        'meta_info' : _MetaInfoClass('MplsTe.IgpAreaBriefs.IgpAreaBrief.Area',
            False, 
            [
            _MetaInfoClassMember('active-data', REFERENCE_CLASS, 'ActiveData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.IgpAreaBriefs.IgpAreaBrief.Area.ActiveData', 
                [], [], 
                '''                Data which applies only to an active area
                ''',
                'active_data',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('area-format', REFERENCE_ENUM_CLASS, 'IgpOspfAreaFormatEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'IgpOspfAreaFormatEnum', 
                [], [], 
                '''                IGP Area Format
                ''',
                'area_format',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('area-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Internal area index
                ''',
                'area_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('area-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area number
                ''',
                'area_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-config-ready', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not the area is correctly
                configured under the IGP submode to run TE
                ''',
                'is_config_ready',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'area',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.IgpAreaBriefs.IgpAreaBrief' : {
        'meta_info' : _MetaInfoClass('MplsTe.IgpAreaBriefs.IgpAreaBrief',
            False, 
            [
            _MetaInfoClassMember('process-tag', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                IGP Process Tag
                ''',
                'process_tag',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'MplsTeIgpProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeIgpProtocolEnum', 
                [], [], 
                '''                The IGP protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('area', REFERENCE_LIST, 'Area' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.IgpAreaBriefs.IgpAreaBrief.Area', 
                [], [], 
                '''                IGP area information
                ''',
                'area',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Configured TE router-id
                ''',
                'configured_te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('connection-down-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times IGP connection has gone down
                ''',
                'connection_down_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('connection-up-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times IGP connection has gone up
                ''',
                'connection_up_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('global-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Global router-id
                ''',
                'global_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('globall-router-id-optical', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Global router-id for GMPLS (optical TE)
                ''',
                'globall_router_id_optical',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('igp-system-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                 The IGP instance's system/router-id; interpret
                appropriately depending on IGP type
                ''',
                'igp_system_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('igp-type', REFERENCE_ENUM_CLASS, 'IgpProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'IgpProtocolEnum', 
                [], [], 
                '''                IGP type
                ''',
                'igp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-use-te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id in use
                ''',
                'in_use_te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                 The IGP instance name
                ''',
                'instance_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-connection-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether the IGP connection is
                open or not
                ''',
                'is_connection_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('secondary-router-id', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Secondary router-ids
                ''',
                'secondary_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'igp-area-brief',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.IgpAreaBriefs' : {
        'meta_info' : _MetaInfoClass('MplsTe.IgpAreaBriefs',
            False, 
            [
            _MetaInfoClassMember('igp-area-brief', REFERENCE_LIST, 'IgpAreaBrief' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.IgpAreaBriefs.IgpAreaBrief', 
                [], [], 
                '''                An IGP instance Brief info
                ''',
                'igp_area_brief',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'igp-area-briefs',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.FlexInfo.FlexFec' : {
        'meta_info' : _MetaInfoClass('MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.FlexInfo.FlexFec',
            False, 
            [
            _MetaInfoClassMember('s2l-fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                Session identifier (ctype)
                ''',
                's2l_fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-dest', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                sub-LSP destination address
                ''',
                's2l_fec_dest',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                's2l_fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                's2l_fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                's2l_fec_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSP source address
                ''',
                's2l_fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                sub-LSP subgroup ID
                ''',
                's2l_fec_subgroup_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                's2l_fec_subgroup_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                's2l_fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                's2l_fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.FlexInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.FlexInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-created', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GAL BFD Session Created
                ''',
                'bfd_created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-egress-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Egress Label
                ''',
                'bfd_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-int-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Internal Label
                ''',
                'bfd_int_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                BFD Next Hop
                ''',
                'bfd_next_hop',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-out-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD Out Interface Handle
                ''',
                'bfd_out_ifh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-tun-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD Tunnel Interface Handle
                ''',
                'bfd_tun_ifh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GAL BFD Session Up
                ''',
                'bfd_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('entry-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FlexLSP Entry Exists
                ''',
                'entry_exists',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ais', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault AIS
                ''',
                'fault_ais',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ldi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LDI
                ''',
                'fault_ldi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ldi-lockout', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LDI Lockout
                ''',
                'fault_ldi_lockout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-lkr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LKR
                ''',
                'fault_lkr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Fault Time
                ''',
                'fault_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex-fec', REFERENCE_CLASS, 'FlexFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.FlexInfo.FlexFec', 
                [], [], 
                '''                FEC for the FlexLSP Entry
                ''',
                'flex_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                In Label
                ''',
                'in_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('oam-created', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                OAM Entry Created
                ''',
                'oam_created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.Association' : {
        'meta_info' : _MetaInfoClass('MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.Association',
            False, 
            [
            _MetaInfoClassMember('s2l-association-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Association ID
                ''',
                's2l_association_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                S2L Association Source
                ''',
                's2l_association_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-tie-role', REFERENCE_ENUM_CLASS, 'TeAssociationTieRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAssociationTieRoleEnum', 
                [], [], 
                '''                S2L Association Tie Role
                ''',
                's2l_association_tie_role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Association Type                         
                (draft-ietf-ccamp-mpls-tp-rsvpte-ext-associated-lsp)
                ''',
                's2l_association_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-extended-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L Extended ID Array
                ''',
                's2l_extended_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-global-source', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L Global Source
                ''',
                's2l_global_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'association',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.Protection' : {
        'meta_info' : _MetaInfoClass('MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.Protection',
            False, 
            [
            _MetaInfoClassMember('any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Any
                ''',
                'any',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ded1-plus1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1+1 Protection
                ''',
                'ded1_plus1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ded1-to1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1:1 Protection
                ''',
                'ded1_to1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('enhanced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates Enhanced Protection Scheme
                ''',
                'enhanced',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extra-traffic', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should use Links that are protecting other
                (primary) traffic
                ''',
                'extra_traffic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should not use any Link Layer Protection
                ''',
                'link_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Flags Unprotected
                ''',
                'lsp_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-plus-one-bi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Bidirectional Protection
                ''',
                'one_plus_one_bi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-plus-one-uni', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Unidirectional Protection
                ''',
                'one_plus_one_uni',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-to-n-protection-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1:N Protection with Extra-Traffic
                ''',
                'one_to_n_protection_et',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Full Rerouting
                ''',
                'rerouting',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouting-no-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Rerouting Without Extra-Traffic
                ''',
                'rerouting_no_et',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-notification', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Notification Bit
                ''',
                's2l_notification',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-operational', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Operational Bit
                ''',
                's2l_operational',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Protecting Bit
                ''',
                's2l_protecting',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-secondary', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Secondary Bit
                ''',
                's2l_secondary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Shared Link Layer Protection
                ''',
                'shared',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp.ReverseLspFec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp.ReverseLspFec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp.ReverseLspFec' : {
        'meta_info' : _MetaInfoClass('MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp.ReverseLspFec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp.ReverseLspFec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-lsp-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp.Association' : {
        'meta_info' : _MetaInfoClass('MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp.Association',
            False, 
            [
            _MetaInfoClassMember('s2l-association-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Association ID
                ''',
                's2l_association_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                S2L Association Source
                ''',
                's2l_association_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-tie-role', REFERENCE_ENUM_CLASS, 'TeAssociationTieRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAssociationTieRoleEnum', 
                [], [], 
                '''                S2L Association Tie Role
                ''',
                's2l_association_tie_role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Association Type                         
                (draft-ietf-ccamp-mpls-tp-rsvpte-ext-associated-lsp)
                ''',
                's2l_association_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-extended-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L Extended ID Array
                ''',
                's2l_extended_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-global-source', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L Global Source
                ''',
                's2l_global_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'association',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp.Protection' : {
        'meta_info' : _MetaInfoClass('MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp.Protection',
            False, 
            [
            _MetaInfoClassMember('any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Any
                ''',
                'any',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ded1-plus1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1+1 Protection
                ''',
                'ded1_plus1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ded1-to1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1:1 Protection
                ''',
                'ded1_to1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('enhanced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates Enhanced Protection Scheme
                ''',
                'enhanced',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extra-traffic', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should use Links that are protecting other
                (primary) traffic
                ''',
                'extra_traffic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should not use any Link Layer Protection
                ''',
                'link_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Flags Unprotected
                ''',
                'lsp_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-plus-one-bi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Bidirectional Protection
                ''',
                'one_plus_one_bi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-plus-one-uni', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Unidirectional Protection
                ''',
                'one_plus_one_uni',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-to-n-protection-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1:N Protection with Extra-Traffic
                ''',
                'one_to_n_protection_et',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Full Rerouting
                ''',
                'rerouting',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouting-no-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Rerouting Without Extra-Traffic
                ''',
                'rerouting_no_et',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-notification', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Notification Bit
                ''',
                's2l_notification',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-operational', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Operational Bit
                ''',
                's2l_operational',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Protecting Bit
                ''',
                's2l_protecting',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-secondary', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Secondary Bit
                ''',
                's2l_secondary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Shared Link Layer Protection
                ''',
                'shared',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp' : {
        'meta_info' : _MetaInfoClass('MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp',
            False, 
            [
            _MetaInfoClassMember('association', REFERENCE_CLASS, 'Association' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp.Association', 
                [], [], 
                '''                Association Object
                ''',
                'association',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection', REFERENCE_CLASS, 'Protection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp.Protection', 
                [], [], 
                '''                Protection Object
                ''',
                'protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Connected
                ''',
                'reverse_lsp_connected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-fec', REFERENCE_CLASS, 'ReverseLspFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp.ReverseLspFec', 
                [], [], 
                '''                Reverse Associated Bidir LSP FEC
                ''',
                'reverse_lsp_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Present
                ''',
                'reverse_lsp_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.LspHop.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.LspHop.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.LspHop.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.LspHop.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.LspHop' : {
        'meta_info' : _MetaInfoClass('MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.LspHop',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.LspHop.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.LspHop.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp' : {
        'meta_info' : _MetaInfoClass('MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp',
            False, 
            [
            _MetaInfoClassMember('association', REFERENCE_CLASS, 'Association' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.Association', 
                [], [], 
                '''                Association Object
                ''',
                'association',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex-info', REFERENCE_CLASS, 'FlexInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.FlexInfo', 
                [], [], 
                '''                Flex Info
                ''',
                'flex_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-operational', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Operational
                ''',
                'is_operational',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-hop', REFERENCE_LIST, 'LspHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.LspHop', 
                [], [], 
                '''                Path used by LSP
                ''',
                'lsp_hop',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label 
                ''',
                'lsp_local_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-output-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Output interface of LSP
                ''',
                'lsp_output_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-output-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output label of the LSP
                ''',
                'lsp_output_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', REFERENCE_ENUM_CLASS, 'MplsTeTunnelStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelStateEnum', 
                [], [], 
                '''                LSP State
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSP Uptime
                ''',
                'lsp_uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-protection-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSP ID 
                ''',
                'path_protection_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection', REFERENCE_CLASS, 'Protection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.Protection', 
                [], [], 
                '''                Protection Object
                ''',
                'protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp', REFERENCE_CLASS, 'ReverseLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp', 
                [], [], 
                '''                Reverse LSP information
                ''',
                'reverse_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'working-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.FlexInfo.FlexFec' : {
        'meta_info' : _MetaInfoClass('MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.FlexInfo.FlexFec',
            False, 
            [
            _MetaInfoClassMember('s2l-fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                Session identifier (ctype)
                ''',
                's2l_fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-dest', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                sub-LSP destination address
                ''',
                's2l_fec_dest',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                's2l_fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                's2l_fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                's2l_fec_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSP source address
                ''',
                's2l_fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                sub-LSP subgroup ID
                ''',
                's2l_fec_subgroup_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                's2l_fec_subgroup_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                's2l_fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                's2l_fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.FlexInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.FlexInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-created', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GAL BFD Session Created
                ''',
                'bfd_created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-egress-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Egress Label
                ''',
                'bfd_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-int-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Internal Label
                ''',
                'bfd_int_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                BFD Next Hop
                ''',
                'bfd_next_hop',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-out-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD Out Interface Handle
                ''',
                'bfd_out_ifh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-tun-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD Tunnel Interface Handle
                ''',
                'bfd_tun_ifh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GAL BFD Session Up
                ''',
                'bfd_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('entry-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FlexLSP Entry Exists
                ''',
                'entry_exists',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ais', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault AIS
                ''',
                'fault_ais',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ldi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LDI
                ''',
                'fault_ldi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ldi-lockout', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LDI Lockout
                ''',
                'fault_ldi_lockout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-lkr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LKR
                ''',
                'fault_lkr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Fault Time
                ''',
                'fault_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex-fec', REFERENCE_CLASS, 'FlexFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.FlexInfo.FlexFec', 
                [], [], 
                '''                FEC for the FlexLSP Entry
                ''',
                'flex_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                In Label
                ''',
                'in_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('oam-created', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                OAM Entry Created
                ''',
                'oam_created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.Association' : {
        'meta_info' : _MetaInfoClass('MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.Association',
            False, 
            [
            _MetaInfoClassMember('s2l-association-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Association ID
                ''',
                's2l_association_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                S2L Association Source
                ''',
                's2l_association_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-tie-role', REFERENCE_ENUM_CLASS, 'TeAssociationTieRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAssociationTieRoleEnum', 
                [], [], 
                '''                S2L Association Tie Role
                ''',
                's2l_association_tie_role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Association Type                         
                (draft-ietf-ccamp-mpls-tp-rsvpte-ext-associated-lsp)
                ''',
                's2l_association_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-extended-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L Extended ID Array
                ''',
                's2l_extended_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-global-source', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L Global Source
                ''',
                's2l_global_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'association',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.Protection' : {
        'meta_info' : _MetaInfoClass('MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.Protection',
            False, 
            [
            _MetaInfoClassMember('any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Any
                ''',
                'any',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ded1-plus1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1+1 Protection
                ''',
                'ded1_plus1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ded1-to1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1:1 Protection
                ''',
                'ded1_to1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('enhanced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates Enhanced Protection Scheme
                ''',
                'enhanced',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extra-traffic', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should use Links that are protecting other
                (primary) traffic
                ''',
                'extra_traffic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should not use any Link Layer Protection
                ''',
                'link_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Flags Unprotected
                ''',
                'lsp_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-plus-one-bi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Bidirectional Protection
                ''',
                'one_plus_one_bi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-plus-one-uni', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Unidirectional Protection
                ''',
                'one_plus_one_uni',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-to-n-protection-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1:N Protection with Extra-Traffic
                ''',
                'one_to_n_protection_et',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Full Rerouting
                ''',
                'rerouting',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouting-no-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Rerouting Without Extra-Traffic
                ''',
                'rerouting_no_et',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-notification', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Notification Bit
                ''',
                's2l_notification',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-operational', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Operational Bit
                ''',
                's2l_operational',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Protecting Bit
                ''',
                's2l_protecting',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-secondary', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Secondary Bit
                ''',
                's2l_secondary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Shared Link Layer Protection
                ''',
                'shared',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp.ReverseLspFec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp.ReverseLspFec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp.ReverseLspFec' : {
        'meta_info' : _MetaInfoClass('MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp.ReverseLspFec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp.ReverseLspFec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-lsp-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp.Association' : {
        'meta_info' : _MetaInfoClass('MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp.Association',
            False, 
            [
            _MetaInfoClassMember('s2l-association-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Association ID
                ''',
                's2l_association_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                S2L Association Source
                ''',
                's2l_association_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-tie-role', REFERENCE_ENUM_CLASS, 'TeAssociationTieRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAssociationTieRoleEnum', 
                [], [], 
                '''                S2L Association Tie Role
                ''',
                's2l_association_tie_role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Association Type                         
                (draft-ietf-ccamp-mpls-tp-rsvpte-ext-associated-lsp)
                ''',
                's2l_association_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-extended-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L Extended ID Array
                ''',
                's2l_extended_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-global-source', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L Global Source
                ''',
                's2l_global_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'association',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp.Protection' : {
        'meta_info' : _MetaInfoClass('MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp.Protection',
            False, 
            [
            _MetaInfoClassMember('any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Any
                ''',
                'any',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ded1-plus1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1+1 Protection
                ''',
                'ded1_plus1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ded1-to1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1:1 Protection
                ''',
                'ded1_to1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('enhanced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates Enhanced Protection Scheme
                ''',
                'enhanced',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extra-traffic', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should use Links that are protecting other
                (primary) traffic
                ''',
                'extra_traffic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should not use any Link Layer Protection
                ''',
                'link_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Flags Unprotected
                ''',
                'lsp_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-plus-one-bi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Bidirectional Protection
                ''',
                'one_plus_one_bi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-plus-one-uni', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Unidirectional Protection
                ''',
                'one_plus_one_uni',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-to-n-protection-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1:N Protection with Extra-Traffic
                ''',
                'one_to_n_protection_et',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Full Rerouting
                ''',
                'rerouting',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouting-no-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Rerouting Without Extra-Traffic
                ''',
                'rerouting_no_et',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-notification', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Notification Bit
                ''',
                's2l_notification',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-operational', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Operational Bit
                ''',
                's2l_operational',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Protecting Bit
                ''',
                's2l_protecting',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-secondary', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Secondary Bit
                ''',
                's2l_secondary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Shared Link Layer Protection
                ''',
                'shared',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp' : {
        'meta_info' : _MetaInfoClass('MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp',
            False, 
            [
            _MetaInfoClassMember('association', REFERENCE_CLASS, 'Association' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp.Association', 
                [], [], 
                '''                Association Object
                ''',
                'association',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection', REFERENCE_CLASS, 'Protection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp.Protection', 
                [], [], 
                '''                Protection Object
                ''',
                'protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Connected
                ''',
                'reverse_lsp_connected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-fec', REFERENCE_CLASS, 'ReverseLspFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp.ReverseLspFec', 
                [], [], 
                '''                Reverse Associated Bidir LSP FEC
                ''',
                'reverse_lsp_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Present
                ''',
                'reverse_lsp_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.LspHop.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.LspHop.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.LspHop.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.LspHop.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.LspHop' : {
        'meta_info' : _MetaInfoClass('MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.LspHop',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.LspHop.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.LspHop.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp' : {
        'meta_info' : _MetaInfoClass('MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp',
            False, 
            [
            _MetaInfoClassMember('association', REFERENCE_CLASS, 'Association' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.Association', 
                [], [], 
                '''                Association Object
                ''',
                'association',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex-info', REFERENCE_CLASS, 'FlexInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.FlexInfo', 
                [], [], 
                '''                Flex Info
                ''',
                'flex_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-operational', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Operational
                ''',
                'is_operational',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-hop', REFERENCE_LIST, 'LspHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.LspHop', 
                [], [], 
                '''                Path used by LSP
                ''',
                'lsp_hop',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label 
                ''',
                'lsp_local_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-output-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Output interface of LSP
                ''',
                'lsp_output_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-output-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output label of the LSP
                ''',
                'lsp_output_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', REFERENCE_ENUM_CLASS, 'MplsTeTunnelStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelStateEnum', 
                [], [], 
                '''                LSP State
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSP Uptime
                ''',
                'lsp_uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-protection-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSP ID 
                ''',
                'path_protection_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection', REFERENCE_CLASS, 'Protection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.Protection', 
                [], [], 
                '''                Protection Object
                ''',
                'protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp', REFERENCE_CLASS, 'ReverseLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp', 
                [], [], 
                '''                Reverse LSP information
                ''',
                'reverse_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protect-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp' : {
        'meta_info' : _MetaInfoClass('MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp',
            False, 
            [
            _MetaInfoClassMember('ctype', REFERENCE_ENUM_CLASS, 'CtypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'CtypeEnum', 
                [], [], 
                '''                Ctype
                ''',
                'ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel UP
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protect-lsp', REFERENCE_CLASS, 'ProtectLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp', 
                [], [], 
                '''                 Protect LSP info
                ''',
                'protect_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source
                ''',
                'source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tun-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tun_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('working-lsp', REFERENCE_CLASS, 'WorkingLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp', 
                [], [], 
                '''                 Working LSP info
                ''',
                'working_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tunnel-flex-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Tunnels.TunnelFlexLsps' : {
        'meta_info' : _MetaInfoClass('MplsTe.Tunnels.TunnelFlexLsps',
            False, 
            [
            _MetaInfoClassMember('tunnel-flex-lsp', REFERENCE_LIST, 'TunnelFlexLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp', 
                [], [], 
                '''                Flex LSP
                ''',
                'tunnel_flex_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tunnel-flex-lsps',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Tunnels.TunnelAutoBandwidths.TunnelAutoBandwidth.AutoBandwidthStatus' : {
        'meta_info' : _MetaInfoClass('MplsTe.Tunnels.TunnelAutoBandwidths.TunnelAutoBandwidth.AutoBandwidthStatus',
            False, 
            [
            _MetaInfoClassMember('is-auto-bandwidth-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if auto-bw is enabled for the tunnel
                ''',
                'is_auto_bandwidth_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reactivation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until auto-bw gets activated if activation
                has been delayed due to failover
                ''',
                'reactivation_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'auto-bandwidth-status',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Tunnels.TunnelAutoBandwidths.TunnelAutoBandwidth' : {
        'meta_info' : _MetaInfoClass('MplsTe.Tunnels.TunnelAutoBandwidths.TunnelAutoBandwidth',
            False, 
            [
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('auto-bandwidth-status', REFERENCE_CLASS, 'AutoBandwidthStatus' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Tunnels.TunnelAutoBandwidths.TunnelAutoBandwidth.AutoBandwidthStatus', 
                [], [], 
                '''                Tunnels's AutoBandwidth Status information
                ''',
                'auto_bandwidth_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-applications', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of bandwidth applications requested
                by auto-bw
                ''',
                'bandwidth_applications',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('highest-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Highest bandwidth registered within current
                application period
                ''',
                'highest_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-bandwidth-applied', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last bandwidth requested by auto-bw for the
                tunnel
                ''',
                'last_bandwidth_applied',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-sample-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last sample bandwidth collected
                ''',
                'last_sample_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('samples-collected', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of samples collected within current
                application period
                ''',
                'samples_collected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signaled-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel signaled name
                ''',
                'signaled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Signalled bandwidth for the tunnel
                ''',
                'signalled_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-left-application', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time left until next auto-bw application
                algorithm is performed
                ''',
                'time_left_application',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel Lsp Id
                ''',
                'tunnel_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel name
                ''',
                'tunnel_name_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-requested-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Requested Bandwidth for the tunnel
                ''',
                'tunnel_requested_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tunnel-auto-bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Tunnels.TunnelAutoBandwidths' : {
        'meta_info' : _MetaInfoClass('MplsTe.Tunnels.TunnelAutoBandwidths',
            False, 
            [
            _MetaInfoClassMember('tunnel-auto-bandwidth', REFERENCE_LIST, 'TunnelAutoBandwidth' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Tunnels.TunnelAutoBandwidths.TunnelAutoBandwidth', 
                [], [], 
                '''                Auto Bandwidth info bag
                ''',
                'tunnel_auto_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tunnel-auto-bandwidths',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Tunnels.Summary.AutobackupSummary' : {
        'meta_info' : _MetaInfoClass('MplsTe.Tunnels.Summary.AutobackupSummary',
            False, 
            [
            _MetaInfoClassMember('autobackups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup tunnels
                ''',
                'autobackups',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('down-autobackups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup tunnels that are down
                ''',
                'down_autobackups',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-autobackup-protected-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup protected LSPs with
                NHOP and no SRLG
                ''',
                'next_hop_autobackup_protected_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-autobackup-protected-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup protected S2Ls with
                NHOP and no SRLG
                ''',
                'next_hop_autobackup_protected_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-autobackup-protected-s2l-families', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup protected S2L
                Families with NHOP and no SRLG
                ''',
                'next_hop_autobackup_protected_s2l_families',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-autobackups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup tunnels that are NHOP
                ''',
                'next_hop_autobackups',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-srlg-autobackup-protected-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup protected LSPs with
                NHOP and SRLG
                ''',
                'next_hop_srlg_autobackup_protected_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-srlg-autobackup-protected-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup protected S2Ls with
                NHOP and SRLG
                ''',
                'next_hop_srlg_autobackup_protected_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-srlg-autobackup-protected-s2l-families', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup protected S2L
                Families with NHOP and SRLG
                ''',
                'next_hop_srlg_autobackup_protected_s2l_families',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-next-hop-autobackup-protected-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup protected LSPs with
                NNHOP and no SRLG
                ''',
                'next_next_hop_autobackup_protected_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-next-hop-autobackup-protected-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup protected S2Ls with
                NNHOP and no SRLG
                ''',
                'next_next_hop_autobackup_protected_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-next-hop-autobackup-protected-s2l-families', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup protected S2L
                Families with NNHOP and no SRLG
                ''',
                'next_next_hop_autobackup_protected_s2l_families',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-next-hop-autobackups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup tunnels that are
                NNHOP
                ''',
                'next_next_hop_autobackups',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-next-hop-srlg-autobackup-protected-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup protected LSPs with
                NNHOP and SRLG
                ''',
                'next_next_hop_srlg_autobackup_protected_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-next-hop-srlg-autobackup-protected-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup protected S2Ls with
                NNHOP and SRLG
                ''',
                'next_next_hop_srlg_autobackup_protected_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-next-hop-srlg-autobackup-protected-s2l-families', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup protected S2L
                Families with NNHOP and SRLG
                ''',
                'next_next_hop_srlg_autobackup_protected_s2l_families',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-preferred-autobackups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup tunnels that are
                using SRLG preferred
                ''',
                'srlg_preferred_autobackups',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-strict-autobackups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup tunnels that are
                using SRLG strict
                ''',
                'srlg_strict_autobackups',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-weighted-autobackups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup tunnels that are
                using weighted SRLG
                ''',
                'srlg_weighted_autobackups',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unused-autobackups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup tunnels that are
                unused
                ''',
                'unused_autobackups',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('up-autobackups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup tunnels that are up
                ''',
                'up_autobackups',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'autobackup-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Tunnels.Summary.AutoMeshSummary' : {
        'meta_info' : _MetaInfoClass('MplsTe.Tunnels.Summary.AutoMeshSummary',
            False, 
            [
            _MetaInfoClassMember('auto-mesh-destinations', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of automesh destinations
                ''',
                'auto_mesh_destinations',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-mesh-groups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of automesh mesh-groups
                ''',
                'auto_mesh_groups',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-mesh-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of automesh tunnels
                ''',
                'auto_mesh_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('down-auto-mesh-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of automesh tunnels that are down
                ''',
                'down_auto_mesh_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-auto-mesh-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of automesh tunnels that are FRR
                enabled
                ''',
                'frr_auto_mesh_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('up-auto-mesh-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of automesh tunnels that are up
                ''',
                'up_auto_mesh_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'auto-mesh-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Tunnels.Summary.AutoMeshOneHopSummary' : {
        'meta_info' : _MetaInfoClass('MplsTe.Tunnels.Summary.AutoMeshOneHopSummary',
            False, 
            [
            _MetaInfoClassMember('auto-mesh-one-hop-destinations', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of automesh onehop destinations
                ''',
                'auto_mesh_one_hop_destinations',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-mesh-one-hop-groups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of automesh onehop mesh-groups
                ''',
                'auto_mesh_one_hop_groups',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-mesh-one-hop-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of automesh onehop tunnels
                ''',
                'auto_mesh_one_hop_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('down-auto-mesh-one-hop-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of automesh onehop tunnels that are
                down
                ''',
                'down_auto_mesh_one_hop_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-auto-mesh-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of automesh onehop tunnels that are
                FRR enabled
                ''',
                'frr_auto_mesh_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('up-auto-mesh-one-hop-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of automesh onehop tunnels that are
                up
                ''',
                'up_auto_mesh_one_hop_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'auto-mesh-one-hop-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Tunnels.Summary.GmplsUniSummary' : {
        'meta_info' : _MetaInfoClass('MplsTe.Tunnels.Summary.GmplsUniSummary',
            False, 
            [
            _MetaInfoClassMember('heads-down', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel heads in down state
                ''',
                'heads_down',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('heads-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel heads in up state
                ''',
                'heads_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tails-down', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel tails in down state
                ''',
                'tails_down',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tails-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel tails in up state
                ''',
                'tails_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'gmpls-uni-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Tunnels.Summary.GmplsNniSummary' : {
        'meta_info' : _MetaInfoClass('MplsTe.Tunnels.Summary.GmplsNniSummary',
            False, 
            [
            _MetaInfoClassMember('heads-down', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel heads in down state
                ''',
                'heads_down',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('heads-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel heads in up state
                ''',
                'heads_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mids-down', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel mids in down state
                ''',
                'mids_down',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mids-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel mids in up state
                ''',
                'mids_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tails-down', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel tails in down state
                ''',
                'tails_down',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tails-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel tails in up state
                ''',
                'tails_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'gmpls-nni-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Tunnels.Summary.CurrentTunnelConvergenceSummary.TablePathOut' : {
        'meta_info' : _MetaInfoClass('MplsTe.Tunnels.Summary.CurrentTunnelConvergenceSummary.TablePathOut',
            False, 
            [
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'table-path-out',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Tunnels.Summary.CurrentTunnelConvergenceSummary.TableResvIn' : {
        'meta_info' : _MetaInfoClass('MplsTe.Tunnels.Summary.CurrentTunnelConvergenceSummary.TableResvIn',
            False, 
            [
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'table-resv-in',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Tunnels.Summary.CurrentTunnelConvergenceSummary.TableLabelRewrite' : {
        'meta_info' : _MetaInfoClass('MplsTe.Tunnels.Summary.CurrentTunnelConvergenceSummary.TableLabelRewrite',
            False, 
            [
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'table-label-rewrite',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Tunnels.Summary.CurrentTunnelConvergenceSummary.TablePcalc' : {
        'meta_info' : _MetaInfoClass('MplsTe.Tunnels.Summary.CurrentTunnelConvergenceSummary.TablePcalc',
            False, 
            [
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'table-pcalc',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Tunnels.Summary.CurrentTunnelConvergenceSummary.TableTunnelRewrite' : {
        'meta_info' : _MetaInfoClass('MplsTe.Tunnels.Summary.CurrentTunnelConvergenceSummary.TableTunnelRewrite',
            False, 
            [
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'table-tunnel-rewrite',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Tunnels.Summary.CurrentTunnelConvergenceSummary.TableFrrTrigger' : {
        'meta_info' : _MetaInfoClass('MplsTe.Tunnels.Summary.CurrentTunnelConvergenceSummary.TableFrrTrigger',
            False, 
            [
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'table-frr-trigger',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Tunnels.Summary.CurrentTunnelConvergenceSummary' : {
        'meta_info' : _MetaInfoClass('MplsTe.Tunnels.Summary.CurrentTunnelConvergenceSummary',
            False, 
            [
            _MetaInfoClassMember('table-frr-trigger', REFERENCE_CLASS, 'TableFrrTrigger' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Tunnels.Summary.CurrentTunnelConvergenceSummary.TableFrrTrigger', 
                [], [], 
                '''                Table FRR trigger entry
                ''',
                'table_frr_trigger',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('table-label-rewrite', REFERENCE_CLASS, 'TableLabelRewrite' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Tunnels.Summary.CurrentTunnelConvergenceSummary.TableLabelRewrite', 
                [], [], 
                '''                Table label rewrite entry
                ''',
                'table_label_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('table-path-out', REFERENCE_CLASS, 'TablePathOut' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Tunnels.Summary.CurrentTunnelConvergenceSummary.TablePathOut', 
                [], [], 
                '''                Table path-out entry
                ''',
                'table_path_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('table-pcalc', REFERENCE_CLASS, 'TablePcalc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Tunnels.Summary.CurrentTunnelConvergenceSummary.TablePcalc', 
                [], [], 
                '''                Table PCALC entry
                ''',
                'table_pcalc',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('table-resv-in', REFERENCE_CLASS, 'TableResvIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Tunnels.Summary.CurrentTunnelConvergenceSummary.TableResvIn', 
                [], [], 
                '''                Table resv-in entry
                ''',
                'table_resv_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('table-tunnel-rewrite', REFERENCE_CLASS, 'TableTunnelRewrite' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Tunnels.Summary.CurrentTunnelConvergenceSummary.TableTunnelRewrite', 
                [], [], 
                '''                Table Tunnel rewrite entry
                ''',
                'table_tunnel_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-converged-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel converged count
                ''',
                'tunnel_converged_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-frr-active-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                FRR active Tunnel count
                ''',
                'tunnel_frr_active_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-frr-total-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                FRR triggered Tunnel count
                ''',
                'tunnel_frr_total_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-total-convergence-complete-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tunnel convergence complete timestamp (clocktime
                in nsecs)
                ''',
                'tunnel_total_convergence_complete_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'current-tunnel-convergence-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Tunnels.Summary.LastTunnelConvergenceSummary.TablePathOut' : {
        'meta_info' : _MetaInfoClass('MplsTe.Tunnels.Summary.LastTunnelConvergenceSummary.TablePathOut',
            False, 
            [
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'table-path-out',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Tunnels.Summary.LastTunnelConvergenceSummary.TableResvIn' : {
        'meta_info' : _MetaInfoClass('MplsTe.Tunnels.Summary.LastTunnelConvergenceSummary.TableResvIn',
            False, 
            [
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'table-resv-in',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Tunnels.Summary.LastTunnelConvergenceSummary.TableLabelRewrite' : {
        'meta_info' : _MetaInfoClass('MplsTe.Tunnels.Summary.LastTunnelConvergenceSummary.TableLabelRewrite',
            False, 
            [
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'table-label-rewrite',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Tunnels.Summary.LastTunnelConvergenceSummary.TablePcalc' : {
        'meta_info' : _MetaInfoClass('MplsTe.Tunnels.Summary.LastTunnelConvergenceSummary.TablePcalc',
            False, 
            [
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'table-pcalc',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Tunnels.Summary.LastTunnelConvergenceSummary.TableTunnelRewrite' : {
        'meta_info' : _MetaInfoClass('MplsTe.Tunnels.Summary.LastTunnelConvergenceSummary.TableTunnelRewrite',
            False, 
            [
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'table-tunnel-rewrite',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Tunnels.Summary.LastTunnelConvergenceSummary.TableFrrTrigger' : {
        'meta_info' : _MetaInfoClass('MplsTe.Tunnels.Summary.LastTunnelConvergenceSummary.TableFrrTrigger',
            False, 
            [
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'table-frr-trigger',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Tunnels.Summary.LastTunnelConvergenceSummary' : {
        'meta_info' : _MetaInfoClass('MplsTe.Tunnels.Summary.LastTunnelConvergenceSummary',
            False, 
            [
            _MetaInfoClassMember('table-frr-trigger', REFERENCE_CLASS, 'TableFrrTrigger' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Tunnels.Summary.LastTunnelConvergenceSummary.TableFrrTrigger', 
                [], [], 
                '''                Table FRR trigger entry
                ''',
                'table_frr_trigger',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('table-label-rewrite', REFERENCE_CLASS, 'TableLabelRewrite' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Tunnels.Summary.LastTunnelConvergenceSummary.TableLabelRewrite', 
                [], [], 
                '''                Table label rewrite entry
                ''',
                'table_label_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('table-path-out', REFERENCE_CLASS, 'TablePathOut' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Tunnels.Summary.LastTunnelConvergenceSummary.TablePathOut', 
                [], [], 
                '''                Table path-out entry
                ''',
                'table_path_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('table-pcalc', REFERENCE_CLASS, 'TablePcalc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Tunnels.Summary.LastTunnelConvergenceSummary.TablePcalc', 
                [], [], 
                '''                Table PCALC entry
                ''',
                'table_pcalc',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('table-resv-in', REFERENCE_CLASS, 'TableResvIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Tunnels.Summary.LastTunnelConvergenceSummary.TableResvIn', 
                [], [], 
                '''                Table resv-in entry
                ''',
                'table_resv_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('table-tunnel-rewrite', REFERENCE_CLASS, 'TableTunnelRewrite' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Tunnels.Summary.LastTunnelConvergenceSummary.TableTunnelRewrite', 
                [], [], 
                '''                Table Tunnel rewrite entry
                ''',
                'table_tunnel_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-converged-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel converged count
                ''',
                'tunnel_converged_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-frr-active-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                FRR active Tunnel count
                ''',
                'tunnel_frr_active_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-frr-total-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                FRR triggered Tunnel count
                ''',
                'tunnel_frr_total_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-total-convergence-complete-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tunnel convergence complete timestamp (clocktime
                in nsecs)
                ''',
                'tunnel_total_convergence_complete_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'last-tunnel-convergence-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Tunnels.Summary.AutoTunServerSummary.TotalAutoP2MpTunnels' : {
        'meta_info' : _MetaInfoClass('MplsTe.Tunnels.Summary.AutoTunServerSummary.TotalAutoP2MpTunnels',
            False, 
            [
            _MetaInfoClassMember('auto-p2mp-destinations', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of client P2MP auto-tunnel
                destinations
                ''',
                'auto_p2mp_destinations',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-p2mp-tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of client P2MP auto-tunnels
                ''',
                'auto_p2mp_tunnel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('down-auto-p2mp-destinations', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of client P2MP auto-tunnel
                destinations that are down
                ''',
                'down_auto_p2mp_destinations',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('down-auto-p2mp-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of client P2MP auto-tunnels that
                are down
                ''',
                'down_auto_p2mp_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-auto-p2mp-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of client P2MP auto-tunnels that
                are FRR enabled
                ''',
                'frr_auto_p2mp_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('up-auto-p2mp-destinations', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of client P2MP auto-tunnel
                destinations that are up
                ''',
                'up_auto_p2mp_destinations',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('up-auto-p2mp-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of client P2MP auto-tunnels that
                are up
                ''',
                'up_auto_p2mp_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'total-auto-p2mp-tunnels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Tunnels.Summary.AutoTunServerSummary.TotalAutoP2PTunnels' : {
        'meta_info' : _MetaInfoClass('MplsTe.Tunnels.Summary.AutoTunServerSummary.TotalAutoP2PTunnels',
            False, 
            [
            _MetaInfoClassMember('auto-p2p-tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of client P2P auto-tunnels
                ''',
                'auto_p2p_tunnel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('down-auto-p2p-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of client P2P auto-tunnels that are
                down
                ''',
                'down_auto_p2p_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('up-auto-p2p-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of client P2P auto-tunnels that are
                up
                ''',
                'up_auto_p2p_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'total-auto-p2p-tunnels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Tunnels.Summary.AutoTunServerSummary.ClientsSummary.P2MpInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.Tunnels.Summary.AutoTunServerSummary.ClientsSummary.P2MpInfo',
            False, 
            [
            _MetaInfoClassMember('auto-p2mp-destinations', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of client P2MP auto-tunnel
                destinations
                ''',
                'auto_p2mp_destinations',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-p2mp-tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of client P2MP auto-tunnels
                ''',
                'auto_p2mp_tunnel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('down-auto-p2mp-destinations', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of client P2MP auto-tunnel
                destinations that are down
                ''',
                'down_auto_p2mp_destinations',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('down-auto-p2mp-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of client P2MP auto-tunnels that
                are down
                ''',
                'down_auto_p2mp_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-auto-p2mp-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of client P2MP auto-tunnels that
                are FRR enabled
                ''',
                'frr_auto_p2mp_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('up-auto-p2mp-destinations', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of client P2MP auto-tunnel
                destinations that are up
                ''',
                'up_auto_p2mp_destinations',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('up-auto-p2mp-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of client P2MP auto-tunnels that
                are up
                ''',
                'up_auto_p2mp_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'p2mp-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Tunnels.Summary.AutoTunServerSummary.ClientsSummary.P2PInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.Tunnels.Summary.AutoTunServerSummary.ClientsSummary.P2PInfo',
            False, 
            [
            _MetaInfoClassMember('auto-p2p-tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of client P2P auto-tunnels
                ''',
                'auto_p2p_tunnel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('down-auto-p2p-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of client P2P auto-tunnels that are
                down
                ''',
                'down_auto_p2p_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('up-auto-p2p-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of client P2P auto-tunnels that are
                up
                ''',
                'up_auto_p2p_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'p2p-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Tunnels.Summary.AutoTunServerSummary.ClientsSummary' : {
        'meta_info' : _MetaInfoClass('MplsTe.Tunnels.Summary.AutoTunServerSummary.ClientsSummary',
            False, 
            [
            _MetaInfoClassMember('client-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Client ID
                ''',
                'client_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('client-instance-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Client Instance name
                ''',
                'client_instance_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2mp-info', REFERENCE_CLASS, 'P2MpInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Tunnels.Summary.AutoTunServerSummary.ClientsSummary.P2MpInfo', 
                [], [], 
                '''                P2MP info for a client
                ''',
                'p2mp_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-info', REFERENCE_CLASS, 'P2PInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Tunnels.Summary.AutoTunServerSummary.ClientsSummary.P2PInfo', 
                [], [], 
                '''                P2P info for a client
                ''',
                'p2p_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protocol-type', REFERENCE_ENUM_CLASS, 'TeServTunClientEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeServTunClientEnum', 
                [], [], 
                '''                Client's protocol type
                ''',
                'protocol_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'clients-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Tunnels.Summary.AutoTunServerSummary' : {
        'meta_info' : _MetaInfoClass('MplsTe.Tunnels.Summary.AutoTunServerSummary',
            False, 
            [
            _MetaInfoClassMember('clients-summary', REFERENCE_LIST, 'ClientsSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Tunnels.Summary.AutoTunServerSummary.ClientsSummary', 
                [], [], 
                '''                List of auto-tunnel server clients
                ''',
                'clients_summary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-auto-p2mp-tunnels', REFERENCE_CLASS, 'TotalAutoP2MpTunnels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Tunnels.Summary.AutoTunServerSummary.TotalAutoP2MpTunnels', 
                [], [], 
                '''                Total number of P2MP auto-tunnels
                ''',
                'total_auto_p2mp_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-auto-p2p-tunnels', REFERENCE_CLASS, 'TotalAutoP2PTunnels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Tunnels.Summary.AutoTunServerSummary.TotalAutoP2PTunnels', 
                [], [], 
                '''                Total number of P2P auto-tunnels
                ''',
                'total_auto_p2p_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'auto-tun-server-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Tunnels.Summary' : {
        'meta_info' : _MetaInfoClass('MplsTe.Tunnels.Summary',
            False, 
            [
            _MetaInfoClassMember('activated-heads', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total tunnel heads activated
                ''',
                'activated_heads',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collection-period', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Collection period in minutes
                ''',
                'auto_bandwidth_collection_period',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Counter with number of auto-bw enabled tunnels
                ''',
                'auto_bandwidth_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-mesh-one-hop-summary', REFERENCE_CLASS, 'AutoMeshOneHopSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Tunnels.Summary.AutoMeshOneHopSummary', 
                [], [], 
                '''                Automesh Onehop summary
                ''',
                'auto_mesh_one_hop_summary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-mesh-summary', REFERENCE_CLASS, 'AutoMeshSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Tunnels.Summary.AutoMeshSummary', 
                [], [], 
                '''                Automesh summary
                ''',
                'auto_mesh_summary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-tun-server-summary', REFERENCE_CLASS, 'AutoTunServerSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Tunnels.Summary.AutoTunServerSummary', 
                [], [], 
                '''                Auto-tunnel server tunnel summary
                ''',
                'auto_tun_server_summary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('autobackup-summary', REFERENCE_CLASS, 'AutobackupSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Tunnels.Summary.AutobackupSummary', 
                [], [], 
                '''                Autobackup summary
                ''',
                'autobackup_summary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                FRR backup tunnels in Up state
                ''',
                'backup_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backups-assigned', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                FRR backup tunnels assigned
                ''',
                'backups_assigned',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bidir-head-ls-ps-associated', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Associated Bidirectional Head LSPs
                ''',
                'bidir_head_ls_ps_associated',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bidir-head-ls-ps-proceeding', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Proceeding Bidirectional Head LSPs
                ''',
                'bidir_head_ls_ps_proceeding',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bidir-head-ls-ps-standby', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Standby Bidirectional Head LSPs
                ''',
                'bidir_head_ls_ps_standby',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bidir-head-ls-ps-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Connected Bidirectional Head Tunnel interfaces
                ''',
                'bidir_head_ls_ps_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bidir-head-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bidirectional Head Tunnel interfaces
                ''',
                'bidir_head_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bidir-head-tunnels-associated', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Associated Bidirectional Head Tunnels
                ''',
                'bidir_head_tunnels_associated',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bidir-head-tunnels-corouted', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Corouted Bidirectional Head Tunnels
                ''',
                'bidir_head_tunnels_corouted',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bidir-head-tunnels-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Connected Bidirectional Head Tunnel interfaces
                ''',
                'bidir_head_tunnels_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bidir-mid-ls-ps-associated', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Associated Bidirectional Mid LSPs
                ''',
                'bidir_mid_ls_ps_associated',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bidir-mid-ls-ps-proceeding', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Proceeding Bidirectional Mid LSPs
                ''',
                'bidir_mid_ls_ps_proceeding',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bidir-mid-ls-ps-standby', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Standby Bidirectional Mid LSPs
                ''',
                'bidir_mid_ls_ps_standby',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bidir-mid-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bidirectional Mid Tunnel interfaces
                ''',
                'bidir_mid_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bidir-mid-tunnels-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Connected Bidirectional Mid Tunnel interfaces
                ''',
                'bidir_mid_tunnels_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bidir-tail-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bidirectional Tail LSPs
                ''',
                'bidir_tail_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bidir-tail-ls-ps-associated', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Associated Bidirectional Tail LSPs
                ''',
                'bidir_tail_ls_ps_associated',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bidir-tail-ls-ps-corouted', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Corouted Bidirectional Tail LSPs
                ''',
                'bidir_tail_ls_ps_corouted',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bidir-tail-ls-ps-proceeding', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Proceeding Bidirectional Tail LSPs
                ''',
                'bidir_tail_ls_ps_proceeding',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bidir-tail-ls-ps-standby', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Standby Bidirectional Tail LSPs
                ''',
                'bidir_tail_ls_ps_standby',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bidir-tail-ls-ps-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Connected Bidirectional Tail LSPs
                ''',
                'bidir_tail_ls_ps_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bw-protected-p2mp-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP S2Ls BW Protected
                ''',
                'bw_protected_p2mp_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bw-protected-p2p-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                p2p S2Ls BW Protected
                ''',
                'bw_protected_p2p_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bw-protected-p2p-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2P FRR BW protected tunnels
                ''',
                'bw_protected_p2p_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bw-protected-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                FRR BW protected tunnels
                ''',
                'bw_protected_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('current-tunnel-convergence-summary', REFERENCE_CLASS, 'CurrentTunnelConvergenceSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Tunnels.Summary.CurrentTunnelConvergenceSummary', 
                [], [], 
                '''                Current Tunnel convergemce summary information
                ''',
                'current_tunnel_convergence_summary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deactivated-heads', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total tunnel heads deactivated
                ''',
                'deactivated_heads',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dynamic-up-p2p-head-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                p2p Tunnel up via a dynamic path
                ''',
                'dynamic_up_p2p_head_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-config-p2mp-head-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP Tunnel interfaces with FRR configuration
                ''',
                'frr_config_p2mp_head_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-config-p2p-head-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                p2p Tunnel interfaces with FRR configuration
                ''',
                'frr_config_p2p_head_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-head-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                FRR tunnels in Up state at head end
                ''',
                'frr_head_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-mid-point-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                FRR tunnels at mid point
                ''',
                'frr_mid_point_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-p2mp-head-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP S2Ls with FRR requested at Head
                ''',
                'frr_p2mp_head_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-p2mp-mid-point-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP S2Ls with FRR requested at Mid
                ''',
                'frr_p2mp_mid_point_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-p2p-head-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                p2p S2Ls with FRR requested at Head
                ''',
                'frr_p2p_head_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-p2p-head-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2P FRR tunnels in Up state at head end
                ''',
                'frr_p2p_head_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-p2p-mid-point-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                p2p S2Ls with FRR requested at Mid
                ''',
                'frr_p2p_mid_point_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-p2p-mid-point-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2P FRR tunnels at mid point
                ''',
                'frr_p2p_mid_point_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-protected-interfaces', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                FRR Protected Interfaces
                ''',
                'frr_protected_interfaces',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gmpls-nni-summary', REFERENCE_CLASS, 'GmplsNniSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Tunnels.Summary.GmplsNniSummary', 
                [], [], 
                '''                GMPLS-NNI summary
                ''',
                'gmpls_nni_summary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gmpls-uni-summary', REFERENCE_CLASS, 'GmplsUniSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Tunnels.Summary.GmplsUniSummary', 
                [], [], 
                '''                GMPLS-UNI summary
                ''',
                'gmpls_uni_summary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-forwarding-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if forwarding is enabled
                ''',
                'is_forwarding_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-periodic-reoptimization-on', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if periodic reoptimization is on
                ''',
                'is_periodic_reoptimization_on',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-promotion-on', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if periodic frr promotion is on
                ''',
                'is_promotion_on',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-rsvp-process-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Status of rsvp
                ''',
                'is_rsvp_process_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-tunnel-convergence-summary', REFERENCE_CLASS, 'LastTunnelConvergenceSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Tunnels.Summary.LastTunnelConvergenceSummary', 
                [], [], 
                '''                Last Tunnel convergemce summary information
                ''',
                'last_tunnel_convergence_summary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-and-node-diverse-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Link and Node diverse paths
                ''',
                'link_and_node_diverse_paths',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-diverse-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Link diverse paths
                ''',
                'link_diverse_paths',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-protected-p2mp-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP S2Ls Link Protected
                ''',
                'link_protected_p2mp_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-protected-p2p-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                p2p S2Ls Link Protected
                ''',
                'link_protected_p2p_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-protected-p2p-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2P FRR link protected tunnels
                ''',
                'link_protected_p2p_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-protected-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                FRR link protected tunnels
                ''',
                'link_protected_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-check-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time left till next FRR promotion (seconds)
                ''',
                'next_check_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-promotion-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time left till next FRR promotion (seconds)
                ''',
                'next_promotion_timer',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-reoptimization-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time left till next reoptimization (seconds)
                ''',
                'next_reoptimization_timer',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-verify-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time left till next FRR promotion (seconds)
                ''',
                'next_verify_timer',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('node-diverse-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Node diverse paths
                ''',
                'node_diverse_paths',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('node-protected-p2p-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2P FRR node protected tunnels
                ''',
                'node_protected_p2p_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('node-protected-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                FRR node protected tunnels
                ''',
                'node_protected_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2mp-head-destinations', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP Destinations at Head
                ''',
                'p2mp_head_destinations',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2mp-head-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP Tunnel interfaces
                ''',
                'p2mp_head_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2mp-mid-point-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP S2Ls at Mid
                ''',
                'p2mp_mid_point_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2mp-tail-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP S2Ls at Tail
                ''',
                'p2mp_tail_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-head-destinations', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                p2p Destinations at Head
                ''',
                'p2p_head_destinations',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-head-destinations-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                p2p Destinations in Up state at Head
                ''',
                'p2p_head_destinations_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-head-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                p2p Tunnel interfaces
                ''',
                'p2p_head_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-mid-point-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                p2p S2Ls at Mid
                ''',
                'p2p_mid_point_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-tail-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                p2p S2Ls at Tail
                ''',
                'p2p_tail_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-tail-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                p2p Tunnel tail interfaces
                ''',
                'p2p_tail_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-protect-configured-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnels configured with Path Protect
                ''',
                'path_protect_configured_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-protect-configured-tunnels-standby-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnels with standby LSP up
                ''',
                'path_protect_configured_tunnels_standby_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-protect-configured-tunnels-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path Protect configured tunnels connected/up
                ''',
                'path_protect_configured_tunnels_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcalc-tie-breaker-type', REFERENCE_ENUM_CLASS, 'TePathSelectionTiebreakerEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathSelectionTiebreakerEnum', 
                [], [], 
                '''                PCALC tiebreaker type
                ''',
                'pcalc_tie_breaker_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcalc-tiebreaker', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated - replaced by PCALCTiebreakerType
                ''',
                'pcalc_tiebreaker',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('proceeding-p2mp-head-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP S2Ls in signalling-proceeding state at Head
                ''',
                'proceeding_p2mp_head_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('proceeding-p2mp-mid-point-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP S2Ls in signalling=proceeding state at Mid
                ''',
                'proceeding_p2mp_mid_point_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('proceeding-p2p-head-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                p2p S2Ls in signalling-proceeding state at Head
                ''',
                'proceeding_p2p_head_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('proceeding-p2p-mid-point-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                p2p S2Ls in signalling=proceeding state at Mid
                ''',
                'proceeding_p2p_mid_point_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('promotion-period', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                FRR promotion period in seconds
                ''',
                'promotion_period',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-head-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                FRR protected tunnels in Up state at head end
                ''',
                'protected_head_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-mid-point-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                FRR protected tunnels at mid point
                ''',
                'protected_mid_point_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-p2mp-head-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP S2Ls FRR Protected at Head
                ''',
                'protected_p2mp_head_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-p2mp-mid-point-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP S2Ls FRR Protected at Mid
                ''',
                'protected_p2mp_mid_point_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-p2p-head-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                p2p S2Ls FRR Protected at Head
                ''',
                'protected_p2p_head_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-p2p-head-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2P FRR protected tunnels in Up state at head
                end
                ''',
                'protected_p2p_head_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-p2p-mid-point-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                p2p S2Ls FRR Protected at Mid
                ''',
                'protected_p2p_mid_point_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-p2p-mid-point-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2P FRR protected tunnels at mid point
                ''',
                'protected_p2p_mid_point_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('recovered-heads', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of heads recovered
                ''',
                'recovered_heads',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('recovering-p2p-head-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                p2p S2Ls recovering at Head
                ''',
                'recovering_p2p_head_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimization-period', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reoptimization period in seconds
                ''',
                'reoptimization_period',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouted-head-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                FRR rerouted tunnels in Up state at head end
                ''',
                'rerouted_head_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouted-interfaces', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                FRR Rerouted Interfaces
                ''',
                'rerouted_interfaces',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouted-mid-point-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                FRR rerouted tunnels at mid point
                ''',
                'rerouted_mid_point_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouted-p2mp-head-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP S2Ls FRR Rerouted at Head
                ''',
                'rerouted_p2mp_head_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouted-p2mp-mid-point-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP S2Ls FRR Rerouted at Mid
                ''',
                'rerouted_p2mp_mid_point_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouted-p2p-head-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                p2p S2Ls FRR Rerouted at Head
                ''',
                'rerouted_p2p_head_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouted-p2p-head-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2P FRR rerouted tunnels in Up state at head end
                ''',
                'rerouted_p2p_head_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouted-p2p-mid-point-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                p2p S2Ls FRR Rerouted at Mid
                ''',
                'rerouted_p2p_mid_point_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouted-p2p-mid-point-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2P FRR rerouted tunnels at mid point
                ''',
                'rerouted_p2p_mid_point_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-process-status', REFERENCE_ENUM_CLASS, 'MplsTeTunnelsProcessStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelsProcessStatusEnum', 
                [], [], 
                '''                Status of te_control
                ''',
                'te_process_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tiebreaker-qualifier', REFERENCE_ENUM_CLASS, 'MplsTeMetricQualifierEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricQualifierEnum', 
                [], [], 
                '''                Describes how the path selection tiebreaker was
                specified:default, or globally set
                ''',
                'tiebreaker_qualifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-check-period', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel head check period (seconds)
                ''',
                'tunnel_check_period',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-verify-period', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel head verify period (seconds)
                ''',
                'tunnel_verify_period',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('up-p2mp-head-destinations', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP Destinations in Up state at Head
                ''',
                'up_p2mp_head_destinations',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('up-p2mp-head-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP S2Ls in Up state at Head
                ''',
                'up_p2mp_head_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('up-p2mp-head-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP Tunnel interfaces in Up state
                ''',
                'up_p2mp_head_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('up-p2mp-mid-point-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP S2Ls in Up state at Mid
                ''',
                'up_p2mp_mid_point_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('up-p2mp-tail-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP S2Ls in Up state at Tail
                ''',
                'up_p2mp_tail_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('up-p2p-head-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                p2p S2Ls in Up state at Head
                ''',
                'up_p2p_head_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('up-p2p-head-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                p2p Tunnel interfaces in Up state
                ''',
                'up_p2p_head_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('up-p2p-mid-point-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                p2p S2Ls in Up state at Mid
                ''',
                'up_p2p_mid_point_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('up-p2p-tail-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                p2p S2Ls in Up state at Tail
                ''',
                'up_p2p_tail_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('user-defined-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                User defined paths
                ''',
                'user_defined_paths',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'summary',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.PathProtection.Switchover' : {
        'meta_info' : _MetaInfoClass('MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.PathProtection.Switchover',
            False, 
            [
            _MetaInfoClassMember('date-of-error-detection', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The date when the error that caused the
                switchover was detected. This date is the number
                of seconds since Jan 1st 1970
                ''',
                'date_of_error_detection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('date-of-error-detection-millisec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The milliseconds offset of the date when the
                error that caused  the switchover was detected.
                ''',
                'date_of_error_detection_millisec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('from-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The LSP ID from which the traffic was switched
                over
                ''',
                'from_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-protection-switchover-event-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The index number of the path protection switch
                over event
                ''',
                'path_protection_switchover_event_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-protection-switchover-reason', REFERENCE_ENUM_CLASS, 'TeP2MpS2LDeletionSubcauseEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeP2MpS2LDeletionSubcauseEnum', 
                [], [], 
                '''                The reason that caused the path protection
                switchover
                ''',
                'path_protection_switchover_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-protection-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The ID of the tunnel that experienced switchover
                ''',
                'path_protection_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('switchover-duration-millisec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The time in milliseconds between the detection
                of the error and switching the traffic
                ''',
                'switchover_duration_millisec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('to-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The LSP ID to which the traffic was switched
                over
                ''',
                'to_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'switchover',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.PathProtection' : {
        'meta_info' : _MetaInfoClass('MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.PathProtection',
            False, 
            [
            _MetaInfoClassMember('diversity-type', REFERENCE_ENUM_CLASS, 'TePpDiversityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePpDiversityEnum', 
                [], [], 
                '''                Standby path diversity type
                ''',
                'diversity_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-protect-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Protection Configured
                ''',
                'is_path_protect_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-protect-switch-over-underway', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Switchover Underway
                ''',
                'is_path_protect_switch_over_underway',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-protection-protected-by-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The path option ID (level/index) of the
                configured explicit protecting path
                ''',
                'path_protection_protected_by_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimization-time-remaining', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remaining time until path protection
                reoptimization (seconds)
                ''',
                'reoptimization_time_remaining',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('standby-reoptimized-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of times the standby LSP was reoptimized
                ''',
                'standby_reoptimized_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('switchover', REFERENCE_CLASS, 'Switchover' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.PathProtection.Switchover', 
                [], [], 
                '''                Path Protected Switchover Information
                ''',
                'switchover',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('switchover-ready', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Total times, Standby LSP ready for use
                ''',
                'switchover_ready',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('switchover-reason', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Reason for last switchover
                ''',
                'switchover_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('switchover-total', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of times switchover occurred
                ''',
                'switchover_total',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-of-switchover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The date when the switchover was completed. This
                date is the number of seconds since Jan 1st 1970
                ''',
                'time_of_switchover_sec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('valid-path-protection-path-option-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether tunnel has a
                path-option which is valid for path-protection
                ''',
                'valid_path_protection_path_option_exists',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-protection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.CurrentLsp.SrlspOutgoingInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.CurrentLsp.SrlspOutgoingInfo',
            False, 
            [
            _MetaInfoClassMember('lsp-output-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Output interface of LSP
                ''',
                'lsp_output_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-output-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output label of the LSP
                ''',
                'lsp_output_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlsp-outgoing-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.CurrentLsp.LspHop.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.CurrentLsp.LspHop.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.CurrentLsp.LspHop.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.CurrentLsp.LspHop.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.CurrentLsp.LspHop' : {
        'meta_info' : _MetaInfoClass('MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.CurrentLsp.LspHop',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.CurrentLsp.LspHop.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.CurrentLsp.LspHop.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.CurrentLsp' : {
        'meta_info' : _MetaInfoClass('MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.CurrentLsp',
            False, 
            [
            _MetaInfoClassMember('lsp-hop', REFERENCE_LIST, 'LspHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.CurrentLsp.LspHop', 
                [], [], 
                '''                Path used by LSP
                ''',
                'lsp_hop',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label 
                ''',
                'lsp_local_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-output-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Output interface of LSP
                ''',
                'lsp_output_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-output-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output label of the LSP
                ''',
                'lsp_output_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', REFERENCE_ENUM_CLASS, 'MplsTeTunnelStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelStateEnum', 
                [], [], 
                '''                LSP State
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSP Uptime
                ''',
                'lsp_uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-protection-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSP ID 
                ''',
                'path_protection_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlsp-outgoing-info', REFERENCE_LIST, 'SrlspOutgoingInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.CurrentLsp.SrlspOutgoingInfo', 
                [], [], 
                '''                Segment-routing iutgoing info of LSP
                ''',
                'srlsp_outgoing_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'current-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.StandbyLsp.SrlspOutgoingInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.StandbyLsp.SrlspOutgoingInfo',
            False, 
            [
            _MetaInfoClassMember('lsp-output-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Output interface of LSP
                ''',
                'lsp_output_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-output-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output label of the LSP
                ''',
                'lsp_output_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlsp-outgoing-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.StandbyLsp.LspHop.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.StandbyLsp.LspHop.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.StandbyLsp.LspHop.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.StandbyLsp.LspHop.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.StandbyLsp.LspHop' : {
        'meta_info' : _MetaInfoClass('MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.StandbyLsp.LspHop',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.StandbyLsp.LspHop.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.StandbyLsp.LspHop.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.StandbyLsp' : {
        'meta_info' : _MetaInfoClass('MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.StandbyLsp',
            False, 
            [
            _MetaInfoClassMember('lsp-hop', REFERENCE_LIST, 'LspHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.StandbyLsp.LspHop', 
                [], [], 
                '''                Path used by LSP
                ''',
                'lsp_hop',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label 
                ''',
                'lsp_local_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-output-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Output interface of LSP
                ''',
                'lsp_output_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-output-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output label of the LSP
                ''',
                'lsp_output_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', REFERENCE_ENUM_CLASS, 'MplsTeTunnelStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelStateEnum', 
                [], [], 
                '''                LSP State
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSP Uptime
                ''',
                'lsp_uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-protection-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSP ID 
                ''',
                'path_protection_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlsp-outgoing-info', REFERENCE_LIST, 'SrlspOutgoingInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.StandbyLsp.SrlspOutgoingInfo', 
                [], [], 
                '''                Segment-routing iutgoing info of LSP
                ''',
                'srlsp_outgoing_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'standby-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection' : {
        'meta_info' : _MetaInfoClass('MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection',
            False, 
            [
            _MetaInfoClassMember('ctype', REFERENCE_ENUM_CLASS, 'CtypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'CtypeEnum', 
                [], [], 
                '''                Ctype
                ''',
                'ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('current-lsp', REFERENCE_CLASS, 'CurrentLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.CurrentLsp', 
                [], [], 
                '''                 Current LSP info
                ''',
                'current_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel UP
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-protection', REFERENCE_CLASS, 'PathProtection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.PathProtection', 
                [], [], 
                '''                Path Protect Info
                ''',
                'path_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source
                ''',
                'source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('standby-lsp', REFERENCE_CLASS, 'StandbyLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.StandbyLsp', 
                [], [], 
                '''                 Standby LSP info
                ''',
                'standby_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tunnel-path-protection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Tunnels.TunnelPathProtections' : {
        'meta_info' : _MetaInfoClass('MplsTe.Tunnels.TunnelPathProtections',
            False, 
            [
            _MetaInfoClassMember('tunnel-path-protection', REFERENCE_LIST, 'TunnelPathProtection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection', 
                [], [], 
                '''                Path Protection
                ''',
                'tunnel_path_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tunnel-path-protections',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Tunnels' : {
        'meta_info' : _MetaInfoClass('MplsTe.Tunnels',
            False, 
            [
            _MetaInfoClassMember('summary', REFERENCE_CLASS, 'Summary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Tunnels.Summary', 
                [], [], 
                '''                Summary of tunnel info
                ''',
                'summary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-auto-bandwidths', REFERENCE_CLASS, 'TunnelAutoBandwidths' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Tunnels.TunnelAutoBandwidths', 
                [], [], 
                '''                Auto Bandwidth Brief Table
                ''',
                'tunnel_auto_bandwidths',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-flex-lsps', REFERENCE_CLASS, 'TunnelFlexLsps' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Tunnels.TunnelFlexLsps', 
                [], [], 
                '''                Flex LSP
                ''',
                'tunnel_flex_lsps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-path-protections', REFERENCE_CLASS, 'TunnelPathProtections' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Tunnels.TunnelPathProtections', 
                [], [], 
                '''                Path protection
                ''',
                'tunnel_path_protections',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tunnels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.MaximumTunnels' : {
        'meta_info' : _MetaInfoClass('MplsTe.MaximumTunnels',
            False, 
            [
            _MetaInfoClassMember('absolute-maximum', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Absolute Maximum
                ''',
                'absolute_maximum',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('current-auto-mesh', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Autotunnel Mesh count
                ''',
                'current_auto_mesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('current-autobackups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Autotunnel Backup count
                ''',
                'current_autobackups',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('current-destination-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Destination Count
                ''',
                'current_destination_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('current-gmpls-uni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current GMPLS-UNI tunnel count
                ''',
                'current_gmpls_uni',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('current-maximum-auto-mesh', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Maximum Autotunnel Mesh Allowed
                ''',
                'current_maximum_auto_mesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('current-maximum-autobackups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Maximum Autotunnel Backups Allowed
                ''',
                'current_maximum_autobackups',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('current-maximum-destinations', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Maximum Destinations
                ''',
                'current_maximum_destinations',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('current-maximum-gmpls-unitunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Maximum GMPLS-UNI Tunnel Count
                ''',
                'current_maximum_gmpls_unitunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('current-maximum-p2mp-destnation-per-tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Maximum P2MP Destinations Per Tunnel
                Count
                ''',
                'current_maximum_p2mp_destnation_per_tunnel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('current-maximum-p2mp-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Maximum P2MP Tunnel Count
                ''',
                'current_maximum_p2mp_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('current-maximum-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Maximum Tunnels
                ''',
                'current_maximum_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('current-p2mp-destnation-per-tunnel-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current P2MP Destination per tunnel count
                ''',
                'current_p2mp_destnation_per_tunnel_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('current-p2mp-tunnel-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current P2MP tunnel count
                ''',
                'current_p2mp_tunnel_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('current-tunnel-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current tunnel count
                ''',
                'current_tunnel_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-auto-mesh-range-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the automesh range is configured
                ''',
                'is_auto_mesh_range_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-autobackup-range-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the autobackup range is configured
                ''',
                'is_autobackup_range_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'maximum-tunnels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.PathProtection.SwitchoverLog.PathProtectionSwitchoverEntry' : {
        'meta_info' : _MetaInfoClass('MplsTe.PathProtection.SwitchoverLog.PathProtectionSwitchoverEntry',
            False, 
            [
            _MetaInfoClassMember('date-of-error-detection', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The date when the error that caused the
                switchover was detected. This date is the number
                of seconds since Jan 1st 1970
                ''',
                'date_of_error_detection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('date-of-error-detection-millisec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The milliseconds offset of the date when the
                error that caused  the switchover was detected.
                ''',
                'date_of_error_detection_millisec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('from-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The LSP ID from which the traffic was switched
                over
                ''',
                'from_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-protection-switchover-event-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The index number of the path protection switch
                over event
                ''',
                'path_protection_switchover_event_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-protection-switchover-reason', REFERENCE_ENUM_CLASS, 'TeP2MpS2LDeletionSubcauseEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeP2MpS2LDeletionSubcauseEnum', 
                [], [], 
                '''                The reason that caused the path protection
                switchover
                ''',
                'path_protection_switchover_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-protection-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The ID of the tunnel that experienced switchover
                ''',
                'path_protection_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('switchover-duration-millisec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The time in milliseconds between the detection
                of the error and switching the traffic
                ''',
                'switchover_duration_millisec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('to-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The LSP ID to which the traffic was switched
                over
                ''',
                'to_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-protection-switchover-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.PathProtection.SwitchoverLog' : {
        'meta_info' : _MetaInfoClass('MplsTe.PathProtection.SwitchoverLog',
            False, 
            [
            _MetaInfoClassMember('average-switchover-millisec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The average delay for a switchover in
                milliseconds
                ''',
                'average_switchover_millisec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-switchover-millisec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The maximum delay for a switchover in
                milliseconds
                ''',
                'maximum_switchover_millisec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-protection-switchover-entry', REFERENCE_LIST, 'PathProtectionSwitchoverEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.PathProtection.SwitchoverLog.PathProtectionSwitchoverEntry', 
                [], [], 
                '''                The array of path protection switchover entries
                ''',
                'path_protection_switchover_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-protection-switchovers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of path protection switchover
                events. This could be more than the entries in
                the array
                ''',
                'path_protection_switchovers',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'switchover-log',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.PathProtection' : {
        'meta_info' : _MetaInfoClass('MplsTe.PathProtection',
            False, 
            [
            _MetaInfoClassMember('switchover-log', REFERENCE_CLASS, 'SwitchoverLog' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.PathProtection.SwitchoverLog', 
                [], [], 
                '''                MPLS TE path protection info
                ''',
                'switchover_log',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-protection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.FibNextHopLabelRoutes.FibNextHopLabelRoute.TargetAddress' : {
        'meta_info' : _MetaInfoClass('MplsTe.FibNextHopLabelRoutes.FibNextHopLabelRoute.TargetAddress',
            False, 
            [
            _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ip_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeTargetAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeTargetAddrEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'target-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.FibNextHopLabelRoutes.FibNextHopLabelRoute.NextHopPath' : {
        'meta_info' : _MetaInfoClass('MplsTe.FibNextHopLabelRoutes.FibNextHopLabelRoute.NextHopPath',
            False, 
            [
            _MetaInfoClassMember('backup-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Path Identifier
                ''',
                'backup_path_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Interface
                ''',
                'interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-stack', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing Label Stack
                ''',
                'label_stack',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next Hop Address
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path ID
                ''',
                'path_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pure-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Pure Backup
                ''',
                'pure_backup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'next-hop-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.FibNextHopLabelRoutes.FibNextHopLabelRoute' : {
        'meta_info' : _MetaInfoClass('MplsTe.FibNextHopLabelRoutes.FibNextHopLabelRoute',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '1048575')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('create-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Create Time
                ''',
                'create_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expire-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Expire Time
                ''',
                'expire_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-notified', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Notified
                ''',
                'is_notified',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Registered
                ''',
                'is_registered',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Stale
                ''',
                'is_stale',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-update-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last Update Time
                ''',
                'last_update_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-used-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last Used Time
                ''',
                'last_used_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-path', REFERENCE_LIST, 'NextHopPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.FibNextHopLabelRoutes.FibNextHopLabelRoute.NextHopPath', 
                [], [], 
                '''                Next Hop Paths
                ''',
                'next_hop_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Deprecated - replaced by TargetAddress
                ''',
                'prefix_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('route-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Route version
                ''',
                'route_version',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('target-address', REFERENCE_CLASS, 'TargetAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.FibNextHopLabelRoutes.FibNextHopLabelRoute.TargetAddress', 
                [], [], 
                '''                Next Hop Target Address
                ''',
                'target_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fib-next-hop-label-route',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.FibNextHopLabelRoutes' : {
        'meta_info' : _MetaInfoClass('MplsTe.FibNextHopLabelRoutes',
            False, 
            [
            _MetaInfoClassMember('fib-next-hop-label-route', REFERENCE_LIST, 'FibNextHopLabelRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.FibNextHopLabelRoutes.FibNextHopLabelRoute', 
                [], [], 
                '''                MPLS TE FIB nexthop label route
                ''',
                'fib_next_hop_label_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fib-next-hop-label-routes',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_.P2PTunnelRewrite.PrimaryS2L' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_.P2PTunnelRewrite.PrimaryS2L',
            False, 
            [
            _MetaInfoClassMember('bandwidth-accounting-requested', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth accounting requested with this entry
                ''',
                'bandwidth_accounting_requested',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop address associated with the entry
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output label associated with the entry
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('parent-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name of the parent intf
                ''',
                'parent_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('physica-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Physical interface associated with the entry
                ''',
                'physica_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sr-label-stack', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment-Routing labels stack
                ''',
                'sr_label_stack',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface handle of the associated tunnel
                ''',
                'tunnel_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'primary-s2l',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_.P2PTunnelRewrite.BackupTunnelRewrite' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_.P2PTunnelRewrite.BackupTunnelRewrite',
            False, 
            [
            _MetaInfoClassMember('bandwidth-accounting-requested', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth accounting requested with this entry
                ''',
                'bandwidth_accounting_requested',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop address associated with the entry
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output label associated with the entry
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('parent-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name of the parent intf
                ''',
                'parent_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('physica-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Physical interface associated with the entry
                ''',
                'physica_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sr-label-stack', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment-Routing labels stack
                ''',
                'sr_label_stack',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface handle of the associated tunnel
                ''',
                'tunnel_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'backup-tunnel-rewrite',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_.P2PTunnelRewrite' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_.P2PTunnelRewrite',
            False, 
            [
            _MetaInfoClassMember('backup-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR is active on the backup tunnel
                ''',
                'backup_active',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Backup tunnel name
                ''',
                'backup_tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-tunnel-rewrite', REFERENCE_CLASS, 'BackupTunnelRewrite' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_.P2PTunnelRewrite.BackupTunnelRewrite', 
                [], [], 
                '''                Properties of the S2L's backup for tunnel
                rewrite
                ''',
                'backup_tunnel_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label of the tunnel rewrite
                ''',
                'local_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('original-input-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Input interface of the S2Ls
                ''',
                'original_input_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('output-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The output interface of the S2Ls
                ''',
                'output_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Previous hop
                ''',
                'previous_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('primary-s2l', REFERENCE_CLASS, 'PrimaryS2L' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_.P2PTunnelRewrite.PrimaryS2L', 
                [], [], 
                '''                Properties of the primary S2L of tunnel rewrite
                ''',
                'primary_s2l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-pe', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                source address of the tunnel
                ''',
                'source_pe',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID for this rewrite data
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'p2p-tunnel-rewrite',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_.P2MpTunnelRewrite' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_.P2MpTunnelRewrite',
            False, 
            [
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local Label
                ''',
                'local_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'p2mp-tunnel-rewrite',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2mp-tunnel-rewrite', REFERENCE_CLASS, 'P2MpTunnelRewrite' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_.P2MpTunnelRewrite', 
                [], [], 
                '''                Tunnel rewrite data specific to P2MP
                ''',
                'p2mp_tunnel_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-tunnel-rewrite', REFERENCE_CLASS, 'P2PTunnelRewrite' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_.P2PTunnelRewrite', 
                [], [], 
                '''                Tunnel rewrite data specific to P2P
                ''',
                'p2p_tunnel_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tunnel-rewrite',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite',
            False, 
            [
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time stamp of the entry
                ''',
                'timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-rewrite', REFERENCE_CLASS, 'TunnelRewrite_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_', 
                [], [], 
                '''                Union of p2p and p2mp tun rewrite data
                ''',
                'tunnel_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'successful-rewrite',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_.P2PTunnelRewrite.PrimaryS2L' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_.P2PTunnelRewrite.PrimaryS2L',
            False, 
            [
            _MetaInfoClassMember('bandwidth-accounting-requested', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth accounting requested with this entry
                ''',
                'bandwidth_accounting_requested',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop address associated with the entry
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output label associated with the entry
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('parent-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name of the parent intf
                ''',
                'parent_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('physica-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Physical interface associated with the entry
                ''',
                'physica_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sr-label-stack', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment-Routing labels stack
                ''',
                'sr_label_stack',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface handle of the associated tunnel
                ''',
                'tunnel_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'primary-s2l',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_.P2PTunnelRewrite.BackupTunnelRewrite' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_.P2PTunnelRewrite.BackupTunnelRewrite',
            False, 
            [
            _MetaInfoClassMember('bandwidth-accounting-requested', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth accounting requested with this entry
                ''',
                'bandwidth_accounting_requested',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop address associated with the entry
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output label associated with the entry
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('parent-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name of the parent intf
                ''',
                'parent_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('physica-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Physical interface associated with the entry
                ''',
                'physica_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sr-label-stack', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment-Routing labels stack
                ''',
                'sr_label_stack',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface handle of the associated tunnel
                ''',
                'tunnel_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'backup-tunnel-rewrite',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_.P2PTunnelRewrite' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_.P2PTunnelRewrite',
            False, 
            [
            _MetaInfoClassMember('backup-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR is active on the backup tunnel
                ''',
                'backup_active',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Backup tunnel name
                ''',
                'backup_tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-tunnel-rewrite', REFERENCE_CLASS, 'BackupTunnelRewrite' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_.P2PTunnelRewrite.BackupTunnelRewrite', 
                [], [], 
                '''                Properties of the S2L's backup for tunnel
                rewrite
                ''',
                'backup_tunnel_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label of the tunnel rewrite
                ''',
                'local_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('original-input-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Input interface of the S2Ls
                ''',
                'original_input_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('output-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The output interface of the S2Ls
                ''',
                'output_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Previous hop
                ''',
                'previous_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('primary-s2l', REFERENCE_CLASS, 'PrimaryS2L' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_.P2PTunnelRewrite.PrimaryS2L', 
                [], [], 
                '''                Properties of the primary S2L of tunnel rewrite
                ''',
                'primary_s2l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-pe', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                source address of the tunnel
                ''',
                'source_pe',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID for this rewrite data
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'p2p-tunnel-rewrite',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_.P2MpTunnelRewrite' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_.P2MpTunnelRewrite',
            False, 
            [
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local Label
                ''',
                'local_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'p2mp-tunnel-rewrite',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2mp-tunnel-rewrite', REFERENCE_CLASS, 'P2MpTunnelRewrite' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_.P2MpTunnelRewrite', 
                [], [], 
                '''                Tunnel rewrite data specific to P2MP
                ''',
                'p2mp_tunnel_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-tunnel-rewrite', REFERENCE_CLASS, 'P2PTunnelRewrite' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_.P2PTunnelRewrite', 
                [], [], 
                '''                Tunnel rewrite data specific to P2P
                ''',
                'p2p_tunnel_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tunnel-rewrite',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite',
            False, 
            [
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time stamp of the entry
                ''',
                'timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-rewrite', REFERENCE_CLASS, 'TunnelRewrite_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_', 
                [], [], 
                '''                Union of p2p and p2mp tun rewrite data
                ''',
                'tunnel_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'failed-rewrite',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_.P2PTunnelRewrite.PrimaryS2L' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_.P2PTunnelRewrite.PrimaryS2L',
            False, 
            [
            _MetaInfoClassMember('bandwidth-accounting-requested', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth accounting requested with this entry
                ''',
                'bandwidth_accounting_requested',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop address associated with the entry
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output label associated with the entry
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('parent-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name of the parent intf
                ''',
                'parent_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('physica-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Physical interface associated with the entry
                ''',
                'physica_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sr-label-stack', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment-Routing labels stack
                ''',
                'sr_label_stack',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface handle of the associated tunnel
                ''',
                'tunnel_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'primary-s2l',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_.P2PTunnelRewrite.BackupTunnelRewrite' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_.P2PTunnelRewrite.BackupTunnelRewrite',
            False, 
            [
            _MetaInfoClassMember('bandwidth-accounting-requested', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth accounting requested with this entry
                ''',
                'bandwidth_accounting_requested',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop address associated with the entry
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output label associated with the entry
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('parent-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name of the parent intf
                ''',
                'parent_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('physica-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Physical interface associated with the entry
                ''',
                'physica_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sr-label-stack', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment-Routing labels stack
                ''',
                'sr_label_stack',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface handle of the associated tunnel
                ''',
                'tunnel_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'backup-tunnel-rewrite',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_.P2PTunnelRewrite' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_.P2PTunnelRewrite',
            False, 
            [
            _MetaInfoClassMember('backup-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR is active on the backup tunnel
                ''',
                'backup_active',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Backup tunnel name
                ''',
                'backup_tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-tunnel-rewrite', REFERENCE_CLASS, 'BackupTunnelRewrite' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_.P2PTunnelRewrite.BackupTunnelRewrite', 
                [], [], 
                '''                Properties of the S2L's backup for tunnel
                rewrite
                ''',
                'backup_tunnel_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label of the tunnel rewrite
                ''',
                'local_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('original-input-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Input interface of the S2Ls
                ''',
                'original_input_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('output-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The output interface of the S2Ls
                ''',
                'output_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Previous hop
                ''',
                'previous_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('primary-s2l', REFERENCE_CLASS, 'PrimaryS2L' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_.P2PTunnelRewrite.PrimaryS2L', 
                [], [], 
                '''                Properties of the primary S2L of tunnel rewrite
                ''',
                'primary_s2l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-pe', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                source address of the tunnel
                ''',
                'source_pe',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID for this rewrite data
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'p2p-tunnel-rewrite',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_.P2MpTunnelRewrite' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_.P2MpTunnelRewrite',
            False, 
            [
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local Label
                ''',
                'local_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'p2mp-tunnel-rewrite',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2mp-tunnel-rewrite', REFERENCE_CLASS, 'P2MpTunnelRewrite' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_.P2MpTunnelRewrite', 
                [], [], 
                '''                Tunnel rewrite data specific to P2MP
                ''',
                'p2mp_tunnel_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-tunnel-rewrite', REFERENCE_CLASS, 'P2PTunnelRewrite' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_.P2PTunnelRewrite', 
                [], [], 
                '''                Tunnel rewrite data specific to P2P
                ''',
                'p2p_tunnel_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tunnel-rewrite',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite',
            False, 
            [
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time stamp of the entry
                ''',
                'timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-rewrite', REFERENCE_CLASS, 'TunnelRewrite_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_', 
                [], [], 
                '''                Union of p2p and p2mp tun rewrite data
                ''',
                'tunnel_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'pending-rewrite',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2Mp.TunnelRewrites.TunnelRewrite' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2Mp.TunnelRewrites.TunnelRewrite',
            False, 
            [
            _MetaInfoClassMember('ctype', REFERENCE_ENUM_CLASS, 'CtypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'CtypeEnum', 
                [], [], 
                '''                Ctype
                ''',
                'ctype',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                LSP ID
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('failed-rewrite', REFERENCE_CLASS, 'FailedRewrite' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite', 
                [], [], 
                '''                Failed rewrite details
                ''',
                'failed_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-segment-routing', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the s2l path is Segment-Routing
                ''',
                'is_segment_routing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pending-rewrite', REFERENCE_CLASS, 'PendingRewrite' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite', 
                [], [], 
                '''                Pending rewrite details
                ''',
                'pending_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('successful-rewrite', REFERENCE_CLASS, 'SuccessfulRewrite' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite', 
                [], [], 
                '''                Successful rewrite details
                ''',
                'successful_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel interface name
                ''',
                'tunnel_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-signal-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel signaled-name
                ''',
                'tunnel_signal_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tunnel-rewrite',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2Mp.TunnelRewrites' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2Mp.TunnelRewrites',
            False, 
            [
            _MetaInfoClassMember('tunnel-rewrite', REFERENCE_LIST, 'TunnelRewrite' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2Mp.TunnelRewrites.TunnelRewrite', 
                [], [], 
                '''                Display only P2MP Information
                ''',
                'tunnel_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tunnel-rewrites',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2Mp.CollaboratorTimers.P2MpTimer' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2Mp.CollaboratorTimers.P2MpTimer',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The expiry delay in seconds
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expiry-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Date when the timer last expired in seconds
                ''',
                'expiry_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-running', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if the timer is running
                ''',
                'is_running',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('start-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Date when timer was last started in seconds
                ''',
                'start_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('stop-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Date when the timer was last stopped in seconds
                ''',
                'stop_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('timer-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Timer Name
                ''',
                'timer_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('timer-type', REFERENCE_ENUM_CLASS, 'MplsTeP2MpTimerEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeP2MpTimerEnum', 
                [], [], 
                '''                Timer Type
                ''',
                'timer_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'p2mp-timer',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2Mp.CollaboratorTimers' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2Mp.CollaboratorTimers',
            False, 
            [
            _MetaInfoClassMember('p2mp-timer', REFERENCE_LIST, 'P2MpTimer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2Mp.CollaboratorTimers.P2MpTimer', 
                [], [], 
                '''                Description of all P2MP timers
                ''',
                'p2mp_timer',
                'Cisco-IOS-XR-mpls-te-oper', False, max_elements=29),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'collaborator-timers',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.Subfamily.LspFec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.Subfamily.LspFec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.Subfamily.LspFec' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.Subfamily.LspFec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.Subfamily.LspFec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.Subfamily' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.Subfamily',
            False, 
            [
            _MetaInfoClassMember('lsp-fec', REFERENCE_CLASS, 'LspFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.Subfamily.LspFec', 
                [], [], 
                '''                LSP FEC
                ''',
                'lsp_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop address
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Previous hop address
                ''',
                'previous_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'subfamily',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.SuccessfulRewrite.PrimaryS2L' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.SuccessfulRewrite.PrimaryS2L',
            False, 
            [
            _MetaInfoClassMember('bandwidth-accounting-requested', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth accounting requested with this entry
                ''',
                'bandwidth_accounting_requested',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop address associated with the entry
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output label associated with the entry
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('parent-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name of the parent intf
                ''',
                'parent_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('physica-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Physical interface associated with the entry
                ''',
                'physica_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sr-label-stack', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment-Routing labels stack
                ''',
                'sr_label_stack',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface handle of the associated tunnel
                ''',
                'tunnel_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'primary-s2l',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.SuccessfulRewrite.BackupTunnelRewrite' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.SuccessfulRewrite.BackupTunnelRewrite',
            False, 
            [
            _MetaInfoClassMember('bandwidth-accounting-requested', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth accounting requested with this entry
                ''',
                'bandwidth_accounting_requested',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop address associated with the entry
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output label associated with the entry
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('parent-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name of the parent intf
                ''',
                'parent_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('physica-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Physical interface associated with the entry
                ''',
                'physica_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sr-label-stack', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment-Routing labels stack
                ''',
                'sr_label_stack',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface handle of the associated tunnel
                ''',
                'tunnel_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'backup-tunnel-rewrite',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.SuccessfulRewrite' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.SuccessfulRewrite',
            False, 
            [
            _MetaInfoClassMember('backup-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Backup is active
                ''',
                'backup_active',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-tunnel-rewrite', REFERENCE_CLASS, 'BackupTunnelRewrite' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.SuccessfulRewrite.BackupTunnelRewrite', 
                [], [], 
                '''                Properties of the S2L's backup tunnel rewrite
                ''',
                'backup_tunnel_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-null', REFERENCE_ENUM_CLASS, 'TeS2LOutputRwExplicitNullEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LOutputRwExplicitNullEnum', 
                [], [], 
                '''                Imposition of explicit NULL
                ''',
                'explicit_null',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label of the rewrite
                ''',
                'label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-rewrite-role', REFERENCE_ENUM_CLASS, 'MplsTeTunnelRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelRoleEnum', 
                [], [], 
                '''                Role of the associated S2L
                ''',
                'out_rewrite_role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('primary-s2l', REFERENCE_CLASS, 'PrimaryS2L' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.SuccessfulRewrite.PrimaryS2L', 
                [], [], 
                '''                Properties of the S2L rewrite
                ''',
                'primary_s2l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protocol-transported', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Protocol transported in the S2L
                ''',
                'protocol_transported',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source of the S2L
                ''',
                's2l_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time stamp of the entry (secs since 1/1/70)
                ''',
                'timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'successful-rewrite',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.FailedRewrite.PrimaryS2L' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.FailedRewrite.PrimaryS2L',
            False, 
            [
            _MetaInfoClassMember('bandwidth-accounting-requested', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth accounting requested with this entry
                ''',
                'bandwidth_accounting_requested',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop address associated with the entry
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output label associated with the entry
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('parent-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name of the parent intf
                ''',
                'parent_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('physica-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Physical interface associated with the entry
                ''',
                'physica_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sr-label-stack', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment-Routing labels stack
                ''',
                'sr_label_stack',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface handle of the associated tunnel
                ''',
                'tunnel_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'primary-s2l',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.FailedRewrite.BackupTunnelRewrite' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.FailedRewrite.BackupTunnelRewrite',
            False, 
            [
            _MetaInfoClassMember('bandwidth-accounting-requested', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth accounting requested with this entry
                ''',
                'bandwidth_accounting_requested',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop address associated with the entry
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output label associated with the entry
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('parent-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name of the parent intf
                ''',
                'parent_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('physica-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Physical interface associated with the entry
                ''',
                'physica_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sr-label-stack', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment-Routing labels stack
                ''',
                'sr_label_stack',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface handle of the associated tunnel
                ''',
                'tunnel_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'backup-tunnel-rewrite',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.FailedRewrite' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.FailedRewrite',
            False, 
            [
            _MetaInfoClassMember('backup-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Backup is active
                ''',
                'backup_active',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-tunnel-rewrite', REFERENCE_CLASS, 'BackupTunnelRewrite' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.FailedRewrite.BackupTunnelRewrite', 
                [], [], 
                '''                Properties of the S2L's backup tunnel rewrite
                ''',
                'backup_tunnel_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-null', REFERENCE_ENUM_CLASS, 'TeS2LOutputRwExplicitNullEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LOutputRwExplicitNullEnum', 
                [], [], 
                '''                Imposition of explicit NULL
                ''',
                'explicit_null',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label of the rewrite
                ''',
                'label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-rewrite-role', REFERENCE_ENUM_CLASS, 'MplsTeTunnelRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelRoleEnum', 
                [], [], 
                '''                Role of the associated S2L
                ''',
                'out_rewrite_role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('primary-s2l', REFERENCE_CLASS, 'PrimaryS2L' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.FailedRewrite.PrimaryS2L', 
                [], [], 
                '''                Properties of the S2L rewrite
                ''',
                'primary_s2l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protocol-transported', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Protocol transported in the S2L
                ''',
                'protocol_transported',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source of the S2L
                ''',
                's2l_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time stamp of the entry (secs since 1/1/70)
                ''',
                'timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'failed-rewrite',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.PendingRewrite.PrimaryS2L' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.PendingRewrite.PrimaryS2L',
            False, 
            [
            _MetaInfoClassMember('bandwidth-accounting-requested', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth accounting requested with this entry
                ''',
                'bandwidth_accounting_requested',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop address associated with the entry
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output label associated with the entry
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('parent-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name of the parent intf
                ''',
                'parent_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('physica-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Physical interface associated with the entry
                ''',
                'physica_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sr-label-stack', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment-Routing labels stack
                ''',
                'sr_label_stack',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface handle of the associated tunnel
                ''',
                'tunnel_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'primary-s2l',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.PendingRewrite.BackupTunnelRewrite' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.PendingRewrite.BackupTunnelRewrite',
            False, 
            [
            _MetaInfoClassMember('bandwidth-accounting-requested', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth accounting requested with this entry
                ''',
                'bandwidth_accounting_requested',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop address associated with the entry
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output label associated with the entry
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('parent-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name of the parent intf
                ''',
                'parent_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('physica-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Physical interface associated with the entry
                ''',
                'physica_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sr-label-stack', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment-Routing labels stack
                ''',
                'sr_label_stack',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface handle of the associated tunnel
                ''',
                'tunnel_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'backup-tunnel-rewrite',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.PendingRewrite' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.PendingRewrite',
            False, 
            [
            _MetaInfoClassMember('backup-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Backup is active
                ''',
                'backup_active',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-tunnel-rewrite', REFERENCE_CLASS, 'BackupTunnelRewrite' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.PendingRewrite.BackupTunnelRewrite', 
                [], [], 
                '''                Properties of the S2L's backup tunnel rewrite
                ''',
                'backup_tunnel_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-null', REFERENCE_ENUM_CLASS, 'TeS2LOutputRwExplicitNullEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LOutputRwExplicitNullEnum', 
                [], [], 
                '''                Imposition of explicit NULL
                ''',
                'explicit_null',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label of the rewrite
                ''',
                'label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-rewrite-role', REFERENCE_ENUM_CLASS, 'MplsTeTunnelRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelRoleEnum', 
                [], [], 
                '''                Role of the associated S2L
                ''',
                'out_rewrite_role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('primary-s2l', REFERENCE_CLASS, 'PrimaryS2L' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.PendingRewrite.PrimaryS2L', 
                [], [], 
                '''                Properties of the S2L rewrite
                ''',
                'primary_s2l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protocol-transported', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Protocol transported in the S2L
                ''',
                'protocol_transported',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source of the S2L
                ''',
                's2l_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time stamp of the entry (secs since 1/1/70)
                ''',
                'timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'pending-rewrite',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite',
            False, 
            [
            _MetaInfoClassMember('failed-rewrite', REFERENCE_CLASS, 'FailedRewrite' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.FailedRewrite', 
                [], [], 
                '''                Failed rewrite details
                ''',
                'failed_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pending-rewrite', REFERENCE_CLASS, 'PendingRewrite' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.PendingRewrite', 
                [], [], 
                '''                Pending rewrite details
                ''',
                'pending_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('subfamily', REFERENCE_CLASS, 'Subfamily' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.Subfamily', 
                [], [], 
                '''                Subfamily identifiers
                ''',
                'subfamily',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('successful-rewrite', REFERENCE_CLASS, 'SuccessfulRewrite' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.SuccessfulRewrite', 
                [], [], 
                '''                Successful rewrite details
                ''',
                'successful_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-output-rewrite',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2L' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2L',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Sub-Group ID
                ''',
                'sub_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-group-original-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                S2L Sub-Group Originator ID
                ''',
                'sub_group_original_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LsrPath' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LsrPath',
            False, 
            [
            _MetaInfoClassMember('backup-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Path Identifier
                ''',
                'backup_path_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if path is backup
                ''',
                'is_backup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-primary', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if path is primary
                ''',
                'is_primary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing Interface Name
                ''',
                'outgoing_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-labels-stack', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing Labels Stack
                ''',
                'outgoing_labels_stack',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path Identifier
                ''',
                'path_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2lsr-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite',
            False, 
            [
            _MetaInfoClassMember('ctype', REFERENCE_ENUM_CLASS, 'CtypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'CtypeEnum', 
                [], [], 
                '''                Ctype
                ''',
                'ctype',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination Address
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                extended tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                LSP ID
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next Hop
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                P2MP ID
                ''',
                'p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('previous-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Prev Hop
                ''',
                'previous_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('backup-tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Backup tunnel name
                ''',
                'backup_tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-segment-routing', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the s2l path is Segment-Routing
                ''',
                'is_segment_routing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('original-input-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Input interface of the S2Ls
                ''',
                'original_input_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('output-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The output interface of the S2Ls
                ''',
                'output_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l', REFERENCE_LIST, 'S2L' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2L', 
                [], [], 
                '''                Unique identifiers for the S2L sharing the
                rewrite
                ''',
                's2l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-output-rewrite', REFERENCE_CLASS, 'S2LOutputRewrite' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite', 
                [], [], 
                '''                Output rewrite shared between S2Ls
                ''',
                's2l_output_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2lsr-path', REFERENCE_LIST, 'S2LsrPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LsrPath', 
                [], [], 
                '''                Segment-Routing Paths
                ''',
                's2lsr_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'forwarding-output-label-rewrite',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2Mp.ForwardingOutputLabelRewrites' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2Mp.ForwardingOutputLabelRewrites',
            False, 
            [
            _MetaInfoClassMember('forwarding-output-label-rewrite', REFERENCE_LIST, 'ForwardingOutputLabelRewrite' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite', 
                [], [], 
                '''                Display only P2MP Information
                ''',
                'forwarding_output_label_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'forwarding-output-label-rewrites',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.P2Mp' : {
        'meta_info' : _MetaInfoClass('MplsTe.P2Mp',
            False, 
            [
            _MetaInfoClassMember('collaborator-timers', REFERENCE_CLASS, 'CollaboratorTimers' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2Mp.CollaboratorTimers', 
                [], [], 
                '''                TE Collaborator timer status
                ''',
                'collaborator_timers',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forwarding-output-label-rewrites', REFERENCE_CLASS, 'ForwardingOutputLabelRewrites' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2Mp.ForwardingOutputLabelRewrites', 
                [], [], 
                '''                forwarding-adjacency P2MP Information
                ''',
                'forwarding_output_label_rewrites',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-rewrites', REFERENCE_CLASS, 'TunnelRewrites' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2Mp.TunnelRewrites', 
                [], [], 
                '''                forwarding-adjacency P2MP Tunnel RW
                ''',
                'tunnel_rewrites',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'p2mp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.OpenConfig.LspStates.LspState' : {
        'meta_info' : _MetaInfoClass('MplsTe.OpenConfig.LspStates.LspState',
            False, 
            [
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'OcMplsTeTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'OcMplsTeTunnelEnum', 
                [], [], 
                '''                Tunnel Type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('admin-status', REFERENCE_ENUM_CLASS, 'LspAdminStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'LspAdminStatusEnum', 
                [], [], 
                '''                Admin Status
                ''',
                'admin_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Description
                ''',
                'description',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local ID - TBD
                ''',
                'local_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('metric', REFERENCE_ENUM_CLASS, 'OcMplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'OcMplsTeMetricEnum', 
                [], [], 
                '''                Metric type
                ''',
                'metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                LSP Name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('oper-status', REFERENCE_ENUM_CLASS, 'LspOperStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'LspOperStatusEnum', 
                [], [], 
                '''                Operational Status
                ''',
                'oper_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-style-requested', REFERENCE_ENUM_CLASS, 'MplsProtectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsProtectionEnum', 
                [], [], 
                '''                Protection Style Requested
                ''',
                'protection_style_requested',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimize-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                frequency of reoptimization
                ''',
                'reoptimize_timer',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('role', REFERENCE_ENUM_CLASS, 'MplsTeLspRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspRoleEnum', 
                [], [], 
                '''                Role
                ''',
                'role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signaling-protocol', REFERENCE_ENUM_CLASS, 'MplsTeProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeProtocolEnum', 
                [], [], 
                '''                Signaling Protocol
                ''',
                'signaling_protocol',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft Preemption
                ''',
                'soft_preemption',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'OcMplsTeLspEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'OcMplsTeLspEnum', 
                [], [], 
                '''                LSP Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-state',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.OpenConfig.LspStates' : {
        'meta_info' : _MetaInfoClass('MplsTe.OpenConfig.LspStates',
            False, 
            [
            _MetaInfoClassMember('lsp-state', REFERENCE_LIST, 'LspState' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.OpenConfig.LspStates.LspState', 
                [], [], 
                '''                MPLS TE LSP State Info
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-states',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.OpenConfig.LspCounters.LspCounter' : {
        'meta_info' : _MetaInfoClass('MplsTe.OpenConfig.LspCounters.LspCounter',
            False, 
            [
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'OcMplsTeTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'OcMplsTeTunnelEnum', 
                [], [], 
                '''                Tunnel Type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Number of bytes forwarded over the lsp
                ''',
                'bytes',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('current-path-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Timestamp of LSP switched onto current path
                ''',
                'current_path_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                LSP Name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-reoptimization-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Timestamp of next scheduled reoptmiziation
                ''',
                'next_reoptimization_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('online-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Timestamp of LSP oper state up
                ''',
                'online_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Number of packets forwarded over the lsp
                ''',
                'packets',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-changes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Number of path changes for the lsp
                ''',
                'path_changes',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('state-changes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Number of state changes for the lsp
                ''',
                'state_changes',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'OcMplsTeLspEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'OcMplsTeLspEnum', 
                [], [], 
                '''                LSP Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-counter',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.OpenConfig.LspCounters' : {
        'meta_info' : _MetaInfoClass('MplsTe.OpenConfig.LspCounters',
            False, 
            [
            _MetaInfoClassMember('lsp-counter', REFERENCE_LIST, 'LspCounter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.OpenConfig.LspCounters.LspCounter', 
                [], [], 
                '''                MPLS TE LSP Counters
                ''',
                'lsp_counter',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-counters',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.OpenConfig' : {
        'meta_info' : _MetaInfoClass('MplsTe.OpenConfig',
            False, 
            [
            _MetaInfoClassMember('lsp-counters', REFERENCE_CLASS, 'LspCounters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.OpenConfig.LspCounters', 
                [], [], 
                '''                Table of LSP Counters
                ''',
                'lsp_counters',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-states', REFERENCE_CLASS, 'LspStates' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.OpenConfig.LspStates', 
                [], [], 
                '''                Table of LSP State Info
                ''',
                'lsp_states',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'open-config',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.LspOutOfResources.Summary.LspOorStateXr.Statistics' : {
        'meta_info' : _MetaInfoClass('MplsTe.LspOutOfResources.Summary.LspOorStateXr.Statistics',
            False, 
            [
            _MetaInfoClassMember('accepted-ls-ps-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSPs that were accepted in this state
                ''',
                'accepted_ls_ps_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('accepted-reopt-ls-ps-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Reoptimize LSPs that were accepted in
                this state
                ''',
                'accepted_reopt_ls_ps_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rejected-ls-ps-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSPs that were rejected in this state
                ''',
                'rejected_ls_ps_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rejected-reopt-ls-ps-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Reoptimize LSPs that were rejected in
                this state
                ''',
                'rejected_reopt_ls_ps_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('transitions', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of transitions to this state
                ''',
                'transitions',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.LspOutOfResources.Summary.LspOorStateXr' : {
        'meta_info' : _MetaInfoClass('MplsTe.LspOutOfResources.Summary.LspOorStateXr',
            False, 
            [
            _MetaInfoClassMember('accept-reopt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Make-before-break is allowed for LSPs
                reoptimizing over the same link in the LSP OOR
                state
                ''',
                'accept_reopt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('available-bw-percentage', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The flooded percentage of available bandwidth
                advertized when the link is in this LSP OOR
                state
                ''',
                'available_bw_percentage',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-oor-state', REFERENCE_ENUM_CLASS, 'LspOorStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'LspOorStateEnum', 
                [], [], 
                '''                The LSP-OOR state that this information belongs
                to
                ''',
                'lsp_oor_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('minimum-lsp-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Minimum LSP bandwidth so the LSP is admitted
                when the link is in this LSP OOR state
                ''',
                'minimum_lsp_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.LspOutOfResources.Summary.LspOorStateXr.Statistics', 
                [], [], 
                '''                LSP OOR Statistics
                ''',
                'statistics',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-metric-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The TE metric penalty when the link is in this
                LSP OOR state
                ''',
                'te_metric_penalty',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('threshold-transit-all', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of transit LSPs that triggers OOR
                state transition
                ''',
                'threshold_transit_all',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('threshold-transit-unprotected', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of unprotected transit LSPs that
                triggers OOR state transition
                ''',
                'threshold_transit_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('transition-duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Recovery in minutes after the green LSP OOR
                state is entered.
                ''',
                'transition_duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-oor-state-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.LspOutOfResources.Summary' : {
        'meta_info' : _MetaInfoClass('MplsTe.LspOutOfResources.Summary',
            False, 
            [
            _MetaInfoClassMember('lsp-oor-green-recovery-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time Remaining in Green Recovery State (seconds)
                ''',
                'lsp_oor_green_recovery_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-oor-state', REFERENCE_ENUM_CLASS, 'LspOorStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'LspOorStateEnum', 
                [], [], 
                '''                The current LSP OOR state
                ''',
                'lsp_oor_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-oor-state-xr', REFERENCE_LIST, 'LspOorStateXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.LspOutOfResources.Summary.LspOorStateXr', 
                [], [], 
                '''                Array of LSP OOR info per state
                ''',
                'lsp_oor_state_xr',
                'Cisco-IOS-XR-mpls-te-oper', False, max_elements=3),
            _MetaInfoClassMember('lsp-oor-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp when the OOR state last changed
                ''',
                'lsp_oor_timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('transit-lsp-total-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of all transit LSPs on the router
                ''',
                'transit_lsp_total_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('transit-lsp-unprotected-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of unprotected transit LSPs on the router
                ''',
                'transit_lsp_unprotected_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'summary',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.LspOutOfResources' : {
        'meta_info' : _MetaInfoClass('MplsTe.LspOutOfResources',
            False, 
            [
            _MetaInfoClassMember('summary', REFERENCE_CLASS, 'Summary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.LspOutOfResources.Summary', 
                [], [], 
                '''                LSP OOR Summary information
                ''',
                'summary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-out-of-resources',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Bfd.HeadInfos.HeadInfo.CurrentLspbfdInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.Bfd.HeadInfos.HeadInfo.CurrentLspbfdInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-session-state', REFERENCE_ENUM_CLASS, 'TeBfdLspSessionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdLspSessionStateEnum', 
                [], [], 
                '''                BFD Session State
                ''',
                'bfd_session_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'current-lspbfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Bfd.HeadInfos.HeadInfo.StandbyLspbfdInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.Bfd.HeadInfos.HeadInfo.StandbyLspbfdInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-session-state', REFERENCE_ENUM_CLASS, 'TeBfdLspSessionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdLspSessionStateEnum', 
                [], [], 
                '''                BFD Session State
                ''',
                'bfd_session_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'standby-lspbfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Bfd.HeadInfos.HeadInfo.ReoptimizedLspbfdInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.Bfd.HeadInfos.HeadInfo.ReoptimizedLspbfdInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-session-state', REFERENCE_ENUM_CLASS, 'TeBfdLspSessionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdLspSessionStateEnum', 
                [], [], 
                '''                BFD Session State
                ''',
                'bfd_session_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reoptimized-lspbfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Bfd.HeadInfos.HeadInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.Bfd.HeadInfos.HeadInfo',
            False, 
            [
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('current-lspbfd-info', REFERENCE_CLASS, 'CurrentLspbfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Bfd.HeadInfos.HeadInfo.CurrentLspbfdInfo', 
                [], [], 
                '''                Current LSP BFD Info
                ''',
                'current_lspbfd_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination Address
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lspbfd-type', REFERENCE_ENUM_CLASS, 'TeVifBfdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeVifBfdEnum', 
                [], [], 
                '''                LSP BFD type
                ''',
                'lspbfd_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimized-lspbfd-info', REFERENCE_CLASS, 'ReoptimizedLspbfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Bfd.HeadInfos.HeadInfo.ReoptimizedLspbfdInfo', 
                [], [], 
                '''                Reoptimized LSP BFD Info
                ''',
                'reoptimized_lspbfd_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('standby-lspbfd-info', REFERENCE_CLASS, 'StandbyLspbfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Bfd.HeadInfos.HeadInfo.StandbyLspbfdInfo', 
                [], [], 
                '''                Standby LSP BFD Info
                ''',
                'standby_lspbfd_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel name
                ''',
                'tunnel_name_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'head-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Bfd.HeadInfos' : {
        'meta_info' : _MetaInfoClass('MplsTe.Bfd.HeadInfos',
            False, 
            [
            _MetaInfoClassMember('head-info', REFERENCE_LIST, 'HeadInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Bfd.HeadInfos.HeadInfo', 
                [], [], 
                '''                MPLS TE Head End BFD Over LSP Info
                ''',
                'head_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'head-infos',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Bfd.Links.Link.Neighbor' : {
        'meta_info' : _MetaInfoClass('MplsTe.Bfd.Links.Link.Neighbor',
            False, 
            [
            _MetaInfoClassMember('is-bfd-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the BFD session is Up on this link
                ''',
                'is_bfd_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The neighbor's IP address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Bfd.Links.Link' : {
        'meta_info' : _MetaInfoClass('MplsTe.Bfd.Links.Link',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Bfd.Links.Link.Neighbor', 
                [], [], 
                '''                Neighbors of the specified link id
                ''',
                'neighbor',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'link',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Bfd.Links' : {
        'meta_info' : _MetaInfoClass('MplsTe.Bfd.Links',
            False, 
            [
            _MetaInfoClassMember('link', REFERENCE_LIST, 'Link' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Bfd.Links.Link', 
                [], [], 
                '''                MPLS TE BFD Info
                ''',
                'link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'links',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Bfd.TailInfos.TailInfo.LspFec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.Bfd.TailInfos.TailInfo.LspFec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Bfd.TailInfos.TailInfo.LspFec' : {
        'meta_info' : _MetaInfoClass('MplsTe.Bfd.TailInfos.TailInfo.LspFec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Bfd.TailInfos.TailInfo.LspFec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Bfd.TailInfos.TailInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.Bfd.TailInfos.TailInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-session-state', REFERENCE_ENUM_CLASS, 'TeBfdLspSessionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdLspSessionStateEnum', 
                [], [], 
                '''                BFD Session State
                ''',
                'bfd_session_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ctype', REFERENCE_ENUM_CLASS, 'CtypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'CtypeEnum', 
                [], [], 
                '''                Ctype
                ''',
                'ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination Address
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-fec', REFERENCE_CLASS, 'LspFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Bfd.TailInfos.TailInfo.LspFec', 
                [], [], 
                '''                FEC for the LSP
                ''',
                'lsp_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                LSP ID
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                P2MP ID
                ''',
                'p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signaled-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signaled Name
                ''',
                'signaled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tail-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Bfd.TailInfos' : {
        'meta_info' : _MetaInfoClass('MplsTe.Bfd.TailInfos',
            False, 
            [
            _MetaInfoClassMember('tail-info', REFERENCE_LIST, 'TailInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Bfd.TailInfos.TailInfo', 
                [], [], 
                '''                MPLS TE Tail End BFD Over LSP Info
                ''',
                'tail_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tail-infos',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Bfd.Summary' : {
        'meta_info' : _MetaInfoClass('MplsTe.Bfd.Summary',
            False, 
            [
            _MetaInfoClassMember('head-lsp-count-sbfd-session-created', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of head end LSP with SBFD session created
                ''',
                'head_lsp_count_sbfd_session_created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('head-lsp-count-sbfd-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of head end LSP with SBFD session in up
                state
                ''',
                'head_lsp_count_sbfd_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('head-lsp-count-session-created', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of head end LSP with BFD session created
                ''',
                'head_lsp_count_session_created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('head-lsp-count-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of head end LSP with BFD session in up
                state
                ''',
                'head_lsp_count_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-count-bfd-enabled', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of link with BFD enabled
                ''',
                'link_count_bfd_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-count-session-created', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of link with BFD session created
                ''',
                'link_count_session_created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-count-session-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of link with BFD session in state Up
                ''',
                'link_count_session_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tail-lsp-count-session-created', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of tail end LSP with BFD session created
                ''',
                'tail_lsp_count_session_created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tail-lsp-count-session-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of tail end LSP with BFD session in up
                state
                ''',
                'tail_lsp_count_session_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-count-bfd-enabled', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of tunnel interface with BFD enabled
                ''',
                'tunnel_count_bfd_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-count-sbfd-enabled', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of tunnel interface with SBFD enabled
                ''',
                'tunnel_count_sbfd_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-count-sbfd-session-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of tunnel with SBFD session in up state
                ''',
                'tunnel_count_sbfd_session_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-count-session-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of tunnel with BFD session in up state
                ''',
                'tunnel_count_session_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-count-total', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Total number of tunnel interface
                ''',
                'tunnel_count_total',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'summary',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Bfd.Counters.BfdOverLspHeadCounters' : {
        'meta_info' : _MetaInfoClass('MplsTe.Bfd.Counters.BfdOverLspHeadCounters',
            False, 
            [
            _MetaInfoClassMember('session-admin-down-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLSP session admin down
                events
                ''',
                'session_admin_down_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-create-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLSP session create events
                ''',
                'session_create_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-create-timeout-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLSP session create timeout
                events
                ''',
                'session_create_timeout_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-creation-failed-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLSP session creation failed
                events
                ''',
                'session_creation_failed_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-down-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLSP session down events
                ''',
                'session_down_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-gracefully-delete-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLSP session gracefully
                delete events
                ''',
                'session_gracefully_delete_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-non-gracefully-delete-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLSP session non gracefully
                delete events
                ''',
                'session_non_gracefully_delete_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-replay-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLSP session replay events
                ''',
                'session_replay_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-up-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLSP session up events
                ''',
                'session_up_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-over-lsp-head-counters',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Bfd.Counters.SbfdOverLspHeadCounters' : {
        'meta_info' : _MetaInfoClass('MplsTe.Bfd.Counters.SbfdOverLspHeadCounters',
            False, 
            [
            _MetaInfoClassMember('session-admin-down-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLSP session admin down
                events
                ''',
                'session_admin_down_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-create-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLSP session create events
                ''',
                'session_create_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-create-timeout-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLSP session create timeout
                events
                ''',
                'session_create_timeout_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-creation-failed-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLSP session creation failed
                events
                ''',
                'session_creation_failed_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-down-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLSP session down events
                ''',
                'session_down_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-gracefully-delete-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLSP session gracefully
                delete events
                ''',
                'session_gracefully_delete_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-non-gracefully-delete-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLSP session non gracefully
                delete events
                ''',
                'session_non_gracefully_delete_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-replay-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLSP session replay events
                ''',
                'session_replay_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-up-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLSP session up events
                ''',
                'session_up_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'sbfd-over-lsp-head-counters',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Bfd.Counters.BfdOverLspTailCounters' : {
        'meta_info' : _MetaInfoClass('MplsTe.Bfd.Counters.BfdOverLspTailCounters',
            False, 
            [
            _MetaInfoClassMember('session-admin-down-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLM session admin down
                events
                ''',
                'session_admin_down_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-create-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLM session create events
                ''',
                'session_create_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-creation-failed-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLM session creation failed
                events
                ''',
                'session_creation_failed_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-down-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLM session down events
                ''',
                'session_down_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-gracefully-delete-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLM session gracefully
                delete events
                ''',
                'session_gracefully_delete_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-non-gracefully-delete-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLM session non gracefully
                delete events
                ''',
                'session_non_gracefully_delete_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-replay-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLSP session replay events
                ''',
                'session_replay_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-up-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLM session up events
                ''',
                'session_up_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-over-lsp-tail-counters',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Bfd.Counters.BfDoLmCounters' : {
        'meta_info' : _MetaInfoClass('MplsTe.Bfd.Counters.BfDoLmCounters',
            False, 
            [
            _MetaInfoClassMember('session-admin-down-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLM session admin down
                events
                ''',
                'session_admin_down_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-create-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLM session create events
                ''',
                'session_create_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-creation-failed-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLM session creation failed
                events
                ''',
                'session_creation_failed_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-down-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLM session down events
                ''',
                'session_down_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-gracefully-delete-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLM session gracefully
                delete events
                ''',
                'session_gracefully_delete_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-non-gracefully-delete-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLM session non gracefully
                delete events
                ''',
                'session_non_gracefully_delete_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-replay-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLSP session replay events
                ''',
                'session_replay_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-up-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLM session up events
                ''',
                'session_up_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bf-do-lm-counters',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Bfd.Counters' : {
        'meta_info' : _MetaInfoClass('MplsTe.Bfd.Counters',
            False, 
            [
            _MetaInfoClassMember('bf-do-lm-counters', REFERENCE_CLASS, 'BfDoLmCounters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Bfd.Counters.BfDoLmCounters', 
                [], [], 
                '''                BFD over Links Cumulative Counters
                ''',
                'bf_do_lm_counters',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-over-lsp-head-counters', REFERENCE_CLASS, 'BfdOverLspHeadCounters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Bfd.Counters.BfdOverLspHeadCounters', 
                [], [], 
                '''                BFD over Head-end LSPs Cumulative Counters
                ''',
                'bfd_over_lsp_head_counters',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-over-lsp-tail-counters', REFERENCE_CLASS, 'BfdOverLspTailCounters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Bfd.Counters.BfdOverLspTailCounters', 
                [], [], 
                '''                BFD over Tail-end LSPs Cumulative Counters
                ''',
                'bfd_over_lsp_tail_counters',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-cleared-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The timestamp when these stats are cleared
                relative to Jan 1, 1970
                ''',
                'last_cleared_timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sbfd-over-lsp-head-counters', REFERENCE_CLASS, 'SbfdOverLspHeadCounters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Bfd.Counters.SbfdOverLspHeadCounters', 
                [], [], 
                '''                SBFD over Head-end LSPs Cumulative Counters
                ''',
                'sbfd_over_lsp_head_counters',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'counters',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Bfd' : {
        'meta_info' : _MetaInfoClass('MplsTe.Bfd',
            False, 
            [
            _MetaInfoClassMember('counters', REFERENCE_CLASS, 'Counters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Bfd.Counters', 
                [], [], 
                '''                MPLS TE BFD Counters
                ''',
                'counters',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('head-infos', REFERENCE_CLASS, 'HeadInfos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Bfd.HeadInfos', 
                [], [], 
                '''                MPLS TE Head BFD Over LSP Table
                ''',
                'head_infos',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('links', REFERENCE_CLASS, 'Links' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Bfd.Links', 
                [], [], 
                '''                MPLS TE BFD Info
                ''',
                'links',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('summary', REFERENCE_CLASS, 'Summary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Bfd.Summary', 
                [], [], 
                '''                MPLS TE BFD Summary
                ''',
                'summary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tail-infos', REFERENCE_CLASS, 'TailInfos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Bfd.TailInfos', 
                [], [], 
                '''                MPLS TE Tail BFD Over LSP Table
                ''',
                'tail_infos',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Nsr.Status.SyncStatusInformation.SlaveSyncInformation.Idt.CurrentIdtInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.Nsr.Status.SyncStatusInformation.SlaveSyncInformation.Idt.CurrentIdtInfo',
            False, 
            [
            _MetaInfoClassMember('declare-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Declare ready timestampe in seconds
                ''',
                'declare_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('idt-end-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT end timestampe in seconds
                ''',
                'idt_end_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('idt-start-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT start timestampe in seconds
                ''',
                'idt_start_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-ready-status', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Ready status
                ''',
                'is_ready_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reason', REFERENCE_ENUM_CLASS, 'TeSyncNotReadyReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSyncNotReadyReasonEnum', 
                [], [], 
                '''                Not ready reason
                ''',
                'reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('withdraw-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Withdraw ready timestampe in seconds
                ''',
                'withdraw_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'current-idt-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Nsr.Status.SyncStatusInformation.SlaveSyncInformation.Idt.PreviousIdtStatus' : {
        'meta_info' : _MetaInfoClass('MplsTe.Nsr.Status.SyncStatusInformation.SlaveSyncInformation.Idt.PreviousIdtStatus',
            False, 
            [
            _MetaInfoClassMember('declare-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Declare ready timestampe in seconds
                ''',
                'declare_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('idt-end-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT end timestampe in seconds
                ''',
                'idt_end_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('idt-start-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT start timestampe in seconds
                ''',
                'idt_start_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-ready-status', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Ready status
                ''',
                'is_ready_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reason', REFERENCE_ENUM_CLASS, 'TeSyncNotReadyReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSyncNotReadyReasonEnum', 
                [], [], 
                '''                Not ready reason
                ''',
                'reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('withdraw-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Withdraw ready timestampe in seconds
                ''',
                'withdraw_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'previous-idt-status',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Nsr.Status.SyncStatusInformation.SlaveSyncInformation.Idt' : {
        'meta_info' : _MetaInfoClass('MplsTe.Nsr.Status.SyncStatusInformation.SlaveSyncInformation.Idt',
            False, 
            [
            _MetaInfoClassMember('current-idt-info', REFERENCE_CLASS, 'CurrentIdtInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Nsr.Status.SyncStatusInformation.SlaveSyncInformation.Idt.CurrentIdtInfo', 
                [], [], 
                '''                Current IDT information
                ''',
                'current_idt_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-idt-status', REFERENCE_CLASS, 'PreviousIdtStatus' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Nsr.Status.SyncStatusInformation.SlaveSyncInformation.Idt.PreviousIdtStatus', 
                [], [], 
                '''                Previous IDT information
                ''',
                'previous_idt_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'idt',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Nsr.Status.SyncStatusInformation.SlaveSyncInformation.VifPending' : {
        'meta_info' : _MetaInfoClass('MplsTe.Nsr.Status.SyncStatusInformation.SlaveSyncInformation.VifPending',
            False, 
            [
            _MetaInfoClassMember('pending-reason', REFERENCE_ENUM_CLASS, 'TeSyncPendingReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSyncPendingReasonEnum', 
                [], [], 
                '''                Pending reason
                ''',
                'pending_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'vif-pending',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Nsr.Status.SyncStatusInformation.SlaveSyncInformation.S2LPending' : {
        'meta_info' : _MetaInfoClass('MplsTe.Nsr.Status.SyncStatusInformation.SlaveSyncInformation.S2LPending',
            False, 
            [
            _MetaInfoClassMember('pending-reason', REFERENCE_ENUM_CLASS, 'TeSyncPendingReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSyncPendingReasonEnum', 
                [], [], 
                '''                Pending reason
                ''',
                'pending_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-role', REFERENCE_ENUM_CLASS, 'MplsTeTunnelRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelRoleEnum', 
                [], [], 
                '''                S2L role
                ''',
                's2l_role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signaled-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signaled name
                ''',
                'signaled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-pending',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Nsr.Status.SyncStatusInformation.SlaveSyncInformation' : {
        'meta_info' : _MetaInfoClass('MplsTe.Nsr.Status.SyncStatusInformation.SlaveSyncInformation',
            False, 
            [
            _MetaInfoClassMember('idt', REFERENCE_CLASS, 'Idt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Nsr.Status.SyncStatusInformation.SlaveSyncInformation.Idt', 
                [], [], 
                '''                Sync status IDT information
                ''',
                'idt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('insync-sub-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-LSPs in sync
                ''',
                'insync_sub_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('insync-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnels in sync
                ''',
                'insync_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pending-sub-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-LSPs in sync pending
                ''',
                'pending_sub_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pending-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnels in sync pending
                ''',
                'pending_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-pending', REFERENCE_LIST, 'S2LPending' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Nsr.Status.SyncStatusInformation.SlaveSyncInformation.S2LPending', 
                [], [], 
                '''                Pending sub-LSPs details
                ''',
                's2l_pending',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('vif-pending', REFERENCE_LIST, 'VifPending' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Nsr.Status.SyncStatusInformation.SlaveSyncInformation.VifPending', 
                [], [], 
                '''                Pending tunnels details
                ''',
                'vif_pending',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'slave-sync-information',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Nsr.Status.SyncStatusInformation.MasterSyncInformation.Idt.CurrentIdtInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.Nsr.Status.SyncStatusInformation.MasterSyncInformation.Idt.CurrentIdtInfo',
            False, 
            [
            _MetaInfoClassMember('declare-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Declare ready timestampe in seconds
                ''',
                'declare_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('idt-end-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT end timestampe in seconds
                ''',
                'idt_end_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('idt-start-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT start timestampe in seconds
                ''',
                'idt_start_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-ready-status', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Ready status
                ''',
                'is_ready_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reason', REFERENCE_ENUM_CLASS, 'TeSyncNotReadyReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSyncNotReadyReasonEnum', 
                [], [], 
                '''                Not ready reason
                ''',
                'reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('withdraw-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Withdraw ready timestampe in seconds
                ''',
                'withdraw_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'current-idt-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Nsr.Status.SyncStatusInformation.MasterSyncInformation.Idt.PreviousIdtStatus' : {
        'meta_info' : _MetaInfoClass('MplsTe.Nsr.Status.SyncStatusInformation.MasterSyncInformation.Idt.PreviousIdtStatus',
            False, 
            [
            _MetaInfoClassMember('declare-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Declare ready timestampe in seconds
                ''',
                'declare_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('idt-end-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT end timestampe in seconds
                ''',
                'idt_end_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('idt-start-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT start timestampe in seconds
                ''',
                'idt_start_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-ready-status', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Ready status
                ''',
                'is_ready_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reason', REFERENCE_ENUM_CLASS, 'TeSyncNotReadyReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSyncNotReadyReasonEnum', 
                [], [], 
                '''                Not ready reason
                ''',
                'reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('withdraw-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Withdraw ready timestampe in seconds
                ''',
                'withdraw_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'previous-idt-status',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Nsr.Status.SyncStatusInformation.MasterSyncInformation.Idt' : {
        'meta_info' : _MetaInfoClass('MplsTe.Nsr.Status.SyncStatusInformation.MasterSyncInformation.Idt',
            False, 
            [
            _MetaInfoClassMember('current-idt-info', REFERENCE_CLASS, 'CurrentIdtInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Nsr.Status.SyncStatusInformation.MasterSyncInformation.Idt.CurrentIdtInfo', 
                [], [], 
                '''                Current IDT information
                ''',
                'current_idt_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-idt-status', REFERENCE_CLASS, 'PreviousIdtStatus' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Nsr.Status.SyncStatusInformation.MasterSyncInformation.Idt.PreviousIdtStatus', 
                [], [], 
                '''                Previous IDT information
                ''',
                'previous_idt_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'idt',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Nsr.Status.SyncStatusInformation.MasterSyncInformation' : {
        'meta_info' : _MetaInfoClass('MplsTe.Nsr.Status.SyncStatusInformation.MasterSyncInformation',
            False, 
            [
            _MetaInfoClassMember('idt', REFERENCE_CLASS, 'Idt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Nsr.Status.SyncStatusInformation.MasterSyncInformation.Idt', 
                [], [], 
                '''                Sync status IDT information
                ''',
                'idt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'master-sync-information',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Nsr.Status.SyncStatusInformation' : {
        'meta_info' : _MetaInfoClass('MplsTe.Nsr.Status.SyncStatusInformation',
            False, 
            [
            _MetaInfoClassMember('master-sync-information', REFERENCE_CLASS, 'MasterSyncInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Nsr.Status.SyncStatusInformation.MasterSyncInformation', 
                [], [], 
                '''                Master sync information
                ''',
                'master_sync_information',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('slave-sync-information', REFERENCE_CLASS, 'SlaveSyncInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Nsr.Status.SyncStatusInformation.SlaveSyncInformation', 
                [], [], 
                '''                Slave sync information
                ''',
                'slave_sync_information',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sync-show-type', REFERENCE_ENUM_CLASS, 'TeSyncStatusShowEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSyncStatusShowEnum', 
                [], [], 
                '''                SyncShowType
                ''',
                'sync_show_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'sync-status-information',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Nsr.Status' : {
        'meta_info' : _MetaInfoClass('MplsTe.Nsr.Status',
            False, 
            [
            _MetaInfoClassMember('role', REFERENCE_ENUM_CLASS, 'TeProcRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProcRoleEnum', 
                [], [], 
                '''                Process role
                ''',
                'role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sync-status-information', REFERENCE_CLASS, 'SyncStatusInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Nsr.Status.SyncStatusInformation', 
                [], [], 
                '''                Sync information for the NSR and ISSU
                ''',
                'sync_status_information',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'status',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation.Idt.CurrentIdtInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation.Idt.CurrentIdtInfo',
            False, 
            [
            _MetaInfoClassMember('declare-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Declare ready timestampe in seconds
                ''',
                'declare_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('idt-end-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT end timestampe in seconds
                ''',
                'idt_end_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('idt-start-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT start timestampe in seconds
                ''',
                'idt_start_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-ready-status', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Ready status
                ''',
                'is_ready_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reason', REFERENCE_ENUM_CLASS, 'TeSyncNotReadyReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSyncNotReadyReasonEnum', 
                [], [], 
                '''                Not ready reason
                ''',
                'reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('withdraw-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Withdraw ready timestampe in seconds
                ''',
                'withdraw_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'current-idt-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation.Idt.PreviousIdtStatus' : {
        'meta_info' : _MetaInfoClass('MplsTe.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation.Idt.PreviousIdtStatus',
            False, 
            [
            _MetaInfoClassMember('declare-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Declare ready timestampe in seconds
                ''',
                'declare_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('idt-end-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT end timestampe in seconds
                ''',
                'idt_end_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('idt-start-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT start timestampe in seconds
                ''',
                'idt_start_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-ready-status', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Ready status
                ''',
                'is_ready_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reason', REFERENCE_ENUM_CLASS, 'TeSyncNotReadyReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSyncNotReadyReasonEnum', 
                [], [], 
                '''                Not ready reason
                ''',
                'reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('withdraw-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Withdraw ready timestampe in seconds
                ''',
                'withdraw_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'previous-idt-status',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation.Idt' : {
        'meta_info' : _MetaInfoClass('MplsTe.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation.Idt',
            False, 
            [
            _MetaInfoClassMember('current-idt-info', REFERENCE_CLASS, 'CurrentIdtInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation.Idt.CurrentIdtInfo', 
                [], [], 
                '''                Current IDT information
                ''',
                'current_idt_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-idt-status', REFERENCE_CLASS, 'PreviousIdtStatus' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation.Idt.PreviousIdtStatus', 
                [], [], 
                '''                Previous IDT information
                ''',
                'previous_idt_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'idt',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation.VifPending' : {
        'meta_info' : _MetaInfoClass('MplsTe.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation.VifPending',
            False, 
            [
            _MetaInfoClassMember('pending-reason', REFERENCE_ENUM_CLASS, 'TeSyncPendingReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSyncPendingReasonEnum', 
                [], [], 
                '''                Pending reason
                ''',
                'pending_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'vif-pending',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation.S2LPending' : {
        'meta_info' : _MetaInfoClass('MplsTe.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation.S2LPending',
            False, 
            [
            _MetaInfoClassMember('pending-reason', REFERENCE_ENUM_CLASS, 'TeSyncPendingReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSyncPendingReasonEnum', 
                [], [], 
                '''                Pending reason
                ''',
                'pending_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-role', REFERENCE_ENUM_CLASS, 'MplsTeTunnelRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelRoleEnum', 
                [], [], 
                '''                S2L role
                ''',
                's2l_role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signaled-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signaled name
                ''',
                'signaled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-pending',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation' : {
        'meta_info' : _MetaInfoClass('MplsTe.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation',
            False, 
            [
            _MetaInfoClassMember('idt', REFERENCE_CLASS, 'Idt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation.Idt', 
                [], [], 
                '''                Sync status IDT information
                ''',
                'idt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('insync-sub-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-LSPs in sync
                ''',
                'insync_sub_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('insync-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnels in sync
                ''',
                'insync_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pending-sub-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-LSPs in sync pending
                ''',
                'pending_sub_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pending-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnels in sync pending
                ''',
                'pending_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-pending', REFERENCE_LIST, 'S2LPending' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation.S2LPending', 
                [], [], 
                '''                Pending sub-LSPs details
                ''',
                's2l_pending',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('vif-pending', REFERENCE_LIST, 'VifPending' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation.VifPending', 
                [], [], 
                '''                Pending tunnels details
                ''',
                'vif_pending',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'slave-sync-information',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Nsr.Detail.SyncStatusInformation.MasterSyncInformation.Idt.CurrentIdtInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.Nsr.Detail.SyncStatusInformation.MasterSyncInformation.Idt.CurrentIdtInfo',
            False, 
            [
            _MetaInfoClassMember('declare-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Declare ready timestampe in seconds
                ''',
                'declare_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('idt-end-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT end timestampe in seconds
                ''',
                'idt_end_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('idt-start-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT start timestampe in seconds
                ''',
                'idt_start_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-ready-status', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Ready status
                ''',
                'is_ready_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reason', REFERENCE_ENUM_CLASS, 'TeSyncNotReadyReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSyncNotReadyReasonEnum', 
                [], [], 
                '''                Not ready reason
                ''',
                'reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('withdraw-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Withdraw ready timestampe in seconds
                ''',
                'withdraw_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'current-idt-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Nsr.Detail.SyncStatusInformation.MasterSyncInformation.Idt.PreviousIdtStatus' : {
        'meta_info' : _MetaInfoClass('MplsTe.Nsr.Detail.SyncStatusInformation.MasterSyncInformation.Idt.PreviousIdtStatus',
            False, 
            [
            _MetaInfoClassMember('declare-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Declare ready timestampe in seconds
                ''',
                'declare_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('idt-end-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT end timestampe in seconds
                ''',
                'idt_end_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('idt-start-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT start timestampe in seconds
                ''',
                'idt_start_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-ready-status', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Ready status
                ''',
                'is_ready_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reason', REFERENCE_ENUM_CLASS, 'TeSyncNotReadyReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSyncNotReadyReasonEnum', 
                [], [], 
                '''                Not ready reason
                ''',
                'reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('withdraw-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Withdraw ready timestampe in seconds
                ''',
                'withdraw_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'previous-idt-status',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Nsr.Detail.SyncStatusInformation.MasterSyncInformation.Idt' : {
        'meta_info' : _MetaInfoClass('MplsTe.Nsr.Detail.SyncStatusInformation.MasterSyncInformation.Idt',
            False, 
            [
            _MetaInfoClassMember('current-idt-info', REFERENCE_CLASS, 'CurrentIdtInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Nsr.Detail.SyncStatusInformation.MasterSyncInformation.Idt.CurrentIdtInfo', 
                [], [], 
                '''                Current IDT information
                ''',
                'current_idt_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-idt-status', REFERENCE_CLASS, 'PreviousIdtStatus' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Nsr.Detail.SyncStatusInformation.MasterSyncInformation.Idt.PreviousIdtStatus', 
                [], [], 
                '''                Previous IDT information
                ''',
                'previous_idt_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'idt',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Nsr.Detail.SyncStatusInformation.MasterSyncInformation' : {
        'meta_info' : _MetaInfoClass('MplsTe.Nsr.Detail.SyncStatusInformation.MasterSyncInformation',
            False, 
            [
            _MetaInfoClassMember('idt', REFERENCE_CLASS, 'Idt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Nsr.Detail.SyncStatusInformation.MasterSyncInformation.Idt', 
                [], [], 
                '''                Sync status IDT information
                ''',
                'idt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'master-sync-information',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Nsr.Detail.SyncStatusInformation' : {
        'meta_info' : _MetaInfoClass('MplsTe.Nsr.Detail.SyncStatusInformation',
            False, 
            [
            _MetaInfoClassMember('master-sync-information', REFERENCE_CLASS, 'MasterSyncInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Nsr.Detail.SyncStatusInformation.MasterSyncInformation', 
                [], [], 
                '''                Master sync information
                ''',
                'master_sync_information',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('slave-sync-information', REFERENCE_CLASS, 'SlaveSyncInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation', 
                [], [], 
                '''                Slave sync information
                ''',
                'slave_sync_information',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sync-show-type', REFERENCE_ENUM_CLASS, 'TeSyncStatusShowEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSyncStatusShowEnum', 
                [], [], 
                '''                SyncShowType
                ''',
                'sync_show_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'sync-status-information',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Nsr.Detail' : {
        'meta_info' : _MetaInfoClass('MplsTe.Nsr.Detail',
            False, 
            [
            _MetaInfoClassMember('role', REFERENCE_ENUM_CLASS, 'TeProcRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProcRoleEnum', 
                [], [], 
                '''                Process role
                ''',
                'role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sync-status-information', REFERENCE_CLASS, 'SyncStatusInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Nsr.Detail.SyncStatusInformation', 
                [], [], 
                '''                Sync information for the NSR and ISSU
                ''',
                'sync_status_information',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'detail',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.Nsr' : {
        'meta_info' : _MetaInfoClass('MplsTe.Nsr',
            False, 
            [
            _MetaInfoClassMember('detail', REFERENCE_CLASS, 'Detail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Nsr.Detail', 
                [], [], 
                '''                MPLS TE NSR Status information
                ''',
                'detail',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_CLASS, 'Status' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Nsr.Status', 
                [], [], 
                '''                MPLS TE NSR Status information
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'nsr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AutoTunnelServices.SrPolicyEntries.SrPolicyEntry.EndPointXr' : {
        'meta_info' : _MetaInfoClass('MplsTe.AutoTunnelServices.SrPolicyEntries.SrPolicyEntry.EndPointXr',
            False, 
            [
            _MetaInfoClassMember('address-family-type', REFERENCE_ENUM_CLASS, 'MplsTeAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeAfiEnum', 
                [], [], 
                '''                AddressFamilyType
                ''',
                'address_family_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'end-point-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AutoTunnelServices.SrPolicyEntries.SrPolicyEntry.ExplicitPath.TunnelInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.AutoTunnelServices.SrPolicyEntries.SrPolicyEntry.ExplicitPath.TunnelInfo',
            False, 
            [
            _MetaInfoClassMember('ipv6-caps', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 Capsulation
                ''',
                'ipv6_caps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up
                ''',
                'tunnel_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tunnel-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AutoTunnelServices.SrPolicyEntries.SrPolicyEntry.ExplicitPath.Hops' : {
        'meta_info' : _MetaInfoClass('MplsTe.AutoTunnelServices.SrPolicyEntries.SrPolicyEntry.ExplicitPath.Hops',
            False, 
            [
            _MetaInfoClassMember('hop-type', REFERENCE_ENUM_CLASS, 'TeAutoTunExpPathHopEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAutoTunExpPathHopEnum', 
                [], [], 
                '''                Hop Type
                ''',
                'hop_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mpls-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'mpls_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'hops',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AutoTunnelServices.SrPolicyEntries.SrPolicyEntry.ExplicitPath' : {
        'meta_info' : _MetaInfoClass('MplsTe.AutoTunnelServices.SrPolicyEntries.SrPolicyEntry.ExplicitPath',
            False, 
            [
            _MetaInfoClassMember('context-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Explicit Path Context ID
                ''',
                'context_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hops', REFERENCE_LIST, 'Hops' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AutoTunnelServices.SrPolicyEntries.SrPolicyEntry.ExplicitPath.Hops', 
                [], [], 
                '''                Path Hops
                ''',
                'hops',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Stale
                ''',
                'is_stale',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-synced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Synced
                ''',
                'is_synced',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path Weight
                ''',
                'path_weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('programmed-in-fib', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Programmed in FIB
                ''',
                'programmed_in_fib',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-info', REFERENCE_CLASS, 'TunnelInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AutoTunnelServices.SrPolicyEntries.SrPolicyEntry.ExplicitPath.TunnelInfo', 
                [], [], 
                '''                Auto tunnel info
                ''',
                'tunnel_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AutoTunnelServices.SrPolicyEntries.SrPolicyEntry' : {
        'meta_info' : _MetaInfoClass('MplsTe.AutoTunnelServices.SrPolicyEntries.SrPolicyEntry',
            False, 
            [
            _MetaInfoClassMember('client-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Client ID
                ''',
                'client_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('color', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Color
                ''',
                'color',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                SR Policy Distinguisher Value
                ''',
                'distinguisher',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('end-point', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                End Point
                ''',
                'end_point',
                'Cisco-IOS-XR-mpls-te-oper', True, [
                    _MetaInfoClassMember('end-point', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        End Point
                        ''',
                        'end_point',
                        'Cisco-IOS-XR-mpls-te-oper', True),
                    _MetaInfoClassMember('end-point', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        End Point
                        ''',
                        'end_point',
                        'Cisco-IOS-XR-mpls-te-oper', True),
                ]),
            _MetaInfoClassMember('allocated-binding-sid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Allocated Binding SID
                ''',
                'allocated_binding_sid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('binding-sid-context-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding SID Context ID
                ''',
                'binding_sid_context_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('binding-sid-request-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Binding SID Request Pending
                ''',
                'binding_sid_request_pending',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('client-id-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Client ID
                ''',
                'client_id_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('client-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Client Name
                ''',
                'client_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('color-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Color
                ''',
                'color_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('creation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                SR policy structure creation timestamp
                (clocktime in nsecs)
                ''',
                'creation_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('distinguisher-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Distinguisher value
                ''',
                'distinguisher_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('end-point-xr', REFERENCE_CLASS, 'EndPointXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AutoTunnelServices.SrPolicyEntries.SrPolicyEntry.EndPointXr', 
                [], [], 
                '''                End Point
                ''',
                'end_point_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path', REFERENCE_LIST, 'ExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AutoTunnelServices.SrPolicyEntries.SrPolicyEntry.ExplicitPath', 
                [], [], 
                '''                Explicit Paths
                ''',
                'explicit_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-caps', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 Capsulation
                ''',
                'ipv6_caps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Stale
                ''',
                'is_stale',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-synced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Synced
                ''',
                'is_synced',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('notify-state-is-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Notify State Is Active
                ''',
                'notify_state_is_active',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('notify-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Notify Time
                ''',
                'notify_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Policy Active
                ''',
                'policy_active',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('requested-binding-sid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Requested Binding SID
                ''',
                'requested_binding_sid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rewrite-done', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Rewrite Done
                ''',
                'rewrite_done',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rewrite-request-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Rewrite Requeste Pending
                ''',
                'rewrite_request_pending',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sr-policy-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy ID
                ''',
                'sr_policy_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'sr-policy-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AutoTunnelServices.SrPolicyEntries' : {
        'meta_info' : _MetaInfoClass('MplsTe.AutoTunnelServices.SrPolicyEntries',
            False, 
            [
            _MetaInfoClassMember('sr-policy-entry', REFERENCE_LIST, 'SrPolicyEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AutoTunnelServices.SrPolicyEntries.SrPolicyEntry', 
                [], [], 
                '''                MPLS TE SR Policy information
                ''',
                'sr_policy_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'sr-policy-entries',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AutoTunnelServices' : {
        'meta_info' : _MetaInfoClass('MplsTe.AutoTunnelServices',
            False, 
            [
            _MetaInfoClassMember('sr-policy-entries', REFERENCE_CLASS, 'SrPolicyEntries' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AutoTunnelServices.SrPolicyEntries', 
                [], [], 
                '''                MPLS TE SR Policy Context table 
                ''',
                'sr_policy_entries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'auto-tunnel-services',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AffinityMap.AffinityMapArray' : {
        'meta_info' : _MetaInfoClass('MplsTe.AffinityMap.AffinityMapArray',
            False, 
            [
            _MetaInfoClassMember('affinity-bit-position', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Affinity bit position
                ''',
                'affinity_bit_position',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                EAG value
                ''',
                'affinity_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Affinity name
                ''',
                'affinity_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-table-id', REFERENCE_ENUM_CLASS, 'TeAffinityTableEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAffinityTableEnum', 
                [], [], 
                '''                Affinity table id
                ''',
                'affinity_table_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Affinity value
                ''',
                'affinity_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity-map-array',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.AffinityMap' : {
        'meta_info' : _MetaInfoClass('MplsTe.AffinityMap',
            False, 
            [
            _MetaInfoClassMember('affinity-map-array', REFERENCE_LIST, 'AffinityMapArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AffinityMap.AffinityMapArray', 
                [], [], 
                '''                Affinity map array
                ''',
                'affinity_map_array',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity-map',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeSidAndSrbg' : {
        'meta_info' : _MetaInfoClass('MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeSidAndSrbg',
            False, 
            [
            _MetaInfoClassMember('segment-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment-Routing Node-SID
                ''',
                'segment_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('segment-id-local-absolute-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Node-SID local absolute value
                ''',
                'segment_id_local_absolute_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srgb-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment-Routing global block size
                ''',
                'srgb_size',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srgb-start', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment-Routring global block start value
                ''',
                'srgb_start',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'topology-node-sid-and-srbg',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthPrestandard.TopologyLinkPrestandardBandwidthDetail' : {
        'meta_info' : _MetaInfoClass('MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthPrestandard.TopologyLinkPrestandardBandwidthDetail',
            False, 
            [
            _MetaInfoClassMember('topology-link-prestandard-bandwidth-allocated', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link's allocated bandwidth at priority levels
                (priority 0 to priority 7)
                ''',
                'topology_link_prestandard_bandwidth_allocated',
                'Cisco-IOS-XR-mpls-te-oper', False, max_elements=8),
            _MetaInfoClassMember('topology-link-prestandard-bandwidth-available-global', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link's available global-pool bandwidth at
                priority levels (priority 0 to priority 7)
                ''',
                'topology_link_prestandard_bandwidth_available_global',
                'Cisco-IOS-XR-mpls-te-oper', False, max_elements=8),
            _MetaInfoClassMember('topology-link-prestandard-bandwidth-available-subpool', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link's available sub-pool bandwidth at priority
                levels (priority 0 to priority 7)
                ''',
                'topology_link_prestandard_bandwidth_available_subpool',
                'Cisco-IOS-XR-mpls-te-oper', False, max_elements=8),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'topology-link-prestandard-bandwidth-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthPrestandard' : {
        'meta_info' : _MetaInfoClass('MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthPrestandard',
            False, 
            [
            _MetaInfoClassMember('topology-link-prestandard-bandwidth-detail', REFERENCE_CLASS, 'TopologyLinkPrestandardBandwidthDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthPrestandard.TopologyLinkPrestandardBandwidthDetail', 
                [], [], 
                '''                Detailed bandwidth information for this link
                ''',
                'topology_link_prestandard_bandwidth_detail',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-prestandard-bandwidth-physical', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The link's physical bandwidth
                ''',
                'topology_link_prestandard_bandwidth_physical',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-prestandard-bandwidth-reservation-global', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The link's reservable global bandwidth
                ''',
                'topology_link_prestandard_bandwidth_reservation_global',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-prestandard-bandwidth-reservation-subpool', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The link's reservable subpool bandwidth
                ''',
                'topology_link_prestandard_bandwidth_reservation_subpool',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'topology-link-bandwidth-prestandard',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthStandard.TopoLinkStdBwDetail' : {
        'meta_info' : _MetaInfoClass('MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthStandard.TopoLinkStdBwDetail',
            False, 
            [
            _MetaInfoClassMember('topo-link-std-bw-allocated', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link's allocated bandwidth per class
                ''',
                'topo_link_std_bw_allocated',
                'Cisco-IOS-XR-mpls-te-oper', False, max_elements=8),
            _MetaInfoClassMember('topo-link-std-bw-available', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link's available bandwidth per class
                ''',
                'topo_link_std_bw_available',
                'Cisco-IOS-XR-mpls-te-oper', False, max_elements=8),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'topo-link-std-bw-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthStandard' : {
        'meta_info' : _MetaInfoClass('MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthStandard',
            False, 
            [
            _MetaInfoClassMember('topo-link-std-bw-detail', REFERENCE_CLASS, 'TopoLinkStdBwDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthStandard.TopoLinkStdBwDetail', 
                [], [], 
                '''                Detailed bandwidth information for this link
                ''',
                'topo_link_std_bw_detail',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topo-link-std-bw-physical', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The link's physical bandwidth
                ''',
                'topo_link_std_bw_physical',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topo-link-std-bw-res-max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The link's maximum reservable bandwidth
                ''',
                'topo_link_std_bw_res_max',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topo-link-std-bw-res-pool0', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The link's reservable BC0 bandwidth
                ''',
                'topo_link_std_bw_res_pool0',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topo-link-std-bw-res-pool1', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The link's reservable BC1 bandwidth
                ''',
                'topo_link_std_bw_res_pool1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'topology-link-bandwidth-standard',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth' : {
        'meta_info' : _MetaInfoClass('MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth',
            False, 
            [
            _MetaInfoClassMember('bandwidth-migration-mode', REFERENCE_ENUM_CLASS, 'RrrDsteMigrationModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RrrDsteMigrationModeEnum', 
                [], [], 
                '''                BandwidthMigrationMode
                ''',
                'bandwidth_migration_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-bandwidth-prestandard', REFERENCE_CLASS, 'TopologyLinkBandwidthPrestandard' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthPrestandard', 
                [], [], 
                '''                Pre-standard bandwidth information for this link
                ''',
                'topology_link_bandwidth_prestandard',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-bandwidth-standard', REFERENCE_CLASS, 'TopologyLinkBandwidthStandard' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthStandard', 
                [], [], 
                '''                IETF-standard bandwidth information for this
                link
                ''',
                'topology_link_bandwidth_standard',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'topology-link-bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Fixed' : {
        'meta_info' : _MetaInfoClass('MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Fixed',
            False, 
            [
            _MetaInfoClassMember('maximum-od-us', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Maximum Number of ODUs of this level possible on
                this link
                ''',
                'maximum_od_us',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unreserved-od-us', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Maximum Number of ODUs of this level possible on
                this link
                ''',
                'unreserved_od_us',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fixed',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Flex' : {
        'meta_info' : _MetaInfoClass('MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Flex',
            False, 
            [
            _MetaInfoClassMember('max-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max kbps Bandwidth of this level possible on
                this link
                ''',
                'max_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-lsp-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Per LSP Max kbps Bandwidth of this level
                possible on this link
                ''',
                'max_lsp_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unreserved-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Unreserved kbps Bandwidth of this level possible
                on this link
                ''',
                'unreserved_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo' : {
        'meta_info' : _MetaInfoClass('MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo',
            False, 
            [
            _MetaInfoClassMember('fixed', REFERENCE_CLASS, 'Fixed' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Fixed', 
                [], [], 
                '''                ODU capability for Fixed ODUs
                ''',
                'fixed',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex', REFERENCE_CLASS, 'Flex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Flex', 
                [], [], 
                '''                ODU capability for Flex ODUs
                ''',
                'flex',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeOduCapabilityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeOduCapabilityEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bandwidth-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.OduLinkCapabilities.OduCapability' : {
        'meta_info' : _MetaInfoClass('MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.OduLinkCapabilities.OduCapability',
            False, 
            [
            _MetaInfoClassMember('bandwidth-info', REFERENCE_CLASS, 'BandwidthInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo', 
                [], [], 
                '''                Bandwidth related info for this ODU level
                ''',
                'bandwidth_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lcas-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if link LCAS capable for this ODU level
                ''',
                'lcas_capable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signal-type', REFERENCE_ENUM_CLASS, 'TeOduLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeOduLevelEnum', 
                [], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('stage1', REFERENCE_ENUM_CLASS, 'TeOduLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeOduLevelEnum', 
                [], [], 
                '''                ODU Type at stage 1, Not Set for HO ODU
                ''',
                'stage1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('stage2', REFERENCE_ENUM_CLASS, 'TeOduLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeOduLevelEnum', 
                [], [], 
                '''                ODU Type at stage 2, Not Set for single stage
                mulitplexing
                ''',
                'stage2',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('stage3', REFERENCE_ENUM_CLASS, 'TeOduLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeOduLevelEnum', 
                [], [], 
                '''                ODU Type at stage 3, Not set up to two levels of
                multiplexing
                ''',
                'stage3',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('stage4', REFERENCE_ENUM_CLASS, 'TeOduLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeOduLevelEnum', 
                [], [], 
                '''                ODU Type at stage 4, Not set up to three levels
                of multiplexing
                ''',
                'stage4',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('switchable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if link is switchable for this ODU level
                ''',
                'switchable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('terminable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if link is terminable for this ODU level
                ''',
                'terminable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tsg1p25', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if link supports 1.25G TSG for this ODU
                level
                ''',
                'tsg1p25',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tsg2p5', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if link supports 2.5G TSG for this ODU
                level
                ''',
                'tsg2p5',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('vcat-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if link VCAT capable for this ODU level
                ''',
                'vcat_capable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-capability',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.OduLinkCapabilities' : {
        'meta_info' : _MetaInfoClass('MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.OduLinkCapabilities',
            False, 
            [
            _MetaInfoClassMember('max-lsp-bandwidth', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max LSP Bandwidth per priority in kbit/s
                ''',
                'max_lsp_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-capability', REFERENCE_LIST, 'OduCapability' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.OduLinkCapabilities.OduCapability', 
                [], [], 
                '''                ODU Capabilities of Link
                ''',
                'odu_capability',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-link-capabilities',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.SharedRiskLinkGroup' : {
        'meta_info' : _MetaInfoClass('MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.SharedRiskLinkGroup',
            False, 
            [
            _MetaInfoClassMember('shared-risk-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG number
                ''',
                'shared_risk_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SRLG name
                ''',
                'srlg_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'shared-risk-link-group',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.AdjacencySid' : {
        'meta_info' : _MetaInfoClass('MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.AdjacencySid',
            False, 
            [
            _MetaInfoClassMember('adjacency-sid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The adjacency SID assigned for the topology node
                ''',
                'adjacency_sid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flag-b', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IGP Flag B
                ''',
                'flag_b',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flag-f', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IGP Flag F
                ''',
                'flag_f',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flag-l', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IGP Flag L
                ''',
                'flag_l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flag-s', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IGP Flag S
                ''',
                'flag_s',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flag-v', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IGP Flag V
                ''',
                'flag_v',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-type', REFERENCE_ENUM_CLASS, 'IgpSubnetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'IgpSubnetEnum', 
                [], [], 
                '''                Link Type
                ''',
                'link_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local Address
                ''',
                'local_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nbr-node-igpid', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The neighbor node's IGP ID
                ''',
                'nbr_node_igpid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nbr-node-te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The neigbor node's TE router-id
                ''',
                'nbr_node_te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote Address
                ''',
                'remote_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'adjacency-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink' : {
        'meta_info' : _MetaInfoClass('MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink',
            False, 
            [
            _MetaInfoClassMember('adjacency-sid', REFERENCE_LIST, 'AdjacencySid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.AdjacencySid', 
                [], [], 
                '''                Adjacency SIDs assigned for adjacency nodes
                ''',
                'adjacency_sid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-link-capabilities', REFERENCE_CLASS, 'OduLinkCapabilities' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.OduLinkCapabilities', 
                [], [], 
                '''                ODU Link Capabilities
                ''',
                'odu_link_capabilities',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared-risk-link-group', REFERENCE_LIST, 'SharedRiskLinkGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.SharedRiskLinkGroup', 
                [], [], 
                '''                The link's shared risk link groups
                ''',
                'shared_risk_link_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'topology_link_affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-bandwidth', REFERENCE_CLASS, 'TopologyLinkBandwidth' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth', 
                [], [], 
                '''                Bandwidth information for this link
                ''',
                'topology_link_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-bandwidth-model', REFERENCE_ENUM_CLASS, 'IgpteLibBwModelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'IgpteLibBwModelEnum', 
                [], [], 
                '''                The link's topology bandwidth model
                ''',
                'topology_link_bandwidth_model',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-encoding', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                The link's encoding
                ''',
                'topology_link_encoding',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-extended-affinity-bit', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The link's affinity bits (colors)
                ''',
                'topology_link_extended_affinity_bit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-fragment-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor's link version counter
                ''',
                'topology_link_fragment_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The link's IGP metric
                ''',
                'topology_link_igp_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Link's local interface address
                ''',
                'topology_link_interface_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link's local interface ID
                ''',
                'topology_link_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Link's neighbor interface address
                ''',
                'topology_link_neighbor_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-neighbor-generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor's link version counter
                ''',
                'topology_link_neighbor_generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-neighbor-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link's neighbor interface ID
                ''',
                'topology_link_neighbor_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-neighbor-node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Node id of neighbor
                ''',
                'topology_link_neighbor_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-neighbor-system-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                System id of neighbor
                ''',
                'topology_link_neighbor_system_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-switching-capability', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                The link's switching capability
                ''',
                'topology_link_switching_capability',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-te-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The link's TE metric
                ''',
                'topology_link_te_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-type', REFERENCE_ENUM_CLASS, 'IgpSubnetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'IgpSubnetEnum', 
                [], [], 
                '''                Link type
                ''',
                'topology_link_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-uni-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Unidirectional Link Delay in micro-sec
                ''',
                'topology_link_uni_delay',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'topology-node-link',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.TopologyBriefs.TopologyBrief' : {
        'meta_info' : _MetaInfoClass('MplsTe.TopologyBriefs.TopologyBrief',
            False, 
            [
            _MetaInfoClassMember('area', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                IGP area
                ''',
                'area',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('igp-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                IGP instance
                ''',
                'igp_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('igp-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IGP Node ID
                ''',
                'igp_node_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'MplsTeIgpProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeIgpProtocolEnum', 
                [], [], 
                '''                IGP protocol type
                ''',
                'protocol',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('topology-node-type', REFERENCE_ENUM_CLASS, 'MplsTeNodeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeNodeEnum', 
                [], [], 
                '''                Node type
                ''',
                'topology_node_type',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('topology-node-link', REFERENCE_LIST, 'TopologyNodeLink' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink', 
                [], [], 
                '''                This node's link information
                ''',
                'topology_node_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-node-overloaded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether this node is overloaded
                ''',
                'topology_node_overloaded',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-node-sid-and-srbg', REFERENCE_CLASS, 'TopologyNodeSidAndSrbg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeSidAndSrbg', 
                [], [], 
                '''                This node's SID and SRBG information
                ''',
                'topology_node_sid_and_srbg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-node-te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The node's TE router-id. Not set for network
                nodes
                ''',
                'topology_node_te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'topology-brief',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe.TopologyBriefs' : {
        'meta_info' : _MetaInfoClass('MplsTe.TopologyBriefs',
            False, 
            [
            _MetaInfoClassMember('topology-brief', REFERENCE_LIST, 'TopologyBrief' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.TopologyBriefs.TopologyBrief', 
                [], [], 
                '''                A node in MPLS-TE topoogy brief table
                ''',
                'topology_brief',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'topology-briefs',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTe' : {
        'meta_info' : _MetaInfoClass('MplsTe',
            False, 
            [
            _MetaInfoClassMember('affinity-map', REFERENCE_CLASS, 'AffinityMap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AffinityMap', 
                [], [], 
                '''                Affinity name to value mapping
                ''',
                'affinity_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('announce-tunnels-info', REFERENCE_CLASS, 'AnnounceTunnelsInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AnnounceTunnelsInfo', 
                [], [], 
                '''                Announced tunnels (forwarding adjacency and
                autoroute annonce)
                ''',
                'announce_tunnels_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-sets', REFERENCE_CLASS, 'AttributeSets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AttributeSets', 
                [], [], 
                '''                AttributeSet information.
                ''',
                'attribute_sets',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-destination-entries', REFERENCE_CLASS, 'AutoRouteDestinationEntries' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AutoRouteDestinationEntries', 
                [], [], 
                '''                MPLS TE autoroute destination table indexed by
                tunnel
                ''',
                'auto_route_destination_entries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-tunnel', REFERENCE_CLASS, 'AutoTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AutoTunnel', 
                [], [], 
                '''                Auto tunnel information.
                ''',
                'auto_tunnel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-tunnel-services', REFERENCE_CLASS, 'AutoTunnelServices' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.AutoTunnelServices', 
                [], [], 
                '''                MPLS TE Auto Tunnel Services
                ''',
                'auto_tunnel_services',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Bfd', 
                [], [], 
                '''                MPLS TE BFD Oper Info
                ''',
                'bfd',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('collaborator-timers', REFERENCE_CLASS, 'CollaboratorTimers' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.CollaboratorTimers', 
                [], [], 
                '''                TE Collaborator timer status
                ''',
                'collaborator_timers',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('diff-serv-te-classes', REFERENCE_CLASS, 'DiffServTeClasses' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.DiffServTeClasses', 
                [], [], 
                '''                The configured Diff Serv TE classes
                ''',
                'diff_serv_te_classes',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', REFERENCE_CLASS, 'FastReroute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.FastReroute', 
                [], [], 
                '''                Represent all the fastreroute info in MPLS-TE
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fib-next-hop-label-routes', REFERENCE_CLASS, 'FibNextHopLabelRoutes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.FibNextHopLabelRoutes', 
                [], [], 
                '''                MPLS TE FIB nexthop label route database
                ''',
                'fib_next_hop_label_routes',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fib-next-hop-routes', REFERENCE_CLASS, 'FibNextHopRoutes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.FibNextHopRoutes', 
                [], [], 
                '''                MPLS TE FIB nexthop route database
                ''',
                'fib_next_hop_routes',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forwarding-adjacency-destinations', REFERENCE_CLASS, 'ForwardingAdjacencyDestinations' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.ForwardingAdjacencyDestinations', 
                [], [], 
                '''                Announced Destination tunnel
                ''',
                'forwarding_adjacency_destinations',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hardware-out-of-resources', REFERENCE_CLASS, 'HardwareOutOfResources' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.HardwareOutOfResources', 
                [], [], 
                '''                NPU Hardware OOR Information
                ''',
                'hardware_out_of_resources',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('igp-area-briefs', REFERENCE_CLASS, 'IgpAreaBriefs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.IgpAreaBriefs', 
                [], [], 
                '''                The set of IGP-areas known to MPLS-TE
                ''',
                'igp_area_briefs',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('igp-areas', REFERENCE_CLASS, 'IgpAreas' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.IgpAreas', 
                [], [], 
                '''                The set of IGP-areas known to MPLS-TE
                ''',
                'igp_areas',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('issu', REFERENCE_CLASS, 'Issu' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Issu', 
                [], [], 
                '''                MPLS TE ISSU information
                ''',
                'issu',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-out-of-resources', REFERENCE_CLASS, 'LspOutOfResources' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.LspOutOfResources', 
                [], [], 
                '''                LSP OOR information
                ''',
                'lsp_out_of_resources',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-tunnels', REFERENCE_CLASS, 'MaximumTunnels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.MaximumTunnels', 
                [], [], 
                '''                MPLS Traffic Engineering Tunnels
                ''',
                'maximum_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-routes', REFERENCE_CLASS, 'NextHopRoutes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.NextHopRoutes', 
                [], [], 
                '''                MPLS TE nexthop route database
                ''',
                'next_hop_routes',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nsr', REFERENCE_CLASS, 'Nsr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Nsr', 
                [], [], 
                '''                MPLS TE NSR information
                ''',
                'nsr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('open-config', REFERENCE_CLASS, 'OpenConfig' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.OpenConfig', 
                [], [], 
                '''                OpenConfig MPLS TE operational data
                ''',
                'open_config',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2mp', REFERENCE_CLASS, 'P2Mp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2Mp', 
                [], [], 
                '''                P2MP Information
                ''',
                'p2mp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-p2mp-tunnel', REFERENCE_CLASS, 'P2PP2MpTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.P2PP2MpTunnel', 
                [], [], 
                '''                P2P or P2MP tunnels
                ''',
                'p2p_p2mp_tunnel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-protection', REFERENCE_CLASS, 'PathProtection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.PathProtection', 
                [], [], 
                '''                MPLS TE path protection info
                ''',
                'path_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('segment-routing', REFERENCE_CLASS, 'SegmentRouting' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.SegmentRouting', 
                [], [], 
                '''                The Segment Routing database in MPLS-TE
                ''',
                'segment_routing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-counters', REFERENCE_CLASS, 'SignallingCounters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.SignallingCounters', 
                [], [], 
                '''                TE counters
                ''',
                'signalling_counters',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption', REFERENCE_CLASS, 'SoftPreemption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.SoftPreemption', 
                [], [], 
                '''                Soft Preemption information.
                ''',
                'soft_preemption',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-mib', REFERENCE_CLASS, 'TeMib' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.TeMib', 
                [], [], 
                '''                TE MIB information
                ''',
                'te_mib',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology', REFERENCE_CLASS, 'Topology' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Topology', 
                [], [], 
                '''                The topology information in MPLS-TE
                ''',
                'topology',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-briefs', REFERENCE_CLASS, 'TopologyBriefs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.TopologyBriefs', 
                [], [], 
                '''                MPLS-TE topology brief table
                ''',
                'topology_briefs',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-nodes', REFERENCE_CLASS, 'TopologyNodes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.TopologyNodes', 
                [], [], 
                '''                A node in the MPLS-TE topology
                ''',
                'topology_nodes',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnels', REFERENCE_CLASS, 'Tunnels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.Tunnels', 
                [], [], 
                '''                Failure protection provided for tunnels
                ''',
                'tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wrap-protection', REFERENCE_CLASS, 'WrapProtection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTe.WrapProtection', 
                [], [], 
                '''                Represent all the LSP Wrap Protection info in
                MPLS-TE
                ''',
                'wrap_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'mpls-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.Neighbors.Neighbor.Neighbor_' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.Neighbors.Neighbor.Neighbor_',
            False, 
            [
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The area id
                ''',
                'area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The interface on which this neighbor is
                discovered
                ''',
                'interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The neighbor's IP address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The neighbor's id
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.Neighbors.Neighbor' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.Neighbors.Neighbor',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.Neighbors.Neighbor.Neighbor_', 
                [], [], 
                '''                Neighbors of the specified link id
                ''',
                'neighbor',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.Neighbors' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.Neighbors',
            False, 
            [
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.Neighbors.Neighbor', 
                [], [], 
                '''                The neighbors connected to a particular
                interface
                ''',
                'neighbor',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'neighbors',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.PreemptionEvents.PreemptionEvent.Lsp' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.PreemptionEvents.PreemptionEvent.Lsp',
            False, 
            [
            _MetaInfoClassMember('bandwidth-preempted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSPs bandwidth is already preempted
                ''',
                'bandwidth_preempted',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                The path's bandwidth type; 0:BC0, 1:BC1, so on
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                The path's hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('requested-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The path's requested bandwidth
                ''',
                'requested_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                The path's setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preempted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE is the preemption is a soft preemption
                ''',
                'soft_preempted',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preempted-fr-rrewrite', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR-rewrite is done during soft preemption
                ''',
                'soft_preempted_fr_rrewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                If the soft preemption is underway, this value
                indicates the number of seconds before hard
                preemption is triggered
                ''',
                'soft_preemption_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source
                ''',
                'source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.PreemptionEvents.PreemptionEvent' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.PreemptionEvents.PreemptionEvent',
            False, 
            [
            _MetaInfoClassMember('event-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '1999')], [], 
                '''                Event index
                ''',
                'event_index',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('bandwidth-overshoot0', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                BW Overshoot for BC0
                ''',
                'bandwidth_overshoot0',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-overshoot1', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                BW Overshoot for BC1
                ''',
                'bandwidth_overshoot1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                The path's bandwidth type; 0:CT0, 1:CT1, so on
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('event-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Event time; seconds elapsed since January 1,
                1970
                ''',
                'event_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hard-preempted-bandwidth-bc0', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Amount of hard preempted class 0 bandwidth
                ''',
                'hard_preempted_bandwidth_bc0',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hard-preempted-bandwidth-bc1', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Amount of hard preempted class 1 bandwidth
                ''',
                'hard_preempted_bandwidth_bc1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hard-preempted-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of LSPs hardly preempted
                ''',
                'hard_preempted_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hard-preempted-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Tunnels hardly preempted
                ''',
                'hard_preempted_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                The path's hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of LSPs (not all may be present in the
                list)
                ''',
                'ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp', REFERENCE_LIST, 'Lsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.PreemptionEvents.PreemptionEvent.Lsp', 
                [], [], 
                '''                List of preempted LSPs
                ''',
                'lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('new-bandwidth-bc0', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                New BW for BC0
                ''',
                'new_bandwidth_bc0',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('new-bandwidth-bc1', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                New BW for BC1
                ''',
                'new_bandwidth_bc1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('old-bandwidth-bc0', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Old BW for BC0
                ''',
                'old_bandwidth_bc0',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('old-bandwidth-bc1', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Old BW for BC1
                ''',
                'old_bandwidth_bc1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('requested-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The path's requested bandwidth
                ''',
                'requested_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                The path's setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preempted-fr-rrewrite-bandwidth-bc0', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Amount of softly preempted FRR RW class 0
                bandwidth
                ''',
                'soft_preempted_fr_rrewrite_bandwidth_bc0',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preempted-fr-rrewrite-bandwidth-bc1', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Amount of softly preempted FRR RW class 1
                bandwidth
                ''',
                'soft_preempted_fr_rrewrite_bandwidth_bc1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preempted-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of LSPs softly preempted
                ''',
                'soft_preempted_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preempted-ls-ps-fr-rrewrite', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of LSPs softly preempted with traffic
                switched to backup
                ''',
                'soft_preempted_ls_ps_fr_rrewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preempted-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Tunnels softly preempted
                ''',
                'soft_preempted_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preempted-tunnels-fr-rrewrite', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Tunnels softly preempted with traffic
                switched to backup
                ''',
                'soft_preempted_tunnels_fr_rrewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('softly-preempted-bandwidth-bc0', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Amount of softly preempted class 0 bandwidth
                ''',
                'softly_preempted_bandwidth_bc0',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('softly-preempted-bandwidth-bc1', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Amount of softly preempted class 1 bandwidth
                ''',
                'softly_preempted_bandwidth_bc1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source
                ''',
                'source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-preempted-bandwidth-bc0', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total amount of preempted class 0 bandwidth
                ''',
                'total_preempted_bandwidth_bc0',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-preempted-bandwidth-bc1', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total amount of preempted class 1 bandwidth
                ''',
                'total_preempted_bandwidth_bc1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Tunnels
                ''',
                'tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'preemption-event',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.PreemptionEvents' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.PreemptionEvents',
            False, 
            [
            _MetaInfoClassMember('preemption-event', REFERENCE_LIST, 'PreemptionEvent' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.PreemptionEvents.PreemptionEvent', 
                [], [], 
                '''                Preemption event
                ''',
                'preemption_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'preemption-events',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.Advertisements.AdvertizedAreas.FloodedLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Fixed' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.Advertisements.AdvertizedAreas.FloodedLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Fixed',
            False, 
            [
            _MetaInfoClassMember('maximum-od-us', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Maximum Number of ODUs of this level possible on
                this link
                ''',
                'maximum_od_us',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unreserved-od-us', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Maximum Number of ODUs of this level possible on
                this link
                ''',
                'unreserved_od_us',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fixed',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.Advertisements.AdvertizedAreas.FloodedLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Flex' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.Advertisements.AdvertizedAreas.FloodedLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Flex',
            False, 
            [
            _MetaInfoClassMember('max-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max kbps Bandwidth of this level possible on
                this link
                ''',
                'max_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-lsp-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Per LSP Max kbps Bandwidth of this level
                possible on this link
                ''',
                'max_lsp_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unreserved-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Unreserved kbps Bandwidth of this level possible
                on this link
                ''',
                'unreserved_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.Advertisements.AdvertizedAreas.FloodedLink.OduLinkCapabilities.OduCapability.BandwidthInfo' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.Advertisements.AdvertizedAreas.FloodedLink.OduLinkCapabilities.OduCapability.BandwidthInfo',
            False, 
            [
            _MetaInfoClassMember('fixed', REFERENCE_CLASS, 'Fixed' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.Advertisements.AdvertizedAreas.FloodedLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Fixed', 
                [], [], 
                '''                ODU capability for Fixed ODUs
                ''',
                'fixed',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex', REFERENCE_CLASS, 'Flex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.Advertisements.AdvertizedAreas.FloodedLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Flex', 
                [], [], 
                '''                ODU capability for Flex ODUs
                ''',
                'flex',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeOduCapabilityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeOduCapabilityEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bandwidth-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.Advertisements.AdvertizedAreas.FloodedLink.OduLinkCapabilities.OduCapability' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.Advertisements.AdvertizedAreas.FloodedLink.OduLinkCapabilities.OduCapability',
            False, 
            [
            _MetaInfoClassMember('bandwidth-info', REFERENCE_CLASS, 'BandwidthInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.Advertisements.AdvertizedAreas.FloodedLink.OduLinkCapabilities.OduCapability.BandwidthInfo', 
                [], [], 
                '''                Bandwidth related info for this ODU level
                ''',
                'bandwidth_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lcas-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if link LCAS capable for this ODU level
                ''',
                'lcas_capable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signal-type', REFERENCE_ENUM_CLASS, 'TeOduLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeOduLevelEnum', 
                [], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('stage1', REFERENCE_ENUM_CLASS, 'TeOduLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeOduLevelEnum', 
                [], [], 
                '''                ODU Type at stage 1, Not Set for HO ODU
                ''',
                'stage1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('stage2', REFERENCE_ENUM_CLASS, 'TeOduLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeOduLevelEnum', 
                [], [], 
                '''                ODU Type at stage 2, Not Set for single stage
                mulitplexing
                ''',
                'stage2',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('stage3', REFERENCE_ENUM_CLASS, 'TeOduLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeOduLevelEnum', 
                [], [], 
                '''                ODU Type at stage 3, Not set up to two levels of
                multiplexing
                ''',
                'stage3',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('stage4', REFERENCE_ENUM_CLASS, 'TeOduLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeOduLevelEnum', 
                [], [], 
                '''                ODU Type at stage 4, Not set up to three levels
                of multiplexing
                ''',
                'stage4',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('switchable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if link is switchable for this ODU level
                ''',
                'switchable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('terminable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if link is terminable for this ODU level
                ''',
                'terminable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tsg1p25', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if link supports 1.25G TSG for this ODU
                level
                ''',
                'tsg1p25',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tsg2p5', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if link supports 2.5G TSG for this ODU
                level
                ''',
                'tsg2p5',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('vcat-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if link VCAT capable for this ODU level
                ''',
                'vcat_capable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-capability',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.Advertisements.AdvertizedAreas.FloodedLink.OduLinkCapabilities' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.Advertisements.AdvertizedAreas.FloodedLink.OduLinkCapabilities',
            False, 
            [
            _MetaInfoClassMember('max-lsp-bandwidth', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max LSP Bandwidth per priority in kbit/s
                ''',
                'max_lsp_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-capability', REFERENCE_LIST, 'OduCapability' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.Advertisements.AdvertizedAreas.FloodedLink.OduLinkCapabilities.OduCapability', 
                [], [], 
                '''                ODU Capabilities of Link
                ''',
                'odu_capability',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-link-capabilities',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.Advertisements.AdvertizedAreas.FloodedLink.SharedRiskLinkGroup' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.Advertisements.AdvertizedAreas.FloodedLink.SharedRiskLinkGroup',
            False, 
            [
            _MetaInfoClassMember('shared-risk-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG number
                ''',
                'shared_risk_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SRLG name
                ''',
                'srlg_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'shared-risk-link-group',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.Advertisements.AdvertizedAreas.FloodedLink.ReceivingReservableBandwidth' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.Advertisements.AdvertizedAreas.FloodedLink.ReceivingReservableBandwidth',
            False, 
            [
            _MetaInfoClassMember('pool0-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The reservable pool0 BW at this priority
                ''',
                'pool0_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pool1-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The reservable pool1 BW at this priority
                ''',
                'pool1_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                The priority level of this bandwidth
                ''',
                'priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'receiving-reservable-bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.Advertisements.AdvertizedAreas.FloodedLink.TransmittingReservableBandwidth' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.Advertisements.AdvertizedAreas.FloodedLink.TransmittingReservableBandwidth',
            False, 
            [
            _MetaInfoClassMember('pool0-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The reservable pool0 BW at this priority
                ''',
                'pool0_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pool1-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The reservable pool1 BW at this priority
                ''',
                'pool1_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                The priority level of this bandwidth
                ''',
                'priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'transmitting-reservable-bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.Advertisements.AdvertizedAreas.FloodedLink' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.Advertisements.AdvertizedAreas.FloodedLink',
            False, 
            [
            _MetaInfoClassMember('affinity-attribute-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'affinity_attribute_flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-units', REFERENCE_ENUM_CLASS, 'BandwidthUnitEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'BandwidthUnitEnumEnum', 
                [], [], 
                '''                The link's bandwidth units
                ''',
                'bandwidth_units',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bandwidth Constraints Model ID
                ''',
                'bcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('designated-router-igp-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IGP id of the designated router
                ''',
                'designated_router_igp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-affinity-attribute-flag', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The link's extended affinity bits
                ''',
                'extended_affinity_attribute_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The link's IGP metric
                ''',
                'igp_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('igp-neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The neighbor's ip address
                ''',
                'igp_neighbor_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The link's incoming interface's id
                ''',
                'incoming_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The link's interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-designated-router', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the link belongs to a desig. router
                ''',
                'is_designated_router',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-receiving-reservable-bandwidth-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if receiving reservable BW is enabled
                ''',
                'is_receiving_reservable_bandwidth_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-transmitting-reservable-bandwidth-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if transmitting reservable BW is enabled
                ''',
                'is_transmitting_reservable_bandwidth_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The link's IPv4 address
                ''',
                'link_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The link's id
                ''',
                'link_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-maximum-reservable-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The link's maximum reservable BW
                ''',
                'link_maximum_reservable_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('neighbor-igp-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The neighbor's IGP id
                ''',
                'neighbor_igp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-link-capabilities', REFERENCE_CLASS, 'OduLinkCapabilities' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.Advertisements.AdvertizedAreas.FloodedLink.OduLinkCapabilities', 
                [], [], 
                '''                ODU Link Capabilities
                ''',
                'odu_link_capabilities',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The link's outgoing interface's id
                ''',
                'outgoing_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('physical-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The link's physical BW
                ''',
                'physical_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('receiving-direction', REFERENCE_ENUM_CLASS, 'LinkDirectionEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'LinkDirectionEnumEnum', 
                [], [], 
                '''                Upstream or Downstream
                ''',
                'receiving_direction',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('receiving-reservable-bandwidth', REFERENCE_LIST, 'ReceivingReservableBandwidth' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.Advertisements.AdvertizedAreas.FloodedLink.ReceivingReservableBandwidth', 
                [], [], 
                '''                Receiving reservable BW at each priority
                level(priority 0 to priority 7)
                ''',
                'receiving_reservable_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False, max_elements=8),
            _MetaInfoClassMember('reservable-pool0-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The link's reservable pool0 BW
                ''',
                'reservable_pool0_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reservable-pool1-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The link's reservable pool1 BW
                ''',
                'reservable_pool1_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared-risk-link-group', REFERENCE_LIST, 'SharedRiskLinkGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.Advertisements.AdvertizedAreas.FloodedLink.SharedRiskLinkGroup', 
                [], [], 
                '''                The link's shared risk link groups
                ''',
                'shared_risk_link_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('subnet-type', REFERENCE_ENUM_CLASS, 'IgpSubnetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'IgpSubnetEnum', 
                [], [], 
                '''                The link's subnet type
                ''',
                'subnet_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The link's TE metric
                ''',
                'te_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('transmitting-direction', REFERENCE_ENUM_CLASS, 'LinkDirectionEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'LinkDirectionEnumEnum', 
                [], [], 
                '''                Upstream or Downstream
                ''',
                'transmitting_direction',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('transmitting-reservable-bandwidth', REFERENCE_LIST, 'TransmittingReservableBandwidth' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.Advertisements.AdvertizedAreas.FloodedLink.TransmittingReservableBandwidth', 
                [], [], 
                '''                Transmitting reservable BW at each priority
                level (priority 0 to priority 7)
                ''',
                'transmitting_reservable_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False, max_elements=8),
            _MetaInfoClassMember('uni-link-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Unidirectional Link Delay in micro-sec
                ''',
                'uni_link_delay',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flooded-link',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.Advertisements.AdvertizedAreas' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.Advertisements.AdvertizedAreas',
            False, 
            [
            _MetaInfoClassMember('flooded-link', REFERENCE_LIST, 'FloodedLink' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.Advertisements.AdvertizedAreas.FloodedLink', 
                [], [], 
                '''                The array of flooded links in this area
                ''',
                'flooded_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('igp-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The area id
                ''',
                'igp_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'IgpProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'IgpProtocolEnum', 
                [], [], 
                '''                The IGP protocol running over this area
                ''',
                'protocol',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The node's router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('system-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The node's system id
                ''',
                'system_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'advertized-areas',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.Advertisements' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.Advertisements',
            False, 
            [
            _MetaInfoClassMember('advertized-areas', REFERENCE_LIST, 'AdvertizedAreas' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.Advertisements.AdvertizedAreas', 
                [], [], 
                '''                Advertising info for all the IGP areas
                ''',
                'advertized_areas',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ds-te-mode', REFERENCE_ENUM_CLASS, 'RrrDsteMigrationModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RrrDsteMigrationModeEnum', 
                [], [], 
                '''                DS-TE Mode
                ''',
                'ds_te_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flooding-status-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Flooding status: ready or reason
                ''',
                'flooding_status_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-flooding-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last flooding in seconds
                ''',
                'last_flooding_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-flooding-trigger', REFERENCE_ENUM_CLASS, 'FloodingTriggerEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'FloodingTriggerEnum', 
                [], [], 
                '''                Trigger for last flooding
                ''',
                'last_flooding_trigger',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-flooding-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time remained for next flooding in seconds
                ''',
                'next_flooding_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'advertisements',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.Statistics.Summary.PathStatistics' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.Statistics.Summary.PathStatistics',
            False, 
            [
            _MetaInfoClassMember('setup-admits', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'setup_admits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'setup_errors',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-rejects', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'setup_rejects',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'setup_requests',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tear-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'tear_errors',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tear-preempts', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'tear_preempts',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tear-requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'tear_requests',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.Statistics.Summary.ReservationStatistics' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.Statistics.Summary.ReservationStatistics',
            False, 
            [
            _MetaInfoClassMember('setup-admits', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'setup_admits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'setup_errors',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-rejects', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'setup_rejects',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'setup_requests',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tear-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'tear_errors',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tear-preempts', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'tear_preempts',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tear-requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'tear_requests',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reservation-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.Statistics.Summary.PathStatistics32Bit' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.Statistics.Summary.PathStatistics32Bit',
            False, 
            [
            _MetaInfoClassMember('setup-admits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Setup admits
                ''',
                'setup_admits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Setup errors
                ''',
                'setup_errors',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-rejects', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Setup rejects
                ''',
                'setup_rejects',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Setup requests
                ''',
                'setup_requests',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tear-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tear errors
                ''',
                'tear_errors',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tear-preempts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tear preempts
                ''',
                'tear_preempts',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tear-requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tear requests
                ''',
                'tear_requests',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-statistics32-bit',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.Statistics.Summary.ReservationStatistics32Bit' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.Statistics.Summary.ReservationStatistics32Bit',
            False, 
            [
            _MetaInfoClassMember('setup-admits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Setup admits
                ''',
                'setup_admits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Setup errors
                ''',
                'setup_errors',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-rejects', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Setup rejects
                ''',
                'setup_rejects',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Setup requests
                ''',
                'setup_requests',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tear-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tear errors
                ''',
                'tear_errors',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tear-preempts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tear preempts
                ''',
                'tear_preempts',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tear-requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tear requests
                ''',
                'tear_requests',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reservation-statistics32-bit',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.Statistics.Summary' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.Statistics.Summary',
            False, 
            [
            _MetaInfoClassMember('is-role-standby', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if Role is Standby, Active otherwise
                ''',
                'is_role_standby',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-statistics', REFERENCE_CLASS, 'PathStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.Statistics.Summary.PathStatistics', 
                [], [], 
                '''                Deprecated
                ''',
                'path_statistics',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-statistics32-bit', REFERENCE_CLASS, 'PathStatistics32Bit' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.Statistics.Summary.PathStatistics32Bit', 
                [], [], 
                '''                Path counters (32-bit)
                ''',
                'path_statistics32_bit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reservation-statistics', REFERENCE_CLASS, 'ReservationStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.Statistics.Summary.ReservationStatistics', 
                [], [], 
                '''                Deprecated
                ''',
                'reservation_statistics',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reservation-statistics32-bit', REFERENCE_CLASS, 'ReservationStatistics32Bit' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.Statistics.Summary.ReservationStatistics32Bit', 
                [], [], 
                '''                Reservation counters (32-bit)
                ''',
                'reservation_statistics32_bit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'summary',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.Statistics.StatsticsLinks.StatsticsLink.IncomingPathStatistics' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.Statistics.StatsticsLinks.StatsticsLink.IncomingPathStatistics',
            False, 
            [
            _MetaInfoClassMember('setup-admits', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'setup_admits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'setup_errors',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-rejects', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'setup_rejects',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'setup_requests',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tear-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'tear_errors',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tear-preempts', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'tear_preempts',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tear-requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'tear_requests',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'incoming-path-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.Statistics.StatsticsLinks.StatsticsLink.IncomingReservationStatistics' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.Statistics.StatsticsLinks.StatsticsLink.IncomingReservationStatistics',
            False, 
            [
            _MetaInfoClassMember('setup-admits', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'setup_admits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'setup_errors',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-rejects', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'setup_rejects',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'setup_requests',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tear-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'tear_errors',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tear-preempts', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'tear_preempts',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tear-requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'tear_requests',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'incoming-reservation-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.Statistics.StatsticsLinks.StatsticsLink.OutgoingPathStatistics' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.Statistics.StatsticsLinks.StatsticsLink.OutgoingPathStatistics',
            False, 
            [
            _MetaInfoClassMember('setup-admits', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'setup_admits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'setup_errors',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-rejects', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'setup_rejects',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'setup_requests',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tear-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'tear_errors',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tear-preempts', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'tear_preempts',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tear-requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'tear_requests',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'outgoing-path-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.Statistics.StatsticsLinks.StatsticsLink.OutgoingReservationStatistics' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.Statistics.StatsticsLinks.StatsticsLink.OutgoingReservationStatistics',
            False, 
            [
            _MetaInfoClassMember('setup-admits', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'setup_admits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'setup_errors',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-rejects', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'setup_rejects',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'setup_requests',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tear-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'tear_errors',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tear-preempts', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'tear_preempts',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tear-requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'tear_requests',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'outgoing-reservation-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.Statistics.StatsticsLinks.StatsticsLink.IncomingPathStatistics32Bit' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.Statistics.StatsticsLinks.StatsticsLink.IncomingPathStatistics32Bit',
            False, 
            [
            _MetaInfoClassMember('setup-admits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Setup admits
                ''',
                'setup_admits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Setup errors
                ''',
                'setup_errors',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-rejects', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Setup rejects
                ''',
                'setup_rejects',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Setup requests
                ''',
                'setup_requests',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tear-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tear errors
                ''',
                'tear_errors',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tear-preempts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tear preempts
                ''',
                'tear_preempts',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tear-requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tear requests
                ''',
                'tear_requests',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'incoming-path-statistics32-bit',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.Statistics.StatsticsLinks.StatsticsLink.IncomingReservationStatistics32Bit' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.Statistics.StatsticsLinks.StatsticsLink.IncomingReservationStatistics32Bit',
            False, 
            [
            _MetaInfoClassMember('setup-admits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Setup admits
                ''',
                'setup_admits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Setup errors
                ''',
                'setup_errors',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-rejects', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Setup rejects
                ''',
                'setup_rejects',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Setup requests
                ''',
                'setup_requests',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tear-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tear errors
                ''',
                'tear_errors',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tear-preempts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tear preempts
                ''',
                'tear_preempts',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tear-requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tear requests
                ''',
                'tear_requests',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'incoming-reservation-statistics32-bit',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.Statistics.StatsticsLinks.StatsticsLink.OutgoingPathStatistics32Bit' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.Statistics.StatsticsLinks.StatsticsLink.OutgoingPathStatistics32Bit',
            False, 
            [
            _MetaInfoClassMember('setup-admits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Setup admits
                ''',
                'setup_admits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Setup errors
                ''',
                'setup_errors',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-rejects', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Setup rejects
                ''',
                'setup_rejects',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Setup requests
                ''',
                'setup_requests',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tear-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tear errors
                ''',
                'tear_errors',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tear-preempts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tear preempts
                ''',
                'tear_preempts',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tear-requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tear requests
                ''',
                'tear_requests',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'outgoing-path-statistics32-bit',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.Statistics.StatsticsLinks.StatsticsLink.OutgoingReservationStatistics32Bit' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.Statistics.StatsticsLinks.StatsticsLink.OutgoingReservationStatistics32Bit',
            False, 
            [
            _MetaInfoClassMember('setup-admits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Setup admits
                ''',
                'setup_admits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Setup errors
                ''',
                'setup_errors',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-rejects', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Setup rejects
                ''',
                'setup_rejects',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Setup requests
                ''',
                'setup_requests',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tear-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tear errors
                ''',
                'tear_errors',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tear-preempts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tear preempts
                ''',
                'tear_preempts',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tear-requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tear requests
                ''',
                'tear_requests',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'outgoing-reservation-statistics32-bit',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.Statistics.StatsticsLinks.StatsticsLink' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.Statistics.StatsticsLinks.StatsticsLink',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('incoming-path-statistics', REFERENCE_CLASS, 'IncomingPathStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.Statistics.StatsticsLinks.StatsticsLink.IncomingPathStatistics', 
                [], [], 
                '''                Deprecated
                ''',
                'incoming_path_statistics',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-path-statistics32-bit', REFERENCE_CLASS, 'IncomingPathStatistics32Bit' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.Statistics.StatsticsLinks.StatsticsLink.IncomingPathStatistics32Bit', 
                [], [], 
                '''                Incoming PATH counters
                ''',
                'incoming_path_statistics32_bit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-reservation-statistics', REFERENCE_CLASS, 'IncomingReservationStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.Statistics.StatsticsLinks.StatsticsLink.IncomingReservationStatistics', 
                [], [], 
                '''                Deprecated
                ''',
                'incoming_reservation_statistics',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-reservation-statistics32-bit', REFERENCE_CLASS, 'IncomingReservationStatistics32Bit' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.Statistics.StatsticsLinks.StatsticsLink.IncomingReservationStatistics32Bit', 
                [], [], 
                '''                Incoming RESV counters
                ''',
                'incoming_reservation_statistics32_bit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Link name
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Link's ip address
                ''',
                'link_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-path-statistics', REFERENCE_CLASS, 'OutgoingPathStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.Statistics.StatsticsLinks.StatsticsLink.OutgoingPathStatistics', 
                [], [], 
                '''                Deprecated
                ''',
                'outgoing_path_statistics',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-path-statistics32-bit', REFERENCE_CLASS, 'OutgoingPathStatistics32Bit' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.Statistics.StatsticsLinks.StatsticsLink.OutgoingPathStatistics32Bit', 
                [], [], 
                '''                Outgoing PATH counters
                ''',
                'outgoing_path_statistics32_bit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-reservation-statistics', REFERENCE_CLASS, 'OutgoingReservationStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.Statistics.StatsticsLinks.StatsticsLink.OutgoingReservationStatistics', 
                [], [], 
                '''                Deprecated
                ''',
                'outgoing_reservation_statistics',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-reservation-statistics32-bit', REFERENCE_CLASS, 'OutgoingReservationStatistics32Bit' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.Statistics.StatsticsLinks.StatsticsLink.OutgoingReservationStatistics32Bit', 
                [], [], 
                '''                Outgoing RESV counters
                ''',
                'outgoing_reservation_statistics32_bit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'statstics-link',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.Statistics.StatsticsLinks' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.Statistics.StatsticsLinks',
            False, 
            [
            _MetaInfoClassMember('statstics-link', REFERENCE_LIST, 'StatsticsLink' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.Statistics.StatsticsLinks.StatsticsLink', 
                [], [], 
                '''                An interface in MPLS-LCAC
                ''',
                'statstics_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'statstics-links',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.Statistics' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.Statistics',
            False, 
            [
            _MetaInfoClassMember('statstics-links', REFERENCE_CLASS, 'StatsticsLinks' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.Statistics.StatsticsLinks', 
                [], [], 
                '''                The table of statistics interfaces in MPLS-LCAC
                ''',
                'statstics_links',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('summary', REFERENCE_CLASS, 'Summary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.Statistics.Summary', 
                [], [], 
                '''                The statistics summary for all interfaces
                ''',
                'summary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.BandwidthAllocation.Global_' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.BandwidthAllocation.Global_',
            False, 
            [
            _MetaInfoClassMember('bandwidth-hold-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                How long to hold the bandwidth (seconds)
                ''',
                'bandwidth_hold_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-role-standby', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if Role is Standby, Active otherwise
                ''',
                'is_role_standby',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('links', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of links
                ''',
                'links',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'global',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.LinkCommon.LinkFlags' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.LinkCommon.LinkFlags',
            False, 
            [
            _MetaInfoClassMember('is-admin-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the link is admin up
                ''',
                'is_admin_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-mpls-te-on', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Deprecated - TRUE if the link is a TE-Link
                ''',
                'is_mpls_te_on',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signaling-agent', REFERENCE_ENUM_CLASS, 'SignalingAgentEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'SignalingAgentEnumEnum', 
                [], [], 
                '''                Deprecated - Signaling agent
                ''',
                'signaling_agent',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'link-flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.LinkCommon.SharedRiskLinkGroup' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.LinkCommon.SharedRiskLinkGroup',
            False, 
            [
            _MetaInfoClassMember('shared-risk-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG number
                ''',
                'shared_risk_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SRLG name
                ''',
                'srlg_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'shared-risk-link-group',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.LinkCommon.InterfaceSwitchingCapabilityDescriptor' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.LinkCommon.InterfaceSwitchingCapabilityDescriptor',
            False, 
            [
            _MetaInfoClassMember('encoding', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                The link encoding type
                ''',
                'encoding',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('key', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                The switching capability descriptor key
                ''',
                'key',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('switching-capability', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                The switching capability
                ''',
                'switching_capability',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'interface-switching-capability-descriptor',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.LinkCommon.FloodedAreas' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.LinkCommon.FloodedAreas',
            False, 
            [
            _MetaInfoClassMember('flooded-area', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The flooded area information
                ''',
                'flooded_area',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flooded-areas',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.LinkCommon' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.LinkCommon',
            False, 
            [
            _MetaInfoClassMember('bandwidth-units', REFERENCE_ENUM_CLASS, 'BandwidthUnitEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'BandwidthUnitEnumEnum', 
                [], [], 
                '''                The bandwidth units
                ''',
                'bandwidth_units',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bandwidth Constraints Model ID
                ''',
                'bcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('capability', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The link's protection capability
                ''',
                'capability',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flooded-areas', REFERENCE_LIST, 'FloodedAreas' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.LinkCommon.FloodedAreas', 
                [], [], 
                '''                List of areas into which the link is flooded
                ''',
                'flooded_areas',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the link is protected
                ''',
                'has_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('igp-neighbors', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The link's neighbor count
                ''',
                'igp_neighbors',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('inbound-admission-method', REFERENCE_ENUM_CLASS, 'AdmissionPolicyEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'AdmissionPolicyEnum', 
                [], [], 
                '''                Deprecated
                ''',
                'inbound_admission_method',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-reservable-bandwidth-percentage', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Incoming reserved BW in %
                ''',
                'incoming_reservable_bandwidth_percentage',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-reservable-pool0-bandwidth-percentage', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Incoming reserved pool0 BW in %
                ''',
                'incoming_reservable_pool0_bandwidth_percentage',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-reservable-pool1-bandwidth-percentage', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Incoming reserved pool1 BW in %
                ''',
                'incoming_reservable_pool1_bandwidth_percentage',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-switching-capability-descriptor', REFERENCE_LIST, 'InterfaceSwitchingCapabilityDescriptor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.LinkCommon.InterfaceSwitchingCapabilityDescriptor', 
                [], [], 
                '''                The link's switching capability descriptor
                ''',
                'interface_switching_capability_descriptor',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-resource-provider-installed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the resource provider is installed
                ''',
                'is_resource_provider_installed',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-unnumbered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the link is unnumbered
                ''',
                'is_unnumbered',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-flooded-effective-maximum-reservable-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Last flooded max reservable bandwidth effective
                ''',
                'last_flooded_effective_maximum_reservable_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The link's ip address
                ''',
                'link_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-flags', REFERENCE_CLASS, 'LinkFlags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.LinkCommon.LinkFlags', 
                [], [], 
                '''                The link's flags
                ''',
                'link_flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The link's id
                ''',
                'link_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-reservable-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The link's maximum reservable BW
                ''',
                'maximum_reservable_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-reservable-pool0-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The link's maximum reservable pool0 BW
                ''',
                'maximum_reservable_pool0_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-reservable-pool1-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The link's maximum reservable pool1 BW
                ''',
                'maximum_reservable_pool1_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outbound-admission-method', REFERENCE_ENUM_CLASS, 'AdmissionPolicyEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'AdmissionPolicyEnum', 
                [], [], 
                '''                Deprecated
                ''',
                'outbound_admission_method',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-reservable-bandwidth-percentage', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Outgoing reserved BW in %
                ''',
                'outgoing_reservable_bandwidth_percentage',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-reservable-pool0-bandwidth-percentage', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Outgoing reserved pool0 BW in %
                ''',
                'outgoing_reservable_pool0_bandwidth_percentage',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-reservable-pool1-bandwidth-percentage', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Outgoing reserved pool1 BW in %
                ''',
                'outgoing_reservable_pool1_bandwidth_percentage',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('physical-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The link's physical bandwidth
                ''',
                'physical_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resource-provider', REFERENCE_ENUM_CLASS, 'ResourceProviderEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'ResourceProviderEnum', 
                [], [], 
                '''                The link's resource provider
                ''',
                'resource_provider',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared-risk-link-group', REFERENCE_LIST, 'SharedRiskLinkGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.LinkCommon.SharedRiskLinkGroup', 
                [], [], 
                '''                The link's shared risk link groups
                ''',
                'shared_risk_link_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('working-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The link's working priority
                ''',
                'working_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'link-common',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.UpstreamBandwidth.BandwidthPool0' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.UpstreamBandwidth.BandwidthPool0',
            False, 
            [
            _MetaInfoClassMember('held-amount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The held bandwidth
                ''',
                'held_amount',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                The BW priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('locked-amount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The locked bandwidth
                ''',
                'locked_amount',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-held-amount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The total held bandwidth
                ''',
                'total_held_amount',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-locked-amount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The total locked bandwidth
                ''',
                'total_locked_amount',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bandwidth-pool0',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.UpstreamBandwidth.BandwidthPool1' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.UpstreamBandwidth.BandwidthPool1',
            False, 
            [
            _MetaInfoClassMember('held-amount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The held bandwidth
                ''',
                'held_amount',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                The BW priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('locked-amount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The locked bandwidth
                ''',
                'locked_amount',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-held-amount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The total held bandwidth
                ''',
                'total_held_amount',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-locked-amount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The total locked bandwidth
                ''',
                'total_locked_amount',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bandwidth-pool1',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.UpstreamBandwidth' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.UpstreamBandwidth',
            False, 
            [
            _MetaInfoClassMember('bandwidth-direction', REFERENCE_ENUM_CLASS, 'LinkDirectionEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'LinkDirectionEnumEnum', 
                [], [], 
                '''                BW Direction
                ''',
                'bandwidth_direction',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-pool0', REFERENCE_LIST, 'BandwidthPool0' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.UpstreamBandwidth.BandwidthPool0', 
                [], [], 
                '''                Pool0 BW info for the different priority levels
                ''',
                'bandwidth_pool0',
                'Cisco-IOS-XR-mpls-te-oper', False, max_elements=8),
            _MetaInfoClassMember('bandwidth-pool1', REFERENCE_LIST, 'BandwidthPool1' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.UpstreamBandwidth.BandwidthPool1', 
                [], [], 
                '''                Pool1 BW info for the different priority levels
                ''',
                'bandwidth_pool1',
                'Cisco-IOS-XR-mpls-te-oper', False, max_elements=8),
            _MetaInfoClassMember('bandwidth-units', REFERENCE_ENUM_CLASS, 'BandwidthUnitEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'BandwidthUnitEnumEnum', 
                [], [], 
                '''                Bandwidth units
                ''',
                'bandwidth_units',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-admission-method-allocated-bandwidth', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if the link's admit method is based on
                Allocated BW
                ''',
                'is_admission_method_allocated_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'upstream-bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.DownstreamBandwidth.BandwidthPool0' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.DownstreamBandwidth.BandwidthPool0',
            False, 
            [
            _MetaInfoClassMember('held-amount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The held bandwidth
                ''',
                'held_amount',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                The BW priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('locked-amount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The locked bandwidth
                ''',
                'locked_amount',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-held-amount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The total held bandwidth
                ''',
                'total_held_amount',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-locked-amount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The total locked bandwidth
                ''',
                'total_locked_amount',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bandwidth-pool0',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.DownstreamBandwidth.BandwidthPool1' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.DownstreamBandwidth.BandwidthPool1',
            False, 
            [
            _MetaInfoClassMember('held-amount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The held bandwidth
                ''',
                'held_amount',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                The BW priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('locked-amount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The locked bandwidth
                ''',
                'locked_amount',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-held-amount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The total held bandwidth
                ''',
                'total_held_amount',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-locked-amount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The total locked bandwidth
                ''',
                'total_locked_amount',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bandwidth-pool1',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.DownstreamBandwidth' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.DownstreamBandwidth',
            False, 
            [
            _MetaInfoClassMember('bandwidth-direction', REFERENCE_ENUM_CLASS, 'LinkDirectionEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'LinkDirectionEnumEnum', 
                [], [], 
                '''                BW Direction
                ''',
                'bandwidth_direction',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-pool0', REFERENCE_LIST, 'BandwidthPool0' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.DownstreamBandwidth.BandwidthPool0', 
                [], [], 
                '''                Pool0 BW info for the different priority levels
                ''',
                'bandwidth_pool0',
                'Cisco-IOS-XR-mpls-te-oper', False, max_elements=8),
            _MetaInfoClassMember('bandwidth-pool1', REFERENCE_LIST, 'BandwidthPool1' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.DownstreamBandwidth.BandwidthPool1', 
                [], [], 
                '''                Pool1 BW info for the different priority levels
                ''',
                'bandwidth_pool1',
                'Cisco-IOS-XR-mpls-te-oper', False, max_elements=8),
            _MetaInfoClassMember('bandwidth-units', REFERENCE_ENUM_CLASS, 'BandwidthUnitEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'BandwidthUnitEnumEnum', 
                [], [], 
                '''                Bandwidth units
                ''',
                'bandwidth_units',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-admission-method-allocated-bandwidth', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if the link's admit method is based on
                Allocated BW
                ''',
                'is_admission_method_allocated_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'downstream-bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('bandwidth-descriptors', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of BW descriptor for the given pool
                ''',
                'bandwidth_descriptors',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-pool', REFERENCE_ENUM_CLASS, 'BandwidthTypeEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'BandwidthTypeEnumEnum', 
                [], [], 
                '''                type of the BW pool
                ''',
                'bandwidth_pool',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('downstream-bandwidth', REFERENCE_CLASS, 'DownstreamBandwidth' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.DownstreamBandwidth', 
                [], [], 
                '''                BW info in the dnstream direction
                ''',
                'downstream_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flooding-down-threshold', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Flooding down-thresholds
                ''',
                'flooding_down_threshold',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flooding-down-thresholds-are-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the down-threshold are default
                ''',
                'flooding_down_thresholds_are_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flooding-down-thresholds-are-global', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the down-threshold are global
                ''',
                'flooding_down_thresholds_are_global',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flooding-up-threshold', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Flooding up-thresholds
                ''',
                'flooding_up_threshold',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flooding-up-thresholds-are-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the up-threshold are default
                ''',
                'flooding_up_thresholds_are_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flooding-up-thresholds-are-global', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the up-threshold are global
                ''',
                'flooding_up_thresholds_are_global',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-common', REFERENCE_CLASS, 'LinkCommon' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.LinkCommon', 
                [], [], 
                '''                The link's common info
                ''',
                'link_common',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-bandwidth-descriptors', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of total BW descriptors
                ''',
                'total_bandwidth_descriptors',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('upstream-bandwidth', REFERENCE_CLASS, 'UpstreamBandwidth' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.UpstreamBandwidth', 
                [], [], 
                '''                BW info in the upstream direction
                ''',
                'upstream_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bandwidth-allocation-link',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks',
            False, 
            [
            _MetaInfoClassMember('bandwidth-allocation-link', REFERENCE_LIST, 'BandwidthAllocationLink' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink', 
                [], [], 
                '''                The bandwidth allocation for a given interface
                ''',
                'bandwidth_allocation_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bandwidth-allocation-links',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.BandwidthAllocation' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.BandwidthAllocation',
            False, 
            [
            _MetaInfoClassMember('bandwidth-allocation-links', REFERENCE_CLASS, 'BandwidthAllocationLinks' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks', 
                [], [], 
                '''                Per-link bandwidth allocation information in
                MPLS-LCAC
                ''',
                'bandwidth_allocation_links',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('global', REFERENCE_CLASS, 'Global_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.BandwidthAllocation.Global_', 
                [], [], 
                '''                Global bandwidth allocation information for all
                interfaces
                ''',
                'global_',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bandwidth-allocation',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.Gmpls.Nni' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.Gmpls.Nni',
            False, 
            [
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'nni',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.Gmpls.Uni' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.Gmpls.Uni',
            False, 
            [
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'uni',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.Gmpls' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.Gmpls',
            False, 
            [
            _MetaInfoClassMember('nni', REFERENCE_CLASS, 'Nni' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.Gmpls.Nni', 
                [], [], 
                '''                GMPLS NNI data
                ''',
                'nni',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uni', REFERENCE_CLASS, 'Uni' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.Gmpls.Uni', 
                [], [], 
                '''                GMPLS UNI data
                ''',
                'uni',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'gmpls',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.BfdNeighbors.BfdNeighbor.Neighbor' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.BfdNeighbors.BfdNeighbor.Neighbor',
            False, 
            [
            _MetaInfoClassMember('is-bfd-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the BFD session is Up on this link
                ''',
                'is_bfd_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The neighbor's IP address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.BfdNeighbors.BfdNeighbor' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.BfdNeighbors.BfdNeighbor',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.BfdNeighbors.BfdNeighbor.Neighbor', 
                [], [], 
                '''                Neighbors of the specified link id
                ''',
                'neighbor',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.BfdNeighbors' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.BfdNeighbors',
            False, 
            [
            _MetaInfoClassMember('bfd-neighbor', REFERENCE_LIST, 'BfdNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.BfdNeighbors.BfdNeighbor', 
                [], [], 
                '''                A BFD Neighbor
                ''',
                'bfd_neighbor',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-neighbors',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink.CommonInfo.BandwidthUtilization' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink.CommonInfo.BandwidthUtilization',
            False, 
            [
            _MetaInfoClassMember('applied-non-rsvp-te-bandwidth-utilization', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Applied Non-RSVP-TE bandwidth utilization
                measured in kilobits per second
                ''',
                'applied_non_rsvp_te_bandwidth_utilization',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('non-rsvp-te-bandwidth-utilization', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Non-RSVP-TE bandwidth utilization measured in
                kilobits per second
                ''',
                'non_rsvp_te_bandwidth_utilization',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rsvp-te-bandwidth-utilization', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                RSVP-TE bandwidth utilization measured in
                kilobits per second
                ''',
                'rsvp_te_bandwidth_utilization',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-link-bandwidth-utilization', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total bandwidth utilization measured in kilobits
                per second
                ''',
                'total_link_bandwidth_utilization',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bandwidth-utilization',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink.CommonInfo' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink.CommonInfo',
            False, 
            [
            _MetaInfoClassMember('application-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if application is enabled
                ''',
                'application_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('application-time-remaining-nano-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                This value indicates the number of nano-seconds
                until the next application
                ''',
                'application_time_remaining_nano_sec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-utilization', REFERENCE_CLASS, 'BandwidthUtilization' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink.CommonInfo.BandwidthUtilization', 
                [], [], 
                '''                Bandwidth utilization information
                ''',
                'bandwidth_utilization',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('collection-type', REFERENCE_ENUM_CLASS, 'BandwidthAccountingCollectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'BandwidthAccountingCollectionEnum', 
                [], [], 
                '''                The type of traffic collected for bandwidth
                accounting
                ''',
                'collection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('effective-maximum-reservable-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum reservable bandwidth effective
                ''',
                'effective_maximum_reservable_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-application-timestamp-nano-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Timestamp for the last application in
                nano-seconds
                ''',
                'last_application_timestamp_nano_sec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-sample-collection-timestamp-nano-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Timestamp for the last sample collection in
                nano-seconds
                ''',
                'last_sample_collection_timestamp_nano_sec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-application-timestamp-nano-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Timestamp for the next application in
                nano-seconds
                ''',
                'next_application_timestamp_nano_sec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-sample-collection-nano-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Timestamp for the next sample collection in
                nano-seconds
                ''',
                'next_sample_collection_nano_sec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sample-time-remaining-timestamp-nano-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                This value indicates the number of nano-seconds
                until the next sampling
                ''',
                'sample_time_remaining_timestamp_nano_sec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'common-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink.SampleHistory.ActiveIntervalSample' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink.SampleHistory.ActiveIntervalSample',
            False, 
            [
            _MetaInfoClassMember('non-rsvp-te-packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Non-RSVP-TE traffic rate measured in packets per
                second in this sample
                ''',
                'non_rsvp_te_packet_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('non-rsvp-te-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Non-RSVP-TE traffic rate measured in Kilobits
                per second in this sample
                ''',
                'non_rsvp_te_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rsvp-te-packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                RSVP-TE traffic rate measured in packets per
                second in this sample
                ''',
                'rsvp_te_packet_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rsvp-te-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                RSVP-TE traffic rate measured in Kilobits per
                second in this sample
                ''',
                'rsvp_te_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('timestamp-nano-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Timestamp in nano-seconds of this sample
                ''',
                'timestamp_nano_sec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total traffic rate measured in packets per
                second in this sample
                ''',
                'total_packet_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total traffic rate measured in Kilobits per
                second in this sample
                ''',
                'total_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'active-interval-sample',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink.SampleHistory.PreviousIntervalSample' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink.SampleHistory.PreviousIntervalSample',
            False, 
            [
            _MetaInfoClassMember('non-rsvp-te-packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Non-RSVP-TE traffic rate measured in packets per
                second in this sample
                ''',
                'non_rsvp_te_packet_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('non-rsvp-te-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Non-RSVP-TE traffic rate measured in Kilobits
                per second in this sample
                ''',
                'non_rsvp_te_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rsvp-te-packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                RSVP-TE traffic rate measured in packets per
                second in this sample
                ''',
                'rsvp_te_packet_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rsvp-te-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                RSVP-TE traffic rate measured in Kilobits per
                second in this sample
                ''',
                'rsvp_te_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('timestamp-nano-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Timestamp in nano-seconds of this sample
                ''',
                'timestamp_nano_sec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total traffic rate measured in packets per
                second in this sample
                ''',
                'total_packet_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total traffic rate measured in Kilobits per
                second in this sample
                ''',
                'total_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'previous-interval-sample',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink.SampleHistory' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink.SampleHistory',
            False, 
            [
            _MetaInfoClassMember('active-interval-sample', REFERENCE_LIST, 'ActiveIntervalSample' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink.SampleHistory.ActiveIntervalSample', 
                [], [], 
                '''                Samples in the current application interval
                ''',
                'active_interval_sample',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-interval-sample', REFERENCE_LIST, 'PreviousIntervalSample' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink.SampleHistory.PreviousIntervalSample', 
                [], [], 
                '''                Samples in the previous application interval
                ''',
                'previous_interval_sample',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-applications', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of applications
                ''',
                'total_applications',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-samples', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of samples collected
                ''',
                'total_samples',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'sample-history',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('common-info', REFERENCE_CLASS, 'CommonInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink.CommonInfo', 
                [], [], 
                '''                Information for bandwidth accounting telemetry
                ''',
                'common_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The link's ID
                ''',
                'link_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sample-history', REFERENCE_CLASS, 'SampleHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink.SampleHistory', 
                [], [], 
                '''                History of bandwidth accounting samples
                ''',
                'sample_history',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bandwidth-account-link',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.BandwidthAccount.BandwidthAccountLinks' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.BandwidthAccount.BandwidthAccountLinks',
            False, 
            [
            _MetaInfoClassMember('bandwidth-account-link', REFERENCE_LIST, 'BandwidthAccountLink' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink', 
                [], [], 
                '''                An interface in bandwidth accounting table
                ''',
                'bandwidth_account_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bandwidth-account-links',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.BandwidthAccount' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.BandwidthAccount',
            False, 
            [
            _MetaInfoClassMember('bandwidth-account-links', REFERENCE_CLASS, 'BandwidthAccountLinks' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.BandwidthAccount.BandwidthAccountLinks', 
                [], [], 
                '''                The interface bandwidth accounting information
                table
                ''',
                'bandwidth_account_links',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bandwidth-account',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.LinkSummary.BandwidthAccountSummary' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.LinkSummary.BandwidthAccountSummary',
            False, 
            [
            _MetaInfoClassMember('application-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Application interval for bandwidth accounting
                stats
                ''',
                'application_interval',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('application-time-remaining', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                This value indicates the number of seconds until
                the next application
                ''',
                'application_time_remaining',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-account-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if bandwidth accounting is enabled
                ''',
                'is_bandwidth_account_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sample-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sample interval for bandwidth accounting stats
                ''',
                'sample_interval',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sample-time-remaining', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                This value indicates the number of seconds until
                the next sample collection
                ''',
                'sample_time_remaining',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bandwidth-account-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.LinkSummary.AreasSummary' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.LinkSummary.AreasSummary',
            False, 
            [
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Area id
                ''',
                'area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('igp-neighbors', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of IGP neighbors
                ''',
                'igp_neighbors',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-flooded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if flooding occurred in this area
                ''',
                'is_flooded',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-periodic-flooding-on', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if periodic flooding is on
                ''',
                'is_periodic_flooding_on',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('links-flooded', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of flooded links
                ''',
                'links_flooded',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-node-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local router id
                ''',
                'local_node_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('periodic-flooding-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Flooding period in seconds
                ''',
                'periodic_flooding_interval',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'IgpProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'IgpProtocolEnum', 
                [], [], 
                '''                Protocol running over the area
                ''',
                'protocol',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('system-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IGP id of local node
                ''',
                'system_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'areas-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.LinkSummary' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.LinkSummary',
            False, 
            [
            _MetaInfoClassMember('areas-summary', REFERENCE_LIST, 'AreasSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.LinkSummary.AreasSummary', 
                [], [], 
                '''                Summary info for the areas
                ''',
                'areas_summary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-account-summary', REFERENCE_CLASS, 'BandwidthAccountSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.LinkSummary.BandwidthAccountSummary', 
                [], [], 
                '''                Bandwidth account summary
                ''',
                'bandwidth_account_summary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-flooding-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if flooding is enabled
                ''',
                'is_flooding_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-role-standby', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if Role is Standby, Active otherwise
                ''',
                'is_role_standby',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('links', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Total number of links
                ''',
                'links',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-links', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum number of links supported
                ''',
                'maximum_links',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'link-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.LinkInformation.Global_' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.LinkInformation.Global_',
            False, 
            [
            _MetaInfoClassMember('is-role-standby', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if Role is Standby, Active otherwise
                ''',
                'is_role_standby',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('links', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The number of links
                ''',
                'links',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-links', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum number of links supported
                ''',
                'maximum_links',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'global',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.LinkInformation.Links.Link.LinkCommon.LinkFlags' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.LinkInformation.Links.Link.LinkCommon.LinkFlags',
            False, 
            [
            _MetaInfoClassMember('is-admin-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the link is admin up
                ''',
                'is_admin_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-mpls-te-on', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Deprecated - TRUE if the link is a TE-Link
                ''',
                'is_mpls_te_on',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signaling-agent', REFERENCE_ENUM_CLASS, 'SignalingAgentEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'SignalingAgentEnumEnum', 
                [], [], 
                '''                Deprecated - Signaling agent
                ''',
                'signaling_agent',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'link-flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.LinkInformation.Links.Link.LinkCommon.SharedRiskLinkGroup' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.LinkInformation.Links.Link.LinkCommon.SharedRiskLinkGroup',
            False, 
            [
            _MetaInfoClassMember('shared-risk-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG number
                ''',
                'shared_risk_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SRLG name
                ''',
                'srlg_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'shared-risk-link-group',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.LinkInformation.Links.Link.LinkCommon.InterfaceSwitchingCapabilityDescriptor' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.LinkInformation.Links.Link.LinkCommon.InterfaceSwitchingCapabilityDescriptor',
            False, 
            [
            _MetaInfoClassMember('encoding', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                The link encoding type
                ''',
                'encoding',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('key', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                The switching capability descriptor key
                ''',
                'key',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('switching-capability', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                The switching capability
                ''',
                'switching_capability',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'interface-switching-capability-descriptor',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.LinkInformation.Links.Link.LinkCommon.FloodedAreas' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.LinkInformation.Links.Link.LinkCommon.FloodedAreas',
            False, 
            [
            _MetaInfoClassMember('flooded-area', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The flooded area information
                ''',
                'flooded_area',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flooded-areas',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.LinkInformation.Links.Link.LinkCommon' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.LinkInformation.Links.Link.LinkCommon',
            False, 
            [
            _MetaInfoClassMember('bandwidth-units', REFERENCE_ENUM_CLASS, 'BandwidthUnitEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'BandwidthUnitEnumEnum', 
                [], [], 
                '''                The bandwidth units
                ''',
                'bandwidth_units',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bandwidth Constraints Model ID
                ''',
                'bcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('capability', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The link's protection capability
                ''',
                'capability',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flooded-areas', REFERENCE_LIST, 'FloodedAreas' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.LinkInformation.Links.Link.LinkCommon.FloodedAreas', 
                [], [], 
                '''                List of areas into which the link is flooded
                ''',
                'flooded_areas',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the link is protected
                ''',
                'has_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('igp-neighbors', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The link's neighbor count
                ''',
                'igp_neighbors',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('inbound-admission-method', REFERENCE_ENUM_CLASS, 'AdmissionPolicyEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'AdmissionPolicyEnum', 
                [], [], 
                '''                Deprecated
                ''',
                'inbound_admission_method',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-reservable-bandwidth-percentage', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Incoming reserved BW in %
                ''',
                'incoming_reservable_bandwidth_percentage',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-reservable-pool0-bandwidth-percentage', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Incoming reserved pool0 BW in %
                ''',
                'incoming_reservable_pool0_bandwidth_percentage',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-reservable-pool1-bandwidth-percentage', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Incoming reserved pool1 BW in %
                ''',
                'incoming_reservable_pool1_bandwidth_percentage',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-switching-capability-descriptor', REFERENCE_LIST, 'InterfaceSwitchingCapabilityDescriptor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.LinkInformation.Links.Link.LinkCommon.InterfaceSwitchingCapabilityDescriptor', 
                [], [], 
                '''                The link's switching capability descriptor
                ''',
                'interface_switching_capability_descriptor',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-resource-provider-installed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the resource provider is installed
                ''',
                'is_resource_provider_installed',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-unnumbered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the link is unnumbered
                ''',
                'is_unnumbered',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-flooded-effective-maximum-reservable-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Last flooded max reservable bandwidth effective
                ''',
                'last_flooded_effective_maximum_reservable_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The link's ip address
                ''',
                'link_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-flags', REFERENCE_CLASS, 'LinkFlags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.LinkInformation.Links.Link.LinkCommon.LinkFlags', 
                [], [], 
                '''                The link's flags
                ''',
                'link_flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The link's id
                ''',
                'link_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-reservable-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The link's maximum reservable BW
                ''',
                'maximum_reservable_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-reservable-pool0-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The link's maximum reservable pool0 BW
                ''',
                'maximum_reservable_pool0_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-reservable-pool1-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The link's maximum reservable pool1 BW
                ''',
                'maximum_reservable_pool1_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outbound-admission-method', REFERENCE_ENUM_CLASS, 'AdmissionPolicyEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'AdmissionPolicyEnum', 
                [], [], 
                '''                Deprecated
                ''',
                'outbound_admission_method',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-reservable-bandwidth-percentage', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Outgoing reserved BW in %
                ''',
                'outgoing_reservable_bandwidth_percentage',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-reservable-pool0-bandwidth-percentage', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Outgoing reserved pool0 BW in %
                ''',
                'outgoing_reservable_pool0_bandwidth_percentage',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-reservable-pool1-bandwidth-percentage', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Outgoing reserved pool1 BW in %
                ''',
                'outgoing_reservable_pool1_bandwidth_percentage',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('physical-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The link's physical bandwidth
                ''',
                'physical_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resource-provider', REFERENCE_ENUM_CLASS, 'ResourceProviderEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'ResourceProviderEnum', 
                [], [], 
                '''                The link's resource provider
                ''',
                'resource_provider',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared-risk-link-group', REFERENCE_LIST, 'SharedRiskLinkGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.LinkInformation.Links.Link.LinkCommon.SharedRiskLinkGroup', 
                [], [], 
                '''                The link's shared risk link groups
                ''',
                'shared_risk_link_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('working-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The link's working priority
                ''',
                'working_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'link-common',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.LinkInformation.Links.Link.BandwidthAccount.BandwidthAccountCommonInfo.BandwidthUtilization' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.LinkInformation.Links.Link.BandwidthAccount.BandwidthAccountCommonInfo.BandwidthUtilization',
            False, 
            [
            _MetaInfoClassMember('applied-non-rsvp-te-bandwidth-utilization', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Applied Non-RSVP-TE bandwidth utilization
                measured in kilobits per second
                ''',
                'applied_non_rsvp_te_bandwidth_utilization',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('non-rsvp-te-bandwidth-utilization', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Non-RSVP-TE bandwidth utilization measured in
                kilobits per second
                ''',
                'non_rsvp_te_bandwidth_utilization',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rsvp-te-bandwidth-utilization', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                RSVP-TE bandwidth utilization measured in
                kilobits per second
                ''',
                'rsvp_te_bandwidth_utilization',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-link-bandwidth-utilization', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total bandwidth utilization measured in kilobits
                per second
                ''',
                'total_link_bandwidth_utilization',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bandwidth-utilization',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.LinkInformation.Links.Link.BandwidthAccount.BandwidthAccountCommonInfo' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.LinkInformation.Links.Link.BandwidthAccount.BandwidthAccountCommonInfo',
            False, 
            [
            _MetaInfoClassMember('adjustment-factor', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                This value indicates the adjustment factor
                applied to measured non RSVP-TE bandwidth
                ''',
                'adjustment_factor',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('application-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if bandwidth accounting application is
                enabled
                ''',
                'application_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('application-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Application interval in seconds for bandwidth
                accounting stats
                ''',
                'application_interval',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('application-time-remaining', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                This value indicates the number of seconds until
                the next application
                ''',
                'application_time_remaining',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-utilization', REFERENCE_CLASS, 'BandwidthUtilization' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.LinkInformation.Links.Link.BandwidthAccount.BandwidthAccountCommonInfo.BandwidthUtilization', 
                [], [], 
                '''                Bandwidth utilization information
                ''',
                'bandwidth_utilization',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('collection-type', REFERENCE_ENUM_CLASS, 'BandwidthAccountingCollectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'BandwidthAccountingCollectionEnum', 
                [], [], 
                '''                The type of traffic collected for bandwidth
                accounting
                ''',
                'collection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('down-threshold-max-reservable-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                The down threshold for flooding the maximum
                reservable bandwidth
                ''',
                'down_threshold_max_reservable_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-account-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if bandwidth accounting is enabled
                ''',
                'is_bandwidth_account_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-application-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp for the last application
                ''',
                'last_application_timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-sample-collection-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp for the last sample collection
                ''',
                'last_sample_collection_timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-reservable-bandwidth-threshold-are-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the maximum reservable bandwidth
                flooding thresholds are default
                ''',
                'max_reservable_bandwidth_threshold_are_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-application', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp for the next application
                ''',
                'next_application',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-sample-collection', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp for the next sample collection
                ''',
                'next_sample_collection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sample-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sampling interval in seconds for bandwidth
                accounting stats
                ''',
                'sample_interval',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sample-time-remaining', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                This value indicates the number of seconds until
                the next sampling
                ''',
                'sample_time_remaining',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('up-threshold-max-reservable-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                The up threshold for flooding the maximum
                reservable bandwidth
                ''',
                'up_threshold_max_reservable_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bandwidth-account-common-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.LinkInformation.Links.Link.BandwidthAccount.BandwidthSampleHistory.ActiveIntervalSample' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.LinkInformation.Links.Link.BandwidthAccount.BandwidthSampleHistory.ActiveIntervalSample',
            False, 
            [
            _MetaInfoClassMember('non-rsvp-te-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Non-RSVP-TE traffic rate measured in Kilobits
                per second in this sample
                ''',
                'non_rsvp_te_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rsvp-te-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                RSVP-TE traffic rate measured in Kilobits per
                second in this sample
                ''',
                'rsvp_te_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp in seconds of this sample
                ''',
                'timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total traffic rate measured in Kilobits per
                second in this sample
                ''',
                'total_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'active-interval-sample',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.LinkInformation.Links.Link.BandwidthAccount.BandwidthSampleHistory.PreviousIntervalSample' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.LinkInformation.Links.Link.BandwidthAccount.BandwidthSampleHistory.PreviousIntervalSample',
            False, 
            [
            _MetaInfoClassMember('non-rsvp-te-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Non-RSVP-TE traffic rate measured in Kilobits
                per second in this sample
                ''',
                'non_rsvp_te_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rsvp-te-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                RSVP-TE traffic rate measured in Kilobits per
                second in this sample
                ''',
                'rsvp_te_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp in seconds of this sample
                ''',
                'timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total traffic rate measured in Kilobits per
                second in this sample
                ''',
                'total_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'previous-interval-sample',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.LinkInformation.Links.Link.BandwidthAccount.BandwidthSampleHistory' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.LinkInformation.Links.Link.BandwidthAccount.BandwidthSampleHistory',
            False, 
            [
            _MetaInfoClassMember('active-interval-sample', REFERENCE_LIST, 'ActiveIntervalSample' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.LinkInformation.Links.Link.BandwidthAccount.BandwidthSampleHistory.ActiveIntervalSample', 
                [], [], 
                '''                Samples in the current application interval
                ''',
                'active_interval_sample',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-interval-sample', REFERENCE_LIST, 'PreviousIntervalSample' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.LinkInformation.Links.Link.BandwidthAccount.BandwidthSampleHistory.PreviousIntervalSample', 
                [], [], 
                '''                Samples in the previous application interval
                ''',
                'previous_interval_sample',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-applications', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of applications
                ''',
                'total_applications',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-samples', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of samples collected
                ''',
                'total_samples',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bandwidth-sample-history',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.LinkInformation.Links.Link.BandwidthAccount' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.LinkInformation.Links.Link.BandwidthAccount',
            False, 
            [
            _MetaInfoClassMember('bandwidth-account-common-info', REFERENCE_CLASS, 'BandwidthAccountCommonInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.LinkInformation.Links.Link.BandwidthAccount.BandwidthAccountCommonInfo', 
                [], [], 
                '''                Common info for bandwidth accounting
                ''',
                'bandwidth_account_common_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-sample-history', REFERENCE_CLASS, 'BandwidthSampleHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.LinkInformation.Links.Link.BandwidthAccount.BandwidthSampleHistory', 
                [], [], 
                '''                Bandwidth samples history
                ''',
                'bandwidth_sample_history',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bandwidth-account',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.LinkInformation.Links.Link.HwOor.HwOOrLinkStatistic' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.LinkInformation.Links.Link.HwOor.HwOOrLinkStatistic',
            False, 
            [
            _MetaInfoClassMember('accepted-ls-ps-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSPs that were accepted in this state
                ''',
                'accepted_ls_ps_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('accepted-reopt-ls-ps-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Reoptimize LSPs that were accepted in
                this state
                ''',
                'accepted_reopt_ls_ps_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hw-oor-state', REFERENCE_ENUM_CLASS, 'HwOorStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'HwOorStateEnum', 
                [], [], 
                '''                The HW-OOR state that these statistics belong to
                ''',
                'hw_oor_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('node-protection-disable-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times this OOR state disabled node
                protection assignment
                ''',
                'node_protection_disable_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rejected-ls-ps-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSPs that were rejected in this state
                ''',
                'rejected_ls_ps_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rejected-reopt-ls-ps-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Reoptimize LSPs that were rejected in
                this state
                ''',
                'rejected_reopt_ls_ps_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('transitions', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of transitions to this state
                ''',
                'transitions',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'hw-o-or-link-statistic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.LinkInformation.Links.Link.HwOor' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.LinkInformation.Links.Link.HwOor',
            False, 
            [
            _MetaInfoClassMember('hw-o-or-green-recovery-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time Remaining in Green Recovery State (seconds)
                ''',
                'hw_o_or_green_recovery_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hw-o-or-link-statistic', REFERENCE_LIST, 'HwOOrLinkStatistic' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.LinkInformation.Links.Link.HwOor.HwOOrLinkStatistic', 
                [], [], 
                '''                HW OOR statistics for the link
                ''',
                'hw_o_or_link_statistic',
                'Cisco-IOS-XR-mpls-te-oper', False, max_elements=3),
            _MetaInfoClassMember('hw-oor-state', REFERENCE_ENUM_CLASS, 'HwOorStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'HwOorStateEnum', 
                [], [], 
                '''                The NPU (Network Processor Unit) HW resource
                state
                ''',
                'hw_oor_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hw-oor-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp when the OOR state last changed
                ''',
                'hw_oor_timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'hw-oor',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.LinkInformation.Links.Link.AffinityMap' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.LinkInformation.Links.Link.AffinityMap',
            False, 
            [
            _MetaInfoClassMember('affinity-bit-position', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Affinity bit position
                ''',
                'affinity_bit_position',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                EAG value
                ''',
                'affinity_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Affinity name
                ''',
                'affinity_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-table-id', REFERENCE_ENUM_CLASS, 'TeAffinityTableEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAffinityTableEnum', 
                [], [], 
                '''                Affinity table id
                ''',
                'affinity_table_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Affinity value
                ''',
                'affinity_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity-map',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.LinkInformation.Links.Link.Areas' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.LinkInformation.Links.Link.Areas',
            False, 
            [
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Area id
                ''',
                'area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The link's IGP metric
                ''',
                'igp_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-neighbor-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the neighbor is up
                ''',
                'is_neighbor_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The interface's neighbor's ip address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The interface neighbor id
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'areas',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.LinkInformation.Links.Link.Lockout' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.LinkInformation.Links.Link.Lockout',
            False, 
            [
            _MetaInfoClassMember('is-lockout', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if link is locked out
                ''',
                'is_lockout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lockout-off-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp when the lockout is cleared
                ''',
                'lockout_off_timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lockout-on-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp when the lockout is set
                ''',
                'lockout_on_timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lockout',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.LinkInformation.Links.Link' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.LinkInformation.Links.Link',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('affinity-map', REFERENCE_LIST, 'AffinityMap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.LinkInformation.Links.Link.AffinityMap', 
                [], [], 
                '''                Affinity map array
                ''',
                'affinity_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('areas', REFERENCE_LIST, 'Areas' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.LinkInformation.Links.Link.Areas', 
                [], [], 
                '''                Per-area data
                ''',
                'areas',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-account', REFERENCE_CLASS, 'BandwidthAccount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.LinkInformation.Links.Link.BandwidthAccount', 
                [], [], 
                '''                Bandwidth Account info
                ''',
                'bandwidth_account',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hw-oor', REFERENCE_CLASS, 'HwOor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.LinkInformation.Links.Link.HwOor', 
                [], [], 
                '''                The link's NPU OOR info. This field is NULL for
                platforms that do not support HW-OOR
                notifications
                ''',
                'hw_oor',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-attribute-incomplete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if one or more affinity definition(s)
                is/are unknown
                ''',
                'is_attribute_incomplete',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-name-based-attribute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE, if name based attribute style is in effect
                ''',
                'is_name_based_attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-te-metric-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether the link's TE metric is
                a valid value
                ''',
                'is_te_metric_valid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-attributes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'link_attributes',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-common', REFERENCE_CLASS, 'LinkCommon' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.LinkInformation.Links.Link.LinkCommon', 
                [], [], 
                '''                The link's common info
                ''',
                'link_common',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-extended-attribute', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The link's extended attribute bit map
                ''',
                'link_extended_attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-forwad-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'link_forwad_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lockout', REFERENCE_LIST, 'Lockout' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.LinkInformation.Links.Link.Lockout', 
                [], [], 
                '''                Flex LSP Lockout info
                ''',
                'lockout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-reservation-bandwidth-mam', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The link's maximum reservable BW in MAM
                ''',
                'maximum_reservation_bandwidth_mam',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-reservation-bandwidth-rdm', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The link's maximum reservable BW in RDM
                ''',
                'maximum_reservation_bandwidth_rdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reason-not-flooded', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reason why link is not flooded
                (area-independent)
                ''',
                'reason_not_flooded',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reservable-pool0-bandwidth-mam', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The link's reservable pool0 BW in MAM
                ''',
                'reservable_pool0_bandwidth_mam',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reservable-pool0-bandwidth-rdm', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The link's reservable pool0 BW in RDM
                ''',
                'reservable_pool0_bandwidth_rdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reservable-pool1-bandwidth-mam', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The link's reservable pool1 BW in MAM
                ''',
                'reservable_pool1_bandwidth_mam',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reservable-pool1-bandwidth-rdm', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The link's reservable pool1 BW in RDM
                ''',
                'reservable_pool1_bandwidth_rdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The link's TE metric
                ''',
                'te_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'link',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.LinkInformation.Links' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.LinkInformation.Links',
            False, 
            [
            _MetaInfoClassMember('link', REFERENCE_LIST, 'Link' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.LinkInformation.Links.Link', 
                [], [], 
                '''                An interface in MPLS-LCAC
                ''',
                'link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'links',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.LinkInformation' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.LinkInformation',
            False, 
            [
            _MetaInfoClassMember('global', REFERENCE_CLASS, 'Global_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.LinkInformation.Global_', 
                [], [], 
                '''                The global information for all the interfaces
                ''',
                'global_',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('links', REFERENCE_CLASS, 'Links' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.LinkInformation.Links', 
                [], [], 
                '''                The table of interfaces in MPLS-LCAC
                ''',
                'links',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'link-information',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.AdmissionControl.Global_' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.AdmissionControl.Global_',
            False, 
            [
            _MetaInfoClassMember('bandwidth-units', REFERENCE_ENUM_CLASS, 'BandwidthUnitEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'BandwidthUnitEnumEnum', 
                [], [], 
                '''                Bandwidth units
                ''',
                'bandwidth_units',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-role-standby', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if Role is Standby, Active otherwise
                ''',
                'is_role_standby',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('selected-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of tunnels selected
                ''',
                'selected_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-p2mp-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total p2mp tunnels admitted
                ''',
                'total_p2mp_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total p2p tunnels admitted
                ''',
                'total_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'global',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.AdmissionControl.AdmittedTunnels.AdmittedTunnel' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.AdmissionControl.AdmittedTunnels.AdmittedTunnel',
            False, 
            [
            _MetaInfoClassMember('ctype', REFERENCE_ENUM_CLASS, 'CtypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'CtypeEnum', 
                [], [], 
                '''                C type
                ''',
                'ctype',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The destination IP address of the tunnel
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('destination-port', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                The tunnel number at the head
                ''',
                'destination_port',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel id
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Next hop IP
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                P2MP id
                ''',
                'p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The source IP address of the tunnel
                ''',
                'source_address',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('source-port', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                The signaling instance number of the tunnel
                ''',
                'source_port',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('backup-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The backup Interface
                ''',
                'backup_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The bandwidth used by this tunnel
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-pool', REFERENCE_ENUM_CLASS, 'BandwidthTypeEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'BandwidthTypeEnumEnum', 
                [], [], 
                '''                The bandwidth pool
                ''',
                'bandwidth_pool',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-state', REFERENCE_ENUM_CLASS, 'BandwidthStateEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'BandwidthStateEnumEnum', 
                [], [], 
                '''                The bandwidth state
                ''',
                'bandwidth_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('down-link-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The downlink's name for this tunnel
                ''',
                'down_link_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                The tunnel's hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-rerouted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the tunnel is currently rerouted
                ''',
                'is_rerouted',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The local label
                ''',
                'local_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The outgoing label
                ''',
                'outgoing_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                The tunnel's setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The admitted tunnel's name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-state', REFERENCE_ENUM_CLASS, 'TunnelStateEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelStateEnumEnum', 
                [], [], 
                '''                The tunnel's state
                ''',
                'tunnel_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('up-link-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The uplink's name for this tunnel
                ''',
                'up_link_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'admitted-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.AdmissionControl.AdmittedTunnels' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.AdmissionControl.AdmittedTunnels',
            False, 
            [
            _MetaInfoClassMember('admitted-tunnel', REFERENCE_LIST, 'AdmittedTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.AdmissionControl.AdmittedTunnels.AdmittedTunnel', 
                [], [], 
                '''                The information for a specific admitted tunnel
                ''',
                'admitted_tunnel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'admitted-tunnels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.AdmissionControl.LinkInterfaces.LinkInterface' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.AdmissionControl.LinkInterfaces.LinkInterface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('bandwidth-units', REFERENCE_ENUM_CLASS, 'BandwidthUnitEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'BandwidthUnitEnumEnum', 
                [], [], 
                '''                Bandwidth units
                ''',
                'bandwidth_units',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-role-standby', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if Role is Standby, Active otherwise
                ''',
                'is_role_standby',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('selected-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of tunnels selected
                ''',
                'selected_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-p2mp-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total p2mp tunnels admitted
                ''',
                'total_p2mp_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total p2p tunnels admitted
                ''',
                'total_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'link-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.AdmissionControl.LinkInterfaces' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.AdmissionControl.LinkInterfaces',
            False, 
            [
            _MetaInfoClassMember('link-interface', REFERENCE_LIST, 'LinkInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.AdmissionControl.LinkInterfaces.LinkInterface', 
                [], [], 
                '''                The global admission control information on an
                interface
                ''',
                'link_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'link-interfaces',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.AdmissionControl' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.AdmissionControl',
            False, 
            [
            _MetaInfoClassMember('admitted-tunnels', REFERENCE_CLASS, 'AdmittedTunnels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.AdmissionControl.AdmittedTunnels', 
                [], [], 
                '''                The table of admitted tunnels information in
                MPLS-LCAC
                ''',
                'admitted_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('global', REFERENCE_CLASS, 'Global_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.AdmissionControl.Global_', 
                [], [], 
                '''                The global admission control information
                ''',
                'global_',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-interfaces', REFERENCE_CLASS, 'LinkInterfaces' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.AdmissionControl.LinkInterfaces', 
                [], [], 
                '''                The global admission control information on
                Interfaces
                ''',
                'link_interfaces',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'admission-control',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.SoftPreemptionGlobalInfo' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.SoftPreemptionGlobalInfo',
            False, 
            [
            _MetaInfoClassMember('is-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is global soft-preemption configured
                ''',
                'is_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-timeout-interval-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is global soft-preemption timeout interval
                configured
                ''',
                'is_timeout_interval_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('timeout-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global soft-preemption timeout interval
                ''',
                'timeout_interval',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'soft-preemption-global-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.SoftPreemptions.SoftPreemption.CurrentSoftPreemptionLsp' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.SoftPreemptions.SoftPreemption.CurrentSoftPreemptionLsp',
            False, 
            [
            _MetaInfoClassMember('bandwidth-preempted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSPs bandwidth is already preempted
                ''',
                'bandwidth_preempted',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                The path's bandwidth type; 0:BC0, 1:BC1, so on
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                The path's hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('requested-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The path's requested bandwidth
                ''',
                'requested_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                The path's setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preempted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE is the preemption is a soft preemption
                ''',
                'soft_preempted',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preempted-fr-rrewrite', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR-rewrite is done during soft preemption
                ''',
                'soft_preempted_fr_rrewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                If the soft preemption is underway, this value
                indicates the number of seconds before hard
                preemption is triggered
                ''',
                'soft_preemption_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source
                ''',
                'source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'current-soft-preemption-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.SoftPreemptions.SoftPreemption' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.SoftPreemptions.SoftPreemption',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('current-over-subscribed-bandwidth-bc0', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The BC0 bandwidth that is over subscribed on
                this link: this is the difference between the
                maximum available BC0 BW on the link and the sum
                of the currently reserved BC0 bandwidth and the
                currently soft preempted BC0 BW
                ''',
                'current_over_subscribed_bandwidth_bc0',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('current-over-subscribed-bandwidth-bc1', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The BC1 bandwidth that is over subscribed on
                this link: this is the difference between the
                maximum available BC1 BW on the link and the sum
                of the currently reserved BC1 bandwidth and the
                currently soft preempted BC1 BW
                ''',
                'current_over_subscribed_bandwidth_bc1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('current-soft-preempted-bandwidth-bc0', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The current BC0 BW that is softly preempted:
                this is the sum of bandwidth for the LSPs that
                are soft preempted and have not been torn down
                yet
                ''',
                'current_soft_preempted_bandwidth_bc0',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('current-soft-preempted-bandwidth-bc1', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The current BC1 BW that is softly preempted:
                this is the sum of bandwidth for the LSPs that
                are soft preempted and have not been torn down
                yet
                ''',
                'current_soft_preempted_bandwidth_bc1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('current-soft-preemption-lsp', REFERENCE_LIST, 'CurrentSoftPreemptionLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.SoftPreemptions.SoftPreemption.CurrentSoftPreemptionLsp', 
                [], [], 
                '''                List of the soft preempted LSPs that are not yet
                cleaned up
                ''',
                'current_soft_preemption_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The link's IPv4 address
                ''',
                'link_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('release-soft-preempted-bandwidth-bc0', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The total released BC0 BW that is softly
                preempted: this is the sum of bandwidth for the
                LSPs that are soft preempted and are torn down
                ''',
                'release_soft_preempted_bandwidth_bc0',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('release-soft-preempted-bandwidth-bc1', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The total released BC1 BW that is softly
                preempted: this is the sum of bandwidth for the
                LSPs that are soft preempted and are torn down
                ''',
                'release_soft_preempted_bandwidth_bc1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-soft-preempted-bandwidth-bc0', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The total BC0 BW that is softly preempted: this
                is the sum of bandwidth for all the LSPs that
                were soft preempted
                ''',
                'total_soft_preempted_bandwidth_bc0',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-soft-preempted-bandwidth-bc1', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The total BC1 BW that is softly preempted: this
                is the sum of bandwidth for all the LSPs that
                were soft preempted
                ''',
                'total_soft_preempted_bandwidth_bc1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'soft-preemption',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby.SoftPreemptions' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby.SoftPreemptions',
            False, 
            [
            _MetaInfoClassMember('soft-preemption', REFERENCE_LIST, 'SoftPreemption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.SoftPreemptions.SoftPreemption', 
                [], [], 
                '''                The soft preemption info for a TE-link
                ''',
                'soft_preemption',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'soft-preemptions',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcacStandby' : {
        'meta_info' : _MetaInfoClass('MplsLcacStandby',
            False, 
            [
            _MetaInfoClassMember('admission-control', REFERENCE_CLASS, 'AdmissionControl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.AdmissionControl', 
                [], [], 
                '''                The admission control information in MPLS-LCAC
                ''',
                'admission_control',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('advertisements', REFERENCE_CLASS, 'Advertisements' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.Advertisements', 
                [], [], 
                '''                The advertisement information in MPLS-LCAC
                ''',
                'advertisements',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-account', REFERENCE_CLASS, 'BandwidthAccount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.BandwidthAccount', 
                [], [], 
                '''                The bandwidth accounting information in
                MPLS-LCAC
                ''',
                'bandwidth_account',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-allocation', REFERENCE_CLASS, 'BandwidthAllocation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.BandwidthAllocation', 
                [], [], 
                '''                The bandwidth allocation information in
                MPLS-LCAC
                ''',
                'bandwidth_allocation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-neighbors', REFERENCE_CLASS, 'BfdNeighbors' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.BfdNeighbors', 
                [], [], 
                '''                BFD Neighbors
                ''',
                'bfd_neighbors',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gmpls', REFERENCE_CLASS, 'Gmpls' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.Gmpls', 
                [], [], 
                '''                GMPLS data
                ''',
                'gmpls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-information', REFERENCE_CLASS, 'LinkInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.LinkInformation', 
                [], [], 
                '''                The interface information in MPLS-LCAC
                ''',
                'link_information',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-summary', REFERENCE_CLASS, 'LinkSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.LinkSummary', 
                [], [], 
                '''                The global summary for all the interfaces
                ''',
                'link_summary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('neighbors', REFERENCE_CLASS, 'Neighbors' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.Neighbors', 
                [], [], 
                '''                The neighbor information for the local router
                ''',
                'neighbors',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('preemption-events', REFERENCE_CLASS, 'PreemptionEvents' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.PreemptionEvents', 
                [], [], 
                '''                Preemption event log in MPLS-LCAC
                ''',
                'preemption_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-global-info', REFERENCE_CLASS, 'SoftPreemptionGlobalInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.SoftPreemptionGlobalInfo', 
                [], [], 
                '''                The global soft-preemption information
                ''',
                'soft_preemption_global_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemptions', REFERENCE_CLASS, 'SoftPreemptions' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.SoftPreemptions', 
                [], [], 
                '''                The soft preemption information for the TE-links
                ''',
                'soft_preemptions',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcacStandby.Statistics', 
                [], [], 
                '''                The interface statistics information in
                MPLS-LCAC
                ''',
                'statistics',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'mpls-lcac-standby',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.Neighbors.Neighbor.Neighbor_' : {
        'meta_info' : _MetaInfoClass('MplsLcac.Neighbors.Neighbor.Neighbor_',
            False, 
            [
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The area id
                ''',
                'area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The interface on which this neighbor is
                discovered
                ''',
                'interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The neighbor's IP address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The neighbor's id
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.Neighbors.Neighbor' : {
        'meta_info' : _MetaInfoClass('MplsLcac.Neighbors.Neighbor',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.Neighbors.Neighbor.Neighbor_', 
                [], [], 
                '''                Neighbors of the specified link id
                ''',
                'neighbor',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.Neighbors' : {
        'meta_info' : _MetaInfoClass('MplsLcac.Neighbors',
            False, 
            [
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.Neighbors.Neighbor', 
                [], [], 
                '''                The neighbors connected to a particular
                interface
                ''',
                'neighbor',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'neighbors',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.PreemptionEvents.PreemptionEvent.Lsp' : {
        'meta_info' : _MetaInfoClass('MplsLcac.PreemptionEvents.PreemptionEvent.Lsp',
            False, 
            [
            _MetaInfoClassMember('bandwidth-preempted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSPs bandwidth is already preempted
                ''',
                'bandwidth_preempted',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                The path's bandwidth type; 0:BC0, 1:BC1, so on
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                The path's hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('requested-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The path's requested bandwidth
                ''',
                'requested_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                The path's setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preempted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE is the preemption is a soft preemption
                ''',
                'soft_preempted',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preempted-fr-rrewrite', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR-rewrite is done during soft preemption
                ''',
                'soft_preempted_fr_rrewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                If the soft preemption is underway, this value
                indicates the number of seconds before hard
                preemption is triggered
                ''',
                'soft_preemption_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source
                ''',
                'source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.PreemptionEvents.PreemptionEvent' : {
        'meta_info' : _MetaInfoClass('MplsLcac.PreemptionEvents.PreemptionEvent',
            False, 
            [
            _MetaInfoClassMember('event-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '1999')], [], 
                '''                Event index
                ''',
                'event_index',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('bandwidth-overshoot0', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                BW Overshoot for BC0
                ''',
                'bandwidth_overshoot0',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-overshoot1', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                BW Overshoot for BC1
                ''',
                'bandwidth_overshoot1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                The path's bandwidth type; 0:CT0, 1:CT1, so on
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('event-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Event time; seconds elapsed since January 1,
                1970
                ''',
                'event_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hard-preempted-bandwidth-bc0', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Amount of hard preempted class 0 bandwidth
                ''',
                'hard_preempted_bandwidth_bc0',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hard-preempted-bandwidth-bc1', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Amount of hard preempted class 1 bandwidth
                ''',
                'hard_preempted_bandwidth_bc1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hard-preempted-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of LSPs hardly preempted
                ''',
                'hard_preempted_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hard-preempted-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Tunnels hardly preempted
                ''',
                'hard_preempted_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                The path's hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of LSPs (not all may be present in the
                list)
                ''',
                'ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp', REFERENCE_LIST, 'Lsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.PreemptionEvents.PreemptionEvent.Lsp', 
                [], [], 
                '''                List of preempted LSPs
                ''',
                'lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('new-bandwidth-bc0', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                New BW for BC0
                ''',
                'new_bandwidth_bc0',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('new-bandwidth-bc1', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                New BW for BC1
                ''',
                'new_bandwidth_bc1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('old-bandwidth-bc0', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Old BW for BC0
                ''',
                'old_bandwidth_bc0',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('old-bandwidth-bc1', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Old BW for BC1
                ''',
                'old_bandwidth_bc1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('requested-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The path's requested bandwidth
                ''',
                'requested_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                The path's setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preempted-fr-rrewrite-bandwidth-bc0', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Amount of softly preempted FRR RW class 0
                bandwidth
                ''',
                'soft_preempted_fr_rrewrite_bandwidth_bc0',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preempted-fr-rrewrite-bandwidth-bc1', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Amount of softly preempted FRR RW class 1
                bandwidth
                ''',
                'soft_preempted_fr_rrewrite_bandwidth_bc1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preempted-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of LSPs softly preempted
                ''',
                'soft_preempted_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preempted-ls-ps-fr-rrewrite', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of LSPs softly preempted with traffic
                switched to backup
                ''',
                'soft_preempted_ls_ps_fr_rrewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preempted-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Tunnels softly preempted
                ''',
                'soft_preempted_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preempted-tunnels-fr-rrewrite', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Tunnels softly preempted with traffic
                switched to backup
                ''',
                'soft_preempted_tunnels_fr_rrewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('softly-preempted-bandwidth-bc0', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Amount of softly preempted class 0 bandwidth
                ''',
                'softly_preempted_bandwidth_bc0',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('softly-preempted-bandwidth-bc1', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Amount of softly preempted class 1 bandwidth
                ''',
                'softly_preempted_bandwidth_bc1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source
                ''',
                'source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-preempted-bandwidth-bc0', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total amount of preempted class 0 bandwidth
                ''',
                'total_preempted_bandwidth_bc0',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-preempted-bandwidth-bc1', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total amount of preempted class 1 bandwidth
                ''',
                'total_preempted_bandwidth_bc1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Tunnels
                ''',
                'tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'preemption-event',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.PreemptionEvents' : {
        'meta_info' : _MetaInfoClass('MplsLcac.PreemptionEvents',
            False, 
            [
            _MetaInfoClassMember('preemption-event', REFERENCE_LIST, 'PreemptionEvent' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.PreemptionEvents.PreemptionEvent', 
                [], [], 
                '''                Preemption event
                ''',
                'preemption_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'preemption-events',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.Advertisements.AdvertizedAreas.FloodedLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Fixed' : {
        'meta_info' : _MetaInfoClass('MplsLcac.Advertisements.AdvertizedAreas.FloodedLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Fixed',
            False, 
            [
            _MetaInfoClassMember('maximum-od-us', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Maximum Number of ODUs of this level possible on
                this link
                ''',
                'maximum_od_us',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unreserved-od-us', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Maximum Number of ODUs of this level possible on
                this link
                ''',
                'unreserved_od_us',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fixed',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.Advertisements.AdvertizedAreas.FloodedLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Flex' : {
        'meta_info' : _MetaInfoClass('MplsLcac.Advertisements.AdvertizedAreas.FloodedLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Flex',
            False, 
            [
            _MetaInfoClassMember('max-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max kbps Bandwidth of this level possible on
                this link
                ''',
                'max_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-lsp-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Per LSP Max kbps Bandwidth of this level
                possible on this link
                ''',
                'max_lsp_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unreserved-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Unreserved kbps Bandwidth of this level possible
                on this link
                ''',
                'unreserved_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.Advertisements.AdvertizedAreas.FloodedLink.OduLinkCapabilities.OduCapability.BandwidthInfo' : {
        'meta_info' : _MetaInfoClass('MplsLcac.Advertisements.AdvertizedAreas.FloodedLink.OduLinkCapabilities.OduCapability.BandwidthInfo',
            False, 
            [
            _MetaInfoClassMember('fixed', REFERENCE_CLASS, 'Fixed' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.Advertisements.AdvertizedAreas.FloodedLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Fixed', 
                [], [], 
                '''                ODU capability for Fixed ODUs
                ''',
                'fixed',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex', REFERENCE_CLASS, 'Flex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.Advertisements.AdvertizedAreas.FloodedLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Flex', 
                [], [], 
                '''                ODU capability for Flex ODUs
                ''',
                'flex',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeOduCapabilityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeOduCapabilityEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bandwidth-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.Advertisements.AdvertizedAreas.FloodedLink.OduLinkCapabilities.OduCapability' : {
        'meta_info' : _MetaInfoClass('MplsLcac.Advertisements.AdvertizedAreas.FloodedLink.OduLinkCapabilities.OduCapability',
            False, 
            [
            _MetaInfoClassMember('bandwidth-info', REFERENCE_CLASS, 'BandwidthInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.Advertisements.AdvertizedAreas.FloodedLink.OduLinkCapabilities.OduCapability.BandwidthInfo', 
                [], [], 
                '''                Bandwidth related info for this ODU level
                ''',
                'bandwidth_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lcas-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if link LCAS capable for this ODU level
                ''',
                'lcas_capable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signal-type', REFERENCE_ENUM_CLASS, 'TeOduLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeOduLevelEnum', 
                [], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('stage1', REFERENCE_ENUM_CLASS, 'TeOduLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeOduLevelEnum', 
                [], [], 
                '''                ODU Type at stage 1, Not Set for HO ODU
                ''',
                'stage1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('stage2', REFERENCE_ENUM_CLASS, 'TeOduLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeOduLevelEnum', 
                [], [], 
                '''                ODU Type at stage 2, Not Set for single stage
                mulitplexing
                ''',
                'stage2',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('stage3', REFERENCE_ENUM_CLASS, 'TeOduLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeOduLevelEnum', 
                [], [], 
                '''                ODU Type at stage 3, Not set up to two levels of
                multiplexing
                ''',
                'stage3',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('stage4', REFERENCE_ENUM_CLASS, 'TeOduLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeOduLevelEnum', 
                [], [], 
                '''                ODU Type at stage 4, Not set up to three levels
                of multiplexing
                ''',
                'stage4',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('switchable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if link is switchable for this ODU level
                ''',
                'switchable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('terminable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if link is terminable for this ODU level
                ''',
                'terminable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tsg1p25', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if link supports 1.25G TSG for this ODU
                level
                ''',
                'tsg1p25',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tsg2p5', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if link supports 2.5G TSG for this ODU
                level
                ''',
                'tsg2p5',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('vcat-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if link VCAT capable for this ODU level
                ''',
                'vcat_capable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-capability',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.Advertisements.AdvertizedAreas.FloodedLink.OduLinkCapabilities' : {
        'meta_info' : _MetaInfoClass('MplsLcac.Advertisements.AdvertizedAreas.FloodedLink.OduLinkCapabilities',
            False, 
            [
            _MetaInfoClassMember('max-lsp-bandwidth', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max LSP Bandwidth per priority in kbit/s
                ''',
                'max_lsp_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-capability', REFERENCE_LIST, 'OduCapability' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.Advertisements.AdvertizedAreas.FloodedLink.OduLinkCapabilities.OduCapability', 
                [], [], 
                '''                ODU Capabilities of Link
                ''',
                'odu_capability',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-link-capabilities',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.Advertisements.AdvertizedAreas.FloodedLink.SharedRiskLinkGroup' : {
        'meta_info' : _MetaInfoClass('MplsLcac.Advertisements.AdvertizedAreas.FloodedLink.SharedRiskLinkGroup',
            False, 
            [
            _MetaInfoClassMember('shared-risk-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG number
                ''',
                'shared_risk_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SRLG name
                ''',
                'srlg_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'shared-risk-link-group',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.Advertisements.AdvertizedAreas.FloodedLink.ReceivingReservableBandwidth' : {
        'meta_info' : _MetaInfoClass('MplsLcac.Advertisements.AdvertizedAreas.FloodedLink.ReceivingReservableBandwidth',
            False, 
            [
            _MetaInfoClassMember('pool0-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The reservable pool0 BW at this priority
                ''',
                'pool0_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pool1-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The reservable pool1 BW at this priority
                ''',
                'pool1_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                The priority level of this bandwidth
                ''',
                'priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'receiving-reservable-bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.Advertisements.AdvertizedAreas.FloodedLink.TransmittingReservableBandwidth' : {
        'meta_info' : _MetaInfoClass('MplsLcac.Advertisements.AdvertizedAreas.FloodedLink.TransmittingReservableBandwidth',
            False, 
            [
            _MetaInfoClassMember('pool0-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The reservable pool0 BW at this priority
                ''',
                'pool0_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pool1-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The reservable pool1 BW at this priority
                ''',
                'pool1_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                The priority level of this bandwidth
                ''',
                'priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'transmitting-reservable-bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.Advertisements.AdvertizedAreas.FloodedLink' : {
        'meta_info' : _MetaInfoClass('MplsLcac.Advertisements.AdvertizedAreas.FloodedLink',
            False, 
            [
            _MetaInfoClassMember('affinity-attribute-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'affinity_attribute_flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-units', REFERENCE_ENUM_CLASS, 'BandwidthUnitEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'BandwidthUnitEnumEnum', 
                [], [], 
                '''                The link's bandwidth units
                ''',
                'bandwidth_units',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bandwidth Constraints Model ID
                ''',
                'bcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('designated-router-igp-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IGP id of the designated router
                ''',
                'designated_router_igp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-affinity-attribute-flag', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The link's extended affinity bits
                ''',
                'extended_affinity_attribute_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The link's IGP metric
                ''',
                'igp_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('igp-neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The neighbor's ip address
                ''',
                'igp_neighbor_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The link's incoming interface's id
                ''',
                'incoming_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The link's interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-designated-router', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the link belongs to a desig. router
                ''',
                'is_designated_router',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-receiving-reservable-bandwidth-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if receiving reservable BW is enabled
                ''',
                'is_receiving_reservable_bandwidth_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-transmitting-reservable-bandwidth-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if transmitting reservable BW is enabled
                ''',
                'is_transmitting_reservable_bandwidth_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The link's IPv4 address
                ''',
                'link_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The link's id
                ''',
                'link_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-maximum-reservable-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The link's maximum reservable BW
                ''',
                'link_maximum_reservable_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('neighbor-igp-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The neighbor's IGP id
                ''',
                'neighbor_igp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-link-capabilities', REFERENCE_CLASS, 'OduLinkCapabilities' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.Advertisements.AdvertizedAreas.FloodedLink.OduLinkCapabilities', 
                [], [], 
                '''                ODU Link Capabilities
                ''',
                'odu_link_capabilities',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The link's outgoing interface's id
                ''',
                'outgoing_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('physical-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The link's physical BW
                ''',
                'physical_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('receiving-direction', REFERENCE_ENUM_CLASS, 'LinkDirectionEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'LinkDirectionEnumEnum', 
                [], [], 
                '''                Upstream or Downstream
                ''',
                'receiving_direction',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('receiving-reservable-bandwidth', REFERENCE_LIST, 'ReceivingReservableBandwidth' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.Advertisements.AdvertizedAreas.FloodedLink.ReceivingReservableBandwidth', 
                [], [], 
                '''                Receiving reservable BW at each priority
                level(priority 0 to priority 7)
                ''',
                'receiving_reservable_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False, max_elements=8),
            _MetaInfoClassMember('reservable-pool0-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The link's reservable pool0 BW
                ''',
                'reservable_pool0_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reservable-pool1-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The link's reservable pool1 BW
                ''',
                'reservable_pool1_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared-risk-link-group', REFERENCE_LIST, 'SharedRiskLinkGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.Advertisements.AdvertizedAreas.FloodedLink.SharedRiskLinkGroup', 
                [], [], 
                '''                The link's shared risk link groups
                ''',
                'shared_risk_link_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('subnet-type', REFERENCE_ENUM_CLASS, 'IgpSubnetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'IgpSubnetEnum', 
                [], [], 
                '''                The link's subnet type
                ''',
                'subnet_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The link's TE metric
                ''',
                'te_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('transmitting-direction', REFERENCE_ENUM_CLASS, 'LinkDirectionEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'LinkDirectionEnumEnum', 
                [], [], 
                '''                Upstream or Downstream
                ''',
                'transmitting_direction',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('transmitting-reservable-bandwidth', REFERENCE_LIST, 'TransmittingReservableBandwidth' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.Advertisements.AdvertizedAreas.FloodedLink.TransmittingReservableBandwidth', 
                [], [], 
                '''                Transmitting reservable BW at each priority
                level (priority 0 to priority 7)
                ''',
                'transmitting_reservable_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False, max_elements=8),
            _MetaInfoClassMember('uni-link-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Unidirectional Link Delay in micro-sec
                ''',
                'uni_link_delay',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flooded-link',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.Advertisements.AdvertizedAreas' : {
        'meta_info' : _MetaInfoClass('MplsLcac.Advertisements.AdvertizedAreas',
            False, 
            [
            _MetaInfoClassMember('flooded-link', REFERENCE_LIST, 'FloodedLink' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.Advertisements.AdvertizedAreas.FloodedLink', 
                [], [], 
                '''                The array of flooded links in this area
                ''',
                'flooded_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('igp-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The area id
                ''',
                'igp_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'IgpProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'IgpProtocolEnum', 
                [], [], 
                '''                The IGP protocol running over this area
                ''',
                'protocol',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The node's router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('system-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The node's system id
                ''',
                'system_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'advertized-areas',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.Advertisements' : {
        'meta_info' : _MetaInfoClass('MplsLcac.Advertisements',
            False, 
            [
            _MetaInfoClassMember('advertized-areas', REFERENCE_LIST, 'AdvertizedAreas' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.Advertisements.AdvertizedAreas', 
                [], [], 
                '''                Advertising info for all the IGP areas
                ''',
                'advertized_areas',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ds-te-mode', REFERENCE_ENUM_CLASS, 'RrrDsteMigrationModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RrrDsteMigrationModeEnum', 
                [], [], 
                '''                DS-TE Mode
                ''',
                'ds_te_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flooding-status-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Flooding status: ready or reason
                ''',
                'flooding_status_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-flooding-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last flooding in seconds
                ''',
                'last_flooding_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-flooding-trigger', REFERENCE_ENUM_CLASS, 'FloodingTriggerEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'FloodingTriggerEnum', 
                [], [], 
                '''                Trigger for last flooding
                ''',
                'last_flooding_trigger',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-flooding-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time remained for next flooding in seconds
                ''',
                'next_flooding_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'advertisements',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.Statistics.Summary.PathStatistics' : {
        'meta_info' : _MetaInfoClass('MplsLcac.Statistics.Summary.PathStatistics',
            False, 
            [
            _MetaInfoClassMember('setup-admits', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'setup_admits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'setup_errors',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-rejects', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'setup_rejects',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'setup_requests',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tear-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'tear_errors',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tear-preempts', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'tear_preempts',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tear-requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'tear_requests',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.Statistics.Summary.ReservationStatistics' : {
        'meta_info' : _MetaInfoClass('MplsLcac.Statistics.Summary.ReservationStatistics',
            False, 
            [
            _MetaInfoClassMember('setup-admits', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'setup_admits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'setup_errors',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-rejects', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'setup_rejects',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'setup_requests',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tear-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'tear_errors',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tear-preempts', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'tear_preempts',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tear-requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'tear_requests',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reservation-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.Statistics.Summary.PathStatistics32Bit' : {
        'meta_info' : _MetaInfoClass('MplsLcac.Statistics.Summary.PathStatistics32Bit',
            False, 
            [
            _MetaInfoClassMember('setup-admits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Setup admits
                ''',
                'setup_admits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Setup errors
                ''',
                'setup_errors',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-rejects', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Setup rejects
                ''',
                'setup_rejects',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Setup requests
                ''',
                'setup_requests',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tear-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tear errors
                ''',
                'tear_errors',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tear-preempts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tear preempts
                ''',
                'tear_preempts',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tear-requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tear requests
                ''',
                'tear_requests',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-statistics32-bit',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.Statistics.Summary.ReservationStatistics32Bit' : {
        'meta_info' : _MetaInfoClass('MplsLcac.Statistics.Summary.ReservationStatistics32Bit',
            False, 
            [
            _MetaInfoClassMember('setup-admits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Setup admits
                ''',
                'setup_admits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Setup errors
                ''',
                'setup_errors',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-rejects', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Setup rejects
                ''',
                'setup_rejects',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Setup requests
                ''',
                'setup_requests',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tear-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tear errors
                ''',
                'tear_errors',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tear-preempts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tear preempts
                ''',
                'tear_preempts',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tear-requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tear requests
                ''',
                'tear_requests',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reservation-statistics32-bit',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.Statistics.Summary' : {
        'meta_info' : _MetaInfoClass('MplsLcac.Statistics.Summary',
            False, 
            [
            _MetaInfoClassMember('is-role-standby', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if Role is Standby, Active otherwise
                ''',
                'is_role_standby',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-statistics', REFERENCE_CLASS, 'PathStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.Statistics.Summary.PathStatistics', 
                [], [], 
                '''                Deprecated
                ''',
                'path_statistics',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-statistics32-bit', REFERENCE_CLASS, 'PathStatistics32Bit' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.Statistics.Summary.PathStatistics32Bit', 
                [], [], 
                '''                Path counters (32-bit)
                ''',
                'path_statistics32_bit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reservation-statistics', REFERENCE_CLASS, 'ReservationStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.Statistics.Summary.ReservationStatistics', 
                [], [], 
                '''                Deprecated
                ''',
                'reservation_statistics',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reservation-statistics32-bit', REFERENCE_CLASS, 'ReservationStatistics32Bit' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.Statistics.Summary.ReservationStatistics32Bit', 
                [], [], 
                '''                Reservation counters (32-bit)
                ''',
                'reservation_statistics32_bit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'summary',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.Statistics.StatsticsLinks.StatsticsLink.IncomingPathStatistics' : {
        'meta_info' : _MetaInfoClass('MplsLcac.Statistics.StatsticsLinks.StatsticsLink.IncomingPathStatistics',
            False, 
            [
            _MetaInfoClassMember('setup-admits', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'setup_admits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'setup_errors',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-rejects', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'setup_rejects',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'setup_requests',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tear-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'tear_errors',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tear-preempts', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'tear_preempts',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tear-requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'tear_requests',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'incoming-path-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.Statistics.StatsticsLinks.StatsticsLink.IncomingReservationStatistics' : {
        'meta_info' : _MetaInfoClass('MplsLcac.Statistics.StatsticsLinks.StatsticsLink.IncomingReservationStatistics',
            False, 
            [
            _MetaInfoClassMember('setup-admits', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'setup_admits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'setup_errors',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-rejects', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'setup_rejects',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'setup_requests',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tear-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'tear_errors',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tear-preempts', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'tear_preempts',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tear-requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'tear_requests',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'incoming-reservation-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.Statistics.StatsticsLinks.StatsticsLink.OutgoingPathStatistics' : {
        'meta_info' : _MetaInfoClass('MplsLcac.Statistics.StatsticsLinks.StatsticsLink.OutgoingPathStatistics',
            False, 
            [
            _MetaInfoClassMember('setup-admits', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'setup_admits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'setup_errors',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-rejects', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'setup_rejects',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'setup_requests',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tear-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'tear_errors',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tear-preempts', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'tear_preempts',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tear-requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'tear_requests',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'outgoing-path-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.Statistics.StatsticsLinks.StatsticsLink.OutgoingReservationStatistics' : {
        'meta_info' : _MetaInfoClass('MplsLcac.Statistics.StatsticsLinks.StatsticsLink.OutgoingReservationStatistics',
            False, 
            [
            _MetaInfoClassMember('setup-admits', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'setup_admits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'setup_errors',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-rejects', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'setup_rejects',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'setup_requests',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tear-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'tear_errors',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tear-preempts', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'tear_preempts',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tear-requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Deprecated
                ''',
                'tear_requests',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'outgoing-reservation-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.Statistics.StatsticsLinks.StatsticsLink.IncomingPathStatistics32Bit' : {
        'meta_info' : _MetaInfoClass('MplsLcac.Statistics.StatsticsLinks.StatsticsLink.IncomingPathStatistics32Bit',
            False, 
            [
            _MetaInfoClassMember('setup-admits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Setup admits
                ''',
                'setup_admits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Setup errors
                ''',
                'setup_errors',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-rejects', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Setup rejects
                ''',
                'setup_rejects',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Setup requests
                ''',
                'setup_requests',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tear-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tear errors
                ''',
                'tear_errors',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tear-preempts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tear preempts
                ''',
                'tear_preempts',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tear-requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tear requests
                ''',
                'tear_requests',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'incoming-path-statistics32-bit',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.Statistics.StatsticsLinks.StatsticsLink.IncomingReservationStatistics32Bit' : {
        'meta_info' : _MetaInfoClass('MplsLcac.Statistics.StatsticsLinks.StatsticsLink.IncomingReservationStatistics32Bit',
            False, 
            [
            _MetaInfoClassMember('setup-admits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Setup admits
                ''',
                'setup_admits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Setup errors
                ''',
                'setup_errors',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-rejects', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Setup rejects
                ''',
                'setup_rejects',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Setup requests
                ''',
                'setup_requests',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tear-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tear errors
                ''',
                'tear_errors',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tear-preempts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tear preempts
                ''',
                'tear_preempts',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tear-requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tear requests
                ''',
                'tear_requests',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'incoming-reservation-statistics32-bit',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.Statistics.StatsticsLinks.StatsticsLink.OutgoingPathStatistics32Bit' : {
        'meta_info' : _MetaInfoClass('MplsLcac.Statistics.StatsticsLinks.StatsticsLink.OutgoingPathStatistics32Bit',
            False, 
            [
            _MetaInfoClassMember('setup-admits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Setup admits
                ''',
                'setup_admits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Setup errors
                ''',
                'setup_errors',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-rejects', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Setup rejects
                ''',
                'setup_rejects',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Setup requests
                ''',
                'setup_requests',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tear-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tear errors
                ''',
                'tear_errors',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tear-preempts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tear preempts
                ''',
                'tear_preempts',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tear-requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tear requests
                ''',
                'tear_requests',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'outgoing-path-statistics32-bit',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.Statistics.StatsticsLinks.StatsticsLink.OutgoingReservationStatistics32Bit' : {
        'meta_info' : _MetaInfoClass('MplsLcac.Statistics.StatsticsLinks.StatsticsLink.OutgoingReservationStatistics32Bit',
            False, 
            [
            _MetaInfoClassMember('setup-admits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Setup admits
                ''',
                'setup_admits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Setup errors
                ''',
                'setup_errors',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-rejects', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Setup rejects
                ''',
                'setup_rejects',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Setup requests
                ''',
                'setup_requests',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tear-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tear errors
                ''',
                'tear_errors',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tear-preempts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tear preempts
                ''',
                'tear_preempts',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tear-requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tear requests
                ''',
                'tear_requests',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'outgoing-reservation-statistics32-bit',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.Statistics.StatsticsLinks.StatsticsLink' : {
        'meta_info' : _MetaInfoClass('MplsLcac.Statistics.StatsticsLinks.StatsticsLink',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('incoming-path-statistics', REFERENCE_CLASS, 'IncomingPathStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.Statistics.StatsticsLinks.StatsticsLink.IncomingPathStatistics', 
                [], [], 
                '''                Deprecated
                ''',
                'incoming_path_statistics',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-path-statistics32-bit', REFERENCE_CLASS, 'IncomingPathStatistics32Bit' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.Statistics.StatsticsLinks.StatsticsLink.IncomingPathStatistics32Bit', 
                [], [], 
                '''                Incoming PATH counters
                ''',
                'incoming_path_statistics32_bit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-reservation-statistics', REFERENCE_CLASS, 'IncomingReservationStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.Statistics.StatsticsLinks.StatsticsLink.IncomingReservationStatistics', 
                [], [], 
                '''                Deprecated
                ''',
                'incoming_reservation_statistics',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-reservation-statistics32-bit', REFERENCE_CLASS, 'IncomingReservationStatistics32Bit' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.Statistics.StatsticsLinks.StatsticsLink.IncomingReservationStatistics32Bit', 
                [], [], 
                '''                Incoming RESV counters
                ''',
                'incoming_reservation_statistics32_bit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Link name
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Link's ip address
                ''',
                'link_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-path-statistics', REFERENCE_CLASS, 'OutgoingPathStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.Statistics.StatsticsLinks.StatsticsLink.OutgoingPathStatistics', 
                [], [], 
                '''                Deprecated
                ''',
                'outgoing_path_statistics',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-path-statistics32-bit', REFERENCE_CLASS, 'OutgoingPathStatistics32Bit' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.Statistics.StatsticsLinks.StatsticsLink.OutgoingPathStatistics32Bit', 
                [], [], 
                '''                Outgoing PATH counters
                ''',
                'outgoing_path_statistics32_bit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-reservation-statistics', REFERENCE_CLASS, 'OutgoingReservationStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.Statistics.StatsticsLinks.StatsticsLink.OutgoingReservationStatistics', 
                [], [], 
                '''                Deprecated
                ''',
                'outgoing_reservation_statistics',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-reservation-statistics32-bit', REFERENCE_CLASS, 'OutgoingReservationStatistics32Bit' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.Statistics.StatsticsLinks.StatsticsLink.OutgoingReservationStatistics32Bit', 
                [], [], 
                '''                Outgoing RESV counters
                ''',
                'outgoing_reservation_statistics32_bit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'statstics-link',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.Statistics.StatsticsLinks' : {
        'meta_info' : _MetaInfoClass('MplsLcac.Statistics.StatsticsLinks',
            False, 
            [
            _MetaInfoClassMember('statstics-link', REFERENCE_LIST, 'StatsticsLink' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.Statistics.StatsticsLinks.StatsticsLink', 
                [], [], 
                '''                An interface in MPLS-LCAC
                ''',
                'statstics_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'statstics-links',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.Statistics' : {
        'meta_info' : _MetaInfoClass('MplsLcac.Statistics',
            False, 
            [
            _MetaInfoClassMember('statstics-links', REFERENCE_CLASS, 'StatsticsLinks' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.Statistics.StatsticsLinks', 
                [], [], 
                '''                The table of statistics interfaces in MPLS-LCAC
                ''',
                'statstics_links',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('summary', REFERENCE_CLASS, 'Summary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.Statistics.Summary', 
                [], [], 
                '''                The statistics summary for all interfaces
                ''',
                'summary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.BandwidthAllocation.Global_' : {
        'meta_info' : _MetaInfoClass('MplsLcac.BandwidthAllocation.Global_',
            False, 
            [
            _MetaInfoClassMember('bandwidth-hold-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                How long to hold the bandwidth (seconds)
                ''',
                'bandwidth_hold_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-role-standby', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if Role is Standby, Active otherwise
                ''',
                'is_role_standby',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('links', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of links
                ''',
                'links',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'global',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.LinkCommon.LinkFlags' : {
        'meta_info' : _MetaInfoClass('MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.LinkCommon.LinkFlags',
            False, 
            [
            _MetaInfoClassMember('is-admin-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the link is admin up
                ''',
                'is_admin_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-mpls-te-on', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Deprecated - TRUE if the link is a TE-Link
                ''',
                'is_mpls_te_on',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signaling-agent', REFERENCE_ENUM_CLASS, 'SignalingAgentEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'SignalingAgentEnumEnum', 
                [], [], 
                '''                Deprecated - Signaling agent
                ''',
                'signaling_agent',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'link-flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.LinkCommon.SharedRiskLinkGroup' : {
        'meta_info' : _MetaInfoClass('MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.LinkCommon.SharedRiskLinkGroup',
            False, 
            [
            _MetaInfoClassMember('shared-risk-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG number
                ''',
                'shared_risk_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SRLG name
                ''',
                'srlg_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'shared-risk-link-group',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.LinkCommon.InterfaceSwitchingCapabilityDescriptor' : {
        'meta_info' : _MetaInfoClass('MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.LinkCommon.InterfaceSwitchingCapabilityDescriptor',
            False, 
            [
            _MetaInfoClassMember('encoding', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                The link encoding type
                ''',
                'encoding',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('key', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                The switching capability descriptor key
                ''',
                'key',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('switching-capability', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                The switching capability
                ''',
                'switching_capability',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'interface-switching-capability-descriptor',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.LinkCommon.FloodedAreas' : {
        'meta_info' : _MetaInfoClass('MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.LinkCommon.FloodedAreas',
            False, 
            [
            _MetaInfoClassMember('flooded-area', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The flooded area information
                ''',
                'flooded_area',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flooded-areas',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.LinkCommon' : {
        'meta_info' : _MetaInfoClass('MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.LinkCommon',
            False, 
            [
            _MetaInfoClassMember('bandwidth-units', REFERENCE_ENUM_CLASS, 'BandwidthUnitEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'BandwidthUnitEnumEnum', 
                [], [], 
                '''                The bandwidth units
                ''',
                'bandwidth_units',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bandwidth Constraints Model ID
                ''',
                'bcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('capability', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The link's protection capability
                ''',
                'capability',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flooded-areas', REFERENCE_LIST, 'FloodedAreas' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.LinkCommon.FloodedAreas', 
                [], [], 
                '''                List of areas into which the link is flooded
                ''',
                'flooded_areas',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the link is protected
                ''',
                'has_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('igp-neighbors', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The link's neighbor count
                ''',
                'igp_neighbors',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('inbound-admission-method', REFERENCE_ENUM_CLASS, 'AdmissionPolicyEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'AdmissionPolicyEnum', 
                [], [], 
                '''                Deprecated
                ''',
                'inbound_admission_method',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-reservable-bandwidth-percentage', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Incoming reserved BW in %
                ''',
                'incoming_reservable_bandwidth_percentage',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-reservable-pool0-bandwidth-percentage', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Incoming reserved pool0 BW in %
                ''',
                'incoming_reservable_pool0_bandwidth_percentage',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-reservable-pool1-bandwidth-percentage', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Incoming reserved pool1 BW in %
                ''',
                'incoming_reservable_pool1_bandwidth_percentage',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-switching-capability-descriptor', REFERENCE_LIST, 'InterfaceSwitchingCapabilityDescriptor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.LinkCommon.InterfaceSwitchingCapabilityDescriptor', 
                [], [], 
                '''                The link's switching capability descriptor
                ''',
                'interface_switching_capability_descriptor',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-resource-provider-installed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the resource provider is installed
                ''',
                'is_resource_provider_installed',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-unnumbered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the link is unnumbered
                ''',
                'is_unnumbered',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-flooded-effective-maximum-reservable-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Last flooded max reservable bandwidth effective
                ''',
                'last_flooded_effective_maximum_reservable_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The link's ip address
                ''',
                'link_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-flags', REFERENCE_CLASS, 'LinkFlags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.LinkCommon.LinkFlags', 
                [], [], 
                '''                The link's flags
                ''',
                'link_flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The link's id
                ''',
                'link_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-reservable-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The link's maximum reservable BW
                ''',
                'maximum_reservable_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-reservable-pool0-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The link's maximum reservable pool0 BW
                ''',
                'maximum_reservable_pool0_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-reservable-pool1-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The link's maximum reservable pool1 BW
                ''',
                'maximum_reservable_pool1_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outbound-admission-method', REFERENCE_ENUM_CLASS, 'AdmissionPolicyEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'AdmissionPolicyEnum', 
                [], [], 
                '''                Deprecated
                ''',
                'outbound_admission_method',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-reservable-bandwidth-percentage', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Outgoing reserved BW in %
                ''',
                'outgoing_reservable_bandwidth_percentage',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-reservable-pool0-bandwidth-percentage', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Outgoing reserved pool0 BW in %
                ''',
                'outgoing_reservable_pool0_bandwidth_percentage',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-reservable-pool1-bandwidth-percentage', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Outgoing reserved pool1 BW in %
                ''',
                'outgoing_reservable_pool1_bandwidth_percentage',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('physical-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The link's physical bandwidth
                ''',
                'physical_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resource-provider', REFERENCE_ENUM_CLASS, 'ResourceProviderEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'ResourceProviderEnum', 
                [], [], 
                '''                The link's resource provider
                ''',
                'resource_provider',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared-risk-link-group', REFERENCE_LIST, 'SharedRiskLinkGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.LinkCommon.SharedRiskLinkGroup', 
                [], [], 
                '''                The link's shared risk link groups
                ''',
                'shared_risk_link_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('working-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The link's working priority
                ''',
                'working_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'link-common',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.UpstreamBandwidth.BandwidthPool0' : {
        'meta_info' : _MetaInfoClass('MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.UpstreamBandwidth.BandwidthPool0',
            False, 
            [
            _MetaInfoClassMember('held-amount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The held bandwidth
                ''',
                'held_amount',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                The BW priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('locked-amount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The locked bandwidth
                ''',
                'locked_amount',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-held-amount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The total held bandwidth
                ''',
                'total_held_amount',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-locked-amount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The total locked bandwidth
                ''',
                'total_locked_amount',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bandwidth-pool0',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.UpstreamBandwidth.BandwidthPool1' : {
        'meta_info' : _MetaInfoClass('MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.UpstreamBandwidth.BandwidthPool1',
            False, 
            [
            _MetaInfoClassMember('held-amount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The held bandwidth
                ''',
                'held_amount',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                The BW priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('locked-amount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The locked bandwidth
                ''',
                'locked_amount',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-held-amount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The total held bandwidth
                ''',
                'total_held_amount',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-locked-amount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The total locked bandwidth
                ''',
                'total_locked_amount',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bandwidth-pool1',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.UpstreamBandwidth' : {
        'meta_info' : _MetaInfoClass('MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.UpstreamBandwidth',
            False, 
            [
            _MetaInfoClassMember('bandwidth-direction', REFERENCE_ENUM_CLASS, 'LinkDirectionEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'LinkDirectionEnumEnum', 
                [], [], 
                '''                BW Direction
                ''',
                'bandwidth_direction',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-pool0', REFERENCE_LIST, 'BandwidthPool0' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.UpstreamBandwidth.BandwidthPool0', 
                [], [], 
                '''                Pool0 BW info for the different priority levels
                ''',
                'bandwidth_pool0',
                'Cisco-IOS-XR-mpls-te-oper', False, max_elements=8),
            _MetaInfoClassMember('bandwidth-pool1', REFERENCE_LIST, 'BandwidthPool1' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.UpstreamBandwidth.BandwidthPool1', 
                [], [], 
                '''                Pool1 BW info for the different priority levels
                ''',
                'bandwidth_pool1',
                'Cisco-IOS-XR-mpls-te-oper', False, max_elements=8),
            _MetaInfoClassMember('bandwidth-units', REFERENCE_ENUM_CLASS, 'BandwidthUnitEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'BandwidthUnitEnumEnum', 
                [], [], 
                '''                Bandwidth units
                ''',
                'bandwidth_units',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-admission-method-allocated-bandwidth', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if the link's admit method is based on
                Allocated BW
                ''',
                'is_admission_method_allocated_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'upstream-bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.DownstreamBandwidth.BandwidthPool0' : {
        'meta_info' : _MetaInfoClass('MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.DownstreamBandwidth.BandwidthPool0',
            False, 
            [
            _MetaInfoClassMember('held-amount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The held bandwidth
                ''',
                'held_amount',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                The BW priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('locked-amount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The locked bandwidth
                ''',
                'locked_amount',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-held-amount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The total held bandwidth
                ''',
                'total_held_amount',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-locked-amount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The total locked bandwidth
                ''',
                'total_locked_amount',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bandwidth-pool0',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.DownstreamBandwidth.BandwidthPool1' : {
        'meta_info' : _MetaInfoClass('MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.DownstreamBandwidth.BandwidthPool1',
            False, 
            [
            _MetaInfoClassMember('held-amount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The held bandwidth
                ''',
                'held_amount',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                The BW priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('locked-amount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The locked bandwidth
                ''',
                'locked_amount',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-held-amount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The total held bandwidth
                ''',
                'total_held_amount',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-locked-amount', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The total locked bandwidth
                ''',
                'total_locked_amount',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bandwidth-pool1',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.DownstreamBandwidth' : {
        'meta_info' : _MetaInfoClass('MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.DownstreamBandwidth',
            False, 
            [
            _MetaInfoClassMember('bandwidth-direction', REFERENCE_ENUM_CLASS, 'LinkDirectionEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'LinkDirectionEnumEnum', 
                [], [], 
                '''                BW Direction
                ''',
                'bandwidth_direction',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-pool0', REFERENCE_LIST, 'BandwidthPool0' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.DownstreamBandwidth.BandwidthPool0', 
                [], [], 
                '''                Pool0 BW info for the different priority levels
                ''',
                'bandwidth_pool0',
                'Cisco-IOS-XR-mpls-te-oper', False, max_elements=8),
            _MetaInfoClassMember('bandwidth-pool1', REFERENCE_LIST, 'BandwidthPool1' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.DownstreamBandwidth.BandwidthPool1', 
                [], [], 
                '''                Pool1 BW info for the different priority levels
                ''',
                'bandwidth_pool1',
                'Cisco-IOS-XR-mpls-te-oper', False, max_elements=8),
            _MetaInfoClassMember('bandwidth-units', REFERENCE_ENUM_CLASS, 'BandwidthUnitEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'BandwidthUnitEnumEnum', 
                [], [], 
                '''                Bandwidth units
                ''',
                'bandwidth_units',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-admission-method-allocated-bandwidth', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if the link's admit method is based on
                Allocated BW
                ''',
                'is_admission_method_allocated_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'downstream-bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink' : {
        'meta_info' : _MetaInfoClass('MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('bandwidth-descriptors', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of BW descriptor for the given pool
                ''',
                'bandwidth_descriptors',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-pool', REFERENCE_ENUM_CLASS, 'BandwidthTypeEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'BandwidthTypeEnumEnum', 
                [], [], 
                '''                type of the BW pool
                ''',
                'bandwidth_pool',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('downstream-bandwidth', REFERENCE_CLASS, 'DownstreamBandwidth' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.DownstreamBandwidth', 
                [], [], 
                '''                BW info in the dnstream direction
                ''',
                'downstream_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flooding-down-threshold', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Flooding down-thresholds
                ''',
                'flooding_down_threshold',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flooding-down-thresholds-are-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the down-threshold are default
                ''',
                'flooding_down_thresholds_are_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flooding-down-thresholds-are-global', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the down-threshold are global
                ''',
                'flooding_down_thresholds_are_global',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flooding-up-threshold', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Flooding up-thresholds
                ''',
                'flooding_up_threshold',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flooding-up-thresholds-are-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the up-threshold are default
                ''',
                'flooding_up_thresholds_are_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flooding-up-thresholds-are-global', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the up-threshold are global
                ''',
                'flooding_up_thresholds_are_global',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-common', REFERENCE_CLASS, 'LinkCommon' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.LinkCommon', 
                [], [], 
                '''                The link's common info
                ''',
                'link_common',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-bandwidth-descriptors', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of total BW descriptors
                ''',
                'total_bandwidth_descriptors',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('upstream-bandwidth', REFERENCE_CLASS, 'UpstreamBandwidth' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.UpstreamBandwidth', 
                [], [], 
                '''                BW info in the upstream direction
                ''',
                'upstream_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bandwidth-allocation-link',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.BandwidthAllocation.BandwidthAllocationLinks' : {
        'meta_info' : _MetaInfoClass('MplsLcac.BandwidthAllocation.BandwidthAllocationLinks',
            False, 
            [
            _MetaInfoClassMember('bandwidth-allocation-link', REFERENCE_LIST, 'BandwidthAllocationLink' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink', 
                [], [], 
                '''                The bandwidth allocation for a given interface
                ''',
                'bandwidth_allocation_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bandwidth-allocation-links',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.BandwidthAllocation' : {
        'meta_info' : _MetaInfoClass('MplsLcac.BandwidthAllocation',
            False, 
            [
            _MetaInfoClassMember('bandwidth-allocation-links', REFERENCE_CLASS, 'BandwidthAllocationLinks' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.BandwidthAllocation.BandwidthAllocationLinks', 
                [], [], 
                '''                Per-link bandwidth allocation information in
                MPLS-LCAC
                ''',
                'bandwidth_allocation_links',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('global', REFERENCE_CLASS, 'Global_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.BandwidthAllocation.Global_', 
                [], [], 
                '''                Global bandwidth allocation information for all
                interfaces
                ''',
                'global_',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bandwidth-allocation',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.Gmpls.Nni' : {
        'meta_info' : _MetaInfoClass('MplsLcac.Gmpls.Nni',
            False, 
            [
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'nni',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.Gmpls.Uni' : {
        'meta_info' : _MetaInfoClass('MplsLcac.Gmpls.Uni',
            False, 
            [
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'uni',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.Gmpls' : {
        'meta_info' : _MetaInfoClass('MplsLcac.Gmpls',
            False, 
            [
            _MetaInfoClassMember('nni', REFERENCE_CLASS, 'Nni' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.Gmpls.Nni', 
                [], [], 
                '''                GMPLS NNI data
                ''',
                'nni',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uni', REFERENCE_CLASS, 'Uni' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.Gmpls.Uni', 
                [], [], 
                '''                GMPLS UNI data
                ''',
                'uni',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'gmpls',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.BfdNeighbors.BfdNeighbor.Neighbor' : {
        'meta_info' : _MetaInfoClass('MplsLcac.BfdNeighbors.BfdNeighbor.Neighbor',
            False, 
            [
            _MetaInfoClassMember('is-bfd-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the BFD session is Up on this link
                ''',
                'is_bfd_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The neighbor's IP address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.BfdNeighbors.BfdNeighbor' : {
        'meta_info' : _MetaInfoClass('MplsLcac.BfdNeighbors.BfdNeighbor',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.BfdNeighbors.BfdNeighbor.Neighbor', 
                [], [], 
                '''                Neighbors of the specified link id
                ''',
                'neighbor',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.BfdNeighbors' : {
        'meta_info' : _MetaInfoClass('MplsLcac.BfdNeighbors',
            False, 
            [
            _MetaInfoClassMember('bfd-neighbor', REFERENCE_LIST, 'BfdNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.BfdNeighbors.BfdNeighbor', 
                [], [], 
                '''                A BFD Neighbor
                ''',
                'bfd_neighbor',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-neighbors',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink.CommonInfo.BandwidthUtilization' : {
        'meta_info' : _MetaInfoClass('MplsLcac.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink.CommonInfo.BandwidthUtilization',
            False, 
            [
            _MetaInfoClassMember('applied-non-rsvp-te-bandwidth-utilization', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Applied Non-RSVP-TE bandwidth utilization
                measured in kilobits per second
                ''',
                'applied_non_rsvp_te_bandwidth_utilization',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('non-rsvp-te-bandwidth-utilization', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Non-RSVP-TE bandwidth utilization measured in
                kilobits per second
                ''',
                'non_rsvp_te_bandwidth_utilization',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rsvp-te-bandwidth-utilization', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                RSVP-TE bandwidth utilization measured in
                kilobits per second
                ''',
                'rsvp_te_bandwidth_utilization',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-link-bandwidth-utilization', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total bandwidth utilization measured in kilobits
                per second
                ''',
                'total_link_bandwidth_utilization',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bandwidth-utilization',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink.CommonInfo' : {
        'meta_info' : _MetaInfoClass('MplsLcac.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink.CommonInfo',
            False, 
            [
            _MetaInfoClassMember('application-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if application is enabled
                ''',
                'application_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('application-time-remaining-nano-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                This value indicates the number of nano-seconds
                until the next application
                ''',
                'application_time_remaining_nano_sec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-utilization', REFERENCE_CLASS, 'BandwidthUtilization' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink.CommonInfo.BandwidthUtilization', 
                [], [], 
                '''                Bandwidth utilization information
                ''',
                'bandwidth_utilization',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('collection-type', REFERENCE_ENUM_CLASS, 'BandwidthAccountingCollectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'BandwidthAccountingCollectionEnum', 
                [], [], 
                '''                The type of traffic collected for bandwidth
                accounting
                ''',
                'collection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('effective-maximum-reservable-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum reservable bandwidth effective
                ''',
                'effective_maximum_reservable_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-application-timestamp-nano-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Timestamp for the last application in
                nano-seconds
                ''',
                'last_application_timestamp_nano_sec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-sample-collection-timestamp-nano-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Timestamp for the last sample collection in
                nano-seconds
                ''',
                'last_sample_collection_timestamp_nano_sec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-application-timestamp-nano-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Timestamp for the next application in
                nano-seconds
                ''',
                'next_application_timestamp_nano_sec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-sample-collection-nano-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Timestamp for the next sample collection in
                nano-seconds
                ''',
                'next_sample_collection_nano_sec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sample-time-remaining-timestamp-nano-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                This value indicates the number of nano-seconds
                until the next sampling
                ''',
                'sample_time_remaining_timestamp_nano_sec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'common-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink.SampleHistory.ActiveIntervalSample' : {
        'meta_info' : _MetaInfoClass('MplsLcac.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink.SampleHistory.ActiveIntervalSample',
            False, 
            [
            _MetaInfoClassMember('non-rsvp-te-packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Non-RSVP-TE traffic rate measured in packets per
                second in this sample
                ''',
                'non_rsvp_te_packet_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('non-rsvp-te-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Non-RSVP-TE traffic rate measured in Kilobits
                per second in this sample
                ''',
                'non_rsvp_te_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rsvp-te-packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                RSVP-TE traffic rate measured in packets per
                second in this sample
                ''',
                'rsvp_te_packet_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rsvp-te-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                RSVP-TE traffic rate measured in Kilobits per
                second in this sample
                ''',
                'rsvp_te_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('timestamp-nano-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Timestamp in nano-seconds of this sample
                ''',
                'timestamp_nano_sec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total traffic rate measured in packets per
                second in this sample
                ''',
                'total_packet_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total traffic rate measured in Kilobits per
                second in this sample
                ''',
                'total_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'active-interval-sample',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink.SampleHistory.PreviousIntervalSample' : {
        'meta_info' : _MetaInfoClass('MplsLcac.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink.SampleHistory.PreviousIntervalSample',
            False, 
            [
            _MetaInfoClassMember('non-rsvp-te-packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Non-RSVP-TE traffic rate measured in packets per
                second in this sample
                ''',
                'non_rsvp_te_packet_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('non-rsvp-te-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Non-RSVP-TE traffic rate measured in Kilobits
                per second in this sample
                ''',
                'non_rsvp_te_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rsvp-te-packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                RSVP-TE traffic rate measured in packets per
                second in this sample
                ''',
                'rsvp_te_packet_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rsvp-te-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                RSVP-TE traffic rate measured in Kilobits per
                second in this sample
                ''',
                'rsvp_te_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('timestamp-nano-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Timestamp in nano-seconds of this sample
                ''',
                'timestamp_nano_sec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-packet-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total traffic rate measured in packets per
                second in this sample
                ''',
                'total_packet_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total traffic rate measured in Kilobits per
                second in this sample
                ''',
                'total_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'previous-interval-sample',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink.SampleHistory' : {
        'meta_info' : _MetaInfoClass('MplsLcac.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink.SampleHistory',
            False, 
            [
            _MetaInfoClassMember('active-interval-sample', REFERENCE_LIST, 'ActiveIntervalSample' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink.SampleHistory.ActiveIntervalSample', 
                [], [], 
                '''                Samples in the current application interval
                ''',
                'active_interval_sample',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-interval-sample', REFERENCE_LIST, 'PreviousIntervalSample' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink.SampleHistory.PreviousIntervalSample', 
                [], [], 
                '''                Samples in the previous application interval
                ''',
                'previous_interval_sample',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-applications', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of applications
                ''',
                'total_applications',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-samples', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of samples collected
                ''',
                'total_samples',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'sample-history',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink' : {
        'meta_info' : _MetaInfoClass('MplsLcac.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('common-info', REFERENCE_CLASS, 'CommonInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink.CommonInfo', 
                [], [], 
                '''                Information for bandwidth accounting telemetry
                ''',
                'common_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The link's ID
                ''',
                'link_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sample-history', REFERENCE_CLASS, 'SampleHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink.SampleHistory', 
                [], [], 
                '''                History of bandwidth accounting samples
                ''',
                'sample_history',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bandwidth-account-link',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.BandwidthAccount.BandwidthAccountLinks' : {
        'meta_info' : _MetaInfoClass('MplsLcac.BandwidthAccount.BandwidthAccountLinks',
            False, 
            [
            _MetaInfoClassMember('bandwidth-account-link', REFERENCE_LIST, 'BandwidthAccountLink' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink', 
                [], [], 
                '''                An interface in bandwidth accounting table
                ''',
                'bandwidth_account_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bandwidth-account-links',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.BandwidthAccount' : {
        'meta_info' : _MetaInfoClass('MplsLcac.BandwidthAccount',
            False, 
            [
            _MetaInfoClassMember('bandwidth-account-links', REFERENCE_CLASS, 'BandwidthAccountLinks' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.BandwidthAccount.BandwidthAccountLinks', 
                [], [], 
                '''                The interface bandwidth accounting information
                table
                ''',
                'bandwidth_account_links',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bandwidth-account',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.LinkSummary.BandwidthAccountSummary' : {
        'meta_info' : _MetaInfoClass('MplsLcac.LinkSummary.BandwidthAccountSummary',
            False, 
            [
            _MetaInfoClassMember('application-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Application interval for bandwidth accounting
                stats
                ''',
                'application_interval',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('application-time-remaining', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                This value indicates the number of seconds until
                the next application
                ''',
                'application_time_remaining',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-account-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if bandwidth accounting is enabled
                ''',
                'is_bandwidth_account_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sample-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sample interval for bandwidth accounting stats
                ''',
                'sample_interval',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sample-time-remaining', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                This value indicates the number of seconds until
                the next sample collection
                ''',
                'sample_time_remaining',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bandwidth-account-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.LinkSummary.AreasSummary' : {
        'meta_info' : _MetaInfoClass('MplsLcac.LinkSummary.AreasSummary',
            False, 
            [
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Area id
                ''',
                'area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('igp-neighbors', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of IGP neighbors
                ''',
                'igp_neighbors',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-flooded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if flooding occurred in this area
                ''',
                'is_flooded',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-periodic-flooding-on', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if periodic flooding is on
                ''',
                'is_periodic_flooding_on',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('links-flooded', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of flooded links
                ''',
                'links_flooded',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-node-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local router id
                ''',
                'local_node_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('periodic-flooding-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Flooding period in seconds
                ''',
                'periodic_flooding_interval',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'IgpProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'IgpProtocolEnum', 
                [], [], 
                '''                Protocol running over the area
                ''',
                'protocol',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('system-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IGP id of local node
                ''',
                'system_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'areas-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.LinkSummary' : {
        'meta_info' : _MetaInfoClass('MplsLcac.LinkSummary',
            False, 
            [
            _MetaInfoClassMember('areas-summary', REFERENCE_LIST, 'AreasSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.LinkSummary.AreasSummary', 
                [], [], 
                '''                Summary info for the areas
                ''',
                'areas_summary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-account-summary', REFERENCE_CLASS, 'BandwidthAccountSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.LinkSummary.BandwidthAccountSummary', 
                [], [], 
                '''                Bandwidth account summary
                ''',
                'bandwidth_account_summary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-flooding-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if flooding is enabled
                ''',
                'is_flooding_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-role-standby', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if Role is Standby, Active otherwise
                ''',
                'is_role_standby',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('links', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Total number of links
                ''',
                'links',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-links', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum number of links supported
                ''',
                'maximum_links',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'link-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.LinkInformation.Global_' : {
        'meta_info' : _MetaInfoClass('MplsLcac.LinkInformation.Global_',
            False, 
            [
            _MetaInfoClassMember('is-role-standby', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if Role is Standby, Active otherwise
                ''',
                'is_role_standby',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('links', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The number of links
                ''',
                'links',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-links', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum number of links supported
                ''',
                'maximum_links',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'global',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.LinkInformation.Links.Link.LinkCommon.LinkFlags' : {
        'meta_info' : _MetaInfoClass('MplsLcac.LinkInformation.Links.Link.LinkCommon.LinkFlags',
            False, 
            [
            _MetaInfoClassMember('is-admin-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the link is admin up
                ''',
                'is_admin_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-mpls-te-on', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Deprecated - TRUE if the link is a TE-Link
                ''',
                'is_mpls_te_on',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signaling-agent', REFERENCE_ENUM_CLASS, 'SignalingAgentEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'SignalingAgentEnumEnum', 
                [], [], 
                '''                Deprecated - Signaling agent
                ''',
                'signaling_agent',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'link-flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.LinkInformation.Links.Link.LinkCommon.SharedRiskLinkGroup' : {
        'meta_info' : _MetaInfoClass('MplsLcac.LinkInformation.Links.Link.LinkCommon.SharedRiskLinkGroup',
            False, 
            [
            _MetaInfoClassMember('shared-risk-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG number
                ''',
                'shared_risk_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SRLG name
                ''',
                'srlg_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'shared-risk-link-group',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.LinkInformation.Links.Link.LinkCommon.InterfaceSwitchingCapabilityDescriptor' : {
        'meta_info' : _MetaInfoClass('MplsLcac.LinkInformation.Links.Link.LinkCommon.InterfaceSwitchingCapabilityDescriptor',
            False, 
            [
            _MetaInfoClassMember('encoding', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                The link encoding type
                ''',
                'encoding',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('key', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                The switching capability descriptor key
                ''',
                'key',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('switching-capability', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                The switching capability
                ''',
                'switching_capability',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'interface-switching-capability-descriptor',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.LinkInformation.Links.Link.LinkCommon.FloodedAreas' : {
        'meta_info' : _MetaInfoClass('MplsLcac.LinkInformation.Links.Link.LinkCommon.FloodedAreas',
            False, 
            [
            _MetaInfoClassMember('flooded-area', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The flooded area information
                ''',
                'flooded_area',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flooded-areas',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.LinkInformation.Links.Link.LinkCommon' : {
        'meta_info' : _MetaInfoClass('MplsLcac.LinkInformation.Links.Link.LinkCommon',
            False, 
            [
            _MetaInfoClassMember('bandwidth-units', REFERENCE_ENUM_CLASS, 'BandwidthUnitEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'BandwidthUnitEnumEnum', 
                [], [], 
                '''                The bandwidth units
                ''',
                'bandwidth_units',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bandwidth Constraints Model ID
                ''',
                'bcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('capability', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The link's protection capability
                ''',
                'capability',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flooded-areas', REFERENCE_LIST, 'FloodedAreas' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.LinkInformation.Links.Link.LinkCommon.FloodedAreas', 
                [], [], 
                '''                List of areas into which the link is flooded
                ''',
                'flooded_areas',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the link is protected
                ''',
                'has_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('igp-neighbors', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The link's neighbor count
                ''',
                'igp_neighbors',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('inbound-admission-method', REFERENCE_ENUM_CLASS, 'AdmissionPolicyEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'AdmissionPolicyEnum', 
                [], [], 
                '''                Deprecated
                ''',
                'inbound_admission_method',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-reservable-bandwidth-percentage', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Incoming reserved BW in %
                ''',
                'incoming_reservable_bandwidth_percentage',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-reservable-pool0-bandwidth-percentage', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Incoming reserved pool0 BW in %
                ''',
                'incoming_reservable_pool0_bandwidth_percentage',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-reservable-pool1-bandwidth-percentage', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Incoming reserved pool1 BW in %
                ''',
                'incoming_reservable_pool1_bandwidth_percentage',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-switching-capability-descriptor', REFERENCE_LIST, 'InterfaceSwitchingCapabilityDescriptor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.LinkInformation.Links.Link.LinkCommon.InterfaceSwitchingCapabilityDescriptor', 
                [], [], 
                '''                The link's switching capability descriptor
                ''',
                'interface_switching_capability_descriptor',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-resource-provider-installed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the resource provider is installed
                ''',
                'is_resource_provider_installed',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-unnumbered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the link is unnumbered
                ''',
                'is_unnumbered',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-flooded-effective-maximum-reservable-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Last flooded max reservable bandwidth effective
                ''',
                'last_flooded_effective_maximum_reservable_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The link's ip address
                ''',
                'link_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-flags', REFERENCE_CLASS, 'LinkFlags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.LinkInformation.Links.Link.LinkCommon.LinkFlags', 
                [], [], 
                '''                The link's flags
                ''',
                'link_flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The link's id
                ''',
                'link_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-reservable-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The link's maximum reservable BW
                ''',
                'maximum_reservable_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-reservable-pool0-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The link's maximum reservable pool0 BW
                ''',
                'maximum_reservable_pool0_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-reservable-pool1-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The link's maximum reservable pool1 BW
                ''',
                'maximum_reservable_pool1_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outbound-admission-method', REFERENCE_ENUM_CLASS, 'AdmissionPolicyEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'AdmissionPolicyEnum', 
                [], [], 
                '''                Deprecated
                ''',
                'outbound_admission_method',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-reservable-bandwidth-percentage', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Outgoing reserved BW in %
                ''',
                'outgoing_reservable_bandwidth_percentage',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-reservable-pool0-bandwidth-percentage', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Outgoing reserved pool0 BW in %
                ''',
                'outgoing_reservable_pool0_bandwidth_percentage',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-reservable-pool1-bandwidth-percentage', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Outgoing reserved pool1 BW in %
                ''',
                'outgoing_reservable_pool1_bandwidth_percentage',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('physical-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The link's physical bandwidth
                ''',
                'physical_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resource-provider', REFERENCE_ENUM_CLASS, 'ResourceProviderEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'ResourceProviderEnum', 
                [], [], 
                '''                The link's resource provider
                ''',
                'resource_provider',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared-risk-link-group', REFERENCE_LIST, 'SharedRiskLinkGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.LinkInformation.Links.Link.LinkCommon.SharedRiskLinkGroup', 
                [], [], 
                '''                The link's shared risk link groups
                ''',
                'shared_risk_link_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('working-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The link's working priority
                ''',
                'working_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'link-common',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.LinkInformation.Links.Link.BandwidthAccount.BandwidthAccountCommonInfo.BandwidthUtilization' : {
        'meta_info' : _MetaInfoClass('MplsLcac.LinkInformation.Links.Link.BandwidthAccount.BandwidthAccountCommonInfo.BandwidthUtilization',
            False, 
            [
            _MetaInfoClassMember('applied-non-rsvp-te-bandwidth-utilization', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Applied Non-RSVP-TE bandwidth utilization
                measured in kilobits per second
                ''',
                'applied_non_rsvp_te_bandwidth_utilization',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('non-rsvp-te-bandwidth-utilization', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Non-RSVP-TE bandwidth utilization measured in
                kilobits per second
                ''',
                'non_rsvp_te_bandwidth_utilization',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rsvp-te-bandwidth-utilization', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                RSVP-TE bandwidth utilization measured in
                kilobits per second
                ''',
                'rsvp_te_bandwidth_utilization',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-link-bandwidth-utilization', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total bandwidth utilization measured in kilobits
                per second
                ''',
                'total_link_bandwidth_utilization',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bandwidth-utilization',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.LinkInformation.Links.Link.BandwidthAccount.BandwidthAccountCommonInfo' : {
        'meta_info' : _MetaInfoClass('MplsLcac.LinkInformation.Links.Link.BandwidthAccount.BandwidthAccountCommonInfo',
            False, 
            [
            _MetaInfoClassMember('adjustment-factor', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                This value indicates the adjustment factor
                applied to measured non RSVP-TE bandwidth
                ''',
                'adjustment_factor',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('application-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if bandwidth accounting application is
                enabled
                ''',
                'application_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('application-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Application interval in seconds for bandwidth
                accounting stats
                ''',
                'application_interval',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('application-time-remaining', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                This value indicates the number of seconds until
                the next application
                ''',
                'application_time_remaining',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-utilization', REFERENCE_CLASS, 'BandwidthUtilization' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.LinkInformation.Links.Link.BandwidthAccount.BandwidthAccountCommonInfo.BandwidthUtilization', 
                [], [], 
                '''                Bandwidth utilization information
                ''',
                'bandwidth_utilization',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('collection-type', REFERENCE_ENUM_CLASS, 'BandwidthAccountingCollectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'BandwidthAccountingCollectionEnum', 
                [], [], 
                '''                The type of traffic collected for bandwidth
                accounting
                ''',
                'collection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('down-threshold-max-reservable-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                The down threshold for flooding the maximum
                reservable bandwidth
                ''',
                'down_threshold_max_reservable_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-account-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if bandwidth accounting is enabled
                ''',
                'is_bandwidth_account_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-application-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp for the last application
                ''',
                'last_application_timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-sample-collection-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp for the last sample collection
                ''',
                'last_sample_collection_timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-reservable-bandwidth-threshold-are-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the maximum reservable bandwidth
                flooding thresholds are default
                ''',
                'max_reservable_bandwidth_threshold_are_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-application', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp for the next application
                ''',
                'next_application',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-sample-collection', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp for the next sample collection
                ''',
                'next_sample_collection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sample-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sampling interval in seconds for bandwidth
                accounting stats
                ''',
                'sample_interval',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sample-time-remaining', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                This value indicates the number of seconds until
                the next sampling
                ''',
                'sample_time_remaining',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('up-threshold-max-reservable-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                The up threshold for flooding the maximum
                reservable bandwidth
                ''',
                'up_threshold_max_reservable_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bandwidth-account-common-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.LinkInformation.Links.Link.BandwidthAccount.BandwidthSampleHistory.ActiveIntervalSample' : {
        'meta_info' : _MetaInfoClass('MplsLcac.LinkInformation.Links.Link.BandwidthAccount.BandwidthSampleHistory.ActiveIntervalSample',
            False, 
            [
            _MetaInfoClassMember('non-rsvp-te-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Non-RSVP-TE traffic rate measured in Kilobits
                per second in this sample
                ''',
                'non_rsvp_te_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rsvp-te-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                RSVP-TE traffic rate measured in Kilobits per
                second in this sample
                ''',
                'rsvp_te_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp in seconds of this sample
                ''',
                'timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total traffic rate measured in Kilobits per
                second in this sample
                ''',
                'total_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'active-interval-sample',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.LinkInformation.Links.Link.BandwidthAccount.BandwidthSampleHistory.PreviousIntervalSample' : {
        'meta_info' : _MetaInfoClass('MplsLcac.LinkInformation.Links.Link.BandwidthAccount.BandwidthSampleHistory.PreviousIntervalSample',
            False, 
            [
            _MetaInfoClassMember('non-rsvp-te-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Non-RSVP-TE traffic rate measured in Kilobits
                per second in this sample
                ''',
                'non_rsvp_te_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rsvp-te-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                RSVP-TE traffic rate measured in Kilobits per
                second in this sample
                ''',
                'rsvp_te_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp in seconds of this sample
                ''',
                'timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total traffic rate measured in Kilobits per
                second in this sample
                ''',
                'total_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'previous-interval-sample',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.LinkInformation.Links.Link.BandwidthAccount.BandwidthSampleHistory' : {
        'meta_info' : _MetaInfoClass('MplsLcac.LinkInformation.Links.Link.BandwidthAccount.BandwidthSampleHistory',
            False, 
            [
            _MetaInfoClassMember('active-interval-sample', REFERENCE_LIST, 'ActiveIntervalSample' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.LinkInformation.Links.Link.BandwidthAccount.BandwidthSampleHistory.ActiveIntervalSample', 
                [], [], 
                '''                Samples in the current application interval
                ''',
                'active_interval_sample',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-interval-sample', REFERENCE_LIST, 'PreviousIntervalSample' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.LinkInformation.Links.Link.BandwidthAccount.BandwidthSampleHistory.PreviousIntervalSample', 
                [], [], 
                '''                Samples in the previous application interval
                ''',
                'previous_interval_sample',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-applications', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of applications
                ''',
                'total_applications',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-samples', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of samples collected
                ''',
                'total_samples',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bandwidth-sample-history',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.LinkInformation.Links.Link.BandwidthAccount' : {
        'meta_info' : _MetaInfoClass('MplsLcac.LinkInformation.Links.Link.BandwidthAccount',
            False, 
            [
            _MetaInfoClassMember('bandwidth-account-common-info', REFERENCE_CLASS, 'BandwidthAccountCommonInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.LinkInformation.Links.Link.BandwidthAccount.BandwidthAccountCommonInfo', 
                [], [], 
                '''                Common info for bandwidth accounting
                ''',
                'bandwidth_account_common_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-sample-history', REFERENCE_CLASS, 'BandwidthSampleHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.LinkInformation.Links.Link.BandwidthAccount.BandwidthSampleHistory', 
                [], [], 
                '''                Bandwidth samples history
                ''',
                'bandwidth_sample_history',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bandwidth-account',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.LinkInformation.Links.Link.HwOor.HwOOrLinkStatistic' : {
        'meta_info' : _MetaInfoClass('MplsLcac.LinkInformation.Links.Link.HwOor.HwOOrLinkStatistic',
            False, 
            [
            _MetaInfoClassMember('accepted-ls-ps-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSPs that were accepted in this state
                ''',
                'accepted_ls_ps_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('accepted-reopt-ls-ps-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Reoptimize LSPs that were accepted in
                this state
                ''',
                'accepted_reopt_ls_ps_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hw-oor-state', REFERENCE_ENUM_CLASS, 'HwOorStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'HwOorStateEnum', 
                [], [], 
                '''                The HW-OOR state that these statistics belong to
                ''',
                'hw_oor_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('node-protection-disable-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times this OOR state disabled node
                protection assignment
                ''',
                'node_protection_disable_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rejected-ls-ps-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSPs that were rejected in this state
                ''',
                'rejected_ls_ps_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rejected-reopt-ls-ps-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Reoptimize LSPs that were rejected in
                this state
                ''',
                'rejected_reopt_ls_ps_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('transitions', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of transitions to this state
                ''',
                'transitions',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'hw-o-or-link-statistic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.LinkInformation.Links.Link.HwOor' : {
        'meta_info' : _MetaInfoClass('MplsLcac.LinkInformation.Links.Link.HwOor',
            False, 
            [
            _MetaInfoClassMember('hw-o-or-green-recovery-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time Remaining in Green Recovery State (seconds)
                ''',
                'hw_o_or_green_recovery_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hw-o-or-link-statistic', REFERENCE_LIST, 'HwOOrLinkStatistic' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.LinkInformation.Links.Link.HwOor.HwOOrLinkStatistic', 
                [], [], 
                '''                HW OOR statistics for the link
                ''',
                'hw_o_or_link_statistic',
                'Cisco-IOS-XR-mpls-te-oper', False, max_elements=3),
            _MetaInfoClassMember('hw-oor-state', REFERENCE_ENUM_CLASS, 'HwOorStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'HwOorStateEnum', 
                [], [], 
                '''                The NPU (Network Processor Unit) HW resource
                state
                ''',
                'hw_oor_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hw-oor-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp when the OOR state last changed
                ''',
                'hw_oor_timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'hw-oor',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.LinkInformation.Links.Link.AffinityMap' : {
        'meta_info' : _MetaInfoClass('MplsLcac.LinkInformation.Links.Link.AffinityMap',
            False, 
            [
            _MetaInfoClassMember('affinity-bit-position', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Affinity bit position
                ''',
                'affinity_bit_position',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                EAG value
                ''',
                'affinity_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Affinity name
                ''',
                'affinity_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-table-id', REFERENCE_ENUM_CLASS, 'TeAffinityTableEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAffinityTableEnum', 
                [], [], 
                '''                Affinity table id
                ''',
                'affinity_table_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Affinity value
                ''',
                'affinity_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity-map',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.LinkInformation.Links.Link.Areas' : {
        'meta_info' : _MetaInfoClass('MplsLcac.LinkInformation.Links.Link.Areas',
            False, 
            [
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Area id
                ''',
                'area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The link's IGP metric
                ''',
                'igp_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-neighbor-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the neighbor is up
                ''',
                'is_neighbor_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The interface's neighbor's ip address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The interface neighbor id
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'areas',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.LinkInformation.Links.Link.Lockout' : {
        'meta_info' : _MetaInfoClass('MplsLcac.LinkInformation.Links.Link.Lockout',
            False, 
            [
            _MetaInfoClassMember('is-lockout', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if link is locked out
                ''',
                'is_lockout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lockout-off-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp when the lockout is cleared
                ''',
                'lockout_off_timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lockout-on-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp when the lockout is set
                ''',
                'lockout_on_timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lockout',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.LinkInformation.Links.Link' : {
        'meta_info' : _MetaInfoClass('MplsLcac.LinkInformation.Links.Link',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('affinity-map', REFERENCE_LIST, 'AffinityMap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.LinkInformation.Links.Link.AffinityMap', 
                [], [], 
                '''                Affinity map array
                ''',
                'affinity_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('areas', REFERENCE_LIST, 'Areas' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.LinkInformation.Links.Link.Areas', 
                [], [], 
                '''                Per-area data
                ''',
                'areas',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-account', REFERENCE_CLASS, 'BandwidthAccount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.LinkInformation.Links.Link.BandwidthAccount', 
                [], [], 
                '''                Bandwidth Account info
                ''',
                'bandwidth_account',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hw-oor', REFERENCE_CLASS, 'HwOor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.LinkInformation.Links.Link.HwOor', 
                [], [], 
                '''                The link's NPU OOR info. This field is NULL for
                platforms that do not support HW-OOR
                notifications
                ''',
                'hw_oor',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-attribute-incomplete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if one or more affinity definition(s)
                is/are unknown
                ''',
                'is_attribute_incomplete',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-name-based-attribute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE, if name based attribute style is in effect
                ''',
                'is_name_based_attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-te-metric-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether the link's TE metric is
                a valid value
                ''',
                'is_te_metric_valid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-attributes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'link_attributes',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-common', REFERENCE_CLASS, 'LinkCommon' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.LinkInformation.Links.Link.LinkCommon', 
                [], [], 
                '''                The link's common info
                ''',
                'link_common',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-extended-attribute', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The link's extended attribute bit map
                ''',
                'link_extended_attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-forwad-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'link_forwad_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lockout', REFERENCE_LIST, 'Lockout' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.LinkInformation.Links.Link.Lockout', 
                [], [], 
                '''                Flex LSP Lockout info
                ''',
                'lockout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-reservation-bandwidth-mam', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The link's maximum reservable BW in MAM
                ''',
                'maximum_reservation_bandwidth_mam',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-reservation-bandwidth-rdm', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The link's maximum reservable BW in RDM
                ''',
                'maximum_reservation_bandwidth_rdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reason-not-flooded', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reason why link is not flooded
                (area-independent)
                ''',
                'reason_not_flooded',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reservable-pool0-bandwidth-mam', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The link's reservable pool0 BW in MAM
                ''',
                'reservable_pool0_bandwidth_mam',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reservable-pool0-bandwidth-rdm', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The link's reservable pool0 BW in RDM
                ''',
                'reservable_pool0_bandwidth_rdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reservable-pool1-bandwidth-mam', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The link's reservable pool1 BW in MAM
                ''',
                'reservable_pool1_bandwidth_mam',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reservable-pool1-bandwidth-rdm', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The link's reservable pool1 BW in RDM
                ''',
                'reservable_pool1_bandwidth_rdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The link's TE metric
                ''',
                'te_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'link',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.LinkInformation.Links' : {
        'meta_info' : _MetaInfoClass('MplsLcac.LinkInformation.Links',
            False, 
            [
            _MetaInfoClassMember('link', REFERENCE_LIST, 'Link' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.LinkInformation.Links.Link', 
                [], [], 
                '''                An interface in MPLS-LCAC
                ''',
                'link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'links',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.LinkInformation' : {
        'meta_info' : _MetaInfoClass('MplsLcac.LinkInformation',
            False, 
            [
            _MetaInfoClassMember('global', REFERENCE_CLASS, 'Global_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.LinkInformation.Global_', 
                [], [], 
                '''                The global information for all the interfaces
                ''',
                'global_',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('links', REFERENCE_CLASS, 'Links' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.LinkInformation.Links', 
                [], [], 
                '''                The table of interfaces in MPLS-LCAC
                ''',
                'links',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'link-information',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.AdmissionControl.Global_' : {
        'meta_info' : _MetaInfoClass('MplsLcac.AdmissionControl.Global_',
            False, 
            [
            _MetaInfoClassMember('bandwidth-units', REFERENCE_ENUM_CLASS, 'BandwidthUnitEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'BandwidthUnitEnumEnum', 
                [], [], 
                '''                Bandwidth units
                ''',
                'bandwidth_units',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-role-standby', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if Role is Standby, Active otherwise
                ''',
                'is_role_standby',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('selected-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of tunnels selected
                ''',
                'selected_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-p2mp-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total p2mp tunnels admitted
                ''',
                'total_p2mp_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total p2p tunnels admitted
                ''',
                'total_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'global',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.AdmissionControl.AdmittedTunnels.AdmittedTunnel' : {
        'meta_info' : _MetaInfoClass('MplsLcac.AdmissionControl.AdmittedTunnels.AdmittedTunnel',
            False, 
            [
            _MetaInfoClassMember('ctype', REFERENCE_ENUM_CLASS, 'CtypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'CtypeEnum', 
                [], [], 
                '''                C type
                ''',
                'ctype',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The destination IP address of the tunnel
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('destination-port', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                The tunnel number at the head
                ''',
                'destination_port',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel id
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Next hop IP
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                P2MP id
                ''',
                'p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The source IP address of the tunnel
                ''',
                'source_address',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('source-port', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                The signaling instance number of the tunnel
                ''',
                'source_port',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('backup-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The backup Interface
                ''',
                'backup_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The bandwidth used by this tunnel
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-pool', REFERENCE_ENUM_CLASS, 'BandwidthTypeEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'BandwidthTypeEnumEnum', 
                [], [], 
                '''                The bandwidth pool
                ''',
                'bandwidth_pool',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-state', REFERENCE_ENUM_CLASS, 'BandwidthStateEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'BandwidthStateEnumEnum', 
                [], [], 
                '''                The bandwidth state
                ''',
                'bandwidth_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('down-link-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The downlink's name for this tunnel
                ''',
                'down_link_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                The tunnel's hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-rerouted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the tunnel is currently rerouted
                ''',
                'is_rerouted',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The local label
                ''',
                'local_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The outgoing label
                ''',
                'outgoing_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                The tunnel's setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The admitted tunnel's name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-state', REFERENCE_ENUM_CLASS, 'TunnelStateEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelStateEnumEnum', 
                [], [], 
                '''                The tunnel's state
                ''',
                'tunnel_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('up-link-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The uplink's name for this tunnel
                ''',
                'up_link_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'admitted-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.AdmissionControl.AdmittedTunnels' : {
        'meta_info' : _MetaInfoClass('MplsLcac.AdmissionControl.AdmittedTunnels',
            False, 
            [
            _MetaInfoClassMember('admitted-tunnel', REFERENCE_LIST, 'AdmittedTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.AdmissionControl.AdmittedTunnels.AdmittedTunnel', 
                [], [], 
                '''                The information for a specific admitted tunnel
                ''',
                'admitted_tunnel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'admitted-tunnels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.AdmissionControl.LinkInterfaces.LinkInterface' : {
        'meta_info' : _MetaInfoClass('MplsLcac.AdmissionControl.LinkInterfaces.LinkInterface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('bandwidth-units', REFERENCE_ENUM_CLASS, 'BandwidthUnitEnumEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'BandwidthUnitEnumEnum', 
                [], [], 
                '''                Bandwidth units
                ''',
                'bandwidth_units',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-role-standby', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if Role is Standby, Active otherwise
                ''',
                'is_role_standby',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('selected-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of tunnels selected
                ''',
                'selected_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-p2mp-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total p2mp tunnels admitted
                ''',
                'total_p2mp_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total p2p tunnels admitted
                ''',
                'total_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'link-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.AdmissionControl.LinkInterfaces' : {
        'meta_info' : _MetaInfoClass('MplsLcac.AdmissionControl.LinkInterfaces',
            False, 
            [
            _MetaInfoClassMember('link-interface', REFERENCE_LIST, 'LinkInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.AdmissionControl.LinkInterfaces.LinkInterface', 
                [], [], 
                '''                The global admission control information on an
                interface
                ''',
                'link_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'link-interfaces',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.AdmissionControl' : {
        'meta_info' : _MetaInfoClass('MplsLcac.AdmissionControl',
            False, 
            [
            _MetaInfoClassMember('admitted-tunnels', REFERENCE_CLASS, 'AdmittedTunnels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.AdmissionControl.AdmittedTunnels', 
                [], [], 
                '''                The table of admitted tunnels information in
                MPLS-LCAC
                ''',
                'admitted_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('global', REFERENCE_CLASS, 'Global_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.AdmissionControl.Global_', 
                [], [], 
                '''                The global admission control information
                ''',
                'global_',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-interfaces', REFERENCE_CLASS, 'LinkInterfaces' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.AdmissionControl.LinkInterfaces', 
                [], [], 
                '''                The global admission control information on
                Interfaces
                ''',
                'link_interfaces',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'admission-control',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.SoftPreemptionGlobalInfo' : {
        'meta_info' : _MetaInfoClass('MplsLcac.SoftPreemptionGlobalInfo',
            False, 
            [
            _MetaInfoClassMember('is-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is global soft-preemption configured
                ''',
                'is_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-timeout-interval-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is global soft-preemption timeout interval
                configured
                ''',
                'is_timeout_interval_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('timeout-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global soft-preemption timeout interval
                ''',
                'timeout_interval',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'soft-preemption-global-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.SoftPreemptions.SoftPreemption.CurrentSoftPreemptionLsp' : {
        'meta_info' : _MetaInfoClass('MplsLcac.SoftPreemptions.SoftPreemption.CurrentSoftPreemptionLsp',
            False, 
            [
            _MetaInfoClassMember('bandwidth-preempted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSPs bandwidth is already preempted
                ''',
                'bandwidth_preempted',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                The path's bandwidth type; 0:BC0, 1:BC1, so on
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                The path's hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('requested-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The path's requested bandwidth
                ''',
                'requested_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                The path's setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preempted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE is the preemption is a soft preemption
                ''',
                'soft_preempted',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preempted-fr-rrewrite', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR-rewrite is done during soft preemption
                ''',
                'soft_preempted_fr_rrewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                If the soft preemption is underway, this value
                indicates the number of seconds before hard
                preemption is triggered
                ''',
                'soft_preemption_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source
                ''',
                'source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'current-soft-preemption-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.SoftPreemptions.SoftPreemption' : {
        'meta_info' : _MetaInfoClass('MplsLcac.SoftPreemptions.SoftPreemption',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('current-over-subscribed-bandwidth-bc0', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The BC0 bandwidth that is over subscribed on
                this link: this is the difference between the
                maximum available BC0 BW on the link and the sum
                of the currently reserved BC0 bandwidth and the
                currently soft preempted BC0 BW
                ''',
                'current_over_subscribed_bandwidth_bc0',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('current-over-subscribed-bandwidth-bc1', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The BC1 bandwidth that is over subscribed on
                this link: this is the difference between the
                maximum available BC1 BW on the link and the sum
                of the currently reserved BC1 bandwidth and the
                currently soft preempted BC1 BW
                ''',
                'current_over_subscribed_bandwidth_bc1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('current-soft-preempted-bandwidth-bc0', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The current BC0 BW that is softly preempted:
                this is the sum of bandwidth for the LSPs that
                are soft preempted and have not been torn down
                yet
                ''',
                'current_soft_preempted_bandwidth_bc0',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('current-soft-preempted-bandwidth-bc1', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The current BC1 BW that is softly preempted:
                this is the sum of bandwidth for the LSPs that
                are soft preempted and have not been torn down
                yet
                ''',
                'current_soft_preempted_bandwidth_bc1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('current-soft-preemption-lsp', REFERENCE_LIST, 'CurrentSoftPreemptionLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.SoftPreemptions.SoftPreemption.CurrentSoftPreemptionLsp', 
                [], [], 
                '''                List of the soft preempted LSPs that are not yet
                cleaned up
                ''',
                'current_soft_preemption_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The link's IPv4 address
                ''',
                'link_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('release-soft-preempted-bandwidth-bc0', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The total released BC0 BW that is softly
                preempted: this is the sum of bandwidth for the
                LSPs that are soft preempted and are torn down
                ''',
                'release_soft_preempted_bandwidth_bc0',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('release-soft-preempted-bandwidth-bc1', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The total released BC1 BW that is softly
                preempted: this is the sum of bandwidth for the
                LSPs that are soft preempted and are torn down
                ''',
                'release_soft_preempted_bandwidth_bc1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-soft-preempted-bandwidth-bc0', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The total BC0 BW that is softly preempted: this
                is the sum of bandwidth for all the LSPs that
                were soft preempted
                ''',
                'total_soft_preempted_bandwidth_bc0',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-soft-preempted-bandwidth-bc1', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The total BC1 BW that is softly preempted: this
                is the sum of bandwidth for all the LSPs that
                were soft preempted
                ''',
                'total_soft_preempted_bandwidth_bc1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'soft-preemption',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac.SoftPreemptions' : {
        'meta_info' : _MetaInfoClass('MplsLcac.SoftPreemptions',
            False, 
            [
            _MetaInfoClassMember('soft-preemption', REFERENCE_LIST, 'SoftPreemption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.SoftPreemptions.SoftPreemption', 
                [], [], 
                '''                The soft preemption info for a TE-link
                ''',
                'soft_preemption',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'soft-preemptions',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsLcac' : {
        'meta_info' : _MetaInfoClass('MplsLcac',
            False, 
            [
            _MetaInfoClassMember('admission-control', REFERENCE_CLASS, 'AdmissionControl' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.AdmissionControl', 
                [], [], 
                '''                The admission control information in MPLS-LCAC
                ''',
                'admission_control',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('advertisements', REFERENCE_CLASS, 'Advertisements' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.Advertisements', 
                [], [], 
                '''                The advertisement information in MPLS-LCAC
                ''',
                'advertisements',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-account', REFERENCE_CLASS, 'BandwidthAccount' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.BandwidthAccount', 
                [], [], 
                '''                The bandwidth accounting information in
                MPLS-LCAC
                ''',
                'bandwidth_account',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-allocation', REFERENCE_CLASS, 'BandwidthAllocation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.BandwidthAllocation', 
                [], [], 
                '''                The bandwidth allocation information in
                MPLS-LCAC
                ''',
                'bandwidth_allocation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-neighbors', REFERENCE_CLASS, 'BfdNeighbors' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.BfdNeighbors', 
                [], [], 
                '''                BFD Neighbors
                ''',
                'bfd_neighbors',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gmpls', REFERENCE_CLASS, 'Gmpls' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.Gmpls', 
                [], [], 
                '''                GMPLS data
                ''',
                'gmpls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-information', REFERENCE_CLASS, 'LinkInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.LinkInformation', 
                [], [], 
                '''                The interface information in MPLS-LCAC
                ''',
                'link_information',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-summary', REFERENCE_CLASS, 'LinkSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.LinkSummary', 
                [], [], 
                '''                The global summary for all the interfaces
                ''',
                'link_summary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('neighbors', REFERENCE_CLASS, 'Neighbors' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.Neighbors', 
                [], [], 
                '''                The neighbor information for the local router
                ''',
                'neighbors',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('preemption-events', REFERENCE_CLASS, 'PreemptionEvents' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.PreemptionEvents', 
                [], [], 
                '''                Preemption event log in MPLS-LCAC
                ''',
                'preemption_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-global-info', REFERENCE_CLASS, 'SoftPreemptionGlobalInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.SoftPreemptionGlobalInfo', 
                [], [], 
                '''                The global soft-preemption information
                ''',
                'soft_preemption_global_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemptions', REFERENCE_CLASS, 'SoftPreemptions' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.SoftPreemptions', 
                [], [], 
                '''                The soft preemption information for the TE-links
                ''',
                'soft_preemptions',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLcac.Statistics', 
                [], [], 
                '''                The interface statistics information in
                MPLS-LCAC
                ''',
                'statistics',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'mpls-lcac',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsPce.Lsps.Lsp.Creator' : {
        'meta_info' : _MetaInfoClass('MplsPce.Lsps.Lsp.Creator',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Peer Ip Address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('node-identifier', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Peer Node Identifier
                ''',
                'node_identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'creator',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsPce.Lsps.Lsp.Delegated' : {
        'meta_info' : _MetaInfoClass('MplsPce.Lsps.Lsp.Delegated',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Peer Ip Address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('node-identifier', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Peer Node Identifier
                ''',
                'node_identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'delegated',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsPce.Lsps.Lsp.Identifiers' : {
        'meta_info' : _MetaInfoClass('MplsPce.Lsps.Lsp.Identifiers',
            False, 
            [
            _MetaInfoClassMember('ext-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                External Tunnel ID
                ''',
                'ext_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-used', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Identifier used flag
                ''',
                'is_used',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sender', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Sender Address
                ''',
                'sender',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                TE LSP ID
                ''',
                'te_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSPO Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'identifiers',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsPce.Lsps.Lsp.Autoroute' : {
        'meta_info' : _MetaInfoClass('MplsPce.Lsps.Lsp.Autoroute',
            False, 
            [
            _MetaInfoClassMember('announced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Autoroute announced
                ''',
                'announced',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destinations
                ''',
                'destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-used', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Autoroute used flag
                ''',
                'is_used',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric Value
                ''',
                'metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'PceLspAutorouteMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'PceLspAutorouteMetricEnum', 
                [], [], 
                '''                Metric Type
                ''',
                'metric_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'autoroute',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsPce.Lsps.Lsp.Paths.Ero.Subobject' : {
        'meta_info' : _MetaInfoClass('MplsPce.Lsps.Lsp.Paths.Ero.Subobject',
            False, 
            [
            _MetaInfoClassMember('complete-mpls-label-entry', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If this flag is true, all fields of MPLS labe
                entry are valid
                ''',
                'complete_mpls_label_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('global', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Global
                ''',
                'global_',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPv4 Address Prefix Length
                ''',
                'ipv4_prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address of the local address corresponding the
                adjacency SegmentID
                ''',
                'local_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('missing-node-adjcency-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If this flag is true, ERO subobject does not
                have NodeAdjacencyID
                ''',
                'missing_node_adjcency_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('missing-segment-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If this flag is true, ERO subobject does not
                have SegmentID
                ''',
                'missing_segment_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mpls-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label in case Segment ID type is MPLS
                ''',
                'mpls_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('node-adjacency-id-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If this flag is true, the bag contains
                NodeAdjacencyID information
                ''',
                'node_adjacency_id_exists',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('node-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address of the node corresponding the node
                SegmentID
                ''',
                'node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('only-valid-mpls-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If this flag is true, SID has only MPLS label
                value. TC, S, and TTL fields are considered
                invalid
                ''',
                'only_valid_mpls_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address of the remote address corresponding the
                adjacency SegmentID
                ''',
                'remote_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('segment-id-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If this field is true, the bag contains
                SegmentID value
                ''',
                'segment_id_exists',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('segment-id-type', REFERENCE_ENUM_CLASS, 'PceSrSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'PceSrSidEnum', 
                [], [], 
                '''                Segment ID Type
                ''',
                'segment_id_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('segment-id-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Contains a SegmentID value in case SegmentID is
                valid
                ''',
                'segment_id_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('strict', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Strict
                ''',
                'strict',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('subobj-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route Subobject Type
                ''',
                'subobj_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsPce.Lsps.Lsp.Paths.Ero' : {
        'meta_info' : _MetaInfoClass('MplsPce.Lsps.Lsp.Paths.Ero',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                List of Addresses
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost
                ''',
                'cost',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-used', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route Object used flag
                ''',
                'is_used',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('subobject', REFERENCE_LIST, 'Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsPce.Lsps.Lsp.Paths.Ero.Subobject', 
                [], [], 
                '''                List of Route Subobjects
                ''',
                'subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ero',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsPce.Lsps.Lsp.Paths.Lspa' : {
        'meta_info' : _MetaInfoClass('MplsPce.Lsps.Lsp.Paths.Lspa',
            False, 
            [
            _MetaInfoClassMember('exlude-any', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exclude Any
                ''',
                'exlude_any',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold
                ''',
                'hold',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('include-all', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Include All
                ''',
                'include_all',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('include-any', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Include Any
                ''',
                'include_any',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-used', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSPA used flag
                ''',
                'is_used',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                L flag
                ''',
                'lbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup
                ''',
                'setup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lspa',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsPce.Lsps.Lsp.Paths.Rro.Subobject' : {
        'meta_info' : _MetaInfoClass('MplsPce.Lsps.Lsp.Paths.Rro.Subobject',
            False, 
            [
            _MetaInfoClassMember('complete-mpls-label-entry', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If this flag is true, all fields of MPLS labe
                entry are valid
                ''',
                'complete_mpls_label_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('global', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Global
                ''',
                'global_',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPv4 Address Prefix Length
                ''',
                'ipv4_prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address of the local address corresponding the
                adjacency SegmentID
                ''',
                'local_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('missing-node-adjcency-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If this flag is true, ERO subobject does not
                have NodeAdjacencyID
                ''',
                'missing_node_adjcency_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('missing-segment-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If this flag is true, ERO subobject does not
                have SegmentID
                ''',
                'missing_segment_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mpls-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label in case Segment ID type is MPLS
                ''',
                'mpls_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('node-adjacency-id-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If this flag is true, the bag contains
                NodeAdjacencyID information
                ''',
                'node_adjacency_id_exists',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('node-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address of the node corresponding the node
                SegmentID
                ''',
                'node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('only-valid-mpls-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If this flag is true, SID has only MPLS label
                value. TC, S, and TTL fields are considered
                invalid
                ''',
                'only_valid_mpls_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address of the remote address corresponding the
                adjacency SegmentID
                ''',
                'remote_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('segment-id-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If this field is true, the bag contains
                SegmentID value
                ''',
                'segment_id_exists',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('segment-id-type', REFERENCE_ENUM_CLASS, 'PceSrSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'PceSrSidEnum', 
                [], [], 
                '''                Segment ID Type
                ''',
                'segment_id_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('segment-id-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Contains a SegmentID value in case SegmentID is
                valid
                ''',
                'segment_id_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('strict', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Strict
                ''',
                'strict',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('subobj-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route Subobject Type
                ''',
                'subobj_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsPce.Lsps.Lsp.Paths.Rro' : {
        'meta_info' : _MetaInfoClass('MplsPce.Lsps.Lsp.Paths.Rro',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                List of Addresses
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost
                ''',
                'cost',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-used', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route Object used flag
                ''',
                'is_used',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('subobject', REFERENCE_LIST, 'Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsPce.Lsps.Lsp.Paths.Rro.Subobject', 
                [], [], 
                '''                List of Route Subobjects
                ''',
                'subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'rro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsPce.Lsps.Lsp.Paths.Metric' : {
        'meta_info' : _MetaInfoClass('MplsPce.Lsps.Lsp.Paths.Metric',
            False, 
            [
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost
                ''',
                'cost',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsPce.Lsps.Lsp.Paths' : {
        'meta_info' : _MetaInfoClass('MplsPce.Lsps.Lsp.Paths',
            False, 
            [
            _MetaInfoClassMember('applied-bw', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Applied bandwidth
                ''',
                'applied_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bw', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth
                ''',
                'bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero', REFERENCE_CLASS, 'Ero' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsPce.Lsps.Lsp.Paths.Ero', 
                [], [], 
                '''                Explicit Router Object
                ''',
                'ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-applied-bw-used', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Applied bandwidth used flag
                ''',
                'is_applied_bw_used',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bw-used', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth used flag
                ''',
                'is_bw_used',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-reopt-bw-used', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Reoptimize bandwidth used flag
                ''',
                'is_reopt_bw_used',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lspa', REFERENCE_CLASS, 'Lspa' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsPce.Lsps.Lsp.Paths.Lspa', 
                [], [], 
                '''                LSP Attributes Object
                ''',
                'lspa',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('metric', REFERENCE_LIST, 'Metric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsPce.Lsps.Lsp.Paths.Metric', 
                [], [], 
                '''                List of Metrics
                ''',
                'metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reopt-bw', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reoptimize bandwidth
                ''',
                'reopt_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro', REFERENCE_CLASS, 'Rro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsPce.Lsps.Lsp.Paths.Rro', 
                [], [], 
                '''                Reported Route Object
                ''',
                'rro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'paths',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsPce.Lsps.Lsp' : {
        'meta_info' : _MetaInfoClass('MplsPce.Lsps.Lsp',
            False, 
            [
            _MetaInfoClassMember('symbolic-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 256)], [], 
                '''                Symbolic name
                ''',
                'symbolic_name',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('administrative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP administrative status
                ''',
                'administrative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('autoroute', REFERENCE_CLASS, 'Autoroute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsPce.Lsps.Lsp.Autoroute', 
                [], [], 
                '''                Auto Route
                ''',
                'autoroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-path', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Backup Path
                ''',
                'backup_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('binding-sid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding SID
                ''',
                'binding_sid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cleanup-timer-exp', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Deprecated
                ''',
                'cleanup_timer_exp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('create', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSPO create flag
                ''',
                'create',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('creator', REFERENCE_CLASS, 'Creator' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsPce.Lsps.Lsp.Creator', 
                [], [], 
                '''                Creator Peer of the LSP
                ''',
                'creator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('delegatable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP delegatable
                ''',
                'delegatable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('delegated', REFERENCE_CLASS, 'Delegated' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsPce.Lsps.Lsp.Delegated', 
                [], [], 
                '''                Owner Peer of the LSP
                ''',
                'delegated',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('delegation-timer-exp', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                LSP delegation timer expiration in sec
                ''',
                'delegation_timer_exp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination IP Address
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward Class ID
                ''',
                'forward_class_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifiers', REFERENCE_CLASS, 'Identifiers' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsPce.Lsps.Lsp.Identifiers', 
                [], [], 
                '''                LSP Identifiers
                ''',
                'identifiers',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load share factor
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lspo-is-used', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Object used flag
                ''',
                'lspo_is_used',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('operational', REFERENCE_ENUM_CLASS, 'PceLspOperStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'PceLspOperStateEnum', 
                [], [], 
                '''                LSP operational status
                ''',
                'operational',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-setup-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Path setup type
                ''',
                'path_setup_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('paths', REFERENCE_LIST, 'Paths' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsPce.Lsps.Lsp.Paths', 
                [], [], 
                '''                Array of paths
                ''',
                'paths',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('request-queue-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Request queue size
                ''',
                'request_queue_size',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-internal-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Session internal ID
                ''',
                'session_internal_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source IP Address
                ''',
                'source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('state-timer-exp', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                LSP state-timeout time expiration
                ''',
                'state_timer_exp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('stateful-request-parameter-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRP ID
                ''',
                'stateful_request_parameter_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('symbolic-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Symbolic Name
                ''',
                'symbolic_name_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsPce.Lsps.Creator' : {
        'meta_info' : _MetaInfoClass('MplsPce.Lsps.Creator',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Peer Ip Address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('node-identifier', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Peer Node Identifier
                ''',
                'node_identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'creator',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsPce.Lsps.Delegated' : {
        'meta_info' : _MetaInfoClass('MplsPce.Lsps.Delegated',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Peer Ip Address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('node-identifier', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Peer Node Identifier
                ''',
                'node_identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'delegated',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsPce.Lsps.Identifiers' : {
        'meta_info' : _MetaInfoClass('MplsPce.Lsps.Identifiers',
            False, 
            [
            _MetaInfoClassMember('ext-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                External Tunnel ID
                ''',
                'ext_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-used', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Identifier used flag
                ''',
                'is_used',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sender', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Sender Address
                ''',
                'sender',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                TE LSP ID
                ''',
                'te_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSPO Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'identifiers',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsPce.Lsps.Autoroute' : {
        'meta_info' : _MetaInfoClass('MplsPce.Lsps.Autoroute',
            False, 
            [
            _MetaInfoClassMember('announced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Autoroute announced
                ''',
                'announced',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destinations
                ''',
                'destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-used', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Autoroute used flag
                ''',
                'is_used',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric Value
                ''',
                'metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'PceLspAutorouteMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'PceLspAutorouteMetricEnum', 
                [], [], 
                '''                Metric Type
                ''',
                'metric_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'autoroute',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsPce.Lsps.Paths.Ero.Subobject' : {
        'meta_info' : _MetaInfoClass('MplsPce.Lsps.Paths.Ero.Subobject',
            False, 
            [
            _MetaInfoClassMember('complete-mpls-label-entry', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If this flag is true, all fields of MPLS labe
                entry are valid
                ''',
                'complete_mpls_label_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('global', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Global
                ''',
                'global_',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPv4 Address Prefix Length
                ''',
                'ipv4_prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address of the local address corresponding the
                adjacency SegmentID
                ''',
                'local_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('missing-node-adjcency-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If this flag is true, ERO subobject does not
                have NodeAdjacencyID
                ''',
                'missing_node_adjcency_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('missing-segment-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If this flag is true, ERO subobject does not
                have SegmentID
                ''',
                'missing_segment_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mpls-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label in case Segment ID type is MPLS
                ''',
                'mpls_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('node-adjacency-id-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If this flag is true, the bag contains
                NodeAdjacencyID information
                ''',
                'node_adjacency_id_exists',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('node-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address of the node corresponding the node
                SegmentID
                ''',
                'node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('only-valid-mpls-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If this flag is true, SID has only MPLS label
                value. TC, S, and TTL fields are considered
                invalid
                ''',
                'only_valid_mpls_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address of the remote address corresponding the
                adjacency SegmentID
                ''',
                'remote_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('segment-id-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If this field is true, the bag contains
                SegmentID value
                ''',
                'segment_id_exists',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('segment-id-type', REFERENCE_ENUM_CLASS, 'PceSrSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'PceSrSidEnum', 
                [], [], 
                '''                Segment ID Type
                ''',
                'segment_id_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('segment-id-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Contains a SegmentID value in case SegmentID is
                valid
                ''',
                'segment_id_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('strict', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Strict
                ''',
                'strict',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('subobj-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route Subobject Type
                ''',
                'subobj_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsPce.Lsps.Paths.Ero' : {
        'meta_info' : _MetaInfoClass('MplsPce.Lsps.Paths.Ero',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                List of Addresses
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost
                ''',
                'cost',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-used', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route Object used flag
                ''',
                'is_used',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('subobject', REFERENCE_LIST, 'Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsPce.Lsps.Paths.Ero.Subobject', 
                [], [], 
                '''                List of Route Subobjects
                ''',
                'subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ero',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsPce.Lsps.Paths.Lspa' : {
        'meta_info' : _MetaInfoClass('MplsPce.Lsps.Paths.Lspa',
            False, 
            [
            _MetaInfoClassMember('exlude-any', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exclude Any
                ''',
                'exlude_any',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold
                ''',
                'hold',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('include-all', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Include All
                ''',
                'include_all',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('include-any', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Include Any
                ''',
                'include_any',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-used', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSPA used flag
                ''',
                'is_used',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                L flag
                ''',
                'lbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup
                ''',
                'setup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lspa',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsPce.Lsps.Paths.Rro.Subobject' : {
        'meta_info' : _MetaInfoClass('MplsPce.Lsps.Paths.Rro.Subobject',
            False, 
            [
            _MetaInfoClassMember('complete-mpls-label-entry', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If this flag is true, all fields of MPLS labe
                entry are valid
                ''',
                'complete_mpls_label_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('global', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Global
                ''',
                'global_',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPv4 Address Prefix Length
                ''',
                'ipv4_prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address of the local address corresponding the
                adjacency SegmentID
                ''',
                'local_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('missing-node-adjcency-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If this flag is true, ERO subobject does not
                have NodeAdjacencyID
                ''',
                'missing_node_adjcency_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('missing-segment-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If this flag is true, ERO subobject does not
                have SegmentID
                ''',
                'missing_segment_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mpls-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label in case Segment ID type is MPLS
                ''',
                'mpls_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('node-adjacency-id-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If this flag is true, the bag contains
                NodeAdjacencyID information
                ''',
                'node_adjacency_id_exists',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('node-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address of the node corresponding the node
                SegmentID
                ''',
                'node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('only-valid-mpls-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If this flag is true, SID has only MPLS label
                value. TC, S, and TTL fields are considered
                invalid
                ''',
                'only_valid_mpls_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address of the remote address corresponding the
                adjacency SegmentID
                ''',
                'remote_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('segment-id-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If this field is true, the bag contains
                SegmentID value
                ''',
                'segment_id_exists',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('segment-id-type', REFERENCE_ENUM_CLASS, 'PceSrSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'PceSrSidEnum', 
                [], [], 
                '''                Segment ID Type
                ''',
                'segment_id_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('segment-id-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Contains a SegmentID value in case SegmentID is
                valid
                ''',
                'segment_id_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('strict', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Strict
                ''',
                'strict',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('subobj-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route Subobject Type
                ''',
                'subobj_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsPce.Lsps.Paths.Rro' : {
        'meta_info' : _MetaInfoClass('MplsPce.Lsps.Paths.Rro',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                List of Addresses
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost
                ''',
                'cost',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-used', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route Object used flag
                ''',
                'is_used',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('subobject', REFERENCE_LIST, 'Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsPce.Lsps.Paths.Rro.Subobject', 
                [], [], 
                '''                List of Route Subobjects
                ''',
                'subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'rro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsPce.Lsps.Paths.Metric' : {
        'meta_info' : _MetaInfoClass('MplsPce.Lsps.Paths.Metric',
            False, 
            [
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost
                ''',
                'cost',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsPce.Lsps.Paths' : {
        'meta_info' : _MetaInfoClass('MplsPce.Lsps.Paths',
            False, 
            [
            _MetaInfoClassMember('applied-bw', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Applied bandwidth
                ''',
                'applied_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bw', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth
                ''',
                'bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero', REFERENCE_CLASS, 'Ero' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsPce.Lsps.Paths.Ero', 
                [], [], 
                '''                Explicit Router Object
                ''',
                'ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-applied-bw-used', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Applied bandwidth used flag
                ''',
                'is_applied_bw_used',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bw-used', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth used flag
                ''',
                'is_bw_used',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-reopt-bw-used', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Reoptimize bandwidth used flag
                ''',
                'is_reopt_bw_used',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lspa', REFERENCE_CLASS, 'Lspa' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsPce.Lsps.Paths.Lspa', 
                [], [], 
                '''                LSP Attributes Object
                ''',
                'lspa',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('metric', REFERENCE_LIST, 'Metric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsPce.Lsps.Paths.Metric', 
                [], [], 
                '''                List of Metrics
                ''',
                'metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reopt-bw', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reoptimize bandwidth
                ''',
                'reopt_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro', REFERENCE_CLASS, 'Rro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsPce.Lsps.Paths.Rro', 
                [], [], 
                '''                Reported Route Object
                ''',
                'rro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'paths',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsPce.Lsps' : {
        'meta_info' : _MetaInfoClass('MplsPce.Lsps',
            False, 
            [
            _MetaInfoClassMember('administrative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP administrative status
                ''',
                'administrative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('autoroute', REFERENCE_CLASS, 'Autoroute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsPce.Lsps.Autoroute', 
                [], [], 
                '''                Auto Route
                ''',
                'autoroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-path', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Backup Path
                ''',
                'backup_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('binding-sid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding SID
                ''',
                'binding_sid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cleanup-timer-exp', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Deprecated
                ''',
                'cleanup_timer_exp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('create', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSPO create flag
                ''',
                'create',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('creator', REFERENCE_CLASS, 'Creator' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsPce.Lsps.Creator', 
                [], [], 
                '''                Creator Peer of the LSP
                ''',
                'creator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('delegatable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP delegatable
                ''',
                'delegatable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('delegated', REFERENCE_CLASS, 'Delegated' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsPce.Lsps.Delegated', 
                [], [], 
                '''                Owner Peer of the LSP
                ''',
                'delegated',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('delegation-timer-exp', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                LSP delegation timer expiration in sec
                ''',
                'delegation_timer_exp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination IP Address
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward Class ID
                ''',
                'forward_class_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifiers', REFERENCE_CLASS, 'Identifiers' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsPce.Lsps.Identifiers', 
                [], [], 
                '''                LSP Identifiers
                ''',
                'identifiers',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load share factor
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp', REFERENCE_LIST, 'Lsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsPce.Lsps.Lsp', 
                [], [], 
                '''                Information of a LSP from LSPDB
                ''',
                'lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lspo-is-used', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Object used flag
                ''',
                'lspo_is_used',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('operational', REFERENCE_ENUM_CLASS, 'PceLspOperStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'PceLspOperStateEnum', 
                [], [], 
                '''                LSP operational status
                ''',
                'operational',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-setup-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Path setup type
                ''',
                'path_setup_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('paths', REFERENCE_LIST, 'Paths' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsPce.Lsps.Paths', 
                [], [], 
                '''                Array of paths
                ''',
                'paths',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('request-queue-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Request queue size
                ''',
                'request_queue_size',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-internal-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Session internal ID
                ''',
                'session_internal_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source IP Address
                ''',
                'source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('state-timer-exp', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                LSP state-timeout time expiration
                ''',
                'state_timer_exp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('stateful-request-parameter-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRP ID
                ''',
                'stateful_request_parameter_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('symbolic-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Symbolic Name
                ''',
                'symbolic_name_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsps',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsPce.Statistics.IgpStatistics' : {
        'meta_info' : _MetaInfoClass('MplsPce.Statistics.IgpStatistics',
            False, 
            [
            _MetaInfoClassMember('abr-lookup-avg', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ABR Lookup Avg
                ''',
                'abr_lookup_avg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('abr-lookup-complete', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ABR Lookup Complete
                ''',
                'abr_lookup_complete',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('abr-lookup-max', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ABR Lookup Max
                ''',
                'abr_lookup_max',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('abr-lookup-min', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ABR Lookup Min
                ''',
                'abr_lookup_min',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('abr-lookup-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ABR Lookup Timeout
                ''',
                'abr_lookup_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'igp-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsPce.Statistics' : {
        'meta_info' : _MetaInfoClass('MplsPce.Statistics',
            False, 
            [
            _MetaInfoClassMember('average-in-queue-depth', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Average Input Queue Depth
                ''',
                'average_in_queue_depth',
                'Cisco-IOS-XR-mpls-te-oper', False, max_elements=3),
            _MetaInfoClassMember('current-file-descriptors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of TCP file descriptors currently in use
                ''',
                'current_file_descriptors',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('current-pceq-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current PCE queue length
                ''',
                'current_pceq_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('current-teq-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current TE queue length
                ''',
                'current_teq_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('igp-statistics', REFERENCE_CLASS, 'IgpStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsPce.Statistics.IgpStatistics', 
                [], [], 
                '''                IGP Statistics
                ''',
                'igp_statistics',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-file-descriptors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum number of TCP file descriptors used
                ''',
                'max_file_descriptors',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-pceq-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max PCE queue length
                ''',
                'max_pceq_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-teq-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max TE queue length
                ''',
                'max_teq_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-in-queue-depth', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max Input Queue Depth
                ''',
                'maximum_in_queue_depth',
                'Cisco-IOS-XR-mpls-te-oper', False, max_elements=3),
            _MetaInfoClassMember('neighbors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor Count
                ''',
                'neighbors',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-req-pending', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of pending req
                ''',
                'pce_req_pending',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-req-timed-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of timedout req
                ''',
                'pce_req_timed_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-req-total', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of PCEReq
                ''',
                'pce_req_total',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel Count
                ''',
                'tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsPce.Peers.Peer.LastTxPceErr' : {
        'meta_info' : _MetaInfoClass('MplsPce.Peers.Peer.LastTxPceErr',
            False, 
            [
            _MetaInfoClassMember('has-open-object', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Has Open object
                ''',
                'has_open_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-rp-object', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Has RP object
                ''',
                'has_rp_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('open-dead-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Open Deadtime (seconds)
                ''',
                'open_dead_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('open-keepalive', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Open Keepalive (seconds)
                ''',
                'open_keepalive',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('openversion', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Open Version
                ''',
                'openversion',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-err-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Error Type
                ''',
                'pce_err_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-err-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Error Value
                ''',
                'pce_err_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rp-request-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RP request ID
                ''',
                'rp_request_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'last-tx-pce-err',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsPce.Peers.Peer.LastRxPceErr' : {
        'meta_info' : _MetaInfoClass('MplsPce.Peers.Peer.LastRxPceErr',
            False, 
            [
            _MetaInfoClassMember('has-open-object', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Has Open object
                ''',
                'has_open_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-rp-object', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Has RP object
                ''',
                'has_rp_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('open-dead-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Open Deadtime (seconds)
                ''',
                'open_dead_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('open-keepalive', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Open Keepalive (seconds)
                ''',
                'open_keepalive',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('openversion', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Open Version
                ''',
                'openversion',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-err-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Error Type
                ''',
                'pce_err_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-err-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Error Value
                ''',
                'pce_err_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rp-request-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RP request ID
                ''',
                'rp_request_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'last-rx-pce-err',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsPce.Peers.Peer.IgPs' : {
        'meta_info' : _MetaInfoClass('MplsPce.Peers.Peer.IgPs',
            False, 
            [
            _MetaInfoClassMember('igp-instance-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Instance ID
                ''',
                'igp_instance_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('igp-type', REFERENCE_ENUM_CLASS, 'IgpProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'IgpProtocolEnum', 
                [], [], 
                '''                Type
                ''',
                'igp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ig-ps',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsPce.Peers.Peer' : {
        'meta_info' : _MetaInfoClass('MplsPce.Peers.Peer',
            False, 
            [
            _MetaInfoClassMember('peer-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The peer address
                ''',
                'peer_address',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('candidate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Candidate
                ''',
                'candidate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('capability-db-version', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                DB version capability
                ''',
                'capability_db_version',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('capability-instantiate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Instantiation capability
                ''',
                'capability_instantiate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('capability-segment-routing', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Segment Routing capability
                ''',
                'capability_segment_routing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('capability-update', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Update capability
                ''',
                'capability_update',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('delta-sync-capability', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Delta Synchronization capability
                ''',
                'delta_sync_capability',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error (for display only)
                ''',
                'error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ig-ps', REFERENCE_LIST, 'IgPs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsPce.Peers.Peer.IgPs', 
                [], [], 
                '''                IGPs
                ''',
                'ig_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('keepalives', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Keepalive count
                ''',
                'keepalives',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('keychain-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Keychain based Authentication Enabled
                ''',
                'keychain_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-rx-pce-err', REFERENCE_CLASS, 'LastRxPceErr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsPce.Peers.Peer.LastRxPceErr', 
                [], [], 
                '''                Last received PCEErr
                ''',
                'last_rx_pce_err',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-tx-pce-err', REFERENCE_CLASS, 'LastTxPceErr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsPce.Peers.Peer.LastTxPceErr', 
                [], [], 
                '''                Last sent PCEErr
                ''',
                'last_tx_pce_err',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-sid', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Local PCEP session ID
                ''',
                'local_sid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-dead-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Maximum dead interval for the peer
                ''',
                'max_dead_interval',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('md5-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MD5 Authentication Enabled
                ''',
                'md5_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('min-keepalive-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minimum keepalive interval for the peer
                ''',
                'min_keepalive_interval',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('negotated-dead-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Negotiated DT
                ''',
                'negotated_dead_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('negotiated-keepalive', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Negotiated KA
                ''',
                'negotiated_keepalive',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-err-rx', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCEErr Rx
                ''',
                'pce_err_rx',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-err-tx', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCEErr Tx
                ''',
                'pce_err_tx',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-init-rx', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCEInit Rx
                ''',
                'pce_init_rx',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-init-tx', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCEInit Tx
                ''',
                'pce_init_tx',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-keepalive-rx', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                PCE Keepalive Rx
                ''',
                'pce_keepalive_rx',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-keepalive-tx', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                PCE Keepalive Tx
                ''',
                'pce_keepalive_tx',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-open-rx', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCEOpen Rx
                ''',
                'pce_open_rx',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-open-tx', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCEOpen Tx
                ''',
                'pce_open_tx',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-rep-rx', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCERep Rx
                ''',
                'pce_rep_rx',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-rep-tx', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCERep Tx
                ''',
                'pce_rep_tx',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-req-rx', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCEReq Rx
                ''',
                'pce_req_rx',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-req-tx', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCEReq Tx
                ''',
                'pce_req_tx',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-rpt-rx', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCERpt Rx
                ''',
                'pce_rpt_rx',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-rpt-tx', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCERpt Tx
                ''',
                'pce_rpt_tx',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-state', REFERENCE_ENUM_CLASS, 'PceStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'PceStateEnum', 
                [], [], 
                '''                PCE State
                ''',
                'pce_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-upd-rx', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCEUpd Rx
                ''',
                'pce_upd_rx',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-upd-tx', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCEUpd Tx
                ''',
                'pce_upd_tx',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcep-up-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCEP Up Time
                ''',
                'pcep_up_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('precedence', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Precedence
                ''',
                'precedence',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-sid', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Remote PCEP session ID
                ''',
                'remote_sid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('req-reply-avg', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average reply time from peer in ms
                ''',
                'req_reply_avg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('req-reply-max', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum reply time from peer in ms
                ''',
                'req_reply_max',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('req-reply-min', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Mininum reply time from peer in ms
                ''',
                'req_reply_min',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('request-timeouts', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Request timeout count
                ''',
                'request_timeouts',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('stateful', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stateful
                ''',
                'stateful',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('statically-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Statically Configured
                ''',
                'statically_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('triggered-sync-capability', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Triggered Synchronization capability
                ''',
                'triggered_sync_capability',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsPce.Peers' : {
        'meta_info' : _MetaInfoClass('MplsPce.Peers',
            False, 
            [
            _MetaInfoClassMember('peer', REFERENCE_LIST, 'Peer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsPce.Peers.Peer', 
                [], [], 
                '''                A PCE peer
                ''',
                'peer',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'peers',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsPce.Topology.Global_.Nodes' : {
        'meta_info' : _MetaInfoClass('MplsPce.Topology.Global_.Nodes',
            False, 
            [
            _MetaInfoClassMember('igp-area-format', REFERENCE_ENUM_CLASS, 'IgpOspfAreaFormatEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'IgpOspfAreaFormatEnum', 
                [], [], 
                '''                IGP Area Format
                ''',
                'igp_area_format',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('igp-area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP Area number
                ''',
                'igp_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-border-node', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PCE border node
                ''',
                'is_pce_border_node',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('node-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Node ID
                ''',
                'node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE cost
                ''',
                'pce_cost',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'nodes',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsPce.Topology.Global_' : {
        'meta_info' : _MetaInfoClass('MplsPce.Topology.Global_',
            False, 
            [
            _MetaInfoClassMember('nodes', REFERENCE_LIST, 'Nodes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsPce.Topology.Global_.Nodes', 
                [], [], 
                '''                Node information
                ''',
                'nodes',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'global',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsPce.Topology' : {
        'meta_info' : _MetaInfoClass('MplsPce.Topology',
            False, 
            [
            _MetaInfoClassMember('global', REFERENCE_CLASS, 'Global_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsPce.Topology.Global_', 
                [], [], 
                '''                The global information of the overall  topology
                ''',
                'global_',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'topology',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsPce.Tunnels.Tunnel' : {
        'meta_info' : _MetaInfoClass('MplsPce.Tunnels.Tunnel',
            False, 
            [
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('admin-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path metric
                ''',
                'admin_weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-pce-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Configured PCE Address
                ''',
                'configured_pce_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('curr-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path Option Index of the current path
                ''',
                'curr_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination Address
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hop Count
                ''',
                'hop_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-curr-path-option-pce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if current path option is PCE based
                ''',
                'is_curr_path_option_pce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-state', REFERENCE_ENUM_CLASS, 'PceTunPathStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'PceTunPathStateEnum', 
                [], [], 
                '''                Path Request State
                ''',
                'path_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sender-pce-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Sender PCE Address
                ''',
                'sender_pce_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-state', REFERENCE_ENUM_CLASS, 'PceTunnelStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'PceTunnelStateEnum', 
                [], [], 
                '''                Tunnel State
                ''',
                'tunnel_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsPce.Tunnels' : {
        'meta_info' : _MetaInfoClass('MplsPce.Tunnels',
            False, 
            [
            _MetaInfoClassMember('admin-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path metric
                ''',
                'admin_weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-pce-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Configured PCE Address
                ''',
                'configured_pce_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('curr-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path Option Index of the current path
                ''',
                'curr_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination Address
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hop Count
                ''',
                'hop_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-curr-path-option-pce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if current path option is PCE based
                ''',
                'is_curr_path_option_pce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-state', REFERENCE_ENUM_CLASS, 'PceTunPathStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'PceTunPathStateEnum', 
                [], [], 
                '''                Path Request State
                ''',
                'path_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sender-pce-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Sender PCE Address
                ''',
                'sender_pce_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel', REFERENCE_LIST, 'Tunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsPce.Tunnels.Tunnel', 
                [], [], 
                '''                Information of a PCE tunnel
                ''',
                'tunnel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-state', REFERENCE_ENUM_CLASS, 'PceTunnelStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'PceTunnelStateEnum', 
                [], [], 
                '''                Tunnel State
                ''',
                'tunnel_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tunnels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsPce' : {
        'meta_info' : _MetaInfoClass('MplsPce',
            False, 
            [
            _MetaInfoClassMember('lsps', REFERENCE_CLASS, 'Lsps' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsPce.Lsps', 
                [], [], 
                '''                Table of LSPs
                ''',
                'lsps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peers', REFERENCE_CLASS, 'Peers' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsPce.Peers', 
                [], [], 
                '''                The set of PCE peers
                ''',
                'peers',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsPce.Statistics', 
                [], [], 
                '''                PCE stats info
                ''',
                'statistics',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology', REFERENCE_CLASS, 'Topology' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsPce.Topology', 
                [], [], 
                '''                The topology information in PCE
                ''',
                'topology',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnels', REFERENCE_CLASS, 'Tunnels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsPce.Tunnels', 
                [], [], 
                '''                Table of PCE tunnels
                ''',
                'tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'mpls-pce',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsPceStdby.Lsps.Lsp.Creator' : {
        'meta_info' : _MetaInfoClass('MplsPceStdby.Lsps.Lsp.Creator',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Peer Ip Address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('node-identifier', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Peer Node Identifier
                ''',
                'node_identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'creator',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsPceStdby.Lsps.Lsp.Delegated' : {
        'meta_info' : _MetaInfoClass('MplsPceStdby.Lsps.Lsp.Delegated',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Peer Ip Address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('node-identifier', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Peer Node Identifier
                ''',
                'node_identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'delegated',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsPceStdby.Lsps.Lsp.Identifiers' : {
        'meta_info' : _MetaInfoClass('MplsPceStdby.Lsps.Lsp.Identifiers',
            False, 
            [
            _MetaInfoClassMember('ext-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                External Tunnel ID
                ''',
                'ext_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-used', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Identifier used flag
                ''',
                'is_used',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sender', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Sender Address
                ''',
                'sender',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                TE LSP ID
                ''',
                'te_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSPO Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'identifiers',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsPceStdby.Lsps.Lsp.Autoroute' : {
        'meta_info' : _MetaInfoClass('MplsPceStdby.Lsps.Lsp.Autoroute',
            False, 
            [
            _MetaInfoClassMember('announced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Autoroute announced
                ''',
                'announced',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destinations
                ''',
                'destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-used', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Autoroute used flag
                ''',
                'is_used',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric Value
                ''',
                'metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'PceLspAutorouteMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'PceLspAutorouteMetricEnum', 
                [], [], 
                '''                Metric Type
                ''',
                'metric_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'autoroute',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsPceStdby.Lsps.Lsp.Paths.Ero.Subobject' : {
        'meta_info' : _MetaInfoClass('MplsPceStdby.Lsps.Lsp.Paths.Ero.Subobject',
            False, 
            [
            _MetaInfoClassMember('complete-mpls-label-entry', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If this flag is true, all fields of MPLS labe
                entry are valid
                ''',
                'complete_mpls_label_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('global', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Global
                ''',
                'global_',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPv4 Address Prefix Length
                ''',
                'ipv4_prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address of the local address corresponding the
                adjacency SegmentID
                ''',
                'local_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('missing-node-adjcency-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If this flag is true, ERO subobject does not
                have NodeAdjacencyID
                ''',
                'missing_node_adjcency_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('missing-segment-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If this flag is true, ERO subobject does not
                have SegmentID
                ''',
                'missing_segment_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mpls-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label in case Segment ID type is MPLS
                ''',
                'mpls_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('node-adjacency-id-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If this flag is true, the bag contains
                NodeAdjacencyID information
                ''',
                'node_adjacency_id_exists',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('node-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address of the node corresponding the node
                SegmentID
                ''',
                'node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('only-valid-mpls-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If this flag is true, SID has only MPLS label
                value. TC, S, and TTL fields are considered
                invalid
                ''',
                'only_valid_mpls_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address of the remote address corresponding the
                adjacency SegmentID
                ''',
                'remote_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('segment-id-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If this field is true, the bag contains
                SegmentID value
                ''',
                'segment_id_exists',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('segment-id-type', REFERENCE_ENUM_CLASS, 'PceSrSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'PceSrSidEnum', 
                [], [], 
                '''                Segment ID Type
                ''',
                'segment_id_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('segment-id-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Contains a SegmentID value in case SegmentID is
                valid
                ''',
                'segment_id_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('strict', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Strict
                ''',
                'strict',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('subobj-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route Subobject Type
                ''',
                'subobj_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsPceStdby.Lsps.Lsp.Paths.Ero' : {
        'meta_info' : _MetaInfoClass('MplsPceStdby.Lsps.Lsp.Paths.Ero',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                List of Addresses
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost
                ''',
                'cost',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-used', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route Object used flag
                ''',
                'is_used',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('subobject', REFERENCE_LIST, 'Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsPceStdby.Lsps.Lsp.Paths.Ero.Subobject', 
                [], [], 
                '''                List of Route Subobjects
                ''',
                'subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ero',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsPceStdby.Lsps.Lsp.Paths.Lspa' : {
        'meta_info' : _MetaInfoClass('MplsPceStdby.Lsps.Lsp.Paths.Lspa',
            False, 
            [
            _MetaInfoClassMember('exlude-any', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exclude Any
                ''',
                'exlude_any',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold
                ''',
                'hold',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('include-all', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Include All
                ''',
                'include_all',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('include-any', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Include Any
                ''',
                'include_any',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-used', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSPA used flag
                ''',
                'is_used',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                L flag
                ''',
                'lbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup
                ''',
                'setup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lspa',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsPceStdby.Lsps.Lsp.Paths.Rro.Subobject' : {
        'meta_info' : _MetaInfoClass('MplsPceStdby.Lsps.Lsp.Paths.Rro.Subobject',
            False, 
            [
            _MetaInfoClassMember('complete-mpls-label-entry', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If this flag is true, all fields of MPLS labe
                entry are valid
                ''',
                'complete_mpls_label_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('global', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Global
                ''',
                'global_',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPv4 Address Prefix Length
                ''',
                'ipv4_prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address of the local address corresponding the
                adjacency SegmentID
                ''',
                'local_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('missing-node-adjcency-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If this flag is true, ERO subobject does not
                have NodeAdjacencyID
                ''',
                'missing_node_adjcency_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('missing-segment-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If this flag is true, ERO subobject does not
                have SegmentID
                ''',
                'missing_segment_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mpls-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label in case Segment ID type is MPLS
                ''',
                'mpls_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('node-adjacency-id-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If this flag is true, the bag contains
                NodeAdjacencyID information
                ''',
                'node_adjacency_id_exists',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('node-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address of the node corresponding the node
                SegmentID
                ''',
                'node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('only-valid-mpls-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If this flag is true, SID has only MPLS label
                value. TC, S, and TTL fields are considered
                invalid
                ''',
                'only_valid_mpls_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address of the remote address corresponding the
                adjacency SegmentID
                ''',
                'remote_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('segment-id-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If this field is true, the bag contains
                SegmentID value
                ''',
                'segment_id_exists',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('segment-id-type', REFERENCE_ENUM_CLASS, 'PceSrSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'PceSrSidEnum', 
                [], [], 
                '''                Segment ID Type
                ''',
                'segment_id_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('segment-id-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Contains a SegmentID value in case SegmentID is
                valid
                ''',
                'segment_id_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('strict', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Strict
                ''',
                'strict',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('subobj-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route Subobject Type
                ''',
                'subobj_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsPceStdby.Lsps.Lsp.Paths.Rro' : {
        'meta_info' : _MetaInfoClass('MplsPceStdby.Lsps.Lsp.Paths.Rro',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                List of Addresses
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost
                ''',
                'cost',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-used', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route Object used flag
                ''',
                'is_used',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('subobject', REFERENCE_LIST, 'Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsPceStdby.Lsps.Lsp.Paths.Rro.Subobject', 
                [], [], 
                '''                List of Route Subobjects
                ''',
                'subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'rro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsPceStdby.Lsps.Lsp.Paths.Metric' : {
        'meta_info' : _MetaInfoClass('MplsPceStdby.Lsps.Lsp.Paths.Metric',
            False, 
            [
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost
                ''',
                'cost',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsPceStdby.Lsps.Lsp.Paths' : {
        'meta_info' : _MetaInfoClass('MplsPceStdby.Lsps.Lsp.Paths',
            False, 
            [
            _MetaInfoClassMember('applied-bw', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Applied bandwidth
                ''',
                'applied_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bw', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth
                ''',
                'bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero', REFERENCE_CLASS, 'Ero' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsPceStdby.Lsps.Lsp.Paths.Ero', 
                [], [], 
                '''                Explicit Router Object
                ''',
                'ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-applied-bw-used', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Applied bandwidth used flag
                ''',
                'is_applied_bw_used',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bw-used', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth used flag
                ''',
                'is_bw_used',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-reopt-bw-used', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Reoptimize bandwidth used flag
                ''',
                'is_reopt_bw_used',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lspa', REFERENCE_CLASS, 'Lspa' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsPceStdby.Lsps.Lsp.Paths.Lspa', 
                [], [], 
                '''                LSP Attributes Object
                ''',
                'lspa',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('metric', REFERENCE_LIST, 'Metric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsPceStdby.Lsps.Lsp.Paths.Metric', 
                [], [], 
                '''                List of Metrics
                ''',
                'metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reopt-bw', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reoptimize bandwidth
                ''',
                'reopt_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro', REFERENCE_CLASS, 'Rro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsPceStdby.Lsps.Lsp.Paths.Rro', 
                [], [], 
                '''                Reported Route Object
                ''',
                'rro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'paths',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsPceStdby.Lsps.Lsp' : {
        'meta_info' : _MetaInfoClass('MplsPceStdby.Lsps.Lsp',
            False, 
            [
            _MetaInfoClassMember('symbolic-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 256)], [], 
                '''                Symbolic name
                ''',
                'symbolic_name',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('administrative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP administrative status
                ''',
                'administrative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('autoroute', REFERENCE_CLASS, 'Autoroute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsPceStdby.Lsps.Lsp.Autoroute', 
                [], [], 
                '''                Auto Route
                ''',
                'autoroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-path', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Backup Path
                ''',
                'backup_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('binding-sid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding SID
                ''',
                'binding_sid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cleanup-timer-exp', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Deprecated
                ''',
                'cleanup_timer_exp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('create', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSPO create flag
                ''',
                'create',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('creator', REFERENCE_CLASS, 'Creator' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsPceStdby.Lsps.Lsp.Creator', 
                [], [], 
                '''                Creator Peer of the LSP
                ''',
                'creator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('delegatable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP delegatable
                ''',
                'delegatable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('delegated', REFERENCE_CLASS, 'Delegated' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsPceStdby.Lsps.Lsp.Delegated', 
                [], [], 
                '''                Owner Peer of the LSP
                ''',
                'delegated',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('delegation-timer-exp', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                LSP delegation timer expiration in sec
                ''',
                'delegation_timer_exp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination IP Address
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward Class ID
                ''',
                'forward_class_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifiers', REFERENCE_CLASS, 'Identifiers' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsPceStdby.Lsps.Lsp.Identifiers', 
                [], [], 
                '''                LSP Identifiers
                ''',
                'identifiers',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load share factor
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lspo-is-used', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Object used flag
                ''',
                'lspo_is_used',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('operational', REFERENCE_ENUM_CLASS, 'PceLspOperStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'PceLspOperStateEnum', 
                [], [], 
                '''                LSP operational status
                ''',
                'operational',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-setup-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Path setup type
                ''',
                'path_setup_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('paths', REFERENCE_LIST, 'Paths' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsPceStdby.Lsps.Lsp.Paths', 
                [], [], 
                '''                Array of paths
                ''',
                'paths',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('request-queue-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Request queue size
                ''',
                'request_queue_size',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-internal-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Session internal ID
                ''',
                'session_internal_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source IP Address
                ''',
                'source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('state-timer-exp', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                LSP state-timeout time expiration
                ''',
                'state_timer_exp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('stateful-request-parameter-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRP ID
                ''',
                'stateful_request_parameter_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('symbolic-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Symbolic Name
                ''',
                'symbolic_name_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsPceStdby.Lsps.Creator' : {
        'meta_info' : _MetaInfoClass('MplsPceStdby.Lsps.Creator',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Peer Ip Address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('node-identifier', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Peer Node Identifier
                ''',
                'node_identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'creator',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsPceStdby.Lsps.Delegated' : {
        'meta_info' : _MetaInfoClass('MplsPceStdby.Lsps.Delegated',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Peer Ip Address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('node-identifier', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Peer Node Identifier
                ''',
                'node_identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'delegated',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsPceStdby.Lsps.Identifiers' : {
        'meta_info' : _MetaInfoClass('MplsPceStdby.Lsps.Identifiers',
            False, 
            [
            _MetaInfoClassMember('ext-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                External Tunnel ID
                ''',
                'ext_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-used', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Identifier used flag
                ''',
                'is_used',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sender', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Sender Address
                ''',
                'sender',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                TE LSP ID
                ''',
                'te_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSPO Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'identifiers',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsPceStdby.Lsps.Autoroute' : {
        'meta_info' : _MetaInfoClass('MplsPceStdby.Lsps.Autoroute',
            False, 
            [
            _MetaInfoClassMember('announced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Autoroute announced
                ''',
                'announced',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destinations
                ''',
                'destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-used', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Autoroute used flag
                ''',
                'is_used',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric Value
                ''',
                'metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'PceLspAutorouteMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'PceLspAutorouteMetricEnum', 
                [], [], 
                '''                Metric Type
                ''',
                'metric_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'autoroute',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsPceStdby.Lsps.Paths.Ero.Subobject' : {
        'meta_info' : _MetaInfoClass('MplsPceStdby.Lsps.Paths.Ero.Subobject',
            False, 
            [
            _MetaInfoClassMember('complete-mpls-label-entry', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If this flag is true, all fields of MPLS labe
                entry are valid
                ''',
                'complete_mpls_label_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('global', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Global
                ''',
                'global_',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPv4 Address Prefix Length
                ''',
                'ipv4_prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address of the local address corresponding the
                adjacency SegmentID
                ''',
                'local_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('missing-node-adjcency-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If this flag is true, ERO subobject does not
                have NodeAdjacencyID
                ''',
                'missing_node_adjcency_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('missing-segment-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If this flag is true, ERO subobject does not
                have SegmentID
                ''',
                'missing_segment_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mpls-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label in case Segment ID type is MPLS
                ''',
                'mpls_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('node-adjacency-id-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If this flag is true, the bag contains
                NodeAdjacencyID information
                ''',
                'node_adjacency_id_exists',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('node-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address of the node corresponding the node
                SegmentID
                ''',
                'node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('only-valid-mpls-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If this flag is true, SID has only MPLS label
                value. TC, S, and TTL fields are considered
                invalid
                ''',
                'only_valid_mpls_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address of the remote address corresponding the
                adjacency SegmentID
                ''',
                'remote_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('segment-id-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If this field is true, the bag contains
                SegmentID value
                ''',
                'segment_id_exists',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('segment-id-type', REFERENCE_ENUM_CLASS, 'PceSrSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'PceSrSidEnum', 
                [], [], 
                '''                Segment ID Type
                ''',
                'segment_id_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('segment-id-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Contains a SegmentID value in case SegmentID is
                valid
                ''',
                'segment_id_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('strict', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Strict
                ''',
                'strict',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('subobj-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route Subobject Type
                ''',
                'subobj_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsPceStdby.Lsps.Paths.Ero' : {
        'meta_info' : _MetaInfoClass('MplsPceStdby.Lsps.Paths.Ero',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                List of Addresses
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost
                ''',
                'cost',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-used', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route Object used flag
                ''',
                'is_used',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('subobject', REFERENCE_LIST, 'Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsPceStdby.Lsps.Paths.Ero.Subobject', 
                [], [], 
                '''                List of Route Subobjects
                ''',
                'subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ero',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsPceStdby.Lsps.Paths.Lspa' : {
        'meta_info' : _MetaInfoClass('MplsPceStdby.Lsps.Paths.Lspa',
            False, 
            [
            _MetaInfoClassMember('exlude-any', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Exclude Any
                ''',
                'exlude_any',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold
                ''',
                'hold',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('include-all', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Include All
                ''',
                'include_all',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('include-any', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Include Any
                ''',
                'include_any',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-used', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSPA used flag
                ''',
                'is_used',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                L flag
                ''',
                'lbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup
                ''',
                'setup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lspa',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsPceStdby.Lsps.Paths.Rro.Subobject' : {
        'meta_info' : _MetaInfoClass('MplsPceStdby.Lsps.Paths.Rro.Subobject',
            False, 
            [
            _MetaInfoClassMember('complete-mpls-label-entry', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If this flag is true, all fields of MPLS labe
                entry are valid
                ''',
                'complete_mpls_label_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('global', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Global
                ''',
                'global_',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPv4 Address Prefix Length
                ''',
                'ipv4_prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address of the local address corresponding the
                adjacency SegmentID
                ''',
                'local_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('missing-node-adjcency-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If this flag is true, ERO subobject does not
                have NodeAdjacencyID
                ''',
                'missing_node_adjcency_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('missing-segment-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If this flag is true, ERO subobject does not
                have SegmentID
                ''',
                'missing_segment_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mpls-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label in case Segment ID type is MPLS
                ''',
                'mpls_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('node-adjacency-id-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If this flag is true, the bag contains
                NodeAdjacencyID information
                ''',
                'node_adjacency_id_exists',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('node-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address of the node corresponding the node
                SegmentID
                ''',
                'node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('only-valid-mpls-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If this flag is true, SID has only MPLS label
                value. TC, S, and TTL fields are considered
                invalid
                ''',
                'only_valid_mpls_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address of the remote address corresponding the
                adjacency SegmentID
                ''',
                'remote_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('segment-id-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If this field is true, the bag contains
                SegmentID value
                ''',
                'segment_id_exists',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('segment-id-type', REFERENCE_ENUM_CLASS, 'PceSrSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'PceSrSidEnum', 
                [], [], 
                '''                Segment ID Type
                ''',
                'segment_id_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('segment-id-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Contains a SegmentID value in case SegmentID is
                valid
                ''',
                'segment_id_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('strict', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Strict
                ''',
                'strict',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('subobj-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route Subobject Type
                ''',
                'subobj_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsPceStdby.Lsps.Paths.Rro' : {
        'meta_info' : _MetaInfoClass('MplsPceStdby.Lsps.Paths.Rro',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                List of Addresses
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost
                ''',
                'cost',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-used', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Route Object used flag
                ''',
                'is_used',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('subobject', REFERENCE_LIST, 'Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsPceStdby.Lsps.Paths.Rro.Subobject', 
                [], [], 
                '''                List of Route Subobjects
                ''',
                'subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'rro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsPceStdby.Lsps.Paths.Metric' : {
        'meta_info' : _MetaInfoClass('MplsPceStdby.Lsps.Paths.Metric',
            False, 
            [
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost
                ''',
                'cost',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'metric',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsPceStdby.Lsps.Paths' : {
        'meta_info' : _MetaInfoClass('MplsPceStdby.Lsps.Paths',
            False, 
            [
            _MetaInfoClassMember('applied-bw', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Applied bandwidth
                ''',
                'applied_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bw', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth
                ''',
                'bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero', REFERENCE_CLASS, 'Ero' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsPceStdby.Lsps.Paths.Ero', 
                [], [], 
                '''                Explicit Router Object
                ''',
                'ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-applied-bw-used', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Applied bandwidth used flag
                ''',
                'is_applied_bw_used',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bw-used', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth used flag
                ''',
                'is_bw_used',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-reopt-bw-used', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Reoptimize bandwidth used flag
                ''',
                'is_reopt_bw_used',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lspa', REFERENCE_CLASS, 'Lspa' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsPceStdby.Lsps.Paths.Lspa', 
                [], [], 
                '''                LSP Attributes Object
                ''',
                'lspa',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('metric', REFERENCE_LIST, 'Metric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsPceStdby.Lsps.Paths.Metric', 
                [], [], 
                '''                List of Metrics
                ''',
                'metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reopt-bw', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reoptimize bandwidth
                ''',
                'reopt_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro', REFERENCE_CLASS, 'Rro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsPceStdby.Lsps.Paths.Rro', 
                [], [], 
                '''                Reported Route Object
                ''',
                'rro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'paths',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsPceStdby.Lsps' : {
        'meta_info' : _MetaInfoClass('MplsPceStdby.Lsps',
            False, 
            [
            _MetaInfoClassMember('administrative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP administrative status
                ''',
                'administrative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('autoroute', REFERENCE_CLASS, 'Autoroute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsPceStdby.Lsps.Autoroute', 
                [], [], 
                '''                Auto Route
                ''',
                'autoroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-path', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Backup Path
                ''',
                'backup_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('binding-sid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding SID
                ''',
                'binding_sid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cleanup-timer-exp', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Deprecated
                ''',
                'cleanup_timer_exp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('create', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSPO create flag
                ''',
                'create',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('creator', REFERENCE_CLASS, 'Creator' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsPceStdby.Lsps.Creator', 
                [], [], 
                '''                Creator Peer of the LSP
                ''',
                'creator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('delegatable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP delegatable
                ''',
                'delegatable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('delegated', REFERENCE_CLASS, 'Delegated' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsPceStdby.Lsps.Delegated', 
                [], [], 
                '''                Owner Peer of the LSP
                ''',
                'delegated',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('delegation-timer-exp', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                LSP delegation timer expiration in sec
                ''',
                'delegation_timer_exp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination IP Address
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward Class ID
                ''',
                'forward_class_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifiers', REFERENCE_CLASS, 'Identifiers' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsPceStdby.Lsps.Identifiers', 
                [], [], 
                '''                LSP Identifiers
                ''',
                'identifiers',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load share factor
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp', REFERENCE_LIST, 'Lsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsPceStdby.Lsps.Lsp', 
                [], [], 
                '''                Information of a LSP from LSPDB
                ''',
                'lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lspo-is-used', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Object used flag
                ''',
                'lspo_is_used',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('operational', REFERENCE_ENUM_CLASS, 'PceLspOperStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'PceLspOperStateEnum', 
                [], [], 
                '''                LSP operational status
                ''',
                'operational',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-setup-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Path setup type
                ''',
                'path_setup_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('paths', REFERENCE_LIST, 'Paths' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsPceStdby.Lsps.Paths', 
                [], [], 
                '''                Array of paths
                ''',
                'paths',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('request-queue-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Request queue size
                ''',
                'request_queue_size',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-internal-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Session internal ID
                ''',
                'session_internal_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source IP Address
                ''',
                'source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('state-timer-exp', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                LSP state-timeout time expiration
                ''',
                'state_timer_exp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('stateful-request-parameter-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRP ID
                ''',
                'stateful_request_parameter_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('symbolic-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Symbolic Name
                ''',
                'symbolic_name_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsps',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsPceStdby.Statistics.IgpStatistics' : {
        'meta_info' : _MetaInfoClass('MplsPceStdby.Statistics.IgpStatistics',
            False, 
            [
            _MetaInfoClassMember('abr-lookup-avg', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ABR Lookup Avg
                ''',
                'abr_lookup_avg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('abr-lookup-complete', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ABR Lookup Complete
                ''',
                'abr_lookup_complete',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('abr-lookup-max', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ABR Lookup Max
                ''',
                'abr_lookup_max',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('abr-lookup-min', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ABR Lookup Min
                ''',
                'abr_lookup_min',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('abr-lookup-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                ABR Lookup Timeout
                ''',
                'abr_lookup_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'igp-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsPceStdby.Statistics' : {
        'meta_info' : _MetaInfoClass('MplsPceStdby.Statistics',
            False, 
            [
            _MetaInfoClassMember('average-in-queue-depth', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Average Input Queue Depth
                ''',
                'average_in_queue_depth',
                'Cisco-IOS-XR-mpls-te-oper', False, max_elements=3),
            _MetaInfoClassMember('current-file-descriptors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of TCP file descriptors currently in use
                ''',
                'current_file_descriptors',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('current-pceq-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current PCE queue length
                ''',
                'current_pceq_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('current-teq-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current TE queue length
                ''',
                'current_teq_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('igp-statistics', REFERENCE_CLASS, 'IgpStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsPceStdby.Statistics.IgpStatistics', 
                [], [], 
                '''                IGP Statistics
                ''',
                'igp_statistics',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-file-descriptors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum number of TCP file descriptors used
                ''',
                'max_file_descriptors',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-pceq-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max PCE queue length
                ''',
                'max_pceq_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-teq-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max TE queue length
                ''',
                'max_teq_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-in-queue-depth', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max Input Queue Depth
                ''',
                'maximum_in_queue_depth',
                'Cisco-IOS-XR-mpls-te-oper', False, max_elements=3),
            _MetaInfoClassMember('neighbors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor Count
                ''',
                'neighbors',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-req-pending', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of pending req
                ''',
                'pce_req_pending',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-req-timed-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of timedout req
                ''',
                'pce_req_timed_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-req-total', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of PCEReq
                ''',
                'pce_req_total',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel Count
                ''',
                'tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsPceStdby.Peers.Peer.LastTxPceErr' : {
        'meta_info' : _MetaInfoClass('MplsPceStdby.Peers.Peer.LastTxPceErr',
            False, 
            [
            _MetaInfoClassMember('has-open-object', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Has Open object
                ''',
                'has_open_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-rp-object', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Has RP object
                ''',
                'has_rp_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('open-dead-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Open Deadtime (seconds)
                ''',
                'open_dead_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('open-keepalive', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Open Keepalive (seconds)
                ''',
                'open_keepalive',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('openversion', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Open Version
                ''',
                'openversion',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-err-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Error Type
                ''',
                'pce_err_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-err-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Error Value
                ''',
                'pce_err_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rp-request-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RP request ID
                ''',
                'rp_request_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'last-tx-pce-err',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsPceStdby.Peers.Peer.LastRxPceErr' : {
        'meta_info' : _MetaInfoClass('MplsPceStdby.Peers.Peer.LastRxPceErr',
            False, 
            [
            _MetaInfoClassMember('has-open-object', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Has Open object
                ''',
                'has_open_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-rp-object', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Has RP object
                ''',
                'has_rp_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('open-dead-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Open Deadtime (seconds)
                ''',
                'open_dead_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('open-keepalive', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Open Keepalive (seconds)
                ''',
                'open_keepalive',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('openversion', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Open Version
                ''',
                'openversion',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-err-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Error Type
                ''',
                'pce_err_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-err-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Error Value
                ''',
                'pce_err_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rp-request-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RP request ID
                ''',
                'rp_request_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'last-rx-pce-err',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsPceStdby.Peers.Peer.IgPs' : {
        'meta_info' : _MetaInfoClass('MplsPceStdby.Peers.Peer.IgPs',
            False, 
            [
            _MetaInfoClassMember('igp-instance-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Instance ID
                ''',
                'igp_instance_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('igp-type', REFERENCE_ENUM_CLASS, 'IgpProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'IgpProtocolEnum', 
                [], [], 
                '''                Type
                ''',
                'igp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ig-ps',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsPceStdby.Peers.Peer' : {
        'meta_info' : _MetaInfoClass('MplsPceStdby.Peers.Peer',
            False, 
            [
            _MetaInfoClassMember('peer-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The peer address
                ''',
                'peer_address',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('candidate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Candidate
                ''',
                'candidate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('capability-db-version', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                DB version capability
                ''',
                'capability_db_version',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('capability-instantiate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Instantiation capability
                ''',
                'capability_instantiate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('capability-segment-routing', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Segment Routing capability
                ''',
                'capability_segment_routing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('capability-update', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Update capability
                ''',
                'capability_update',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('delta-sync-capability', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Delta Synchronization capability
                ''',
                'delta_sync_capability',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error (for display only)
                ''',
                'error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ig-ps', REFERENCE_LIST, 'IgPs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsPceStdby.Peers.Peer.IgPs', 
                [], [], 
                '''                IGPs
                ''',
                'ig_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('keepalives', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Keepalive count
                ''',
                'keepalives',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('keychain-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Keychain based Authentication Enabled
                ''',
                'keychain_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-rx-pce-err', REFERENCE_CLASS, 'LastRxPceErr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsPceStdby.Peers.Peer.LastRxPceErr', 
                [], [], 
                '''                Last received PCEErr
                ''',
                'last_rx_pce_err',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-tx-pce-err', REFERENCE_CLASS, 'LastTxPceErr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsPceStdby.Peers.Peer.LastTxPceErr', 
                [], [], 
                '''                Last sent PCEErr
                ''',
                'last_tx_pce_err',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-sid', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Local PCEP session ID
                ''',
                'local_sid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-dead-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Maximum dead interval for the peer
                ''',
                'max_dead_interval',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('md5-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MD5 Authentication Enabled
                ''',
                'md5_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('min-keepalive-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minimum keepalive interval for the peer
                ''',
                'min_keepalive_interval',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('negotated-dead-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Negotiated DT
                ''',
                'negotated_dead_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('negotiated-keepalive', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Negotiated KA
                ''',
                'negotiated_keepalive',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-err-rx', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCEErr Rx
                ''',
                'pce_err_rx',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-err-tx', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCEErr Tx
                ''',
                'pce_err_tx',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-init-rx', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCEInit Rx
                ''',
                'pce_init_rx',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-init-tx', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCEInit Tx
                ''',
                'pce_init_tx',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-keepalive-rx', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                PCE Keepalive Rx
                ''',
                'pce_keepalive_rx',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-keepalive-tx', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                PCE Keepalive Tx
                ''',
                'pce_keepalive_tx',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-open-rx', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCEOpen Rx
                ''',
                'pce_open_rx',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-open-tx', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCEOpen Tx
                ''',
                'pce_open_tx',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-rep-rx', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCERep Rx
                ''',
                'pce_rep_rx',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-rep-tx', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCERep Tx
                ''',
                'pce_rep_tx',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-req-rx', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCEReq Rx
                ''',
                'pce_req_rx',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-req-tx', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCEReq Tx
                ''',
                'pce_req_tx',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-rpt-rx', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCERpt Rx
                ''',
                'pce_rpt_rx',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-rpt-tx', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCERpt Tx
                ''',
                'pce_rpt_tx',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-state', REFERENCE_ENUM_CLASS, 'PceStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'PceStateEnum', 
                [], [], 
                '''                PCE State
                ''',
                'pce_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-upd-rx', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCEUpd Rx
                ''',
                'pce_upd_rx',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-upd-tx', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCEUpd Tx
                ''',
                'pce_upd_tx',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcep-up-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCEP Up Time
                ''',
                'pcep_up_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('precedence', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Precedence
                ''',
                'precedence',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-sid', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Remote PCEP session ID
                ''',
                'remote_sid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('req-reply-avg', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average reply time from peer in ms
                ''',
                'req_reply_avg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('req-reply-max', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum reply time from peer in ms
                ''',
                'req_reply_max',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('req-reply-min', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Mininum reply time from peer in ms
                ''',
                'req_reply_min',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('request-timeouts', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Request timeout count
                ''',
                'request_timeouts',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('stateful', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stateful
                ''',
                'stateful',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('statically-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Statically Configured
                ''',
                'statically_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('triggered-sync-capability', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Triggered Synchronization capability
                ''',
                'triggered_sync_capability',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'peer',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsPceStdby.Peers' : {
        'meta_info' : _MetaInfoClass('MplsPceStdby.Peers',
            False, 
            [
            _MetaInfoClassMember('peer', REFERENCE_LIST, 'Peer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsPceStdby.Peers.Peer', 
                [], [], 
                '''                A PCE peer
                ''',
                'peer',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'peers',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsPceStdby.Topology.Global_.Nodes' : {
        'meta_info' : _MetaInfoClass('MplsPceStdby.Topology.Global_.Nodes',
            False, 
            [
            _MetaInfoClassMember('igp-area-format', REFERENCE_ENUM_CLASS, 'IgpOspfAreaFormatEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'IgpOspfAreaFormatEnum', 
                [], [], 
                '''                IGP Area Format
                ''',
                'igp_area_format',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('igp-area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP Area number
                ''',
                'igp_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-border-node', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                PCE border node
                ''',
                'is_pce_border_node',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('node-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Node ID
                ''',
                'node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE cost
                ''',
                'pce_cost',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'nodes',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsPceStdby.Topology.Global_' : {
        'meta_info' : _MetaInfoClass('MplsPceStdby.Topology.Global_',
            False, 
            [
            _MetaInfoClassMember('nodes', REFERENCE_LIST, 'Nodes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsPceStdby.Topology.Global_.Nodes', 
                [], [], 
                '''                Node information
                ''',
                'nodes',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'global',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsPceStdby.Topology' : {
        'meta_info' : _MetaInfoClass('MplsPceStdby.Topology',
            False, 
            [
            _MetaInfoClassMember('global', REFERENCE_CLASS, 'Global_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsPceStdby.Topology.Global_', 
                [], [], 
                '''                The global information of the overall  topology
                ''',
                'global_',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'topology',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsPceStdby.Tunnels.Tunnel' : {
        'meta_info' : _MetaInfoClass('MplsPceStdby.Tunnels.Tunnel',
            False, 
            [
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('admin-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path metric
                ''',
                'admin_weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-pce-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Configured PCE Address
                ''',
                'configured_pce_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('curr-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path Option Index of the current path
                ''',
                'curr_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination Address
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hop Count
                ''',
                'hop_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-curr-path-option-pce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if current path option is PCE based
                ''',
                'is_curr_path_option_pce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-state', REFERENCE_ENUM_CLASS, 'PceTunPathStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'PceTunPathStateEnum', 
                [], [], 
                '''                Path Request State
                ''',
                'path_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sender-pce-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Sender PCE Address
                ''',
                'sender_pce_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-state', REFERENCE_ENUM_CLASS, 'PceTunnelStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'PceTunnelStateEnum', 
                [], [], 
                '''                Tunnel State
                ''',
                'tunnel_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsPceStdby.Tunnels' : {
        'meta_info' : _MetaInfoClass('MplsPceStdby.Tunnels',
            False, 
            [
            _MetaInfoClassMember('admin-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path metric
                ''',
                'admin_weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-pce-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Configured PCE Address
                ''',
                'configured_pce_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('curr-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path Option Index of the current path
                ''',
                'curr_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination Address
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hop Count
                ''',
                'hop_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-curr-path-option-pce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if current path option is PCE based
                ''',
                'is_curr_path_option_pce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-state', REFERENCE_ENUM_CLASS, 'PceTunPathStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'PceTunPathStateEnum', 
                [], [], 
                '''                Path Request State
                ''',
                'path_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sender-pce-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Sender PCE Address
                ''',
                'sender_pce_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel', REFERENCE_LIST, 'Tunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsPceStdby.Tunnels.Tunnel', 
                [], [], 
                '''                Information of a PCE tunnel
                ''',
                'tunnel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-state', REFERENCE_ENUM_CLASS, 'PceTunnelStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'PceTunnelStateEnum', 
                [], [], 
                '''                Tunnel State
                ''',
                'tunnel_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tunnels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsPceStdby' : {
        'meta_info' : _MetaInfoClass('MplsPceStdby',
            False, 
            [
            _MetaInfoClassMember('lsps', REFERENCE_CLASS, 'Lsps' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsPceStdby.Lsps', 
                [], [], 
                '''                Table of LSPs
                ''',
                'lsps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peers', REFERENCE_CLASS, 'Peers' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsPceStdby.Peers', 
                [], [], 
                '''                The set of PCE peers
                ''',
                'peers',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsPceStdby.Statistics', 
                [], [], 
                '''                PCE stats info
                ''',
                'statistics',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology', REFERENCE_CLASS, 'Topology' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsPceStdby.Topology', 
                [], [], 
                '''                The topology information in PCE
                ''',
                'topology',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnels', REFERENCE_CLASS, 'Tunnels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsPceStdby.Tunnels', 
                [], [], 
                '''                Table of PCE tunnels
                ''',
                'tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'mpls-pce-stdby',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTp.TpLinks.TpDetailLinks.TpDetailLink' : {
        'meta_info' : _MetaInfoClass('MplsTp.TpLinks.TpDetailLinks.TpDetailLink',
            False, 
            [
            _MetaInfoClassMember('tp-link-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Numeric transport profile link identifier
                ''',
                'tp_link_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('available-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Available bandwidth in Kbps
                ''',
                'available_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Transport profile link interface name
                ''',
                'interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Transport profile link identifier
                ''',
                'link_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-state', REFERENCE_ENUM_CLASS, 'TpLinkStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TpLinkStateEnum', 
                [], [], 
                '''                Link State
                ''',
                'link_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of TP LSPs on this TP link
                ''',
                'ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Transport profile next-hop in IPv4 address
                format
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reserved-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Reserved bandwidth in Kbps
                ''',
                'reserved_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unsupported-linecard', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Link is hosted on a linecard that does not
                support MPLS-TP
                ''',
                'unsupported_linecard',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tp-detail-link',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTp.TpLinks.TpDetailLinks' : {
        'meta_info' : _MetaInfoClass('MplsTp.TpLinks.TpDetailLinks',
            False, 
            [
            _MetaInfoClassMember('tp-detail-link', REFERENCE_LIST, 'TpDetailLink' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTp.TpLinks.TpDetailLinks.TpDetailLink', 
                [], [], 
                '''                Detailed information of transport profile link
                ''',
                'tp_detail_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tp-detail-links',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTp.TpLinks.TpLinkSummary' : {
        'meta_info' : _MetaInfoClass('MplsTp.TpLinks.TpLinkSummary',
            False, 
            [
            _MetaInfoClassMember('links', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of transport profile links
                ''',
                'links',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tp-link-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTp.TpLinks.TpLinks_.TpLink' : {
        'meta_info' : _MetaInfoClass('MplsTp.TpLinks.TpLinks_.TpLink',
            False, 
            [
            _MetaInfoClassMember('tp-link-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Numeric transport profile link identifier
                ''',
                'tp_link_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('available-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Available bandwidth in Kbps
                ''',
                'available_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Transport profile link interface name
                ''',
                'interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Transport profile link identifier
                ''',
                'link_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-state', REFERENCE_ENUM_CLASS, 'TpLinkStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TpLinkStateEnum', 
                [], [], 
                '''                Link state
                ''',
                'link_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Transport profile next-hop in IPv4 address
                format
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tp-link',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTp.TpLinks.TpLinks_' : {
        'meta_info' : _MetaInfoClass('MplsTp.TpLinks.TpLinks_',
            False, 
            [
            _MetaInfoClassMember('tp-link', REFERENCE_LIST, 'TpLink' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTp.TpLinks.TpLinks_.TpLink', 
                [], [], 
                '''                Brief information of transport profile link
                ''',
                'tp_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tp-links',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTp.TpLinks' : {
        'meta_info' : _MetaInfoClass('MplsTp.TpLinks',
            False, 
            [
            _MetaInfoClassMember('tp-detail-links', REFERENCE_CLASS, 'TpDetailLinks' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTp.TpLinks.TpDetailLinks', 
                [], [], 
                '''                Detailed table of transport profile links
                ''',
                'tp_detail_links',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tp-link-summary', REFERENCE_CLASS, 'TpLinkSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTp.TpLinks.TpLinkSummary', 
                [], [], 
                '''                Summary of transport profile links
                ''',
                'tp_link_summary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tp-links', REFERENCE_CLASS, 'TpLinks_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTp.TpLinks.TpLinks_', 
                [], [], 
                '''                Table of transport profile links
                ''',
                'tp_links',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tp-links',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTp.TpTunnels.TpTunnelSummary' : {
        'meta_info' : _MetaInfoClass('MplsTp.TpTunnels.TpTunnelSummary',
            False, 
            [
            _MetaInfoClassMember('active-protect-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of protect LSPs that are active
                ''',
                'active_protect_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('active-working-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of working LSPs that are active
                ''',
                'active_working_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('admin-down-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of tunnels that are administratively down
                ''',
                'admin_down_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-session-protect-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of protect LSPs with BFD session
                ''',
                'bfd_session_protect_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-session-working-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of working LSPs with BFD session
                ''',
                'bfd_session_working_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('complete-fec-protect-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of protect LSPs with complete FEC
                ''',
                'complete_fec_protect_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('complete-fec-working-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of working LSPs with complete FEC
                ''',
                'complete_fec_working_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('down-protect-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of protect LSPs that are in down state
                ''',
                'down_protect_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('down-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of tunnels that are in down state
                ''',
                'down_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('down-working-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Working LSPs that are in down state
                ''',
                'down_working_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('locked-protect-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of protect LSPs that are locked out
                ''',
                'locked_protect_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('locked-working-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of working LSPs that are locked out
                ''',
                'locked_working_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('up-protect-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of protect LSPs that are in up state
                ''',
                'up_protect_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('up-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of tunnels that are in up state
                ''',
                'up_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('up-working-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of working LSPs that are in up state
                ''',
                'up_working_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tp-tunnel-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTp.TpTunnels.TpDetailTunnels.TpDetailTunnel.Tunnel.WorkingLsp' : {
        'meta_info' : _MetaInfoClass('MplsTp.TpTunnels.TpDetailTunnels.TpDetailTunnel.Tunnel.WorkingLsp',
            False, 
            [
            _MetaInfoClassMember('bfd-state', REFERENCE_ENUM_CLASS, 'MplsTpLspBfdStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTpLspBfdStateEnum', 
                [], [], 
                '''                BFD state
                ''',
                'bfd_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lock-out', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Lock out
                ''',
                'lock_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSP identifier
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-oam-state', REFERENCE_ENUM_CLASS, 'MplsTpLspOamStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTpLspOamStateEnum', 
                [], [], 
                '''                Received fault OAM state
                ''',
                'rx_oam_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'MplsTpLspStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTpLspStateEnum', 
                [], [], 
                '''                LSP state
                ''',
                'state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-oam-state', REFERENCE_ENUM_CLASS, 'MplsTpLspOamStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTpLspOamStateEnum', 
                [], [], 
                '''                Transmitted fault OAM state
                ''',
                'tx_oam_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'working-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTp.TpTunnels.TpDetailTunnels.TpDetailTunnel.Tunnel.ProtectLsp' : {
        'meta_info' : _MetaInfoClass('MplsTp.TpTunnels.TpDetailTunnels.TpDetailTunnel.Tunnel.ProtectLsp',
            False, 
            [
            _MetaInfoClassMember('bfd-state', REFERENCE_ENUM_CLASS, 'MplsTpLspBfdStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTpLspBfdStateEnum', 
                [], [], 
                '''                BFD state
                ''',
                'bfd_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lock-out', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Lock out
                ''',
                'lock_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSP identifier
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-oam-state', REFERENCE_ENUM_CLASS, 'MplsTpLspOamStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTpLspOamStateEnum', 
                [], [], 
                '''                Received fault OAM state
                ''',
                'rx_oam_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'MplsTpLspStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTpLspStateEnum', 
                [], [], 
                '''                LSP state
                ''',
                'state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-oam-state', REFERENCE_ENUM_CLASS, 'MplsTpLspOamStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTpLspOamStateEnum', 
                [], [], 
                '''                Transmitted fault OAM state
                ''',
                'tx_oam_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protect-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTp.TpTunnels.TpDetailTunnels.TpDetailTunnel.Tunnel' : {
        'meta_info' : _MetaInfoClass('MplsTp.TpTunnels.TpDetailTunnels.TpDetailTunnel.Tunnel',
            False, 
            [
            _MetaInfoClassMember('active-lsp', REFERENCE_ENUM_CLASS, 'MplsTpTunnelActiveLspEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTpTunnelActiveLspEnum', 
                [], [], 
                '''                Active LSP
                ''',
                'active_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('admin-status', REFERENCE_ENUM_CLASS, 'MplsTpTunnelStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTpTunnelStateEnum', 
                [], [], 
                '''                Tunnel admin status
                ''',
                'admin_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-global-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Destination global ID
                ''',
                'destination_global_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-node-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination node ID
                ''',
                'destination_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('operation-status', REFERENCE_ENUM_CLASS, 'MplsTpTunnelStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTpTunnelStateEnum', 
                [], [], 
                '''                Tunnel operational status
                ''',
                'operation_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protect-lsp', REFERENCE_CLASS, 'ProtectLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTp.TpTunnels.TpDetailTunnels.TpDetailTunnel.Tunnel.ProtectLsp', 
                [], [], 
                '''                Protect LSP information
                ''',
                'protect_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote tunnel identifier
                ''',
                'remote_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-global-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Source global ID
                ''',
                'source_global_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-node-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source node ID
                ''',
                'source_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Source tunnel identifier
                ''',
                'source_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Transport profile tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('working-lsp', REFERENCE_CLASS, 'WorkingLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTp.TpTunnels.TpDetailTunnels.TpDetailTunnel.Tunnel.WorkingLsp', 
                [], [], 
                '''                Working LSP information
                ''',
                'working_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTp.TpTunnels.TpDetailTunnels.TpDetailTunnel.WorkingLsp.BriefInformation' : {
        'meta_info' : _MetaInfoClass('MplsTp.TpTunnels.TpDetailTunnels.TpDetailTunnel.WorkingLsp.BriefInformation',
            False, 
            [
            _MetaInfoClassMember('bfd-state', REFERENCE_ENUM_CLASS, 'MplsTpLspBfdStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTpLspBfdStateEnum', 
                [], [], 
                '''                BFD state
                ''',
                'bfd_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lock-out', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Lock out
                ''',
                'lock_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSP identifier
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-oam-state', REFERENCE_ENUM_CLASS, 'MplsTpLspOamStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTpLspOamStateEnum', 
                [], [], 
                '''                Received fault OAM state
                ''',
                'rx_oam_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'MplsTpLspStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTpLspStateEnum', 
                [], [], 
                '''                LSP state
                ''',
                'state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-oam-state', REFERENCE_ENUM_CLASS, 'MplsTpLspOamStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTpLspOamStateEnum', 
                [], [], 
                '''                Transmitted fault OAM state
                ''',
                'tx_oam_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'brief-information',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTp.TpTunnels.TpDetailTunnels.TpDetailTunnel.WorkingLsp' : {
        'meta_info' : _MetaInfoClass('MplsTp.TpTunnels.TpDetailTunnels.TpDetailTunnel.WorkingLsp',
            False, 
            [
            _MetaInfoClassMember('brief-information', REFERENCE_CLASS, 'BriefInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTp.TpTunnels.TpDetailTunnels.TpDetailTunnel.WorkingLsp.BriefInformation', 
                [], [], 
                '''                Brief LSP information
                ''',
                'brief_information',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Incoming label
                ''',
                'in_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Transport Profile Link Identifier
                ''',
                'link_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('oam-refresh-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OAM refresh interval
                ''',
                'oam_refresh_interval',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing interface name
                ''',
                'out_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Outgoing next hop in IPv4 address format
                ''',
                'out_next_hop',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reserved-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reserved Bandwidth in Kbps
                ''',
                'reserved_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tp-out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing label
                ''',
                'tp_out_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'working-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTp.TpTunnels.TpDetailTunnels.TpDetailTunnel.ProtectLsp.BriefInformation' : {
        'meta_info' : _MetaInfoClass('MplsTp.TpTunnels.TpDetailTunnels.TpDetailTunnel.ProtectLsp.BriefInformation',
            False, 
            [
            _MetaInfoClassMember('bfd-state', REFERENCE_ENUM_CLASS, 'MplsTpLspBfdStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTpLspBfdStateEnum', 
                [], [], 
                '''                BFD state
                ''',
                'bfd_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lock-out', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Lock out
                ''',
                'lock_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSP identifier
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-oam-state', REFERENCE_ENUM_CLASS, 'MplsTpLspOamStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTpLspOamStateEnum', 
                [], [], 
                '''                Received fault OAM state
                ''',
                'rx_oam_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'MplsTpLspStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTpLspStateEnum', 
                [], [], 
                '''                LSP state
                ''',
                'state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-oam-state', REFERENCE_ENUM_CLASS, 'MplsTpLspOamStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTpLspOamStateEnum', 
                [], [], 
                '''                Transmitted fault OAM state
                ''',
                'tx_oam_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'brief-information',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTp.TpTunnels.TpDetailTunnels.TpDetailTunnel.ProtectLsp' : {
        'meta_info' : _MetaInfoClass('MplsTp.TpTunnels.TpDetailTunnels.TpDetailTunnel.ProtectLsp',
            False, 
            [
            _MetaInfoClassMember('brief-information', REFERENCE_CLASS, 'BriefInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTp.TpTunnels.TpDetailTunnels.TpDetailTunnel.ProtectLsp.BriefInformation', 
                [], [], 
                '''                Brief LSP information
                ''',
                'brief_information',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Incoming label
                ''',
                'in_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Transport Profile Link Identifier
                ''',
                'link_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('oam-refresh-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OAM refresh interval
                ''',
                'oam_refresh_interval',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing interface name
                ''',
                'out_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Outgoing next hop in IPv4 address format
                ''',
                'out_next_hop',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reserved-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reserved Bandwidth in Kbps
                ''',
                'reserved_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tp-out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing label
                ''',
                'tp_out_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protect-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTp.TpTunnels.TpDetailTunnels.TpDetailTunnel.OamProtectionTriggers' : {
        'meta_info' : _MetaInfoClass('MplsTp.TpTunnels.TpDetailTunnels.TpDetailTunnel.OamProtectionTriggers',
            False, 
            [
            _MetaInfoClassMember('ais', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Trigger due to AIS
                ''',
                'ais',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ldi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Trigger due to LDI
                ''',
                'ldi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lkr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Trigger due to LKR
                ''',
                'lkr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'oam-protection-triggers',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTp.TpTunnels.TpDetailTunnels.TpDetailTunnel' : {
        'meta_info' : _MetaInfoClass('MplsTp.TpTunnels.TpDetailTunnels.TpDetailTunnel',
            False, 
            [
            _MetaInfoClassMember('tp-tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Tunnel name
                ''',
                'tp_tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('bfd-interval-active', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD interval for active LSP
                ''',
                'bfd_interval_active',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-interval-active-in-micro-sec', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD interval for active LSP in micro sec
                ''',
                'bfd_interval_active_in_micro_sec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-interval-standby', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD interval for standby LSP
                ''',
                'bfd_interval_standby',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-interval-standby-in-micro-sec', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD interval for standby LSP in micro sec
                ''',
                'bfd_interval_standby_in_micro_sec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-multiplier-active', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD multiplier for active LSP
                ''',
                'bfd_multiplier_active',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-multiplier-standby', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD multiplier for standby LSP
                ''',
                'bfd_multiplier_standby',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('oam-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OAM Interval
                ''',
                'oam_interval',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('oam-protection-triggers', REFERENCE_CLASS, 'OamProtectionTriggers' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTp.TpTunnels.TpDetailTunnels.TpDetailTunnel.OamProtectionTriggers', 
                [], [], 
                '''                OAM Protection Triggers
                ''',
                'oam_protection_triggers',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protect-lsp', REFERENCE_CLASS, 'ProtectLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTp.TpTunnels.TpDetailTunnels.TpDetailTunnel.ProtectLsp', 
                [], [], 
                '''                Protect LSP information
                ''',
                'protect_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('req-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Requested tunnel bandwidth in Kbps
                ''',
                'req_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('switch-over-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The time at which last switchover was triggered
                ''',
                'switch_over_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('switchover-trig', REFERENCE_ENUM_CLASS, 'MplsTpTunnelSwitchoverTrigEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTpTunnelSwitchoverTrigEnum', 
                [], [], 
                '''                Switchover trigger
                ''',
                'switchover_trig',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel', REFERENCE_CLASS, 'Tunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTp.TpTunnels.TpDetailTunnels.TpDetailTunnel.Tunnel', 
                [], [], 
                '''                Brief tunnel information
                ''',
                'tunnel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-up-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since tunnel went up
                ''',
                'tunnel_up_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('working-lsp', REFERENCE_CLASS, 'WorkingLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTp.TpTunnels.TpDetailTunnels.TpDetailTunnel.WorkingLsp', 
                [], [], 
                '''                Working LSP information
                ''',
                'working_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tp-detail-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTp.TpTunnels.TpDetailTunnels' : {
        'meta_info' : _MetaInfoClass('MplsTp.TpTunnels.TpDetailTunnels',
            False, 
            [
            _MetaInfoClassMember('tp-detail-tunnel', REFERENCE_LIST, 'TpDetailTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTp.TpTunnels.TpDetailTunnels.TpDetailTunnel', 
                [], [], 
                '''                Detailed information of transport profile
                tunnel
                ''',
                'tp_detail_tunnel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tp-detail-tunnels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTp.TpTunnels.TpTunnels_.TpTunnel.WorkingLsp' : {
        'meta_info' : _MetaInfoClass('MplsTp.TpTunnels.TpTunnels_.TpTunnel.WorkingLsp',
            False, 
            [
            _MetaInfoClassMember('bfd-state', REFERENCE_ENUM_CLASS, 'MplsTpLspBfdStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTpLspBfdStateEnum', 
                [], [], 
                '''                BFD state
                ''',
                'bfd_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lock-out', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Lock out
                ''',
                'lock_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSP identifier
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-oam-state', REFERENCE_ENUM_CLASS, 'MplsTpLspOamStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTpLspOamStateEnum', 
                [], [], 
                '''                Received fault OAM state
                ''',
                'rx_oam_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'MplsTpLspStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTpLspStateEnum', 
                [], [], 
                '''                LSP state
                ''',
                'state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-oam-state', REFERENCE_ENUM_CLASS, 'MplsTpLspOamStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTpLspOamStateEnum', 
                [], [], 
                '''                Transmitted fault OAM state
                ''',
                'tx_oam_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'working-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTp.TpTunnels.TpTunnels_.TpTunnel.ProtectLsp' : {
        'meta_info' : _MetaInfoClass('MplsTp.TpTunnels.TpTunnels_.TpTunnel.ProtectLsp',
            False, 
            [
            _MetaInfoClassMember('bfd-state', REFERENCE_ENUM_CLASS, 'MplsTpLspBfdStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTpLspBfdStateEnum', 
                [], [], 
                '''                BFD state
                ''',
                'bfd_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lock-out', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Lock out
                ''',
                'lock_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSP identifier
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-oam-state', REFERENCE_ENUM_CLASS, 'MplsTpLspOamStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTpLspOamStateEnum', 
                [], [], 
                '''                Received fault OAM state
                ''',
                'rx_oam_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'MplsTpLspStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTpLspStateEnum', 
                [], [], 
                '''                LSP state
                ''',
                'state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-oam-state', REFERENCE_ENUM_CLASS, 'MplsTpLspOamStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTpLspOamStateEnum', 
                [], [], 
                '''                Transmitted fault OAM state
                ''',
                'tx_oam_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protect-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTp.TpTunnels.TpTunnels_.TpTunnel' : {
        'meta_info' : _MetaInfoClass('MplsTp.TpTunnels.TpTunnels_.TpTunnel',
            False, 
            [
            _MetaInfoClassMember('tp-tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Tunnel name
                ''',
                'tp_tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('active-lsp', REFERENCE_ENUM_CLASS, 'MplsTpTunnelActiveLspEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTpTunnelActiveLspEnum', 
                [], [], 
                '''                Active LSP
                ''',
                'active_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('admin-status', REFERENCE_ENUM_CLASS, 'MplsTpTunnelStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTpTunnelStateEnum', 
                [], [], 
                '''                Tunnel admin status
                ''',
                'admin_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-global-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Destination global ID
                ''',
                'destination_global_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-node-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination node ID
                ''',
                'destination_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('operation-status', REFERENCE_ENUM_CLASS, 'MplsTpTunnelStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTpTunnelStateEnum', 
                [], [], 
                '''                Tunnel operational status
                ''',
                'operation_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protect-lsp', REFERENCE_CLASS, 'ProtectLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTp.TpTunnels.TpTunnels_.TpTunnel.ProtectLsp', 
                [], [], 
                '''                Protect LSP information
                ''',
                'protect_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remote tunnel identifier
                ''',
                'remote_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-global-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Source global ID
                ''',
                'source_global_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-node-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source node ID
                ''',
                'source_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Source tunnel identifier
                ''',
                'source_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Transport profile tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('working-lsp', REFERENCE_CLASS, 'WorkingLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTp.TpTunnels.TpTunnels_.TpTunnel.WorkingLsp', 
                [], [], 
                '''                Working LSP information
                ''',
                'working_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tp-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTp.TpTunnels.TpTunnels_' : {
        'meta_info' : _MetaInfoClass('MplsTp.TpTunnels.TpTunnels_',
            False, 
            [
            _MetaInfoClassMember('tp-tunnel', REFERENCE_LIST, 'TpTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTp.TpTunnels.TpTunnels_.TpTunnel', 
                [], [], 
                '''                Brief information of transport profile tunnel
                ''',
                'tp_tunnel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tp-tunnels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTp.TpTunnels' : {
        'meta_info' : _MetaInfoClass('MplsTp.TpTunnels',
            False, 
            [
            _MetaInfoClassMember('tp-detail-tunnels', REFERENCE_CLASS, 'TpDetailTunnels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTp.TpTunnels.TpDetailTunnels', 
                [], [], 
                '''                Detailed table of transport profile tunnels
                ''',
                'tp_detail_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tp-tunnel-summary', REFERENCE_CLASS, 'TpTunnelSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTp.TpTunnels.TpTunnelSummary', 
                [], [], 
                '''                Summary of transport profile tunnels
                ''',
                'tp_tunnel_summary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tp-tunnels', REFERENCE_CLASS, 'TpTunnels_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTp.TpTunnels.TpTunnels_', 
                [], [], 
                '''                Table of transport profile tunnels
                ''',
                'tp_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tp-tunnels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTp.TpMidpoints.TpDetailMidpoints.TpDetailMidpoint.BriefLspInformation' : {
        'meta_info' : _MetaInfoClass('MplsTp.TpMidpoints.TpDetailMidpoints.TpDetailMidpoint.BriefLspInformation',
            False, 
            [
            _MetaInfoClassMember('destination-global-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Destination Global ID
                ''',
                'destination_global_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-node-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination Node ID
                ''',
                'destination_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Destination Tunnel ID
                ''',
                'destination_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-lsp-state', REFERENCE_ENUM_CLASS, 'TpMidLspStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TpMidLspStatusEnum', 
                [], [], 
                '''                Forward LSP State
                ''',
                'forward_lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSP ID
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('midpoint-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Mid Point Name
                ''',
                'midpoint_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-state', REFERENCE_ENUM_CLASS, 'TpMidLspStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TpMidLspStatusEnum', 
                [], [], 
                '''                Reverse LSP State
                ''',
                'reverse_lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-global-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Source Global ID
                ''',
                'source_global_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-node-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Node ID
                ''',
                'source_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Source Tunnel ID
                ''',
                'source_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'brief-lsp-information',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTp.TpMidpoints.TpDetailMidpoints.TpDetailMidpoint.ForwardLsp' : {
        'meta_info' : _MetaInfoClass('MplsTp.TpMidpoints.TpDetailMidpoints.TpDetailMidpoint.ForwardLsp',
            False, 
            [
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured bandwidth in Kbps
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Incoming label
                ''',
                'in_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Outgoing next-hop in IPv4 address format
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('oam-refresh-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OAM Refresh time in seconds
                ''',
                'oam_refresh_interval',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing label
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-link', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing TP link ID
                ''',
                'out_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing interface
                ''',
                'outgoing_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'forward-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTp.TpMidpoints.TpDetailMidpoints.TpDetailMidpoint.ReverseLsp' : {
        'meta_info' : _MetaInfoClass('MplsTp.TpMidpoints.TpDetailMidpoints.TpDetailMidpoint.ReverseLsp',
            False, 
            [
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured bandwidth in Kbps
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Incoming label
                ''',
                'in_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Outgoing next-hop in IPv4 address format
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('oam-refresh-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OAM Refresh time in seconds
                ''',
                'oam_refresh_interval',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing label
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-link', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing TP link ID
                ''',
                'out_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing interface
                ''',
                'outgoing_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTp.TpMidpoints.TpDetailMidpoints.TpDetailMidpoint' : {
        'meta_info' : _MetaInfoClass('MplsTp.TpMidpoints.TpDetailMidpoints.TpDetailMidpoint',
            False, 
            [
            _MetaInfoClassMember('tp-midpoint-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Mid-point name
                ''',
                'tp_midpoint_name',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('brief-lsp-information', REFERENCE_CLASS, 'BriefLspInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTp.TpMidpoints.TpDetailMidpoints.TpDetailMidpoint.BriefLspInformation', 
                [], [], 
                '''                Brief LSP information
                ''',
                'brief_lsp_information',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-lsp', REFERENCE_CLASS, 'ForwardLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTp.TpMidpoints.TpDetailMidpoints.TpDetailMidpoint.ForwardLsp', 
                [], [], 
                '''                Forward LSP information
                ''',
                'forward_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-lsp-reserved-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward LSP reserved bandwidth in Kbps
                ''',
                'forward_lsp_reserved_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp', REFERENCE_CLASS, 'ReverseLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTp.TpMidpoints.TpDetailMidpoints.TpDetailMidpoint.ReverseLsp', 
                [], [], 
                '''                Reverse LSP information
                ''',
                'reverse_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-reserved-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reverse LSP reserved bandwidth in Kbps
                ''',
                'reverse_lsp_reserved_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tp-detail-midpoint',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTp.TpMidpoints.TpDetailMidpoints' : {
        'meta_info' : _MetaInfoClass('MplsTp.TpMidpoints.TpDetailMidpoints',
            False, 
            [
            _MetaInfoClassMember('tp-detail-midpoint', REFERENCE_LIST, 'TpDetailMidpoint' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTp.TpMidpoints.TpDetailMidpoints.TpDetailMidpoint', 
                [], [], 
                '''                Detailed information of transport profile
                mid-point
                ''',
                'tp_detail_midpoint',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tp-detail-midpoints',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTp.TpMidpoints.TpMidpointSummary' : {
        'meta_info' : _MetaInfoClass('MplsTp.TpMidpoints.TpMidpointSummary',
            False, 
            [
            _MetaInfoClassMember('down-forward-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of forward LSPs that are Down
                ''',
                'down_forward_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('down-reverse-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of reverse LSPs that are Down
                ''',
                'down_reverse_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mid-points', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of mid points
                ''',
                'mid_points',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('up-forward-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of forward LSPs that are Up
                ''',
                'up_forward_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('up-reverse-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of reverse LSPs that are Up
                ''',
                'up_reverse_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tp-midpoint-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTp.TpMidpoints.TpMidpoints_.TpMidpoint' : {
        'meta_info' : _MetaInfoClass('MplsTp.TpMidpoints.TpMidpoints_.TpMidpoint',
            False, 
            [
            _MetaInfoClassMember('tp-midpoint-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Mid-point name
                ''',
                'tp_midpoint_name',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('destination-global-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Destination Global ID
                ''',
                'destination_global_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-node-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination Node ID
                ''',
                'destination_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Destination Tunnel ID
                ''',
                'destination_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-lsp-state', REFERENCE_ENUM_CLASS, 'TpMidLspStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TpMidLspStatusEnum', 
                [], [], 
                '''                Forward LSP State
                ''',
                'forward_lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSP ID
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('midpoint-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Mid Point Name
                ''',
                'midpoint_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-state', REFERENCE_ENUM_CLASS, 'TpMidLspStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TpMidLspStatusEnum', 
                [], [], 
                '''                Reverse LSP State
                ''',
                'reverse_lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-global-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Source Global ID
                ''',
                'source_global_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-node-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Node ID
                ''',
                'source_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Source Tunnel ID
                ''',
                'source_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tp-midpoint',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTp.TpMidpoints.TpMidpoints_' : {
        'meta_info' : _MetaInfoClass('MplsTp.TpMidpoints.TpMidpoints_',
            False, 
            [
            _MetaInfoClassMember('tp-midpoint', REFERENCE_LIST, 'TpMidpoint' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTp.TpMidpoints.TpMidpoints_.TpMidpoint', 
                [], [], 
                '''                Brief information of transport profile
                mid-point
                ''',
                'tp_midpoint',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tp-midpoints',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTp.TpMidpoints' : {
        'meta_info' : _MetaInfoClass('MplsTp.TpMidpoints',
            False, 
            [
            _MetaInfoClassMember('tp-detail-midpoints', REFERENCE_CLASS, 'TpDetailMidpoints' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTp.TpMidpoints.TpDetailMidpoints', 
                [], [], 
                '''                Detailed table of transport profile mid-points
                ''',
                'tp_detail_midpoints',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tp-midpoint-summary', REFERENCE_CLASS, 'TpMidpointSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTp.TpMidpoints.TpMidpointSummary', 
                [], [], 
                '''                Summary of transport profile mid-points
                ''',
                'tp_midpoint_summary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tp-midpoints', REFERENCE_CLASS, 'TpMidpoints_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTp.TpMidpoints.TpMidpoints_', 
                [], [], 
                '''                Table of transport profile mid-points
                ''',
                'tp_midpoints',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tp-midpoints',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTp.TpGlobalParameters.OamProtectionTriggers' : {
        'meta_info' : _MetaInfoClass('MplsTp.TpGlobalParameters.OamProtectionTriggers',
            False, 
            [
            _MetaInfoClassMember('ais', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Trigger due to AIS
                ''',
                'ais',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ldi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Trigger due to LDI
                ''',
                'ldi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lkr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Trigger due to LKR
                ''',
                'lkr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'oam-protection-triggers',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTp.TpGlobalParameters' : {
        'meta_info' : _MetaInfoClass('MplsTp.TpGlobalParameters',
            False, 
            [
            _MetaInfoClassMember('alarm-suppression', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel/LSP alarm suppression
                ''',
                'alarm_suppression',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD interval
                ''',
                'bfd_interval',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-interval-in-micro-sec', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is global BFD interval in micro sec
                ''',
                'bfd_interval_in_micro_sec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-interval-standby', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD interval for standby LSPs
                ''',
                'bfd_interval_standby',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-interval-standby-in-micro-sec', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is global BFD interval for standby LSPs in micro
                sec
                ''',
                'bfd_interval_standby_in_micro_sec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD multiplier
                ''',
                'bfd_multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-multiplier-standby', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD multiplier for standby LSPs
                ''',
                'bfd_multiplier_standby',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('global-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global ID
                ''',
                'global_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('node-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Node ID
                ''',
                'node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('oam-protection-triggers', REFERENCE_CLASS, 'OamProtectionTriggers' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTp.TpGlobalParameters.OamProtectionTriggers', 
                [], [], 
                '''                OAM Protection Triggers
                ''',
                'oam_protection_triggers',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('oam-refresh', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OAM refresh interval in seconds
                ''',
                'oam_refresh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soak-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel/LSP alarm soak time in seconds
                ''',
                'soak_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore interval for working LSP in
                seconds
                ''',
                'wait_to_restore_interval',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tp-global-parameters',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTp' : {
        'meta_info' : _MetaInfoClass('MplsTp',
            False, 
            [
            _MetaInfoClassMember('tp-global-parameters', REFERENCE_CLASS, 'TpGlobalParameters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTp.TpGlobalParameters', 
                [], [], 
                '''                Transport profile global parameters
                ''',
                'tp_global_parameters',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tp-links', REFERENCE_CLASS, 'TpLinks' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTp.TpLinks', 
                [], [], 
                '''                Transport profile links
                ''',
                'tp_links',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tp-midpoints', REFERENCE_CLASS, 'TpMidpoints' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTp.TpMidpoints', 
                [], [], 
                '''                Transport profile mid-point
                ''',
                'tp_midpoints',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tp-tunnels', REFERENCE_CLASS, 'TpTunnels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTp.TpTunnels', 
                [], [], 
                '''                Transport profile tunnels
                ''',
                'tp_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'mpls-tp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.HardwareOutOfResources.Summary.HardwareOutOfResourcesState.Statistics' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.HardwareOutOfResources.Summary.HardwareOutOfResourcesState.Statistics',
            False, 
            [
            _MetaInfoClassMember('accepted-ls-ps-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSPs that were accepted in this state
                ''',
                'accepted_ls_ps_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('accepted-reopt-ls-ps-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Reoptimize LSPs that were accepted in
                this state
                ''',
                'accepted_reopt_ls_ps_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hw-oor-state', REFERENCE_ENUM_CLASS, 'HwOorStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'HwOorStateEnum', 
                [], [], 
                '''                The HW-OOR state that these statistics belong to
                ''',
                'hw_oor_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('node-protection-disable-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times this OOR state disabled node
                protection assignment
                ''',
                'node_protection_disable_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rejected-ls-ps-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSPs that were rejected in this state
                ''',
                'rejected_ls_ps_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rejected-reopt-ls-ps-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Reoptimize LSPs that were rejected in
                this state
                ''',
                'rejected_reopt_ls_ps_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('transitions', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of transitions to this state
                ''',
                'transitions',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.HardwareOutOfResources.Summary.HardwareOutOfResourcesState' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.HardwareOutOfResources.Summary.HardwareOutOfResourcesState',
            False, 
            [
            _MetaInfoClassMember('accept-reopt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Make-before-break is allowed for LSPs
                reoptimizing over the same link in the NPU HW
                OOR state
                ''',
                'accept_reopt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('available-bw-percentage', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The flooded percentage of available bandwidth
                advertized when the link is in this  NPU HW OOR
                state
                ''',
                'available_bw_percentage',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hw-oor-state', REFERENCE_ENUM_CLASS, 'HwOorStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'HwOorStateEnum', 
                [], [], 
                '''                The HW-OOR state that this information belong to
                ''',
                'hw_oor_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('minimum-lsp-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Minimum LSP bandwidth so the LSP is admitted
                when the link is in this NPU HW OOR state
                ''',
                'minimum_lsp_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('node-protection-disable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Disable FRR node protection when the link is in
                this NPU HW OOR state
                ''',
                'node_protection_disable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.HardwareOutOfResources.Summary.HardwareOutOfResourcesState.Statistics', 
                [], [], 
                '''                NPU HW OOR Statistics per state
                ''',
                'statistics',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-metric-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The TE metric penalty when the link is in this
                NPU HW OOR state
                ''',
                'te_metric_penalty',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('transition-duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Recovery in minutes after the green OOR state is
                entered.
                ''',
                'transition_duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'hardware-out-of-resources-state',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.HardwareOutOfResources.Summary' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.HardwareOutOfResources.Summary',
            False, 
            [
            _MetaInfoClassMember('hardware-out-of-resources-state', REFERENCE_LIST, 'HardwareOutOfResourcesState' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.HardwareOutOfResources.Summary.HardwareOutOfResourcesState', 
                [], [], 
                '''                Array of NPU HW OOR info per state
                ''',
                'hardware_out_of_resources_state',
                'Cisco-IOS-XR-mpls-te-oper', False, max_elements=3),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'summary',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.HardwareOutOfResources' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.HardwareOutOfResources',
            False, 
            [
            _MetaInfoClassMember('summary', REFERENCE_CLASS, 'Summary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.HardwareOutOfResources.Summary', 
                [], [], 
                '''                HW OOR Summary information
                ''',
                'summary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'hardware-out-of-resources',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemoteBriefs.TunnelRemoteBrief.LspFec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemoteBriefs.TunnelRemoteBrief.LspFec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemoteBriefs.TunnelRemoteBrief.LspFec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemoteBriefs.TunnelRemoteBrief.LspFec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemoteBriefs.TunnelRemoteBrief.LspFec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemoteBriefs.TunnelRemoteBrief.S2L.S2LFec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemoteBriefs.TunnelRemoteBrief.S2L.S2LFec',
            False, 
            [
            _MetaInfoClassMember('s2l-fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                Session identifier (ctype)
                ''',
                's2l_fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-dest', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                sub-LSP destination address
                ''',
                's2l_fec_dest',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                's2l_fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                's2l_fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                's2l_fec_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSP source address
                ''',
                's2l_fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                sub-LSP subgroup ID
                ''',
                's2l_fec_subgroup_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                's2l_fec_subgroup_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                's2l_fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                's2l_fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemoteBriefs.TunnelRemoteBrief.S2L' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemoteBriefs.TunnelRemoteBrief.S2L',
            False, 
            [
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Egress Interface
                ''',
                'egress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ingress Interface
                ''',
                'ingress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('oper-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Oper state of S2L
                ''',
                'oper_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('role', REFERENCE_ENUM_CLASS, 'MplsTeTunnelRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelRoleEnum', 
                [], [], 
                '''                Role of S2L
                ''',
                'role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec', REFERENCE_CLASS, 'S2LFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemoteBriefs.TunnelRemoteBrief.S2L.S2LFec', 
                [], [], 
                '''                FEC for the S2L
                ''',
                's2l_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the S2L was up
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemoteBriefs.TunnelRemoteBrief' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemoteBriefs.TunnelRemoteBrief',
            False, 
            [
            _MetaInfoClassMember('ctype', REFERENCE_ENUM_CLASS, 'CtypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'CtypeEnum', 
                [], [], 
                '''                Ctype
                ''',
                'ctype',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination Address
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                LSP ID
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                P2MP ID
                ''',
                'p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('lsp-fec', REFERENCE_CLASS, 'LspFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemoteBriefs.TunnelRemoteBrief.LspFec', 
                [], [], 
                '''                FEC for the LSP
                ''',
                'lsp_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l', REFERENCE_LIST, 'S2L' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemoteBriefs.TunnelRemoteBrief.S2L', 
                [], [], 
                '''                array of S2L structures
                ''',
                's2l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signaled-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signaled Name
                ''',
                'signaled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the LSP was up
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tunnel-remote-brief',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemoteBriefs' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemoteBriefs',
            False, 
            [
            _MetaInfoClassMember('tunnel-remote-brief', REFERENCE_LIST, 'TunnelRemoteBrief' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemoteBriefs.TunnelRemoteBrief', 
                [], [], 
                '''                P2P or P2MP tunnel that is a mid or tail
                ''',
                'tunnel_remote_brief',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tunnel-remote-briefs',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.LspFec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.LspFec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.LspFec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.LspFec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.LspFec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.S2LFec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.S2LFec',
            False, 
            [
            _MetaInfoClassMember('s2l-fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                Session identifier (ctype)
                ''',
                's2l_fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-dest', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                sub-LSP destination address
                ''',
                's2l_fec_dest',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                's2l_fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                's2l_fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                's2l_fec_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSP source address
                ''',
                's2l_fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                sub-LSP subgroup ID
                ''',
                's2l_fec_subgroup_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                's2l_fec_subgroup_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                's2l_fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                's2l_fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.PathCalculationError' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.PathCalculationError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-calculation-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.RemergeError' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.RemergeError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'remerge-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.SignallingError' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.SignallingError',
            False, 
            [
            _MetaInfoClassMember('error', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Path Error code
                ''',
                'error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Source address of the error generating node
                ''',
                'error_node',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSPMode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if error is on the reverse LSP
                ''',
                'reverse_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP-id for which the error was received
                ''',
                'signalling_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path Error subcode
                ''',
                'sub_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalling-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption',
            False, 
            [
            _MetaInfoClassMember('attribute-set', REFERENCE_CLASS, 'AttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet', 
                [], [], 
                '''                The path option attribute set used by this path
                ''',
                'attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-found', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has found the defined attribute
                set
                ''',
                'attribute_set_found',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Explicit Path ID, this is the key to table
                ExplicitPaths.IdentifierTable
                ''',
                'explicit_path_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Explicit Path Name, this is the key to table
                ExplicitPaths.NameTable
                ''',
                'explicit_path_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has an attribute set defined
                ''',
                'has_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-xro-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has an XRO attribute set
                configured
                ''',
                'has_xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('holddown-duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Holddown Duration (seconds)
                ''',
                'holddown_duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path option is disabled
                ''',
                'is_disabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-helddown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if path is helddown
                ''',
                'is_helddown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-lockdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is locked down
                ''',
                'is_lockdown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-segment-routing', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is Segment-Routing
                ''',
                'is_segment_routing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-explicit-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if explicit path is strict
                ''',
                'is_strict_explicit_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-verbatim', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is verbatim
                ''',
                'is_verbatim',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index
                ''',
                'option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index-is-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The path option index is valid
                ''',
                'option_index_is_valid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-calculation-error', REFERENCE_LIST, 'PathCalculationError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.PathCalculationError', 
                [], [], 
                '''                Path computation information
                ''',
                'path_calculation_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The path-option area constraint
                ''',
                'path_option_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path option name
                ''',
                'path_option_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-type', REFERENCE_ENUM_CLASS, 'MplsTePathoptionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTePathoptionEnum', 
                [], [], 
                '''                Path option type
                ''',
                'path_option_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                PCE server address
                ''',
                'pce_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-by-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for Protect path options
                ''',
                'protected_by_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remerge-error', REFERENCE_LIST, 'RemergeError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.RemergeError', 
                [], [], 
                '''                Path computation remerge resolve info
                ''',
                'remerge_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restored-from-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for Restore path options
                ''',
                'restored_from_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-error', REFERENCE_LIST, 'SignallingError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.SignallingError', 
                [], [], 
                '''                Signalling information
                ''',
                'signalling_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set', REFERENCE_CLASS, 'XroAttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet', 
                [], [], 
                '''                The XRO attribute set used by this path-option
                ''',
                'xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set-found', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path's XRO attribute set is known
                ''',
                'xro_attribute_set_found',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'active-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'out-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'in-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.Tspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.Tspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GenericTspec.Otntspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GenericTspec.Otntspec',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit Rate in kbps
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nmc-or-tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                NMC or Tolerance
                ''',
                'nmc_or_tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Virtual Components
                ''',
                'nvc',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otntspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GenericTspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GenericTspec',
            False, 
            [
            _MetaInfoClassMember('otntspec', REFERENCE_CLASS, 'Otntspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GenericTspec.Otntspec', 
                [], [], 
                '''                TE TSpec for G709 OTN
                ''',
                'otntspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tspec-type', REFERENCE_ENUM_CLASS, 'TeMgmtGenericTspecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeMgmtGenericTspecEnum', 
                [], [], 
                '''                TSpecType
                ''',
                'tspec_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'generic-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.Fspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.Fspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GenericFspec.Otnfspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GenericFspec.Otnfspec',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit Rate in kbps
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nmc-or-tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                NMC or Tolerance
                ''',
                'nmc_or_tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Virtual Components
                ''',
                'nvc',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otnfspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GenericFspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GenericFspec',
            False, 
            [
            _MetaInfoClassMember('fspec-type', REFERENCE_ENUM_CLASS, 'TeMgmtGenericFspecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeMgmtGenericFspecEnum', 
                [], [], 
                '''                FSpecType
                ''',
                'fspec_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otnfspec', REFERENCE_CLASS, 'Otnfspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GenericFspec.Otnfspec', 
                [], [], 
                '''                TE FSpec for G709 OTN
                ''',
                'otnfspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'generic-fspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.NextHopAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.NextHopAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.NextHopAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.NextHopAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.NextHopAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'next-hop-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PreviousHopAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PreviousHopAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PreviousHopAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PreviousHopAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PreviousHopAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'previous-hop-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.IncomingAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.IncomingAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.IncomingAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.IncomingAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.IncomingAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'incoming-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.S2LConvergence' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.S2LConvergence',
            False, 
            [
            _MetaInfoClassMember('creation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tunnel creation timestamp (clocktime in nsecs)
                ''',
                'creation_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rewrite', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP Label rewrite timestamp (clocktime in nsecs)
                ''',
                'label_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Path-in timestamp (clocktime in nsecs)
                ''',
                'path_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Path-in timestamp (clocktime in nsecs)
                ''',
                'path_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Resv-in timestamp (clocktime in nsecs)
                ''',
                'resv_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Resv-out timestamp (clocktime in nsecs)
                ''',
                'resv_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-rewrite', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tunnel rewrite timestamp (clocktime in nsecs)
                ''',
                'tunnel_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-convergence',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.SoftPreemption' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.SoftPreemption',
            False, 
            [
            _MetaInfoClassMember('fr-rrewrite', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR-rewrite during soft preemption
                ''',
                'fr_rrewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fr-rrewrite-tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The tunnel name of the backup
                ''',
                'fr_rrewrite_tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('preempting-link-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The address of the link where the preemption
                happened
                ''',
                'preempting_link_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-link', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the link where the soft preemption
                occurred
                ''',
                'soft_preemption_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The POSIX timestamp when the soft preemption
                occurred
                ''',
                'soft_preemption_timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'MplsTeSoftPreemptionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeSoftPreemptionStateEnum', 
                [], [], 
                '''                The current state of the soft preemption
                operation
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-to-hard-preemption', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The number of seconds until hard preemption is
                triggered
                ''',
                'time_to_hard_preemption',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'soft-preemption',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathIngressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathIngressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathIngressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathEgressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathEgressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathEgressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvIngressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvIngressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvIngressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvEgressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvEgressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvEgressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels',
            False, 
            [
            _MetaInfoClassMember('path-egress-label', REFERENCE_CLASS, 'PathEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathEgressLabel', 
                [], [], 
                '''                Path message (upstream) egress label
                ''',
                'path_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-ingress-label', REFERENCE_CLASS, 'PathIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathIngressLabel', 
                [], [], 
                '''                Path message (upstream) ingress label
                ''',
                'path_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-egress-label', REFERENCE_CLASS, 'ResvEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvEgressLabel', 
                [], [], 
                '''                Resv message (downstream) egress label
                ''',
                'resv_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-ingress-label', REFERENCE_CLASS, 'ResvIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvIngressLabel', 
                [], [], 
                '''                Resv message (downstream) ingress label
                ''',
                'resv_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'gmpls-labels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tolerance
                ''',
                'tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-cbr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-gfp-f-res',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-gfp-f-non-res',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Bandwidth' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Bandwidth',
            False, 
            [
            _MetaInfoClassMember('odu-flex-cbr', REFERENCE_CLASS, 'OduFlexCbr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr', 
                [], [], 
                '''                Odu flex CBR info
                ''',
                'odu_flex_cbr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-flex-gfp-f-non-res', REFERENCE_CLASS, 'OduFlexGfpFNonRes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes', 
                [], [], 
                '''                Odu flex GFP-F non-resizable info
                ''',
                'odu_flex_gfp_f_non_res',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-flex-gfp-f-res', REFERENCE_CLASS, 'OduFlexGfpFRes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes', 
                [], [], 
                '''                Odu flex GFP-F resizable info
                ''',
                'odu_flex_gfp_f_res',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-level', REFERENCE_ENUM_CLASS, 'TeOduLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeOduLevelEnum', 
                [], [], 
                '''                ODULevel
                ''',
                'odu_level',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels',
            False, 
            [
            _MetaInfoClassMember('path-egress-label', REFERENCE_CLASS, 'PathEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathEgressLabel', 
                [], [], 
                '''                Path message (upstream) egress label
                ''',
                'path_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-ingress-label', REFERENCE_CLASS, 'PathIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathIngressLabel', 
                [], [], 
                '''                Path message (upstream) ingress label
                ''',
                'path_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-egress-label', REFERENCE_CLASS, 'ResvEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvEgressLabel', 
                [], [], 
                '''                Resv message (downstream) egress label
                ''',
                'resv_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-ingress-label', REFERENCE_CLASS, 'ResvIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvIngressLabel', 
                [], [], 
                '''                Resv message (downstream) ingress label
                ''',
                'resv_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'labels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn',
            False, 
            [
            _MetaInfoClassMember('bandwidth', REFERENCE_CLASS, 'Bandwidth' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Bandwidth', 
                [], [], 
                '''                OTN Bandwidth for s2l
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cross-connect-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cross connect id
                ''',
                'cross_connect_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gpid', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Gpid Payload
                ''',
                'gpid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Incoming Controller
                ''',
                'incoming_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Incoming Controller Ifhandle
                ''',
                'incoming_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Controller
                ''',
                'incoming_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Incoming Sub Controller
                ''',
                'incoming_sub_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Incoming Sub Controller Ifhandle
                ''',
                'incoming_sub_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Sub Controller
                ''',
                'incoming_sub_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if subcontrollers are connected
                ''',
                'is_connected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('labels', REFERENCE_CLASS, 'Labels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels', 
                [], [], 
                '''                Labels
                ''',
                'labels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing Controller
                ''',
                'outgoing_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Controller Ifhandle
                ''',
                'outgoing_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Controller
                ''',
                'outgoing_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing Sub Controller
                ''',
                'outgoing_sub_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Sub Controller Ifhandle
                ''',
                'outgoing_sub_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Sub Controller
                ''',
                'outgoing_sub_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                XC Uptime
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Aps.ProtectionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Aps.ProtectionInfo',
            False, 
            [
            _MetaInfoClassMember('ho-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-Off timeout
                ''',
                'ho_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-hopresent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Hold-Off timeout present
                ''',
                'is_hopresent',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-snc-mode-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SNC mode present
                ''',
                'is_snc_mode_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-wtr-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Wait-to-Restore timeout present
                ''',
                'is_wtr_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Notification bit 
                ''',
                'nbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('obit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Operational bit
                ''',
                'obit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path protection profile type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Protecting bit
                ''',
                'pbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protect-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                LSP Protect Type
                ''',
                'protect_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Secondary bit
                ''',
                'sbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                SNC mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TCM ID
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wtr-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait-to-Restore timeout
                ''',
                'wtr_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protection-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Aps' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Aps',
            False, 
            [
            _MetaInfoClassMember('protection-info', REFERENCE_CLASS, 'ProtectionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Aps.ProtectionInfo', 
                [], [], 
                '''                Protection Info
                ''',
                'protection_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'aps',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L',
            False, 
            [
            _MetaInfoClassMember('aps', REFERENCE_CLASS, 'Aps' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Aps', 
                [], [], 
                '''                APS Info for OTN S2L
                ''',
                'aps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn', 
                [], [], 
                '''                Info Related to OTN technology in S2L
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn-s2l',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.HeadEndBfdInfo.SessionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.HeadEndBfdInfo.SessionInfo',
            False, 
            [
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'TeBfdLspSessionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdLspSessionStateEnum', 
                [], [], 
                '''                BFD session state
                ''',
                'state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('state-change-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last session state
                change
                ''',
                'state_change_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'session-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.HeadEndBfdInfo.DeletionHistory' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.HeadEndBfdInfo.DeletionHistory',
            False, 
            [
            _MetaInfoClassMember('deletion-diagnostic-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Diagnostic Code for the BFD session get deleted
                ''',
                'deletion_diagnostic_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reason for the BFD session get deleted
                ''',
                'deletion_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time stamp of the BFD session get deleted
                ''',
                'deletion_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID of the BFD session get deleted
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'deletion-history',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.HeadEndBfdInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.HeadEndBfdInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-reverse-path-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path labels
                ''',
                'bfd_reverse_path_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The BFD reverse path is stale compared to
                configuration
                ''',
                'bfd_reverse_path_stale',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('creation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the BFD session created
                ''',
                'creation_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-history', REFERENCE_CLASS, 'DeletionHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.HeadEndBfdInfo.DeletionHistory', 
                [], [], 
                '''                BFD Session Deletion History
                ''',
                'deletion_history',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-redundant', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                sBFD session is redundant
                ''',
                'is_redundant',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lspbfd-type', REFERENCE_ENUM_CLASS, 'TeVifBfdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeVifBfdEnum', 
                [], [], 
                '''                LSP BFD type
                ''',
                'lspbfd_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-info', REFERENCE_CLASS, 'SessionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.HeadEndBfdInfo.SessionInfo', 
                [], [], 
                '''                BFD Session Info
                ''',
                'session_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'head-end-bfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.TailEndBfdInfo.SessionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.TailEndBfdInfo.SessionInfo',
            False, 
            [
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'TeBfdLspSessionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdLspSessionStateEnum', 
                [], [], 
                '''                BFD session state
                ''',
                'state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('state-change-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last session state
                change
                ''',
                'state_change_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'session-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.TailEndBfdInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.TailEndBfdInfo',
            False, 
            [
            _MetaInfoClassMember('failure-diagnostic-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD session failure diagnostic code
                ''',
                'failure_diagnostic_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('failure-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                BFD session failure reason
                ''',
                'failure_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-discriminator', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Local Discriminator
                ''',
                'local_discriminator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('min-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello interval in mini second
                ''',
                'min_interval',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('min-interval-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default hello interval
                ''',
                'min_interval_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default multiplier
                ''',
                'multiplier_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-discriminator', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Remote Discrminator
                ''',
                'remote_discriminator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-info', REFERENCE_CLASS, 'SessionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.TailEndBfdInfo.SessionInfo', 
                [], [], 
                '''                BFD Session Info
                ''',
                'session_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tail-end-bfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.SrlgCollection' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.SrlgCollection',
            False, 
            [
            _MetaInfoClassMember('discovered-srlg', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Discovered SRLGs
                ''',
                'discovered_srlg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-collect-type', REFERENCE_ENUM_CLASS, 'TeSrlgCollectRequestEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSrlgCollectRequestEnum', 
                [], [], 
                '''                SRLG-collection mechanism
                ''',
                'srlg_collect_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-collection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.Association' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.Association',
            False, 
            [
            _MetaInfoClassMember('s2l-association-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Association ID
                ''',
                's2l_association_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                S2L Association Source
                ''',
                's2l_association_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-tie-role', REFERENCE_ENUM_CLASS, 'TeAssociationTieRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAssociationTieRoleEnum', 
                [], [], 
                '''                S2L Association Tie Role
                ''',
                's2l_association_tie_role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Association Type                         
                (draft-ietf-ccamp-mpls-tp-rsvpte-ext-associated-lsp)
                ''',
                's2l_association_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-extended-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L Extended ID Array
                ''',
                's2l_extended_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-global-source', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L Global Source
                ''',
                's2l_global_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'association',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.Protection' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.Protection',
            False, 
            [
            _MetaInfoClassMember('any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Any
                ''',
                'any',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ded1-plus1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1+1 Protection
                ''',
                'ded1_plus1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ded1-to1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1:1 Protection
                ''',
                'ded1_to1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('enhanced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates Enhanced Protection Scheme
                ''',
                'enhanced',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extra-traffic', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should use Links that are protecting other
                (primary) traffic
                ''',
                'extra_traffic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should not use any Link Layer Protection
                ''',
                'link_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Flags Unprotected
                ''',
                'lsp_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-plus-one-bi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Bidirectional Protection
                ''',
                'one_plus_one_bi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-plus-one-uni', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Unidirectional Protection
                ''',
                'one_plus_one_uni',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-to-n-protection-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1:N Protection with Extra-Traffic
                ''',
                'one_to_n_protection_et',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Full Rerouting
                ''',
                'rerouting',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouting-no-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Rerouting Without Extra-Traffic
                ''',
                'rerouting_no_et',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-notification', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Notification Bit
                ''',
                's2l_notification',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-operational', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Operational Bit
                ''',
                's2l_operational',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Protecting Bit
                ''',
                's2l_protecting',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-secondary', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Secondary Bit
                ''',
                's2l_secondary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Shared Link Layer Protection
                ''',
                'shared',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseLspFec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseLspFec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseLspFec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseLspFec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseLspFec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-lsp-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseTspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseTspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.FlexInfo.FlexFec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.FlexInfo.FlexFec',
            False, 
            [
            _MetaInfoClassMember('s2l-fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                Session identifier (ctype)
                ''',
                's2l_fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-dest', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                sub-LSP destination address
                ''',
                's2l_fec_dest',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                's2l_fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                's2l_fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                's2l_fec_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSP source address
                ''',
                's2l_fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                sub-LSP subgroup ID
                ''',
                's2l_fec_subgroup_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                's2l_fec_subgroup_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                's2l_fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                's2l_fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.FlexInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.FlexInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-created', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GAL BFD Session Created
                ''',
                'bfd_created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-egress-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Egress Label
                ''',
                'bfd_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-int-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Internal Label
                ''',
                'bfd_int_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                BFD Next Hop
                ''',
                'bfd_next_hop',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-out-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD Out Interface Handle
                ''',
                'bfd_out_ifh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-tun-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD Tunnel Interface Handle
                ''',
                'bfd_tun_ifh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GAL BFD Session Up
                ''',
                'bfd_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('entry-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FlexLSP Entry Exists
                ''',
                'entry_exists',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ais', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault AIS
                ''',
                'fault_ais',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ldi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LDI
                ''',
                'fault_ldi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ldi-lockout', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LDI Lockout
                ''',
                'fault_ldi_lockout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-lkr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LKR
                ''',
                'fault_lkr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Fault Time
                ''',
                'fault_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex-fec', REFERENCE_CLASS, 'FlexFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.FlexInfo.FlexFec', 
                [], [], 
                '''                FEC for the FlexLSP Entry
                ''',
                'flex_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                In Label
                ''',
                'in_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('oam-created', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                OAM Entry Created
                ''',
                'oam_created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.LspWrapInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.LspWrapInfo',
            False, 
            [
            _MetaInfoClassMember('lsp-wrap-protection-enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Wrap protection enabled
                ''',
                'lsp_wrap_protection_enable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-protection-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSP Wrap Merge Point Label
                ''',
                'lsp_wrap_protection_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-protection-state', REFERENCE_ENUM_CLASS, 'MplsTeLspWrapStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspWrapStateEnum', 
                [], [], 
                '''                LSP wrap protection state
                ''',
                'lsp_wrap_protection_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reverse Egress Interface
                ''',
                'reverse_egress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reverse LSP label
                ''',
                'reverse_lsp_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-wrap-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.DiversityInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.DiversityInfo',
            False, 
            [
            _MetaInfoClassMember('diversity-type', REFERENCE_ENUM_CLASS, 'TePpDiversityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePpDiversityEnum', 
                [], [], 
                '''                S2L path diversity type
                ''',
                'diversity_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'diversity-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.SharedRiskLinkGroup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.SharedRiskLinkGroup',
            False, 
            [
            _MetaInfoClassMember('shared-risk-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG number
                ''',
                'shared_risk_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SRLG name
                ''',
                'srlg_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'shared-risk-link-group',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutEro.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutEro.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutEro.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutEro.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutEro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutEro',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutEro.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutEro.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'out-ero',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InEro.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InEro.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InEro.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InEro.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InEro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InEro',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InEro.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InEro.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'in-ero',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.Ipv4RroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.Ipv4RroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.Ipv4RroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.Ipv4RroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.Ipv4RroSubObject.Flags', 
                [], [], 
                '''                The RRO IPV4 Subobject Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO IPV4 Address
                ''',
                'rro_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.LabelRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.LabelRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-global-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label is Global across all interfaces
                ''',
                'is_global_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.LabelRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.LabelRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.LabelRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Label Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-label-variable-length', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the RRO Subobject Label Variable Length
                ''',
                'is_label_variable_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Label Value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('variable-length-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Variable Length Label
                ''',
                'variable_length_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'label-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.UnnumberedRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.UnnumberedRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.UnnumberedRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.UnnumberedRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.UnnumberedRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Unnumbered Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO Interface Address
                ''',
                'interface_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.SrlgRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.SrlgRroSubObject',
            False, 
            [
            _MetaInfoClassMember('srl-gs', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject SRLGs
                ''',
                'srl_gs',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro',
            False, 
            [
            _MetaInfoClassMember('ipv4rro-sub-object', REFERENCE_CLASS, 'Ipv4RroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.Ipv4RroSubObject', 
                [], [], 
                '''                IPV4 RRO Sub Object
                ''',
                'ipv4rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rro-sub-object', REFERENCE_CLASS, 'LabelRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.LabelRroSubObject', 
                [], [], 
                '''                Label RRO Sub Object
                ''',
                'label_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtRroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtRroSubobjEnum', 
                [], [], 
                '''                RROType
                ''',
                'rro_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-rro-sub-object', REFERENCE_CLASS, 'SrlgRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.SrlgRroSubObject', 
                [], [], 
                '''                SRLG RRO Sub Object
                ''',
                'srlg_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-rro-sub-object', REFERENCE_CLASS, 'UnnumberedRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.UnnumberedRroSubObject', 
                [], [], 
                '''                Unnumbered RRO Sub Object
                ''',
                'unnumbered_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-rro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.Ipv4RroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.Ipv4RroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.Ipv4RroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.Ipv4RroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.Ipv4RroSubObject.Flags', 
                [], [], 
                '''                The RRO IPV4 Subobject Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO IPV4 Address
                ''',
                'rro_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.LabelRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.LabelRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-global-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label is Global across all interfaces
                ''',
                'is_global_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.LabelRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.LabelRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.LabelRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Label Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-label-variable-length', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the RRO Subobject Label Variable Length
                ''',
                'is_label_variable_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Label Value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('variable-length-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Variable Length Label
                ''',
                'variable_length_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'label-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.UnnumberedRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.UnnumberedRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.UnnumberedRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.UnnumberedRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.UnnumberedRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Unnumbered Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO Interface Address
                ''',
                'interface_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.SrlgRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.SrlgRroSubObject',
            False, 
            [
            _MetaInfoClassMember('srl-gs', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject SRLGs
                ''',
                'srl_gs',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro',
            False, 
            [
            _MetaInfoClassMember('ipv4rro-sub-object', REFERENCE_CLASS, 'Ipv4RroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.Ipv4RroSubObject', 
                [], [], 
                '''                IPV4 RRO Sub Object
                ''',
                'ipv4rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rro-sub-object', REFERENCE_CLASS, 'LabelRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.LabelRroSubObject', 
                [], [], 
                '''                Label RRO Sub Object
                ''',
                'label_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtRroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtRroSubobjEnum', 
                [], [], 
                '''                RROType
                ''',
                'rro_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-rro-sub-object', REFERENCE_CLASS, 'SrlgRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.SrlgRroSubObject', 
                [], [], 
                '''                SRLG RRO Sub Object
                ''',
                'srlg_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-rro-sub-object', REFERENCE_CLASS, 'UnnumberedRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.UnnumberedRroSubObject', 
                [], [], 
                '''                Unnumbered RRO Sub Object
                ''',
                'unnumbered_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-rro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathAffinityArray' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathAffinityArray',
            False, 
            [
            _MetaInfoClassMember('hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Hop address
                ''',
                'hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop-affinity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'hop_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop-extended-affinity', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hop affinity
                ''',
                'hop_extended_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-affinity-array',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseEroIn.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseEroIn.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseEroIn.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseEroIn.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseEroIn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseEroIn',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseEroIn.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseEroIn.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-ero-in',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.S2LSegmentRoutingPath' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.S2LSegmentRoutingPath',
            False, 
            [
            _MetaInfoClassMember('has-entropy-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Hop has EL specified
                ''',
                'has_entropy_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-ip-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node has IP addresses specified
                ''',
                'has_ip_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-mpls-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Hop has MPLS label specified
                ''',
                'has_mpls_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local IP address of adjacency or Node ID
                ''',
                'local_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mpls-label-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The MPLS label value
                ''',
                'mpls_label_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote IP address of adjacency
                ''',
                'remote_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sid-type', REFERENCE_ENUM_CLASS, 'TeSrSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSrSidEnum', 
                [], [], 
                '''                Type of the SID
                ''',
                'sid_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-segment-routing-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L',
            False, 
            [
            _MetaInfoClassMember('abr-auto-discovered', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next ABR auto discovered
                ''',
                'abr_auto_discovered',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('active-path-option', REFERENCE_CLASS, 'ActivePathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption', 
                [], [], 
                '''                The path option used to find the path for this
                S2L
                ''',
                'active_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('association', REFERENCE_CLASS, 'Association' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.Association', 
                [], [], 
                '''                Association Object
                ''',
                'association',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface handle of the backup tunnel
                ''',
                'backup_tunnel_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('diversity-info', REFERENCE_CLASS, 'DiversityInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.DiversityInfo', 
                [], [], 
                '''                S2L Diversity Information
                ''',
                'diversity_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('downstream-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Downstream router id
                ''',
                'downstream_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Egress Interface
                ''',
                'egress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface-brief', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Egress Interface in brief format
                ''',
                'egress_interface_brief',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Interface
                ''',
                'egress_interface_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Outgoing ERO's affinity bits (colors)
                ''',
                'expanded_ero_affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Outgoing ERO's affinity mask (colors)
                ''',
                'expanded_ero_affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Indicates the protocol and area used to find
                Outgoing ERO
                ''',
                'expanded_ero_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The metric value of the expanded path
                ''',
                'expanded_ero_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-metric-type', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                The Outgoing ERO's selection metric
                ''',
                'expanded_ero_metric_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex-info', REFERENCE_CLASS, 'FlexInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.FlexInfo', 
                [], [], 
                '''                FlexLSP S2L Information
                ''',
                'flex_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-out-tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FRR out tunnel intface
                ''',
                'frr_out_tunnel_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fspec', REFERENCE_CLASS, 'Fspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.Fspec', 
                [], [], 
                '''                The F spec info
                ''',
                'fspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generic-fspec', REFERENCE_CLASS, 'GenericFspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GenericFspec', 
                [], [], 
                '''                Generic FSpec
                ''',
                'generic_fspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generic-tspec', REFERENCE_CLASS, 'GenericTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GenericTspec', 
                [], [], 
                '''                Generic TSpec
                ''',
                'generic_tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gmpls-labels', REFERENCE_CLASS, 'GmplsLabels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels', 
                [], [], 
                '''                GMPLS labels
                ''',
                'gmpls_labels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('head-end-bfd-info', REFERENCE_CLASS, 'HeadEndBfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.HeadEndBfdInfo', 
                [], [], 
                '''                The Head-end BFD info
                ''',
                'head_end_bfd_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-ero', REFERENCE_LIST, 'InEro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InEro', 
                [], [], 
                '''                Incoming ERO for this S2L
                ''',
                'in_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-xro', REFERENCE_CLASS, 'InXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro', 
                [], [], 
                '''                Incoming XRO for this S2L
                ''',
                'in_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Incoming interface address
                ''',
                'incoming_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-address-generic', REFERENCE_CLASS, 'IncomingAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.IncomingAddressGeneric', 
                [], [], 
                '''                Incoming interface address
                ''',
                'incoming_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ingress Interface
                ''',
                'ingress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface-brief', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ingress Interface in brief format
                ''',
                'ingress_interface_brief',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Interface
                ''',
                'ingress_interface_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-protect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BW Protection Enabled or Disabled
                ''',
                'is_bandwidth_protect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-expanded-ero', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if this LSR expanded a loose path
                ''',
                'is_expanded_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-frr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Enabled or Disabled
                ''',
                'is_frr_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Enabled or Disabled
                ''',
                'is_node_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-optical', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Optical
                ''',
                'is_optical',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local router id
                ''',
                'local_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-info', REFERENCE_CLASS, 'LspWrapInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.LspWrapInfo', 
                [], [], 
                '''                Lsp Wrap  Related information
                ''',
                'lsp_wrap_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop address
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address-generic', REFERENCE_CLASS, 'NextHopAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.NextHopAddressGeneric', 
                [], [], 
                '''                Next hop address
                ''',
                'next_hop_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('node-hop-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hop count
                ''',
                'node_hop_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn-s2l', REFERENCE_CLASS, 'OtnS2L' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L', 
                [], [], 
                '''                Otn S2L Information
                ''',
                'otn_s2l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-ero', REFERENCE_LIST, 'OutEro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutEro', 
                [], [], 
                '''                Outgoing ERO for this S2L
                ''',
                'out_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-xro', REFERENCE_CLASS, 'OutXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro', 
                [], [], 
                '''                Outgoing XRO for this S2L
                ''',
                'out_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outbound-frr-state', REFERENCE_ENUM_CLASS, 'MplsTeFrrStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeFrrStateEnum', 
                [], [], 
                '''                Indicates outbound FRR state
                ''',
                'outbound_frr_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-affinity-array', REFERENCE_LIST, 'PathAffinityArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathAffinityArray', 
                [], [], 
                '''                Tunnel's Path hops with affinity
                ''',
                'path_affinity_array',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reeval-query-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loose path reevaluation query received at
                mid-point
                ''',
                'path_reeval_query_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-rro', REFERENCE_LIST, 'PathRro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro', 
                [], [], 
                '''                Path RRO for this S2L
                ''',
                'path_rro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-rro-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path RRO Enabled or Disabled
                ''',
                'path_rro_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-using-strict-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is using Strict SPF
                ''',
                'path_using_strict_spf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcalc-area', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IGP-area in which the S2L path was calculated
                ''',
                'pcalc_area',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Previous hop address
                ''',
                'previous_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-hop-address-generic', REFERENCE_CLASS, 'PreviousHopAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PreviousHopAddressGeneric', 
                [], [], 
                '''                Previous hop address
                ''',
                'previous_hop_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection', REFERENCE_CLASS, 'Protection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.Protection', 
                [], [], 
                '''                Protection Object
                ''',
                'protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-rro', REFERENCE_LIST, 'ResvRro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro', 
                [], [], 
                '''                Resv RRO for this S2L
                ''',
                'resv_rro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-ero-in', REFERENCE_LIST, 'ReverseEroIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseEroIn', 
                [], [], 
                '''                 Reverse Incoming ERO for this S2L
                ''',
                'reverse_ero_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Connected
                ''',
                'reverse_lsp_connected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-fec', REFERENCE_CLASS, 'ReverseLspFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseLspFec', 
                [], [], 
                '''                Reverse Associated Bidir LSP FEC
                ''',
                'reverse_lsp_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Name
                ''',
                'reverse_lsp_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Present
                ''',
                'reverse_lsp_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-tspec', REFERENCE_CLASS, 'ReverseTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseTspec', 
                [], [], 
                '''                The Reverse T spec info
                ''',
                'reverse_tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The reverse path weight
                ''',
                'reverse_weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('role', REFERENCE_ENUM_CLASS, 'MplsTeTunnelRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelRoleEnum', 
                [], [], 
                '''                Role of S2L
                ''',
                'role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-convergence', REFERENCE_CLASS, 'S2LConvergence' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.S2LConvergence', 
                [], [], 
                '''                TE LSP convergence related information
                ''',
                's2l_convergence',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec', REFERENCE_CLASS, 'S2LFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.S2LFec', 
                [], [], 
                '''                FEC for the S2L
                ''',
                's2l_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label
                ''',
                's2l_local_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing label
                ''',
                's2l_out_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-ero-obj-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2l Reverse ERO Object Present
                ''',
                's2l_reverse_ero_obj_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-lsp-sub-obj', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Reverse LSP Sub Objects
                ''',
                's2l_reverse_lsp_sub_obj',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-tspec-obj-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Reverse TSpec Object Present
                ''',
                's2l_reverse_tspec_obj_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-segment-routing-path', REFERENCE_LIST, 'S2LSegmentRoutingPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.S2LSegmentRoutingPath', 
                [], [], 
                '''                Segment-Routing S2L path info
                ''',
                's2l_segment_routing_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared-risk-link-group', REFERENCE_LIST, 'SharedRiskLinkGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.SharedRiskLinkGroup', 
                [], [], 
                '''                The S2L's excluded srlg groups
                ''',
                'shared_risk_link_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-status', REFERENCE_ENUM_CLASS, 'MplsTeTunnelsSignalingStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelsSignalingStatusEnum', 
                [], [], 
                '''                Signaling status
                ''',
                'signalling_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption', REFERENCE_CLASS, 'SoftPreemption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.SoftPreemption', 
                [], [], 
                '''                The soft preemption info for this LSP.
                ''',
                'soft_preemption',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-collection', REFERENCE_CLASS, 'SrlgCollection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.SrlgCollection', 
                [], [], 
                '''                SRLG-collection data
                ''',
                'srlg_collection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tail-end-bfd-info', REFERENCE_CLASS, 'TailEndBfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.TailEndBfdInfo', 
                [], [], 
                '''                The Tail-end BFD info
                ''',
                'tail_end_bfd_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-preferred-path-exists-send-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last preferred path exists msg send
                from mid-point
                ''',
                'time_since_last_preferred_path_exists_send_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-preferred-tree-exists-send-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last preferred tree exists msg send
                from mid-point
                ''',
                'time_since_last_preferred_tree_exists_send_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-query-received-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last reevaluation query received at
                mid-point
                ''',
                'time_since_last_query_received_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tspec', REFERENCE_CLASS, 'Tspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.Tspec', 
                [], [], 
                '''                The T spec info
                ''',
                'tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('upstream-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Upstream router id
                ''',
                'upstream_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the tunnel was up
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The path's weight
                ''',
                'weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote',
            False, 
            [
            _MetaInfoClassMember('ctype', REFERENCE_ENUM_CLASS, 'CtypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'CtypeEnum', 
                [], [], 
                '''                Ctype
                ''',
                'ctype',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination Address
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                LSP ID
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                P2MP ID
                ''',
                'p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('dste-class-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Matching DSTE class index
                ''',
                'dste_class_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-match', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Do the class type and priority match a DSTE
                class
                ''',
                'dste_class_match',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-active-reason', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP LSP FRR active reason
                ''',
                'frr_active_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-frr-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                P2MP LSP has FRR Failed
                ''',
                'is_frr_failed',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True for tunnel head
                ''',
                'is_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-passive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True for passive tunnel
                ''',
                'is_passive',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-path-change', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last path change
                ''',
                'last_path_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP LSP Bandwidth
                ''',
                'lsp_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The LSP bandwidth type
                ''',
                'lsp_bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-fec', REFERENCE_CLASS, 'LspFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.LspFec', 
                [], [], 
                '''                FEC for the LSP
                ''',
                'lsp_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSP hold priority
                ''',
                'lsp_hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSP setup priority
                ''',
                'lsp_setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('persistent-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Persistent forwarding statistics for number of
                bytes. Clear counters will not reset the counter
                ''',
                'persistent_bytes',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('persistent-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Persistent forwarding statistics for Number of
                packets. Clear counters will not reset the
                counter
                ''',
                'persistent_packets',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimize-reason', REFERENCE_ENUM_CLASS, 'MplsTeReoptDecisionReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeReoptDecisionReasonEnum', 
                [], [], 
                '''                Reason for re-optimization
                ''',
                'reoptimize_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimize-trigger', REFERENCE_ENUM_CLASS, 'MteReoptTriggerEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MteReoptTriggerEnum', 
                [], [], 
                '''                Re-optimize trigger
                ''',
                'reoptimize_trigger',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-down', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of down S2Ls
                ''',
                's2_ls_down',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-proceeding', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of proceeding S2Ls
                ''',
                's2_ls_proceeding',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of connected S2Ls
                ''',
                's2_ls_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l', REFERENCE_LIST, 'S2L' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L', 
                [], [], 
                '''                array of S2L structures
                ''',
                's2l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signaled-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signaled Name
                ''',
                'signaled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('timer-left', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds left to take next action if any
                ''',
                'timer_left',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MplsTeLspEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspEnum', 
                [], [], 
                '''                The type of this LSP
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the tunnel was up
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tunnel-remote',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelRemotes',
            False, 
            [
            _MetaInfoClassMember('tunnel-remote', REFERENCE_LIST, 'TunnelRemote' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote', 
                [], [], 
                '''                P2P or P2MP tunnel that is a mid or tail
                ''',
                'tunnel_remote',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tunnel-remotes',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Config.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Config.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Config.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Config.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Config.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Config.BidirectionalConfig' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Config.BidirectionalConfig',
            False, 
            [
            _MetaInfoClassMember('association-corouted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the association co-routed
                ''',
                'association_corouted',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('association-global-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The association global ID
                ''',
                'association_global_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('association-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The association ID
                ''',
                'association_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('association-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The association source
                ''',
                'association_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('association-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Association Type
                (draft-ietf-ccamp-mpls-tp-rsvpte-ext-associated-lsp)
                ''',
                'association_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bidirectional-config',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Config.BfdConfig' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Config.BfdConfig',
            False, 
            [
            _MetaInfoClassMember('bfd-encap-mode', REFERENCE_ENUM_CLASS, 'TeVifBfdEncapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeVifBfdEncapModeEnum', 
                [], [], 
                '''                BFD Encap Mode
                ''',
                'bfd_encap_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-fast-detecting-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Deprecated
                ''',
                'bfd_fast_detecting_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-session-down-action', REFERENCE_ENUM_CLASS, 'MplsTeBfdSessionDownAction1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBfdSessionDownAction1Enum', 
                [], [], 
                '''                BFD Session Down Action
                ''',
                'bfd_session_down_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-session-down-reopt-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Session Down Reopt Timeout
                ''',
                'bfd_session_down_reopt_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-type', REFERENCE_ENUM_CLASS, 'TeVifBfdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeVifBfdEnum', 
                [], [], 
                '''                BFD Type
                ''',
                'bfd_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bring-up-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bring Up Timeout in second
                ''',
                'bring_up_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bring-up-timeout-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default bring up timeout
                ''',
                'bring_up_timeout_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dampening-initial-wait', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening initial wait time in milliseconds
                ''',
                'dampening_initial_wait',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dampening-initial-wait-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default dampening inital wait time
                ''',
                'dampening_initial_wait_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dampening-max-wait', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening max wait time in milliseconds
                ''',
                'dampening_max_wait',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dampening-max-wait-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default dampening max wait time
                ''',
                'dampening_max_wait_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dampening-secondary-wait', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening secondary wait time in milliseconds
                ''',
                'dampening_secondary_wait',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dampening-secondary-wait-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default dampening secondary wait time
                ''',
                'dampening_secondary_wait_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('min-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello interval in milliseconds
                ''',
                'min_interval',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('min-interval-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default hello interval
                ''',
                'min_interval_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default multiplier
                ''',
                'multiplier_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('periodic-lsp-ping-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Periodic LSP Ping disabled
                ''',
                'periodic_lsp_ping_disabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('periodic-lsp-ping-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Periodic LSP Ping interval in seconds
                ''',
                'periodic_lsp_ping_interval',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('periodic-lsp-ping-interval-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default LSP Ping interval
                ''',
                'periodic_lsp_ping_interval_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sbfd-target-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                SBFD Target ID
                ''',
                'sbfd_target_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-config',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Config.AutorouteDestination' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Config.AutorouteDestination',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'autoroute-destination',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Config' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Config',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Config.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-failure-reopt-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AffinityFailureReoptTimer
                ''',
                'affinity_failure_reopt_timer',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('autoroute-destination', REFERENCE_LIST, 'AutorouteDestination' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Config.AutorouteDestination', 
                [], [], 
                '''                Autoroute Destinations list
                ''',
                'autoroute_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup bandwidth
                ''',
                'backup_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-bandwidth-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Backup bandwidth flags
                ''',
                'backup_bandwidth_flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-config', REFERENCE_CLASS, 'BfdConfig' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Config.BfdConfig', 
                [], [], 
                '''                BFD Configuration Information
                ''',
                'bfd_config',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bidirectional-config', REFERENCE_CLASS, 'BidirectionalConfig' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Config.BidirectionalConfig', 
                [], [], 
                '''                Bidirectional Configuration Information
                ''',
                'bidirectional_config',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('config-load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Config loadshare
                ''',
                'config_load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured Bandwidth
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit-global', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global Cost Limit
                ''',
                'cost_limit_global',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('disable-affinity-failure-reopt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                DisableAffinityFailureReopt
                ''',
                'disable_affinity_failure_reopt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-null-imposition', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Imposition of Explicit NULL
                ''',
                'explicit_null_imposition',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute enabled
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hop Limit
                ''',
                'hop_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured Interface Bandwidth
                ''',
                'interface_configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-backup-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if this is a backup tunnel
                ''',
                'is_backup_tunnel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-in-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is in config
                ''',
                'is_in_config',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-p2mp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if tunnel is a P2MP tunnel
                ''',
                'is_p2mp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action on the tunnel path
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action-source', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action configuration source
                ''',
                'path_invalidation_action_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout interval on the tunnel
                path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout-source', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout configuration source
                ''',
                'path_invalidation_timeout_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-protection-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Protection enabled
                ''',
                'path_protection_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('payload-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Payload type
                ''',
                'payload_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('segment-routing-path-selection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Segment-Routing path selection type
                ''',
                'segment_routing_path_selection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signaled-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signaled name
                ''',
                'signaled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preempt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption enabled
                ''',
                'soft_preempt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-discovery', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SRLG-discovery enabled
                ''',
                'srlg_discovery',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel id
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'config',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.LspFec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.LspFec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.LspFec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.LspFec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.LspFec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.S2LFec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.S2LFec',
            False, 
            [
            _MetaInfoClassMember('s2l-fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                Session identifier (ctype)
                ''',
                's2l_fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-dest', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                sub-LSP destination address
                ''',
                's2l_fec_dest',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                's2l_fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                's2l_fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                's2l_fec_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSP source address
                ''',
                's2l_fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                sub-LSP subgroup ID
                ''',
                's2l_fec_subgroup_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                's2l_fec_subgroup_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                's2l_fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                's2l_fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.PathCalculationError' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.PathCalculationError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-calculation-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.RemergeError' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.RemergeError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'remerge-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.SignallingError' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.SignallingError',
            False, 
            [
            _MetaInfoClassMember('error', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Path Error code
                ''',
                'error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Source address of the error generating node
                ''',
                'error_node',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSPMode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if error is on the reverse LSP
                ''',
                'reverse_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP-id for which the error was received
                ''',
                'signalling_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path Error subcode
                ''',
                'sub_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalling-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption',
            False, 
            [
            _MetaInfoClassMember('attribute-set', REFERENCE_CLASS, 'AttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet', 
                [], [], 
                '''                The path option attribute set used by this path
                ''',
                'attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-found', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has found the defined attribute
                set
                ''',
                'attribute_set_found',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Explicit Path ID, this is the key to table
                ExplicitPaths.IdentifierTable
                ''',
                'explicit_path_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Explicit Path Name, this is the key to table
                ExplicitPaths.NameTable
                ''',
                'explicit_path_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has an attribute set defined
                ''',
                'has_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-xro-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has an XRO attribute set
                configured
                ''',
                'has_xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('holddown-duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Holddown Duration (seconds)
                ''',
                'holddown_duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path option is disabled
                ''',
                'is_disabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-helddown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if path is helddown
                ''',
                'is_helddown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-lockdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is locked down
                ''',
                'is_lockdown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-segment-routing', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is Segment-Routing
                ''',
                'is_segment_routing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-explicit-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if explicit path is strict
                ''',
                'is_strict_explicit_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-verbatim', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is verbatim
                ''',
                'is_verbatim',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index
                ''',
                'option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index-is-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The path option index is valid
                ''',
                'option_index_is_valid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-calculation-error', REFERENCE_LIST, 'PathCalculationError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.PathCalculationError', 
                [], [], 
                '''                Path computation information
                ''',
                'path_calculation_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The path-option area constraint
                ''',
                'path_option_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path option name
                ''',
                'path_option_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-type', REFERENCE_ENUM_CLASS, 'MplsTePathoptionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTePathoptionEnum', 
                [], [], 
                '''                Path option type
                ''',
                'path_option_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                PCE server address
                ''',
                'pce_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-by-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for Protect path options
                ''',
                'protected_by_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remerge-error', REFERENCE_LIST, 'RemergeError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.RemergeError', 
                [], [], 
                '''                Path computation remerge resolve info
                ''',
                'remerge_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restored-from-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for Restore path options
                ''',
                'restored_from_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-error', REFERENCE_LIST, 'SignallingError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.SignallingError', 
                [], [], 
                '''                Signalling information
                ''',
                'signalling_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set', REFERENCE_CLASS, 'XroAttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet', 
                [], [], 
                '''                The XRO attribute set used by this path-option
                ''',
                'xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set-found', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path's XRO attribute set is known
                ''',
                'xro_attribute_set_found',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'active-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'out-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'in-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.Tspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.Tspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GenericTspec.Otntspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GenericTspec.Otntspec',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit Rate in kbps
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nmc-or-tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                NMC or Tolerance
                ''',
                'nmc_or_tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Virtual Components
                ''',
                'nvc',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otntspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GenericTspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GenericTspec',
            False, 
            [
            _MetaInfoClassMember('otntspec', REFERENCE_CLASS, 'Otntspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GenericTspec.Otntspec', 
                [], [], 
                '''                TE TSpec for G709 OTN
                ''',
                'otntspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tspec-type', REFERENCE_ENUM_CLASS, 'TeMgmtGenericTspecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeMgmtGenericTspecEnum', 
                [], [], 
                '''                TSpecType
                ''',
                'tspec_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'generic-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.Fspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.Fspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GenericFspec.Otnfspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GenericFspec.Otnfspec',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit Rate in kbps
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nmc-or-tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                NMC or Tolerance
                ''',
                'nmc_or_tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Virtual Components
                ''',
                'nvc',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otnfspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GenericFspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GenericFspec',
            False, 
            [
            _MetaInfoClassMember('fspec-type', REFERENCE_ENUM_CLASS, 'TeMgmtGenericFspecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeMgmtGenericFspecEnum', 
                [], [], 
                '''                FSpecType
                ''',
                'fspec_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otnfspec', REFERENCE_CLASS, 'Otnfspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GenericFspec.Otnfspec', 
                [], [], 
                '''                TE FSpec for G709 OTN
                ''',
                'otnfspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'generic-fspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.NextHopAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.NextHopAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.NextHopAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.NextHopAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.NextHopAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'next-hop-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'previous-hop-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.IncomingAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.IncomingAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.IncomingAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.IncomingAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.IncomingAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'incoming-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.S2LConvergence' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.S2LConvergence',
            False, 
            [
            _MetaInfoClassMember('creation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tunnel creation timestamp (clocktime in nsecs)
                ''',
                'creation_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rewrite', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP Label rewrite timestamp (clocktime in nsecs)
                ''',
                'label_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Path-in timestamp (clocktime in nsecs)
                ''',
                'path_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Path-in timestamp (clocktime in nsecs)
                ''',
                'path_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Resv-in timestamp (clocktime in nsecs)
                ''',
                'resv_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Resv-out timestamp (clocktime in nsecs)
                ''',
                'resv_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-rewrite', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tunnel rewrite timestamp (clocktime in nsecs)
                ''',
                'tunnel_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-convergence',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.SoftPreemption' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.SoftPreemption',
            False, 
            [
            _MetaInfoClassMember('fr-rrewrite', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR-rewrite during soft preemption
                ''',
                'fr_rrewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fr-rrewrite-tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The tunnel name of the backup
                ''',
                'fr_rrewrite_tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('preempting-link-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The address of the link where the preemption
                happened
                ''',
                'preempting_link_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-link', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the link where the soft preemption
                occurred
                ''',
                'soft_preemption_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The POSIX timestamp when the soft preemption
                occurred
                ''',
                'soft_preemption_timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'MplsTeSoftPreemptionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeSoftPreemptionStateEnum', 
                [], [], 
                '''                The current state of the soft preemption
                operation
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-to-hard-preemption', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The number of seconds until hard preemption is
                triggered
                ''',
                'time_to_hard_preemption',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'soft-preemption',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels',
            False, 
            [
            _MetaInfoClassMember('path-egress-label', REFERENCE_CLASS, 'PathEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel', 
                [], [], 
                '''                Path message (upstream) egress label
                ''',
                'path_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-ingress-label', REFERENCE_CLASS, 'PathIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel', 
                [], [], 
                '''                Path message (upstream) ingress label
                ''',
                'path_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-egress-label', REFERENCE_CLASS, 'ResvEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel', 
                [], [], 
                '''                Resv message (downstream) egress label
                ''',
                'resv_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-ingress-label', REFERENCE_CLASS, 'ResvIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel', 
                [], [], 
                '''                Resv message (downstream) ingress label
                ''',
                'resv_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'gmpls-labels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tolerance
                ''',
                'tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-cbr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-gfp-f-res',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-gfp-f-non-res',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth',
            False, 
            [
            _MetaInfoClassMember('odu-flex-cbr', REFERENCE_CLASS, 'OduFlexCbr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr', 
                [], [], 
                '''                Odu flex CBR info
                ''',
                'odu_flex_cbr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-flex-gfp-f-non-res', REFERENCE_CLASS, 'OduFlexGfpFNonRes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes', 
                [], [], 
                '''                Odu flex GFP-F non-resizable info
                ''',
                'odu_flex_gfp_f_non_res',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-flex-gfp-f-res', REFERENCE_CLASS, 'OduFlexGfpFRes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes', 
                [], [], 
                '''                Odu flex GFP-F resizable info
                ''',
                'odu_flex_gfp_f_res',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-level', REFERENCE_ENUM_CLASS, 'TeOduLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeOduLevelEnum', 
                [], [], 
                '''                ODULevel
                ''',
                'odu_level',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels',
            False, 
            [
            _MetaInfoClassMember('path-egress-label', REFERENCE_CLASS, 'PathEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel', 
                [], [], 
                '''                Path message (upstream) egress label
                ''',
                'path_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-ingress-label', REFERENCE_CLASS, 'PathIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel', 
                [], [], 
                '''                Path message (upstream) ingress label
                ''',
                'path_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-egress-label', REFERENCE_CLASS, 'ResvEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel', 
                [], [], 
                '''                Resv message (downstream) egress label
                ''',
                'resv_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-ingress-label', REFERENCE_CLASS, 'ResvIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel', 
                [], [], 
                '''                Resv message (downstream) ingress label
                ''',
                'resv_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'labels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn',
            False, 
            [
            _MetaInfoClassMember('bandwidth', REFERENCE_CLASS, 'Bandwidth' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth', 
                [], [], 
                '''                OTN Bandwidth for s2l
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cross-connect-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cross connect id
                ''',
                'cross_connect_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gpid', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Gpid Payload
                ''',
                'gpid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Incoming Controller
                ''',
                'incoming_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Incoming Controller Ifhandle
                ''',
                'incoming_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Controller
                ''',
                'incoming_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Incoming Sub Controller
                ''',
                'incoming_sub_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Incoming Sub Controller Ifhandle
                ''',
                'incoming_sub_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Sub Controller
                ''',
                'incoming_sub_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if subcontrollers are connected
                ''',
                'is_connected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('labels', REFERENCE_CLASS, 'Labels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels', 
                [], [], 
                '''                Labels
                ''',
                'labels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing Controller
                ''',
                'outgoing_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Controller Ifhandle
                ''',
                'outgoing_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Controller
                ''',
                'outgoing_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing Sub Controller
                ''',
                'outgoing_sub_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Sub Controller Ifhandle
                ''',
                'outgoing_sub_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Sub Controller
                ''',
                'outgoing_sub_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                XC Uptime
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Aps.ProtectionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Aps.ProtectionInfo',
            False, 
            [
            _MetaInfoClassMember('ho-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-Off timeout
                ''',
                'ho_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-hopresent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Hold-Off timeout present
                ''',
                'is_hopresent',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-snc-mode-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SNC mode present
                ''',
                'is_snc_mode_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-wtr-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Wait-to-Restore timeout present
                ''',
                'is_wtr_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Notification bit 
                ''',
                'nbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('obit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Operational bit
                ''',
                'obit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path protection profile type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Protecting bit
                ''',
                'pbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protect-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                LSP Protect Type
                ''',
                'protect_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Secondary bit
                ''',
                'sbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                SNC mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TCM ID
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wtr-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait-to-Restore timeout
                ''',
                'wtr_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protection-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Aps' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Aps',
            False, 
            [
            _MetaInfoClassMember('protection-info', REFERENCE_CLASS, 'ProtectionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Aps.ProtectionInfo', 
                [], [], 
                '''                Protection Info
                ''',
                'protection_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'aps',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L',
            False, 
            [
            _MetaInfoClassMember('aps', REFERENCE_CLASS, 'Aps' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Aps', 
                [], [], 
                '''                APS Info for OTN S2L
                ''',
                'aps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn', 
                [], [], 
                '''                Info Related to OTN technology in S2L
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn-s2l',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.HeadEndBfdInfo.SessionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.HeadEndBfdInfo.SessionInfo',
            False, 
            [
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'TeBfdLspSessionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdLspSessionStateEnum', 
                [], [], 
                '''                BFD session state
                ''',
                'state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('state-change-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last session state
                change
                ''',
                'state_change_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'session-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.HeadEndBfdInfo.DeletionHistory' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.HeadEndBfdInfo.DeletionHistory',
            False, 
            [
            _MetaInfoClassMember('deletion-diagnostic-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Diagnostic Code for the BFD session get deleted
                ''',
                'deletion_diagnostic_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reason for the BFD session get deleted
                ''',
                'deletion_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time stamp of the BFD session get deleted
                ''',
                'deletion_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID of the BFD session get deleted
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'deletion-history',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.HeadEndBfdInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.HeadEndBfdInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-reverse-path-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path labels
                ''',
                'bfd_reverse_path_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The BFD reverse path is stale compared to
                configuration
                ''',
                'bfd_reverse_path_stale',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('creation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the BFD session created
                ''',
                'creation_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-history', REFERENCE_CLASS, 'DeletionHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.HeadEndBfdInfo.DeletionHistory', 
                [], [], 
                '''                BFD Session Deletion History
                ''',
                'deletion_history',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-redundant', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                sBFD session is redundant
                ''',
                'is_redundant',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lspbfd-type', REFERENCE_ENUM_CLASS, 'TeVifBfdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeVifBfdEnum', 
                [], [], 
                '''                LSP BFD type
                ''',
                'lspbfd_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-info', REFERENCE_CLASS, 'SessionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.HeadEndBfdInfo.SessionInfo', 
                [], [], 
                '''                BFD Session Info
                ''',
                'session_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'head-end-bfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.TailEndBfdInfo.SessionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.TailEndBfdInfo.SessionInfo',
            False, 
            [
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'TeBfdLspSessionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdLspSessionStateEnum', 
                [], [], 
                '''                BFD session state
                ''',
                'state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('state-change-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last session state
                change
                ''',
                'state_change_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'session-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.TailEndBfdInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.TailEndBfdInfo',
            False, 
            [
            _MetaInfoClassMember('failure-diagnostic-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD session failure diagnostic code
                ''',
                'failure_diagnostic_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('failure-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                BFD session failure reason
                ''',
                'failure_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-discriminator', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Local Discriminator
                ''',
                'local_discriminator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('min-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello interval in mini second
                ''',
                'min_interval',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('min-interval-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default hello interval
                ''',
                'min_interval_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default multiplier
                ''',
                'multiplier_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-discriminator', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Remote Discrminator
                ''',
                'remote_discriminator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-info', REFERENCE_CLASS, 'SessionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.TailEndBfdInfo.SessionInfo', 
                [], [], 
                '''                BFD Session Info
                ''',
                'session_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tail-end-bfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.SrlgCollection' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.SrlgCollection',
            False, 
            [
            _MetaInfoClassMember('discovered-srlg', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Discovered SRLGs
                ''',
                'discovered_srlg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-collect-type', REFERENCE_ENUM_CLASS, 'TeSrlgCollectRequestEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSrlgCollectRequestEnum', 
                [], [], 
                '''                SRLG-collection mechanism
                ''',
                'srlg_collect_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-collection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.Association' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.Association',
            False, 
            [
            _MetaInfoClassMember('s2l-association-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Association ID
                ''',
                's2l_association_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                S2L Association Source
                ''',
                's2l_association_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-tie-role', REFERENCE_ENUM_CLASS, 'TeAssociationTieRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAssociationTieRoleEnum', 
                [], [], 
                '''                S2L Association Tie Role
                ''',
                's2l_association_tie_role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Association Type                         
                (draft-ietf-ccamp-mpls-tp-rsvpte-ext-associated-lsp)
                ''',
                's2l_association_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-extended-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L Extended ID Array
                ''',
                's2l_extended_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-global-source', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L Global Source
                ''',
                's2l_global_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'association',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.Protection' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.Protection',
            False, 
            [
            _MetaInfoClassMember('any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Any
                ''',
                'any',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ded1-plus1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1+1 Protection
                ''',
                'ded1_plus1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ded1-to1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1:1 Protection
                ''',
                'ded1_to1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('enhanced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates Enhanced Protection Scheme
                ''',
                'enhanced',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extra-traffic', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should use Links that are protecting other
                (primary) traffic
                ''',
                'extra_traffic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should not use any Link Layer Protection
                ''',
                'link_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Flags Unprotected
                ''',
                'lsp_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-plus-one-bi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Bidirectional Protection
                ''',
                'one_plus_one_bi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-plus-one-uni', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Unidirectional Protection
                ''',
                'one_plus_one_uni',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-to-n-protection-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1:N Protection with Extra-Traffic
                ''',
                'one_to_n_protection_et',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Full Rerouting
                ''',
                'rerouting',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouting-no-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Rerouting Without Extra-Traffic
                ''',
                'rerouting_no_et',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-notification', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Notification Bit
                ''',
                's2l_notification',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-operational', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Operational Bit
                ''',
                's2l_operational',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Protecting Bit
                ''',
                's2l_protecting',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-secondary', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Secondary Bit
                ''',
                's2l_secondary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Shared Link Layer Protection
                ''',
                'shared',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseLspFec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseLspFec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseLspFec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseLspFec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseLspFec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-lsp-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseTspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseTspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.FlexInfo.FlexFec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.FlexInfo.FlexFec',
            False, 
            [
            _MetaInfoClassMember('s2l-fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                Session identifier (ctype)
                ''',
                's2l_fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-dest', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                sub-LSP destination address
                ''',
                's2l_fec_dest',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                's2l_fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                's2l_fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                's2l_fec_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSP source address
                ''',
                's2l_fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                sub-LSP subgroup ID
                ''',
                's2l_fec_subgroup_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                's2l_fec_subgroup_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                's2l_fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                's2l_fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.FlexInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.FlexInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-created', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GAL BFD Session Created
                ''',
                'bfd_created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-egress-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Egress Label
                ''',
                'bfd_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-int-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Internal Label
                ''',
                'bfd_int_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                BFD Next Hop
                ''',
                'bfd_next_hop',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-out-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD Out Interface Handle
                ''',
                'bfd_out_ifh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-tun-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD Tunnel Interface Handle
                ''',
                'bfd_tun_ifh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GAL BFD Session Up
                ''',
                'bfd_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('entry-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FlexLSP Entry Exists
                ''',
                'entry_exists',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ais', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault AIS
                ''',
                'fault_ais',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ldi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LDI
                ''',
                'fault_ldi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ldi-lockout', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LDI Lockout
                ''',
                'fault_ldi_lockout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-lkr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LKR
                ''',
                'fault_lkr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Fault Time
                ''',
                'fault_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex-fec', REFERENCE_CLASS, 'FlexFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.FlexInfo.FlexFec', 
                [], [], 
                '''                FEC for the FlexLSP Entry
                ''',
                'flex_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                In Label
                ''',
                'in_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('oam-created', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                OAM Entry Created
                ''',
                'oam_created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.LspWrapInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.LspWrapInfo',
            False, 
            [
            _MetaInfoClassMember('lsp-wrap-protection-enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Wrap protection enabled
                ''',
                'lsp_wrap_protection_enable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-protection-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSP Wrap Merge Point Label
                ''',
                'lsp_wrap_protection_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-protection-state', REFERENCE_ENUM_CLASS, 'MplsTeLspWrapStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspWrapStateEnum', 
                [], [], 
                '''                LSP wrap protection state
                ''',
                'lsp_wrap_protection_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reverse Egress Interface
                ''',
                'reverse_egress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reverse LSP label
                ''',
                'reverse_lsp_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-wrap-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.DiversityInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.DiversityInfo',
            False, 
            [
            _MetaInfoClassMember('diversity-type', REFERENCE_ENUM_CLASS, 'TePpDiversityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePpDiversityEnum', 
                [], [], 
                '''                S2L path diversity type
                ''',
                'diversity_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'diversity-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.SharedRiskLinkGroup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.SharedRiskLinkGroup',
            False, 
            [
            _MetaInfoClassMember('shared-risk-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG number
                ''',
                'shared_risk_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SRLG name
                ''',
                'srlg_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'shared-risk-link-group',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutEro.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutEro.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutEro.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutEro.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutEro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutEro',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutEro.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutEro.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'out-ero',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InEro.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InEro.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InEro.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InEro.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InEro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InEro',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InEro.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InEro.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'in-ero',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.Ipv4RroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.Ipv4RroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.Ipv4RroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.Ipv4RroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.Ipv4RroSubObject.Flags', 
                [], [], 
                '''                The RRO IPV4 Subobject Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO IPV4 Address
                ''',
                'rro_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.LabelRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.LabelRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-global-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label is Global across all interfaces
                ''',
                'is_global_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.LabelRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.LabelRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.LabelRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Label Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-label-variable-length', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the RRO Subobject Label Variable Length
                ''',
                'is_label_variable_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Label Value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('variable-length-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Variable Length Label
                ''',
                'variable_length_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'label-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.UnnumberedRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.UnnumberedRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.UnnumberedRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.UnnumberedRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.UnnumberedRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Unnumbered Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO Interface Address
                ''',
                'interface_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.SrlgRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.SrlgRroSubObject',
            False, 
            [
            _MetaInfoClassMember('srl-gs', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject SRLGs
                ''',
                'srl_gs',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro',
            False, 
            [
            _MetaInfoClassMember('ipv4rro-sub-object', REFERENCE_CLASS, 'Ipv4RroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.Ipv4RroSubObject', 
                [], [], 
                '''                IPV4 RRO Sub Object
                ''',
                'ipv4rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rro-sub-object', REFERENCE_CLASS, 'LabelRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.LabelRroSubObject', 
                [], [], 
                '''                Label RRO Sub Object
                ''',
                'label_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtRroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtRroSubobjEnum', 
                [], [], 
                '''                RROType
                ''',
                'rro_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-rro-sub-object', REFERENCE_CLASS, 'SrlgRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.SrlgRroSubObject', 
                [], [], 
                '''                SRLG RRO Sub Object
                ''',
                'srlg_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-rro-sub-object', REFERENCE_CLASS, 'UnnumberedRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.UnnumberedRroSubObject', 
                [], [], 
                '''                Unnumbered RRO Sub Object
                ''',
                'unnumbered_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-rro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.Ipv4RroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.Ipv4RroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.Ipv4RroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.Ipv4RroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.Ipv4RroSubObject.Flags', 
                [], [], 
                '''                The RRO IPV4 Subobject Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO IPV4 Address
                ''',
                'rro_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.LabelRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.LabelRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-global-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label is Global across all interfaces
                ''',
                'is_global_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.LabelRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.LabelRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.LabelRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Label Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-label-variable-length', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the RRO Subobject Label Variable Length
                ''',
                'is_label_variable_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Label Value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('variable-length-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Variable Length Label
                ''',
                'variable_length_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'label-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.UnnumberedRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.UnnumberedRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Unnumbered Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO Interface Address
                ''',
                'interface_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.SrlgRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.SrlgRroSubObject',
            False, 
            [
            _MetaInfoClassMember('srl-gs', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject SRLGs
                ''',
                'srl_gs',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro',
            False, 
            [
            _MetaInfoClassMember('ipv4rro-sub-object', REFERENCE_CLASS, 'Ipv4RroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.Ipv4RroSubObject', 
                [], [], 
                '''                IPV4 RRO Sub Object
                ''',
                'ipv4rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rro-sub-object', REFERENCE_CLASS, 'LabelRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.LabelRroSubObject', 
                [], [], 
                '''                Label RRO Sub Object
                ''',
                'label_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtRroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtRroSubobjEnum', 
                [], [], 
                '''                RROType
                ''',
                'rro_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-rro-sub-object', REFERENCE_CLASS, 'SrlgRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.SrlgRroSubObject', 
                [], [], 
                '''                SRLG RRO Sub Object
                ''',
                'srlg_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-rro-sub-object', REFERENCE_CLASS, 'UnnumberedRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.UnnumberedRroSubObject', 
                [], [], 
                '''                Unnumbered RRO Sub Object
                ''',
                'unnumbered_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-rro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathAffinityArray' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathAffinityArray',
            False, 
            [
            _MetaInfoClassMember('hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Hop address
                ''',
                'hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop-affinity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'hop_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop-extended-affinity', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hop affinity
                ''',
                'hop_extended_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-affinity-array',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseEroIn.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseEroIn.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseEroIn.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseEroIn.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseEroIn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseEroIn',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseEroIn.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseEroIn.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-ero-in',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.S2LSegmentRoutingPath' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.S2LSegmentRoutingPath',
            False, 
            [
            _MetaInfoClassMember('has-entropy-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Hop has EL specified
                ''',
                'has_entropy_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-ip-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node has IP addresses specified
                ''',
                'has_ip_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-mpls-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Hop has MPLS label specified
                ''',
                'has_mpls_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local IP address of adjacency or Node ID
                ''',
                'local_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mpls-label-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The MPLS label value
                ''',
                'mpls_label_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote IP address of adjacency
                ''',
                'remote_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sid-type', REFERENCE_ENUM_CLASS, 'TeSrSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSrSidEnum', 
                [], [], 
                '''                Type of the SID
                ''',
                'sid_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-segment-routing-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L',
            False, 
            [
            _MetaInfoClassMember('abr-auto-discovered', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next ABR auto discovered
                ''',
                'abr_auto_discovered',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('active-path-option', REFERENCE_CLASS, 'ActivePathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption', 
                [], [], 
                '''                The path option used to find the path for this
                S2L
                ''',
                'active_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('association', REFERENCE_CLASS, 'Association' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.Association', 
                [], [], 
                '''                Association Object
                ''',
                'association',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface handle of the backup tunnel
                ''',
                'backup_tunnel_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('diversity-info', REFERENCE_CLASS, 'DiversityInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.DiversityInfo', 
                [], [], 
                '''                S2L Diversity Information
                ''',
                'diversity_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('downstream-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Downstream router id
                ''',
                'downstream_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Egress Interface
                ''',
                'egress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface-brief', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Egress Interface in brief format
                ''',
                'egress_interface_brief',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Interface
                ''',
                'egress_interface_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Outgoing ERO's affinity bits (colors)
                ''',
                'expanded_ero_affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Outgoing ERO's affinity mask (colors)
                ''',
                'expanded_ero_affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Indicates the protocol and area used to find
                Outgoing ERO
                ''',
                'expanded_ero_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The metric value of the expanded path
                ''',
                'expanded_ero_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-metric-type', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                The Outgoing ERO's selection metric
                ''',
                'expanded_ero_metric_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex-info', REFERENCE_CLASS, 'FlexInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.FlexInfo', 
                [], [], 
                '''                FlexLSP S2L Information
                ''',
                'flex_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-out-tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FRR out tunnel intface
                ''',
                'frr_out_tunnel_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fspec', REFERENCE_CLASS, 'Fspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.Fspec', 
                [], [], 
                '''                The F spec info
                ''',
                'fspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generic-fspec', REFERENCE_CLASS, 'GenericFspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GenericFspec', 
                [], [], 
                '''                Generic FSpec
                ''',
                'generic_fspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generic-tspec', REFERENCE_CLASS, 'GenericTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GenericTspec', 
                [], [], 
                '''                Generic TSpec
                ''',
                'generic_tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gmpls-labels', REFERENCE_CLASS, 'GmplsLabels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels', 
                [], [], 
                '''                GMPLS labels
                ''',
                'gmpls_labels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('head-end-bfd-info', REFERENCE_CLASS, 'HeadEndBfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.HeadEndBfdInfo', 
                [], [], 
                '''                The Head-end BFD info
                ''',
                'head_end_bfd_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-ero', REFERENCE_LIST, 'InEro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InEro', 
                [], [], 
                '''                Incoming ERO for this S2L
                ''',
                'in_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-xro', REFERENCE_CLASS, 'InXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro', 
                [], [], 
                '''                Incoming XRO for this S2L
                ''',
                'in_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Incoming interface address
                ''',
                'incoming_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-address-generic', REFERENCE_CLASS, 'IncomingAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.IncomingAddressGeneric', 
                [], [], 
                '''                Incoming interface address
                ''',
                'incoming_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ingress Interface
                ''',
                'ingress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface-brief', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ingress Interface in brief format
                ''',
                'ingress_interface_brief',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Interface
                ''',
                'ingress_interface_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-protect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BW Protection Enabled or Disabled
                ''',
                'is_bandwidth_protect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-expanded-ero', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if this LSR expanded a loose path
                ''',
                'is_expanded_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-frr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Enabled or Disabled
                ''',
                'is_frr_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Enabled or Disabled
                ''',
                'is_node_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-optical', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Optical
                ''',
                'is_optical',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local router id
                ''',
                'local_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-info', REFERENCE_CLASS, 'LspWrapInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.LspWrapInfo', 
                [], [], 
                '''                Lsp Wrap  Related information
                ''',
                'lsp_wrap_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop address
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address-generic', REFERENCE_CLASS, 'NextHopAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.NextHopAddressGeneric', 
                [], [], 
                '''                Next hop address
                ''',
                'next_hop_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('node-hop-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hop count
                ''',
                'node_hop_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn-s2l', REFERENCE_CLASS, 'OtnS2L' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L', 
                [], [], 
                '''                Otn S2L Information
                ''',
                'otn_s2l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-ero', REFERENCE_LIST, 'OutEro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutEro', 
                [], [], 
                '''                Outgoing ERO for this S2L
                ''',
                'out_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-xro', REFERENCE_CLASS, 'OutXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro', 
                [], [], 
                '''                Outgoing XRO for this S2L
                ''',
                'out_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outbound-frr-state', REFERENCE_ENUM_CLASS, 'MplsTeFrrStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeFrrStateEnum', 
                [], [], 
                '''                Indicates outbound FRR state
                ''',
                'outbound_frr_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-affinity-array', REFERENCE_LIST, 'PathAffinityArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathAffinityArray', 
                [], [], 
                '''                Tunnel's Path hops with affinity
                ''',
                'path_affinity_array',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reeval-query-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loose path reevaluation query received at
                mid-point
                ''',
                'path_reeval_query_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-rro', REFERENCE_LIST, 'PathRro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro', 
                [], [], 
                '''                Path RRO for this S2L
                ''',
                'path_rro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-rro-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path RRO Enabled or Disabled
                ''',
                'path_rro_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-using-strict-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is using Strict SPF
                ''',
                'path_using_strict_spf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcalc-area', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IGP-area in which the S2L path was calculated
                ''',
                'pcalc_area',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Previous hop address
                ''',
                'previous_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-hop-address-generic', REFERENCE_CLASS, 'PreviousHopAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric', 
                [], [], 
                '''                Previous hop address
                ''',
                'previous_hop_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection', REFERENCE_CLASS, 'Protection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.Protection', 
                [], [], 
                '''                Protection Object
                ''',
                'protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-rro', REFERENCE_LIST, 'ResvRro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro', 
                [], [], 
                '''                Resv RRO for this S2L
                ''',
                'resv_rro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-ero-in', REFERENCE_LIST, 'ReverseEroIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseEroIn', 
                [], [], 
                '''                 Reverse Incoming ERO for this S2L
                ''',
                'reverse_ero_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Connected
                ''',
                'reverse_lsp_connected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-fec', REFERENCE_CLASS, 'ReverseLspFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseLspFec', 
                [], [], 
                '''                Reverse Associated Bidir LSP FEC
                ''',
                'reverse_lsp_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Name
                ''',
                'reverse_lsp_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Present
                ''',
                'reverse_lsp_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-tspec', REFERENCE_CLASS, 'ReverseTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseTspec', 
                [], [], 
                '''                The Reverse T spec info
                ''',
                'reverse_tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The reverse path weight
                ''',
                'reverse_weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('role', REFERENCE_ENUM_CLASS, 'MplsTeTunnelRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelRoleEnum', 
                [], [], 
                '''                Role of S2L
                ''',
                'role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-convergence', REFERENCE_CLASS, 'S2LConvergence' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.S2LConvergence', 
                [], [], 
                '''                TE LSP convergence related information
                ''',
                's2l_convergence',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec', REFERENCE_CLASS, 'S2LFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.S2LFec', 
                [], [], 
                '''                FEC for the S2L
                ''',
                's2l_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label
                ''',
                's2l_local_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing label
                ''',
                's2l_out_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-ero-obj-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2l Reverse ERO Object Present
                ''',
                's2l_reverse_ero_obj_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-lsp-sub-obj', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Reverse LSP Sub Objects
                ''',
                's2l_reverse_lsp_sub_obj',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-tspec-obj-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Reverse TSpec Object Present
                ''',
                's2l_reverse_tspec_obj_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-segment-routing-path', REFERENCE_LIST, 'S2LSegmentRoutingPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.S2LSegmentRoutingPath', 
                [], [], 
                '''                Segment-Routing S2L path info
                ''',
                's2l_segment_routing_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared-risk-link-group', REFERENCE_LIST, 'SharedRiskLinkGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.SharedRiskLinkGroup', 
                [], [], 
                '''                The S2L's excluded srlg groups
                ''',
                'shared_risk_link_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-status', REFERENCE_ENUM_CLASS, 'MplsTeTunnelsSignalingStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelsSignalingStatusEnum', 
                [], [], 
                '''                Signaling status
                ''',
                'signalling_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption', REFERENCE_CLASS, 'SoftPreemption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.SoftPreemption', 
                [], [], 
                '''                The soft preemption info for this LSP.
                ''',
                'soft_preemption',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-collection', REFERENCE_CLASS, 'SrlgCollection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.SrlgCollection', 
                [], [], 
                '''                SRLG-collection data
                ''',
                'srlg_collection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tail-end-bfd-info', REFERENCE_CLASS, 'TailEndBfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.TailEndBfdInfo', 
                [], [], 
                '''                The Tail-end BFD info
                ''',
                'tail_end_bfd_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-preferred-path-exists-send-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last preferred path exists msg send
                from mid-point
                ''',
                'time_since_last_preferred_path_exists_send_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-preferred-tree-exists-send-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last preferred tree exists msg send
                from mid-point
                ''',
                'time_since_last_preferred_tree_exists_send_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-query-received-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last reevaluation query received at
                mid-point
                ''',
                'time_since_last_query_received_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tspec', REFERENCE_CLASS, 'Tspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.Tspec', 
                [], [], 
                '''                The T spec info
                ''',
                'tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('upstream-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Upstream router id
                ''',
                'upstream_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the tunnel was up
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The path's weight
                ''',
                'weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp',
            False, 
            [
            _MetaInfoClassMember('dste-class-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Matching DSTE class index
                ''',
                'dste_class_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-match', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Do the class type and priority match a DSTE
                class
                ''',
                'dste_class_match',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-active-reason', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP LSP FRR active reason
                ''',
                'frr_active_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-frr-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                P2MP LSP has FRR Failed
                ''',
                'is_frr_failed',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True for tunnel head
                ''',
                'is_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-passive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True for passive tunnel
                ''',
                'is_passive',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-path-change', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last path change
                ''',
                'last_path_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP LSP Bandwidth
                ''',
                'lsp_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The LSP bandwidth type
                ''',
                'lsp_bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-fec', REFERENCE_CLASS, 'LspFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.LspFec', 
                [], [], 
                '''                FEC for the LSP
                ''',
                'lsp_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSP hold priority
                ''',
                'lsp_hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSP setup priority
                ''',
                'lsp_setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('persistent-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Persistent forwarding statistics for number of
                bytes. Clear counters will not reset the counter
                ''',
                'persistent_bytes',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('persistent-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Persistent forwarding statistics for Number of
                packets. Clear counters will not reset the
                counter
                ''',
                'persistent_packets',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimize-reason', REFERENCE_ENUM_CLASS, 'MplsTeReoptDecisionReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeReoptDecisionReasonEnum', 
                [], [], 
                '''                Reason for re-optimization
                ''',
                'reoptimize_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimize-trigger', REFERENCE_ENUM_CLASS, 'MteReoptTriggerEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MteReoptTriggerEnum', 
                [], [], 
                '''                Re-optimize trigger
                ''',
                'reoptimize_trigger',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-down', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of down S2Ls
                ''',
                's2_ls_down',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-proceeding', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of proceeding S2Ls
                ''',
                's2_ls_proceeding',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of connected S2Ls
                ''',
                's2_ls_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l', REFERENCE_LIST, 'S2L' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L', 
                [], [], 
                '''                array of S2L structures
                ''',
                's2l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signaled-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signaled Name
                ''',
                'signaled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('timer-left', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds left to take next action if any
                ''',
                'timer_left',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MplsTeLspEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspEnum', 
                [], [], 
                '''                The type of this LSP
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the tunnel was up
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tunnel-current-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.LspFec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.LspFec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.LspFec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.LspFec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.LspFec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.S2LFec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.S2LFec',
            False, 
            [
            _MetaInfoClassMember('s2l-fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                Session identifier (ctype)
                ''',
                's2l_fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-dest', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                sub-LSP destination address
                ''',
                's2l_fec_dest',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                's2l_fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                's2l_fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                's2l_fec_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSP source address
                ''',
                's2l_fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                sub-LSP subgroup ID
                ''',
                's2l_fec_subgroup_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                's2l_fec_subgroup_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                's2l_fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                's2l_fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.PathCalculationError' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.PathCalculationError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-calculation-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.RemergeError' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.RemergeError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'remerge-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.SignallingError' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.SignallingError',
            False, 
            [
            _MetaInfoClassMember('error', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Path Error code
                ''',
                'error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Source address of the error generating node
                ''',
                'error_node',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSPMode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if error is on the reverse LSP
                ''',
                'reverse_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP-id for which the error was received
                ''',
                'signalling_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path Error subcode
                ''',
                'sub_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalling-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption',
            False, 
            [
            _MetaInfoClassMember('attribute-set', REFERENCE_CLASS, 'AttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet', 
                [], [], 
                '''                The path option attribute set used by this path
                ''',
                'attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-found', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has found the defined attribute
                set
                ''',
                'attribute_set_found',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Explicit Path ID, this is the key to table
                ExplicitPaths.IdentifierTable
                ''',
                'explicit_path_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Explicit Path Name, this is the key to table
                ExplicitPaths.NameTable
                ''',
                'explicit_path_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has an attribute set defined
                ''',
                'has_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-xro-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has an XRO attribute set
                configured
                ''',
                'has_xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('holddown-duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Holddown Duration (seconds)
                ''',
                'holddown_duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path option is disabled
                ''',
                'is_disabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-helddown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if path is helddown
                ''',
                'is_helddown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-lockdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is locked down
                ''',
                'is_lockdown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-segment-routing', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is Segment-Routing
                ''',
                'is_segment_routing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-explicit-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if explicit path is strict
                ''',
                'is_strict_explicit_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-verbatim', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is verbatim
                ''',
                'is_verbatim',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index
                ''',
                'option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index-is-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The path option index is valid
                ''',
                'option_index_is_valid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-calculation-error', REFERENCE_LIST, 'PathCalculationError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.PathCalculationError', 
                [], [], 
                '''                Path computation information
                ''',
                'path_calculation_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The path-option area constraint
                ''',
                'path_option_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path option name
                ''',
                'path_option_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-type', REFERENCE_ENUM_CLASS, 'MplsTePathoptionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTePathoptionEnum', 
                [], [], 
                '''                Path option type
                ''',
                'path_option_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                PCE server address
                ''',
                'pce_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-by-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for Protect path options
                ''',
                'protected_by_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remerge-error', REFERENCE_LIST, 'RemergeError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.RemergeError', 
                [], [], 
                '''                Path computation remerge resolve info
                ''',
                'remerge_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restored-from-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for Restore path options
                ''',
                'restored_from_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-error', REFERENCE_LIST, 'SignallingError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.SignallingError', 
                [], [], 
                '''                Signalling information
                ''',
                'signalling_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set', REFERENCE_CLASS, 'XroAttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet', 
                [], [], 
                '''                The XRO attribute set used by this path-option
                ''',
                'xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set-found', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path's XRO attribute set is known
                ''',
                'xro_attribute_set_found',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'active-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'out-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'in-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.Tspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.Tspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GenericTspec.Otntspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GenericTspec.Otntspec',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit Rate in kbps
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nmc-or-tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                NMC or Tolerance
                ''',
                'nmc_or_tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Virtual Components
                ''',
                'nvc',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otntspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GenericTspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GenericTspec',
            False, 
            [
            _MetaInfoClassMember('otntspec', REFERENCE_CLASS, 'Otntspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GenericTspec.Otntspec', 
                [], [], 
                '''                TE TSpec for G709 OTN
                ''',
                'otntspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tspec-type', REFERENCE_ENUM_CLASS, 'TeMgmtGenericTspecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeMgmtGenericTspecEnum', 
                [], [], 
                '''                TSpecType
                ''',
                'tspec_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'generic-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.Fspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.Fspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GenericFspec.Otnfspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GenericFspec.Otnfspec',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit Rate in kbps
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nmc-or-tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                NMC or Tolerance
                ''',
                'nmc_or_tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Virtual Components
                ''',
                'nvc',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otnfspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GenericFspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GenericFspec',
            False, 
            [
            _MetaInfoClassMember('fspec-type', REFERENCE_ENUM_CLASS, 'TeMgmtGenericFspecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeMgmtGenericFspecEnum', 
                [], [], 
                '''                FSpecType
                ''',
                'fspec_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otnfspec', REFERENCE_CLASS, 'Otnfspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GenericFspec.Otnfspec', 
                [], [], 
                '''                TE FSpec for G709 OTN
                ''',
                'otnfspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'generic-fspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'next-hop-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'previous-hop-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'incoming-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.S2LConvergence' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.S2LConvergence',
            False, 
            [
            _MetaInfoClassMember('creation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tunnel creation timestamp (clocktime in nsecs)
                ''',
                'creation_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rewrite', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP Label rewrite timestamp (clocktime in nsecs)
                ''',
                'label_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Path-in timestamp (clocktime in nsecs)
                ''',
                'path_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Path-in timestamp (clocktime in nsecs)
                ''',
                'path_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Resv-in timestamp (clocktime in nsecs)
                ''',
                'resv_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Resv-out timestamp (clocktime in nsecs)
                ''',
                'resv_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-rewrite', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tunnel rewrite timestamp (clocktime in nsecs)
                ''',
                'tunnel_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-convergence',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.SoftPreemption' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.SoftPreemption',
            False, 
            [
            _MetaInfoClassMember('fr-rrewrite', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR-rewrite during soft preemption
                ''',
                'fr_rrewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fr-rrewrite-tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The tunnel name of the backup
                ''',
                'fr_rrewrite_tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('preempting-link-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The address of the link where the preemption
                happened
                ''',
                'preempting_link_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-link', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the link where the soft preemption
                occurred
                ''',
                'soft_preemption_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The POSIX timestamp when the soft preemption
                occurred
                ''',
                'soft_preemption_timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'MplsTeSoftPreemptionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeSoftPreemptionStateEnum', 
                [], [], 
                '''                The current state of the soft preemption
                operation
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-to-hard-preemption', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The number of seconds until hard preemption is
                triggered
                ''',
                'time_to_hard_preemption',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'soft-preemption',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels',
            False, 
            [
            _MetaInfoClassMember('path-egress-label', REFERENCE_CLASS, 'PathEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel', 
                [], [], 
                '''                Path message (upstream) egress label
                ''',
                'path_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-ingress-label', REFERENCE_CLASS, 'PathIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel', 
                [], [], 
                '''                Path message (upstream) ingress label
                ''',
                'path_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-egress-label', REFERENCE_CLASS, 'ResvEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel', 
                [], [], 
                '''                Resv message (downstream) egress label
                ''',
                'resv_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-ingress-label', REFERENCE_CLASS, 'ResvIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel', 
                [], [], 
                '''                Resv message (downstream) ingress label
                ''',
                'resv_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'gmpls-labels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tolerance
                ''',
                'tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-cbr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-gfp-f-res',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-gfp-f-non-res',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth',
            False, 
            [
            _MetaInfoClassMember('odu-flex-cbr', REFERENCE_CLASS, 'OduFlexCbr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr', 
                [], [], 
                '''                Odu flex CBR info
                ''',
                'odu_flex_cbr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-flex-gfp-f-non-res', REFERENCE_CLASS, 'OduFlexGfpFNonRes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes', 
                [], [], 
                '''                Odu flex GFP-F non-resizable info
                ''',
                'odu_flex_gfp_f_non_res',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-flex-gfp-f-res', REFERENCE_CLASS, 'OduFlexGfpFRes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes', 
                [], [], 
                '''                Odu flex GFP-F resizable info
                ''',
                'odu_flex_gfp_f_res',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-level', REFERENCE_ENUM_CLASS, 'TeOduLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeOduLevelEnum', 
                [], [], 
                '''                ODULevel
                ''',
                'odu_level',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels',
            False, 
            [
            _MetaInfoClassMember('path-egress-label', REFERENCE_CLASS, 'PathEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel', 
                [], [], 
                '''                Path message (upstream) egress label
                ''',
                'path_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-ingress-label', REFERENCE_CLASS, 'PathIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel', 
                [], [], 
                '''                Path message (upstream) ingress label
                ''',
                'path_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-egress-label', REFERENCE_CLASS, 'ResvEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel', 
                [], [], 
                '''                Resv message (downstream) egress label
                ''',
                'resv_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-ingress-label', REFERENCE_CLASS, 'ResvIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel', 
                [], [], 
                '''                Resv message (downstream) ingress label
                ''',
                'resv_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'labels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn',
            False, 
            [
            _MetaInfoClassMember('bandwidth', REFERENCE_CLASS, 'Bandwidth' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth', 
                [], [], 
                '''                OTN Bandwidth for s2l
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cross-connect-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cross connect id
                ''',
                'cross_connect_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gpid', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Gpid Payload
                ''',
                'gpid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Incoming Controller
                ''',
                'incoming_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Incoming Controller Ifhandle
                ''',
                'incoming_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Controller
                ''',
                'incoming_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Incoming Sub Controller
                ''',
                'incoming_sub_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Incoming Sub Controller Ifhandle
                ''',
                'incoming_sub_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Sub Controller
                ''',
                'incoming_sub_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if subcontrollers are connected
                ''',
                'is_connected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('labels', REFERENCE_CLASS, 'Labels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels', 
                [], [], 
                '''                Labels
                ''',
                'labels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing Controller
                ''',
                'outgoing_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Controller Ifhandle
                ''',
                'outgoing_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Controller
                ''',
                'outgoing_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing Sub Controller
                ''',
                'outgoing_sub_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Sub Controller Ifhandle
                ''',
                'outgoing_sub_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Sub Controller
                ''',
                'outgoing_sub_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                XC Uptime
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Aps.ProtectionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Aps.ProtectionInfo',
            False, 
            [
            _MetaInfoClassMember('ho-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-Off timeout
                ''',
                'ho_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-hopresent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Hold-Off timeout present
                ''',
                'is_hopresent',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-snc-mode-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SNC mode present
                ''',
                'is_snc_mode_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-wtr-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Wait-to-Restore timeout present
                ''',
                'is_wtr_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Notification bit 
                ''',
                'nbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('obit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Operational bit
                ''',
                'obit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path protection profile type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Protecting bit
                ''',
                'pbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protect-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                LSP Protect Type
                ''',
                'protect_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Secondary bit
                ''',
                'sbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                SNC mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TCM ID
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wtr-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait-to-Restore timeout
                ''',
                'wtr_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protection-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Aps' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Aps',
            False, 
            [
            _MetaInfoClassMember('protection-info', REFERENCE_CLASS, 'ProtectionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Aps.ProtectionInfo', 
                [], [], 
                '''                Protection Info
                ''',
                'protection_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'aps',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L',
            False, 
            [
            _MetaInfoClassMember('aps', REFERENCE_CLASS, 'Aps' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Aps', 
                [], [], 
                '''                APS Info for OTN S2L
                ''',
                'aps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn', 
                [], [], 
                '''                Info Related to OTN technology in S2L
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn-s2l',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo.SessionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo.SessionInfo',
            False, 
            [
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'TeBfdLspSessionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdLspSessionStateEnum', 
                [], [], 
                '''                BFD session state
                ''',
                'state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('state-change-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last session state
                change
                ''',
                'state_change_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'session-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo.DeletionHistory' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo.DeletionHistory',
            False, 
            [
            _MetaInfoClassMember('deletion-diagnostic-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Diagnostic Code for the BFD session get deleted
                ''',
                'deletion_diagnostic_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reason for the BFD session get deleted
                ''',
                'deletion_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time stamp of the BFD session get deleted
                ''',
                'deletion_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID of the BFD session get deleted
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'deletion-history',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-reverse-path-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path labels
                ''',
                'bfd_reverse_path_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The BFD reverse path is stale compared to
                configuration
                ''',
                'bfd_reverse_path_stale',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('creation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the BFD session created
                ''',
                'creation_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-history', REFERENCE_CLASS, 'DeletionHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo.DeletionHistory', 
                [], [], 
                '''                BFD Session Deletion History
                ''',
                'deletion_history',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-redundant', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                sBFD session is redundant
                ''',
                'is_redundant',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lspbfd-type', REFERENCE_ENUM_CLASS, 'TeVifBfdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeVifBfdEnum', 
                [], [], 
                '''                LSP BFD type
                ''',
                'lspbfd_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-info', REFERENCE_CLASS, 'SessionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo.SessionInfo', 
                [], [], 
                '''                BFD Session Info
                ''',
                'session_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'head-end-bfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.TailEndBfdInfo.SessionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.TailEndBfdInfo.SessionInfo',
            False, 
            [
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'TeBfdLspSessionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdLspSessionStateEnum', 
                [], [], 
                '''                BFD session state
                ''',
                'state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('state-change-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last session state
                change
                ''',
                'state_change_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'session-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.TailEndBfdInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.TailEndBfdInfo',
            False, 
            [
            _MetaInfoClassMember('failure-diagnostic-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD session failure diagnostic code
                ''',
                'failure_diagnostic_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('failure-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                BFD session failure reason
                ''',
                'failure_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-discriminator', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Local Discriminator
                ''',
                'local_discriminator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('min-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello interval in mini second
                ''',
                'min_interval',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('min-interval-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default hello interval
                ''',
                'min_interval_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default multiplier
                ''',
                'multiplier_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-discriminator', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Remote Discrminator
                ''',
                'remote_discriminator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-info', REFERENCE_CLASS, 'SessionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.TailEndBfdInfo.SessionInfo', 
                [], [], 
                '''                BFD Session Info
                ''',
                'session_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tail-end-bfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.SrlgCollection' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.SrlgCollection',
            False, 
            [
            _MetaInfoClassMember('discovered-srlg', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Discovered SRLGs
                ''',
                'discovered_srlg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-collect-type', REFERENCE_ENUM_CLASS, 'TeSrlgCollectRequestEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSrlgCollectRequestEnum', 
                [], [], 
                '''                SRLG-collection mechanism
                ''',
                'srlg_collect_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-collection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.Association' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.Association',
            False, 
            [
            _MetaInfoClassMember('s2l-association-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Association ID
                ''',
                's2l_association_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                S2L Association Source
                ''',
                's2l_association_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-tie-role', REFERENCE_ENUM_CLASS, 'TeAssociationTieRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAssociationTieRoleEnum', 
                [], [], 
                '''                S2L Association Tie Role
                ''',
                's2l_association_tie_role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Association Type                         
                (draft-ietf-ccamp-mpls-tp-rsvpte-ext-associated-lsp)
                ''',
                's2l_association_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-extended-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L Extended ID Array
                ''',
                's2l_extended_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-global-source', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L Global Source
                ''',
                's2l_global_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'association',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.Protection' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.Protection',
            False, 
            [
            _MetaInfoClassMember('any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Any
                ''',
                'any',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ded1-plus1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1+1 Protection
                ''',
                'ded1_plus1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ded1-to1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1:1 Protection
                ''',
                'ded1_to1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('enhanced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates Enhanced Protection Scheme
                ''',
                'enhanced',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extra-traffic', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should use Links that are protecting other
                (primary) traffic
                ''',
                'extra_traffic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should not use any Link Layer Protection
                ''',
                'link_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Flags Unprotected
                ''',
                'lsp_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-plus-one-bi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Bidirectional Protection
                ''',
                'one_plus_one_bi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-plus-one-uni', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Unidirectional Protection
                ''',
                'one_plus_one_uni',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-to-n-protection-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1:N Protection with Extra-Traffic
                ''',
                'one_to_n_protection_et',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Full Rerouting
                ''',
                'rerouting',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouting-no-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Rerouting Without Extra-Traffic
                ''',
                'rerouting_no_et',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-notification', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Notification Bit
                ''',
                's2l_notification',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-operational', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Operational Bit
                ''',
                's2l_operational',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Protecting Bit
                ''',
                's2l_protecting',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-secondary', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Secondary Bit
                ''',
                's2l_secondary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Shared Link Layer Protection
                ''',
                'shared',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseLspFec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseLspFec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseLspFec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseLspFec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseLspFec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-lsp-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseTspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseTspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.FlexInfo.FlexFec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.FlexInfo.FlexFec',
            False, 
            [
            _MetaInfoClassMember('s2l-fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                Session identifier (ctype)
                ''',
                's2l_fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-dest', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                sub-LSP destination address
                ''',
                's2l_fec_dest',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                's2l_fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                's2l_fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                's2l_fec_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSP source address
                ''',
                's2l_fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                sub-LSP subgroup ID
                ''',
                's2l_fec_subgroup_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                's2l_fec_subgroup_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                's2l_fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                's2l_fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.FlexInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.FlexInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-created', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GAL BFD Session Created
                ''',
                'bfd_created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-egress-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Egress Label
                ''',
                'bfd_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-int-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Internal Label
                ''',
                'bfd_int_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                BFD Next Hop
                ''',
                'bfd_next_hop',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-out-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD Out Interface Handle
                ''',
                'bfd_out_ifh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-tun-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD Tunnel Interface Handle
                ''',
                'bfd_tun_ifh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GAL BFD Session Up
                ''',
                'bfd_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('entry-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FlexLSP Entry Exists
                ''',
                'entry_exists',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ais', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault AIS
                ''',
                'fault_ais',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ldi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LDI
                ''',
                'fault_ldi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ldi-lockout', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LDI Lockout
                ''',
                'fault_ldi_lockout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-lkr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LKR
                ''',
                'fault_lkr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Fault Time
                ''',
                'fault_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex-fec', REFERENCE_CLASS, 'FlexFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.FlexInfo.FlexFec', 
                [], [], 
                '''                FEC for the FlexLSP Entry
                ''',
                'flex_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                In Label
                ''',
                'in_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('oam-created', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                OAM Entry Created
                ''',
                'oam_created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.LspWrapInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.LspWrapInfo',
            False, 
            [
            _MetaInfoClassMember('lsp-wrap-protection-enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Wrap protection enabled
                ''',
                'lsp_wrap_protection_enable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-protection-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSP Wrap Merge Point Label
                ''',
                'lsp_wrap_protection_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-protection-state', REFERENCE_ENUM_CLASS, 'MplsTeLspWrapStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspWrapStateEnum', 
                [], [], 
                '''                LSP wrap protection state
                ''',
                'lsp_wrap_protection_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reverse Egress Interface
                ''',
                'reverse_egress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reverse LSP label
                ''',
                'reverse_lsp_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-wrap-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.DiversityInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.DiversityInfo',
            False, 
            [
            _MetaInfoClassMember('diversity-type', REFERENCE_ENUM_CLASS, 'TePpDiversityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePpDiversityEnum', 
                [], [], 
                '''                S2L path diversity type
                ''',
                'diversity_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'diversity-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.SharedRiskLinkGroup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.SharedRiskLinkGroup',
            False, 
            [
            _MetaInfoClassMember('shared-risk-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG number
                ''',
                'shared_risk_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SRLG name
                ''',
                'srlg_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'shared-risk-link-group',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutEro.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutEro.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutEro.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutEro.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutEro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutEro',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutEro.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutEro.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'out-ero',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InEro.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InEro.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InEro.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InEro.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InEro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InEro',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InEro.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InEro.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'in-ero',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.Ipv4RroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.Ipv4RroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.Ipv4RroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.Ipv4RroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.Ipv4RroSubObject.Flags', 
                [], [], 
                '''                The RRO IPV4 Subobject Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO IPV4 Address
                ''',
                'rro_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.LabelRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.LabelRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-global-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label is Global across all interfaces
                ''',
                'is_global_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.LabelRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.LabelRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.LabelRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Label Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-label-variable-length', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the RRO Subobject Label Variable Length
                ''',
                'is_label_variable_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Label Value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('variable-length-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Variable Length Label
                ''',
                'variable_length_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'label-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.UnnumberedRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.UnnumberedRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Unnumbered Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO Interface Address
                ''',
                'interface_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.SrlgRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.SrlgRroSubObject',
            False, 
            [
            _MetaInfoClassMember('srl-gs', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject SRLGs
                ''',
                'srl_gs',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro',
            False, 
            [
            _MetaInfoClassMember('ipv4rro-sub-object', REFERENCE_CLASS, 'Ipv4RroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.Ipv4RroSubObject', 
                [], [], 
                '''                IPV4 RRO Sub Object
                ''',
                'ipv4rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rro-sub-object', REFERENCE_CLASS, 'LabelRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.LabelRroSubObject', 
                [], [], 
                '''                Label RRO Sub Object
                ''',
                'label_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtRroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtRroSubobjEnum', 
                [], [], 
                '''                RROType
                ''',
                'rro_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-rro-sub-object', REFERENCE_CLASS, 'SrlgRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.SrlgRroSubObject', 
                [], [], 
                '''                SRLG RRO Sub Object
                ''',
                'srlg_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-rro-sub-object', REFERENCE_CLASS, 'UnnumberedRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.UnnumberedRroSubObject', 
                [], [], 
                '''                Unnumbered RRO Sub Object
                ''',
                'unnumbered_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-rro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.Ipv4RroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.Ipv4RroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags', 
                [], [], 
                '''                The RRO IPV4 Subobject Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO IPV4 Address
                ''',
                'rro_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.LabelRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.LabelRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-global-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label is Global across all interfaces
                ''',
                'is_global_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.LabelRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.LabelRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.LabelRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Label Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-label-variable-length', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the RRO Subobject Label Variable Length
                ''',
                'is_label_variable_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Label Value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('variable-length-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Variable Length Label
                ''',
                'variable_length_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'label-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Unnumbered Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO Interface Address
                ''',
                'interface_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.SrlgRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.SrlgRroSubObject',
            False, 
            [
            _MetaInfoClassMember('srl-gs', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject SRLGs
                ''',
                'srl_gs',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro',
            False, 
            [
            _MetaInfoClassMember('ipv4rro-sub-object', REFERENCE_CLASS, 'Ipv4RroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.Ipv4RroSubObject', 
                [], [], 
                '''                IPV4 RRO Sub Object
                ''',
                'ipv4rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rro-sub-object', REFERENCE_CLASS, 'LabelRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.LabelRroSubObject', 
                [], [], 
                '''                Label RRO Sub Object
                ''',
                'label_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtRroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtRroSubobjEnum', 
                [], [], 
                '''                RROType
                ''',
                'rro_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-rro-sub-object', REFERENCE_CLASS, 'SrlgRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.SrlgRroSubObject', 
                [], [], 
                '''                SRLG RRO Sub Object
                ''',
                'srlg_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-rro-sub-object', REFERENCE_CLASS, 'UnnumberedRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject', 
                [], [], 
                '''                Unnumbered RRO Sub Object
                ''',
                'unnumbered_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-rro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathAffinityArray' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathAffinityArray',
            False, 
            [
            _MetaInfoClassMember('hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Hop address
                ''',
                'hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop-affinity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'hop_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop-extended-affinity', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hop affinity
                ''',
                'hop_extended_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-affinity-array',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseEroIn.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseEroIn.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseEroIn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseEroIn',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseEroIn.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-ero-in',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.S2LSegmentRoutingPath' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.S2LSegmentRoutingPath',
            False, 
            [
            _MetaInfoClassMember('has-entropy-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Hop has EL specified
                ''',
                'has_entropy_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-ip-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node has IP addresses specified
                ''',
                'has_ip_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-mpls-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Hop has MPLS label specified
                ''',
                'has_mpls_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local IP address of adjacency or Node ID
                ''',
                'local_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mpls-label-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The MPLS label value
                ''',
                'mpls_label_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote IP address of adjacency
                ''',
                'remote_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sid-type', REFERENCE_ENUM_CLASS, 'TeSrSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSrSidEnum', 
                [], [], 
                '''                Type of the SID
                ''',
                'sid_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-segment-routing-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L',
            False, 
            [
            _MetaInfoClassMember('abr-auto-discovered', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next ABR auto discovered
                ''',
                'abr_auto_discovered',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('active-path-option', REFERENCE_CLASS, 'ActivePathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption', 
                [], [], 
                '''                The path option used to find the path for this
                S2L
                ''',
                'active_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('association', REFERENCE_CLASS, 'Association' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.Association', 
                [], [], 
                '''                Association Object
                ''',
                'association',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface handle of the backup tunnel
                ''',
                'backup_tunnel_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('diversity-info', REFERENCE_CLASS, 'DiversityInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.DiversityInfo', 
                [], [], 
                '''                S2L Diversity Information
                ''',
                'diversity_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('downstream-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Downstream router id
                ''',
                'downstream_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Egress Interface
                ''',
                'egress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface-brief', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Egress Interface in brief format
                ''',
                'egress_interface_brief',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Interface
                ''',
                'egress_interface_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Outgoing ERO's affinity bits (colors)
                ''',
                'expanded_ero_affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Outgoing ERO's affinity mask (colors)
                ''',
                'expanded_ero_affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Indicates the protocol and area used to find
                Outgoing ERO
                ''',
                'expanded_ero_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The metric value of the expanded path
                ''',
                'expanded_ero_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-metric-type', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                The Outgoing ERO's selection metric
                ''',
                'expanded_ero_metric_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex-info', REFERENCE_CLASS, 'FlexInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.FlexInfo', 
                [], [], 
                '''                FlexLSP S2L Information
                ''',
                'flex_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-out-tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FRR out tunnel intface
                ''',
                'frr_out_tunnel_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fspec', REFERENCE_CLASS, 'Fspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.Fspec', 
                [], [], 
                '''                The F spec info
                ''',
                'fspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generic-fspec', REFERENCE_CLASS, 'GenericFspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GenericFspec', 
                [], [], 
                '''                Generic FSpec
                ''',
                'generic_fspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generic-tspec', REFERENCE_CLASS, 'GenericTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GenericTspec', 
                [], [], 
                '''                Generic TSpec
                ''',
                'generic_tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gmpls-labels', REFERENCE_CLASS, 'GmplsLabels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels', 
                [], [], 
                '''                GMPLS labels
                ''',
                'gmpls_labels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('head-end-bfd-info', REFERENCE_CLASS, 'HeadEndBfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo', 
                [], [], 
                '''                The Head-end BFD info
                ''',
                'head_end_bfd_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-ero', REFERENCE_LIST, 'InEro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InEro', 
                [], [], 
                '''                Incoming ERO for this S2L
                ''',
                'in_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-xro', REFERENCE_CLASS, 'InXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro', 
                [], [], 
                '''                Incoming XRO for this S2L
                ''',
                'in_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Incoming interface address
                ''',
                'incoming_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-address-generic', REFERENCE_CLASS, 'IncomingAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric', 
                [], [], 
                '''                Incoming interface address
                ''',
                'incoming_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ingress Interface
                ''',
                'ingress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface-brief', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ingress Interface in brief format
                ''',
                'ingress_interface_brief',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Interface
                ''',
                'ingress_interface_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-protect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BW Protection Enabled or Disabled
                ''',
                'is_bandwidth_protect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-expanded-ero', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if this LSR expanded a loose path
                ''',
                'is_expanded_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-frr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Enabled or Disabled
                ''',
                'is_frr_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Enabled or Disabled
                ''',
                'is_node_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-optical', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Optical
                ''',
                'is_optical',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local router id
                ''',
                'local_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-info', REFERENCE_CLASS, 'LspWrapInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.LspWrapInfo', 
                [], [], 
                '''                Lsp Wrap  Related information
                ''',
                'lsp_wrap_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop address
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address-generic', REFERENCE_CLASS, 'NextHopAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric', 
                [], [], 
                '''                Next hop address
                ''',
                'next_hop_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('node-hop-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hop count
                ''',
                'node_hop_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn-s2l', REFERENCE_CLASS, 'OtnS2L' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L', 
                [], [], 
                '''                Otn S2L Information
                ''',
                'otn_s2l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-ero', REFERENCE_LIST, 'OutEro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutEro', 
                [], [], 
                '''                Outgoing ERO for this S2L
                ''',
                'out_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-xro', REFERENCE_CLASS, 'OutXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro', 
                [], [], 
                '''                Outgoing XRO for this S2L
                ''',
                'out_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outbound-frr-state', REFERENCE_ENUM_CLASS, 'MplsTeFrrStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeFrrStateEnum', 
                [], [], 
                '''                Indicates outbound FRR state
                ''',
                'outbound_frr_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-affinity-array', REFERENCE_LIST, 'PathAffinityArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathAffinityArray', 
                [], [], 
                '''                Tunnel's Path hops with affinity
                ''',
                'path_affinity_array',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reeval-query-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loose path reevaluation query received at
                mid-point
                ''',
                'path_reeval_query_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-rro', REFERENCE_LIST, 'PathRro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro', 
                [], [], 
                '''                Path RRO for this S2L
                ''',
                'path_rro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-rro-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path RRO Enabled or Disabled
                ''',
                'path_rro_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-using-strict-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is using Strict SPF
                ''',
                'path_using_strict_spf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcalc-area', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IGP-area in which the S2L path was calculated
                ''',
                'pcalc_area',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Previous hop address
                ''',
                'previous_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-hop-address-generic', REFERENCE_CLASS, 'PreviousHopAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric', 
                [], [], 
                '''                Previous hop address
                ''',
                'previous_hop_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection', REFERENCE_CLASS, 'Protection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.Protection', 
                [], [], 
                '''                Protection Object
                ''',
                'protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-rro', REFERENCE_LIST, 'ResvRro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro', 
                [], [], 
                '''                Resv RRO for this S2L
                ''',
                'resv_rro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-ero-in', REFERENCE_LIST, 'ReverseEroIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseEroIn', 
                [], [], 
                '''                 Reverse Incoming ERO for this S2L
                ''',
                'reverse_ero_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Connected
                ''',
                'reverse_lsp_connected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-fec', REFERENCE_CLASS, 'ReverseLspFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseLspFec', 
                [], [], 
                '''                Reverse Associated Bidir LSP FEC
                ''',
                'reverse_lsp_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Name
                ''',
                'reverse_lsp_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Present
                ''',
                'reverse_lsp_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-tspec', REFERENCE_CLASS, 'ReverseTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseTspec', 
                [], [], 
                '''                The Reverse T spec info
                ''',
                'reverse_tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The reverse path weight
                ''',
                'reverse_weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('role', REFERENCE_ENUM_CLASS, 'MplsTeTunnelRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelRoleEnum', 
                [], [], 
                '''                Role of S2L
                ''',
                'role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-convergence', REFERENCE_CLASS, 'S2LConvergence' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.S2LConvergence', 
                [], [], 
                '''                TE LSP convergence related information
                ''',
                's2l_convergence',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec', REFERENCE_CLASS, 'S2LFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.S2LFec', 
                [], [], 
                '''                FEC for the S2L
                ''',
                's2l_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label
                ''',
                's2l_local_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing label
                ''',
                's2l_out_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-ero-obj-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2l Reverse ERO Object Present
                ''',
                's2l_reverse_ero_obj_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-lsp-sub-obj', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Reverse LSP Sub Objects
                ''',
                's2l_reverse_lsp_sub_obj',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-tspec-obj-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Reverse TSpec Object Present
                ''',
                's2l_reverse_tspec_obj_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-segment-routing-path', REFERENCE_LIST, 'S2LSegmentRoutingPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.S2LSegmentRoutingPath', 
                [], [], 
                '''                Segment-Routing S2L path info
                ''',
                's2l_segment_routing_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared-risk-link-group', REFERENCE_LIST, 'SharedRiskLinkGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.SharedRiskLinkGroup', 
                [], [], 
                '''                The S2L's excluded srlg groups
                ''',
                'shared_risk_link_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-status', REFERENCE_ENUM_CLASS, 'MplsTeTunnelsSignalingStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelsSignalingStatusEnum', 
                [], [], 
                '''                Signaling status
                ''',
                'signalling_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption', REFERENCE_CLASS, 'SoftPreemption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.SoftPreemption', 
                [], [], 
                '''                The soft preemption info for this LSP.
                ''',
                'soft_preemption',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-collection', REFERENCE_CLASS, 'SrlgCollection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.SrlgCollection', 
                [], [], 
                '''                SRLG-collection data
                ''',
                'srlg_collection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tail-end-bfd-info', REFERENCE_CLASS, 'TailEndBfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.TailEndBfdInfo', 
                [], [], 
                '''                The Tail-end BFD info
                ''',
                'tail_end_bfd_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-preferred-path-exists-send-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last preferred path exists msg send
                from mid-point
                ''',
                'time_since_last_preferred_path_exists_send_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-preferred-tree-exists-send-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last preferred tree exists msg send
                from mid-point
                ''',
                'time_since_last_preferred_tree_exists_send_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-query-received-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last reevaluation query received at
                mid-point
                ''',
                'time_since_last_query_received_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tspec', REFERENCE_CLASS, 'Tspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.Tspec', 
                [], [], 
                '''                The T spec info
                ''',
                'tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('upstream-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Upstream router id
                ''',
                'upstream_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the tunnel was up
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The path's weight
                ''',
                'weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp',
            False, 
            [
            _MetaInfoClassMember('dste-class-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Matching DSTE class index
                ''',
                'dste_class_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-match', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Do the class type and priority match a DSTE
                class
                ''',
                'dste_class_match',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-active-reason', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP LSP FRR active reason
                ''',
                'frr_active_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-frr-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                P2MP LSP has FRR Failed
                ''',
                'is_frr_failed',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True for tunnel head
                ''',
                'is_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-passive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True for passive tunnel
                ''',
                'is_passive',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-path-change', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last path change
                ''',
                'last_path_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP LSP Bandwidth
                ''',
                'lsp_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The LSP bandwidth type
                ''',
                'lsp_bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-fec', REFERENCE_CLASS, 'LspFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.LspFec', 
                [], [], 
                '''                FEC for the LSP
                ''',
                'lsp_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSP hold priority
                ''',
                'lsp_hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSP setup priority
                ''',
                'lsp_setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('persistent-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Persistent forwarding statistics for number of
                bytes. Clear counters will not reset the counter
                ''',
                'persistent_bytes',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('persistent-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Persistent forwarding statistics for Number of
                packets. Clear counters will not reset the
                counter
                ''',
                'persistent_packets',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimize-reason', REFERENCE_ENUM_CLASS, 'MplsTeReoptDecisionReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeReoptDecisionReasonEnum', 
                [], [], 
                '''                Reason for re-optimization
                ''',
                'reoptimize_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimize-trigger', REFERENCE_ENUM_CLASS, 'MteReoptTriggerEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MteReoptTriggerEnum', 
                [], [], 
                '''                Re-optimize trigger
                ''',
                'reoptimize_trigger',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-down', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of down S2Ls
                ''',
                's2_ls_down',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-proceeding', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of proceeding S2Ls
                ''',
                's2_ls_proceeding',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of connected S2Ls
                ''',
                's2_ls_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l', REFERENCE_LIST, 'S2L' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L', 
                [], [], 
                '''                array of S2L structures
                ''',
                's2l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signaled-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signaled Name
                ''',
                'signaled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('timer-left', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds left to take next action if any
                ''',
                'timer_left',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MplsTeLspEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspEnum', 
                [], [], 
                '''                The type of this LSP
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the tunnel was up
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reoptimized-p2mp-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.LspFec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.LspFec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.LspFec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.LspFec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.LspFec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.S2LFec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.S2LFec',
            False, 
            [
            _MetaInfoClassMember('s2l-fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                Session identifier (ctype)
                ''',
                's2l_fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-dest', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                sub-LSP destination address
                ''',
                's2l_fec_dest',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                's2l_fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                's2l_fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                's2l_fec_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSP source address
                ''',
                's2l_fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                sub-LSP subgroup ID
                ''',
                's2l_fec_subgroup_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                's2l_fec_subgroup_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                's2l_fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                's2l_fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.PathCalculationError' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.PathCalculationError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-calculation-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.RemergeError' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.RemergeError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'remerge-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.SignallingError' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.SignallingError',
            False, 
            [
            _MetaInfoClassMember('error', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Path Error code
                ''',
                'error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Source address of the error generating node
                ''',
                'error_node',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSPMode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if error is on the reverse LSP
                ''',
                'reverse_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP-id for which the error was received
                ''',
                'signalling_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path Error subcode
                ''',
                'sub_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalling-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption',
            False, 
            [
            _MetaInfoClassMember('attribute-set', REFERENCE_CLASS, 'AttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet', 
                [], [], 
                '''                The path option attribute set used by this path
                ''',
                'attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-found', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has found the defined attribute
                set
                ''',
                'attribute_set_found',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Explicit Path ID, this is the key to table
                ExplicitPaths.IdentifierTable
                ''',
                'explicit_path_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Explicit Path Name, this is the key to table
                ExplicitPaths.NameTable
                ''',
                'explicit_path_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has an attribute set defined
                ''',
                'has_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-xro-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has an XRO attribute set
                configured
                ''',
                'has_xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('holddown-duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Holddown Duration (seconds)
                ''',
                'holddown_duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path option is disabled
                ''',
                'is_disabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-helddown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if path is helddown
                ''',
                'is_helddown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-lockdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is locked down
                ''',
                'is_lockdown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-segment-routing', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is Segment-Routing
                ''',
                'is_segment_routing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-explicit-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if explicit path is strict
                ''',
                'is_strict_explicit_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-verbatim', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is verbatim
                ''',
                'is_verbatim',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index
                ''',
                'option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index-is-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The path option index is valid
                ''',
                'option_index_is_valid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-calculation-error', REFERENCE_LIST, 'PathCalculationError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.PathCalculationError', 
                [], [], 
                '''                Path computation information
                ''',
                'path_calculation_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The path-option area constraint
                ''',
                'path_option_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path option name
                ''',
                'path_option_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-type', REFERENCE_ENUM_CLASS, 'MplsTePathoptionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTePathoptionEnum', 
                [], [], 
                '''                Path option type
                ''',
                'path_option_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                PCE server address
                ''',
                'pce_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-by-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for Protect path options
                ''',
                'protected_by_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remerge-error', REFERENCE_LIST, 'RemergeError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.RemergeError', 
                [], [], 
                '''                Path computation remerge resolve info
                ''',
                'remerge_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restored-from-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for Restore path options
                ''',
                'restored_from_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-error', REFERENCE_LIST, 'SignallingError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.SignallingError', 
                [], [], 
                '''                Signalling information
                ''',
                'signalling_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set', REFERENCE_CLASS, 'XroAttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet', 
                [], [], 
                '''                The XRO attribute set used by this path-option
                ''',
                'xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set-found', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path's XRO attribute set is known
                ''',
                'xro_attribute_set_found',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'active-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'out-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'in-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.Tspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.Tspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GenericTspec.Otntspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GenericTspec.Otntspec',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit Rate in kbps
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nmc-or-tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                NMC or Tolerance
                ''',
                'nmc_or_tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Virtual Components
                ''',
                'nvc',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otntspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GenericTspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GenericTspec',
            False, 
            [
            _MetaInfoClassMember('otntspec', REFERENCE_CLASS, 'Otntspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GenericTspec.Otntspec', 
                [], [], 
                '''                TE TSpec for G709 OTN
                ''',
                'otntspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tspec-type', REFERENCE_ENUM_CLASS, 'TeMgmtGenericTspecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeMgmtGenericTspecEnum', 
                [], [], 
                '''                TSpecType
                ''',
                'tspec_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'generic-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.Fspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.Fspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GenericFspec.Otnfspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GenericFspec.Otnfspec',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit Rate in kbps
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nmc-or-tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                NMC or Tolerance
                ''',
                'nmc_or_tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Virtual Components
                ''',
                'nvc',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otnfspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GenericFspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GenericFspec',
            False, 
            [
            _MetaInfoClassMember('fspec-type', REFERENCE_ENUM_CLASS, 'TeMgmtGenericFspecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeMgmtGenericFspecEnum', 
                [], [], 
                '''                FSpecType
                ''',
                'fspec_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otnfspec', REFERENCE_CLASS, 'Otnfspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GenericFspec.Otnfspec', 
                [], [], 
                '''                TE FSpec for G709 OTN
                ''',
                'otnfspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'generic-fspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.NextHopAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.NextHopAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.NextHopAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.NextHopAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.NextHopAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'next-hop-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'previous-hop-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.IncomingAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.IncomingAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.IncomingAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.IncomingAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.IncomingAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'incoming-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.S2LConvergence' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.S2LConvergence',
            False, 
            [
            _MetaInfoClassMember('creation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tunnel creation timestamp (clocktime in nsecs)
                ''',
                'creation_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rewrite', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP Label rewrite timestamp (clocktime in nsecs)
                ''',
                'label_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Path-in timestamp (clocktime in nsecs)
                ''',
                'path_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Path-in timestamp (clocktime in nsecs)
                ''',
                'path_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Resv-in timestamp (clocktime in nsecs)
                ''',
                'resv_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Resv-out timestamp (clocktime in nsecs)
                ''',
                'resv_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-rewrite', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tunnel rewrite timestamp (clocktime in nsecs)
                ''',
                'tunnel_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-convergence',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.SoftPreemption' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.SoftPreemption',
            False, 
            [
            _MetaInfoClassMember('fr-rrewrite', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR-rewrite during soft preemption
                ''',
                'fr_rrewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fr-rrewrite-tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The tunnel name of the backup
                ''',
                'fr_rrewrite_tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('preempting-link-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The address of the link where the preemption
                happened
                ''',
                'preempting_link_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-link', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the link where the soft preemption
                occurred
                ''',
                'soft_preemption_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The POSIX timestamp when the soft preemption
                occurred
                ''',
                'soft_preemption_timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'MplsTeSoftPreemptionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeSoftPreemptionStateEnum', 
                [], [], 
                '''                The current state of the soft preemption
                operation
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-to-hard-preemption', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The number of seconds until hard preemption is
                triggered
                ''',
                'time_to_hard_preemption',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'soft-preemption',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels',
            False, 
            [
            _MetaInfoClassMember('path-egress-label', REFERENCE_CLASS, 'PathEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel', 
                [], [], 
                '''                Path message (upstream) egress label
                ''',
                'path_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-ingress-label', REFERENCE_CLASS, 'PathIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel', 
                [], [], 
                '''                Path message (upstream) ingress label
                ''',
                'path_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-egress-label', REFERENCE_CLASS, 'ResvEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel', 
                [], [], 
                '''                Resv message (downstream) egress label
                ''',
                'resv_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-ingress-label', REFERENCE_CLASS, 'ResvIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel', 
                [], [], 
                '''                Resv message (downstream) ingress label
                ''',
                'resv_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'gmpls-labels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tolerance
                ''',
                'tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-cbr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-gfp-f-res',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-gfp-f-non-res',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth',
            False, 
            [
            _MetaInfoClassMember('odu-flex-cbr', REFERENCE_CLASS, 'OduFlexCbr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr', 
                [], [], 
                '''                Odu flex CBR info
                ''',
                'odu_flex_cbr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-flex-gfp-f-non-res', REFERENCE_CLASS, 'OduFlexGfpFNonRes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes', 
                [], [], 
                '''                Odu flex GFP-F non-resizable info
                ''',
                'odu_flex_gfp_f_non_res',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-flex-gfp-f-res', REFERENCE_CLASS, 'OduFlexGfpFRes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes', 
                [], [], 
                '''                Odu flex GFP-F resizable info
                ''',
                'odu_flex_gfp_f_res',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-level', REFERENCE_ENUM_CLASS, 'TeOduLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeOduLevelEnum', 
                [], [], 
                '''                ODULevel
                ''',
                'odu_level',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels',
            False, 
            [
            _MetaInfoClassMember('path-egress-label', REFERENCE_CLASS, 'PathEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel', 
                [], [], 
                '''                Path message (upstream) egress label
                ''',
                'path_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-ingress-label', REFERENCE_CLASS, 'PathIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel', 
                [], [], 
                '''                Path message (upstream) ingress label
                ''',
                'path_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-egress-label', REFERENCE_CLASS, 'ResvEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel', 
                [], [], 
                '''                Resv message (downstream) egress label
                ''',
                'resv_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-ingress-label', REFERENCE_CLASS, 'ResvIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel', 
                [], [], 
                '''                Resv message (downstream) ingress label
                ''',
                'resv_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'labels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn',
            False, 
            [
            _MetaInfoClassMember('bandwidth', REFERENCE_CLASS, 'Bandwidth' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth', 
                [], [], 
                '''                OTN Bandwidth for s2l
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cross-connect-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cross connect id
                ''',
                'cross_connect_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gpid', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Gpid Payload
                ''',
                'gpid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Incoming Controller
                ''',
                'incoming_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Incoming Controller Ifhandle
                ''',
                'incoming_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Controller
                ''',
                'incoming_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Incoming Sub Controller
                ''',
                'incoming_sub_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Incoming Sub Controller Ifhandle
                ''',
                'incoming_sub_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Sub Controller
                ''',
                'incoming_sub_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if subcontrollers are connected
                ''',
                'is_connected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('labels', REFERENCE_CLASS, 'Labels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels', 
                [], [], 
                '''                Labels
                ''',
                'labels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing Controller
                ''',
                'outgoing_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Controller Ifhandle
                ''',
                'outgoing_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Controller
                ''',
                'outgoing_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing Sub Controller
                ''',
                'outgoing_sub_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Sub Controller Ifhandle
                ''',
                'outgoing_sub_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Sub Controller
                ''',
                'outgoing_sub_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                XC Uptime
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Aps.ProtectionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Aps.ProtectionInfo',
            False, 
            [
            _MetaInfoClassMember('ho-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-Off timeout
                ''',
                'ho_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-hopresent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Hold-Off timeout present
                ''',
                'is_hopresent',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-snc-mode-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SNC mode present
                ''',
                'is_snc_mode_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-wtr-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Wait-to-Restore timeout present
                ''',
                'is_wtr_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Notification bit 
                ''',
                'nbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('obit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Operational bit
                ''',
                'obit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path protection profile type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Protecting bit
                ''',
                'pbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protect-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                LSP Protect Type
                ''',
                'protect_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Secondary bit
                ''',
                'sbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                SNC mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TCM ID
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wtr-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait-to-Restore timeout
                ''',
                'wtr_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protection-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Aps' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Aps',
            False, 
            [
            _MetaInfoClassMember('protection-info', REFERENCE_CLASS, 'ProtectionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Aps.ProtectionInfo', 
                [], [], 
                '''                Protection Info
                ''',
                'protection_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'aps',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L',
            False, 
            [
            _MetaInfoClassMember('aps', REFERENCE_CLASS, 'Aps' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Aps', 
                [], [], 
                '''                APS Info for OTN S2L
                ''',
                'aps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn', 
                [], [], 
                '''                Info Related to OTN technology in S2L
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn-s2l',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.HeadEndBfdInfo.SessionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.HeadEndBfdInfo.SessionInfo',
            False, 
            [
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'TeBfdLspSessionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdLspSessionStateEnum', 
                [], [], 
                '''                BFD session state
                ''',
                'state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('state-change-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last session state
                change
                ''',
                'state_change_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'session-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.HeadEndBfdInfo.DeletionHistory' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.HeadEndBfdInfo.DeletionHistory',
            False, 
            [
            _MetaInfoClassMember('deletion-diagnostic-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Diagnostic Code for the BFD session get deleted
                ''',
                'deletion_diagnostic_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reason for the BFD session get deleted
                ''',
                'deletion_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time stamp of the BFD session get deleted
                ''',
                'deletion_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID of the BFD session get deleted
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'deletion-history',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.HeadEndBfdInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.HeadEndBfdInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-reverse-path-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path labels
                ''',
                'bfd_reverse_path_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The BFD reverse path is stale compared to
                configuration
                ''',
                'bfd_reverse_path_stale',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('creation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the BFD session created
                ''',
                'creation_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-history', REFERENCE_CLASS, 'DeletionHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.HeadEndBfdInfo.DeletionHistory', 
                [], [], 
                '''                BFD Session Deletion History
                ''',
                'deletion_history',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-redundant', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                sBFD session is redundant
                ''',
                'is_redundant',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lspbfd-type', REFERENCE_ENUM_CLASS, 'TeVifBfdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeVifBfdEnum', 
                [], [], 
                '''                LSP BFD type
                ''',
                'lspbfd_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-info', REFERENCE_CLASS, 'SessionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.HeadEndBfdInfo.SessionInfo', 
                [], [], 
                '''                BFD Session Info
                ''',
                'session_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'head-end-bfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.TailEndBfdInfo.SessionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.TailEndBfdInfo.SessionInfo',
            False, 
            [
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'TeBfdLspSessionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdLspSessionStateEnum', 
                [], [], 
                '''                BFD session state
                ''',
                'state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('state-change-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last session state
                change
                ''',
                'state_change_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'session-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.TailEndBfdInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.TailEndBfdInfo',
            False, 
            [
            _MetaInfoClassMember('failure-diagnostic-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD session failure diagnostic code
                ''',
                'failure_diagnostic_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('failure-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                BFD session failure reason
                ''',
                'failure_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-discriminator', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Local Discriminator
                ''',
                'local_discriminator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('min-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello interval in mini second
                ''',
                'min_interval',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('min-interval-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default hello interval
                ''',
                'min_interval_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default multiplier
                ''',
                'multiplier_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-discriminator', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Remote Discrminator
                ''',
                'remote_discriminator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-info', REFERENCE_CLASS, 'SessionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.TailEndBfdInfo.SessionInfo', 
                [], [], 
                '''                BFD Session Info
                ''',
                'session_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tail-end-bfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.SrlgCollection' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.SrlgCollection',
            False, 
            [
            _MetaInfoClassMember('discovered-srlg', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Discovered SRLGs
                ''',
                'discovered_srlg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-collect-type', REFERENCE_ENUM_CLASS, 'TeSrlgCollectRequestEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSrlgCollectRequestEnum', 
                [], [], 
                '''                SRLG-collection mechanism
                ''',
                'srlg_collect_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-collection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.Association' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.Association',
            False, 
            [
            _MetaInfoClassMember('s2l-association-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Association ID
                ''',
                's2l_association_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                S2L Association Source
                ''',
                's2l_association_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-tie-role', REFERENCE_ENUM_CLASS, 'TeAssociationTieRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAssociationTieRoleEnum', 
                [], [], 
                '''                S2L Association Tie Role
                ''',
                's2l_association_tie_role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Association Type                         
                (draft-ietf-ccamp-mpls-tp-rsvpte-ext-associated-lsp)
                ''',
                's2l_association_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-extended-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L Extended ID Array
                ''',
                's2l_extended_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-global-source', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L Global Source
                ''',
                's2l_global_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'association',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.Protection' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.Protection',
            False, 
            [
            _MetaInfoClassMember('any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Any
                ''',
                'any',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ded1-plus1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1+1 Protection
                ''',
                'ded1_plus1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ded1-to1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1:1 Protection
                ''',
                'ded1_to1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('enhanced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates Enhanced Protection Scheme
                ''',
                'enhanced',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extra-traffic', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should use Links that are protecting other
                (primary) traffic
                ''',
                'extra_traffic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should not use any Link Layer Protection
                ''',
                'link_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Flags Unprotected
                ''',
                'lsp_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-plus-one-bi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Bidirectional Protection
                ''',
                'one_plus_one_bi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-plus-one-uni', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Unidirectional Protection
                ''',
                'one_plus_one_uni',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-to-n-protection-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1:N Protection with Extra-Traffic
                ''',
                'one_to_n_protection_et',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Full Rerouting
                ''',
                'rerouting',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouting-no-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Rerouting Without Extra-Traffic
                ''',
                'rerouting_no_et',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-notification', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Notification Bit
                ''',
                's2l_notification',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-operational', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Operational Bit
                ''',
                's2l_operational',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Protecting Bit
                ''',
                's2l_protecting',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-secondary', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Secondary Bit
                ''',
                's2l_secondary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Shared Link Layer Protection
                ''',
                'shared',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseLspFec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseLspFec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseLspFec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseLspFec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseLspFec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-lsp-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseTspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseTspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.FlexInfo.FlexFec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.FlexInfo.FlexFec',
            False, 
            [
            _MetaInfoClassMember('s2l-fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                Session identifier (ctype)
                ''',
                's2l_fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-dest', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                sub-LSP destination address
                ''',
                's2l_fec_dest',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                's2l_fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                's2l_fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                's2l_fec_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSP source address
                ''',
                's2l_fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                sub-LSP subgroup ID
                ''',
                's2l_fec_subgroup_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                's2l_fec_subgroup_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                's2l_fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                's2l_fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.FlexInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.FlexInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-created', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GAL BFD Session Created
                ''',
                'bfd_created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-egress-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Egress Label
                ''',
                'bfd_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-int-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Internal Label
                ''',
                'bfd_int_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                BFD Next Hop
                ''',
                'bfd_next_hop',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-out-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD Out Interface Handle
                ''',
                'bfd_out_ifh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-tun-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD Tunnel Interface Handle
                ''',
                'bfd_tun_ifh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GAL BFD Session Up
                ''',
                'bfd_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('entry-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FlexLSP Entry Exists
                ''',
                'entry_exists',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ais', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault AIS
                ''',
                'fault_ais',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ldi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LDI
                ''',
                'fault_ldi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ldi-lockout', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LDI Lockout
                ''',
                'fault_ldi_lockout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-lkr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LKR
                ''',
                'fault_lkr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Fault Time
                ''',
                'fault_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex-fec', REFERENCE_CLASS, 'FlexFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.FlexInfo.FlexFec', 
                [], [], 
                '''                FEC for the FlexLSP Entry
                ''',
                'flex_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                In Label
                ''',
                'in_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('oam-created', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                OAM Entry Created
                ''',
                'oam_created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.LspWrapInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.LspWrapInfo',
            False, 
            [
            _MetaInfoClassMember('lsp-wrap-protection-enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Wrap protection enabled
                ''',
                'lsp_wrap_protection_enable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-protection-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSP Wrap Merge Point Label
                ''',
                'lsp_wrap_protection_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-protection-state', REFERENCE_ENUM_CLASS, 'MplsTeLspWrapStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspWrapStateEnum', 
                [], [], 
                '''                LSP wrap protection state
                ''',
                'lsp_wrap_protection_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reverse Egress Interface
                ''',
                'reverse_egress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reverse LSP label
                ''',
                'reverse_lsp_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-wrap-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.DiversityInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.DiversityInfo',
            False, 
            [
            _MetaInfoClassMember('diversity-type', REFERENCE_ENUM_CLASS, 'TePpDiversityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePpDiversityEnum', 
                [], [], 
                '''                S2L path diversity type
                ''',
                'diversity_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'diversity-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.SharedRiskLinkGroup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.SharedRiskLinkGroup',
            False, 
            [
            _MetaInfoClassMember('shared-risk-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG number
                ''',
                'shared_risk_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SRLG name
                ''',
                'srlg_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'shared-risk-link-group',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutEro.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutEro.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutEro.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutEro.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutEro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutEro',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutEro.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutEro.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'out-ero',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InEro.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InEro.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InEro.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InEro.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InEro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InEro',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InEro.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InEro.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'in-ero',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.Ipv4RroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.Ipv4RroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.Ipv4RroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.Ipv4RroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.Ipv4RroSubObject.Flags', 
                [], [], 
                '''                The RRO IPV4 Subobject Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO IPV4 Address
                ''',
                'rro_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.LabelRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.LabelRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-global-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label is Global across all interfaces
                ''',
                'is_global_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.LabelRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.LabelRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.LabelRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Label Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-label-variable-length', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the RRO Subobject Label Variable Length
                ''',
                'is_label_variable_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Label Value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('variable-length-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Variable Length Label
                ''',
                'variable_length_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'label-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.UnnumberedRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.UnnumberedRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.UnnumberedRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.UnnumberedRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.UnnumberedRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Unnumbered Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO Interface Address
                ''',
                'interface_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.SrlgRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.SrlgRroSubObject',
            False, 
            [
            _MetaInfoClassMember('srl-gs', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject SRLGs
                ''',
                'srl_gs',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro',
            False, 
            [
            _MetaInfoClassMember('ipv4rro-sub-object', REFERENCE_CLASS, 'Ipv4RroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.Ipv4RroSubObject', 
                [], [], 
                '''                IPV4 RRO Sub Object
                ''',
                'ipv4rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rro-sub-object', REFERENCE_CLASS, 'LabelRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.LabelRroSubObject', 
                [], [], 
                '''                Label RRO Sub Object
                ''',
                'label_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtRroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtRroSubobjEnum', 
                [], [], 
                '''                RROType
                ''',
                'rro_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-rro-sub-object', REFERENCE_CLASS, 'SrlgRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.SrlgRroSubObject', 
                [], [], 
                '''                SRLG RRO Sub Object
                ''',
                'srlg_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-rro-sub-object', REFERENCE_CLASS, 'UnnumberedRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.UnnumberedRroSubObject', 
                [], [], 
                '''                Unnumbered RRO Sub Object
                ''',
                'unnumbered_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-rro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.Ipv4RroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.Ipv4RroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.Ipv4RroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.Ipv4RroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.Ipv4RroSubObject.Flags', 
                [], [], 
                '''                The RRO IPV4 Subobject Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO IPV4 Address
                ''',
                'rro_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.LabelRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.LabelRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-global-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label is Global across all interfaces
                ''',
                'is_global_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.LabelRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.LabelRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.LabelRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Label Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-label-variable-length', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the RRO Subobject Label Variable Length
                ''',
                'is_label_variable_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Label Value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('variable-length-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Variable Length Label
                ''',
                'variable_length_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'label-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.UnnumberedRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.UnnumberedRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Unnumbered Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO Interface Address
                ''',
                'interface_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.SrlgRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.SrlgRroSubObject',
            False, 
            [
            _MetaInfoClassMember('srl-gs', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject SRLGs
                ''',
                'srl_gs',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro',
            False, 
            [
            _MetaInfoClassMember('ipv4rro-sub-object', REFERENCE_CLASS, 'Ipv4RroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.Ipv4RroSubObject', 
                [], [], 
                '''                IPV4 RRO Sub Object
                ''',
                'ipv4rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rro-sub-object', REFERENCE_CLASS, 'LabelRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.LabelRroSubObject', 
                [], [], 
                '''                Label RRO Sub Object
                ''',
                'label_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtRroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtRroSubobjEnum', 
                [], [], 
                '''                RROType
                ''',
                'rro_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-rro-sub-object', REFERENCE_CLASS, 'SrlgRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.SrlgRroSubObject', 
                [], [], 
                '''                SRLG RRO Sub Object
                ''',
                'srlg_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-rro-sub-object', REFERENCE_CLASS, 'UnnumberedRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.UnnumberedRroSubObject', 
                [], [], 
                '''                Unnumbered RRO Sub Object
                ''',
                'unnumbered_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-rro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathAffinityArray' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathAffinityArray',
            False, 
            [
            _MetaInfoClassMember('hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Hop address
                ''',
                'hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop-affinity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'hop_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop-extended-affinity', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hop affinity
                ''',
                'hop_extended_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-affinity-array',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseEroIn.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseEroIn.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseEroIn.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseEroIn.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseEroIn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseEroIn',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseEroIn.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseEroIn.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-ero-in',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.S2LSegmentRoutingPath' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.S2LSegmentRoutingPath',
            False, 
            [
            _MetaInfoClassMember('has-entropy-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Hop has EL specified
                ''',
                'has_entropy_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-ip-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node has IP addresses specified
                ''',
                'has_ip_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-mpls-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Hop has MPLS label specified
                ''',
                'has_mpls_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local IP address of adjacency or Node ID
                ''',
                'local_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mpls-label-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The MPLS label value
                ''',
                'mpls_label_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote IP address of adjacency
                ''',
                'remote_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sid-type', REFERENCE_ENUM_CLASS, 'TeSrSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSrSidEnum', 
                [], [], 
                '''                Type of the SID
                ''',
                'sid_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-segment-routing-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L',
            False, 
            [
            _MetaInfoClassMember('abr-auto-discovered', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next ABR auto discovered
                ''',
                'abr_auto_discovered',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('active-path-option', REFERENCE_CLASS, 'ActivePathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption', 
                [], [], 
                '''                The path option used to find the path for this
                S2L
                ''',
                'active_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('association', REFERENCE_CLASS, 'Association' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.Association', 
                [], [], 
                '''                Association Object
                ''',
                'association',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface handle of the backup tunnel
                ''',
                'backup_tunnel_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('diversity-info', REFERENCE_CLASS, 'DiversityInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.DiversityInfo', 
                [], [], 
                '''                S2L Diversity Information
                ''',
                'diversity_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('downstream-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Downstream router id
                ''',
                'downstream_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Egress Interface
                ''',
                'egress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface-brief', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Egress Interface in brief format
                ''',
                'egress_interface_brief',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Interface
                ''',
                'egress_interface_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Outgoing ERO's affinity bits (colors)
                ''',
                'expanded_ero_affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Outgoing ERO's affinity mask (colors)
                ''',
                'expanded_ero_affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Indicates the protocol and area used to find
                Outgoing ERO
                ''',
                'expanded_ero_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The metric value of the expanded path
                ''',
                'expanded_ero_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-metric-type', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                The Outgoing ERO's selection metric
                ''',
                'expanded_ero_metric_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex-info', REFERENCE_CLASS, 'FlexInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.FlexInfo', 
                [], [], 
                '''                FlexLSP S2L Information
                ''',
                'flex_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-out-tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FRR out tunnel intface
                ''',
                'frr_out_tunnel_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fspec', REFERENCE_CLASS, 'Fspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.Fspec', 
                [], [], 
                '''                The F spec info
                ''',
                'fspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generic-fspec', REFERENCE_CLASS, 'GenericFspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GenericFspec', 
                [], [], 
                '''                Generic FSpec
                ''',
                'generic_fspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generic-tspec', REFERENCE_CLASS, 'GenericTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GenericTspec', 
                [], [], 
                '''                Generic TSpec
                ''',
                'generic_tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gmpls-labels', REFERENCE_CLASS, 'GmplsLabels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels', 
                [], [], 
                '''                GMPLS labels
                ''',
                'gmpls_labels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('head-end-bfd-info', REFERENCE_CLASS, 'HeadEndBfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.HeadEndBfdInfo', 
                [], [], 
                '''                The Head-end BFD info
                ''',
                'head_end_bfd_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-ero', REFERENCE_LIST, 'InEro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InEro', 
                [], [], 
                '''                Incoming ERO for this S2L
                ''',
                'in_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-xro', REFERENCE_CLASS, 'InXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro', 
                [], [], 
                '''                Incoming XRO for this S2L
                ''',
                'in_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Incoming interface address
                ''',
                'incoming_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-address-generic', REFERENCE_CLASS, 'IncomingAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.IncomingAddressGeneric', 
                [], [], 
                '''                Incoming interface address
                ''',
                'incoming_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ingress Interface
                ''',
                'ingress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface-brief', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ingress Interface in brief format
                ''',
                'ingress_interface_brief',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Interface
                ''',
                'ingress_interface_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-protect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BW Protection Enabled or Disabled
                ''',
                'is_bandwidth_protect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-expanded-ero', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if this LSR expanded a loose path
                ''',
                'is_expanded_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-frr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Enabled or Disabled
                ''',
                'is_frr_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Enabled or Disabled
                ''',
                'is_node_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-optical', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Optical
                ''',
                'is_optical',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local router id
                ''',
                'local_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-info', REFERENCE_CLASS, 'LspWrapInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.LspWrapInfo', 
                [], [], 
                '''                Lsp Wrap  Related information
                ''',
                'lsp_wrap_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop address
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address-generic', REFERENCE_CLASS, 'NextHopAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.NextHopAddressGeneric', 
                [], [], 
                '''                Next hop address
                ''',
                'next_hop_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('node-hop-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hop count
                ''',
                'node_hop_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn-s2l', REFERENCE_CLASS, 'OtnS2L' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L', 
                [], [], 
                '''                Otn S2L Information
                ''',
                'otn_s2l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-ero', REFERENCE_LIST, 'OutEro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutEro', 
                [], [], 
                '''                Outgoing ERO for this S2L
                ''',
                'out_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-xro', REFERENCE_CLASS, 'OutXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro', 
                [], [], 
                '''                Outgoing XRO for this S2L
                ''',
                'out_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outbound-frr-state', REFERENCE_ENUM_CLASS, 'MplsTeFrrStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeFrrStateEnum', 
                [], [], 
                '''                Indicates outbound FRR state
                ''',
                'outbound_frr_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-affinity-array', REFERENCE_LIST, 'PathAffinityArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathAffinityArray', 
                [], [], 
                '''                Tunnel's Path hops with affinity
                ''',
                'path_affinity_array',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reeval-query-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loose path reevaluation query received at
                mid-point
                ''',
                'path_reeval_query_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-rro', REFERENCE_LIST, 'PathRro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro', 
                [], [], 
                '''                Path RRO for this S2L
                ''',
                'path_rro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-rro-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path RRO Enabled or Disabled
                ''',
                'path_rro_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-using-strict-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is using Strict SPF
                ''',
                'path_using_strict_spf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcalc-area', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IGP-area in which the S2L path was calculated
                ''',
                'pcalc_area',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Previous hop address
                ''',
                'previous_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-hop-address-generic', REFERENCE_CLASS, 'PreviousHopAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric', 
                [], [], 
                '''                Previous hop address
                ''',
                'previous_hop_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection', REFERENCE_CLASS, 'Protection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.Protection', 
                [], [], 
                '''                Protection Object
                ''',
                'protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-rro', REFERENCE_LIST, 'ResvRro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro', 
                [], [], 
                '''                Resv RRO for this S2L
                ''',
                'resv_rro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-ero-in', REFERENCE_LIST, 'ReverseEroIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseEroIn', 
                [], [], 
                '''                 Reverse Incoming ERO for this S2L
                ''',
                'reverse_ero_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Connected
                ''',
                'reverse_lsp_connected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-fec', REFERENCE_CLASS, 'ReverseLspFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseLspFec', 
                [], [], 
                '''                Reverse Associated Bidir LSP FEC
                ''',
                'reverse_lsp_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Name
                ''',
                'reverse_lsp_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Present
                ''',
                'reverse_lsp_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-tspec', REFERENCE_CLASS, 'ReverseTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseTspec', 
                [], [], 
                '''                The Reverse T spec info
                ''',
                'reverse_tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The reverse path weight
                ''',
                'reverse_weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('role', REFERENCE_ENUM_CLASS, 'MplsTeTunnelRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelRoleEnum', 
                [], [], 
                '''                Role of S2L
                ''',
                'role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-convergence', REFERENCE_CLASS, 'S2LConvergence' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.S2LConvergence', 
                [], [], 
                '''                TE LSP convergence related information
                ''',
                's2l_convergence',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec', REFERENCE_CLASS, 'S2LFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.S2LFec', 
                [], [], 
                '''                FEC for the S2L
                ''',
                's2l_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label
                ''',
                's2l_local_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing label
                ''',
                's2l_out_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-ero-obj-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2l Reverse ERO Object Present
                ''',
                's2l_reverse_ero_obj_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-lsp-sub-obj', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Reverse LSP Sub Objects
                ''',
                's2l_reverse_lsp_sub_obj',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-tspec-obj-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Reverse TSpec Object Present
                ''',
                's2l_reverse_tspec_obj_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-segment-routing-path', REFERENCE_LIST, 'S2LSegmentRoutingPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.S2LSegmentRoutingPath', 
                [], [], 
                '''                Segment-Routing S2L path info
                ''',
                's2l_segment_routing_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared-risk-link-group', REFERENCE_LIST, 'SharedRiskLinkGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.SharedRiskLinkGroup', 
                [], [], 
                '''                The S2L's excluded srlg groups
                ''',
                'shared_risk_link_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-status', REFERENCE_ENUM_CLASS, 'MplsTeTunnelsSignalingStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelsSignalingStatusEnum', 
                [], [], 
                '''                Signaling status
                ''',
                'signalling_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption', REFERENCE_CLASS, 'SoftPreemption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.SoftPreemption', 
                [], [], 
                '''                The soft preemption info for this LSP.
                ''',
                'soft_preemption',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-collection', REFERENCE_CLASS, 'SrlgCollection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.SrlgCollection', 
                [], [], 
                '''                SRLG-collection data
                ''',
                'srlg_collection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tail-end-bfd-info', REFERENCE_CLASS, 'TailEndBfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.TailEndBfdInfo', 
                [], [], 
                '''                The Tail-end BFD info
                ''',
                'tail_end_bfd_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-preferred-path-exists-send-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last preferred path exists msg send
                from mid-point
                ''',
                'time_since_last_preferred_path_exists_send_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-preferred-tree-exists-send-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last preferred tree exists msg send
                from mid-point
                ''',
                'time_since_last_preferred_tree_exists_send_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-query-received-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last reevaluation query received at
                mid-point
                ''',
                'time_since_last_query_received_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tspec', REFERENCE_CLASS, 'Tspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.Tspec', 
                [], [], 
                '''                The T spec info
                ''',
                'tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('upstream-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Upstream router id
                ''',
                'upstream_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the tunnel was up
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The path's weight
                ''',
                'weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp',
            False, 
            [
            _MetaInfoClassMember('dste-class-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Matching DSTE class index
                ''',
                'dste_class_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-match', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Do the class type and priority match a DSTE
                class
                ''',
                'dste_class_match',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-active-reason', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP LSP FRR active reason
                ''',
                'frr_active_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-frr-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                P2MP LSP has FRR Failed
                ''',
                'is_frr_failed',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True for tunnel head
                ''',
                'is_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-passive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True for passive tunnel
                ''',
                'is_passive',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-path-change', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last path change
                ''',
                'last_path_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP LSP Bandwidth
                ''',
                'lsp_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The LSP bandwidth type
                ''',
                'lsp_bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-fec', REFERENCE_CLASS, 'LspFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.LspFec', 
                [], [], 
                '''                FEC for the LSP
                ''',
                'lsp_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSP hold priority
                ''',
                'lsp_hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSP setup priority
                ''',
                'lsp_setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('persistent-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Persistent forwarding statistics for number of
                bytes. Clear counters will not reset the counter
                ''',
                'persistent_bytes',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('persistent-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Persistent forwarding statistics for Number of
                packets. Clear counters will not reset the
                counter
                ''',
                'persistent_packets',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimize-reason', REFERENCE_ENUM_CLASS, 'MplsTeReoptDecisionReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeReoptDecisionReasonEnum', 
                [], [], 
                '''                Reason for re-optimization
                ''',
                'reoptimize_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimize-trigger', REFERENCE_ENUM_CLASS, 'MteReoptTriggerEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MteReoptTriggerEnum', 
                [], [], 
                '''                Re-optimize trigger
                ''',
                'reoptimize_trigger',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-down', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of down S2Ls
                ''',
                's2_ls_down',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-proceeding', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of proceeding S2Ls
                ''',
                's2_ls_proceeding',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of connected S2Ls
                ''',
                's2_ls_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l', REFERENCE_LIST, 'S2L' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L', 
                [], [], 
                '''                array of S2L structures
                ''',
                's2l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signaled-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signaled Name
                ''',
                'signaled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('timer-left', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds left to take next action if any
                ''',
                'timer_left',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MplsTeLspEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspEnum', 
                [], [], 
                '''                The type of this LSP
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the tunnel was up
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tunnel-standby-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.LspFec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.LspFec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.LspFec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.LspFec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.LspFec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.S2LFec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.S2LFec',
            False, 
            [
            _MetaInfoClassMember('s2l-fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                Session identifier (ctype)
                ''',
                's2l_fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-dest', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                sub-LSP destination address
                ''',
                's2l_fec_dest',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                's2l_fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                's2l_fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                's2l_fec_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSP source address
                ''',
                's2l_fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                sub-LSP subgroup ID
                ''',
                's2l_fec_subgroup_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                's2l_fec_subgroup_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                's2l_fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                's2l_fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.PathCalculationError' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.PathCalculationError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-calculation-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.RemergeError' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.RemergeError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'remerge-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.SignallingError' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.SignallingError',
            False, 
            [
            _MetaInfoClassMember('error', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Path Error code
                ''',
                'error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Source address of the error generating node
                ''',
                'error_node',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSPMode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if error is on the reverse LSP
                ''',
                'reverse_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP-id for which the error was received
                ''',
                'signalling_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path Error subcode
                ''',
                'sub_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalling-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption',
            False, 
            [
            _MetaInfoClassMember('attribute-set', REFERENCE_CLASS, 'AttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet', 
                [], [], 
                '''                The path option attribute set used by this path
                ''',
                'attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-found', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has found the defined attribute
                set
                ''',
                'attribute_set_found',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Explicit Path ID, this is the key to table
                ExplicitPaths.IdentifierTable
                ''',
                'explicit_path_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Explicit Path Name, this is the key to table
                ExplicitPaths.NameTable
                ''',
                'explicit_path_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has an attribute set defined
                ''',
                'has_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-xro-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has an XRO attribute set
                configured
                ''',
                'has_xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('holddown-duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Holddown Duration (seconds)
                ''',
                'holddown_duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path option is disabled
                ''',
                'is_disabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-helddown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if path is helddown
                ''',
                'is_helddown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-lockdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is locked down
                ''',
                'is_lockdown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-segment-routing', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is Segment-Routing
                ''',
                'is_segment_routing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-explicit-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if explicit path is strict
                ''',
                'is_strict_explicit_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-verbatim', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is verbatim
                ''',
                'is_verbatim',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index
                ''',
                'option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index-is-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The path option index is valid
                ''',
                'option_index_is_valid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-calculation-error', REFERENCE_LIST, 'PathCalculationError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.PathCalculationError', 
                [], [], 
                '''                Path computation information
                ''',
                'path_calculation_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The path-option area constraint
                ''',
                'path_option_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path option name
                ''',
                'path_option_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-type', REFERENCE_ENUM_CLASS, 'MplsTePathoptionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTePathoptionEnum', 
                [], [], 
                '''                Path option type
                ''',
                'path_option_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                PCE server address
                ''',
                'pce_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-by-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for Protect path options
                ''',
                'protected_by_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remerge-error', REFERENCE_LIST, 'RemergeError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.RemergeError', 
                [], [], 
                '''                Path computation remerge resolve info
                ''',
                'remerge_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restored-from-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for Restore path options
                ''',
                'restored_from_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-error', REFERENCE_LIST, 'SignallingError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.SignallingError', 
                [], [], 
                '''                Signalling information
                ''',
                'signalling_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set', REFERENCE_CLASS, 'XroAttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet', 
                [], [], 
                '''                The XRO attribute set used by this path-option
                ''',
                'xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set-found', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path's XRO attribute set is known
                ''',
                'xro_attribute_set_found',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'active-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'out-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'in-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.Tspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.Tspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GenericTspec.Otntspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GenericTspec.Otntspec',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit Rate in kbps
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nmc-or-tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                NMC or Tolerance
                ''',
                'nmc_or_tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Virtual Components
                ''',
                'nvc',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otntspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GenericTspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GenericTspec',
            False, 
            [
            _MetaInfoClassMember('otntspec', REFERENCE_CLASS, 'Otntspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GenericTspec.Otntspec', 
                [], [], 
                '''                TE TSpec for G709 OTN
                ''',
                'otntspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tspec-type', REFERENCE_ENUM_CLASS, 'TeMgmtGenericTspecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeMgmtGenericTspecEnum', 
                [], [], 
                '''                TSpecType
                ''',
                'tspec_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'generic-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.Fspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.Fspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GenericFspec.Otnfspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GenericFspec.Otnfspec',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit Rate in kbps
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nmc-or-tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                NMC or Tolerance
                ''',
                'nmc_or_tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Virtual Components
                ''',
                'nvc',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otnfspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GenericFspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GenericFspec',
            False, 
            [
            _MetaInfoClassMember('fspec-type', REFERENCE_ENUM_CLASS, 'TeMgmtGenericFspecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeMgmtGenericFspecEnum', 
                [], [], 
                '''                FSpecType
                ''',
                'fspec_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otnfspec', REFERENCE_CLASS, 'Otnfspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GenericFspec.Otnfspec', 
                [], [], 
                '''                TE FSpec for G709 OTN
                ''',
                'otnfspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'generic-fspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'next-hop-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'previous-hop-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'incoming-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.S2LConvergence' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.S2LConvergence',
            False, 
            [
            _MetaInfoClassMember('creation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tunnel creation timestamp (clocktime in nsecs)
                ''',
                'creation_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rewrite', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP Label rewrite timestamp (clocktime in nsecs)
                ''',
                'label_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Path-in timestamp (clocktime in nsecs)
                ''',
                'path_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Path-in timestamp (clocktime in nsecs)
                ''',
                'path_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Resv-in timestamp (clocktime in nsecs)
                ''',
                'resv_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Resv-out timestamp (clocktime in nsecs)
                ''',
                'resv_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-rewrite', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tunnel rewrite timestamp (clocktime in nsecs)
                ''',
                'tunnel_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-convergence',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.SoftPreemption' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.SoftPreemption',
            False, 
            [
            _MetaInfoClassMember('fr-rrewrite', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR-rewrite during soft preemption
                ''',
                'fr_rrewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fr-rrewrite-tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The tunnel name of the backup
                ''',
                'fr_rrewrite_tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('preempting-link-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The address of the link where the preemption
                happened
                ''',
                'preempting_link_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-link', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the link where the soft preemption
                occurred
                ''',
                'soft_preemption_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The POSIX timestamp when the soft preemption
                occurred
                ''',
                'soft_preemption_timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'MplsTeSoftPreemptionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeSoftPreemptionStateEnum', 
                [], [], 
                '''                The current state of the soft preemption
                operation
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-to-hard-preemption', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The number of seconds until hard preemption is
                triggered
                ''',
                'time_to_hard_preemption',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'soft-preemption',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels',
            False, 
            [
            _MetaInfoClassMember('path-egress-label', REFERENCE_CLASS, 'PathEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel', 
                [], [], 
                '''                Path message (upstream) egress label
                ''',
                'path_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-ingress-label', REFERENCE_CLASS, 'PathIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel', 
                [], [], 
                '''                Path message (upstream) ingress label
                ''',
                'path_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-egress-label', REFERENCE_CLASS, 'ResvEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel', 
                [], [], 
                '''                Resv message (downstream) egress label
                ''',
                'resv_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-ingress-label', REFERENCE_CLASS, 'ResvIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel', 
                [], [], 
                '''                Resv message (downstream) ingress label
                ''',
                'resv_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'gmpls-labels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tolerance
                ''',
                'tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-cbr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-gfp-f-res',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-gfp-f-non-res',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth',
            False, 
            [
            _MetaInfoClassMember('odu-flex-cbr', REFERENCE_CLASS, 'OduFlexCbr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr', 
                [], [], 
                '''                Odu flex CBR info
                ''',
                'odu_flex_cbr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-flex-gfp-f-non-res', REFERENCE_CLASS, 'OduFlexGfpFNonRes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes', 
                [], [], 
                '''                Odu flex GFP-F non-resizable info
                ''',
                'odu_flex_gfp_f_non_res',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-flex-gfp-f-res', REFERENCE_CLASS, 'OduFlexGfpFRes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes', 
                [], [], 
                '''                Odu flex GFP-F resizable info
                ''',
                'odu_flex_gfp_f_res',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-level', REFERENCE_ENUM_CLASS, 'TeOduLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeOduLevelEnum', 
                [], [], 
                '''                ODULevel
                ''',
                'odu_level',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels',
            False, 
            [
            _MetaInfoClassMember('path-egress-label', REFERENCE_CLASS, 'PathEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel', 
                [], [], 
                '''                Path message (upstream) egress label
                ''',
                'path_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-ingress-label', REFERENCE_CLASS, 'PathIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel', 
                [], [], 
                '''                Path message (upstream) ingress label
                ''',
                'path_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-egress-label', REFERENCE_CLASS, 'ResvEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel', 
                [], [], 
                '''                Resv message (downstream) egress label
                ''',
                'resv_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-ingress-label', REFERENCE_CLASS, 'ResvIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel', 
                [], [], 
                '''                Resv message (downstream) ingress label
                ''',
                'resv_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'labels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn',
            False, 
            [
            _MetaInfoClassMember('bandwidth', REFERENCE_CLASS, 'Bandwidth' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth', 
                [], [], 
                '''                OTN Bandwidth for s2l
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cross-connect-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cross connect id
                ''',
                'cross_connect_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gpid', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Gpid Payload
                ''',
                'gpid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Incoming Controller
                ''',
                'incoming_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Incoming Controller Ifhandle
                ''',
                'incoming_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Controller
                ''',
                'incoming_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Incoming Sub Controller
                ''',
                'incoming_sub_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Incoming Sub Controller Ifhandle
                ''',
                'incoming_sub_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Sub Controller
                ''',
                'incoming_sub_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if subcontrollers are connected
                ''',
                'is_connected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('labels', REFERENCE_CLASS, 'Labels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels', 
                [], [], 
                '''                Labels
                ''',
                'labels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing Controller
                ''',
                'outgoing_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Controller Ifhandle
                ''',
                'outgoing_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Controller
                ''',
                'outgoing_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing Sub Controller
                ''',
                'outgoing_sub_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Sub Controller Ifhandle
                ''',
                'outgoing_sub_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Sub Controller
                ''',
                'outgoing_sub_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                XC Uptime
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Aps.ProtectionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Aps.ProtectionInfo',
            False, 
            [
            _MetaInfoClassMember('ho-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-Off timeout
                ''',
                'ho_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-hopresent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Hold-Off timeout present
                ''',
                'is_hopresent',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-snc-mode-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SNC mode present
                ''',
                'is_snc_mode_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-wtr-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Wait-to-Restore timeout present
                ''',
                'is_wtr_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Notification bit 
                ''',
                'nbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('obit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Operational bit
                ''',
                'obit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path protection profile type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Protecting bit
                ''',
                'pbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protect-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                LSP Protect Type
                ''',
                'protect_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Secondary bit
                ''',
                'sbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                SNC mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TCM ID
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wtr-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait-to-Restore timeout
                ''',
                'wtr_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protection-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Aps' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Aps',
            False, 
            [
            _MetaInfoClassMember('protection-info', REFERENCE_CLASS, 'ProtectionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Aps.ProtectionInfo', 
                [], [], 
                '''                Protection Info
                ''',
                'protection_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'aps',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L',
            False, 
            [
            _MetaInfoClassMember('aps', REFERENCE_CLASS, 'Aps' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Aps', 
                [], [], 
                '''                APS Info for OTN S2L
                ''',
                'aps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn', 
                [], [], 
                '''                Info Related to OTN technology in S2L
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn-s2l',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo.SessionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo.SessionInfo',
            False, 
            [
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'TeBfdLspSessionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdLspSessionStateEnum', 
                [], [], 
                '''                BFD session state
                ''',
                'state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('state-change-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last session state
                change
                ''',
                'state_change_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'session-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo.DeletionHistory' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo.DeletionHistory',
            False, 
            [
            _MetaInfoClassMember('deletion-diagnostic-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Diagnostic Code for the BFD session get deleted
                ''',
                'deletion_diagnostic_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reason for the BFD session get deleted
                ''',
                'deletion_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time stamp of the BFD session get deleted
                ''',
                'deletion_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID of the BFD session get deleted
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'deletion-history',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-reverse-path-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path labels
                ''',
                'bfd_reverse_path_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The BFD reverse path is stale compared to
                configuration
                ''',
                'bfd_reverse_path_stale',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('creation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the BFD session created
                ''',
                'creation_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-history', REFERENCE_CLASS, 'DeletionHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo.DeletionHistory', 
                [], [], 
                '''                BFD Session Deletion History
                ''',
                'deletion_history',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-redundant', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                sBFD session is redundant
                ''',
                'is_redundant',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lspbfd-type', REFERENCE_ENUM_CLASS, 'TeVifBfdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeVifBfdEnum', 
                [], [], 
                '''                LSP BFD type
                ''',
                'lspbfd_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-info', REFERENCE_CLASS, 'SessionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo.SessionInfo', 
                [], [], 
                '''                BFD Session Info
                ''',
                'session_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'head-end-bfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.TailEndBfdInfo.SessionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.TailEndBfdInfo.SessionInfo',
            False, 
            [
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'TeBfdLspSessionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdLspSessionStateEnum', 
                [], [], 
                '''                BFD session state
                ''',
                'state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('state-change-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last session state
                change
                ''',
                'state_change_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'session-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.TailEndBfdInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.TailEndBfdInfo',
            False, 
            [
            _MetaInfoClassMember('failure-diagnostic-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD session failure diagnostic code
                ''',
                'failure_diagnostic_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('failure-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                BFD session failure reason
                ''',
                'failure_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-discriminator', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Local Discriminator
                ''',
                'local_discriminator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('min-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello interval in mini second
                ''',
                'min_interval',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('min-interval-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default hello interval
                ''',
                'min_interval_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default multiplier
                ''',
                'multiplier_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-discriminator', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Remote Discrminator
                ''',
                'remote_discriminator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-info', REFERENCE_CLASS, 'SessionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.TailEndBfdInfo.SessionInfo', 
                [], [], 
                '''                BFD Session Info
                ''',
                'session_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tail-end-bfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.SrlgCollection' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.SrlgCollection',
            False, 
            [
            _MetaInfoClassMember('discovered-srlg', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Discovered SRLGs
                ''',
                'discovered_srlg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-collect-type', REFERENCE_ENUM_CLASS, 'TeSrlgCollectRequestEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSrlgCollectRequestEnum', 
                [], [], 
                '''                SRLG-collection mechanism
                ''',
                'srlg_collect_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-collection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.Association' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.Association',
            False, 
            [
            _MetaInfoClassMember('s2l-association-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Association ID
                ''',
                's2l_association_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                S2L Association Source
                ''',
                's2l_association_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-tie-role', REFERENCE_ENUM_CLASS, 'TeAssociationTieRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAssociationTieRoleEnum', 
                [], [], 
                '''                S2L Association Tie Role
                ''',
                's2l_association_tie_role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Association Type                         
                (draft-ietf-ccamp-mpls-tp-rsvpte-ext-associated-lsp)
                ''',
                's2l_association_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-extended-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L Extended ID Array
                ''',
                's2l_extended_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-global-source', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L Global Source
                ''',
                's2l_global_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'association',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.Protection' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.Protection',
            False, 
            [
            _MetaInfoClassMember('any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Any
                ''',
                'any',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ded1-plus1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1+1 Protection
                ''',
                'ded1_plus1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ded1-to1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1:1 Protection
                ''',
                'ded1_to1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('enhanced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates Enhanced Protection Scheme
                ''',
                'enhanced',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extra-traffic', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should use Links that are protecting other
                (primary) traffic
                ''',
                'extra_traffic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should not use any Link Layer Protection
                ''',
                'link_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Flags Unprotected
                ''',
                'lsp_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-plus-one-bi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Bidirectional Protection
                ''',
                'one_plus_one_bi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-plus-one-uni', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Unidirectional Protection
                ''',
                'one_plus_one_uni',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-to-n-protection-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1:N Protection with Extra-Traffic
                ''',
                'one_to_n_protection_et',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Full Rerouting
                ''',
                'rerouting',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouting-no-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Rerouting Without Extra-Traffic
                ''',
                'rerouting_no_et',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-notification', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Notification Bit
                ''',
                's2l_notification',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-operational', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Operational Bit
                ''',
                's2l_operational',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Protecting Bit
                ''',
                's2l_protecting',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-secondary', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Secondary Bit
                ''',
                's2l_secondary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Shared Link Layer Protection
                ''',
                'shared',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseLspFec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseLspFec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseLspFec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseLspFec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseLspFec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-lsp-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseTspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseTspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.FlexInfo.FlexFec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.FlexInfo.FlexFec',
            False, 
            [
            _MetaInfoClassMember('s2l-fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                Session identifier (ctype)
                ''',
                's2l_fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-dest', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                sub-LSP destination address
                ''',
                's2l_fec_dest',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                's2l_fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                's2l_fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                's2l_fec_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSP source address
                ''',
                's2l_fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                sub-LSP subgroup ID
                ''',
                's2l_fec_subgroup_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                's2l_fec_subgroup_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                's2l_fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                's2l_fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.FlexInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.FlexInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-created', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GAL BFD Session Created
                ''',
                'bfd_created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-egress-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Egress Label
                ''',
                'bfd_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-int-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Internal Label
                ''',
                'bfd_int_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                BFD Next Hop
                ''',
                'bfd_next_hop',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-out-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD Out Interface Handle
                ''',
                'bfd_out_ifh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-tun-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD Tunnel Interface Handle
                ''',
                'bfd_tun_ifh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GAL BFD Session Up
                ''',
                'bfd_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('entry-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FlexLSP Entry Exists
                ''',
                'entry_exists',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ais', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault AIS
                ''',
                'fault_ais',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ldi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LDI
                ''',
                'fault_ldi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ldi-lockout', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LDI Lockout
                ''',
                'fault_ldi_lockout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-lkr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LKR
                ''',
                'fault_lkr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Fault Time
                ''',
                'fault_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex-fec', REFERENCE_CLASS, 'FlexFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.FlexInfo.FlexFec', 
                [], [], 
                '''                FEC for the FlexLSP Entry
                ''',
                'flex_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                In Label
                ''',
                'in_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('oam-created', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                OAM Entry Created
                ''',
                'oam_created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.LspWrapInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.LspWrapInfo',
            False, 
            [
            _MetaInfoClassMember('lsp-wrap-protection-enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Wrap protection enabled
                ''',
                'lsp_wrap_protection_enable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-protection-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSP Wrap Merge Point Label
                ''',
                'lsp_wrap_protection_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-protection-state', REFERENCE_ENUM_CLASS, 'MplsTeLspWrapStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspWrapStateEnum', 
                [], [], 
                '''                LSP wrap protection state
                ''',
                'lsp_wrap_protection_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reverse Egress Interface
                ''',
                'reverse_egress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reverse LSP label
                ''',
                'reverse_lsp_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-wrap-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.DiversityInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.DiversityInfo',
            False, 
            [
            _MetaInfoClassMember('diversity-type', REFERENCE_ENUM_CLASS, 'TePpDiversityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePpDiversityEnum', 
                [], [], 
                '''                S2L path diversity type
                ''',
                'diversity_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'diversity-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.SharedRiskLinkGroup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.SharedRiskLinkGroup',
            False, 
            [
            _MetaInfoClassMember('shared-risk-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG number
                ''',
                'shared_risk_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SRLG name
                ''',
                'srlg_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'shared-risk-link-group',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutEro.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutEro.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutEro.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutEro.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutEro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutEro',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutEro.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutEro.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'out-ero',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InEro.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InEro.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InEro.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InEro.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InEro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InEro',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InEro.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InEro.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'in-ero',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.Ipv4RroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.Ipv4RroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.Ipv4RroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.Ipv4RroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.Ipv4RroSubObject.Flags', 
                [], [], 
                '''                The RRO IPV4 Subobject Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO IPV4 Address
                ''',
                'rro_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.LabelRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.LabelRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-global-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label is Global across all interfaces
                ''',
                'is_global_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.LabelRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.LabelRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.LabelRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Label Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-label-variable-length', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the RRO Subobject Label Variable Length
                ''',
                'is_label_variable_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Label Value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('variable-length-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Variable Length Label
                ''',
                'variable_length_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'label-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.UnnumberedRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.UnnumberedRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Unnumbered Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO Interface Address
                ''',
                'interface_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.SrlgRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.SrlgRroSubObject',
            False, 
            [
            _MetaInfoClassMember('srl-gs', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject SRLGs
                ''',
                'srl_gs',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro',
            False, 
            [
            _MetaInfoClassMember('ipv4rro-sub-object', REFERENCE_CLASS, 'Ipv4RroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.Ipv4RroSubObject', 
                [], [], 
                '''                IPV4 RRO Sub Object
                ''',
                'ipv4rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rro-sub-object', REFERENCE_CLASS, 'LabelRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.LabelRroSubObject', 
                [], [], 
                '''                Label RRO Sub Object
                ''',
                'label_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtRroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtRroSubobjEnum', 
                [], [], 
                '''                RROType
                ''',
                'rro_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-rro-sub-object', REFERENCE_CLASS, 'SrlgRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.SrlgRroSubObject', 
                [], [], 
                '''                SRLG RRO Sub Object
                ''',
                'srlg_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-rro-sub-object', REFERENCE_CLASS, 'UnnumberedRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.UnnumberedRroSubObject', 
                [], [], 
                '''                Unnumbered RRO Sub Object
                ''',
                'unnumbered_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-rro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.Ipv4RroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.Ipv4RroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags', 
                [], [], 
                '''                The RRO IPV4 Subobject Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO IPV4 Address
                ''',
                'rro_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.LabelRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.LabelRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-global-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label is Global across all interfaces
                ''',
                'is_global_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.LabelRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.LabelRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.LabelRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Label Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-label-variable-length', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the RRO Subobject Label Variable Length
                ''',
                'is_label_variable_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Label Value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('variable-length-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Variable Length Label
                ''',
                'variable_length_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'label-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Unnumbered Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO Interface Address
                ''',
                'interface_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.SrlgRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.SrlgRroSubObject',
            False, 
            [
            _MetaInfoClassMember('srl-gs', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject SRLGs
                ''',
                'srl_gs',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro',
            False, 
            [
            _MetaInfoClassMember('ipv4rro-sub-object', REFERENCE_CLASS, 'Ipv4RroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.Ipv4RroSubObject', 
                [], [], 
                '''                IPV4 RRO Sub Object
                ''',
                'ipv4rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rro-sub-object', REFERENCE_CLASS, 'LabelRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.LabelRroSubObject', 
                [], [], 
                '''                Label RRO Sub Object
                ''',
                'label_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtRroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtRroSubobjEnum', 
                [], [], 
                '''                RROType
                ''',
                'rro_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-rro-sub-object', REFERENCE_CLASS, 'SrlgRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.SrlgRroSubObject', 
                [], [], 
                '''                SRLG RRO Sub Object
                ''',
                'srlg_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-rro-sub-object', REFERENCE_CLASS, 'UnnumberedRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject', 
                [], [], 
                '''                Unnumbered RRO Sub Object
                ''',
                'unnumbered_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-rro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathAffinityArray' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathAffinityArray',
            False, 
            [
            _MetaInfoClassMember('hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Hop address
                ''',
                'hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop-affinity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'hop_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop-extended-affinity', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hop affinity
                ''',
                'hop_extended_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-affinity-array',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-ero-in',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.S2LSegmentRoutingPath' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.S2LSegmentRoutingPath',
            False, 
            [
            _MetaInfoClassMember('has-entropy-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Hop has EL specified
                ''',
                'has_entropy_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-ip-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node has IP addresses specified
                ''',
                'has_ip_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-mpls-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Hop has MPLS label specified
                ''',
                'has_mpls_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local IP address of adjacency or Node ID
                ''',
                'local_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mpls-label-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The MPLS label value
                ''',
                'mpls_label_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote IP address of adjacency
                ''',
                'remote_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sid-type', REFERENCE_ENUM_CLASS, 'TeSrSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSrSidEnum', 
                [], [], 
                '''                Type of the SID
                ''',
                'sid_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-segment-routing-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L',
            False, 
            [
            _MetaInfoClassMember('abr-auto-discovered', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next ABR auto discovered
                ''',
                'abr_auto_discovered',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('active-path-option', REFERENCE_CLASS, 'ActivePathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption', 
                [], [], 
                '''                The path option used to find the path for this
                S2L
                ''',
                'active_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('association', REFERENCE_CLASS, 'Association' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.Association', 
                [], [], 
                '''                Association Object
                ''',
                'association',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface handle of the backup tunnel
                ''',
                'backup_tunnel_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('diversity-info', REFERENCE_CLASS, 'DiversityInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.DiversityInfo', 
                [], [], 
                '''                S2L Diversity Information
                ''',
                'diversity_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('downstream-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Downstream router id
                ''',
                'downstream_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Egress Interface
                ''',
                'egress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface-brief', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Egress Interface in brief format
                ''',
                'egress_interface_brief',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Interface
                ''',
                'egress_interface_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Outgoing ERO's affinity bits (colors)
                ''',
                'expanded_ero_affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Outgoing ERO's affinity mask (colors)
                ''',
                'expanded_ero_affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Indicates the protocol and area used to find
                Outgoing ERO
                ''',
                'expanded_ero_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The metric value of the expanded path
                ''',
                'expanded_ero_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-metric-type', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                The Outgoing ERO's selection metric
                ''',
                'expanded_ero_metric_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex-info', REFERENCE_CLASS, 'FlexInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.FlexInfo', 
                [], [], 
                '''                FlexLSP S2L Information
                ''',
                'flex_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-out-tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FRR out tunnel intface
                ''',
                'frr_out_tunnel_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fspec', REFERENCE_CLASS, 'Fspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.Fspec', 
                [], [], 
                '''                The F spec info
                ''',
                'fspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generic-fspec', REFERENCE_CLASS, 'GenericFspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GenericFspec', 
                [], [], 
                '''                Generic FSpec
                ''',
                'generic_fspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generic-tspec', REFERENCE_CLASS, 'GenericTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GenericTspec', 
                [], [], 
                '''                Generic TSpec
                ''',
                'generic_tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gmpls-labels', REFERENCE_CLASS, 'GmplsLabels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels', 
                [], [], 
                '''                GMPLS labels
                ''',
                'gmpls_labels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('head-end-bfd-info', REFERENCE_CLASS, 'HeadEndBfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo', 
                [], [], 
                '''                The Head-end BFD info
                ''',
                'head_end_bfd_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-ero', REFERENCE_LIST, 'InEro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InEro', 
                [], [], 
                '''                Incoming ERO for this S2L
                ''',
                'in_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-xro', REFERENCE_CLASS, 'InXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro', 
                [], [], 
                '''                Incoming XRO for this S2L
                ''',
                'in_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Incoming interface address
                ''',
                'incoming_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-address-generic', REFERENCE_CLASS, 'IncomingAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric', 
                [], [], 
                '''                Incoming interface address
                ''',
                'incoming_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ingress Interface
                ''',
                'ingress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface-brief', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ingress Interface in brief format
                ''',
                'ingress_interface_brief',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Interface
                ''',
                'ingress_interface_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-protect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BW Protection Enabled or Disabled
                ''',
                'is_bandwidth_protect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-expanded-ero', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if this LSR expanded a loose path
                ''',
                'is_expanded_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-frr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Enabled or Disabled
                ''',
                'is_frr_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Enabled or Disabled
                ''',
                'is_node_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-optical', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Optical
                ''',
                'is_optical',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local router id
                ''',
                'local_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-info', REFERENCE_CLASS, 'LspWrapInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.LspWrapInfo', 
                [], [], 
                '''                Lsp Wrap  Related information
                ''',
                'lsp_wrap_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop address
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address-generic', REFERENCE_CLASS, 'NextHopAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric', 
                [], [], 
                '''                Next hop address
                ''',
                'next_hop_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('node-hop-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hop count
                ''',
                'node_hop_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn-s2l', REFERENCE_CLASS, 'OtnS2L' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L', 
                [], [], 
                '''                Otn S2L Information
                ''',
                'otn_s2l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-ero', REFERENCE_LIST, 'OutEro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutEro', 
                [], [], 
                '''                Outgoing ERO for this S2L
                ''',
                'out_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-xro', REFERENCE_CLASS, 'OutXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro', 
                [], [], 
                '''                Outgoing XRO for this S2L
                ''',
                'out_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outbound-frr-state', REFERENCE_ENUM_CLASS, 'MplsTeFrrStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeFrrStateEnum', 
                [], [], 
                '''                Indicates outbound FRR state
                ''',
                'outbound_frr_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-affinity-array', REFERENCE_LIST, 'PathAffinityArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathAffinityArray', 
                [], [], 
                '''                Tunnel's Path hops with affinity
                ''',
                'path_affinity_array',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reeval-query-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loose path reevaluation query received at
                mid-point
                ''',
                'path_reeval_query_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-rro', REFERENCE_LIST, 'PathRro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro', 
                [], [], 
                '''                Path RRO for this S2L
                ''',
                'path_rro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-rro-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path RRO Enabled or Disabled
                ''',
                'path_rro_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-using-strict-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is using Strict SPF
                ''',
                'path_using_strict_spf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcalc-area', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IGP-area in which the S2L path was calculated
                ''',
                'pcalc_area',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Previous hop address
                ''',
                'previous_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-hop-address-generic', REFERENCE_CLASS, 'PreviousHopAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric', 
                [], [], 
                '''                Previous hop address
                ''',
                'previous_hop_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection', REFERENCE_CLASS, 'Protection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.Protection', 
                [], [], 
                '''                Protection Object
                ''',
                'protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-rro', REFERENCE_LIST, 'ResvRro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro', 
                [], [], 
                '''                Resv RRO for this S2L
                ''',
                'resv_rro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-ero-in', REFERENCE_LIST, 'ReverseEroIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn', 
                [], [], 
                '''                 Reverse Incoming ERO for this S2L
                ''',
                'reverse_ero_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Connected
                ''',
                'reverse_lsp_connected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-fec', REFERENCE_CLASS, 'ReverseLspFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseLspFec', 
                [], [], 
                '''                Reverse Associated Bidir LSP FEC
                ''',
                'reverse_lsp_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Name
                ''',
                'reverse_lsp_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Present
                ''',
                'reverse_lsp_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-tspec', REFERENCE_CLASS, 'ReverseTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseTspec', 
                [], [], 
                '''                The Reverse T spec info
                ''',
                'reverse_tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The reverse path weight
                ''',
                'reverse_weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('role', REFERENCE_ENUM_CLASS, 'MplsTeTunnelRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelRoleEnum', 
                [], [], 
                '''                Role of S2L
                ''',
                'role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-convergence', REFERENCE_CLASS, 'S2LConvergence' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.S2LConvergence', 
                [], [], 
                '''                TE LSP convergence related information
                ''',
                's2l_convergence',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec', REFERENCE_CLASS, 'S2LFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.S2LFec', 
                [], [], 
                '''                FEC for the S2L
                ''',
                's2l_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label
                ''',
                's2l_local_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing label
                ''',
                's2l_out_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-ero-obj-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2l Reverse ERO Object Present
                ''',
                's2l_reverse_ero_obj_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-lsp-sub-obj', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Reverse LSP Sub Objects
                ''',
                's2l_reverse_lsp_sub_obj',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-tspec-obj-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Reverse TSpec Object Present
                ''',
                's2l_reverse_tspec_obj_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-segment-routing-path', REFERENCE_LIST, 'S2LSegmentRoutingPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.S2LSegmentRoutingPath', 
                [], [], 
                '''                Segment-Routing S2L path info
                ''',
                's2l_segment_routing_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared-risk-link-group', REFERENCE_LIST, 'SharedRiskLinkGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.SharedRiskLinkGroup', 
                [], [], 
                '''                The S2L's excluded srlg groups
                ''',
                'shared_risk_link_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-status', REFERENCE_ENUM_CLASS, 'MplsTeTunnelsSignalingStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelsSignalingStatusEnum', 
                [], [], 
                '''                Signaling status
                ''',
                'signalling_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption', REFERENCE_CLASS, 'SoftPreemption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.SoftPreemption', 
                [], [], 
                '''                The soft preemption info for this LSP.
                ''',
                'soft_preemption',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-collection', REFERENCE_CLASS, 'SrlgCollection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.SrlgCollection', 
                [], [], 
                '''                SRLG-collection data
                ''',
                'srlg_collection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tail-end-bfd-info', REFERENCE_CLASS, 'TailEndBfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.TailEndBfdInfo', 
                [], [], 
                '''                The Tail-end BFD info
                ''',
                'tail_end_bfd_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-preferred-path-exists-send-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last preferred path exists msg send
                from mid-point
                ''',
                'time_since_last_preferred_path_exists_send_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-preferred-tree-exists-send-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last preferred tree exists msg send
                from mid-point
                ''',
                'time_since_last_preferred_tree_exists_send_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-query-received-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last reevaluation query received at
                mid-point
                ''',
                'time_since_last_query_received_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tspec', REFERENCE_CLASS, 'Tspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.Tspec', 
                [], [], 
                '''                The T spec info
                ''',
                'tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('upstream-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Upstream router id
                ''',
                'upstream_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the tunnel was up
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The path's weight
                ''',
                'weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp',
            False, 
            [
            _MetaInfoClassMember('dste-class-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Matching DSTE class index
                ''',
                'dste_class_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-match', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Do the class type and priority match a DSTE
                class
                ''',
                'dste_class_match',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-active-reason', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP LSP FRR active reason
                ''',
                'frr_active_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-frr-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                P2MP LSP has FRR Failed
                ''',
                'is_frr_failed',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True for tunnel head
                ''',
                'is_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-passive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True for passive tunnel
                ''',
                'is_passive',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-path-change', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last path change
                ''',
                'last_path_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP LSP Bandwidth
                ''',
                'lsp_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The LSP bandwidth type
                ''',
                'lsp_bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-fec', REFERENCE_CLASS, 'LspFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.LspFec', 
                [], [], 
                '''                FEC for the LSP
                ''',
                'lsp_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSP hold priority
                ''',
                'lsp_hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSP setup priority
                ''',
                'lsp_setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('persistent-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Persistent forwarding statistics for number of
                bytes. Clear counters will not reset the counter
                ''',
                'persistent_bytes',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('persistent-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Persistent forwarding statistics for Number of
                packets. Clear counters will not reset the
                counter
                ''',
                'persistent_packets',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimize-reason', REFERENCE_ENUM_CLASS, 'MplsTeReoptDecisionReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeReoptDecisionReasonEnum', 
                [], [], 
                '''                Reason for re-optimization
                ''',
                'reoptimize_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimize-trigger', REFERENCE_ENUM_CLASS, 'MteReoptTriggerEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MteReoptTriggerEnum', 
                [], [], 
                '''                Re-optimize trigger
                ''',
                'reoptimize_trigger',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-down', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of down S2Ls
                ''',
                's2_ls_down',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-proceeding', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of proceeding S2Ls
                ''',
                's2_ls_proceeding',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of connected S2Ls
                ''',
                's2_ls_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l', REFERENCE_LIST, 'S2L' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L', 
                [], [], 
                '''                array of S2L structures
                ''',
                's2l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signaled-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signaled Name
                ''',
                'signaled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('timer-left', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds left to take next action if any
                ''',
                'timer_left',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MplsTeLspEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspEnum', 
                [], [], 
                '''                The type of this LSP
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the tunnel was up
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reoptimized-standby-p2mp-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.LspFec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.LspFec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.LspFec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.LspFec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.LspFec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.S2LFec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.S2LFec',
            False, 
            [
            _MetaInfoClassMember('s2l-fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                Session identifier (ctype)
                ''',
                's2l_fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-dest', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                sub-LSP destination address
                ''',
                's2l_fec_dest',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                's2l_fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                's2l_fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                's2l_fec_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSP source address
                ''',
                's2l_fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                sub-LSP subgroup ID
                ''',
                's2l_fec_subgroup_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                's2l_fec_subgroup_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                's2l_fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                's2l_fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.PathCalculationError' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.PathCalculationError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-calculation-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.RemergeError' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.RemergeError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'remerge-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.SignallingError' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.SignallingError',
            False, 
            [
            _MetaInfoClassMember('error', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Path Error code
                ''',
                'error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Source address of the error generating node
                ''',
                'error_node',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSPMode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if error is on the reverse LSP
                ''',
                'reverse_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP-id for which the error was received
                ''',
                'signalling_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path Error subcode
                ''',
                'sub_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalling-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption',
            False, 
            [
            _MetaInfoClassMember('attribute-set', REFERENCE_CLASS, 'AttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet', 
                [], [], 
                '''                The path option attribute set used by this path
                ''',
                'attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-found', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has found the defined attribute
                set
                ''',
                'attribute_set_found',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Explicit Path ID, this is the key to table
                ExplicitPaths.IdentifierTable
                ''',
                'explicit_path_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Explicit Path Name, this is the key to table
                ExplicitPaths.NameTable
                ''',
                'explicit_path_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has an attribute set defined
                ''',
                'has_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-xro-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has an XRO attribute set
                configured
                ''',
                'has_xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('holddown-duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Holddown Duration (seconds)
                ''',
                'holddown_duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path option is disabled
                ''',
                'is_disabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-helddown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if path is helddown
                ''',
                'is_helddown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-lockdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is locked down
                ''',
                'is_lockdown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-segment-routing', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is Segment-Routing
                ''',
                'is_segment_routing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-explicit-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if explicit path is strict
                ''',
                'is_strict_explicit_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-verbatim', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is verbatim
                ''',
                'is_verbatim',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index
                ''',
                'option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index-is-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The path option index is valid
                ''',
                'option_index_is_valid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-calculation-error', REFERENCE_LIST, 'PathCalculationError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.PathCalculationError', 
                [], [], 
                '''                Path computation information
                ''',
                'path_calculation_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The path-option area constraint
                ''',
                'path_option_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path option name
                ''',
                'path_option_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-type', REFERENCE_ENUM_CLASS, 'MplsTePathoptionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTePathoptionEnum', 
                [], [], 
                '''                Path option type
                ''',
                'path_option_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                PCE server address
                ''',
                'pce_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-by-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for Protect path options
                ''',
                'protected_by_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remerge-error', REFERENCE_LIST, 'RemergeError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.RemergeError', 
                [], [], 
                '''                Path computation remerge resolve info
                ''',
                'remerge_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restored-from-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for Restore path options
                ''',
                'restored_from_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-error', REFERENCE_LIST, 'SignallingError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.SignallingError', 
                [], [], 
                '''                Signalling information
                ''',
                'signalling_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set', REFERENCE_CLASS, 'XroAttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet', 
                [], [], 
                '''                The XRO attribute set used by this path-option
                ''',
                'xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set-found', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path's XRO attribute set is known
                ''',
                'xro_attribute_set_found',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'active-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'out-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'in-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.Tspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.Tspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GenericTspec.Otntspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GenericTspec.Otntspec',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit Rate in kbps
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nmc-or-tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                NMC or Tolerance
                ''',
                'nmc_or_tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Virtual Components
                ''',
                'nvc',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otntspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GenericTspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GenericTspec',
            False, 
            [
            _MetaInfoClassMember('otntspec', REFERENCE_CLASS, 'Otntspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GenericTspec.Otntspec', 
                [], [], 
                '''                TE TSpec for G709 OTN
                ''',
                'otntspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tspec-type', REFERENCE_ENUM_CLASS, 'TeMgmtGenericTspecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeMgmtGenericTspecEnum', 
                [], [], 
                '''                TSpecType
                ''',
                'tspec_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'generic-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.Fspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.Fspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GenericFspec.Otnfspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GenericFspec.Otnfspec',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit Rate in kbps
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nmc-or-tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                NMC or Tolerance
                ''',
                'nmc_or_tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Virtual Components
                ''',
                'nvc',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otnfspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GenericFspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GenericFspec',
            False, 
            [
            _MetaInfoClassMember('fspec-type', REFERENCE_ENUM_CLASS, 'TeMgmtGenericFspecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeMgmtGenericFspecEnum', 
                [], [], 
                '''                FSpecType
                ''',
                'fspec_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otnfspec', REFERENCE_CLASS, 'Otnfspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GenericFspec.Otnfspec', 
                [], [], 
                '''                TE FSpec for G709 OTN
                ''',
                'otnfspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'generic-fspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.NextHopAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.NextHopAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.NextHopAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.NextHopAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.NextHopAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'next-hop-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'previous-hop-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.IncomingAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.IncomingAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.IncomingAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.IncomingAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.IncomingAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'incoming-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.S2LConvergence' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.S2LConvergence',
            False, 
            [
            _MetaInfoClassMember('creation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tunnel creation timestamp (clocktime in nsecs)
                ''',
                'creation_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rewrite', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP Label rewrite timestamp (clocktime in nsecs)
                ''',
                'label_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Path-in timestamp (clocktime in nsecs)
                ''',
                'path_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Path-in timestamp (clocktime in nsecs)
                ''',
                'path_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Resv-in timestamp (clocktime in nsecs)
                ''',
                'resv_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Resv-out timestamp (clocktime in nsecs)
                ''',
                'resv_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-rewrite', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tunnel rewrite timestamp (clocktime in nsecs)
                ''',
                'tunnel_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-convergence',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.SoftPreemption' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.SoftPreemption',
            False, 
            [
            _MetaInfoClassMember('fr-rrewrite', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR-rewrite during soft preemption
                ''',
                'fr_rrewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fr-rrewrite-tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The tunnel name of the backup
                ''',
                'fr_rrewrite_tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('preempting-link-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The address of the link where the preemption
                happened
                ''',
                'preempting_link_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-link', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the link where the soft preemption
                occurred
                ''',
                'soft_preemption_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The POSIX timestamp when the soft preemption
                occurred
                ''',
                'soft_preemption_timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'MplsTeSoftPreemptionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeSoftPreemptionStateEnum', 
                [], [], 
                '''                The current state of the soft preemption
                operation
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-to-hard-preemption', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The number of seconds until hard preemption is
                triggered
                ''',
                'time_to_hard_preemption',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'soft-preemption',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels',
            False, 
            [
            _MetaInfoClassMember('path-egress-label', REFERENCE_CLASS, 'PathEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel', 
                [], [], 
                '''                Path message (upstream) egress label
                ''',
                'path_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-ingress-label', REFERENCE_CLASS, 'PathIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel', 
                [], [], 
                '''                Path message (upstream) ingress label
                ''',
                'path_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-egress-label', REFERENCE_CLASS, 'ResvEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel', 
                [], [], 
                '''                Resv message (downstream) egress label
                ''',
                'resv_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-ingress-label', REFERENCE_CLASS, 'ResvIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel', 
                [], [], 
                '''                Resv message (downstream) ingress label
                ''',
                'resv_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'gmpls-labels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tolerance
                ''',
                'tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-cbr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-gfp-f-res',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-gfp-f-non-res',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth',
            False, 
            [
            _MetaInfoClassMember('odu-flex-cbr', REFERENCE_CLASS, 'OduFlexCbr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr', 
                [], [], 
                '''                Odu flex CBR info
                ''',
                'odu_flex_cbr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-flex-gfp-f-non-res', REFERENCE_CLASS, 'OduFlexGfpFNonRes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes', 
                [], [], 
                '''                Odu flex GFP-F non-resizable info
                ''',
                'odu_flex_gfp_f_non_res',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-flex-gfp-f-res', REFERENCE_CLASS, 'OduFlexGfpFRes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes', 
                [], [], 
                '''                Odu flex GFP-F resizable info
                ''',
                'odu_flex_gfp_f_res',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-level', REFERENCE_ENUM_CLASS, 'TeOduLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeOduLevelEnum', 
                [], [], 
                '''                ODULevel
                ''',
                'odu_level',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels',
            False, 
            [
            _MetaInfoClassMember('path-egress-label', REFERENCE_CLASS, 'PathEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel', 
                [], [], 
                '''                Path message (upstream) egress label
                ''',
                'path_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-ingress-label', REFERENCE_CLASS, 'PathIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel', 
                [], [], 
                '''                Path message (upstream) ingress label
                ''',
                'path_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-egress-label', REFERENCE_CLASS, 'ResvEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel', 
                [], [], 
                '''                Resv message (downstream) egress label
                ''',
                'resv_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-ingress-label', REFERENCE_CLASS, 'ResvIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel', 
                [], [], 
                '''                Resv message (downstream) ingress label
                ''',
                'resv_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'labels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn',
            False, 
            [
            _MetaInfoClassMember('bandwidth', REFERENCE_CLASS, 'Bandwidth' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth', 
                [], [], 
                '''                OTN Bandwidth for s2l
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cross-connect-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cross connect id
                ''',
                'cross_connect_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gpid', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Gpid Payload
                ''',
                'gpid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Incoming Controller
                ''',
                'incoming_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Incoming Controller Ifhandle
                ''',
                'incoming_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Controller
                ''',
                'incoming_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Incoming Sub Controller
                ''',
                'incoming_sub_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Incoming Sub Controller Ifhandle
                ''',
                'incoming_sub_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Sub Controller
                ''',
                'incoming_sub_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if subcontrollers are connected
                ''',
                'is_connected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('labels', REFERENCE_CLASS, 'Labels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels', 
                [], [], 
                '''                Labels
                ''',
                'labels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing Controller
                ''',
                'outgoing_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Controller Ifhandle
                ''',
                'outgoing_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Controller
                ''',
                'outgoing_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing Sub Controller
                ''',
                'outgoing_sub_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Sub Controller Ifhandle
                ''',
                'outgoing_sub_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Sub Controller
                ''',
                'outgoing_sub_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                XC Uptime
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Aps.ProtectionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Aps.ProtectionInfo',
            False, 
            [
            _MetaInfoClassMember('ho-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-Off timeout
                ''',
                'ho_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-hopresent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Hold-Off timeout present
                ''',
                'is_hopresent',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-snc-mode-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SNC mode present
                ''',
                'is_snc_mode_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-wtr-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Wait-to-Restore timeout present
                ''',
                'is_wtr_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Notification bit 
                ''',
                'nbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('obit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Operational bit
                ''',
                'obit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path protection profile type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Protecting bit
                ''',
                'pbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protect-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                LSP Protect Type
                ''',
                'protect_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Secondary bit
                ''',
                'sbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                SNC mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TCM ID
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wtr-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait-to-Restore timeout
                ''',
                'wtr_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protection-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Aps' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Aps',
            False, 
            [
            _MetaInfoClassMember('protection-info', REFERENCE_CLASS, 'ProtectionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Aps.ProtectionInfo', 
                [], [], 
                '''                Protection Info
                ''',
                'protection_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'aps',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L',
            False, 
            [
            _MetaInfoClassMember('aps', REFERENCE_CLASS, 'Aps' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Aps', 
                [], [], 
                '''                APS Info for OTN S2L
                ''',
                'aps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn', 
                [], [], 
                '''                Info Related to OTN technology in S2L
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn-s2l',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.HeadEndBfdInfo.SessionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.HeadEndBfdInfo.SessionInfo',
            False, 
            [
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'TeBfdLspSessionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdLspSessionStateEnum', 
                [], [], 
                '''                BFD session state
                ''',
                'state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('state-change-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last session state
                change
                ''',
                'state_change_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'session-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.HeadEndBfdInfo.DeletionHistory' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.HeadEndBfdInfo.DeletionHistory',
            False, 
            [
            _MetaInfoClassMember('deletion-diagnostic-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Diagnostic Code for the BFD session get deleted
                ''',
                'deletion_diagnostic_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reason for the BFD session get deleted
                ''',
                'deletion_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time stamp of the BFD session get deleted
                ''',
                'deletion_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID of the BFD session get deleted
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'deletion-history',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.HeadEndBfdInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.HeadEndBfdInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-reverse-path-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path labels
                ''',
                'bfd_reverse_path_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The BFD reverse path is stale compared to
                configuration
                ''',
                'bfd_reverse_path_stale',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('creation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the BFD session created
                ''',
                'creation_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-history', REFERENCE_CLASS, 'DeletionHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.HeadEndBfdInfo.DeletionHistory', 
                [], [], 
                '''                BFD Session Deletion History
                ''',
                'deletion_history',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-redundant', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                sBFD session is redundant
                ''',
                'is_redundant',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lspbfd-type', REFERENCE_ENUM_CLASS, 'TeVifBfdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeVifBfdEnum', 
                [], [], 
                '''                LSP BFD type
                ''',
                'lspbfd_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-info', REFERENCE_CLASS, 'SessionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.HeadEndBfdInfo.SessionInfo', 
                [], [], 
                '''                BFD Session Info
                ''',
                'session_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'head-end-bfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.TailEndBfdInfo.SessionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.TailEndBfdInfo.SessionInfo',
            False, 
            [
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'TeBfdLspSessionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdLspSessionStateEnum', 
                [], [], 
                '''                BFD session state
                ''',
                'state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('state-change-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last session state
                change
                ''',
                'state_change_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'session-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.TailEndBfdInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.TailEndBfdInfo',
            False, 
            [
            _MetaInfoClassMember('failure-diagnostic-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD session failure diagnostic code
                ''',
                'failure_diagnostic_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('failure-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                BFD session failure reason
                ''',
                'failure_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-discriminator', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Local Discriminator
                ''',
                'local_discriminator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('min-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello interval in mini second
                ''',
                'min_interval',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('min-interval-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default hello interval
                ''',
                'min_interval_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default multiplier
                ''',
                'multiplier_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-discriminator', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Remote Discrminator
                ''',
                'remote_discriminator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-info', REFERENCE_CLASS, 'SessionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.TailEndBfdInfo.SessionInfo', 
                [], [], 
                '''                BFD Session Info
                ''',
                'session_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tail-end-bfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.SrlgCollection' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.SrlgCollection',
            False, 
            [
            _MetaInfoClassMember('discovered-srlg', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Discovered SRLGs
                ''',
                'discovered_srlg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-collect-type', REFERENCE_ENUM_CLASS, 'TeSrlgCollectRequestEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSrlgCollectRequestEnum', 
                [], [], 
                '''                SRLG-collection mechanism
                ''',
                'srlg_collect_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-collection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.Association' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.Association',
            False, 
            [
            _MetaInfoClassMember('s2l-association-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Association ID
                ''',
                's2l_association_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                S2L Association Source
                ''',
                's2l_association_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-tie-role', REFERENCE_ENUM_CLASS, 'TeAssociationTieRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAssociationTieRoleEnum', 
                [], [], 
                '''                S2L Association Tie Role
                ''',
                's2l_association_tie_role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Association Type                         
                (draft-ietf-ccamp-mpls-tp-rsvpte-ext-associated-lsp)
                ''',
                's2l_association_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-extended-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L Extended ID Array
                ''',
                's2l_extended_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-global-source', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L Global Source
                ''',
                's2l_global_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'association',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.Protection' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.Protection',
            False, 
            [
            _MetaInfoClassMember('any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Any
                ''',
                'any',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ded1-plus1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1+1 Protection
                ''',
                'ded1_plus1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ded1-to1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1:1 Protection
                ''',
                'ded1_to1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('enhanced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates Enhanced Protection Scheme
                ''',
                'enhanced',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extra-traffic', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should use Links that are protecting other
                (primary) traffic
                ''',
                'extra_traffic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should not use any Link Layer Protection
                ''',
                'link_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Flags Unprotected
                ''',
                'lsp_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-plus-one-bi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Bidirectional Protection
                ''',
                'one_plus_one_bi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-plus-one-uni', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Unidirectional Protection
                ''',
                'one_plus_one_uni',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-to-n-protection-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1:N Protection with Extra-Traffic
                ''',
                'one_to_n_protection_et',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Full Rerouting
                ''',
                'rerouting',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouting-no-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Rerouting Without Extra-Traffic
                ''',
                'rerouting_no_et',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-notification', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Notification Bit
                ''',
                's2l_notification',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-operational', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Operational Bit
                ''',
                's2l_operational',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Protecting Bit
                ''',
                's2l_protecting',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-secondary', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Secondary Bit
                ''',
                's2l_secondary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Shared Link Layer Protection
                ''',
                'shared',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseLspFec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseLspFec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseLspFec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseLspFec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseLspFec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-lsp-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseTspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseTspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.FlexInfo.FlexFec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.FlexInfo.FlexFec',
            False, 
            [
            _MetaInfoClassMember('s2l-fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                Session identifier (ctype)
                ''',
                's2l_fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-dest', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                sub-LSP destination address
                ''',
                's2l_fec_dest',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                's2l_fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                's2l_fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                's2l_fec_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSP source address
                ''',
                's2l_fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                sub-LSP subgroup ID
                ''',
                's2l_fec_subgroup_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                's2l_fec_subgroup_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                's2l_fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                's2l_fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.FlexInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.FlexInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-created', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GAL BFD Session Created
                ''',
                'bfd_created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-egress-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Egress Label
                ''',
                'bfd_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-int-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Internal Label
                ''',
                'bfd_int_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                BFD Next Hop
                ''',
                'bfd_next_hop',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-out-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD Out Interface Handle
                ''',
                'bfd_out_ifh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-tun-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD Tunnel Interface Handle
                ''',
                'bfd_tun_ifh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GAL BFD Session Up
                ''',
                'bfd_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('entry-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FlexLSP Entry Exists
                ''',
                'entry_exists',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ais', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault AIS
                ''',
                'fault_ais',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ldi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LDI
                ''',
                'fault_ldi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ldi-lockout', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LDI Lockout
                ''',
                'fault_ldi_lockout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-lkr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LKR
                ''',
                'fault_lkr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Fault Time
                ''',
                'fault_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex-fec', REFERENCE_CLASS, 'FlexFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.FlexInfo.FlexFec', 
                [], [], 
                '''                FEC for the FlexLSP Entry
                ''',
                'flex_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                In Label
                ''',
                'in_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('oam-created', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                OAM Entry Created
                ''',
                'oam_created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.LspWrapInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.LspWrapInfo',
            False, 
            [
            _MetaInfoClassMember('lsp-wrap-protection-enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Wrap protection enabled
                ''',
                'lsp_wrap_protection_enable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-protection-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSP Wrap Merge Point Label
                ''',
                'lsp_wrap_protection_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-protection-state', REFERENCE_ENUM_CLASS, 'MplsTeLspWrapStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspWrapStateEnum', 
                [], [], 
                '''                LSP wrap protection state
                ''',
                'lsp_wrap_protection_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reverse Egress Interface
                ''',
                'reverse_egress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reverse LSP label
                ''',
                'reverse_lsp_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-wrap-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.DiversityInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.DiversityInfo',
            False, 
            [
            _MetaInfoClassMember('diversity-type', REFERENCE_ENUM_CLASS, 'TePpDiversityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePpDiversityEnum', 
                [], [], 
                '''                S2L path diversity type
                ''',
                'diversity_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'diversity-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.SharedRiskLinkGroup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.SharedRiskLinkGroup',
            False, 
            [
            _MetaInfoClassMember('shared-risk-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG number
                ''',
                'shared_risk_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SRLG name
                ''',
                'srlg_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'shared-risk-link-group',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutEro.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutEro.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutEro.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutEro.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutEro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutEro',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutEro.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutEro.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'out-ero',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InEro.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InEro.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InEro.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InEro.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InEro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InEro',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InEro.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InEro.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'in-ero',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.Ipv4RroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.Ipv4RroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.Ipv4RroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.Ipv4RroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.Ipv4RroSubObject.Flags', 
                [], [], 
                '''                The RRO IPV4 Subobject Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO IPV4 Address
                ''',
                'rro_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.LabelRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.LabelRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-global-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label is Global across all interfaces
                ''',
                'is_global_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.LabelRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.LabelRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.LabelRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Label Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-label-variable-length', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the RRO Subobject Label Variable Length
                ''',
                'is_label_variable_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Label Value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('variable-length-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Variable Length Label
                ''',
                'variable_length_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'label-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.UnnumberedRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.UnnumberedRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.UnnumberedRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.UnnumberedRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.UnnumberedRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Unnumbered Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO Interface Address
                ''',
                'interface_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.SrlgRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.SrlgRroSubObject',
            False, 
            [
            _MetaInfoClassMember('srl-gs', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject SRLGs
                ''',
                'srl_gs',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro',
            False, 
            [
            _MetaInfoClassMember('ipv4rro-sub-object', REFERENCE_CLASS, 'Ipv4RroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.Ipv4RroSubObject', 
                [], [], 
                '''                IPV4 RRO Sub Object
                ''',
                'ipv4rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rro-sub-object', REFERENCE_CLASS, 'LabelRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.LabelRroSubObject', 
                [], [], 
                '''                Label RRO Sub Object
                ''',
                'label_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtRroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtRroSubobjEnum', 
                [], [], 
                '''                RROType
                ''',
                'rro_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-rro-sub-object', REFERENCE_CLASS, 'SrlgRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.SrlgRroSubObject', 
                [], [], 
                '''                SRLG RRO Sub Object
                ''',
                'srlg_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-rro-sub-object', REFERENCE_CLASS, 'UnnumberedRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.UnnumberedRroSubObject', 
                [], [], 
                '''                Unnumbered RRO Sub Object
                ''',
                'unnumbered_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-rro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.Ipv4RroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.Ipv4RroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.Ipv4RroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.Ipv4RroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.Ipv4RroSubObject.Flags', 
                [], [], 
                '''                The RRO IPV4 Subobject Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO IPV4 Address
                ''',
                'rro_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.LabelRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.LabelRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-global-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label is Global across all interfaces
                ''',
                'is_global_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.LabelRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.LabelRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.LabelRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Label Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-label-variable-length', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the RRO Subobject Label Variable Length
                ''',
                'is_label_variable_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Label Value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('variable-length-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Variable Length Label
                ''',
                'variable_length_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'label-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.UnnumberedRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.UnnumberedRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Unnumbered Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO Interface Address
                ''',
                'interface_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.SrlgRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.SrlgRroSubObject',
            False, 
            [
            _MetaInfoClassMember('srl-gs', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject SRLGs
                ''',
                'srl_gs',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro',
            False, 
            [
            _MetaInfoClassMember('ipv4rro-sub-object', REFERENCE_CLASS, 'Ipv4RroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.Ipv4RroSubObject', 
                [], [], 
                '''                IPV4 RRO Sub Object
                ''',
                'ipv4rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rro-sub-object', REFERENCE_CLASS, 'LabelRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.LabelRroSubObject', 
                [], [], 
                '''                Label RRO Sub Object
                ''',
                'label_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtRroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtRroSubobjEnum', 
                [], [], 
                '''                RROType
                ''',
                'rro_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-rro-sub-object', REFERENCE_CLASS, 'SrlgRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.SrlgRroSubObject', 
                [], [], 
                '''                SRLG RRO Sub Object
                ''',
                'srlg_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-rro-sub-object', REFERENCE_CLASS, 'UnnumberedRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.UnnumberedRroSubObject', 
                [], [], 
                '''                Unnumbered RRO Sub Object
                ''',
                'unnumbered_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-rro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathAffinityArray' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathAffinityArray',
            False, 
            [
            _MetaInfoClassMember('hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Hop address
                ''',
                'hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop-affinity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'hop_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop-extended-affinity', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hop affinity
                ''',
                'hop_extended_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-affinity-array',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseEroIn.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseEroIn.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseEroIn.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseEroIn.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseEroIn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseEroIn',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseEroIn.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseEroIn.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-ero-in',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.S2LSegmentRoutingPath' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.S2LSegmentRoutingPath',
            False, 
            [
            _MetaInfoClassMember('has-entropy-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Hop has EL specified
                ''',
                'has_entropy_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-ip-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node has IP addresses specified
                ''',
                'has_ip_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-mpls-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Hop has MPLS label specified
                ''',
                'has_mpls_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local IP address of adjacency or Node ID
                ''',
                'local_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mpls-label-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The MPLS label value
                ''',
                'mpls_label_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote IP address of adjacency
                ''',
                'remote_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sid-type', REFERENCE_ENUM_CLASS, 'TeSrSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSrSidEnum', 
                [], [], 
                '''                Type of the SID
                ''',
                'sid_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-segment-routing-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L',
            False, 
            [
            _MetaInfoClassMember('abr-auto-discovered', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next ABR auto discovered
                ''',
                'abr_auto_discovered',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('active-path-option', REFERENCE_CLASS, 'ActivePathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption', 
                [], [], 
                '''                The path option used to find the path for this
                S2L
                ''',
                'active_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('association', REFERENCE_CLASS, 'Association' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.Association', 
                [], [], 
                '''                Association Object
                ''',
                'association',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface handle of the backup tunnel
                ''',
                'backup_tunnel_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('diversity-info', REFERENCE_CLASS, 'DiversityInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.DiversityInfo', 
                [], [], 
                '''                S2L Diversity Information
                ''',
                'diversity_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('downstream-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Downstream router id
                ''',
                'downstream_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Egress Interface
                ''',
                'egress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface-brief', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Egress Interface in brief format
                ''',
                'egress_interface_brief',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Interface
                ''',
                'egress_interface_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Outgoing ERO's affinity bits (colors)
                ''',
                'expanded_ero_affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Outgoing ERO's affinity mask (colors)
                ''',
                'expanded_ero_affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Indicates the protocol and area used to find
                Outgoing ERO
                ''',
                'expanded_ero_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The metric value of the expanded path
                ''',
                'expanded_ero_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-metric-type', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                The Outgoing ERO's selection metric
                ''',
                'expanded_ero_metric_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex-info', REFERENCE_CLASS, 'FlexInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.FlexInfo', 
                [], [], 
                '''                FlexLSP S2L Information
                ''',
                'flex_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-out-tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FRR out tunnel intface
                ''',
                'frr_out_tunnel_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fspec', REFERENCE_CLASS, 'Fspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.Fspec', 
                [], [], 
                '''                The F spec info
                ''',
                'fspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generic-fspec', REFERENCE_CLASS, 'GenericFspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GenericFspec', 
                [], [], 
                '''                Generic FSpec
                ''',
                'generic_fspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generic-tspec', REFERENCE_CLASS, 'GenericTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GenericTspec', 
                [], [], 
                '''                Generic TSpec
                ''',
                'generic_tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gmpls-labels', REFERENCE_CLASS, 'GmplsLabels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels', 
                [], [], 
                '''                GMPLS labels
                ''',
                'gmpls_labels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('head-end-bfd-info', REFERENCE_CLASS, 'HeadEndBfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.HeadEndBfdInfo', 
                [], [], 
                '''                The Head-end BFD info
                ''',
                'head_end_bfd_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-ero', REFERENCE_LIST, 'InEro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InEro', 
                [], [], 
                '''                Incoming ERO for this S2L
                ''',
                'in_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-xro', REFERENCE_CLASS, 'InXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro', 
                [], [], 
                '''                Incoming XRO for this S2L
                ''',
                'in_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Incoming interface address
                ''',
                'incoming_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-address-generic', REFERENCE_CLASS, 'IncomingAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.IncomingAddressGeneric', 
                [], [], 
                '''                Incoming interface address
                ''',
                'incoming_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ingress Interface
                ''',
                'ingress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface-brief', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ingress Interface in brief format
                ''',
                'ingress_interface_brief',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Interface
                ''',
                'ingress_interface_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-protect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BW Protection Enabled or Disabled
                ''',
                'is_bandwidth_protect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-expanded-ero', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if this LSR expanded a loose path
                ''',
                'is_expanded_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-frr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Enabled or Disabled
                ''',
                'is_frr_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Enabled or Disabled
                ''',
                'is_node_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-optical', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Optical
                ''',
                'is_optical',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local router id
                ''',
                'local_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-info', REFERENCE_CLASS, 'LspWrapInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.LspWrapInfo', 
                [], [], 
                '''                Lsp Wrap  Related information
                ''',
                'lsp_wrap_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop address
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address-generic', REFERENCE_CLASS, 'NextHopAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.NextHopAddressGeneric', 
                [], [], 
                '''                Next hop address
                ''',
                'next_hop_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('node-hop-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hop count
                ''',
                'node_hop_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn-s2l', REFERENCE_CLASS, 'OtnS2L' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L', 
                [], [], 
                '''                Otn S2L Information
                ''',
                'otn_s2l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-ero', REFERENCE_LIST, 'OutEro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutEro', 
                [], [], 
                '''                Outgoing ERO for this S2L
                ''',
                'out_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-xro', REFERENCE_CLASS, 'OutXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro', 
                [], [], 
                '''                Outgoing XRO for this S2L
                ''',
                'out_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outbound-frr-state', REFERENCE_ENUM_CLASS, 'MplsTeFrrStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeFrrStateEnum', 
                [], [], 
                '''                Indicates outbound FRR state
                ''',
                'outbound_frr_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-affinity-array', REFERENCE_LIST, 'PathAffinityArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathAffinityArray', 
                [], [], 
                '''                Tunnel's Path hops with affinity
                ''',
                'path_affinity_array',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reeval-query-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loose path reevaluation query received at
                mid-point
                ''',
                'path_reeval_query_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-rro', REFERENCE_LIST, 'PathRro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro', 
                [], [], 
                '''                Path RRO for this S2L
                ''',
                'path_rro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-rro-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path RRO Enabled or Disabled
                ''',
                'path_rro_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-using-strict-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is using Strict SPF
                ''',
                'path_using_strict_spf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcalc-area', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IGP-area in which the S2L path was calculated
                ''',
                'pcalc_area',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Previous hop address
                ''',
                'previous_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-hop-address-generic', REFERENCE_CLASS, 'PreviousHopAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric', 
                [], [], 
                '''                Previous hop address
                ''',
                'previous_hop_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection', REFERENCE_CLASS, 'Protection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.Protection', 
                [], [], 
                '''                Protection Object
                ''',
                'protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-rro', REFERENCE_LIST, 'ResvRro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro', 
                [], [], 
                '''                Resv RRO for this S2L
                ''',
                'resv_rro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-ero-in', REFERENCE_LIST, 'ReverseEroIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseEroIn', 
                [], [], 
                '''                 Reverse Incoming ERO for this S2L
                ''',
                'reverse_ero_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Connected
                ''',
                'reverse_lsp_connected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-fec', REFERENCE_CLASS, 'ReverseLspFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseLspFec', 
                [], [], 
                '''                Reverse Associated Bidir LSP FEC
                ''',
                'reverse_lsp_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Name
                ''',
                'reverse_lsp_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Present
                ''',
                'reverse_lsp_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-tspec', REFERENCE_CLASS, 'ReverseTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseTspec', 
                [], [], 
                '''                The Reverse T spec info
                ''',
                'reverse_tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The reverse path weight
                ''',
                'reverse_weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('role', REFERENCE_ENUM_CLASS, 'MplsTeTunnelRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelRoleEnum', 
                [], [], 
                '''                Role of S2L
                ''',
                'role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-convergence', REFERENCE_CLASS, 'S2LConvergence' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.S2LConvergence', 
                [], [], 
                '''                TE LSP convergence related information
                ''',
                's2l_convergence',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec', REFERENCE_CLASS, 'S2LFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.S2LFec', 
                [], [], 
                '''                FEC for the S2L
                ''',
                's2l_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label
                ''',
                's2l_local_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing label
                ''',
                's2l_out_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-ero-obj-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2l Reverse ERO Object Present
                ''',
                's2l_reverse_ero_obj_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-lsp-sub-obj', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Reverse LSP Sub Objects
                ''',
                's2l_reverse_lsp_sub_obj',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-tspec-obj-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Reverse TSpec Object Present
                ''',
                's2l_reverse_tspec_obj_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-segment-routing-path', REFERENCE_LIST, 'S2LSegmentRoutingPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.S2LSegmentRoutingPath', 
                [], [], 
                '''                Segment-Routing S2L path info
                ''',
                's2l_segment_routing_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared-risk-link-group', REFERENCE_LIST, 'SharedRiskLinkGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.SharedRiskLinkGroup', 
                [], [], 
                '''                The S2L's excluded srlg groups
                ''',
                'shared_risk_link_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-status', REFERENCE_ENUM_CLASS, 'MplsTeTunnelsSignalingStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelsSignalingStatusEnum', 
                [], [], 
                '''                Signaling status
                ''',
                'signalling_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption', REFERENCE_CLASS, 'SoftPreemption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.SoftPreemption', 
                [], [], 
                '''                The soft preemption info for this LSP.
                ''',
                'soft_preemption',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-collection', REFERENCE_CLASS, 'SrlgCollection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.SrlgCollection', 
                [], [], 
                '''                SRLG-collection data
                ''',
                'srlg_collection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tail-end-bfd-info', REFERENCE_CLASS, 'TailEndBfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.TailEndBfdInfo', 
                [], [], 
                '''                The Tail-end BFD info
                ''',
                'tail_end_bfd_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-preferred-path-exists-send-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last preferred path exists msg send
                from mid-point
                ''',
                'time_since_last_preferred_path_exists_send_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-preferred-tree-exists-send-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last preferred tree exists msg send
                from mid-point
                ''',
                'time_since_last_preferred_tree_exists_send_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-query-received-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last reevaluation query received at
                mid-point
                ''',
                'time_since_last_query_received_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tspec', REFERENCE_CLASS, 'Tspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.Tspec', 
                [], [], 
                '''                The T spec info
                ''',
                'tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('upstream-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Upstream router id
                ''',
                'upstream_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the tunnel was up
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The path's weight
                ''',
                'weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp',
            False, 
            [
            _MetaInfoClassMember('dste-class-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Matching DSTE class index
                ''',
                'dste_class_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-match', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Do the class type and priority match a DSTE
                class
                ''',
                'dste_class_match',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-active-reason', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP LSP FRR active reason
                ''',
                'frr_active_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-frr-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                P2MP LSP has FRR Failed
                ''',
                'is_frr_failed',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True for tunnel head
                ''',
                'is_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-passive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True for passive tunnel
                ''',
                'is_passive',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-path-change', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last path change
                ''',
                'last_path_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP LSP Bandwidth
                ''',
                'lsp_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The LSP bandwidth type
                ''',
                'lsp_bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-fec', REFERENCE_CLASS, 'LspFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.LspFec', 
                [], [], 
                '''                FEC for the LSP
                ''',
                'lsp_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSP hold priority
                ''',
                'lsp_hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSP setup priority
                ''',
                'lsp_setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('persistent-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Persistent forwarding statistics for number of
                bytes. Clear counters will not reset the counter
                ''',
                'persistent_bytes',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('persistent-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Persistent forwarding statistics for Number of
                packets. Clear counters will not reset the
                counter
                ''',
                'persistent_packets',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimize-reason', REFERENCE_ENUM_CLASS, 'MplsTeReoptDecisionReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeReoptDecisionReasonEnum', 
                [], [], 
                '''                Reason for re-optimization
                ''',
                'reoptimize_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimize-trigger', REFERENCE_ENUM_CLASS, 'MteReoptTriggerEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MteReoptTriggerEnum', 
                [], [], 
                '''                Re-optimize trigger
                ''',
                'reoptimize_trigger',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-down', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of down S2Ls
                ''',
                's2_ls_down',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-proceeding', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of proceeding S2Ls
                ''',
                's2_ls_proceeding',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of connected S2Ls
                ''',
                's2_ls_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l', REFERENCE_LIST, 'S2L' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L', 
                [], [], 
                '''                array of S2L structures
                ''',
                's2l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signaled-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signaled Name
                ''',
                'signaled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('timer-left', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds left to take next action if any
                ''',
                'timer_left',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MplsTeLspEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspEnum', 
                [], [], 
                '''                The type of this LSP
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the tunnel was up
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tunnel-restoration-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.LspFec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.LspFec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.LspFec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.LspFec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.LspFec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.S2LFec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.S2LFec',
            False, 
            [
            _MetaInfoClassMember('s2l-fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                Session identifier (ctype)
                ''',
                's2l_fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-dest', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                sub-LSP destination address
                ''',
                's2l_fec_dest',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                's2l_fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                's2l_fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                's2l_fec_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSP source address
                ''',
                's2l_fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                sub-LSP subgroup ID
                ''',
                's2l_fec_subgroup_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                's2l_fec_subgroup_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                's2l_fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                's2l_fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.PathCalculationError' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.PathCalculationError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-calculation-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.RemergeError' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.RemergeError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'remerge-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.SignallingError' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.SignallingError',
            False, 
            [
            _MetaInfoClassMember('error', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Path Error code
                ''',
                'error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Source address of the error generating node
                ''',
                'error_node',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSPMode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if error is on the reverse LSP
                ''',
                'reverse_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP-id for which the error was received
                ''',
                'signalling_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path Error subcode
                ''',
                'sub_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalling-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption',
            False, 
            [
            _MetaInfoClassMember('attribute-set', REFERENCE_CLASS, 'AttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet', 
                [], [], 
                '''                The path option attribute set used by this path
                ''',
                'attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-found', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has found the defined attribute
                set
                ''',
                'attribute_set_found',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Explicit Path ID, this is the key to table
                ExplicitPaths.IdentifierTable
                ''',
                'explicit_path_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Explicit Path Name, this is the key to table
                ExplicitPaths.NameTable
                ''',
                'explicit_path_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has an attribute set defined
                ''',
                'has_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-xro-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has an XRO attribute set
                configured
                ''',
                'has_xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('holddown-duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Holddown Duration (seconds)
                ''',
                'holddown_duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path option is disabled
                ''',
                'is_disabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-helddown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if path is helddown
                ''',
                'is_helddown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-lockdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is locked down
                ''',
                'is_lockdown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-segment-routing', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is Segment-Routing
                ''',
                'is_segment_routing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-explicit-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if explicit path is strict
                ''',
                'is_strict_explicit_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-verbatim', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is verbatim
                ''',
                'is_verbatim',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index
                ''',
                'option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index-is-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The path option index is valid
                ''',
                'option_index_is_valid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-calculation-error', REFERENCE_LIST, 'PathCalculationError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.PathCalculationError', 
                [], [], 
                '''                Path computation information
                ''',
                'path_calculation_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The path-option area constraint
                ''',
                'path_option_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path option name
                ''',
                'path_option_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-type', REFERENCE_ENUM_CLASS, 'MplsTePathoptionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTePathoptionEnum', 
                [], [], 
                '''                Path option type
                ''',
                'path_option_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                PCE server address
                ''',
                'pce_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-by-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for Protect path options
                ''',
                'protected_by_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remerge-error', REFERENCE_LIST, 'RemergeError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.RemergeError', 
                [], [], 
                '''                Path computation remerge resolve info
                ''',
                'remerge_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restored-from-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for Restore path options
                ''',
                'restored_from_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-error', REFERENCE_LIST, 'SignallingError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.SignallingError', 
                [], [], 
                '''                Signalling information
                ''',
                'signalling_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set', REFERENCE_CLASS, 'XroAttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet', 
                [], [], 
                '''                The XRO attribute set used by this path-option
                ''',
                'xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set-found', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path's XRO attribute set is known
                ''',
                'xro_attribute_set_found',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'active-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'out-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'in-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.Tspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.Tspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GenericTspec.Otntspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GenericTspec.Otntspec',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit Rate in kbps
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nmc-or-tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                NMC or Tolerance
                ''',
                'nmc_or_tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Virtual Components
                ''',
                'nvc',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otntspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GenericTspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GenericTspec',
            False, 
            [
            _MetaInfoClassMember('otntspec', REFERENCE_CLASS, 'Otntspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GenericTspec.Otntspec', 
                [], [], 
                '''                TE TSpec for G709 OTN
                ''',
                'otntspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tspec-type', REFERENCE_ENUM_CLASS, 'TeMgmtGenericTspecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeMgmtGenericTspecEnum', 
                [], [], 
                '''                TSpecType
                ''',
                'tspec_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'generic-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.Fspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.Fspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GenericFspec.Otnfspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GenericFspec.Otnfspec',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit Rate in kbps
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nmc-or-tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                NMC or Tolerance
                ''',
                'nmc_or_tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Virtual Components
                ''',
                'nvc',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otnfspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GenericFspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GenericFspec',
            False, 
            [
            _MetaInfoClassMember('fspec-type', REFERENCE_ENUM_CLASS, 'TeMgmtGenericFspecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeMgmtGenericFspecEnum', 
                [], [], 
                '''                FSpecType
                ''',
                'fspec_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otnfspec', REFERENCE_CLASS, 'Otnfspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GenericFspec.Otnfspec', 
                [], [], 
                '''                TE FSpec for G709 OTN
                ''',
                'otnfspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'generic-fspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.NextHopAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.NextHopAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.NextHopAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.NextHopAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.NextHopAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'next-hop-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'previous-hop-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.IncomingAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.IncomingAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.IncomingAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.IncomingAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.IncomingAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'incoming-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.S2LConvergence' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.S2LConvergence',
            False, 
            [
            _MetaInfoClassMember('creation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tunnel creation timestamp (clocktime in nsecs)
                ''',
                'creation_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rewrite', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP Label rewrite timestamp (clocktime in nsecs)
                ''',
                'label_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Path-in timestamp (clocktime in nsecs)
                ''',
                'path_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Path-in timestamp (clocktime in nsecs)
                ''',
                'path_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Resv-in timestamp (clocktime in nsecs)
                ''',
                'resv_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Resv-out timestamp (clocktime in nsecs)
                ''',
                'resv_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-rewrite', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tunnel rewrite timestamp (clocktime in nsecs)
                ''',
                'tunnel_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-convergence',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.SoftPreemption' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.SoftPreemption',
            False, 
            [
            _MetaInfoClassMember('fr-rrewrite', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR-rewrite during soft preemption
                ''',
                'fr_rrewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fr-rrewrite-tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The tunnel name of the backup
                ''',
                'fr_rrewrite_tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('preempting-link-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The address of the link where the preemption
                happened
                ''',
                'preempting_link_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-link', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the link where the soft preemption
                occurred
                ''',
                'soft_preemption_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The POSIX timestamp when the soft preemption
                occurred
                ''',
                'soft_preemption_timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'MplsTeSoftPreemptionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeSoftPreemptionStateEnum', 
                [], [], 
                '''                The current state of the soft preemption
                operation
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-to-hard-preemption', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The number of seconds until hard preemption is
                triggered
                ''',
                'time_to_hard_preemption',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'soft-preemption',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels',
            False, 
            [
            _MetaInfoClassMember('path-egress-label', REFERENCE_CLASS, 'PathEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel', 
                [], [], 
                '''                Path message (upstream) egress label
                ''',
                'path_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-ingress-label', REFERENCE_CLASS, 'PathIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel', 
                [], [], 
                '''                Path message (upstream) ingress label
                ''',
                'path_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-egress-label', REFERENCE_CLASS, 'ResvEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel', 
                [], [], 
                '''                Resv message (downstream) egress label
                ''',
                'resv_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-ingress-label', REFERENCE_CLASS, 'ResvIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel', 
                [], [], 
                '''                Resv message (downstream) ingress label
                ''',
                'resv_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'gmpls-labels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tolerance
                ''',
                'tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-cbr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-gfp-f-res',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-gfp-f-non-res',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth',
            False, 
            [
            _MetaInfoClassMember('odu-flex-cbr', REFERENCE_CLASS, 'OduFlexCbr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr', 
                [], [], 
                '''                Odu flex CBR info
                ''',
                'odu_flex_cbr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-flex-gfp-f-non-res', REFERENCE_CLASS, 'OduFlexGfpFNonRes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes', 
                [], [], 
                '''                Odu flex GFP-F non-resizable info
                ''',
                'odu_flex_gfp_f_non_res',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-flex-gfp-f-res', REFERENCE_CLASS, 'OduFlexGfpFRes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes', 
                [], [], 
                '''                Odu flex GFP-F resizable info
                ''',
                'odu_flex_gfp_f_res',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-level', REFERENCE_ENUM_CLASS, 'TeOduLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeOduLevelEnum', 
                [], [], 
                '''                ODULevel
                ''',
                'odu_level',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels',
            False, 
            [
            _MetaInfoClassMember('path-egress-label', REFERENCE_CLASS, 'PathEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel', 
                [], [], 
                '''                Path message (upstream) egress label
                ''',
                'path_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-ingress-label', REFERENCE_CLASS, 'PathIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel', 
                [], [], 
                '''                Path message (upstream) ingress label
                ''',
                'path_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-egress-label', REFERENCE_CLASS, 'ResvEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel', 
                [], [], 
                '''                Resv message (downstream) egress label
                ''',
                'resv_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-ingress-label', REFERENCE_CLASS, 'ResvIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel', 
                [], [], 
                '''                Resv message (downstream) ingress label
                ''',
                'resv_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'labels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn',
            False, 
            [
            _MetaInfoClassMember('bandwidth', REFERENCE_CLASS, 'Bandwidth' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth', 
                [], [], 
                '''                OTN Bandwidth for s2l
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cross-connect-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cross connect id
                ''',
                'cross_connect_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gpid', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Gpid Payload
                ''',
                'gpid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Incoming Controller
                ''',
                'incoming_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Incoming Controller Ifhandle
                ''',
                'incoming_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Controller
                ''',
                'incoming_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Incoming Sub Controller
                ''',
                'incoming_sub_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Incoming Sub Controller Ifhandle
                ''',
                'incoming_sub_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Sub Controller
                ''',
                'incoming_sub_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if subcontrollers are connected
                ''',
                'is_connected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('labels', REFERENCE_CLASS, 'Labels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels', 
                [], [], 
                '''                Labels
                ''',
                'labels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing Controller
                ''',
                'outgoing_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Controller Ifhandle
                ''',
                'outgoing_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Controller
                ''',
                'outgoing_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing Sub Controller
                ''',
                'outgoing_sub_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Sub Controller Ifhandle
                ''',
                'outgoing_sub_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Sub Controller
                ''',
                'outgoing_sub_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                XC Uptime
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Aps.ProtectionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Aps.ProtectionInfo',
            False, 
            [
            _MetaInfoClassMember('ho-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-Off timeout
                ''',
                'ho_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-hopresent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Hold-Off timeout present
                ''',
                'is_hopresent',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-snc-mode-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SNC mode present
                ''',
                'is_snc_mode_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-wtr-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Wait-to-Restore timeout present
                ''',
                'is_wtr_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Notification bit 
                ''',
                'nbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('obit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Operational bit
                ''',
                'obit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path protection profile type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Protecting bit
                ''',
                'pbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protect-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                LSP Protect Type
                ''',
                'protect_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Secondary bit
                ''',
                'sbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                SNC mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TCM ID
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wtr-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait-to-Restore timeout
                ''',
                'wtr_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protection-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Aps' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Aps',
            False, 
            [
            _MetaInfoClassMember('protection-info', REFERENCE_CLASS, 'ProtectionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Aps.ProtectionInfo', 
                [], [], 
                '''                Protection Info
                ''',
                'protection_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'aps',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L',
            False, 
            [
            _MetaInfoClassMember('aps', REFERENCE_CLASS, 'Aps' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Aps', 
                [], [], 
                '''                APS Info for OTN S2L
                ''',
                'aps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn', 
                [], [], 
                '''                Info Related to OTN technology in S2L
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn-s2l',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.HeadEndBfdInfo.SessionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.HeadEndBfdInfo.SessionInfo',
            False, 
            [
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'TeBfdLspSessionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdLspSessionStateEnum', 
                [], [], 
                '''                BFD session state
                ''',
                'state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('state-change-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last session state
                change
                ''',
                'state_change_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'session-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.HeadEndBfdInfo.DeletionHistory' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.HeadEndBfdInfo.DeletionHistory',
            False, 
            [
            _MetaInfoClassMember('deletion-diagnostic-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Diagnostic Code for the BFD session get deleted
                ''',
                'deletion_diagnostic_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reason for the BFD session get deleted
                ''',
                'deletion_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time stamp of the BFD session get deleted
                ''',
                'deletion_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID of the BFD session get deleted
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'deletion-history',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.HeadEndBfdInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.HeadEndBfdInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-reverse-path-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path labels
                ''',
                'bfd_reverse_path_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The BFD reverse path is stale compared to
                configuration
                ''',
                'bfd_reverse_path_stale',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('creation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the BFD session created
                ''',
                'creation_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-history', REFERENCE_CLASS, 'DeletionHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.HeadEndBfdInfo.DeletionHistory', 
                [], [], 
                '''                BFD Session Deletion History
                ''',
                'deletion_history',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-redundant', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                sBFD session is redundant
                ''',
                'is_redundant',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lspbfd-type', REFERENCE_ENUM_CLASS, 'TeVifBfdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeVifBfdEnum', 
                [], [], 
                '''                LSP BFD type
                ''',
                'lspbfd_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-info', REFERENCE_CLASS, 'SessionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.HeadEndBfdInfo.SessionInfo', 
                [], [], 
                '''                BFD Session Info
                ''',
                'session_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'head-end-bfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.TailEndBfdInfo.SessionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.TailEndBfdInfo.SessionInfo',
            False, 
            [
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'TeBfdLspSessionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdLspSessionStateEnum', 
                [], [], 
                '''                BFD session state
                ''',
                'state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('state-change-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last session state
                change
                ''',
                'state_change_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'session-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.TailEndBfdInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.TailEndBfdInfo',
            False, 
            [
            _MetaInfoClassMember('failure-diagnostic-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD session failure diagnostic code
                ''',
                'failure_diagnostic_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('failure-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                BFD session failure reason
                ''',
                'failure_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-discriminator', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Local Discriminator
                ''',
                'local_discriminator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('min-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello interval in mini second
                ''',
                'min_interval',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('min-interval-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default hello interval
                ''',
                'min_interval_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default multiplier
                ''',
                'multiplier_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-discriminator', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Remote Discrminator
                ''',
                'remote_discriminator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-info', REFERENCE_CLASS, 'SessionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.TailEndBfdInfo.SessionInfo', 
                [], [], 
                '''                BFD Session Info
                ''',
                'session_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tail-end-bfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.SrlgCollection' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.SrlgCollection',
            False, 
            [
            _MetaInfoClassMember('discovered-srlg', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Discovered SRLGs
                ''',
                'discovered_srlg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-collect-type', REFERENCE_ENUM_CLASS, 'TeSrlgCollectRequestEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSrlgCollectRequestEnum', 
                [], [], 
                '''                SRLG-collection mechanism
                ''',
                'srlg_collect_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-collection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.Association' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.Association',
            False, 
            [
            _MetaInfoClassMember('s2l-association-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Association ID
                ''',
                's2l_association_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                S2L Association Source
                ''',
                's2l_association_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-tie-role', REFERENCE_ENUM_CLASS, 'TeAssociationTieRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAssociationTieRoleEnum', 
                [], [], 
                '''                S2L Association Tie Role
                ''',
                's2l_association_tie_role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Association Type                         
                (draft-ietf-ccamp-mpls-tp-rsvpte-ext-associated-lsp)
                ''',
                's2l_association_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-extended-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L Extended ID Array
                ''',
                's2l_extended_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-global-source', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L Global Source
                ''',
                's2l_global_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'association',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.Protection' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.Protection',
            False, 
            [
            _MetaInfoClassMember('any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Any
                ''',
                'any',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ded1-plus1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1+1 Protection
                ''',
                'ded1_plus1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ded1-to1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1:1 Protection
                ''',
                'ded1_to1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('enhanced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates Enhanced Protection Scheme
                ''',
                'enhanced',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extra-traffic', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should use Links that are protecting other
                (primary) traffic
                ''',
                'extra_traffic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should not use any Link Layer Protection
                ''',
                'link_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Flags Unprotected
                ''',
                'lsp_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-plus-one-bi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Bidirectional Protection
                ''',
                'one_plus_one_bi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-plus-one-uni', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Unidirectional Protection
                ''',
                'one_plus_one_uni',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-to-n-protection-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1:N Protection with Extra-Traffic
                ''',
                'one_to_n_protection_et',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Full Rerouting
                ''',
                'rerouting',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouting-no-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Rerouting Without Extra-Traffic
                ''',
                'rerouting_no_et',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-notification', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Notification Bit
                ''',
                's2l_notification',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-operational', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Operational Bit
                ''',
                's2l_operational',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Protecting Bit
                ''',
                's2l_protecting',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-secondary', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Secondary Bit
                ''',
                's2l_secondary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Shared Link Layer Protection
                ''',
                'shared',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseLspFec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseLspFec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseLspFec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseLspFec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseLspFec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-lsp-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseTspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseTspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.FlexInfo.FlexFec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.FlexInfo.FlexFec',
            False, 
            [
            _MetaInfoClassMember('s2l-fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                Session identifier (ctype)
                ''',
                's2l_fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-dest', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                sub-LSP destination address
                ''',
                's2l_fec_dest',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                's2l_fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                's2l_fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                's2l_fec_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSP source address
                ''',
                's2l_fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                sub-LSP subgroup ID
                ''',
                's2l_fec_subgroup_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                's2l_fec_subgroup_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                's2l_fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                's2l_fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.FlexInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.FlexInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-created', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GAL BFD Session Created
                ''',
                'bfd_created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-egress-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Egress Label
                ''',
                'bfd_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-int-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Internal Label
                ''',
                'bfd_int_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                BFD Next Hop
                ''',
                'bfd_next_hop',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-out-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD Out Interface Handle
                ''',
                'bfd_out_ifh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-tun-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD Tunnel Interface Handle
                ''',
                'bfd_tun_ifh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GAL BFD Session Up
                ''',
                'bfd_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('entry-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FlexLSP Entry Exists
                ''',
                'entry_exists',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ais', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault AIS
                ''',
                'fault_ais',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ldi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LDI
                ''',
                'fault_ldi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ldi-lockout', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LDI Lockout
                ''',
                'fault_ldi_lockout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-lkr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LKR
                ''',
                'fault_lkr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Fault Time
                ''',
                'fault_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex-fec', REFERENCE_CLASS, 'FlexFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.FlexInfo.FlexFec', 
                [], [], 
                '''                FEC for the FlexLSP Entry
                ''',
                'flex_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                In Label
                ''',
                'in_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('oam-created', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                OAM Entry Created
                ''',
                'oam_created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.LspWrapInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.LspWrapInfo',
            False, 
            [
            _MetaInfoClassMember('lsp-wrap-protection-enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Wrap protection enabled
                ''',
                'lsp_wrap_protection_enable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-protection-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSP Wrap Merge Point Label
                ''',
                'lsp_wrap_protection_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-protection-state', REFERENCE_ENUM_CLASS, 'MplsTeLspWrapStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspWrapStateEnum', 
                [], [], 
                '''                LSP wrap protection state
                ''',
                'lsp_wrap_protection_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reverse Egress Interface
                ''',
                'reverse_egress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reverse LSP label
                ''',
                'reverse_lsp_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-wrap-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.DiversityInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.DiversityInfo',
            False, 
            [
            _MetaInfoClassMember('diversity-type', REFERENCE_ENUM_CLASS, 'TePpDiversityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePpDiversityEnum', 
                [], [], 
                '''                S2L path diversity type
                ''',
                'diversity_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'diversity-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.SharedRiskLinkGroup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.SharedRiskLinkGroup',
            False, 
            [
            _MetaInfoClassMember('shared-risk-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG number
                ''',
                'shared_risk_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SRLG name
                ''',
                'srlg_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'shared-risk-link-group',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutEro.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutEro.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutEro.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutEro.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutEro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutEro',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutEro.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutEro.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'out-ero',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InEro.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InEro.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InEro.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InEro.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InEro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InEro',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InEro.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InEro.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'in-ero',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.Ipv4RroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.Ipv4RroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.Ipv4RroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.Ipv4RroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.Ipv4RroSubObject.Flags', 
                [], [], 
                '''                The RRO IPV4 Subobject Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO IPV4 Address
                ''',
                'rro_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.LabelRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.LabelRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-global-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label is Global across all interfaces
                ''',
                'is_global_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.LabelRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.LabelRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.LabelRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Label Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-label-variable-length', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the RRO Subobject Label Variable Length
                ''',
                'is_label_variable_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Label Value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('variable-length-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Variable Length Label
                ''',
                'variable_length_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'label-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.UnnumberedRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.UnnumberedRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Unnumbered Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO Interface Address
                ''',
                'interface_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.SrlgRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.SrlgRroSubObject',
            False, 
            [
            _MetaInfoClassMember('srl-gs', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject SRLGs
                ''',
                'srl_gs',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro',
            False, 
            [
            _MetaInfoClassMember('ipv4rro-sub-object', REFERENCE_CLASS, 'Ipv4RroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.Ipv4RroSubObject', 
                [], [], 
                '''                IPV4 RRO Sub Object
                ''',
                'ipv4rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rro-sub-object', REFERENCE_CLASS, 'LabelRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.LabelRroSubObject', 
                [], [], 
                '''                Label RRO Sub Object
                ''',
                'label_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtRroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtRroSubobjEnum', 
                [], [], 
                '''                RROType
                ''',
                'rro_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-rro-sub-object', REFERENCE_CLASS, 'SrlgRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.SrlgRroSubObject', 
                [], [], 
                '''                SRLG RRO Sub Object
                ''',
                'srlg_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-rro-sub-object', REFERENCE_CLASS, 'UnnumberedRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.UnnumberedRroSubObject', 
                [], [], 
                '''                Unnumbered RRO Sub Object
                ''',
                'unnumbered_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-rro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.Ipv4RroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.Ipv4RroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags', 
                [], [], 
                '''                The RRO IPV4 Subobject Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO IPV4 Address
                ''',
                'rro_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.LabelRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.LabelRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-global-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label is Global across all interfaces
                ''',
                'is_global_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.LabelRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.LabelRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.LabelRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Label Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-label-variable-length', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the RRO Subobject Label Variable Length
                ''',
                'is_label_variable_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Label Value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('variable-length-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Variable Length Label
                ''',
                'variable_length_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'label-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.UnnumberedRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.UnnumberedRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Unnumbered Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO Interface Address
                ''',
                'interface_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.SrlgRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.SrlgRroSubObject',
            False, 
            [
            _MetaInfoClassMember('srl-gs', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject SRLGs
                ''',
                'srl_gs',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro',
            False, 
            [
            _MetaInfoClassMember('ipv4rro-sub-object', REFERENCE_CLASS, 'Ipv4RroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.Ipv4RroSubObject', 
                [], [], 
                '''                IPV4 RRO Sub Object
                ''',
                'ipv4rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rro-sub-object', REFERENCE_CLASS, 'LabelRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.LabelRroSubObject', 
                [], [], 
                '''                Label RRO Sub Object
                ''',
                'label_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtRroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtRroSubobjEnum', 
                [], [], 
                '''                RROType
                ''',
                'rro_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-rro-sub-object', REFERENCE_CLASS, 'SrlgRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.SrlgRroSubObject', 
                [], [], 
                '''                SRLG RRO Sub Object
                ''',
                'srlg_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-rro-sub-object', REFERENCE_CLASS, 'UnnumberedRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.UnnumberedRroSubObject', 
                [], [], 
                '''                Unnumbered RRO Sub Object
                ''',
                'unnumbered_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-rro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathAffinityArray' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathAffinityArray',
            False, 
            [
            _MetaInfoClassMember('hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Hop address
                ''',
                'hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop-affinity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'hop_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop-extended-affinity', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hop affinity
                ''',
                'hop_extended_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-affinity-array',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseEroIn.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseEroIn.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseEroIn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseEroIn',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseEroIn.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-ero-in',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.S2LSegmentRoutingPath' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.S2LSegmentRoutingPath',
            False, 
            [
            _MetaInfoClassMember('has-entropy-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Hop has EL specified
                ''',
                'has_entropy_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-ip-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node has IP addresses specified
                ''',
                'has_ip_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-mpls-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Hop has MPLS label specified
                ''',
                'has_mpls_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local IP address of adjacency or Node ID
                ''',
                'local_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mpls-label-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The MPLS label value
                ''',
                'mpls_label_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote IP address of adjacency
                ''',
                'remote_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sid-type', REFERENCE_ENUM_CLASS, 'TeSrSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSrSidEnum', 
                [], [], 
                '''                Type of the SID
                ''',
                'sid_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-segment-routing-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L',
            False, 
            [
            _MetaInfoClassMember('abr-auto-discovered', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next ABR auto discovered
                ''',
                'abr_auto_discovered',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('active-path-option', REFERENCE_CLASS, 'ActivePathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption', 
                [], [], 
                '''                The path option used to find the path for this
                S2L
                ''',
                'active_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('association', REFERENCE_CLASS, 'Association' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.Association', 
                [], [], 
                '''                Association Object
                ''',
                'association',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface handle of the backup tunnel
                ''',
                'backup_tunnel_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('diversity-info', REFERENCE_CLASS, 'DiversityInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.DiversityInfo', 
                [], [], 
                '''                S2L Diversity Information
                ''',
                'diversity_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('downstream-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Downstream router id
                ''',
                'downstream_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Egress Interface
                ''',
                'egress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface-brief', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Egress Interface in brief format
                ''',
                'egress_interface_brief',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Interface
                ''',
                'egress_interface_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Outgoing ERO's affinity bits (colors)
                ''',
                'expanded_ero_affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Outgoing ERO's affinity mask (colors)
                ''',
                'expanded_ero_affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Indicates the protocol and area used to find
                Outgoing ERO
                ''',
                'expanded_ero_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The metric value of the expanded path
                ''',
                'expanded_ero_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-metric-type', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                The Outgoing ERO's selection metric
                ''',
                'expanded_ero_metric_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex-info', REFERENCE_CLASS, 'FlexInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.FlexInfo', 
                [], [], 
                '''                FlexLSP S2L Information
                ''',
                'flex_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-out-tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FRR out tunnel intface
                ''',
                'frr_out_tunnel_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fspec', REFERENCE_CLASS, 'Fspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.Fspec', 
                [], [], 
                '''                The F spec info
                ''',
                'fspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generic-fspec', REFERENCE_CLASS, 'GenericFspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GenericFspec', 
                [], [], 
                '''                Generic FSpec
                ''',
                'generic_fspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generic-tspec', REFERENCE_CLASS, 'GenericTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GenericTspec', 
                [], [], 
                '''                Generic TSpec
                ''',
                'generic_tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gmpls-labels', REFERENCE_CLASS, 'GmplsLabels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels', 
                [], [], 
                '''                GMPLS labels
                ''',
                'gmpls_labels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('head-end-bfd-info', REFERENCE_CLASS, 'HeadEndBfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.HeadEndBfdInfo', 
                [], [], 
                '''                The Head-end BFD info
                ''',
                'head_end_bfd_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-ero', REFERENCE_LIST, 'InEro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InEro', 
                [], [], 
                '''                Incoming ERO for this S2L
                ''',
                'in_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-xro', REFERENCE_CLASS, 'InXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro', 
                [], [], 
                '''                Incoming XRO for this S2L
                ''',
                'in_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Incoming interface address
                ''',
                'incoming_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-address-generic', REFERENCE_CLASS, 'IncomingAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.IncomingAddressGeneric', 
                [], [], 
                '''                Incoming interface address
                ''',
                'incoming_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ingress Interface
                ''',
                'ingress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface-brief', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ingress Interface in brief format
                ''',
                'ingress_interface_brief',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Interface
                ''',
                'ingress_interface_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-protect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BW Protection Enabled or Disabled
                ''',
                'is_bandwidth_protect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-expanded-ero', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if this LSR expanded a loose path
                ''',
                'is_expanded_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-frr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Enabled or Disabled
                ''',
                'is_frr_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Enabled or Disabled
                ''',
                'is_node_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-optical', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Optical
                ''',
                'is_optical',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local router id
                ''',
                'local_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-info', REFERENCE_CLASS, 'LspWrapInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.LspWrapInfo', 
                [], [], 
                '''                Lsp Wrap  Related information
                ''',
                'lsp_wrap_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop address
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address-generic', REFERENCE_CLASS, 'NextHopAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.NextHopAddressGeneric', 
                [], [], 
                '''                Next hop address
                ''',
                'next_hop_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('node-hop-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hop count
                ''',
                'node_hop_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn-s2l', REFERENCE_CLASS, 'OtnS2L' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L', 
                [], [], 
                '''                Otn S2L Information
                ''',
                'otn_s2l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-ero', REFERENCE_LIST, 'OutEro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutEro', 
                [], [], 
                '''                Outgoing ERO for this S2L
                ''',
                'out_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-xro', REFERENCE_CLASS, 'OutXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro', 
                [], [], 
                '''                Outgoing XRO for this S2L
                ''',
                'out_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outbound-frr-state', REFERENCE_ENUM_CLASS, 'MplsTeFrrStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeFrrStateEnum', 
                [], [], 
                '''                Indicates outbound FRR state
                ''',
                'outbound_frr_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-affinity-array', REFERENCE_LIST, 'PathAffinityArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathAffinityArray', 
                [], [], 
                '''                Tunnel's Path hops with affinity
                ''',
                'path_affinity_array',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reeval-query-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loose path reevaluation query received at
                mid-point
                ''',
                'path_reeval_query_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-rro', REFERENCE_LIST, 'PathRro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro', 
                [], [], 
                '''                Path RRO for this S2L
                ''',
                'path_rro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-rro-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path RRO Enabled or Disabled
                ''',
                'path_rro_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-using-strict-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is using Strict SPF
                ''',
                'path_using_strict_spf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcalc-area', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IGP-area in which the S2L path was calculated
                ''',
                'pcalc_area',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Previous hop address
                ''',
                'previous_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-hop-address-generic', REFERENCE_CLASS, 'PreviousHopAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric', 
                [], [], 
                '''                Previous hop address
                ''',
                'previous_hop_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection', REFERENCE_CLASS, 'Protection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.Protection', 
                [], [], 
                '''                Protection Object
                ''',
                'protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-rro', REFERENCE_LIST, 'ResvRro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro', 
                [], [], 
                '''                Resv RRO for this S2L
                ''',
                'resv_rro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-ero-in', REFERENCE_LIST, 'ReverseEroIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseEroIn', 
                [], [], 
                '''                 Reverse Incoming ERO for this S2L
                ''',
                'reverse_ero_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Connected
                ''',
                'reverse_lsp_connected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-fec', REFERENCE_CLASS, 'ReverseLspFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseLspFec', 
                [], [], 
                '''                Reverse Associated Bidir LSP FEC
                ''',
                'reverse_lsp_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Name
                ''',
                'reverse_lsp_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Present
                ''',
                'reverse_lsp_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-tspec', REFERENCE_CLASS, 'ReverseTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseTspec', 
                [], [], 
                '''                The Reverse T spec info
                ''',
                'reverse_tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The reverse path weight
                ''',
                'reverse_weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('role', REFERENCE_ENUM_CLASS, 'MplsTeTunnelRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelRoleEnum', 
                [], [], 
                '''                Role of S2L
                ''',
                'role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-convergence', REFERENCE_CLASS, 'S2LConvergence' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.S2LConvergence', 
                [], [], 
                '''                TE LSP convergence related information
                ''',
                's2l_convergence',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec', REFERENCE_CLASS, 'S2LFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.S2LFec', 
                [], [], 
                '''                FEC for the S2L
                ''',
                's2l_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label
                ''',
                's2l_local_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing label
                ''',
                's2l_out_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-ero-obj-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2l Reverse ERO Object Present
                ''',
                's2l_reverse_ero_obj_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-lsp-sub-obj', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Reverse LSP Sub Objects
                ''',
                's2l_reverse_lsp_sub_obj',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-tspec-obj-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Reverse TSpec Object Present
                ''',
                's2l_reverse_tspec_obj_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-segment-routing-path', REFERENCE_LIST, 'S2LSegmentRoutingPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.S2LSegmentRoutingPath', 
                [], [], 
                '''                Segment-Routing S2L path info
                ''',
                's2l_segment_routing_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared-risk-link-group', REFERENCE_LIST, 'SharedRiskLinkGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.SharedRiskLinkGroup', 
                [], [], 
                '''                The S2L's excluded srlg groups
                ''',
                'shared_risk_link_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-status', REFERENCE_ENUM_CLASS, 'MplsTeTunnelsSignalingStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelsSignalingStatusEnum', 
                [], [], 
                '''                Signaling status
                ''',
                'signalling_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption', REFERENCE_CLASS, 'SoftPreemption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.SoftPreemption', 
                [], [], 
                '''                The soft preemption info for this LSP.
                ''',
                'soft_preemption',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-collection', REFERENCE_CLASS, 'SrlgCollection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.SrlgCollection', 
                [], [], 
                '''                SRLG-collection data
                ''',
                'srlg_collection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tail-end-bfd-info', REFERENCE_CLASS, 'TailEndBfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.TailEndBfdInfo', 
                [], [], 
                '''                The Tail-end BFD info
                ''',
                'tail_end_bfd_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-preferred-path-exists-send-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last preferred path exists msg send
                from mid-point
                ''',
                'time_since_last_preferred_path_exists_send_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-preferred-tree-exists-send-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last preferred tree exists msg send
                from mid-point
                ''',
                'time_since_last_preferred_tree_exists_send_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-query-received-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last reevaluation query received at
                mid-point
                ''',
                'time_since_last_query_received_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tspec', REFERENCE_CLASS, 'Tspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.Tspec', 
                [], [], 
                '''                The T spec info
                ''',
                'tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('upstream-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Upstream router id
                ''',
                'upstream_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the tunnel was up
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The path's weight
                ''',
                'weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp',
            False, 
            [
            _MetaInfoClassMember('dste-class-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Matching DSTE class index
                ''',
                'dste_class_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-match', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Do the class type and priority match a DSTE
                class
                ''',
                'dste_class_match',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-active-reason', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP LSP FRR active reason
                ''',
                'frr_active_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-frr-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                P2MP LSP has FRR Failed
                ''',
                'is_frr_failed',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True for tunnel head
                ''',
                'is_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-passive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True for passive tunnel
                ''',
                'is_passive',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-path-change', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last path change
                ''',
                'last_path_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP LSP Bandwidth
                ''',
                'lsp_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The LSP bandwidth type
                ''',
                'lsp_bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-fec', REFERENCE_CLASS, 'LspFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.LspFec', 
                [], [], 
                '''                FEC for the LSP
                ''',
                'lsp_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSP hold priority
                ''',
                'lsp_hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSP setup priority
                ''',
                'lsp_setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('persistent-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Persistent forwarding statistics for number of
                bytes. Clear counters will not reset the counter
                ''',
                'persistent_bytes',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('persistent-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Persistent forwarding statistics for Number of
                packets. Clear counters will not reset the
                counter
                ''',
                'persistent_packets',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimize-reason', REFERENCE_ENUM_CLASS, 'MplsTeReoptDecisionReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeReoptDecisionReasonEnum', 
                [], [], 
                '''                Reason for re-optimization
                ''',
                'reoptimize_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimize-trigger', REFERENCE_ENUM_CLASS, 'MteReoptTriggerEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MteReoptTriggerEnum', 
                [], [], 
                '''                Re-optimize trigger
                ''',
                'reoptimize_trigger',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-down', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of down S2Ls
                ''',
                's2_ls_down',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-proceeding', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of proceeding S2Ls
                ''',
                's2_ls_proceeding',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of connected S2Ls
                ''',
                's2_ls_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l', REFERENCE_LIST, 'S2L' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L', 
                [], [], 
                '''                array of S2L structures
                ''',
                's2l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signaled-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signaled Name
                ''',
                'signaled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('timer-left', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds left to take next action if any
                ''',
                'timer_left',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MplsTeLspEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspEnum', 
                [], [], 
                '''                The type of this LSP
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the tunnel was up
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'delay-clean-pp-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.LspFec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.LspFec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.LspFec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.LspFec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.LspFec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.S2LFec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.S2LFec',
            False, 
            [
            _MetaInfoClassMember('s2l-fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                Session identifier (ctype)
                ''',
                's2l_fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-dest', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                sub-LSP destination address
                ''',
                's2l_fec_dest',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                's2l_fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                's2l_fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                's2l_fec_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSP source address
                ''',
                's2l_fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                sub-LSP subgroup ID
                ''',
                's2l_fec_subgroup_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                's2l_fec_subgroup_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                's2l_fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                's2l_fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.PathCalculationError' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.PathCalculationError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-calculation-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.RemergeError' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.RemergeError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'remerge-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.SignallingError' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.SignallingError',
            False, 
            [
            _MetaInfoClassMember('error', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Path Error code
                ''',
                'error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Source address of the error generating node
                ''',
                'error_node',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSPMode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if error is on the reverse LSP
                ''',
                'reverse_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP-id for which the error was received
                ''',
                'signalling_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path Error subcode
                ''',
                'sub_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalling-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption',
            False, 
            [
            _MetaInfoClassMember('attribute-set', REFERENCE_CLASS, 'AttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet', 
                [], [], 
                '''                The path option attribute set used by this path
                ''',
                'attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-found', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has found the defined attribute
                set
                ''',
                'attribute_set_found',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Explicit Path ID, this is the key to table
                ExplicitPaths.IdentifierTable
                ''',
                'explicit_path_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Explicit Path Name, this is the key to table
                ExplicitPaths.NameTable
                ''',
                'explicit_path_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has an attribute set defined
                ''',
                'has_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-xro-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has an XRO attribute set
                configured
                ''',
                'has_xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('holddown-duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Holddown Duration (seconds)
                ''',
                'holddown_duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path option is disabled
                ''',
                'is_disabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-helddown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if path is helddown
                ''',
                'is_helddown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-lockdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is locked down
                ''',
                'is_lockdown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-segment-routing', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is Segment-Routing
                ''',
                'is_segment_routing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-explicit-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if explicit path is strict
                ''',
                'is_strict_explicit_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-verbatim', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is verbatim
                ''',
                'is_verbatim',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index
                ''',
                'option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index-is-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The path option index is valid
                ''',
                'option_index_is_valid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-calculation-error', REFERENCE_LIST, 'PathCalculationError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.PathCalculationError', 
                [], [], 
                '''                Path computation information
                ''',
                'path_calculation_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The path-option area constraint
                ''',
                'path_option_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path option name
                ''',
                'path_option_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-type', REFERENCE_ENUM_CLASS, 'MplsTePathoptionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTePathoptionEnum', 
                [], [], 
                '''                Path option type
                ''',
                'path_option_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                PCE server address
                ''',
                'pce_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-by-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for Protect path options
                ''',
                'protected_by_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remerge-error', REFERENCE_LIST, 'RemergeError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.RemergeError', 
                [], [], 
                '''                Path computation remerge resolve info
                ''',
                'remerge_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restored-from-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for Restore path options
                ''',
                'restored_from_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-error', REFERENCE_LIST, 'SignallingError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.SignallingError', 
                [], [], 
                '''                Signalling information
                ''',
                'signalling_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set', REFERENCE_CLASS, 'XroAttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet', 
                [], [], 
                '''                The XRO attribute set used by this path-option
                ''',
                'xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set-found', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path's XRO attribute set is known
                ''',
                'xro_attribute_set_found',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'active-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'out-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'in-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.Tspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.Tspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GenericTspec.Otntspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GenericTspec.Otntspec',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit Rate in kbps
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nmc-or-tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                NMC or Tolerance
                ''',
                'nmc_or_tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Virtual Components
                ''',
                'nvc',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otntspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GenericTspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GenericTspec',
            False, 
            [
            _MetaInfoClassMember('otntspec', REFERENCE_CLASS, 'Otntspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GenericTspec.Otntspec', 
                [], [], 
                '''                TE TSpec for G709 OTN
                ''',
                'otntspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tspec-type', REFERENCE_ENUM_CLASS, 'TeMgmtGenericTspecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeMgmtGenericTspecEnum', 
                [], [], 
                '''                TSpecType
                ''',
                'tspec_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'generic-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.Fspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.Fspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GenericFspec.Otnfspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GenericFspec.Otnfspec',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit Rate in kbps
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nmc-or-tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                NMC or Tolerance
                ''',
                'nmc_or_tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Virtual Components
                ''',
                'nvc',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otnfspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GenericFspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GenericFspec',
            False, 
            [
            _MetaInfoClassMember('fspec-type', REFERENCE_ENUM_CLASS, 'TeMgmtGenericFspecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeMgmtGenericFspecEnum', 
                [], [], 
                '''                FSpecType
                ''',
                'fspec_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otnfspec', REFERENCE_CLASS, 'Otnfspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GenericFspec.Otnfspec', 
                [], [], 
                '''                TE FSpec for G709 OTN
                ''',
                'otnfspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'generic-fspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.NextHopAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.NextHopAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.NextHopAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.NextHopAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.NextHopAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'next-hop-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PreviousHopAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PreviousHopAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PreviousHopAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PreviousHopAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PreviousHopAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'previous-hop-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.IncomingAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.IncomingAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.IncomingAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.IncomingAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.IncomingAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'incoming-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.S2LConvergence' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.S2LConvergence',
            False, 
            [
            _MetaInfoClassMember('creation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tunnel creation timestamp (clocktime in nsecs)
                ''',
                'creation_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rewrite', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP Label rewrite timestamp (clocktime in nsecs)
                ''',
                'label_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Path-in timestamp (clocktime in nsecs)
                ''',
                'path_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Path-in timestamp (clocktime in nsecs)
                ''',
                'path_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Resv-in timestamp (clocktime in nsecs)
                ''',
                'resv_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Resv-out timestamp (clocktime in nsecs)
                ''',
                'resv_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-rewrite', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tunnel rewrite timestamp (clocktime in nsecs)
                ''',
                'tunnel_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-convergence',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.SoftPreemption' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.SoftPreemption',
            False, 
            [
            _MetaInfoClassMember('fr-rrewrite', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR-rewrite during soft preemption
                ''',
                'fr_rrewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fr-rrewrite-tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The tunnel name of the backup
                ''',
                'fr_rrewrite_tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('preempting-link-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The address of the link where the preemption
                happened
                ''',
                'preempting_link_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-link', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the link where the soft preemption
                occurred
                ''',
                'soft_preemption_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The POSIX timestamp when the soft preemption
                occurred
                ''',
                'soft_preemption_timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'MplsTeSoftPreemptionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeSoftPreemptionStateEnum', 
                [], [], 
                '''                The current state of the soft preemption
                operation
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-to-hard-preemption', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The number of seconds until hard preemption is
                triggered
                ''',
                'time_to_hard_preemption',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'soft-preemption',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathIngressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathIngressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathIngressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathEgressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathEgressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathEgressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels',
            False, 
            [
            _MetaInfoClassMember('path-egress-label', REFERENCE_CLASS, 'PathEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathEgressLabel', 
                [], [], 
                '''                Path message (upstream) egress label
                ''',
                'path_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-ingress-label', REFERENCE_CLASS, 'PathIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathIngressLabel', 
                [], [], 
                '''                Path message (upstream) ingress label
                ''',
                'path_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-egress-label', REFERENCE_CLASS, 'ResvEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel', 
                [], [], 
                '''                Resv message (downstream) egress label
                ''',
                'resv_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-ingress-label', REFERENCE_CLASS, 'ResvIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel', 
                [], [], 
                '''                Resv message (downstream) ingress label
                ''',
                'resv_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'gmpls-labels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tolerance
                ''',
                'tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-cbr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-gfp-f-res',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-gfp-f-non-res',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth',
            False, 
            [
            _MetaInfoClassMember('odu-flex-cbr', REFERENCE_CLASS, 'OduFlexCbr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr', 
                [], [], 
                '''                Odu flex CBR info
                ''',
                'odu_flex_cbr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-flex-gfp-f-non-res', REFERENCE_CLASS, 'OduFlexGfpFNonRes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes', 
                [], [], 
                '''                Odu flex GFP-F non-resizable info
                ''',
                'odu_flex_gfp_f_non_res',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-flex-gfp-f-res', REFERENCE_CLASS, 'OduFlexGfpFRes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes', 
                [], [], 
                '''                Odu flex GFP-F resizable info
                ''',
                'odu_flex_gfp_f_res',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-level', REFERENCE_ENUM_CLASS, 'TeOduLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeOduLevelEnum', 
                [], [], 
                '''                ODULevel
                ''',
                'odu_level',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels',
            False, 
            [
            _MetaInfoClassMember('path-egress-label', REFERENCE_CLASS, 'PathEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel', 
                [], [], 
                '''                Path message (upstream) egress label
                ''',
                'path_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-ingress-label', REFERENCE_CLASS, 'PathIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel', 
                [], [], 
                '''                Path message (upstream) ingress label
                ''',
                'path_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-egress-label', REFERENCE_CLASS, 'ResvEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel', 
                [], [], 
                '''                Resv message (downstream) egress label
                ''',
                'resv_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-ingress-label', REFERENCE_CLASS, 'ResvIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel', 
                [], [], 
                '''                Resv message (downstream) ingress label
                ''',
                'resv_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'labels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn',
            False, 
            [
            _MetaInfoClassMember('bandwidth', REFERENCE_CLASS, 'Bandwidth' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth', 
                [], [], 
                '''                OTN Bandwidth for s2l
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cross-connect-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cross connect id
                ''',
                'cross_connect_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gpid', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Gpid Payload
                ''',
                'gpid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Incoming Controller
                ''',
                'incoming_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Incoming Controller Ifhandle
                ''',
                'incoming_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Controller
                ''',
                'incoming_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Incoming Sub Controller
                ''',
                'incoming_sub_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Incoming Sub Controller Ifhandle
                ''',
                'incoming_sub_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Sub Controller
                ''',
                'incoming_sub_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if subcontrollers are connected
                ''',
                'is_connected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('labels', REFERENCE_CLASS, 'Labels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels', 
                [], [], 
                '''                Labels
                ''',
                'labels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing Controller
                ''',
                'outgoing_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Controller Ifhandle
                ''',
                'outgoing_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Controller
                ''',
                'outgoing_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing Sub Controller
                ''',
                'outgoing_sub_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Sub Controller Ifhandle
                ''',
                'outgoing_sub_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Sub Controller
                ''',
                'outgoing_sub_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                XC Uptime
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Aps.ProtectionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Aps.ProtectionInfo',
            False, 
            [
            _MetaInfoClassMember('ho-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-Off timeout
                ''',
                'ho_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-hopresent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Hold-Off timeout present
                ''',
                'is_hopresent',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-snc-mode-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SNC mode present
                ''',
                'is_snc_mode_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-wtr-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Wait-to-Restore timeout present
                ''',
                'is_wtr_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Notification bit 
                ''',
                'nbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('obit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Operational bit
                ''',
                'obit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path protection profile type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Protecting bit
                ''',
                'pbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protect-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                LSP Protect Type
                ''',
                'protect_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Secondary bit
                ''',
                'sbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                SNC mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TCM ID
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wtr-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait-to-Restore timeout
                ''',
                'wtr_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protection-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Aps' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Aps',
            False, 
            [
            _MetaInfoClassMember('protection-info', REFERENCE_CLASS, 'ProtectionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Aps.ProtectionInfo', 
                [], [], 
                '''                Protection Info
                ''',
                'protection_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'aps',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L',
            False, 
            [
            _MetaInfoClassMember('aps', REFERENCE_CLASS, 'Aps' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Aps', 
                [], [], 
                '''                APS Info for OTN S2L
                ''',
                'aps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn', 
                [], [], 
                '''                Info Related to OTN technology in S2L
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn-s2l',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.HeadEndBfdInfo.SessionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.HeadEndBfdInfo.SessionInfo',
            False, 
            [
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'TeBfdLspSessionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdLspSessionStateEnum', 
                [], [], 
                '''                BFD session state
                ''',
                'state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('state-change-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last session state
                change
                ''',
                'state_change_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'session-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.HeadEndBfdInfo.DeletionHistory' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.HeadEndBfdInfo.DeletionHistory',
            False, 
            [
            _MetaInfoClassMember('deletion-diagnostic-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Diagnostic Code for the BFD session get deleted
                ''',
                'deletion_diagnostic_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reason for the BFD session get deleted
                ''',
                'deletion_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time stamp of the BFD session get deleted
                ''',
                'deletion_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID of the BFD session get deleted
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'deletion-history',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.HeadEndBfdInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.HeadEndBfdInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-reverse-path-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path labels
                ''',
                'bfd_reverse_path_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The BFD reverse path is stale compared to
                configuration
                ''',
                'bfd_reverse_path_stale',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('creation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the BFD session created
                ''',
                'creation_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-history', REFERENCE_CLASS, 'DeletionHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.HeadEndBfdInfo.DeletionHistory', 
                [], [], 
                '''                BFD Session Deletion History
                ''',
                'deletion_history',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-redundant', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                sBFD session is redundant
                ''',
                'is_redundant',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lspbfd-type', REFERENCE_ENUM_CLASS, 'TeVifBfdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeVifBfdEnum', 
                [], [], 
                '''                LSP BFD type
                ''',
                'lspbfd_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-info', REFERENCE_CLASS, 'SessionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.HeadEndBfdInfo.SessionInfo', 
                [], [], 
                '''                BFD Session Info
                ''',
                'session_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'head-end-bfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.TailEndBfdInfo.SessionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.TailEndBfdInfo.SessionInfo',
            False, 
            [
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'TeBfdLspSessionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdLspSessionStateEnum', 
                [], [], 
                '''                BFD session state
                ''',
                'state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('state-change-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last session state
                change
                ''',
                'state_change_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'session-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.TailEndBfdInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.TailEndBfdInfo',
            False, 
            [
            _MetaInfoClassMember('failure-diagnostic-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD session failure diagnostic code
                ''',
                'failure_diagnostic_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('failure-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                BFD session failure reason
                ''',
                'failure_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-discriminator', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Local Discriminator
                ''',
                'local_discriminator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('min-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello interval in mini second
                ''',
                'min_interval',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('min-interval-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default hello interval
                ''',
                'min_interval_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default multiplier
                ''',
                'multiplier_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-discriminator', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Remote Discrminator
                ''',
                'remote_discriminator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-info', REFERENCE_CLASS, 'SessionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.TailEndBfdInfo.SessionInfo', 
                [], [], 
                '''                BFD Session Info
                ''',
                'session_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tail-end-bfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.SrlgCollection' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.SrlgCollection',
            False, 
            [
            _MetaInfoClassMember('discovered-srlg', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Discovered SRLGs
                ''',
                'discovered_srlg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-collect-type', REFERENCE_ENUM_CLASS, 'TeSrlgCollectRequestEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSrlgCollectRequestEnum', 
                [], [], 
                '''                SRLG-collection mechanism
                ''',
                'srlg_collect_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-collection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.Association' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.Association',
            False, 
            [
            _MetaInfoClassMember('s2l-association-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Association ID
                ''',
                's2l_association_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                S2L Association Source
                ''',
                's2l_association_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-tie-role', REFERENCE_ENUM_CLASS, 'TeAssociationTieRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAssociationTieRoleEnum', 
                [], [], 
                '''                S2L Association Tie Role
                ''',
                's2l_association_tie_role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Association Type                         
                (draft-ietf-ccamp-mpls-tp-rsvpte-ext-associated-lsp)
                ''',
                's2l_association_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-extended-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L Extended ID Array
                ''',
                's2l_extended_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-global-source', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L Global Source
                ''',
                's2l_global_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'association',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.Protection' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.Protection',
            False, 
            [
            _MetaInfoClassMember('any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Any
                ''',
                'any',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ded1-plus1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1+1 Protection
                ''',
                'ded1_plus1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ded1-to1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1:1 Protection
                ''',
                'ded1_to1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('enhanced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates Enhanced Protection Scheme
                ''',
                'enhanced',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extra-traffic', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should use Links that are protecting other
                (primary) traffic
                ''',
                'extra_traffic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should not use any Link Layer Protection
                ''',
                'link_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Flags Unprotected
                ''',
                'lsp_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-plus-one-bi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Bidirectional Protection
                ''',
                'one_plus_one_bi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-plus-one-uni', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Unidirectional Protection
                ''',
                'one_plus_one_uni',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-to-n-protection-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1:N Protection with Extra-Traffic
                ''',
                'one_to_n_protection_et',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Full Rerouting
                ''',
                'rerouting',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouting-no-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Rerouting Without Extra-Traffic
                ''',
                'rerouting_no_et',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-notification', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Notification Bit
                ''',
                's2l_notification',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-operational', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Operational Bit
                ''',
                's2l_operational',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Protecting Bit
                ''',
                's2l_protecting',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-secondary', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Secondary Bit
                ''',
                's2l_secondary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Shared Link Layer Protection
                ''',
                'shared',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseLspFec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseLspFec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseLspFec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseLspFec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseLspFec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-lsp-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseTspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseTspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.FlexInfo.FlexFec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.FlexInfo.FlexFec',
            False, 
            [
            _MetaInfoClassMember('s2l-fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                Session identifier (ctype)
                ''',
                's2l_fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-dest', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                sub-LSP destination address
                ''',
                's2l_fec_dest',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                's2l_fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                's2l_fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                's2l_fec_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSP source address
                ''',
                's2l_fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                sub-LSP subgroup ID
                ''',
                's2l_fec_subgroup_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                's2l_fec_subgroup_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                's2l_fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                's2l_fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.FlexInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.FlexInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-created', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GAL BFD Session Created
                ''',
                'bfd_created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-egress-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Egress Label
                ''',
                'bfd_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-int-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Internal Label
                ''',
                'bfd_int_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                BFD Next Hop
                ''',
                'bfd_next_hop',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-out-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD Out Interface Handle
                ''',
                'bfd_out_ifh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-tun-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD Tunnel Interface Handle
                ''',
                'bfd_tun_ifh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GAL BFD Session Up
                ''',
                'bfd_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('entry-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FlexLSP Entry Exists
                ''',
                'entry_exists',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ais', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault AIS
                ''',
                'fault_ais',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ldi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LDI
                ''',
                'fault_ldi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ldi-lockout', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LDI Lockout
                ''',
                'fault_ldi_lockout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-lkr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LKR
                ''',
                'fault_lkr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Fault Time
                ''',
                'fault_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex-fec', REFERENCE_CLASS, 'FlexFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.FlexInfo.FlexFec', 
                [], [], 
                '''                FEC for the FlexLSP Entry
                ''',
                'flex_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                In Label
                ''',
                'in_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('oam-created', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                OAM Entry Created
                ''',
                'oam_created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.LspWrapInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.LspWrapInfo',
            False, 
            [
            _MetaInfoClassMember('lsp-wrap-protection-enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Wrap protection enabled
                ''',
                'lsp_wrap_protection_enable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-protection-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSP Wrap Merge Point Label
                ''',
                'lsp_wrap_protection_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-protection-state', REFERENCE_ENUM_CLASS, 'MplsTeLspWrapStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspWrapStateEnum', 
                [], [], 
                '''                LSP wrap protection state
                ''',
                'lsp_wrap_protection_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reverse Egress Interface
                ''',
                'reverse_egress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reverse LSP label
                ''',
                'reverse_lsp_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-wrap-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.DiversityInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.DiversityInfo',
            False, 
            [
            _MetaInfoClassMember('diversity-type', REFERENCE_ENUM_CLASS, 'TePpDiversityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePpDiversityEnum', 
                [], [], 
                '''                S2L path diversity type
                ''',
                'diversity_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'diversity-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.SharedRiskLinkGroup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.SharedRiskLinkGroup',
            False, 
            [
            _MetaInfoClassMember('shared-risk-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG number
                ''',
                'shared_risk_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SRLG name
                ''',
                'srlg_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'shared-risk-link-group',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutEro.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutEro.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutEro.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutEro.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutEro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutEro',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutEro.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutEro.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'out-ero',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InEro.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InEro.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InEro.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InEro.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InEro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InEro',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InEro.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InEro.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'in-ero',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.Ipv4RroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.Ipv4RroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.Ipv4RroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.Ipv4RroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.Ipv4RroSubObject.Flags', 
                [], [], 
                '''                The RRO IPV4 Subobject Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO IPV4 Address
                ''',
                'rro_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.LabelRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.LabelRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-global-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label is Global across all interfaces
                ''',
                'is_global_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.LabelRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.LabelRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.LabelRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Label Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-label-variable-length', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the RRO Subobject Label Variable Length
                ''',
                'is_label_variable_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Label Value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('variable-length-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Variable Length Label
                ''',
                'variable_length_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'label-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.UnnumberedRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.UnnumberedRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.UnnumberedRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.UnnumberedRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.UnnumberedRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Unnumbered Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO Interface Address
                ''',
                'interface_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.SrlgRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.SrlgRroSubObject',
            False, 
            [
            _MetaInfoClassMember('srl-gs', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject SRLGs
                ''',
                'srl_gs',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro',
            False, 
            [
            _MetaInfoClassMember('ipv4rro-sub-object', REFERENCE_CLASS, 'Ipv4RroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.Ipv4RroSubObject', 
                [], [], 
                '''                IPV4 RRO Sub Object
                ''',
                'ipv4rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rro-sub-object', REFERENCE_CLASS, 'LabelRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.LabelRroSubObject', 
                [], [], 
                '''                Label RRO Sub Object
                ''',
                'label_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtRroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtRroSubobjEnum', 
                [], [], 
                '''                RROType
                ''',
                'rro_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-rro-sub-object', REFERENCE_CLASS, 'SrlgRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.SrlgRroSubObject', 
                [], [], 
                '''                SRLG RRO Sub Object
                ''',
                'srlg_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-rro-sub-object', REFERENCE_CLASS, 'UnnumberedRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.UnnumberedRroSubObject', 
                [], [], 
                '''                Unnumbered RRO Sub Object
                ''',
                'unnumbered_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-rro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.Ipv4RroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.Ipv4RroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.Ipv4RroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.Ipv4RroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.Ipv4RroSubObject.Flags', 
                [], [], 
                '''                The RRO IPV4 Subobject Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO IPV4 Address
                ''',
                'rro_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.LabelRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.LabelRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-global-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label is Global across all interfaces
                ''',
                'is_global_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.LabelRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.LabelRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.LabelRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Label Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-label-variable-length', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the RRO Subobject Label Variable Length
                ''',
                'is_label_variable_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Label Value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('variable-length-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Variable Length Label
                ''',
                'variable_length_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'label-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.UnnumberedRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.UnnumberedRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Unnumbered Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO Interface Address
                ''',
                'interface_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.SrlgRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.SrlgRroSubObject',
            False, 
            [
            _MetaInfoClassMember('srl-gs', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject SRLGs
                ''',
                'srl_gs',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro',
            False, 
            [
            _MetaInfoClassMember('ipv4rro-sub-object', REFERENCE_CLASS, 'Ipv4RroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.Ipv4RroSubObject', 
                [], [], 
                '''                IPV4 RRO Sub Object
                ''',
                'ipv4rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rro-sub-object', REFERENCE_CLASS, 'LabelRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.LabelRroSubObject', 
                [], [], 
                '''                Label RRO Sub Object
                ''',
                'label_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtRroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtRroSubobjEnum', 
                [], [], 
                '''                RROType
                ''',
                'rro_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-rro-sub-object', REFERENCE_CLASS, 'SrlgRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.SrlgRroSubObject', 
                [], [], 
                '''                SRLG RRO Sub Object
                ''',
                'srlg_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-rro-sub-object', REFERENCE_CLASS, 'UnnumberedRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.UnnumberedRroSubObject', 
                [], [], 
                '''                Unnumbered RRO Sub Object
                ''',
                'unnumbered_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-rro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathAffinityArray' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathAffinityArray',
            False, 
            [
            _MetaInfoClassMember('hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Hop address
                ''',
                'hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop-affinity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'hop_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop-extended-affinity', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hop affinity
                ''',
                'hop_extended_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-affinity-array',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseEroIn.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseEroIn.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseEroIn.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseEroIn.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseEroIn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseEroIn',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseEroIn.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseEroIn.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-ero-in',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.S2LSegmentRoutingPath' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.S2LSegmentRoutingPath',
            False, 
            [
            _MetaInfoClassMember('has-entropy-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Hop has EL specified
                ''',
                'has_entropy_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-ip-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node has IP addresses specified
                ''',
                'has_ip_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-mpls-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Hop has MPLS label specified
                ''',
                'has_mpls_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local IP address of adjacency or Node ID
                ''',
                'local_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mpls-label-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The MPLS label value
                ''',
                'mpls_label_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote IP address of adjacency
                ''',
                'remote_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sid-type', REFERENCE_ENUM_CLASS, 'TeSrSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSrSidEnum', 
                [], [], 
                '''                Type of the SID
                ''',
                'sid_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-segment-routing-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L',
            False, 
            [
            _MetaInfoClassMember('abr-auto-discovered', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next ABR auto discovered
                ''',
                'abr_auto_discovered',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('active-path-option', REFERENCE_CLASS, 'ActivePathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption', 
                [], [], 
                '''                The path option used to find the path for this
                S2L
                ''',
                'active_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('association', REFERENCE_CLASS, 'Association' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.Association', 
                [], [], 
                '''                Association Object
                ''',
                'association',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface handle of the backup tunnel
                ''',
                'backup_tunnel_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('diversity-info', REFERENCE_CLASS, 'DiversityInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.DiversityInfo', 
                [], [], 
                '''                S2L Diversity Information
                ''',
                'diversity_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('downstream-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Downstream router id
                ''',
                'downstream_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Egress Interface
                ''',
                'egress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface-brief', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Egress Interface in brief format
                ''',
                'egress_interface_brief',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Interface
                ''',
                'egress_interface_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Outgoing ERO's affinity bits (colors)
                ''',
                'expanded_ero_affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Outgoing ERO's affinity mask (colors)
                ''',
                'expanded_ero_affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Indicates the protocol and area used to find
                Outgoing ERO
                ''',
                'expanded_ero_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The metric value of the expanded path
                ''',
                'expanded_ero_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-metric-type', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                The Outgoing ERO's selection metric
                ''',
                'expanded_ero_metric_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex-info', REFERENCE_CLASS, 'FlexInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.FlexInfo', 
                [], [], 
                '''                FlexLSP S2L Information
                ''',
                'flex_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-out-tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FRR out tunnel intface
                ''',
                'frr_out_tunnel_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fspec', REFERENCE_CLASS, 'Fspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.Fspec', 
                [], [], 
                '''                The F spec info
                ''',
                'fspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generic-fspec', REFERENCE_CLASS, 'GenericFspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GenericFspec', 
                [], [], 
                '''                Generic FSpec
                ''',
                'generic_fspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generic-tspec', REFERENCE_CLASS, 'GenericTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GenericTspec', 
                [], [], 
                '''                Generic TSpec
                ''',
                'generic_tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gmpls-labels', REFERENCE_CLASS, 'GmplsLabels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels', 
                [], [], 
                '''                GMPLS labels
                ''',
                'gmpls_labels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('head-end-bfd-info', REFERENCE_CLASS, 'HeadEndBfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.HeadEndBfdInfo', 
                [], [], 
                '''                The Head-end BFD info
                ''',
                'head_end_bfd_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-ero', REFERENCE_LIST, 'InEro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InEro', 
                [], [], 
                '''                Incoming ERO for this S2L
                ''',
                'in_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-xro', REFERENCE_CLASS, 'InXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro', 
                [], [], 
                '''                Incoming XRO for this S2L
                ''',
                'in_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Incoming interface address
                ''',
                'incoming_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-address-generic', REFERENCE_CLASS, 'IncomingAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.IncomingAddressGeneric', 
                [], [], 
                '''                Incoming interface address
                ''',
                'incoming_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ingress Interface
                ''',
                'ingress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface-brief', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ingress Interface in brief format
                ''',
                'ingress_interface_brief',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Interface
                ''',
                'ingress_interface_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-protect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BW Protection Enabled or Disabled
                ''',
                'is_bandwidth_protect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-expanded-ero', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if this LSR expanded a loose path
                ''',
                'is_expanded_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-frr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Enabled or Disabled
                ''',
                'is_frr_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Enabled or Disabled
                ''',
                'is_node_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-optical', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Optical
                ''',
                'is_optical',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local router id
                ''',
                'local_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-info', REFERENCE_CLASS, 'LspWrapInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.LspWrapInfo', 
                [], [], 
                '''                Lsp Wrap  Related information
                ''',
                'lsp_wrap_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop address
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address-generic', REFERENCE_CLASS, 'NextHopAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.NextHopAddressGeneric', 
                [], [], 
                '''                Next hop address
                ''',
                'next_hop_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('node-hop-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hop count
                ''',
                'node_hop_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn-s2l', REFERENCE_CLASS, 'OtnS2L' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L', 
                [], [], 
                '''                Otn S2L Information
                ''',
                'otn_s2l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-ero', REFERENCE_LIST, 'OutEro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutEro', 
                [], [], 
                '''                Outgoing ERO for this S2L
                ''',
                'out_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-xro', REFERENCE_CLASS, 'OutXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro', 
                [], [], 
                '''                Outgoing XRO for this S2L
                ''',
                'out_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outbound-frr-state', REFERENCE_ENUM_CLASS, 'MplsTeFrrStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeFrrStateEnum', 
                [], [], 
                '''                Indicates outbound FRR state
                ''',
                'outbound_frr_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-affinity-array', REFERENCE_LIST, 'PathAffinityArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathAffinityArray', 
                [], [], 
                '''                Tunnel's Path hops with affinity
                ''',
                'path_affinity_array',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reeval-query-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loose path reevaluation query received at
                mid-point
                ''',
                'path_reeval_query_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-rro', REFERENCE_LIST, 'PathRro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro', 
                [], [], 
                '''                Path RRO for this S2L
                ''',
                'path_rro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-rro-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path RRO Enabled or Disabled
                ''',
                'path_rro_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-using-strict-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is using Strict SPF
                ''',
                'path_using_strict_spf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcalc-area', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IGP-area in which the S2L path was calculated
                ''',
                'pcalc_area',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Previous hop address
                ''',
                'previous_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-hop-address-generic', REFERENCE_CLASS, 'PreviousHopAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PreviousHopAddressGeneric', 
                [], [], 
                '''                Previous hop address
                ''',
                'previous_hop_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection', REFERENCE_CLASS, 'Protection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.Protection', 
                [], [], 
                '''                Protection Object
                ''',
                'protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-rro', REFERENCE_LIST, 'ResvRro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro', 
                [], [], 
                '''                Resv RRO for this S2L
                ''',
                'resv_rro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-ero-in', REFERENCE_LIST, 'ReverseEroIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseEroIn', 
                [], [], 
                '''                 Reverse Incoming ERO for this S2L
                ''',
                'reverse_ero_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Connected
                ''',
                'reverse_lsp_connected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-fec', REFERENCE_CLASS, 'ReverseLspFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseLspFec', 
                [], [], 
                '''                Reverse Associated Bidir LSP FEC
                ''',
                'reverse_lsp_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Name
                ''',
                'reverse_lsp_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Present
                ''',
                'reverse_lsp_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-tspec', REFERENCE_CLASS, 'ReverseTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseTspec', 
                [], [], 
                '''                The Reverse T spec info
                ''',
                'reverse_tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The reverse path weight
                ''',
                'reverse_weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('role', REFERENCE_ENUM_CLASS, 'MplsTeTunnelRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelRoleEnum', 
                [], [], 
                '''                Role of S2L
                ''',
                'role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-convergence', REFERENCE_CLASS, 'S2LConvergence' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.S2LConvergence', 
                [], [], 
                '''                TE LSP convergence related information
                ''',
                's2l_convergence',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec', REFERENCE_CLASS, 'S2LFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.S2LFec', 
                [], [], 
                '''                FEC for the S2L
                ''',
                's2l_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label
                ''',
                's2l_local_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing label
                ''',
                's2l_out_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-ero-obj-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2l Reverse ERO Object Present
                ''',
                's2l_reverse_ero_obj_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-lsp-sub-obj', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Reverse LSP Sub Objects
                ''',
                's2l_reverse_lsp_sub_obj',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-tspec-obj-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Reverse TSpec Object Present
                ''',
                's2l_reverse_tspec_obj_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-segment-routing-path', REFERENCE_LIST, 'S2LSegmentRoutingPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.S2LSegmentRoutingPath', 
                [], [], 
                '''                Segment-Routing S2L path info
                ''',
                's2l_segment_routing_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared-risk-link-group', REFERENCE_LIST, 'SharedRiskLinkGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.SharedRiskLinkGroup', 
                [], [], 
                '''                The S2L's excluded srlg groups
                ''',
                'shared_risk_link_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-status', REFERENCE_ENUM_CLASS, 'MplsTeTunnelsSignalingStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelsSignalingStatusEnum', 
                [], [], 
                '''                Signaling status
                ''',
                'signalling_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption', REFERENCE_CLASS, 'SoftPreemption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.SoftPreemption', 
                [], [], 
                '''                The soft preemption info for this LSP.
                ''',
                'soft_preemption',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-collection', REFERENCE_CLASS, 'SrlgCollection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.SrlgCollection', 
                [], [], 
                '''                SRLG-collection data
                ''',
                'srlg_collection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tail-end-bfd-info', REFERENCE_CLASS, 'TailEndBfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.TailEndBfdInfo', 
                [], [], 
                '''                The Tail-end BFD info
                ''',
                'tail_end_bfd_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-preferred-path-exists-send-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last preferred path exists msg send
                from mid-point
                ''',
                'time_since_last_preferred_path_exists_send_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-preferred-tree-exists-send-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last preferred tree exists msg send
                from mid-point
                ''',
                'time_since_last_preferred_tree_exists_send_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-query-received-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last reevaluation query received at
                mid-point
                ''',
                'time_since_last_query_received_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tspec', REFERENCE_CLASS, 'Tspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.Tspec', 
                [], [], 
                '''                The T spec info
                ''',
                'tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('upstream-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Upstream router id
                ''',
                'upstream_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the tunnel was up
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The path's weight
                ''',
                'weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp',
            False, 
            [
            _MetaInfoClassMember('dste-class-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Matching DSTE class index
                ''',
                'dste_class_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-match', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Do the class type and priority match a DSTE
                class
                ''',
                'dste_class_match',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-active-reason', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP LSP FRR active reason
                ''',
                'frr_active_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-frr-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                P2MP LSP has FRR Failed
                ''',
                'is_frr_failed',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True for tunnel head
                ''',
                'is_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-passive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True for passive tunnel
                ''',
                'is_passive',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-path-change', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last path change
                ''',
                'last_path_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP LSP Bandwidth
                ''',
                'lsp_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The LSP bandwidth type
                ''',
                'lsp_bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-fec', REFERENCE_CLASS, 'LspFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.LspFec', 
                [], [], 
                '''                FEC for the LSP
                ''',
                'lsp_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSP hold priority
                ''',
                'lsp_hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSP setup priority
                ''',
                'lsp_setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('persistent-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Persistent forwarding statistics for number of
                bytes. Clear counters will not reset the counter
                ''',
                'persistent_bytes',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('persistent-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Persistent forwarding statistics for Number of
                packets. Clear counters will not reset the
                counter
                ''',
                'persistent_packets',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimize-reason', REFERENCE_ENUM_CLASS, 'MplsTeReoptDecisionReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeReoptDecisionReasonEnum', 
                [], [], 
                '''                Reason for re-optimization
                ''',
                'reoptimize_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimize-trigger', REFERENCE_ENUM_CLASS, 'MteReoptTriggerEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MteReoptTriggerEnum', 
                [], [], 
                '''                Re-optimize trigger
                ''',
                'reoptimize_trigger',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-down', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of down S2Ls
                ''',
                's2_ls_down',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-proceeding', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of proceeding S2Ls
                ''',
                's2_ls_proceeding',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of connected S2Ls
                ''',
                's2_ls_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l', REFERENCE_LIST, 'S2L' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L', 
                [], [], 
                '''                array of S2L structures
                ''',
                's2l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signaled-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signaled Name
                ''',
                'signaled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('timer-left', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds left to take next action if any
                ''',
                'timer_left',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MplsTeLspEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspEnum', 
                [], [], 
                '''                The type of this LSP
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the tunnel was up
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'cleaned-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.P2PInfo.AutoBandwidthStatus' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.P2PInfo.AutoBandwidthStatus',
            False, 
            [
            _MetaInfoClassMember('is-auto-bandwidth-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if auto-bw is enabled for the tunnel
                ''',
                'is_auto_bandwidth_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reactivation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until auto-bw gets activated if activation
                has been delayed due to failover
                ''',
                'reactivation_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'auto-bandwidth-status',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.P2PInfo.AutoBandwidthConfig' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.P2PInfo.AutoBandwidthConfig',
            False, 
            [
            _MetaInfoClassMember('adjustment-threshold-percent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth change threshold needed to trigger
                bandwidth adjustment
                ''',
                'adjustment_threshold_percent',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('adjustment-threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth change value (kbps) needed to trigger
                bandwidth adjustment
                ''',
                'adjustment_threshold_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('application-frequency', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Auto-bw application frequency for the tunnel
                (mins)
                ''',
                'application_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('collection-frequency', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global auto-bw collection frequency
                ''',
                'collection_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-auto-bandwidth-collect-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if auto-bw collection-only is enabled
                ''',
                'is_auto_bandwidth_collect_only',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum bandwidth auto-bw can apply
                ''',
                'maximum_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('minimum-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Minimum bandwidth auto-bw can apply
                ''',
                'minimum_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('overflow-threshold-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Limit of consecutive collections exceeding
                threshold to trigger an immediate overflow
                bandwidth adjustment
                ''',
                'overflow_threshold_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('overflow-threshold-percent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth change threshold needed to count a
                collection towards overflow limit allowed
                ''',
                'overflow_threshold_percent',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('overflow-threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth change value needed to count a
                collection towards overflow limit allowed
                ''',
                'overflow_threshold_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('underflow-threshold-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Limit of consecutive collections exceeding
                threshold to trigger an immediate underflow
                bandwidth adjustment
                ''',
                'underflow_threshold_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('underflow-threshold-percent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth change threshold needed to count a
                collection towards underflow limit allowed
                ''',
                'underflow_threshold_percent',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('underflow-threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth change value needed to count a
                collection towards underflow limit allowed
                ''',
                'underflow_threshold_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'auto-bandwidth-config',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.P2PInfo.AutoBandwidthOper' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.P2PInfo.AutoBandwidthOper',
            False, 
            [
            _MetaInfoClassMember('application-jitter', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Amount of time introduced to delay first
                application so that not all tunnels may signal
                BW at the same time
                ''',
                'application_jitter',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('application-reject-reason', REFERENCE_ENUM_CLASS, 'TeAutobwAppRejEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAutobwAppRejEnum', 
                [], [], 
                '''                Current application reject reason
                ''',
                'application_reject_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-applications', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of bandwidth applications requested
                by auto-bw
                ''',
                'bandwidth_applications',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-pool-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                Bandwidth pool type
                ''',
                'bandwidth_pool_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('collect-only-requested-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Collect-only Requested Bandwidth for the tunnel
                ''',
                'collect_only_requested_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('highest-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Highest bandwidth registered within current
                application period
                ''',
                'highest_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-application-trigger', REFERENCE_ENUM_CLASS, 'TeAutobwAppTriggerEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAutobwAppTriggerEnum', 
                [], [], 
                '''                The reason causing the last BW application
                ''',
                'last_application_trigger',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-bandwidth-applied', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last bandwidth requested by auto-bw for the
                tunnel
                ''',
                'last_bandwidth_applied',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('overflow-early-bw-applications', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                tunnel counter for number of bandwidth
                applications due to overflow
                ''',
                'overflow_early_bw_applications',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('samples-collected', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of samples collected within current
                application period
                ''',
                'samples_collected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('threshold-overflows', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                counter for current consecutive collections
                exceeding threshold
                ''',
                'threshold_overflows',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('threshold-underflows', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                counter for current consecutive collections
                exceeding threshold
                ''',
                'threshold_underflows',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-left-application', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time left until next auto-bw application
                algorithm is performed
                ''',
                'time_left_application',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-left-collection', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time left until next auto-bw data collection is
                performed
                ''',
                'time_left_collection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('underflow-early-bw-applications', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                tunnel counter for number of bandwidth
                applications due to underflow
                ''',
                'underflow_early_bw_applications',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('underflow-highest-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Highest sample collected during an underflow
                sequence
                ''',
                'underflow_highest_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'auto-bandwidth-oper',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.P2PInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.P2PInfo',
            False, 
            [
            _MetaInfoClassMember('auto-bandwidth-config', REFERENCE_CLASS, 'AutoBandwidthConfig' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.P2PInfo.AutoBandwidthConfig', 
                [], [], 
                '''                Tunnels's AutoBandwidth Configuration
                information
                ''',
                'auto_bandwidth_config',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-oper', REFERENCE_CLASS, 'AutoBandwidthOper' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.P2PInfo.AutoBandwidthOper', 
                [], [], 
                '''                Tunnels's AutoBandwidth Operational information
                ''',
                'auto_bandwidth_oper',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-status', REFERENCE_CLASS, 'AutoBandwidthStatus' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.P2PInfo.AutoBandwidthStatus', 
                [], [], 
                '''                Tunnels's AutoBandwidth Status information
                ''',
                'auto_bandwidth_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bidirectional', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the tunnel is bidirectional
                ''',
                'is_bidirectional',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'p2p-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.CurrentSetup.ConnectedUptimes' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.CurrentSetup.ConnectedUptimes',
            False, 
            [
            _MetaInfoClassMember('current-lsp-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the current LSP was up
                ''',
                'current_lsp_uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('current-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the tunnel was up
                ''',
                'current_uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'connected-uptimes',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.CurrentSetup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.CurrentSetup',
            False, 
            [
            _MetaInfoClassMember('connected-uptimes', REFERENCE_CLASS, 'ConnectedUptimes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.CurrentSetup.ConnectedUptimes', 
                [], [], 
                '''                Uptimes for connected setup
                ''',
                'connected_uptimes',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('current-setup-last-error', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The last error for the current setup
                ''',
                'current_setup_last_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('current-setup-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds until the next attempt to
                connect this setup
                ''',
                'current_setup_timer',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('selection-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The reason why this setup is selected. For
                display purposes only.
                ''',
                'selection_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'current-setup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.ReoptSetup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.ReoptSetup',
            False, 
            [
            _MetaInfoClassMember('reoptimized-setup-last-error', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The last error for the reopt setup
                ''',
                'reoptimized_setup_last_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimized-setup-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds until the next attempt to
                connect the reopt setup
                ''',
                'reoptimized_setup_timer',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimized-setup-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the reopt setup came up
                ''',
                'reoptimized_setup_uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reopt-setup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.GmplsPathProtectSetup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.GmplsPathProtectSetup',
            False, 
            [
            _MetaInfoClassMember('protecting-setup-last-error', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The last error for the protecting setup (for
                display purposes only)
                ''',
                'protecting_setup_last_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protecting-setup-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds until the next attempt to
                connect the protecting setup
                ''',
                'protecting_setup_timer',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protecting-setup-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the protecting setup came
                up
                ''',
                'protecting_setup_uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'gmpls-path-protect-setup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.PreviousSetup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.PreviousSetup',
            False, 
            [
            _MetaInfoClassMember('previous-fail-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reason for the previous setup's failure
                ''',
                'previous_fail_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-path-option', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The previous setup path option
                ''',
                'previous_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-setup-last-error', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The last error for the previous setup
                ''',
                'previous_setup_last_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-tunnel-instance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The previous setup's instance
                ''',
                'previous_tunnel_instance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'previous-setup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.PreviousGmplsPathProtectSetup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.PreviousGmplsPathProtectSetup',
            False, 
            [
            _MetaInfoClassMember('previous-protect-fail-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reason for the previous protect setup's failure
                ''',
                'previous_protect_fail_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-protect-path-option', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The previous protect setup path option
                ''',
                'previous_protect_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-protect-setup-last-error', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The last error for the previous setup
                ''',
                'previous_protect_setup_last_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-protect-tunnel-instance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The previous protect setup's instance
                ''',
                'previous_protect_tunnel_instance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'previous-gmpls-path-protect-setup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.GmplsOtherSetup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.GmplsOtherSetup',
            False, 
            [
            _MetaInfoClassMember('other-setup-error', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The last error for the additional setup
                ''',
                'other_setup_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for the additional setup
                ''',
                'path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'gmpls-other-setup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.GmplsOtherProtectSetup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.GmplsOtherProtectSetup',
            False, 
            [
            _MetaInfoClassMember('other-setup-error', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The last error for the additional setup
                ''',
                'other_setup_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for the additional setup
                ''',
                'path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'gmpls-other-protect-setup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.StandbySetup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.StandbySetup',
            False, 
            [
            _MetaInfoClassMember('standby-lsp-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the standby LSP was up
                ''',
                'standby_lsp_uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('standby-setup-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds until the next attempt to
                connect this setup
                ''',
                'standby_setup_timer',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'standby-setup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.StandbyReoptSetup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.StandbyReoptSetup',
            False, 
            [
            _MetaInfoClassMember('reoptimized-setup-last-error', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The last error for the reopt setup
                ''',
                'reoptimized_setup_last_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimized-setup-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds until the next attempt to
                connect the reopt setup
                ''',
                'reoptimized_setup_timer',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimized-setup-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the reopt setup came up
                ''',
                'reoptimized_setup_uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'standby-reopt-setup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.LastReOptFail' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.LastReOptFail',
            False, 
            [
            _MetaInfoClassMember('re-opt-failed-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                First tunnel destination (if any) in re-opt LSP
                that failed to come up
                ''',
                're_opt_failed_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('re-opt-failed-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time stamp of the last re-opt failure. (seconds
                since Jan. 1, 1970)
                ''',
                're_opt_failed_timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('re-opt-last-fail-reason', REFERENCE_ENUM_CLASS, 'MplsTeReoptDecisionReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeReoptDecisionReasonEnum', 
                [], [], 
                '''                Reason (if any) for the last re-opt attempt
                failure
                ''',
                're_opt_last_fail_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'last-re-opt-fail',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.LastStdbyReOptFail' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.LastStdbyReOptFail',
            False, 
            [
            _MetaInfoClassMember('re-opt-failed-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                First tunnel destination (if any) in re-opt LSP
                that failed to come up
                ''',
                're_opt_failed_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('re-opt-failed-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time stamp of the last re-opt failure. (seconds
                since Jan. 1, 1970)
                ''',
                're_opt_failed_timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('re-opt-last-fail-reason', REFERENCE_ENUM_CLASS, 'MplsTeReoptDecisionReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeReoptDecisionReasonEnum', 
                [], [], 
                '''                Reason (if any) for the last re-opt attempt
                failure
                ''',
                're_opt_last_fail_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'last-stdby-re-opt-fail',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History',
            False, 
            [
            _MetaInfoClassMember('current-setup', REFERENCE_CLASS, 'CurrentSetup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.CurrentSetup', 
                [], [], 
                '''                Current setup data
                ''',
                'current_setup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gmpls-other-protect-setup', REFERENCE_CLASS, 'GmplsOtherProtectSetup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.GmplsOtherProtectSetup', 
                [], [], 
                '''                GMPLS additional protecting setup data
                ''',
                'gmpls_other_protect_setup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gmpls-other-setup', REFERENCE_CLASS, 'GmplsOtherSetup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.GmplsOtherSetup', 
                [], [], 
                '''                GMPLS additional setup data
                ''',
                'gmpls_other_setup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gmpls-path-protect-setup', REFERENCE_CLASS, 'GmplsPathProtectSetup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.GmplsPathProtectSetup', 
                [], [], 
                '''                GMPLS protecting setup data
                ''',
                'gmpls_path_protect_setup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-re-opt-fail', REFERENCE_CLASS, 'LastReOptFail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.LastReOptFail', 
                [], [], 
                '''                Last re-opt attempt failure information
                ''',
                'last_re_opt_fail',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-stdby-re-opt-fail', REFERENCE_CLASS, 'LastStdbyReOptFail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.LastStdbyReOptFail', 
                [], [], 
                '''                Last standby re-opt attempt failure information
                ''',
                'last_stdby_re_opt_fail',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-gmpls-path-protect-setup', REFERENCE_CLASS, 'PreviousGmplsPathProtectSetup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.PreviousGmplsPathProtectSetup', 
                [], [], 
                '''                Previous GMPLS protecting setup data
                ''',
                'previous_gmpls_path_protect_setup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-setup', REFERENCE_CLASS, 'PreviousSetup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.PreviousSetup', 
                [], [], 
                '''                Previous setup data
                ''',
                'previous_setup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reopt-setup', REFERENCE_CLASS, 'ReoptSetup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.ReoptSetup', 
                [], [], 
                '''                Reoptimized setup data
                ''',
                'reopt_setup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('standby-reopt-setup', REFERENCE_CLASS, 'StandbyReoptSetup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.StandbyReoptSetup', 
                [], [], 
                '''                Standby Reopt setup data
                ''',
                'standby_reopt_setup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('standby-setup', REFERENCE_CLASS, 'StandbySetup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.StandbySetup', 
                [], [], 
                '''                Standby setup data
                ''',
                'standby_setup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'history',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.PathProtection.Switchover' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.PathProtection.Switchover',
            False, 
            [
            _MetaInfoClassMember('date-of-error-detection', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The date when the error that caused the
                switchover was detected. This date is the number
                of seconds since Jan 1st 1970
                ''',
                'date_of_error_detection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('date-of-error-detection-millisec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The milliseconds offset of the date when the
                error that caused  the switchover was detected.
                ''',
                'date_of_error_detection_millisec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('from-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The LSP ID from which the traffic was switched
                over
                ''',
                'from_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-protection-switchover-event-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The index number of the path protection switch
                over event
                ''',
                'path_protection_switchover_event_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-protection-switchover-reason', REFERENCE_ENUM_CLASS, 'TeP2MpS2LDeletionSubcauseEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeP2MpS2LDeletionSubcauseEnum', 
                [], [], 
                '''                The reason that caused the path protection
                switchover
                ''',
                'path_protection_switchover_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-protection-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The ID of the tunnel that experienced switchover
                ''',
                'path_protection_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('switchover-duration-millisec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The time in milliseconds between the detection
                of the error and switching the traffic
                ''',
                'switchover_duration_millisec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('to-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The LSP ID to which the traffic was switched
                over
                ''',
                'to_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'switchover',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.PathProtection' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.PathProtection',
            False, 
            [
            _MetaInfoClassMember('diversity-type', REFERENCE_ENUM_CLASS, 'TePpDiversityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePpDiversityEnum', 
                [], [], 
                '''                Standby path diversity type
                ''',
                'diversity_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-protect-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Protection Configured
                ''',
                'is_path_protect_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-protect-switch-over-underway', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Switchover Underway
                ''',
                'is_path_protect_switch_over_underway',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-protection-protected-by-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The path option ID (level/index) of the
                configured explicit protecting path
                ''',
                'path_protection_protected_by_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimization-time-remaining', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remaining time until path protection
                reoptimization (seconds)
                ''',
                'reoptimization_time_remaining',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('standby-reoptimized-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of times the standby LSP was reoptimized
                ''',
                'standby_reoptimized_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('switchover', REFERENCE_CLASS, 'Switchover' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.PathProtection.Switchover', 
                [], [], 
                '''                Path Protected Switchover Information
                ''',
                'switchover',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('switchover-ready', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Total times, Standby LSP ready for use
                ''',
                'switchover_ready',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('switchover-reason', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Reason for last switchover
                ''',
                'switchover_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('switchover-total', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of times switchover occurred
                ''',
                'switchover_total',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-of-switchover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The date when the switchover was completed. This
                date is the number of seconds since Jan 1st 1970
                ''',
                'time_of_switchover_sec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('valid-path-protection-path-option-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether tunnel has a
                path-option which is valid for path-protection
                ''',
                'valid_path_protection_path_option_exists',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-protection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup.WeightedSrlgInfo.ProtectedInterfaceSrlg' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup.WeightedSrlgInfo.ProtectedInterfaceSrlg',
            False, 
            [
            _MetaInfoClassMember('admin-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Admin weight
                ''',
                'admin_weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG number
                ''',
                'srlg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SRLG name
                ''',
                'srlg_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface-srlg',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup.WeightedSrlgInfo.WeightedSrlgHop' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup.WeightedSrlgInfo.WeightedSrlgHop',
            False, 
            [
            _MetaInfoClassMember('aggregate-admin-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Sum of the admin weights for all the common SRLG
                values
                ''',
                'aggregate_admin_weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('common-srlg', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Common SRLG between this hop and the protected
                interface
                ''',
                'common_srlg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('from-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local IP address
                ''',
                'from_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('to-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote IP address
                ''',
                'to_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'weighted-srlg-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup.WeightedSrlgInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup.WeightedSrlgInfo',
            False, 
            [
            _MetaInfoClassMember('protected-interface-srlg', REFERENCE_LIST, 'ProtectedInterfaceSrlg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup.WeightedSrlgInfo.ProtectedInterfaceSrlg', 
                [], [], 
                '''                SRLG values and admin weight penalties of the
                protected interface
                ''',
                'protected_interface_srlg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('weighted-srlg-hop', REFERENCE_LIST, 'WeightedSrlgHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup.WeightedSrlgInfo.WeightedSrlgHop', 
                [], [], 
                '''                Autobackup hops and the common SRLG with the
                protected interface
                ''',
                'weighted_srlg_hop',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'weighted-srlg-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup.Iep.IepHop' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup.Iep.IepHop',
            False, 
            [
            _MetaInfoClassMember('hop-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hop Index
                ''',
                'hop_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('iep-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IEP Hop Address
                ''',
                'iep_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('iep-hop-type', REFERENCE_ENUM_CLASS, 'MplsTeIepHopEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeIepHopEnum', 
                [], [], 
                '''                IEP type
                ''',
                'iep_hop_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'iep-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup.Iep' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup.Iep',
            False, 
            [
            _MetaInfoClassMember('iep-hop', REFERENCE_LIST, 'IepHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup.Iep.IepHop', 
                [], [], 
                '''                IEP Hop List
                ''',
                'iep_hop',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option ID this IEP is associated with
                ''',
                'path_option_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'iep',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup',
            False, 
            [
            _MetaInfoClassMember('ab-protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface
                ''',
                'ab_protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ab-protection-type', REFERENCE_ENUM_CLASS, 'AutoBackupProtectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'AutoBackupProtectionEnum', 
                [], [], 
                '''                Protection type
                ''',
                'ab_protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('iep', REFERENCE_LIST, 'Iep' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup.Iep', 
                [], [], 
                '''                List of IEPs for the path options on this tunnel
                ''',
                'iep',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-unused-removal-timer-running', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if the unused removal timer is running
                ''',
                'is_unused_removal_timer_running',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-using-srlg', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether SRLG Path Option is in use
                ''',
                'is_using_srlg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Protected Address
                ''',
                'protected_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number Of Protected LSPs
                ''',
                'protected_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Protected S2Ls
                ''',
                'protected_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sharing-families', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of S2L Sharing Families
                ''',
                'sharing_families',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-prot-type', REFERENCE_ENUM_CLASS, 'AutoBackupSrlgModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'AutoBackupSrlgModeEnum', 
                [], [], 
                '''                SRLG Protection Type
                ''',
                'srlg_prot_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AttributeSet name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unused-removal-remaining-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time Remaining in Unused Removal Time in seconds
                ''',
                'unused_removal_remaining_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('weighted-srlg-info', REFERENCE_CLASS, 'WeightedSrlgInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup.WeightedSrlgInfo', 
                [], [], 
                '''                Weighted SRLG info for the autobackup tunnel
                ''',
                'weighted_srlg_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'auto-backup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoMesh' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoMesh',
            False, 
            [
            _MetaInfoClassMember('is-tunnel-unused-timer-running', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether unused timer running
                ''',
                'is_tunnel_unused_timer_running',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Auto-mesh tunnel Mesh Group ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-type', REFERENCE_ENUM_CLASS, 'TeMeshgroupEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeMeshgroupEnum', 
                [], [], 
                '''                Auto-tunnel mesh group type
                ''',
                'mesh_group_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remaining-unused-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remaining time for unused timer in seconds
                ''',
                'remaining_unused_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-destination-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Destination List name
                ''',
                'tunnel_destination_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'auto-mesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoPcc' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoPcc',
            False, 
            [
            _MetaInfoClassMember('creator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address of creating node
                ''',
                'creator_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('creator-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ID of creating node
                ''',
                'creator_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-creator-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if the ID of the creating node is set
                ''',
                'has_creator_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('operationally-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Operationally up
                ''',
                'operationally_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('owner-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address of owner node
                ''',
                'owner_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('plspid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PLSP ID
                ''',
                'plspid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('symbolic-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Symbolic name
                ''',
                'symbolic_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'auto-pcc',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.PceDelegation' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.PceDelegation',
            False, 
            [
            _MetaInfoClassMember('operationally-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Operationally up
                ''',
                'operationally_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('owner-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address of owner node
                ''',
                'owner_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('plsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PLSP ID
                ''',
                'plsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('symbolic-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Symbolic name
                ''',
                'symbolic_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'pce-delegation',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.SoftPreemption.SoftPreemptionCounters' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.SoftPreemption.SoftPreemptionCounters',
            False, 
            [
            _MetaInfoClassMember('frr-triggered-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of soft preempted LSPs that were fast
                rerouted at the             headend or any
                remote node before the reoptimization is done.
                ''',
                'frr_triggered_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-protection-switchover-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of soft preempted LSPs that were
                switched over to a             standby LSP.
                ''',
                'path_protection_switchover_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reopt-completed-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of soft preempted LSPs that were torn
                down by the ingress router after the reopt LSP
                was successfully setup.
                ''',
                'reopt_completed_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of soft preemption events
                ''',
                'soft_preemption_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-in-preemption-pending-avg', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The average time in seconds that an LSP was in
                preemption pending state
                ''',
                'time_in_preemption_pending_avg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-in-preemption-pending-max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The maximum time in seconds that an LSP was in
                preemption pending state
                ''',
                'time_in_preemption_pending_max',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-in-preemption-pending-min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The minimum time in seconds that an LSP was in
                preemption pending state
                ''',
                'time_in_preemption_pending_min',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('torn-down-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of soft preempted LSPs that were torn
                down by the              headend or any remote
                node before the reoptimization is done.
                ''',
                'torn_down_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'soft-preemption-counters',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.SoftPreemption.SoftPreemptionPathError' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.SoftPreemption.SoftPreemptionPathError',
            False, 
            [
            _MetaInfoClassMember('preempting-link-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The address of the link where the preemption
                happened
                ''',
                'preempting_link_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The POSIX timestamp when the soft preemption
                error is received
                ''',
                'timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'soft-preemption-path-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.SoftPreemption' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.SoftPreemption',
            False, 
            [
            _MetaInfoClassMember('preemption-pending-resolution', REFERENCE_ENUM_CLASS, 'MplsTeSoftPreemptionResolutionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeSoftPreemptionResolutionEnum', 
                [], [], 
                '''                Indicates how the soft preemption operation
                ended
                ''',
                'preemption_pending_resolution',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-counters', REFERENCE_CLASS, 'SoftPreemptionCounters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.SoftPreemption.SoftPreemptionCounters', 
                [], [], 
                '''                The soft preemption counters for this tunnel
                head
                ''',
                'soft_preemption_counters',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-path-error', REFERENCE_LIST, 'SoftPreemptionPathError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.SoftPreemption.SoftPreemptionPathError', 
                [], [], 
                '''                The array of soft preemption path errors info
                received for the LSP that is being soft
                preempted
                ''',
                'soft_preemption_path_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'MplsTeSoftPreemptionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeSoftPreemptionStateEnum', 
                [], [], 
                '''                The preemption state
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-in-preemption-pending', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The number of seconds that were spent in the
                preemption-pending state
                ''',
                'time_in_preemption_pending',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'soft-preemption',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.WdmUnitunnel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.WdmUnitunnel',
            False, 
            [
            _MetaInfoClassMember('controlled-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface being controlled
                ''',
                'controlled_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel-id
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-origin', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelOriginEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelOriginEnum', 
                [], [], 
                '''                Label origin
                ''',
                'label_origin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-optical-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local optical router id
                ''',
                'local_optical_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-optical-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote optical router id
                ''',
                'remote_optical_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source address
                ''',
                'source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-discovery', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SRLG-discovery enabled
                ''',
                'srlg_discovery',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-role', REFERENCE_ENUM_CLASS, 'MplsTeTunnelRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelRoleEnum', 
                [], [], 
                '''                Tunnel Role
                ''',
                'tunnel_role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-state', REFERENCE_ENUM_CLASS, 'MplsTeTunnelStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelStateEnum', 
                [], [], 
                '''                Tunnel state
                ''',
                'tunnel_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm-unitunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexCbr' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexCbr',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tolerance
                ''',
                'tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-cbr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexGfpFRes' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexGfpFRes',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-gfp-f-res',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexGfpFNonRes' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexGfpFNonRes',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-gfp-f-non-res',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn.BandwidthCfg' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn.BandwidthCfg',
            False, 
            [
            _MetaInfoClassMember('odu-flex-cbr', REFERENCE_CLASS, 'OduFlexCbr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexCbr', 
                [], [], 
                '''                Odu flex CBR info
                ''',
                'odu_flex_cbr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-flex-gfp-f-non-res', REFERENCE_CLASS, 'OduFlexGfpFNonRes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexGfpFNonRes', 
                [], [], 
                '''                Odu flex GFP-F non-resizable info
                ''',
                'odu_flex_gfp_f_non_res',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-flex-gfp-f-res', REFERENCE_CLASS, 'OduFlexGfpFRes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexGfpFRes', 
                [], [], 
                '''                Odu flex GFP-F resizable info
                ''',
                'odu_flex_gfp_f_res',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-level', REFERENCE_ENUM_CLASS, 'TeOduLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeOduLevelEnum', 
                [], [], 
                '''                ODULevel
                ''',
                'odu_level',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bandwidth-cfg',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn',
            False, 
            [
            _MetaInfoClassMember('bandwidth-cfg', REFERENCE_CLASS, 'BandwidthCfg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn.BandwidthCfg', 
                [], [], 
                '''                Configured OTN Bandwidth for tunnel
                ''',
                'bandwidth_cfg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.StaticUni' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.StaticUni',
            False, 
            [
            _MetaInfoClassMember('client-if-handle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Ingress Client Port Ifhandle
                ''',
                'client_if_handle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('client-odu-if-handle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Client Odu Interface
                ''',
                'client_odu_if_handle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('client-odu-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Client Odu Name
                ''',
                'client_odu_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('client-port', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ingress Client Port
                ''',
                'client_port',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cross-connect-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cross connect id
                ''',
                'cross_connect_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if client port is connected
                ''',
                'is_connected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-termination', REFERENCE_ENUM_CLASS, 'MplsTeTerminationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTerminationEnum', 
                [], [], 
                '''                Local Termination Type
                ''',
                'local_termination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('static-uni-type', REFERENCE_ENUM_CLASS, 'MplsTeUniEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeUniEnum', 
                [], [], 
                '''                Static uni type
                ''',
                'static_uni_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('term-client-if-handle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Termination Ingress Client Port Ifhandle
                ''',
                'term_client_if_handle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('term-client-port', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Termination Ingress Client Port
                ''',
                'term_client_port',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Client Port Uptime
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'static-uni',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.EgressPort.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.EgressPort.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.EgressPort.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.EgressPort.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.EgressPort.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.EgressPort' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.EgressPort',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.EgressPort.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'egress-port',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.TermEgressPort.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.TermEgressPort.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.TermEgressPort.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.TermEgressPort.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.TermEgressPort.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.TermEgressPort' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.TermEgressPort',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.TermEgressPort.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'term-egress-port',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni',
            False, 
            [
            _MetaInfoClassMember('egress-port', REFERENCE_CLASS, 'EgressPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.EgressPort', 
                [], [], 
                '''                Egress Client Port of Tunnel
                ''',
                'egress_port',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-termination', REFERENCE_ENUM_CLASS, 'MplsTeTerminationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTerminationEnum', 
                [], [], 
                '''                Local Termination Type
                ''',
                'local_termination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-uni-type', REFERENCE_ENUM_CLASS, 'MplsTeUniEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeUniEnum', 
                [], [], 
                '''                Remote uni type
                ''',
                'remote_uni_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('term-egress-port', REFERENCE_CLASS, 'TermEgressPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.TermEgressPort', 
                [], [], 
                '''                Termination Egress Client Port of Tunnel
                ''',
                'term_egress_port',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'egress-static-uni',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.HomepathEro.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.HomepathEro.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.HomepathEro.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.HomepathEro.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.HomepathEro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.HomepathEro',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.HomepathEro.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.HomepathEro.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'homepath-ero',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.DiversityInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.DiversityInfo',
            False, 
            [
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Dependent Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'diversity-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo',
            False, 
            [
            _MetaInfoClassMember('diversity-info', REFERENCE_LIST, 'DiversityInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.DiversityInfo', 
                [], [], 
                '''                Diversity Info
                ''',
                'diversity_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-static-uni', REFERENCE_CLASS, 'EgressStaticUni' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni', 
                [], [], 
                '''                Tunnel EgressStatic UNI Info
                ''',
                'egress_static_uni',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('homepath-ero', REFERENCE_LIST, 'HomepathEro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.HomepathEro', 
                [], [], 
                '''                Homepath ero for working lsp
                ''',
                'homepath_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn', 
                [], [], 
                '''                Info Related to OTN technology in S2L
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('static-uni', REFERENCE_CLASS, 'StaticUni' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.StaticUni', 
                [], [], 
                '''                Tunnel Static UNI Info
                ''',
                'static_uni',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status-homepath-working', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Status of working homepath
                ''',
                'status_homepath_working',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'transport-tunnel-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.BfdInfo.EventCounters' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.BfdInfo.EventCounters',
            False, 
            [
            _MetaInfoClassMember('session-admin-down-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLSP session admin down
                events
                ''',
                'session_admin_down_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-create-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLSP session create events
                ''',
                'session_create_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-create-timeout-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLSP session create timeout
                events
                ''',
                'session_create_timeout_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-creation-failed-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLSP session creation failed
                events
                ''',
                'session_creation_failed_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-down-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLSP session down events
                ''',
                'session_down_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-gracefully-delete-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLSP session gracefully
                delete events
                ''',
                'session_gracefully_delete_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-non-gracefully-delete-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLSP session non gracefully
                delete events
                ''',
                'session_non_gracefully_delete_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-replay-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLSP session replay events
                ''',
                'session_replay_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-up-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLSP session up events
                ''',
                'session_up_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'event-counters',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.BfdInfo.DampeningInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.BfdInfo.DampeningInfo',
            False, 
            [
            _MetaInfoClassMember('backoff-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backoff count
                ''',
                'backoff_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-down-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold down time in second
                ''',
                'hold_down_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index
                ''',
                'option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remained-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remained time to resignal in second
                ''',
                'remained_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'dampening-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.BfdInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.BfdInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-session-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel BFD session state up or down
                ''',
                'bfd_session_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dampening-info', REFERENCE_LIST, 'DampeningInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.BfdInfo.DampeningInfo', 
                [], [], 
                '''                Path option dampening info
                ''',
                'dampening_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('event-counters', REFERENCE_CLASS, 'EventCounters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.BfdInfo.EventCounters', 
                [], [], 
                '''                Per tunnel BFD session event counters
                ''',
                'event_counters',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('failure-diagnostic-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD session failure diagnostic code
                ''',
                'failure_diagnostic_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('failure-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                BFD session failure reason
                ''',
                'failure_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-session-up-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum time in mini second for session to come
                up
                ''',
                'maximum_session_up_interval',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('minimum-session-up-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Minimum time in mini second for session to come
                up
                ''',
                'minimum_session_up_interval',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-up-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last session state up
                ''',
                'session_up_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir.Aps.ProtectionProfile.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir.Aps.ProtectionProfile.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir.Aps.ProtectionProfile' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir.Aps.ProtectionProfile',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir.Aps.ProtectionProfile.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protection-profile',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir.Aps' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir.Aps',
            False, 
            [
            _MetaInfoClassMember('active-lsp', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                Active LSP for Incoming Data
                ''',
                'active_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('diversity-type', REFERENCE_ENUM_CLASS, 'TePpDiversityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePpDiversityEnum', 
                [], [], 
                '''                Standby path diversity type
                ''',
                'diversity_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-profile', REFERENCE_CLASS, 'ProtectionProfile' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir.Aps.ProtectionProfile', 
                [], [], 
                '''                Protection Profile Information of tunnel
                ''',
                'protection_profile',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'aps',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir.Restoration' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir.Restoration',
            False, 
            [
            _MetaInfoClassMember('diverse-lsp', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP from which restoration LSP is DIVERSED
                ''',
                'diverse_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('diversity-type', REFERENCE_ENUM_CLASS, 'TePpDiversityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePpDiversityEnum', 
                [], [], 
                '''                Restoration path diversity type
                ''',
                'diversity_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-option', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Revertive or non-revertive
                ''',
                'revert_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'restoration',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir',
            False, 
            [
            _MetaInfoClassMember('aps', REFERENCE_CLASS, 'Aps' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir.Aps', 
                [], [], 
                '''                APS Protection Info
                ''',
                'aps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration', REFERENCE_CLASS, 'Restoration' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir.Restoration', 
                [], [], 
                '''                Restoration Info
                ''',
                'restoration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn-bidir',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorCurrent.PathCalculationError' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorCurrent.PathCalculationError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-calculation-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorCurrent' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorCurrent',
            False, 
            [
            _MetaInfoClassMember('ero-reject-reason', REFERENCE_ENUM_CLASS, 'TeRevEroRejectReasonsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRevEroRejectReasonsEnum', 
                [], [], 
                '''                Reverse ERO Reject Reason
                ''',
                'ero_reject_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-calculation-error', REFERENCE_LIST, 'PathCalculationError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorCurrent.PathCalculationError', 
                [], [], 
                '''                Path Computation Information
                ''',
                'path_calculation_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path Option Index
                ''',
                'path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-type', REFERENCE_ENUM_CLASS, 'MtePathOptionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MtePathOptionEnum', 
                [], [], 
                '''                Path Option Type
                ''',
                'path_option_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-affinity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to affinity
                ''',
                'path_reject_reason_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to bw
                ''',
                'path_reject_reason_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-exclude-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to exclude link
                ''',
                'path_reject_reason_exclude_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-exclude-node', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to exclude node
                ''',
                'path_reject_reason_exclude_node',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-exclude-srlg', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to exclude SRLG
                ''',
                'path_reject_reason_exclude_srlg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-holddown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to holddown
                ''',
                'path_reject_reason_holddown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-hop-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to hop limit
                ''',
                'path_reject_reason_hop_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-ip-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to IP address
                ''',
                'path_reject_reason_ip_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-ixcd', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to IXCD
                ''',
                'path_reject_reason_ixcd',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-ol-head', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to head node overload
                ''',
                'path_reject_reason_node_ol_head',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-ol-mid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to mid node overload
                ''',
                'path_reject_reason_node_ol_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-ol-tail', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to head node overload
                ''',
                'path_reject_reason_node_ol_tail',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-ol-unknown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to unknown node overload
                ''',
                'path_reject_reason_node_ol_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-unreachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to unreachable node
                ''',
                'path_reject_reason_node_unreachable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-reverse-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to reverse bw
                ''',
                'path_reject_reason_reverse_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-reverse-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to reverse link
                ''',
                'path_reject_reason_reverse_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Reverse LSP ID
                ''',
                'reverse_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-ero-error-current',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorReopt.PathCalculationError' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorReopt.PathCalculationError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-calculation-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorReopt' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorReopt',
            False, 
            [
            _MetaInfoClassMember('ero-reject-reason', REFERENCE_ENUM_CLASS, 'TeRevEroRejectReasonsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRevEroRejectReasonsEnum', 
                [], [], 
                '''                Reverse ERO Reject Reason
                ''',
                'ero_reject_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-calculation-error', REFERENCE_LIST, 'PathCalculationError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorReopt.PathCalculationError', 
                [], [], 
                '''                Path Computation Information
                ''',
                'path_calculation_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path Option Index
                ''',
                'path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-type', REFERENCE_ENUM_CLASS, 'MtePathOptionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MtePathOptionEnum', 
                [], [], 
                '''                Path Option Type
                ''',
                'path_option_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-affinity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to affinity
                ''',
                'path_reject_reason_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to bw
                ''',
                'path_reject_reason_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-exclude-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to exclude link
                ''',
                'path_reject_reason_exclude_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-exclude-node', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to exclude node
                ''',
                'path_reject_reason_exclude_node',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-exclude-srlg', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to exclude SRLG
                ''',
                'path_reject_reason_exclude_srlg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-holddown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to holddown
                ''',
                'path_reject_reason_holddown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-hop-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to hop limit
                ''',
                'path_reject_reason_hop_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-ip-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to IP address
                ''',
                'path_reject_reason_ip_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-ixcd', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to IXCD
                ''',
                'path_reject_reason_ixcd',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-ol-head', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to head node overload
                ''',
                'path_reject_reason_node_ol_head',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-ol-mid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to mid node overload
                ''',
                'path_reject_reason_node_ol_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-ol-tail', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to head node overload
                ''',
                'path_reject_reason_node_ol_tail',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-ol-unknown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to unknown node overload
                ''',
                'path_reject_reason_node_ol_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-unreachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to unreachable node
                ''',
                'path_reject_reason_node_unreachable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-reverse-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to reverse bw
                ''',
                'path_reject_reason_reverse_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-reverse-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to reverse link
                ''',
                'path_reject_reason_reverse_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Reverse LSP ID
                ''',
                'reverse_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-ero-error-reopt',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorStandby.PathCalculationError' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorStandby.PathCalculationError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-calculation-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorStandby' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorStandby',
            False, 
            [
            _MetaInfoClassMember('ero-reject-reason', REFERENCE_ENUM_CLASS, 'TeRevEroRejectReasonsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRevEroRejectReasonsEnum', 
                [], [], 
                '''                Reverse ERO Reject Reason
                ''',
                'ero_reject_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-calculation-error', REFERENCE_LIST, 'PathCalculationError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorStandby.PathCalculationError', 
                [], [], 
                '''                Path Computation Information
                ''',
                'path_calculation_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path Option Index
                ''',
                'path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-type', REFERENCE_ENUM_CLASS, 'MtePathOptionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MtePathOptionEnum', 
                [], [], 
                '''                Path Option Type
                ''',
                'path_option_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-affinity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to affinity
                ''',
                'path_reject_reason_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to bw
                ''',
                'path_reject_reason_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-exclude-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to exclude link
                ''',
                'path_reject_reason_exclude_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-exclude-node', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to exclude node
                ''',
                'path_reject_reason_exclude_node',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-exclude-srlg', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to exclude SRLG
                ''',
                'path_reject_reason_exclude_srlg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-holddown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to holddown
                ''',
                'path_reject_reason_holddown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-hop-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to hop limit
                ''',
                'path_reject_reason_hop_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-ip-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to IP address
                ''',
                'path_reject_reason_ip_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-ixcd', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to IXCD
                ''',
                'path_reject_reason_ixcd',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-ol-head', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to head node overload
                ''',
                'path_reject_reason_node_ol_head',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-ol-mid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to mid node overload
                ''',
                'path_reject_reason_node_ol_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-ol-tail', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to head node overload
                ''',
                'path_reject_reason_node_ol_tail',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-ol-unknown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to unknown node overload
                ''',
                'path_reject_reason_node_ol_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-unreachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to unreachable node
                ''',
                'path_reject_reason_node_unreachable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-reverse-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to reverse bw
                ''',
                'path_reject_reason_reverse_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-reverse-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to reverse link
                ''',
                'path_reject_reason_reverse_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Reverse LSP ID
                ''',
                'reverse_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-ero-error-standby',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorStandbyReopt.PathCalculationError' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorStandbyReopt.PathCalculationError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-calculation-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorStandbyReopt' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorStandbyReopt',
            False, 
            [
            _MetaInfoClassMember('ero-reject-reason', REFERENCE_ENUM_CLASS, 'TeRevEroRejectReasonsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRevEroRejectReasonsEnum', 
                [], [], 
                '''                Reverse ERO Reject Reason
                ''',
                'ero_reject_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-calculation-error', REFERENCE_LIST, 'PathCalculationError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorStandbyReopt.PathCalculationError', 
                [], [], 
                '''                Path Computation Information
                ''',
                'path_calculation_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path Option Index
                ''',
                'path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-type', REFERENCE_ENUM_CLASS, 'MtePathOptionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MtePathOptionEnum', 
                [], [], 
                '''                Path Option Type
                ''',
                'path_option_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-affinity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to affinity
                ''',
                'path_reject_reason_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to bw
                ''',
                'path_reject_reason_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-exclude-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to exclude link
                ''',
                'path_reject_reason_exclude_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-exclude-node', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to exclude node
                ''',
                'path_reject_reason_exclude_node',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-exclude-srlg', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to exclude SRLG
                ''',
                'path_reject_reason_exclude_srlg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-holddown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to holddown
                ''',
                'path_reject_reason_holddown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-hop-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to hop limit
                ''',
                'path_reject_reason_hop_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-ip-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to IP address
                ''',
                'path_reject_reason_ip_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-ixcd', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to IXCD
                ''',
                'path_reject_reason_ixcd',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-ol-head', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to head node overload
                ''',
                'path_reject_reason_node_ol_head',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-ol-mid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to mid node overload
                ''',
                'path_reject_reason_node_ol_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-ol-tail', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to head node overload
                ''',
                'path_reject_reason_node_ol_tail',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-ol-unknown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to unknown node overload
                ''',
                'path_reject_reason_node_ol_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-unreachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to unreachable node
                ''',
                'path_reject_reason_node_unreachable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-reverse-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to reverse bw
                ''',
                'path_reject_reason_reverse_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-reverse-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to reverse link
                ''',
                'path_reject_reason_reverse_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Reverse LSP ID
                ''',
                'reverse_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-ero-error-standby-reopt',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir',
            False, 
            [
            _MetaInfoClassMember('reverse-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reverse Bandwidth value in kbps
                ''',
                'reverse_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-bandwidth-standby', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reverse Bandwidth value for standby in kbps
                ''',
                'reverse_bandwidth_standby',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-ero-error-current', REFERENCE_CLASS, 'ReverseEroErrorCurrent' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorCurrent', 
                [], [], 
                '''                Reverse ERO Error Current LSP
                ''',
                'reverse_ero_error_current',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-ero-error-reopt', REFERENCE_CLASS, 'ReverseEroErrorReopt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorReopt', 
                [], [], 
                '''                Reverse ERO Error Reopt LSP
                ''',
                'reverse_ero_error_reopt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-ero-error-standby', REFERENCE_CLASS, 'ReverseEroErrorStandby' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorStandby', 
                [], [], 
                '''                Reverse ERO Error Standby LSP
                ''',
                'reverse_ero_error_standby',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-ero-error-standby-reopt', REFERENCE_CLASS, 'ReverseEroErrorStandbyReopt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorStandbyReopt', 
                [], [], 
                '''                Reverse ERO Error Standby Reopt LSP
                ''',
                'reverse_ero_error_standby_reopt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bidir',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TeTunnelConvergence.ConvergenceLsp' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TeTunnelConvergence.ConvergenceLsp',
            False, 
            [
            _MetaInfoClassMember('creation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tunnel creation timestamp (clocktime in nsecs)
                ''',
                'creation_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rewrite', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP Label rewrite timestamp (clocktime in nsecs)
                ''',
                'label_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Path-in timestamp (clocktime in nsecs)
                ''',
                'path_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Path-in timestamp (clocktime in nsecs)
                ''',
                'path_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Resv-in timestamp (clocktime in nsecs)
                ''',
                'resv_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Resv-out timestamp (clocktime in nsecs)
                ''',
                'resv_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-rewrite', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tunnel rewrite timestamp (clocktime in nsecs)
                ''',
                'tunnel_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'convergence-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TeTunnelConvergence' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TeTunnelConvergence',
            False, 
            [
            _MetaInfoClassMember('binding-label-rewrite-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Binding label timestamp (clocktime in nsecs)
                ''',
                'binding_label_rewrite_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('convergence-complete-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TE convergence completion time
                ''',
                'convergence_complete_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('convergence-lsp', REFERENCE_CLASS, 'ConvergenceLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TeTunnelConvergence.ConvergenceLsp', 
                [], [], 
                '''                TE LSP convergence related information
                ''',
                'convergence_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-trigger-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                FRR trigger time
                ''',
                'frr_trigger_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-convergence-in-progress', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TE convergence in progress
                ''',
                'is_convergence_in_progress',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcalc-complete-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Path computation completion timestamp (clocktime
                in nsecs)
                ''',
                'pcalc_complete_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('vif-creation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Vif creation timestamp (clocktime in nsecs)
                ''',
                'vif_creation_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-tunnel-convergence',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.FlexInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.FlexInfo',
            False, 
            [
            _MetaInfoClassMember('fault-ais', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault AIS
                ''',
                'fault_ais',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-in-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Fault In Label
                ''',
                'fault_in_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ldi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LDI
                ''',
                'fault_ldi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ldi-lockout', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LDI Lockout
                ''',
                'fault_ldi_lockout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-lkr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LKR
                ''',
                'fault_lkr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Fault Time
                ''',
                'fault_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-lockout', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Lockout Status
                ''',
                'is_lockout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lockout-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The LSP ID of the locked out LSP
                ''',
                'lockout_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lockout-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The timestamp when the lockout is set
                ''',
                'lockout_timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('origination', REFERENCE_ENUM_CLASS, 'FlexLspLockoutOriginationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'FlexLspLockoutOriginationEnum', 
                [], [], 
                '''                Flex LSP Lockout Origination Source
                ''',
                'origination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.InterAreaReoptimization' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.InterAreaReoptimization',
            False, 
            [
            _MetaInfoClassMember('preferred-path-error-node', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address of the preferred path error generating
                node
                ''',
                'preferred_path_error_node',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('preferred-tree-error-node', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address of the preferred tree error generating
                node
                ''',
                'preferred_tree_error_node',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('received-preferred-path-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of received Preferred Path Exists Error
                ''',
                'received_preferred_path_errors',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('received-preferred-tree-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of received Preferred Tree Exists Error
                ''',
                'received_preferred_tree_errors',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sent-path-queries', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of better path queries sent
                ''',
                'sent_path_queries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-preferred-path-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Preferred Path Exists error
                received (seconds)
                ''',
                'time_since_last_preferred_path_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-preferred-tree-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Preferred Tree Exists error
                received (seconds)
                ''',
                'time_since_last_preferred_tree_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-query-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last better path query was sent
                (seconds)
                ''',
                'time_since_last_query_sent',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'inter-area-reoptimization',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.PathCalculationError' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.PathCalculationError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-calculation-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.RemergeError' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.RemergeError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'remerge-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.SignallingError' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.SignallingError',
            False, 
            [
            _MetaInfoClassMember('error', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Path Error code
                ''',
                'error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Source address of the error generating node
                ''',
                'error_node',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSPMode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if error is on the reverse LSP
                ''',
                'reverse_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP-id for which the error was received
                ''',
                'signalling_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path Error subcode
                ''',
                'sub_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalling-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry',
            False, 
            [
            _MetaInfoClassMember('attribute-set', REFERENCE_CLASS, 'AttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet', 
                [], [], 
                '''                The path option attribute set used by this path
                ''',
                'attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-found', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has found the defined attribute
                set
                ''',
                'attribute_set_found',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Explicit Path ID, this is the key to table
                ExplicitPaths.IdentifierTable
                ''',
                'explicit_path_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Explicit Path Name, this is the key to table
                ExplicitPaths.NameTable
                ''',
                'explicit_path_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has an attribute set defined
                ''',
                'has_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-xro-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has an XRO attribute set
                configured
                ''',
                'has_xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('holddown-duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Holddown Duration (seconds)
                ''',
                'holddown_duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path option is disabled
                ''',
                'is_disabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-helddown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if path is helddown
                ''',
                'is_helddown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-lockdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is locked down
                ''',
                'is_lockdown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-segment-routing', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is Segment-Routing
                ''',
                'is_segment_routing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-explicit-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if explicit path is strict
                ''',
                'is_strict_explicit_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-verbatim', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is verbatim
                ''',
                'is_verbatim',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index
                ''',
                'option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index-is-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The path option index is valid
                ''',
                'option_index_is_valid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-calculation-error', REFERENCE_LIST, 'PathCalculationError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.PathCalculationError', 
                [], [], 
                '''                Path computation information
                ''',
                'path_calculation_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The path-option area constraint
                ''',
                'path_option_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path option name
                ''',
                'path_option_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-type', REFERENCE_ENUM_CLASS, 'MplsTePathoptionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTePathoptionEnum', 
                [], [], 
                '''                Path option type
                ''',
                'path_option_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                PCE server address
                ''',
                'pce_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-by-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for Protect path options
                ''',
                'protected_by_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remerge-error', REFERENCE_LIST, 'RemergeError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.RemergeError', 
                [], [], 
                '''                Path computation remerge resolve info
                ''',
                'remerge_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restored-from-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for Restore path options
                ''',
                'restored_from_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-error', REFERENCE_LIST, 'SignallingError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.SignallingError', 
                [], [], 
                '''                Signalling information
                ''',
                'signalling_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set', REFERENCE_CLASS, 'XroAttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet', 
                [], [], 
                '''                The XRO attribute set used by this path-option
                ''',
                'xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set-found', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path's XRO attribute set is known
                ''',
                'xro_attribute_set_found',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-option-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.PathCalculationError' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.PathCalculationError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-calculation-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.RemergeError' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.RemergeError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'remerge-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.SignallingError' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.SignallingError',
            False, 
            [
            _MetaInfoClassMember('error', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Path Error code
                ''',
                'error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Source address of the error generating node
                ''',
                'error_node',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSPMode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if error is on the reverse LSP
                ''',
                'reverse_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP-id for which the error was received
                ''',
                'signalling_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path Error subcode
                ''',
                'sub_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalling-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption',
            False, 
            [
            _MetaInfoClassMember('attribute-set', REFERENCE_CLASS, 'AttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet', 
                [], [], 
                '''                The path option attribute set used by this path
                ''',
                'attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-found', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has found the defined attribute
                set
                ''',
                'attribute_set_found',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Explicit Path ID, this is the key to table
                ExplicitPaths.IdentifierTable
                ''',
                'explicit_path_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Explicit Path Name, this is the key to table
                ExplicitPaths.NameTable
                ''',
                'explicit_path_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has an attribute set defined
                ''',
                'has_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-xro-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has an XRO attribute set
                configured
                ''',
                'has_xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('holddown-duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Holddown Duration (seconds)
                ''',
                'holddown_duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path option is disabled
                ''',
                'is_disabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-helddown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if path is helddown
                ''',
                'is_helddown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-lockdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is locked down
                ''',
                'is_lockdown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-segment-routing', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is Segment-Routing
                ''',
                'is_segment_routing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-explicit-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if explicit path is strict
                ''',
                'is_strict_explicit_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-verbatim', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is verbatim
                ''',
                'is_verbatim',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index
                ''',
                'option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index-is-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The path option index is valid
                ''',
                'option_index_is_valid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-calculation-error', REFERENCE_LIST, 'PathCalculationError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.PathCalculationError', 
                [], [], 
                '''                Path computation information
                ''',
                'path_calculation_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The path-option area constraint
                ''',
                'path_option_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path option name
                ''',
                'path_option_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-type', REFERENCE_ENUM_CLASS, 'MplsTePathoptionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTePathoptionEnum', 
                [], [], 
                '''                Path option type
                ''',
                'path_option_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                PCE server address
                ''',
                'pce_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-by-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for Protect path options
                ''',
                'protected_by_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remerge-error', REFERENCE_LIST, 'RemergeError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.RemergeError', 
                [], [], 
                '''                Path computation remerge resolve info
                ''',
                'remerge_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restored-from-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for Restore path options
                ''',
                'restored_from_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-error', REFERENCE_LIST, 'SignallingError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.SignallingError', 
                [], [], 
                '''                Signalling information
                ''',
                'signalling_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set', REFERENCE_CLASS, 'XroAttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet', 
                [], [], 
                '''                The XRO attribute set used by this path-option
                ''',
                'xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set-found', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path's XRO attribute set is known
                ''',
                'xro_attribute_set_found',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination',
            False, 
            [
            _MetaInfoClassMember('active-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index of active path option
                ''',
                'active_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-deletion-cause', REFERENCE_ENUM_CLASS, 'TeP2MpS2LDeletionCauseEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeP2MpS2LDeletionCauseEnum', 
                [], [], 
                '''                Destination deletion cause
                ''',
                'destination_deletion_cause',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-deletion-sub-cause', REFERENCE_ENUM_CLASS, 'TeP2MpS2LDeletionSubcauseEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeP2MpS2LDeletionSubcauseEnum', 
                [], [], 
                '''                Destination deletion subcause
                ''',
                'destination_deletion_sub_cause',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-deletion-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Destination deletion timestamp in seconds
                ''',
                'destination_deletion_timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-state', REFERENCE_ENUM_CLASS, 'TeDestinationStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeDestinationStateEnum', 
                [], [], 
                '''                The state of the destination
                ''',
                'destination_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('inter-area-reoptimization', REFERENCE_CLASS, 'InterAreaReoptimization' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.InterAreaReoptimization', 
                [], [], 
                '''                The timing and count information of interarea
                reoptimization.
                ''',
                'inter_area_reoptimization',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-inter-area', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether this destination is in
                different area
                ''',
                'is_inter_area',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-change-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last path change time
                ''',
                'path_change_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option', REFERENCE_LIST, 'PathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption', 
                [], [], 
                '''                Destination's list of path options
                ''',
                'path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-entry', REFERENCE_LIST, 'PathOptionEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry', 
                [], [], 
                '''                Deprecated; replaced by PathOption
                ''',
                'path_option_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-exhausted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path options are exhausted
                ''',
                'path_option_exhausted',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-exist', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dest state may not be up but S2L may exist
                ''',
                's2l_exist',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Unused
                ''',
                'total_uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the destination was up
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'destination',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination Address
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('admin-state', REFERENCE_ENUM_CLASS, 'MteTunnelAdminStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MteTunnelAdminStateEnum', 
                [], [], 
                '''                Administrative State
                ''',
                'admin_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-failure-delayed-tear-time-remained', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Affinity Failure LSP tear down time remaining
                ''',
                'affinity_failure_delayed_tear_time_remained',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-failure-reopt-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AffinityFailureReoptDisabled
                ''',
                'affinity_failure_reopt_disabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-failure-reopt-time-remained', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AffinityFailureReoptTimeRemained
                ''',
                'affinity_failure_reopt_time_remained',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Indicates the protocol and area used to find
                Outgoing ERO
                ''',
                'area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-backup', REFERENCE_CLASS, 'AutoBackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup', 
                [], [], 
                '''                Autobackup Information
                ''',
                'auto_backup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-mesh', REFERENCE_CLASS, 'AutoMesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoMesh', 
                [], [], 
                '''                Automesh Information
                ''',
                'auto_mesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-pcc', REFERENCE_CLASS, 'AutoPcc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoPcc', 
                [], [], 
                '''                Auto-PCC Information
                ''',
                'auto_pcc',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IGP Auto route announce enabled
                ''',
                'auto_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('autoroute-announce-exclude-segment-routing', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether this tunnel is autoroute
                announced with exclude segment-routing option
                ''',
                'autoroute_announce_exclude_segment_routing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-requested', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth Requested
                ''',
                'bandwidth_requested',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The requested bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-info', REFERENCE_CLASS, 'BfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.BfdInfo', 
                [], [], 
                '''                BFD session info. This is NULL if BFD is not
                configured
                ''',
                'bfd_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bidir', REFERENCE_CLASS, 'Bidir' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir', 
                [], [], 
                '''                Bidir info
                ''',
                'bidir',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding Label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('binding-label-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True, if binding label exists
                ''',
                'binding_label_exists',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cleaned-lsp', REFERENCE_CLASS, 'CleanedLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp', 
                [], [], 
                '''                Cleaned LSP
                ''',
                'cleaned_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('config', REFERENCE_CLASS, 'Config' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Config', 
                [], [], 
                '''                Configuration data
                ''',
                'config',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('create-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time at which the tunnel was created
                ''',
                'create_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('delay-clean-pp-lsp', REFERENCE_CLASS, 'DelayCleanPpLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp', 
                [], [], 
                '''                Delay Clean PP LSP
                ''',
                'delay_clean_pp_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination', REFERENCE_LIST, 'Destination' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination', 
                [], [], 
                '''                Destinations array
                ''',
                'destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-disabled-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of disabled destinations
                ''',
                'destination_disabled_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-down-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of down destinations
                ''',
                'destination_down_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-up-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of up destinations
                ''',
                'destination_up_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('drop-mode', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if tunnel is in drop mode
                ''',
                'drop_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Explicit-path inuse by the current LSP has been
                modified
                ''',
                'explicit_path_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fail-reason', REFERENCE_ENUM_CLASS, 'MplsMteTunnelFailReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsMteTunnelFailReasonEnum', 
                [], [], 
                '''                The reason why failure occurred
                ''',
                'fail_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex-info', REFERENCE_CLASS, 'FlexInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.FlexInfo', 
                [], [], 
                '''                Flex Info
                ''',
                'flex_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forwarding-adjacency', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IGP forwarding adjacency enabled
                ''',
                'forwarding_adjacency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('history', REFERENCE_CLASS, 'History' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History', 
                [], [], 
                '''                Tunnel history
                ''',
                'history',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop-limit-ignored-reason', REFERENCE_ENUM_CLASS, 'TeHopLimitIgnoreEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeHopLimitIgnoreEnum', 
                [], [], 
                '''                Hop-limit ignored reason
                ''',
                'hop_limit_ignored_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('invalidation-time-remained', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation time remaining
                ''',
                'invalidation_time_remained',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-auto-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether this is an automatically
                generated backup tunnel
                ''',
                'is_auto_backup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-auto-pcc', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether this is an automatic PCC
                tunnel
                ''',
                'is_auto_pcc',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-protect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BW Protection Enabled or Disabled
                ''',
                'is_bandwidth_protect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-hop-limit-ignore', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Hop-limit ignored
                ''',
                'is_hop_limit_ignore',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-inter-area-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether this tunnel spans multiple
                areas.
                ''',
                'is_inter_area_tunnel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True for tunnel head
                ''',
                'is_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-named', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether this tunnel is named
                ''',
                'is_named',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Enabled or Disabled
                ''',
                'is_node_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-passive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True for passive tunnel
                ''',
                'is_passive',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-delegated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether this tunnel is delegated to a
                PCE server or not
                ''',
                'is_pce_delegated',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-hop-ifindex', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Termination destination ifindex
                ''',
                'last_hop_ifindex',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-path-change', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last path change
                ''',
                'last_path_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share-factor', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The specified loadsharing for the tunnel
                ''',
                'load_share_factor',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share-type', REFERENCE_ENUM_CLASS, 'MplsTeLoadshareEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLoadshareEnum', 
                [], [], 
                '''                Loadsharing type
                ''',
                'load_share_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lsp-wrap label value
                ''',
                'lsp_wrap_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-protection-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Lsp-wrap Protection enabled
                ''',
                'lsp_wrap_protection_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('metric-qualifier', REFERENCE_ENUM_CLASS, 'MplsTeMetricQualifierEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricQualifierEnum', 
                [], [], 
                '''                Describe how the metric was specified: default,
                globally set, or per interface
                ''',
                'metric_qualifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                The path selection metric
                ''',
                'metric_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('operational-state', REFERENCE_ENUM_CLASS, 'MteTunnelOperStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MteTunnelOperStateEnum', 
                [], [], 
                '''                Operational State
                ''',
                'operational_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('operational-state-changes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Counters for operational state changes
                ''',
                'operational_state_changes',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn-bidir', REFERENCE_CLASS, 'OtnBidir' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir', 
                [], [], 
                '''                OTN bidir info
                ''',
                'otn_bidir',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outbound-frr-state', REFERENCE_ENUM_CLASS, 'MplsTeFrrStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeFrrStateEnum', 
                [], [], 
                '''                Indicates outbound FRR state
                ''',
                'outbound_frr_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-info', REFERENCE_CLASS, 'P2PInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.P2PInfo', 
                [], [], 
                '''                P2P specific info
                ''',
                'p2p_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('passive-tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Passive tunnel name
                ''',
                'passive_tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path-Option inuse by the current LSP has been
                modified
                ''',
                'path_option_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-protection', REFERENCE_CLASS, 'PathProtection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.PathProtection', 
                [], [], 
                '''                Path Protect Info
                ''',
                'path_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-delegation', REFERENCE_CLASS, 'PceDelegation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.PceDelegation', 
                [], [], 
                '''                PCE Delegation information
                ''',
                'pce_delegation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-fail-reason', REFERENCE_ENUM_CLASS, 'MplsTePceFailReasonsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTePceFailReasonsEnum', 
                [], [], 
                '''                Failure reason for PCE-based tunnels
                ''',
                'pce_fail_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('persistent-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Persistent forwarding statistics for number of
                bytes. Clear counters will not reset the counter
                ''',
                'persistent_bytes',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('persistent-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Persistent forwarding statistics for Number of
                packets. Clear counters will not reset the
                counter
                ''',
                'persistent_packets',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('re-opt-hold-down-timer-remaining', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup hold-down timer remaining time in seconds
                ''',
                're_opt_hold_down_timer_remaining',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimized-p2mp-lsp', REFERENCE_CLASS, 'ReoptimizedP2MpLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp', 
                [], [], 
                '''                Reopt LSP
                ''',
                'reoptimized_p2mp_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimized-standby-p2mp-lsp', REFERENCE_CLASS, 'ReoptimizedStandbyP2MpLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp', 
                [], [], 
                '''                Standby Reopt LSP
                ''',
                'reoptimized_standby_p2mp_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reroute-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ReroutePending
                ''',
                'reroute_pending',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('role-standby', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if Role is Standby, Active otherwise
                ''',
                'role_standby',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signaled-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signaled Name
                ''',
                'signaled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snmp-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SNMP index for interface
                ''',
                'snmp_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption', REFERENCE_CLASS, 'SoftPreemption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.SoftPreemption', 
                [], [], 
                '''                Tunnel head soft preemption info. This is NULL
                if soft preemption is not configured
                ''',
                'soft_preemption',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-tunnel-convergence', REFERENCE_CLASS, 'TeTunnelConvergence' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TeTunnelConvergence', 
                [], [], 
                '''                TE tunnel convergence related information
                ''',
                'te_tunnel_convergence',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tie-breaker', REFERENCE_ENUM_CLASS, 'TePathSelectionTiebreakerEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathSelectionTiebreakerEnum', 
                [], [], 
                '''                The path selection tiebreaker
                ''',
                'tie_breaker',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tiebreaker-qualifier', REFERENCE_ENUM_CLASS, 'MplsTeMetricQualifierEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricQualifierEnum', 
                [], [], 
                '''                Describes how the path selection tiebreaker was
                specified: default, globally set, or per
                interface
                ''',
                'tiebreaker_qualifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tiebreaker-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated - replaced by Tiebreaker
                ''',
                'tiebreaker_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('transport-tunnel-info', REFERENCE_CLASS, 'TransportTunnelInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo', 
                [], [], 
                '''                Transport tunnel data. Only exists for Transport
                tunnels
                ''',
                'transport_tunnel_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AttributeSet name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                AttributeSet type
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-current-lsp', REFERENCE_CLASS, 'TunnelCurrentLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp', 
                [], [], 
                '''                Current LSP
                ''',
                'tunnel_current_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface handle of the associated tunnel
                ''',
                'tunnel_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-recovering', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel recovering
                ''',
                'tunnel_recovering',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-restoration-lsp', REFERENCE_CLASS, 'TunnelRestorationLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp', 
                [], [], 
                '''                Restoration LSP
                ''',
                'tunnel_restoration_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-standby-lsp', REFERENCE_CLASS, 'TunnelStandbyLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp', 
                [], [], 
                '''                Standby LSP
                ''',
                'tunnel_standby_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the tunnel was up
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm-unitunnel', REFERENCE_CLASS, 'WdmUnitunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.WdmUnitunnel', 
                [], [], 
                '''                WDM-UNI tunnel data. Only exists for WDM-UNI
                tunnels
                ''',
                'wdm_unitunnel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set', REFERENCE_CLASS, 'XroAttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet', 
                [], [], 
                '''                XRO attribute-set
                ''',
                'xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configured XRO attribute-set name
                ''',
                'xro_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'nni-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.NniTunnels' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.NniTunnels',
            False, 
            [
            _MetaInfoClassMember('nni-tunnel', REFERENCE_LIST, 'NniTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel', 
                [], [], 
                '''                GMPLS-NNI tail tunnel
                ''',
                'nni_tunnel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'nni-tunnels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config.BidirectionalConfig' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config.BidirectionalConfig',
            False, 
            [
            _MetaInfoClassMember('association-corouted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the association co-routed
                ''',
                'association_corouted',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('association-global-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The association global ID
                ''',
                'association_global_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('association-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The association ID
                ''',
                'association_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('association-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The association source
                ''',
                'association_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('association-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Association Type
                (draft-ietf-ccamp-mpls-tp-rsvpte-ext-associated-lsp)
                ''',
                'association_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bidirectional-config',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config.BfdConfig' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config.BfdConfig',
            False, 
            [
            _MetaInfoClassMember('bfd-encap-mode', REFERENCE_ENUM_CLASS, 'TeVifBfdEncapModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeVifBfdEncapModeEnum', 
                [], [], 
                '''                BFD Encap Mode
                ''',
                'bfd_encap_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-fast-detecting-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Deprecated
                ''',
                'bfd_fast_detecting_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-session-down-action', REFERENCE_ENUM_CLASS, 'MplsTeBfdSessionDownAction1Enum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBfdSessionDownAction1Enum', 
                [], [], 
                '''                BFD Session Down Action
                ''',
                'bfd_session_down_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-session-down-reopt-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Session Down Reopt Timeout
                ''',
                'bfd_session_down_reopt_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-type', REFERENCE_ENUM_CLASS, 'TeVifBfdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeVifBfdEnum', 
                [], [], 
                '''                BFD Type
                ''',
                'bfd_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bring-up-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bring Up Timeout in second
                ''',
                'bring_up_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bring-up-timeout-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default bring up timeout
                ''',
                'bring_up_timeout_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dampening-initial-wait', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening initial wait time in milliseconds
                ''',
                'dampening_initial_wait',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dampening-initial-wait-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default dampening inital wait time
                ''',
                'dampening_initial_wait_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dampening-max-wait', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening max wait time in milliseconds
                ''',
                'dampening_max_wait',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dampening-max-wait-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default dampening max wait time
                ''',
                'dampening_max_wait_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dampening-secondary-wait', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dampening secondary wait time in milliseconds
                ''',
                'dampening_secondary_wait',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dampening-secondary-wait-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default dampening secondary wait time
                ''',
                'dampening_secondary_wait_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('min-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello interval in milliseconds
                ''',
                'min_interval',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('min-interval-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default hello interval
                ''',
                'min_interval_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default multiplier
                ''',
                'multiplier_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('periodic-lsp-ping-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Periodic LSP Ping disabled
                ''',
                'periodic_lsp_ping_disabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('periodic-lsp-ping-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Periodic LSP Ping interval in seconds
                ''',
                'periodic_lsp_ping_interval',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('periodic-lsp-ping-interval-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default LSP Ping interval
                ''',
                'periodic_lsp_ping_interval_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sbfd-target-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                SBFD Target ID
                ''',
                'sbfd_target_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-config',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config.AutorouteDestination' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config.AutorouteDestination',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'autoroute-destination',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-failure-reopt-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AffinityFailureReoptTimer
                ''',
                'affinity_failure_reopt_timer',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('autoroute-destination', REFERENCE_LIST, 'AutorouteDestination' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config.AutorouteDestination', 
                [], [], 
                '''                Autoroute Destinations list
                ''',
                'autoroute_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup bandwidth
                ''',
                'backup_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-bandwidth-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Backup bandwidth flags
                ''',
                'backup_bandwidth_flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-config', REFERENCE_CLASS, 'BfdConfig' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config.BfdConfig', 
                [], [], 
                '''                BFD Configuration Information
                ''',
                'bfd_config',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bidirectional-config', REFERENCE_CLASS, 'BidirectionalConfig' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config.BidirectionalConfig', 
                [], [], 
                '''                Bidirectional Configuration Information
                ''',
                'bidirectional_config',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('config-load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Config loadshare
                ''',
                'config_load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured Bandwidth
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit-global', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global Cost Limit
                ''',
                'cost_limit_global',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('disable-affinity-failure-reopt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                DisableAffinityFailureReopt
                ''',
                'disable_affinity_failure_reopt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-null-imposition', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Imposition of Explicit NULL
                ''',
                'explicit_null_imposition',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute enabled
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hop Limit
                ''',
                'hop_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured Interface Bandwidth
                ''',
                'interface_configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-backup-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if this is a backup tunnel
                ''',
                'is_backup_tunnel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-in-config', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is in config
                ''',
                'is_in_config',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-p2mp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if tunnel is a P2MP tunnel
                ''',
                'is_p2mp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action on the tunnel path
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action-source', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action configuration source
                ''',
                'path_invalidation_action_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout interval on the tunnel
                path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout-source', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout configuration source
                ''',
                'path_invalidation_timeout_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-protection-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Protection enabled
                ''',
                'path_protection_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('payload-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Payload type
                ''',
                'payload_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('segment-routing-path-selection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Segment-Routing path selection type
                ''',
                'segment_routing_path_selection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signaled-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signaled name
                ''',
                'signaled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preempt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption enabled
                ''',
                'soft_preempt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-discovery', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SRLG-discovery enabled
                ''',
                'srlg_discovery',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel id
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'config',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.LspFec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.LspFec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.LspFec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.LspFec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.LspFec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.S2LFec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.S2LFec',
            False, 
            [
            _MetaInfoClassMember('s2l-fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                Session identifier (ctype)
                ''',
                's2l_fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-dest', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                sub-LSP destination address
                ''',
                's2l_fec_dest',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                's2l_fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                's2l_fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                's2l_fec_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSP source address
                ''',
                's2l_fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                sub-LSP subgroup ID
                ''',
                's2l_fec_subgroup_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                's2l_fec_subgroup_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                's2l_fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                's2l_fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.PathCalculationError' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.PathCalculationError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-calculation-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.RemergeError' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.RemergeError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'remerge-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.SignallingError' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.SignallingError',
            False, 
            [
            _MetaInfoClassMember('error', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Path Error code
                ''',
                'error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Source address of the error generating node
                ''',
                'error_node',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSPMode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if error is on the reverse LSP
                ''',
                'reverse_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP-id for which the error was received
                ''',
                'signalling_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path Error subcode
                ''',
                'sub_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalling-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption',
            False, 
            [
            _MetaInfoClassMember('attribute-set', REFERENCE_CLASS, 'AttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet', 
                [], [], 
                '''                The path option attribute set used by this path
                ''',
                'attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-found', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has found the defined attribute
                set
                ''',
                'attribute_set_found',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Explicit Path ID, this is the key to table
                ExplicitPaths.IdentifierTable
                ''',
                'explicit_path_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Explicit Path Name, this is the key to table
                ExplicitPaths.NameTable
                ''',
                'explicit_path_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has an attribute set defined
                ''',
                'has_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-xro-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has an XRO attribute set
                configured
                ''',
                'has_xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('holddown-duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Holddown Duration (seconds)
                ''',
                'holddown_duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path option is disabled
                ''',
                'is_disabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-helddown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if path is helddown
                ''',
                'is_helddown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-lockdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is locked down
                ''',
                'is_lockdown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-segment-routing', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is Segment-Routing
                ''',
                'is_segment_routing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-explicit-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if explicit path is strict
                ''',
                'is_strict_explicit_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-verbatim', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is verbatim
                ''',
                'is_verbatim',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index
                ''',
                'option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index-is-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The path option index is valid
                ''',
                'option_index_is_valid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-calculation-error', REFERENCE_LIST, 'PathCalculationError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.PathCalculationError', 
                [], [], 
                '''                Path computation information
                ''',
                'path_calculation_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The path-option area constraint
                ''',
                'path_option_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path option name
                ''',
                'path_option_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-type', REFERENCE_ENUM_CLASS, 'MplsTePathoptionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTePathoptionEnum', 
                [], [], 
                '''                Path option type
                ''',
                'path_option_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                PCE server address
                ''',
                'pce_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-by-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for Protect path options
                ''',
                'protected_by_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remerge-error', REFERENCE_LIST, 'RemergeError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.RemergeError', 
                [], [], 
                '''                Path computation remerge resolve info
                ''',
                'remerge_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restored-from-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for Restore path options
                ''',
                'restored_from_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-error', REFERENCE_LIST, 'SignallingError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.SignallingError', 
                [], [], 
                '''                Signalling information
                ''',
                'signalling_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set', REFERENCE_CLASS, 'XroAttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet', 
                [], [], 
                '''                The XRO attribute set used by this path-option
                ''',
                'xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set-found', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path's XRO attribute set is known
                ''',
                'xro_attribute_set_found',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'active-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'out-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'in-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.Tspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.Tspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GenericTspec.Otntspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GenericTspec.Otntspec',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit Rate in kbps
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nmc-or-tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                NMC or Tolerance
                ''',
                'nmc_or_tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Virtual Components
                ''',
                'nvc',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otntspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GenericTspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GenericTspec',
            False, 
            [
            _MetaInfoClassMember('otntspec', REFERENCE_CLASS, 'Otntspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GenericTspec.Otntspec', 
                [], [], 
                '''                TE TSpec for G709 OTN
                ''',
                'otntspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tspec-type', REFERENCE_ENUM_CLASS, 'TeMgmtGenericTspecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeMgmtGenericTspecEnum', 
                [], [], 
                '''                TSpecType
                ''',
                'tspec_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'generic-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.Fspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.Fspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GenericFspec.Otnfspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GenericFspec.Otnfspec',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit Rate in kbps
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nmc-or-tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                NMC or Tolerance
                ''',
                'nmc_or_tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Virtual Components
                ''',
                'nvc',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otnfspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GenericFspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GenericFspec',
            False, 
            [
            _MetaInfoClassMember('fspec-type', REFERENCE_ENUM_CLASS, 'TeMgmtGenericFspecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeMgmtGenericFspecEnum', 
                [], [], 
                '''                FSpecType
                ''',
                'fspec_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otnfspec', REFERENCE_CLASS, 'Otnfspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GenericFspec.Otnfspec', 
                [], [], 
                '''                TE FSpec for G709 OTN
                ''',
                'otnfspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'generic-fspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.NextHopAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.NextHopAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.NextHopAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.NextHopAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.NextHopAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'next-hop-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'previous-hop-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.IncomingAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.IncomingAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.IncomingAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.IncomingAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.IncomingAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'incoming-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.S2LConvergence' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.S2LConvergence',
            False, 
            [
            _MetaInfoClassMember('creation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tunnel creation timestamp (clocktime in nsecs)
                ''',
                'creation_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rewrite', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP Label rewrite timestamp (clocktime in nsecs)
                ''',
                'label_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Path-in timestamp (clocktime in nsecs)
                ''',
                'path_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Path-in timestamp (clocktime in nsecs)
                ''',
                'path_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Resv-in timestamp (clocktime in nsecs)
                ''',
                'resv_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Resv-out timestamp (clocktime in nsecs)
                ''',
                'resv_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-rewrite', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tunnel rewrite timestamp (clocktime in nsecs)
                ''',
                'tunnel_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-convergence',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.SoftPreemption' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.SoftPreemption',
            False, 
            [
            _MetaInfoClassMember('fr-rrewrite', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR-rewrite during soft preemption
                ''',
                'fr_rrewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fr-rrewrite-tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The tunnel name of the backup
                ''',
                'fr_rrewrite_tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('preempting-link-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The address of the link where the preemption
                happened
                ''',
                'preempting_link_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-link', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the link where the soft preemption
                occurred
                ''',
                'soft_preemption_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The POSIX timestamp when the soft preemption
                occurred
                ''',
                'soft_preemption_timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'MplsTeSoftPreemptionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeSoftPreemptionStateEnum', 
                [], [], 
                '''                The current state of the soft preemption
                operation
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-to-hard-preemption', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The number of seconds until hard preemption is
                triggered
                ''',
                'time_to_hard_preemption',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'soft-preemption',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels',
            False, 
            [
            _MetaInfoClassMember('path-egress-label', REFERENCE_CLASS, 'PathEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel', 
                [], [], 
                '''                Path message (upstream) egress label
                ''',
                'path_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-ingress-label', REFERENCE_CLASS, 'PathIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel', 
                [], [], 
                '''                Path message (upstream) ingress label
                ''',
                'path_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-egress-label', REFERENCE_CLASS, 'ResvEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel', 
                [], [], 
                '''                Resv message (downstream) egress label
                ''',
                'resv_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-ingress-label', REFERENCE_CLASS, 'ResvIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel', 
                [], [], 
                '''                Resv message (downstream) ingress label
                ''',
                'resv_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'gmpls-labels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tolerance
                ''',
                'tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-cbr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-gfp-f-res',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-gfp-f-non-res',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth',
            False, 
            [
            _MetaInfoClassMember('odu-flex-cbr', REFERENCE_CLASS, 'OduFlexCbr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr', 
                [], [], 
                '''                Odu flex CBR info
                ''',
                'odu_flex_cbr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-flex-gfp-f-non-res', REFERENCE_CLASS, 'OduFlexGfpFNonRes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes', 
                [], [], 
                '''                Odu flex GFP-F non-resizable info
                ''',
                'odu_flex_gfp_f_non_res',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-flex-gfp-f-res', REFERENCE_CLASS, 'OduFlexGfpFRes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes', 
                [], [], 
                '''                Odu flex GFP-F resizable info
                ''',
                'odu_flex_gfp_f_res',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-level', REFERENCE_ENUM_CLASS, 'TeOduLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeOduLevelEnum', 
                [], [], 
                '''                ODULevel
                ''',
                'odu_level',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels',
            False, 
            [
            _MetaInfoClassMember('path-egress-label', REFERENCE_CLASS, 'PathEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel', 
                [], [], 
                '''                Path message (upstream) egress label
                ''',
                'path_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-ingress-label', REFERENCE_CLASS, 'PathIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel', 
                [], [], 
                '''                Path message (upstream) ingress label
                ''',
                'path_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-egress-label', REFERENCE_CLASS, 'ResvEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel', 
                [], [], 
                '''                Resv message (downstream) egress label
                ''',
                'resv_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-ingress-label', REFERENCE_CLASS, 'ResvIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel', 
                [], [], 
                '''                Resv message (downstream) ingress label
                ''',
                'resv_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'labels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn',
            False, 
            [
            _MetaInfoClassMember('bandwidth', REFERENCE_CLASS, 'Bandwidth' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth', 
                [], [], 
                '''                OTN Bandwidth for s2l
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cross-connect-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cross connect id
                ''',
                'cross_connect_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gpid', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Gpid Payload
                ''',
                'gpid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Incoming Controller
                ''',
                'incoming_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Incoming Controller Ifhandle
                ''',
                'incoming_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Controller
                ''',
                'incoming_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Incoming Sub Controller
                ''',
                'incoming_sub_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Incoming Sub Controller Ifhandle
                ''',
                'incoming_sub_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Sub Controller
                ''',
                'incoming_sub_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if subcontrollers are connected
                ''',
                'is_connected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('labels', REFERENCE_CLASS, 'Labels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels', 
                [], [], 
                '''                Labels
                ''',
                'labels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing Controller
                ''',
                'outgoing_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Controller Ifhandle
                ''',
                'outgoing_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Controller
                ''',
                'outgoing_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing Sub Controller
                ''',
                'outgoing_sub_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Sub Controller Ifhandle
                ''',
                'outgoing_sub_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Sub Controller
                ''',
                'outgoing_sub_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                XC Uptime
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Aps.ProtectionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Aps.ProtectionInfo',
            False, 
            [
            _MetaInfoClassMember('ho-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-Off timeout
                ''',
                'ho_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-hopresent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Hold-Off timeout present
                ''',
                'is_hopresent',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-snc-mode-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SNC mode present
                ''',
                'is_snc_mode_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-wtr-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Wait-to-Restore timeout present
                ''',
                'is_wtr_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Notification bit 
                ''',
                'nbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('obit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Operational bit
                ''',
                'obit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path protection profile type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Protecting bit
                ''',
                'pbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protect-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                LSP Protect Type
                ''',
                'protect_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Secondary bit
                ''',
                'sbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                SNC mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TCM ID
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wtr-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait-to-Restore timeout
                ''',
                'wtr_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protection-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Aps' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Aps',
            False, 
            [
            _MetaInfoClassMember('protection-info', REFERENCE_CLASS, 'ProtectionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Aps.ProtectionInfo', 
                [], [], 
                '''                Protection Info
                ''',
                'protection_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'aps',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L',
            False, 
            [
            _MetaInfoClassMember('aps', REFERENCE_CLASS, 'Aps' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Aps', 
                [], [], 
                '''                APS Info for OTN S2L
                ''',
                'aps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn', 
                [], [], 
                '''                Info Related to OTN technology in S2L
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn-s2l',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.HeadEndBfdInfo.SessionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.HeadEndBfdInfo.SessionInfo',
            False, 
            [
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'TeBfdLspSessionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdLspSessionStateEnum', 
                [], [], 
                '''                BFD session state
                ''',
                'state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('state-change-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last session state
                change
                ''',
                'state_change_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'session-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.HeadEndBfdInfo.DeletionHistory' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.HeadEndBfdInfo.DeletionHistory',
            False, 
            [
            _MetaInfoClassMember('deletion-diagnostic-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Diagnostic Code for the BFD session get deleted
                ''',
                'deletion_diagnostic_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reason for the BFD session get deleted
                ''',
                'deletion_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time stamp of the BFD session get deleted
                ''',
                'deletion_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID of the BFD session get deleted
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'deletion-history',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.HeadEndBfdInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.HeadEndBfdInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-reverse-path-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path labels
                ''',
                'bfd_reverse_path_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The BFD reverse path is stale compared to
                configuration
                ''',
                'bfd_reverse_path_stale',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('creation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the BFD session created
                ''',
                'creation_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-history', REFERENCE_CLASS, 'DeletionHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.HeadEndBfdInfo.DeletionHistory', 
                [], [], 
                '''                BFD Session Deletion History
                ''',
                'deletion_history',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-redundant', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                sBFD session is redundant
                ''',
                'is_redundant',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lspbfd-type', REFERENCE_ENUM_CLASS, 'TeVifBfdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeVifBfdEnum', 
                [], [], 
                '''                LSP BFD type
                ''',
                'lspbfd_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-info', REFERENCE_CLASS, 'SessionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.HeadEndBfdInfo.SessionInfo', 
                [], [], 
                '''                BFD Session Info
                ''',
                'session_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'head-end-bfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.TailEndBfdInfo.SessionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.TailEndBfdInfo.SessionInfo',
            False, 
            [
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'TeBfdLspSessionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdLspSessionStateEnum', 
                [], [], 
                '''                BFD session state
                ''',
                'state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('state-change-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last session state
                change
                ''',
                'state_change_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'session-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.TailEndBfdInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.TailEndBfdInfo',
            False, 
            [
            _MetaInfoClassMember('failure-diagnostic-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD session failure diagnostic code
                ''',
                'failure_diagnostic_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('failure-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                BFD session failure reason
                ''',
                'failure_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-discriminator', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Local Discriminator
                ''',
                'local_discriminator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('min-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello interval in mini second
                ''',
                'min_interval',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('min-interval-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default hello interval
                ''',
                'min_interval_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default multiplier
                ''',
                'multiplier_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-discriminator', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Remote Discrminator
                ''',
                'remote_discriminator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-info', REFERENCE_CLASS, 'SessionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.TailEndBfdInfo.SessionInfo', 
                [], [], 
                '''                BFD Session Info
                ''',
                'session_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tail-end-bfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.SrlgCollection' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.SrlgCollection',
            False, 
            [
            _MetaInfoClassMember('discovered-srlg', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Discovered SRLGs
                ''',
                'discovered_srlg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-collect-type', REFERENCE_ENUM_CLASS, 'TeSrlgCollectRequestEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSrlgCollectRequestEnum', 
                [], [], 
                '''                SRLG-collection mechanism
                ''',
                'srlg_collect_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-collection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.Association' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.Association',
            False, 
            [
            _MetaInfoClassMember('s2l-association-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Association ID
                ''',
                's2l_association_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                S2L Association Source
                ''',
                's2l_association_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-tie-role', REFERENCE_ENUM_CLASS, 'TeAssociationTieRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAssociationTieRoleEnum', 
                [], [], 
                '''                S2L Association Tie Role
                ''',
                's2l_association_tie_role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Association Type                         
                (draft-ietf-ccamp-mpls-tp-rsvpte-ext-associated-lsp)
                ''',
                's2l_association_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-extended-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L Extended ID Array
                ''',
                's2l_extended_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-global-source', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L Global Source
                ''',
                's2l_global_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'association',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.Protection' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.Protection',
            False, 
            [
            _MetaInfoClassMember('any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Any
                ''',
                'any',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ded1-plus1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1+1 Protection
                ''',
                'ded1_plus1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ded1-to1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1:1 Protection
                ''',
                'ded1_to1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('enhanced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates Enhanced Protection Scheme
                ''',
                'enhanced',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extra-traffic', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should use Links that are protecting other
                (primary) traffic
                ''',
                'extra_traffic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should not use any Link Layer Protection
                ''',
                'link_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Flags Unprotected
                ''',
                'lsp_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-plus-one-bi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Bidirectional Protection
                ''',
                'one_plus_one_bi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-plus-one-uni', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Unidirectional Protection
                ''',
                'one_plus_one_uni',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-to-n-protection-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1:N Protection with Extra-Traffic
                ''',
                'one_to_n_protection_et',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Full Rerouting
                ''',
                'rerouting',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouting-no-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Rerouting Without Extra-Traffic
                ''',
                'rerouting_no_et',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-notification', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Notification Bit
                ''',
                's2l_notification',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-operational', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Operational Bit
                ''',
                's2l_operational',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Protecting Bit
                ''',
                's2l_protecting',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-secondary', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Secondary Bit
                ''',
                's2l_secondary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Shared Link Layer Protection
                ''',
                'shared',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseLspFec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseLspFec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseLspFec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseLspFec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseLspFec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-lsp-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseTspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseTspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.FlexInfo.FlexFec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.FlexInfo.FlexFec',
            False, 
            [
            _MetaInfoClassMember('s2l-fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                Session identifier (ctype)
                ''',
                's2l_fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-dest', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                sub-LSP destination address
                ''',
                's2l_fec_dest',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                's2l_fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                's2l_fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                's2l_fec_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSP source address
                ''',
                's2l_fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                sub-LSP subgroup ID
                ''',
                's2l_fec_subgroup_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                's2l_fec_subgroup_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                's2l_fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                's2l_fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.FlexInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.FlexInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-created', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GAL BFD Session Created
                ''',
                'bfd_created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-egress-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Egress Label
                ''',
                'bfd_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-int-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Internal Label
                ''',
                'bfd_int_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                BFD Next Hop
                ''',
                'bfd_next_hop',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-out-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD Out Interface Handle
                ''',
                'bfd_out_ifh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-tun-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD Tunnel Interface Handle
                ''',
                'bfd_tun_ifh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GAL BFD Session Up
                ''',
                'bfd_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('entry-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FlexLSP Entry Exists
                ''',
                'entry_exists',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ais', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault AIS
                ''',
                'fault_ais',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ldi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LDI
                ''',
                'fault_ldi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ldi-lockout', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LDI Lockout
                ''',
                'fault_ldi_lockout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-lkr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LKR
                ''',
                'fault_lkr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Fault Time
                ''',
                'fault_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex-fec', REFERENCE_CLASS, 'FlexFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.FlexInfo.FlexFec', 
                [], [], 
                '''                FEC for the FlexLSP Entry
                ''',
                'flex_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                In Label
                ''',
                'in_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('oam-created', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                OAM Entry Created
                ''',
                'oam_created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.LspWrapInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.LspWrapInfo',
            False, 
            [
            _MetaInfoClassMember('lsp-wrap-protection-enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Wrap protection enabled
                ''',
                'lsp_wrap_protection_enable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-protection-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSP Wrap Merge Point Label
                ''',
                'lsp_wrap_protection_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-protection-state', REFERENCE_ENUM_CLASS, 'MplsTeLspWrapStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspWrapStateEnum', 
                [], [], 
                '''                LSP wrap protection state
                ''',
                'lsp_wrap_protection_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reverse Egress Interface
                ''',
                'reverse_egress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reverse LSP label
                ''',
                'reverse_lsp_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-wrap-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.DiversityInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.DiversityInfo',
            False, 
            [
            _MetaInfoClassMember('diversity-type', REFERENCE_ENUM_CLASS, 'TePpDiversityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePpDiversityEnum', 
                [], [], 
                '''                S2L path diversity type
                ''',
                'diversity_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'diversity-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.SharedRiskLinkGroup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.SharedRiskLinkGroup',
            False, 
            [
            _MetaInfoClassMember('shared-risk-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG number
                ''',
                'shared_risk_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SRLG name
                ''',
                'srlg_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'shared-risk-link-group',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutEro.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutEro.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutEro.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutEro.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutEro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutEro',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutEro.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutEro.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'out-ero',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InEro.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InEro.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InEro.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InEro.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InEro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InEro',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InEro.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InEro.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'in-ero',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.Ipv4RroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.Ipv4RroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.Ipv4RroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.Ipv4RroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.Ipv4RroSubObject.Flags', 
                [], [], 
                '''                The RRO IPV4 Subobject Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO IPV4 Address
                ''',
                'rro_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.LabelRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.LabelRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-global-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label is Global across all interfaces
                ''',
                'is_global_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.LabelRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.LabelRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.LabelRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Label Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-label-variable-length', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the RRO Subobject Label Variable Length
                ''',
                'is_label_variable_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Label Value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('variable-length-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Variable Length Label
                ''',
                'variable_length_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'label-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.UnnumberedRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.UnnumberedRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.UnnumberedRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.UnnumberedRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.UnnumberedRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Unnumbered Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO Interface Address
                ''',
                'interface_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.SrlgRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.SrlgRroSubObject',
            False, 
            [
            _MetaInfoClassMember('srl-gs', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject SRLGs
                ''',
                'srl_gs',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro',
            False, 
            [
            _MetaInfoClassMember('ipv4rro-sub-object', REFERENCE_CLASS, 'Ipv4RroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.Ipv4RroSubObject', 
                [], [], 
                '''                IPV4 RRO Sub Object
                ''',
                'ipv4rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rro-sub-object', REFERENCE_CLASS, 'LabelRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.LabelRroSubObject', 
                [], [], 
                '''                Label RRO Sub Object
                ''',
                'label_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtRroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtRroSubobjEnum', 
                [], [], 
                '''                RROType
                ''',
                'rro_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-rro-sub-object', REFERENCE_CLASS, 'SrlgRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.SrlgRroSubObject', 
                [], [], 
                '''                SRLG RRO Sub Object
                ''',
                'srlg_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-rro-sub-object', REFERENCE_CLASS, 'UnnumberedRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.UnnumberedRroSubObject', 
                [], [], 
                '''                Unnumbered RRO Sub Object
                ''',
                'unnumbered_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-rro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.Ipv4RroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.Ipv4RroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.Ipv4RroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.Ipv4RroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.Ipv4RroSubObject.Flags', 
                [], [], 
                '''                The RRO IPV4 Subobject Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO IPV4 Address
                ''',
                'rro_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.LabelRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.LabelRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-global-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label is Global across all interfaces
                ''',
                'is_global_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.LabelRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.LabelRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.LabelRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Label Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-label-variable-length', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the RRO Subobject Label Variable Length
                ''',
                'is_label_variable_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Label Value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('variable-length-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Variable Length Label
                ''',
                'variable_length_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'label-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.UnnumberedRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.UnnumberedRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Unnumbered Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO Interface Address
                ''',
                'interface_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.SrlgRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.SrlgRroSubObject',
            False, 
            [
            _MetaInfoClassMember('srl-gs', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject SRLGs
                ''',
                'srl_gs',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro',
            False, 
            [
            _MetaInfoClassMember('ipv4rro-sub-object', REFERENCE_CLASS, 'Ipv4RroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.Ipv4RroSubObject', 
                [], [], 
                '''                IPV4 RRO Sub Object
                ''',
                'ipv4rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rro-sub-object', REFERENCE_CLASS, 'LabelRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.LabelRroSubObject', 
                [], [], 
                '''                Label RRO Sub Object
                ''',
                'label_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtRroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtRroSubobjEnum', 
                [], [], 
                '''                RROType
                ''',
                'rro_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-rro-sub-object', REFERENCE_CLASS, 'SrlgRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.SrlgRroSubObject', 
                [], [], 
                '''                SRLG RRO Sub Object
                ''',
                'srlg_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-rro-sub-object', REFERENCE_CLASS, 'UnnumberedRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.UnnumberedRroSubObject', 
                [], [], 
                '''                Unnumbered RRO Sub Object
                ''',
                'unnumbered_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-rro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathAffinityArray' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathAffinityArray',
            False, 
            [
            _MetaInfoClassMember('hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Hop address
                ''',
                'hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop-affinity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'hop_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop-extended-affinity', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hop affinity
                ''',
                'hop_extended_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-affinity-array',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseEroIn.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseEroIn.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseEroIn.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseEroIn.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseEroIn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseEroIn',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseEroIn.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseEroIn.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-ero-in',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.S2LSegmentRoutingPath' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.S2LSegmentRoutingPath',
            False, 
            [
            _MetaInfoClassMember('has-entropy-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Hop has EL specified
                ''',
                'has_entropy_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-ip-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node has IP addresses specified
                ''',
                'has_ip_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-mpls-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Hop has MPLS label specified
                ''',
                'has_mpls_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local IP address of adjacency or Node ID
                ''',
                'local_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mpls-label-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The MPLS label value
                ''',
                'mpls_label_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote IP address of adjacency
                ''',
                'remote_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sid-type', REFERENCE_ENUM_CLASS, 'TeSrSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSrSidEnum', 
                [], [], 
                '''                Type of the SID
                ''',
                'sid_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-segment-routing-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L',
            False, 
            [
            _MetaInfoClassMember('abr-auto-discovered', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next ABR auto discovered
                ''',
                'abr_auto_discovered',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('active-path-option', REFERENCE_CLASS, 'ActivePathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption', 
                [], [], 
                '''                The path option used to find the path for this
                S2L
                ''',
                'active_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('association', REFERENCE_CLASS, 'Association' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.Association', 
                [], [], 
                '''                Association Object
                ''',
                'association',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface handle of the backup tunnel
                ''',
                'backup_tunnel_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('diversity-info', REFERENCE_CLASS, 'DiversityInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.DiversityInfo', 
                [], [], 
                '''                S2L Diversity Information
                ''',
                'diversity_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('downstream-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Downstream router id
                ''',
                'downstream_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Egress Interface
                ''',
                'egress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface-brief', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Egress Interface in brief format
                ''',
                'egress_interface_brief',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Interface
                ''',
                'egress_interface_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Outgoing ERO's affinity bits (colors)
                ''',
                'expanded_ero_affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Outgoing ERO's affinity mask (colors)
                ''',
                'expanded_ero_affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Indicates the protocol and area used to find
                Outgoing ERO
                ''',
                'expanded_ero_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The metric value of the expanded path
                ''',
                'expanded_ero_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-metric-type', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                The Outgoing ERO's selection metric
                ''',
                'expanded_ero_metric_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex-info', REFERENCE_CLASS, 'FlexInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.FlexInfo', 
                [], [], 
                '''                FlexLSP S2L Information
                ''',
                'flex_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-out-tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FRR out tunnel intface
                ''',
                'frr_out_tunnel_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fspec', REFERENCE_CLASS, 'Fspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.Fspec', 
                [], [], 
                '''                The F spec info
                ''',
                'fspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generic-fspec', REFERENCE_CLASS, 'GenericFspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GenericFspec', 
                [], [], 
                '''                Generic FSpec
                ''',
                'generic_fspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generic-tspec', REFERENCE_CLASS, 'GenericTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GenericTspec', 
                [], [], 
                '''                Generic TSpec
                ''',
                'generic_tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gmpls-labels', REFERENCE_CLASS, 'GmplsLabels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels', 
                [], [], 
                '''                GMPLS labels
                ''',
                'gmpls_labels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('head-end-bfd-info', REFERENCE_CLASS, 'HeadEndBfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.HeadEndBfdInfo', 
                [], [], 
                '''                The Head-end BFD info
                ''',
                'head_end_bfd_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-ero', REFERENCE_LIST, 'InEro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InEro', 
                [], [], 
                '''                Incoming ERO for this S2L
                ''',
                'in_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-xro', REFERENCE_CLASS, 'InXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro', 
                [], [], 
                '''                Incoming XRO for this S2L
                ''',
                'in_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Incoming interface address
                ''',
                'incoming_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-address-generic', REFERENCE_CLASS, 'IncomingAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.IncomingAddressGeneric', 
                [], [], 
                '''                Incoming interface address
                ''',
                'incoming_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ingress Interface
                ''',
                'ingress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface-brief', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ingress Interface in brief format
                ''',
                'ingress_interface_brief',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Interface
                ''',
                'ingress_interface_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-protect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BW Protection Enabled or Disabled
                ''',
                'is_bandwidth_protect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-expanded-ero', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if this LSR expanded a loose path
                ''',
                'is_expanded_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-frr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Enabled or Disabled
                ''',
                'is_frr_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Enabled or Disabled
                ''',
                'is_node_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-optical', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Optical
                ''',
                'is_optical',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local router id
                ''',
                'local_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-info', REFERENCE_CLASS, 'LspWrapInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.LspWrapInfo', 
                [], [], 
                '''                Lsp Wrap  Related information
                ''',
                'lsp_wrap_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop address
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address-generic', REFERENCE_CLASS, 'NextHopAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.NextHopAddressGeneric', 
                [], [], 
                '''                Next hop address
                ''',
                'next_hop_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('node-hop-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hop count
                ''',
                'node_hop_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn-s2l', REFERENCE_CLASS, 'OtnS2L' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L', 
                [], [], 
                '''                Otn S2L Information
                ''',
                'otn_s2l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-ero', REFERENCE_LIST, 'OutEro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutEro', 
                [], [], 
                '''                Outgoing ERO for this S2L
                ''',
                'out_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-xro', REFERENCE_CLASS, 'OutXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro', 
                [], [], 
                '''                Outgoing XRO for this S2L
                ''',
                'out_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outbound-frr-state', REFERENCE_ENUM_CLASS, 'MplsTeFrrStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeFrrStateEnum', 
                [], [], 
                '''                Indicates outbound FRR state
                ''',
                'outbound_frr_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-affinity-array', REFERENCE_LIST, 'PathAffinityArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathAffinityArray', 
                [], [], 
                '''                Tunnel's Path hops with affinity
                ''',
                'path_affinity_array',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reeval-query-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loose path reevaluation query received at
                mid-point
                ''',
                'path_reeval_query_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-rro', REFERENCE_LIST, 'PathRro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro', 
                [], [], 
                '''                Path RRO for this S2L
                ''',
                'path_rro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-rro-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path RRO Enabled or Disabled
                ''',
                'path_rro_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-using-strict-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is using Strict SPF
                ''',
                'path_using_strict_spf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcalc-area', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IGP-area in which the S2L path was calculated
                ''',
                'pcalc_area',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Previous hop address
                ''',
                'previous_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-hop-address-generic', REFERENCE_CLASS, 'PreviousHopAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric', 
                [], [], 
                '''                Previous hop address
                ''',
                'previous_hop_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection', REFERENCE_CLASS, 'Protection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.Protection', 
                [], [], 
                '''                Protection Object
                ''',
                'protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-rro', REFERENCE_LIST, 'ResvRro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro', 
                [], [], 
                '''                Resv RRO for this S2L
                ''',
                'resv_rro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-ero-in', REFERENCE_LIST, 'ReverseEroIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseEroIn', 
                [], [], 
                '''                 Reverse Incoming ERO for this S2L
                ''',
                'reverse_ero_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Connected
                ''',
                'reverse_lsp_connected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-fec', REFERENCE_CLASS, 'ReverseLspFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseLspFec', 
                [], [], 
                '''                Reverse Associated Bidir LSP FEC
                ''',
                'reverse_lsp_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Name
                ''',
                'reverse_lsp_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Present
                ''',
                'reverse_lsp_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-tspec', REFERENCE_CLASS, 'ReverseTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseTspec', 
                [], [], 
                '''                The Reverse T spec info
                ''',
                'reverse_tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The reverse path weight
                ''',
                'reverse_weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('role', REFERENCE_ENUM_CLASS, 'MplsTeTunnelRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelRoleEnum', 
                [], [], 
                '''                Role of S2L
                ''',
                'role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-convergence', REFERENCE_CLASS, 'S2LConvergence' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.S2LConvergence', 
                [], [], 
                '''                TE LSP convergence related information
                ''',
                's2l_convergence',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec', REFERENCE_CLASS, 'S2LFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.S2LFec', 
                [], [], 
                '''                FEC for the S2L
                ''',
                's2l_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label
                ''',
                's2l_local_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing label
                ''',
                's2l_out_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-ero-obj-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2l Reverse ERO Object Present
                ''',
                's2l_reverse_ero_obj_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-lsp-sub-obj', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Reverse LSP Sub Objects
                ''',
                's2l_reverse_lsp_sub_obj',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-tspec-obj-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Reverse TSpec Object Present
                ''',
                's2l_reverse_tspec_obj_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-segment-routing-path', REFERENCE_LIST, 'S2LSegmentRoutingPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.S2LSegmentRoutingPath', 
                [], [], 
                '''                Segment-Routing S2L path info
                ''',
                's2l_segment_routing_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared-risk-link-group', REFERENCE_LIST, 'SharedRiskLinkGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.SharedRiskLinkGroup', 
                [], [], 
                '''                The S2L's excluded srlg groups
                ''',
                'shared_risk_link_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-status', REFERENCE_ENUM_CLASS, 'MplsTeTunnelsSignalingStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelsSignalingStatusEnum', 
                [], [], 
                '''                Signaling status
                ''',
                'signalling_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption', REFERENCE_CLASS, 'SoftPreemption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.SoftPreemption', 
                [], [], 
                '''                The soft preemption info for this LSP.
                ''',
                'soft_preemption',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-collection', REFERENCE_CLASS, 'SrlgCollection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.SrlgCollection', 
                [], [], 
                '''                SRLG-collection data
                ''',
                'srlg_collection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tail-end-bfd-info', REFERENCE_CLASS, 'TailEndBfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.TailEndBfdInfo', 
                [], [], 
                '''                The Tail-end BFD info
                ''',
                'tail_end_bfd_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-preferred-path-exists-send-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last preferred path exists msg send
                from mid-point
                ''',
                'time_since_last_preferred_path_exists_send_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-preferred-tree-exists-send-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last preferred tree exists msg send
                from mid-point
                ''',
                'time_since_last_preferred_tree_exists_send_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-query-received-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last reevaluation query received at
                mid-point
                ''',
                'time_since_last_query_received_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tspec', REFERENCE_CLASS, 'Tspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.Tspec', 
                [], [], 
                '''                The T spec info
                ''',
                'tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('upstream-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Upstream router id
                ''',
                'upstream_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the tunnel was up
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The path's weight
                ''',
                'weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp',
            False, 
            [
            _MetaInfoClassMember('dste-class-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Matching DSTE class index
                ''',
                'dste_class_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-match', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Do the class type and priority match a DSTE
                class
                ''',
                'dste_class_match',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-active-reason', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP LSP FRR active reason
                ''',
                'frr_active_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-frr-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                P2MP LSP has FRR Failed
                ''',
                'is_frr_failed',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True for tunnel head
                ''',
                'is_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-passive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True for passive tunnel
                ''',
                'is_passive',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-path-change', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last path change
                ''',
                'last_path_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP LSP Bandwidth
                ''',
                'lsp_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The LSP bandwidth type
                ''',
                'lsp_bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-fec', REFERENCE_CLASS, 'LspFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.LspFec', 
                [], [], 
                '''                FEC for the LSP
                ''',
                'lsp_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSP hold priority
                ''',
                'lsp_hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSP setup priority
                ''',
                'lsp_setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('persistent-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Persistent forwarding statistics for number of
                bytes. Clear counters will not reset the counter
                ''',
                'persistent_bytes',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('persistent-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Persistent forwarding statistics for Number of
                packets. Clear counters will not reset the
                counter
                ''',
                'persistent_packets',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimize-reason', REFERENCE_ENUM_CLASS, 'MplsTeReoptDecisionReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeReoptDecisionReasonEnum', 
                [], [], 
                '''                Reason for re-optimization
                ''',
                'reoptimize_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimize-trigger', REFERENCE_ENUM_CLASS, 'MteReoptTriggerEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MteReoptTriggerEnum', 
                [], [], 
                '''                Re-optimize trigger
                ''',
                'reoptimize_trigger',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-down', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of down S2Ls
                ''',
                's2_ls_down',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-proceeding', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of proceeding S2Ls
                ''',
                's2_ls_proceeding',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of connected S2Ls
                ''',
                's2_ls_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l', REFERENCE_LIST, 'S2L' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L', 
                [], [], 
                '''                array of S2L structures
                ''',
                's2l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signaled-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signaled Name
                ''',
                'signaled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('timer-left', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds left to take next action if any
                ''',
                'timer_left',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MplsTeLspEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspEnum', 
                [], [], 
                '''                The type of this LSP
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the tunnel was up
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tunnel-current-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.LspFec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.LspFec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.LspFec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.LspFec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.LspFec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.S2LFec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.S2LFec',
            False, 
            [
            _MetaInfoClassMember('s2l-fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                Session identifier (ctype)
                ''',
                's2l_fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-dest', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                sub-LSP destination address
                ''',
                's2l_fec_dest',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                's2l_fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                's2l_fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                's2l_fec_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSP source address
                ''',
                's2l_fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                sub-LSP subgroup ID
                ''',
                's2l_fec_subgroup_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                's2l_fec_subgroup_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                's2l_fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                's2l_fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.PathCalculationError' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.PathCalculationError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-calculation-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.RemergeError' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.RemergeError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'remerge-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.SignallingError' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.SignallingError',
            False, 
            [
            _MetaInfoClassMember('error', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Path Error code
                ''',
                'error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Source address of the error generating node
                ''',
                'error_node',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSPMode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if error is on the reverse LSP
                ''',
                'reverse_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP-id for which the error was received
                ''',
                'signalling_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path Error subcode
                ''',
                'sub_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalling-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption',
            False, 
            [
            _MetaInfoClassMember('attribute-set', REFERENCE_CLASS, 'AttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet', 
                [], [], 
                '''                The path option attribute set used by this path
                ''',
                'attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-found', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has found the defined attribute
                set
                ''',
                'attribute_set_found',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Explicit Path ID, this is the key to table
                ExplicitPaths.IdentifierTable
                ''',
                'explicit_path_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Explicit Path Name, this is the key to table
                ExplicitPaths.NameTable
                ''',
                'explicit_path_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has an attribute set defined
                ''',
                'has_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-xro-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has an XRO attribute set
                configured
                ''',
                'has_xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('holddown-duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Holddown Duration (seconds)
                ''',
                'holddown_duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path option is disabled
                ''',
                'is_disabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-helddown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if path is helddown
                ''',
                'is_helddown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-lockdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is locked down
                ''',
                'is_lockdown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-segment-routing', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is Segment-Routing
                ''',
                'is_segment_routing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-explicit-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if explicit path is strict
                ''',
                'is_strict_explicit_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-verbatim', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is verbatim
                ''',
                'is_verbatim',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index
                ''',
                'option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index-is-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The path option index is valid
                ''',
                'option_index_is_valid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-calculation-error', REFERENCE_LIST, 'PathCalculationError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.PathCalculationError', 
                [], [], 
                '''                Path computation information
                ''',
                'path_calculation_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The path-option area constraint
                ''',
                'path_option_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path option name
                ''',
                'path_option_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-type', REFERENCE_ENUM_CLASS, 'MplsTePathoptionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTePathoptionEnum', 
                [], [], 
                '''                Path option type
                ''',
                'path_option_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                PCE server address
                ''',
                'pce_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-by-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for Protect path options
                ''',
                'protected_by_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remerge-error', REFERENCE_LIST, 'RemergeError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.RemergeError', 
                [], [], 
                '''                Path computation remerge resolve info
                ''',
                'remerge_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restored-from-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for Restore path options
                ''',
                'restored_from_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-error', REFERENCE_LIST, 'SignallingError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.SignallingError', 
                [], [], 
                '''                Signalling information
                ''',
                'signalling_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set', REFERENCE_CLASS, 'XroAttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet', 
                [], [], 
                '''                The XRO attribute set used by this path-option
                ''',
                'xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set-found', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path's XRO attribute set is known
                ''',
                'xro_attribute_set_found',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'active-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'out-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'in-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.Tspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.Tspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GenericTspec.Otntspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GenericTspec.Otntspec',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit Rate in kbps
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nmc-or-tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                NMC or Tolerance
                ''',
                'nmc_or_tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Virtual Components
                ''',
                'nvc',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otntspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GenericTspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GenericTspec',
            False, 
            [
            _MetaInfoClassMember('otntspec', REFERENCE_CLASS, 'Otntspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GenericTspec.Otntspec', 
                [], [], 
                '''                TE TSpec for G709 OTN
                ''',
                'otntspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tspec-type', REFERENCE_ENUM_CLASS, 'TeMgmtGenericTspecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeMgmtGenericTspecEnum', 
                [], [], 
                '''                TSpecType
                ''',
                'tspec_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'generic-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.Fspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.Fspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GenericFspec.Otnfspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GenericFspec.Otnfspec',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit Rate in kbps
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nmc-or-tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                NMC or Tolerance
                ''',
                'nmc_or_tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Virtual Components
                ''',
                'nvc',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otnfspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GenericFspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GenericFspec',
            False, 
            [
            _MetaInfoClassMember('fspec-type', REFERENCE_ENUM_CLASS, 'TeMgmtGenericFspecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeMgmtGenericFspecEnum', 
                [], [], 
                '''                FSpecType
                ''',
                'fspec_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otnfspec', REFERENCE_CLASS, 'Otnfspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GenericFspec.Otnfspec', 
                [], [], 
                '''                TE FSpec for G709 OTN
                ''',
                'otnfspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'generic-fspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'next-hop-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'previous-hop-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'incoming-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.S2LConvergence' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.S2LConvergence',
            False, 
            [
            _MetaInfoClassMember('creation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tunnel creation timestamp (clocktime in nsecs)
                ''',
                'creation_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rewrite', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP Label rewrite timestamp (clocktime in nsecs)
                ''',
                'label_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Path-in timestamp (clocktime in nsecs)
                ''',
                'path_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Path-in timestamp (clocktime in nsecs)
                ''',
                'path_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Resv-in timestamp (clocktime in nsecs)
                ''',
                'resv_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Resv-out timestamp (clocktime in nsecs)
                ''',
                'resv_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-rewrite', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tunnel rewrite timestamp (clocktime in nsecs)
                ''',
                'tunnel_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-convergence',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.SoftPreemption' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.SoftPreemption',
            False, 
            [
            _MetaInfoClassMember('fr-rrewrite', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR-rewrite during soft preemption
                ''',
                'fr_rrewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fr-rrewrite-tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The tunnel name of the backup
                ''',
                'fr_rrewrite_tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('preempting-link-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The address of the link where the preemption
                happened
                ''',
                'preempting_link_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-link', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the link where the soft preemption
                occurred
                ''',
                'soft_preemption_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The POSIX timestamp when the soft preemption
                occurred
                ''',
                'soft_preemption_timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'MplsTeSoftPreemptionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeSoftPreemptionStateEnum', 
                [], [], 
                '''                The current state of the soft preemption
                operation
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-to-hard-preemption', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The number of seconds until hard preemption is
                triggered
                ''',
                'time_to_hard_preemption',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'soft-preemption',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels',
            False, 
            [
            _MetaInfoClassMember('path-egress-label', REFERENCE_CLASS, 'PathEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel', 
                [], [], 
                '''                Path message (upstream) egress label
                ''',
                'path_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-ingress-label', REFERENCE_CLASS, 'PathIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel', 
                [], [], 
                '''                Path message (upstream) ingress label
                ''',
                'path_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-egress-label', REFERENCE_CLASS, 'ResvEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel', 
                [], [], 
                '''                Resv message (downstream) egress label
                ''',
                'resv_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-ingress-label', REFERENCE_CLASS, 'ResvIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel', 
                [], [], 
                '''                Resv message (downstream) ingress label
                ''',
                'resv_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'gmpls-labels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tolerance
                ''',
                'tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-cbr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-gfp-f-res',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-gfp-f-non-res',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth',
            False, 
            [
            _MetaInfoClassMember('odu-flex-cbr', REFERENCE_CLASS, 'OduFlexCbr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr', 
                [], [], 
                '''                Odu flex CBR info
                ''',
                'odu_flex_cbr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-flex-gfp-f-non-res', REFERENCE_CLASS, 'OduFlexGfpFNonRes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes', 
                [], [], 
                '''                Odu flex GFP-F non-resizable info
                ''',
                'odu_flex_gfp_f_non_res',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-flex-gfp-f-res', REFERENCE_CLASS, 'OduFlexGfpFRes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes', 
                [], [], 
                '''                Odu flex GFP-F resizable info
                ''',
                'odu_flex_gfp_f_res',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-level', REFERENCE_ENUM_CLASS, 'TeOduLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeOduLevelEnum', 
                [], [], 
                '''                ODULevel
                ''',
                'odu_level',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels',
            False, 
            [
            _MetaInfoClassMember('path-egress-label', REFERENCE_CLASS, 'PathEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel', 
                [], [], 
                '''                Path message (upstream) egress label
                ''',
                'path_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-ingress-label', REFERENCE_CLASS, 'PathIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel', 
                [], [], 
                '''                Path message (upstream) ingress label
                ''',
                'path_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-egress-label', REFERENCE_CLASS, 'ResvEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel', 
                [], [], 
                '''                Resv message (downstream) egress label
                ''',
                'resv_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-ingress-label', REFERENCE_CLASS, 'ResvIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel', 
                [], [], 
                '''                Resv message (downstream) ingress label
                ''',
                'resv_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'labels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn',
            False, 
            [
            _MetaInfoClassMember('bandwidth', REFERENCE_CLASS, 'Bandwidth' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth', 
                [], [], 
                '''                OTN Bandwidth for s2l
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cross-connect-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cross connect id
                ''',
                'cross_connect_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gpid', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Gpid Payload
                ''',
                'gpid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Incoming Controller
                ''',
                'incoming_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Incoming Controller Ifhandle
                ''',
                'incoming_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Controller
                ''',
                'incoming_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Incoming Sub Controller
                ''',
                'incoming_sub_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Incoming Sub Controller Ifhandle
                ''',
                'incoming_sub_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Sub Controller
                ''',
                'incoming_sub_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if subcontrollers are connected
                ''',
                'is_connected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('labels', REFERENCE_CLASS, 'Labels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels', 
                [], [], 
                '''                Labels
                ''',
                'labels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing Controller
                ''',
                'outgoing_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Controller Ifhandle
                ''',
                'outgoing_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Controller
                ''',
                'outgoing_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing Sub Controller
                ''',
                'outgoing_sub_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Sub Controller Ifhandle
                ''',
                'outgoing_sub_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Sub Controller
                ''',
                'outgoing_sub_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                XC Uptime
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Aps.ProtectionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Aps.ProtectionInfo',
            False, 
            [
            _MetaInfoClassMember('ho-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-Off timeout
                ''',
                'ho_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-hopresent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Hold-Off timeout present
                ''',
                'is_hopresent',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-snc-mode-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SNC mode present
                ''',
                'is_snc_mode_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-wtr-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Wait-to-Restore timeout present
                ''',
                'is_wtr_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Notification bit 
                ''',
                'nbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('obit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Operational bit
                ''',
                'obit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path protection profile type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Protecting bit
                ''',
                'pbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protect-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                LSP Protect Type
                ''',
                'protect_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Secondary bit
                ''',
                'sbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                SNC mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TCM ID
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wtr-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait-to-Restore timeout
                ''',
                'wtr_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protection-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Aps' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Aps',
            False, 
            [
            _MetaInfoClassMember('protection-info', REFERENCE_CLASS, 'ProtectionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Aps.ProtectionInfo', 
                [], [], 
                '''                Protection Info
                ''',
                'protection_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'aps',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L',
            False, 
            [
            _MetaInfoClassMember('aps', REFERENCE_CLASS, 'Aps' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Aps', 
                [], [], 
                '''                APS Info for OTN S2L
                ''',
                'aps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn', 
                [], [], 
                '''                Info Related to OTN technology in S2L
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn-s2l',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo.SessionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo.SessionInfo',
            False, 
            [
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'TeBfdLspSessionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdLspSessionStateEnum', 
                [], [], 
                '''                BFD session state
                ''',
                'state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('state-change-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last session state
                change
                ''',
                'state_change_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'session-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo.DeletionHistory' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo.DeletionHistory',
            False, 
            [
            _MetaInfoClassMember('deletion-diagnostic-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Diagnostic Code for the BFD session get deleted
                ''',
                'deletion_diagnostic_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reason for the BFD session get deleted
                ''',
                'deletion_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time stamp of the BFD session get deleted
                ''',
                'deletion_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID of the BFD session get deleted
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'deletion-history',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-reverse-path-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path labels
                ''',
                'bfd_reverse_path_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The BFD reverse path is stale compared to
                configuration
                ''',
                'bfd_reverse_path_stale',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('creation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the BFD session created
                ''',
                'creation_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-history', REFERENCE_CLASS, 'DeletionHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo.DeletionHistory', 
                [], [], 
                '''                BFD Session Deletion History
                ''',
                'deletion_history',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-redundant', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                sBFD session is redundant
                ''',
                'is_redundant',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lspbfd-type', REFERENCE_ENUM_CLASS, 'TeVifBfdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeVifBfdEnum', 
                [], [], 
                '''                LSP BFD type
                ''',
                'lspbfd_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-info', REFERENCE_CLASS, 'SessionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo.SessionInfo', 
                [], [], 
                '''                BFD Session Info
                ''',
                'session_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'head-end-bfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.TailEndBfdInfo.SessionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.TailEndBfdInfo.SessionInfo',
            False, 
            [
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'TeBfdLspSessionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdLspSessionStateEnum', 
                [], [], 
                '''                BFD session state
                ''',
                'state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('state-change-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last session state
                change
                ''',
                'state_change_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'session-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.TailEndBfdInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.TailEndBfdInfo',
            False, 
            [
            _MetaInfoClassMember('failure-diagnostic-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD session failure diagnostic code
                ''',
                'failure_diagnostic_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('failure-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                BFD session failure reason
                ''',
                'failure_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-discriminator', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Local Discriminator
                ''',
                'local_discriminator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('min-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello interval in mini second
                ''',
                'min_interval',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('min-interval-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default hello interval
                ''',
                'min_interval_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default multiplier
                ''',
                'multiplier_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-discriminator', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Remote Discrminator
                ''',
                'remote_discriminator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-info', REFERENCE_CLASS, 'SessionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.TailEndBfdInfo.SessionInfo', 
                [], [], 
                '''                BFD Session Info
                ''',
                'session_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tail-end-bfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.SrlgCollection' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.SrlgCollection',
            False, 
            [
            _MetaInfoClassMember('discovered-srlg', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Discovered SRLGs
                ''',
                'discovered_srlg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-collect-type', REFERENCE_ENUM_CLASS, 'TeSrlgCollectRequestEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSrlgCollectRequestEnum', 
                [], [], 
                '''                SRLG-collection mechanism
                ''',
                'srlg_collect_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-collection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.Association' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.Association',
            False, 
            [
            _MetaInfoClassMember('s2l-association-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Association ID
                ''',
                's2l_association_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                S2L Association Source
                ''',
                's2l_association_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-tie-role', REFERENCE_ENUM_CLASS, 'TeAssociationTieRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAssociationTieRoleEnum', 
                [], [], 
                '''                S2L Association Tie Role
                ''',
                's2l_association_tie_role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Association Type                         
                (draft-ietf-ccamp-mpls-tp-rsvpte-ext-associated-lsp)
                ''',
                's2l_association_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-extended-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L Extended ID Array
                ''',
                's2l_extended_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-global-source', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L Global Source
                ''',
                's2l_global_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'association',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.Protection' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.Protection',
            False, 
            [
            _MetaInfoClassMember('any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Any
                ''',
                'any',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ded1-plus1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1+1 Protection
                ''',
                'ded1_plus1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ded1-to1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1:1 Protection
                ''',
                'ded1_to1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('enhanced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates Enhanced Protection Scheme
                ''',
                'enhanced',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extra-traffic', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should use Links that are protecting other
                (primary) traffic
                ''',
                'extra_traffic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should not use any Link Layer Protection
                ''',
                'link_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Flags Unprotected
                ''',
                'lsp_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-plus-one-bi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Bidirectional Protection
                ''',
                'one_plus_one_bi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-plus-one-uni', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Unidirectional Protection
                ''',
                'one_plus_one_uni',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-to-n-protection-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1:N Protection with Extra-Traffic
                ''',
                'one_to_n_protection_et',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Full Rerouting
                ''',
                'rerouting',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouting-no-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Rerouting Without Extra-Traffic
                ''',
                'rerouting_no_et',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-notification', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Notification Bit
                ''',
                's2l_notification',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-operational', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Operational Bit
                ''',
                's2l_operational',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Protecting Bit
                ''',
                's2l_protecting',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-secondary', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Secondary Bit
                ''',
                's2l_secondary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Shared Link Layer Protection
                ''',
                'shared',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseLspFec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseLspFec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseLspFec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseLspFec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseLspFec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-lsp-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseTspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseTspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.FlexInfo.FlexFec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.FlexInfo.FlexFec',
            False, 
            [
            _MetaInfoClassMember('s2l-fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                Session identifier (ctype)
                ''',
                's2l_fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-dest', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                sub-LSP destination address
                ''',
                's2l_fec_dest',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                's2l_fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                's2l_fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                's2l_fec_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSP source address
                ''',
                's2l_fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                sub-LSP subgroup ID
                ''',
                's2l_fec_subgroup_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                's2l_fec_subgroup_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                's2l_fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                's2l_fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.FlexInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.FlexInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-created', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GAL BFD Session Created
                ''',
                'bfd_created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-egress-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Egress Label
                ''',
                'bfd_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-int-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Internal Label
                ''',
                'bfd_int_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                BFD Next Hop
                ''',
                'bfd_next_hop',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-out-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD Out Interface Handle
                ''',
                'bfd_out_ifh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-tun-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD Tunnel Interface Handle
                ''',
                'bfd_tun_ifh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GAL BFD Session Up
                ''',
                'bfd_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('entry-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FlexLSP Entry Exists
                ''',
                'entry_exists',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ais', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault AIS
                ''',
                'fault_ais',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ldi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LDI
                ''',
                'fault_ldi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ldi-lockout', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LDI Lockout
                ''',
                'fault_ldi_lockout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-lkr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LKR
                ''',
                'fault_lkr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Fault Time
                ''',
                'fault_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex-fec', REFERENCE_CLASS, 'FlexFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.FlexInfo.FlexFec', 
                [], [], 
                '''                FEC for the FlexLSP Entry
                ''',
                'flex_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                In Label
                ''',
                'in_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('oam-created', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                OAM Entry Created
                ''',
                'oam_created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.LspWrapInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.LspWrapInfo',
            False, 
            [
            _MetaInfoClassMember('lsp-wrap-protection-enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Wrap protection enabled
                ''',
                'lsp_wrap_protection_enable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-protection-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSP Wrap Merge Point Label
                ''',
                'lsp_wrap_protection_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-protection-state', REFERENCE_ENUM_CLASS, 'MplsTeLspWrapStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspWrapStateEnum', 
                [], [], 
                '''                LSP wrap protection state
                ''',
                'lsp_wrap_protection_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reverse Egress Interface
                ''',
                'reverse_egress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reverse LSP label
                ''',
                'reverse_lsp_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-wrap-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.DiversityInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.DiversityInfo',
            False, 
            [
            _MetaInfoClassMember('diversity-type', REFERENCE_ENUM_CLASS, 'TePpDiversityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePpDiversityEnum', 
                [], [], 
                '''                S2L path diversity type
                ''',
                'diversity_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'diversity-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.SharedRiskLinkGroup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.SharedRiskLinkGroup',
            False, 
            [
            _MetaInfoClassMember('shared-risk-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG number
                ''',
                'shared_risk_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SRLG name
                ''',
                'srlg_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'shared-risk-link-group',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutEro.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutEro.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutEro.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutEro.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutEro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutEro',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutEro.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutEro.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'out-ero',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InEro.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InEro.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InEro.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InEro.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InEro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InEro',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InEro.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InEro.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'in-ero',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.Ipv4RroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.Ipv4RroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.Ipv4RroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.Ipv4RroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.Ipv4RroSubObject.Flags', 
                [], [], 
                '''                The RRO IPV4 Subobject Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO IPV4 Address
                ''',
                'rro_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.LabelRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.LabelRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-global-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label is Global across all interfaces
                ''',
                'is_global_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.LabelRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.LabelRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.LabelRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Label Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-label-variable-length', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the RRO Subobject Label Variable Length
                ''',
                'is_label_variable_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Label Value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('variable-length-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Variable Length Label
                ''',
                'variable_length_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'label-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.UnnumberedRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.UnnumberedRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Unnumbered Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO Interface Address
                ''',
                'interface_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.SrlgRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.SrlgRroSubObject',
            False, 
            [
            _MetaInfoClassMember('srl-gs', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject SRLGs
                ''',
                'srl_gs',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro',
            False, 
            [
            _MetaInfoClassMember('ipv4rro-sub-object', REFERENCE_CLASS, 'Ipv4RroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.Ipv4RroSubObject', 
                [], [], 
                '''                IPV4 RRO Sub Object
                ''',
                'ipv4rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rro-sub-object', REFERENCE_CLASS, 'LabelRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.LabelRroSubObject', 
                [], [], 
                '''                Label RRO Sub Object
                ''',
                'label_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtRroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtRroSubobjEnum', 
                [], [], 
                '''                RROType
                ''',
                'rro_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-rro-sub-object', REFERENCE_CLASS, 'SrlgRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.SrlgRroSubObject', 
                [], [], 
                '''                SRLG RRO Sub Object
                ''',
                'srlg_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-rro-sub-object', REFERENCE_CLASS, 'UnnumberedRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.UnnumberedRroSubObject', 
                [], [], 
                '''                Unnumbered RRO Sub Object
                ''',
                'unnumbered_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-rro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.Ipv4RroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.Ipv4RroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags', 
                [], [], 
                '''                The RRO IPV4 Subobject Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO IPV4 Address
                ''',
                'rro_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.LabelRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.LabelRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-global-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label is Global across all interfaces
                ''',
                'is_global_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.LabelRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.LabelRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.LabelRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Label Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-label-variable-length', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the RRO Subobject Label Variable Length
                ''',
                'is_label_variable_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Label Value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('variable-length-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Variable Length Label
                ''',
                'variable_length_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'label-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Unnumbered Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO Interface Address
                ''',
                'interface_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.SrlgRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.SrlgRroSubObject',
            False, 
            [
            _MetaInfoClassMember('srl-gs', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject SRLGs
                ''',
                'srl_gs',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro',
            False, 
            [
            _MetaInfoClassMember('ipv4rro-sub-object', REFERENCE_CLASS, 'Ipv4RroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.Ipv4RroSubObject', 
                [], [], 
                '''                IPV4 RRO Sub Object
                ''',
                'ipv4rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rro-sub-object', REFERENCE_CLASS, 'LabelRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.LabelRroSubObject', 
                [], [], 
                '''                Label RRO Sub Object
                ''',
                'label_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtRroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtRroSubobjEnum', 
                [], [], 
                '''                RROType
                ''',
                'rro_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-rro-sub-object', REFERENCE_CLASS, 'SrlgRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.SrlgRroSubObject', 
                [], [], 
                '''                SRLG RRO Sub Object
                ''',
                'srlg_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-rro-sub-object', REFERENCE_CLASS, 'UnnumberedRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject', 
                [], [], 
                '''                Unnumbered RRO Sub Object
                ''',
                'unnumbered_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-rro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathAffinityArray' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathAffinityArray',
            False, 
            [
            _MetaInfoClassMember('hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Hop address
                ''',
                'hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop-affinity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'hop_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop-extended-affinity', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hop affinity
                ''',
                'hop_extended_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-affinity-array',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseEroIn.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseEroIn.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseEroIn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseEroIn',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseEroIn.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-ero-in',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.S2LSegmentRoutingPath' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.S2LSegmentRoutingPath',
            False, 
            [
            _MetaInfoClassMember('has-entropy-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Hop has EL specified
                ''',
                'has_entropy_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-ip-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node has IP addresses specified
                ''',
                'has_ip_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-mpls-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Hop has MPLS label specified
                ''',
                'has_mpls_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local IP address of adjacency or Node ID
                ''',
                'local_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mpls-label-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The MPLS label value
                ''',
                'mpls_label_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote IP address of adjacency
                ''',
                'remote_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sid-type', REFERENCE_ENUM_CLASS, 'TeSrSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSrSidEnum', 
                [], [], 
                '''                Type of the SID
                ''',
                'sid_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-segment-routing-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L',
            False, 
            [
            _MetaInfoClassMember('abr-auto-discovered', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next ABR auto discovered
                ''',
                'abr_auto_discovered',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('active-path-option', REFERENCE_CLASS, 'ActivePathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption', 
                [], [], 
                '''                The path option used to find the path for this
                S2L
                ''',
                'active_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('association', REFERENCE_CLASS, 'Association' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.Association', 
                [], [], 
                '''                Association Object
                ''',
                'association',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface handle of the backup tunnel
                ''',
                'backup_tunnel_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('diversity-info', REFERENCE_CLASS, 'DiversityInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.DiversityInfo', 
                [], [], 
                '''                S2L Diversity Information
                ''',
                'diversity_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('downstream-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Downstream router id
                ''',
                'downstream_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Egress Interface
                ''',
                'egress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface-brief', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Egress Interface in brief format
                ''',
                'egress_interface_brief',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Interface
                ''',
                'egress_interface_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Outgoing ERO's affinity bits (colors)
                ''',
                'expanded_ero_affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Outgoing ERO's affinity mask (colors)
                ''',
                'expanded_ero_affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Indicates the protocol and area used to find
                Outgoing ERO
                ''',
                'expanded_ero_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The metric value of the expanded path
                ''',
                'expanded_ero_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-metric-type', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                The Outgoing ERO's selection metric
                ''',
                'expanded_ero_metric_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex-info', REFERENCE_CLASS, 'FlexInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.FlexInfo', 
                [], [], 
                '''                FlexLSP S2L Information
                ''',
                'flex_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-out-tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FRR out tunnel intface
                ''',
                'frr_out_tunnel_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fspec', REFERENCE_CLASS, 'Fspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.Fspec', 
                [], [], 
                '''                The F spec info
                ''',
                'fspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generic-fspec', REFERENCE_CLASS, 'GenericFspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GenericFspec', 
                [], [], 
                '''                Generic FSpec
                ''',
                'generic_fspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generic-tspec', REFERENCE_CLASS, 'GenericTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GenericTspec', 
                [], [], 
                '''                Generic TSpec
                ''',
                'generic_tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gmpls-labels', REFERENCE_CLASS, 'GmplsLabels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels', 
                [], [], 
                '''                GMPLS labels
                ''',
                'gmpls_labels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('head-end-bfd-info', REFERENCE_CLASS, 'HeadEndBfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo', 
                [], [], 
                '''                The Head-end BFD info
                ''',
                'head_end_bfd_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-ero', REFERENCE_LIST, 'InEro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InEro', 
                [], [], 
                '''                Incoming ERO for this S2L
                ''',
                'in_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-xro', REFERENCE_CLASS, 'InXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro', 
                [], [], 
                '''                Incoming XRO for this S2L
                ''',
                'in_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Incoming interface address
                ''',
                'incoming_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-address-generic', REFERENCE_CLASS, 'IncomingAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric', 
                [], [], 
                '''                Incoming interface address
                ''',
                'incoming_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ingress Interface
                ''',
                'ingress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface-brief', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ingress Interface in brief format
                ''',
                'ingress_interface_brief',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Interface
                ''',
                'ingress_interface_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-protect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BW Protection Enabled or Disabled
                ''',
                'is_bandwidth_protect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-expanded-ero', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if this LSR expanded a loose path
                ''',
                'is_expanded_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-frr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Enabled or Disabled
                ''',
                'is_frr_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Enabled or Disabled
                ''',
                'is_node_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-optical', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Optical
                ''',
                'is_optical',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local router id
                ''',
                'local_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-info', REFERENCE_CLASS, 'LspWrapInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.LspWrapInfo', 
                [], [], 
                '''                Lsp Wrap  Related information
                ''',
                'lsp_wrap_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop address
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address-generic', REFERENCE_CLASS, 'NextHopAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric', 
                [], [], 
                '''                Next hop address
                ''',
                'next_hop_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('node-hop-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hop count
                ''',
                'node_hop_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn-s2l', REFERENCE_CLASS, 'OtnS2L' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L', 
                [], [], 
                '''                Otn S2L Information
                ''',
                'otn_s2l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-ero', REFERENCE_LIST, 'OutEro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutEro', 
                [], [], 
                '''                Outgoing ERO for this S2L
                ''',
                'out_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-xro', REFERENCE_CLASS, 'OutXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro', 
                [], [], 
                '''                Outgoing XRO for this S2L
                ''',
                'out_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outbound-frr-state', REFERENCE_ENUM_CLASS, 'MplsTeFrrStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeFrrStateEnum', 
                [], [], 
                '''                Indicates outbound FRR state
                ''',
                'outbound_frr_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-affinity-array', REFERENCE_LIST, 'PathAffinityArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathAffinityArray', 
                [], [], 
                '''                Tunnel's Path hops with affinity
                ''',
                'path_affinity_array',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reeval-query-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loose path reevaluation query received at
                mid-point
                ''',
                'path_reeval_query_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-rro', REFERENCE_LIST, 'PathRro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro', 
                [], [], 
                '''                Path RRO for this S2L
                ''',
                'path_rro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-rro-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path RRO Enabled or Disabled
                ''',
                'path_rro_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-using-strict-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is using Strict SPF
                ''',
                'path_using_strict_spf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcalc-area', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IGP-area in which the S2L path was calculated
                ''',
                'pcalc_area',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Previous hop address
                ''',
                'previous_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-hop-address-generic', REFERENCE_CLASS, 'PreviousHopAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric', 
                [], [], 
                '''                Previous hop address
                ''',
                'previous_hop_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection', REFERENCE_CLASS, 'Protection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.Protection', 
                [], [], 
                '''                Protection Object
                ''',
                'protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-rro', REFERENCE_LIST, 'ResvRro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro', 
                [], [], 
                '''                Resv RRO for this S2L
                ''',
                'resv_rro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-ero-in', REFERENCE_LIST, 'ReverseEroIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseEroIn', 
                [], [], 
                '''                 Reverse Incoming ERO for this S2L
                ''',
                'reverse_ero_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Connected
                ''',
                'reverse_lsp_connected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-fec', REFERENCE_CLASS, 'ReverseLspFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseLspFec', 
                [], [], 
                '''                Reverse Associated Bidir LSP FEC
                ''',
                'reverse_lsp_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Name
                ''',
                'reverse_lsp_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Present
                ''',
                'reverse_lsp_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-tspec', REFERENCE_CLASS, 'ReverseTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseTspec', 
                [], [], 
                '''                The Reverse T spec info
                ''',
                'reverse_tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The reverse path weight
                ''',
                'reverse_weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('role', REFERENCE_ENUM_CLASS, 'MplsTeTunnelRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelRoleEnum', 
                [], [], 
                '''                Role of S2L
                ''',
                'role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-convergence', REFERENCE_CLASS, 'S2LConvergence' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.S2LConvergence', 
                [], [], 
                '''                TE LSP convergence related information
                ''',
                's2l_convergence',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec', REFERENCE_CLASS, 'S2LFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.S2LFec', 
                [], [], 
                '''                FEC for the S2L
                ''',
                's2l_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label
                ''',
                's2l_local_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing label
                ''',
                's2l_out_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-ero-obj-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2l Reverse ERO Object Present
                ''',
                's2l_reverse_ero_obj_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-lsp-sub-obj', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Reverse LSP Sub Objects
                ''',
                's2l_reverse_lsp_sub_obj',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-tspec-obj-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Reverse TSpec Object Present
                ''',
                's2l_reverse_tspec_obj_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-segment-routing-path', REFERENCE_LIST, 'S2LSegmentRoutingPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.S2LSegmentRoutingPath', 
                [], [], 
                '''                Segment-Routing S2L path info
                ''',
                's2l_segment_routing_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared-risk-link-group', REFERENCE_LIST, 'SharedRiskLinkGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.SharedRiskLinkGroup', 
                [], [], 
                '''                The S2L's excluded srlg groups
                ''',
                'shared_risk_link_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-status', REFERENCE_ENUM_CLASS, 'MplsTeTunnelsSignalingStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelsSignalingStatusEnum', 
                [], [], 
                '''                Signaling status
                ''',
                'signalling_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption', REFERENCE_CLASS, 'SoftPreemption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.SoftPreemption', 
                [], [], 
                '''                The soft preemption info for this LSP.
                ''',
                'soft_preemption',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-collection', REFERENCE_CLASS, 'SrlgCollection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.SrlgCollection', 
                [], [], 
                '''                SRLG-collection data
                ''',
                'srlg_collection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tail-end-bfd-info', REFERENCE_CLASS, 'TailEndBfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.TailEndBfdInfo', 
                [], [], 
                '''                The Tail-end BFD info
                ''',
                'tail_end_bfd_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-preferred-path-exists-send-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last preferred path exists msg send
                from mid-point
                ''',
                'time_since_last_preferred_path_exists_send_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-preferred-tree-exists-send-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last preferred tree exists msg send
                from mid-point
                ''',
                'time_since_last_preferred_tree_exists_send_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-query-received-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last reevaluation query received at
                mid-point
                ''',
                'time_since_last_query_received_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tspec', REFERENCE_CLASS, 'Tspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.Tspec', 
                [], [], 
                '''                The T spec info
                ''',
                'tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('upstream-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Upstream router id
                ''',
                'upstream_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the tunnel was up
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The path's weight
                ''',
                'weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp',
            False, 
            [
            _MetaInfoClassMember('dste-class-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Matching DSTE class index
                ''',
                'dste_class_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-match', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Do the class type and priority match a DSTE
                class
                ''',
                'dste_class_match',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-active-reason', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP LSP FRR active reason
                ''',
                'frr_active_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-frr-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                P2MP LSP has FRR Failed
                ''',
                'is_frr_failed',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True for tunnel head
                ''',
                'is_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-passive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True for passive tunnel
                ''',
                'is_passive',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-path-change', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last path change
                ''',
                'last_path_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP LSP Bandwidth
                ''',
                'lsp_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The LSP bandwidth type
                ''',
                'lsp_bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-fec', REFERENCE_CLASS, 'LspFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.LspFec', 
                [], [], 
                '''                FEC for the LSP
                ''',
                'lsp_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSP hold priority
                ''',
                'lsp_hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSP setup priority
                ''',
                'lsp_setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('persistent-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Persistent forwarding statistics for number of
                bytes. Clear counters will not reset the counter
                ''',
                'persistent_bytes',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('persistent-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Persistent forwarding statistics for Number of
                packets. Clear counters will not reset the
                counter
                ''',
                'persistent_packets',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimize-reason', REFERENCE_ENUM_CLASS, 'MplsTeReoptDecisionReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeReoptDecisionReasonEnum', 
                [], [], 
                '''                Reason for re-optimization
                ''',
                'reoptimize_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimize-trigger', REFERENCE_ENUM_CLASS, 'MteReoptTriggerEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MteReoptTriggerEnum', 
                [], [], 
                '''                Re-optimize trigger
                ''',
                'reoptimize_trigger',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-down', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of down S2Ls
                ''',
                's2_ls_down',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-proceeding', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of proceeding S2Ls
                ''',
                's2_ls_proceeding',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of connected S2Ls
                ''',
                's2_ls_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l', REFERENCE_LIST, 'S2L' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L', 
                [], [], 
                '''                array of S2L structures
                ''',
                's2l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signaled-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signaled Name
                ''',
                'signaled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('timer-left', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds left to take next action if any
                ''',
                'timer_left',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MplsTeLspEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspEnum', 
                [], [], 
                '''                The type of this LSP
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the tunnel was up
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reoptimized-p2mp-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.LspFec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.LspFec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.LspFec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.LspFec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.LspFec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.S2LFec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.S2LFec',
            False, 
            [
            _MetaInfoClassMember('s2l-fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                Session identifier (ctype)
                ''',
                's2l_fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-dest', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                sub-LSP destination address
                ''',
                's2l_fec_dest',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                's2l_fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                's2l_fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                's2l_fec_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSP source address
                ''',
                's2l_fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                sub-LSP subgroup ID
                ''',
                's2l_fec_subgroup_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                's2l_fec_subgroup_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                's2l_fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                's2l_fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.PathCalculationError' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.PathCalculationError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-calculation-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.RemergeError' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.RemergeError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'remerge-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.SignallingError' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.SignallingError',
            False, 
            [
            _MetaInfoClassMember('error', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Path Error code
                ''',
                'error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Source address of the error generating node
                ''',
                'error_node',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSPMode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if error is on the reverse LSP
                ''',
                'reverse_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP-id for which the error was received
                ''',
                'signalling_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path Error subcode
                ''',
                'sub_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalling-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption',
            False, 
            [
            _MetaInfoClassMember('attribute-set', REFERENCE_CLASS, 'AttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet', 
                [], [], 
                '''                The path option attribute set used by this path
                ''',
                'attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-found', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has found the defined attribute
                set
                ''',
                'attribute_set_found',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Explicit Path ID, this is the key to table
                ExplicitPaths.IdentifierTable
                ''',
                'explicit_path_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Explicit Path Name, this is the key to table
                ExplicitPaths.NameTable
                ''',
                'explicit_path_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has an attribute set defined
                ''',
                'has_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-xro-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has an XRO attribute set
                configured
                ''',
                'has_xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('holddown-duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Holddown Duration (seconds)
                ''',
                'holddown_duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path option is disabled
                ''',
                'is_disabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-helddown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if path is helddown
                ''',
                'is_helddown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-lockdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is locked down
                ''',
                'is_lockdown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-segment-routing', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is Segment-Routing
                ''',
                'is_segment_routing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-explicit-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if explicit path is strict
                ''',
                'is_strict_explicit_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-verbatim', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is verbatim
                ''',
                'is_verbatim',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index
                ''',
                'option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index-is-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The path option index is valid
                ''',
                'option_index_is_valid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-calculation-error', REFERENCE_LIST, 'PathCalculationError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.PathCalculationError', 
                [], [], 
                '''                Path computation information
                ''',
                'path_calculation_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The path-option area constraint
                ''',
                'path_option_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path option name
                ''',
                'path_option_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-type', REFERENCE_ENUM_CLASS, 'MplsTePathoptionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTePathoptionEnum', 
                [], [], 
                '''                Path option type
                ''',
                'path_option_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                PCE server address
                ''',
                'pce_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-by-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for Protect path options
                ''',
                'protected_by_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remerge-error', REFERENCE_LIST, 'RemergeError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.RemergeError', 
                [], [], 
                '''                Path computation remerge resolve info
                ''',
                'remerge_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restored-from-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for Restore path options
                ''',
                'restored_from_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-error', REFERENCE_LIST, 'SignallingError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.SignallingError', 
                [], [], 
                '''                Signalling information
                ''',
                'signalling_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set', REFERENCE_CLASS, 'XroAttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet', 
                [], [], 
                '''                The XRO attribute set used by this path-option
                ''',
                'xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set-found', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path's XRO attribute set is known
                ''',
                'xro_attribute_set_found',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'active-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'out-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'in-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.Tspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.Tspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GenericTspec.Otntspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GenericTspec.Otntspec',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit Rate in kbps
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nmc-or-tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                NMC or Tolerance
                ''',
                'nmc_or_tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Virtual Components
                ''',
                'nvc',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otntspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GenericTspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GenericTspec',
            False, 
            [
            _MetaInfoClassMember('otntspec', REFERENCE_CLASS, 'Otntspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GenericTspec.Otntspec', 
                [], [], 
                '''                TE TSpec for G709 OTN
                ''',
                'otntspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tspec-type', REFERENCE_ENUM_CLASS, 'TeMgmtGenericTspecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeMgmtGenericTspecEnum', 
                [], [], 
                '''                TSpecType
                ''',
                'tspec_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'generic-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.Fspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.Fspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GenericFspec.Otnfspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GenericFspec.Otnfspec',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit Rate in kbps
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nmc-or-tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                NMC or Tolerance
                ''',
                'nmc_or_tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Virtual Components
                ''',
                'nvc',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otnfspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GenericFspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GenericFspec',
            False, 
            [
            _MetaInfoClassMember('fspec-type', REFERENCE_ENUM_CLASS, 'TeMgmtGenericFspecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeMgmtGenericFspecEnum', 
                [], [], 
                '''                FSpecType
                ''',
                'fspec_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otnfspec', REFERENCE_CLASS, 'Otnfspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GenericFspec.Otnfspec', 
                [], [], 
                '''                TE FSpec for G709 OTN
                ''',
                'otnfspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'generic-fspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.NextHopAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.NextHopAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.NextHopAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.NextHopAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.NextHopAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'next-hop-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'previous-hop-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.IncomingAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.IncomingAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.IncomingAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.IncomingAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.IncomingAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'incoming-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.S2LConvergence' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.S2LConvergence',
            False, 
            [
            _MetaInfoClassMember('creation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tunnel creation timestamp (clocktime in nsecs)
                ''',
                'creation_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rewrite', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP Label rewrite timestamp (clocktime in nsecs)
                ''',
                'label_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Path-in timestamp (clocktime in nsecs)
                ''',
                'path_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Path-in timestamp (clocktime in nsecs)
                ''',
                'path_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Resv-in timestamp (clocktime in nsecs)
                ''',
                'resv_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Resv-out timestamp (clocktime in nsecs)
                ''',
                'resv_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-rewrite', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tunnel rewrite timestamp (clocktime in nsecs)
                ''',
                'tunnel_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-convergence',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.SoftPreemption' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.SoftPreemption',
            False, 
            [
            _MetaInfoClassMember('fr-rrewrite', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR-rewrite during soft preemption
                ''',
                'fr_rrewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fr-rrewrite-tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The tunnel name of the backup
                ''',
                'fr_rrewrite_tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('preempting-link-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The address of the link where the preemption
                happened
                ''',
                'preempting_link_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-link', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the link where the soft preemption
                occurred
                ''',
                'soft_preemption_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The POSIX timestamp when the soft preemption
                occurred
                ''',
                'soft_preemption_timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'MplsTeSoftPreemptionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeSoftPreemptionStateEnum', 
                [], [], 
                '''                The current state of the soft preemption
                operation
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-to-hard-preemption', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The number of seconds until hard preemption is
                triggered
                ''',
                'time_to_hard_preemption',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'soft-preemption',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels',
            False, 
            [
            _MetaInfoClassMember('path-egress-label', REFERENCE_CLASS, 'PathEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel', 
                [], [], 
                '''                Path message (upstream) egress label
                ''',
                'path_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-ingress-label', REFERENCE_CLASS, 'PathIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel', 
                [], [], 
                '''                Path message (upstream) ingress label
                ''',
                'path_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-egress-label', REFERENCE_CLASS, 'ResvEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel', 
                [], [], 
                '''                Resv message (downstream) egress label
                ''',
                'resv_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-ingress-label', REFERENCE_CLASS, 'ResvIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel', 
                [], [], 
                '''                Resv message (downstream) ingress label
                ''',
                'resv_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'gmpls-labels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tolerance
                ''',
                'tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-cbr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-gfp-f-res',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-gfp-f-non-res',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth',
            False, 
            [
            _MetaInfoClassMember('odu-flex-cbr', REFERENCE_CLASS, 'OduFlexCbr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr', 
                [], [], 
                '''                Odu flex CBR info
                ''',
                'odu_flex_cbr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-flex-gfp-f-non-res', REFERENCE_CLASS, 'OduFlexGfpFNonRes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes', 
                [], [], 
                '''                Odu flex GFP-F non-resizable info
                ''',
                'odu_flex_gfp_f_non_res',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-flex-gfp-f-res', REFERENCE_CLASS, 'OduFlexGfpFRes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes', 
                [], [], 
                '''                Odu flex GFP-F resizable info
                ''',
                'odu_flex_gfp_f_res',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-level', REFERENCE_ENUM_CLASS, 'TeOduLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeOduLevelEnum', 
                [], [], 
                '''                ODULevel
                ''',
                'odu_level',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels',
            False, 
            [
            _MetaInfoClassMember('path-egress-label', REFERENCE_CLASS, 'PathEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel', 
                [], [], 
                '''                Path message (upstream) egress label
                ''',
                'path_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-ingress-label', REFERENCE_CLASS, 'PathIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel', 
                [], [], 
                '''                Path message (upstream) ingress label
                ''',
                'path_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-egress-label', REFERENCE_CLASS, 'ResvEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel', 
                [], [], 
                '''                Resv message (downstream) egress label
                ''',
                'resv_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-ingress-label', REFERENCE_CLASS, 'ResvIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel', 
                [], [], 
                '''                Resv message (downstream) ingress label
                ''',
                'resv_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'labels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn',
            False, 
            [
            _MetaInfoClassMember('bandwidth', REFERENCE_CLASS, 'Bandwidth' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth', 
                [], [], 
                '''                OTN Bandwidth for s2l
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cross-connect-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cross connect id
                ''',
                'cross_connect_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gpid', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Gpid Payload
                ''',
                'gpid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Incoming Controller
                ''',
                'incoming_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Incoming Controller Ifhandle
                ''',
                'incoming_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Controller
                ''',
                'incoming_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Incoming Sub Controller
                ''',
                'incoming_sub_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Incoming Sub Controller Ifhandle
                ''',
                'incoming_sub_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Sub Controller
                ''',
                'incoming_sub_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if subcontrollers are connected
                ''',
                'is_connected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('labels', REFERENCE_CLASS, 'Labels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels', 
                [], [], 
                '''                Labels
                ''',
                'labels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing Controller
                ''',
                'outgoing_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Controller Ifhandle
                ''',
                'outgoing_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Controller
                ''',
                'outgoing_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing Sub Controller
                ''',
                'outgoing_sub_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Sub Controller Ifhandle
                ''',
                'outgoing_sub_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Sub Controller
                ''',
                'outgoing_sub_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                XC Uptime
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Aps.ProtectionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Aps.ProtectionInfo',
            False, 
            [
            _MetaInfoClassMember('ho-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-Off timeout
                ''',
                'ho_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-hopresent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Hold-Off timeout present
                ''',
                'is_hopresent',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-snc-mode-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SNC mode present
                ''',
                'is_snc_mode_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-wtr-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Wait-to-Restore timeout present
                ''',
                'is_wtr_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Notification bit 
                ''',
                'nbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('obit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Operational bit
                ''',
                'obit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path protection profile type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Protecting bit
                ''',
                'pbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protect-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                LSP Protect Type
                ''',
                'protect_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Secondary bit
                ''',
                'sbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                SNC mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TCM ID
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wtr-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait-to-Restore timeout
                ''',
                'wtr_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protection-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Aps' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Aps',
            False, 
            [
            _MetaInfoClassMember('protection-info', REFERENCE_CLASS, 'ProtectionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Aps.ProtectionInfo', 
                [], [], 
                '''                Protection Info
                ''',
                'protection_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'aps',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L',
            False, 
            [
            _MetaInfoClassMember('aps', REFERENCE_CLASS, 'Aps' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Aps', 
                [], [], 
                '''                APS Info for OTN S2L
                ''',
                'aps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn', 
                [], [], 
                '''                Info Related to OTN technology in S2L
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn-s2l',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.HeadEndBfdInfo.SessionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.HeadEndBfdInfo.SessionInfo',
            False, 
            [
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'TeBfdLspSessionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdLspSessionStateEnum', 
                [], [], 
                '''                BFD session state
                ''',
                'state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('state-change-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last session state
                change
                ''',
                'state_change_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'session-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.HeadEndBfdInfo.DeletionHistory' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.HeadEndBfdInfo.DeletionHistory',
            False, 
            [
            _MetaInfoClassMember('deletion-diagnostic-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Diagnostic Code for the BFD session get deleted
                ''',
                'deletion_diagnostic_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reason for the BFD session get deleted
                ''',
                'deletion_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time stamp of the BFD session get deleted
                ''',
                'deletion_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID of the BFD session get deleted
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'deletion-history',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.HeadEndBfdInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.HeadEndBfdInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-reverse-path-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path labels
                ''',
                'bfd_reverse_path_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The BFD reverse path is stale compared to
                configuration
                ''',
                'bfd_reverse_path_stale',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('creation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the BFD session created
                ''',
                'creation_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-history', REFERENCE_CLASS, 'DeletionHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.HeadEndBfdInfo.DeletionHistory', 
                [], [], 
                '''                BFD Session Deletion History
                ''',
                'deletion_history',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-redundant', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                sBFD session is redundant
                ''',
                'is_redundant',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lspbfd-type', REFERENCE_ENUM_CLASS, 'TeVifBfdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeVifBfdEnum', 
                [], [], 
                '''                LSP BFD type
                ''',
                'lspbfd_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-info', REFERENCE_CLASS, 'SessionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.HeadEndBfdInfo.SessionInfo', 
                [], [], 
                '''                BFD Session Info
                ''',
                'session_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'head-end-bfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.TailEndBfdInfo.SessionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.TailEndBfdInfo.SessionInfo',
            False, 
            [
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'TeBfdLspSessionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdLspSessionStateEnum', 
                [], [], 
                '''                BFD session state
                ''',
                'state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('state-change-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last session state
                change
                ''',
                'state_change_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'session-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.TailEndBfdInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.TailEndBfdInfo',
            False, 
            [
            _MetaInfoClassMember('failure-diagnostic-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD session failure diagnostic code
                ''',
                'failure_diagnostic_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('failure-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                BFD session failure reason
                ''',
                'failure_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-discriminator', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Local Discriminator
                ''',
                'local_discriminator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('min-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello interval in mini second
                ''',
                'min_interval',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('min-interval-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default hello interval
                ''',
                'min_interval_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default multiplier
                ''',
                'multiplier_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-discriminator', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Remote Discrminator
                ''',
                'remote_discriminator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-info', REFERENCE_CLASS, 'SessionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.TailEndBfdInfo.SessionInfo', 
                [], [], 
                '''                BFD Session Info
                ''',
                'session_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tail-end-bfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.SrlgCollection' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.SrlgCollection',
            False, 
            [
            _MetaInfoClassMember('discovered-srlg', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Discovered SRLGs
                ''',
                'discovered_srlg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-collect-type', REFERENCE_ENUM_CLASS, 'TeSrlgCollectRequestEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSrlgCollectRequestEnum', 
                [], [], 
                '''                SRLG-collection mechanism
                ''',
                'srlg_collect_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-collection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.Association' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.Association',
            False, 
            [
            _MetaInfoClassMember('s2l-association-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Association ID
                ''',
                's2l_association_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                S2L Association Source
                ''',
                's2l_association_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-tie-role', REFERENCE_ENUM_CLASS, 'TeAssociationTieRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAssociationTieRoleEnum', 
                [], [], 
                '''                S2L Association Tie Role
                ''',
                's2l_association_tie_role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Association Type                         
                (draft-ietf-ccamp-mpls-tp-rsvpte-ext-associated-lsp)
                ''',
                's2l_association_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-extended-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L Extended ID Array
                ''',
                's2l_extended_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-global-source', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L Global Source
                ''',
                's2l_global_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'association',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.Protection' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.Protection',
            False, 
            [
            _MetaInfoClassMember('any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Any
                ''',
                'any',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ded1-plus1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1+1 Protection
                ''',
                'ded1_plus1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ded1-to1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1:1 Protection
                ''',
                'ded1_to1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('enhanced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates Enhanced Protection Scheme
                ''',
                'enhanced',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extra-traffic', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should use Links that are protecting other
                (primary) traffic
                ''',
                'extra_traffic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should not use any Link Layer Protection
                ''',
                'link_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Flags Unprotected
                ''',
                'lsp_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-plus-one-bi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Bidirectional Protection
                ''',
                'one_plus_one_bi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-plus-one-uni', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Unidirectional Protection
                ''',
                'one_plus_one_uni',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-to-n-protection-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1:N Protection with Extra-Traffic
                ''',
                'one_to_n_protection_et',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Full Rerouting
                ''',
                'rerouting',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouting-no-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Rerouting Without Extra-Traffic
                ''',
                'rerouting_no_et',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-notification', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Notification Bit
                ''',
                's2l_notification',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-operational', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Operational Bit
                ''',
                's2l_operational',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Protecting Bit
                ''',
                's2l_protecting',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-secondary', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Secondary Bit
                ''',
                's2l_secondary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Shared Link Layer Protection
                ''',
                'shared',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseLspFec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseLspFec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseLspFec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseLspFec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseLspFec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-lsp-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseTspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseTspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.FlexInfo.FlexFec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.FlexInfo.FlexFec',
            False, 
            [
            _MetaInfoClassMember('s2l-fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                Session identifier (ctype)
                ''',
                's2l_fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-dest', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                sub-LSP destination address
                ''',
                's2l_fec_dest',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                's2l_fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                's2l_fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                's2l_fec_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSP source address
                ''',
                's2l_fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                sub-LSP subgroup ID
                ''',
                's2l_fec_subgroup_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                's2l_fec_subgroup_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                's2l_fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                's2l_fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.FlexInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.FlexInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-created', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GAL BFD Session Created
                ''',
                'bfd_created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-egress-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Egress Label
                ''',
                'bfd_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-int-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Internal Label
                ''',
                'bfd_int_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                BFD Next Hop
                ''',
                'bfd_next_hop',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-out-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD Out Interface Handle
                ''',
                'bfd_out_ifh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-tun-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD Tunnel Interface Handle
                ''',
                'bfd_tun_ifh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GAL BFD Session Up
                ''',
                'bfd_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('entry-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FlexLSP Entry Exists
                ''',
                'entry_exists',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ais', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault AIS
                ''',
                'fault_ais',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ldi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LDI
                ''',
                'fault_ldi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ldi-lockout', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LDI Lockout
                ''',
                'fault_ldi_lockout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-lkr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LKR
                ''',
                'fault_lkr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Fault Time
                ''',
                'fault_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex-fec', REFERENCE_CLASS, 'FlexFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.FlexInfo.FlexFec', 
                [], [], 
                '''                FEC for the FlexLSP Entry
                ''',
                'flex_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                In Label
                ''',
                'in_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('oam-created', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                OAM Entry Created
                ''',
                'oam_created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.LspWrapInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.LspWrapInfo',
            False, 
            [
            _MetaInfoClassMember('lsp-wrap-protection-enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Wrap protection enabled
                ''',
                'lsp_wrap_protection_enable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-protection-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSP Wrap Merge Point Label
                ''',
                'lsp_wrap_protection_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-protection-state', REFERENCE_ENUM_CLASS, 'MplsTeLspWrapStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspWrapStateEnum', 
                [], [], 
                '''                LSP wrap protection state
                ''',
                'lsp_wrap_protection_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reverse Egress Interface
                ''',
                'reverse_egress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reverse LSP label
                ''',
                'reverse_lsp_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-wrap-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.DiversityInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.DiversityInfo',
            False, 
            [
            _MetaInfoClassMember('diversity-type', REFERENCE_ENUM_CLASS, 'TePpDiversityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePpDiversityEnum', 
                [], [], 
                '''                S2L path diversity type
                ''',
                'diversity_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'diversity-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.SharedRiskLinkGroup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.SharedRiskLinkGroup',
            False, 
            [
            _MetaInfoClassMember('shared-risk-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG number
                ''',
                'shared_risk_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SRLG name
                ''',
                'srlg_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'shared-risk-link-group',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutEro.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutEro.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutEro.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutEro.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutEro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutEro',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutEro.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutEro.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'out-ero',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InEro.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InEro.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InEro.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InEro.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InEro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InEro',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InEro.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InEro.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'in-ero',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.Ipv4RroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.Ipv4RroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.Ipv4RroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.Ipv4RroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.Ipv4RroSubObject.Flags', 
                [], [], 
                '''                The RRO IPV4 Subobject Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO IPV4 Address
                ''',
                'rro_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.LabelRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.LabelRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-global-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label is Global across all interfaces
                ''',
                'is_global_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.LabelRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.LabelRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.LabelRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Label Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-label-variable-length', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the RRO Subobject Label Variable Length
                ''',
                'is_label_variable_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Label Value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('variable-length-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Variable Length Label
                ''',
                'variable_length_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'label-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.UnnumberedRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.UnnumberedRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.UnnumberedRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.UnnumberedRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.UnnumberedRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Unnumbered Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO Interface Address
                ''',
                'interface_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.SrlgRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.SrlgRroSubObject',
            False, 
            [
            _MetaInfoClassMember('srl-gs', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject SRLGs
                ''',
                'srl_gs',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro',
            False, 
            [
            _MetaInfoClassMember('ipv4rro-sub-object', REFERENCE_CLASS, 'Ipv4RroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.Ipv4RroSubObject', 
                [], [], 
                '''                IPV4 RRO Sub Object
                ''',
                'ipv4rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rro-sub-object', REFERENCE_CLASS, 'LabelRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.LabelRroSubObject', 
                [], [], 
                '''                Label RRO Sub Object
                ''',
                'label_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtRroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtRroSubobjEnum', 
                [], [], 
                '''                RROType
                ''',
                'rro_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-rro-sub-object', REFERENCE_CLASS, 'SrlgRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.SrlgRroSubObject', 
                [], [], 
                '''                SRLG RRO Sub Object
                ''',
                'srlg_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-rro-sub-object', REFERENCE_CLASS, 'UnnumberedRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.UnnumberedRroSubObject', 
                [], [], 
                '''                Unnumbered RRO Sub Object
                ''',
                'unnumbered_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-rro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.Ipv4RroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.Ipv4RroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.Ipv4RroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.Ipv4RroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.Ipv4RroSubObject.Flags', 
                [], [], 
                '''                The RRO IPV4 Subobject Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO IPV4 Address
                ''',
                'rro_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.LabelRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.LabelRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-global-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label is Global across all interfaces
                ''',
                'is_global_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.LabelRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.LabelRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.LabelRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Label Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-label-variable-length', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the RRO Subobject Label Variable Length
                ''',
                'is_label_variable_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Label Value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('variable-length-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Variable Length Label
                ''',
                'variable_length_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'label-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.UnnumberedRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.UnnumberedRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Unnumbered Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO Interface Address
                ''',
                'interface_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.SrlgRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.SrlgRroSubObject',
            False, 
            [
            _MetaInfoClassMember('srl-gs', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject SRLGs
                ''',
                'srl_gs',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro',
            False, 
            [
            _MetaInfoClassMember('ipv4rro-sub-object', REFERENCE_CLASS, 'Ipv4RroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.Ipv4RroSubObject', 
                [], [], 
                '''                IPV4 RRO Sub Object
                ''',
                'ipv4rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rro-sub-object', REFERENCE_CLASS, 'LabelRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.LabelRroSubObject', 
                [], [], 
                '''                Label RRO Sub Object
                ''',
                'label_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtRroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtRroSubobjEnum', 
                [], [], 
                '''                RROType
                ''',
                'rro_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-rro-sub-object', REFERENCE_CLASS, 'SrlgRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.SrlgRroSubObject', 
                [], [], 
                '''                SRLG RRO Sub Object
                ''',
                'srlg_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-rro-sub-object', REFERENCE_CLASS, 'UnnumberedRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.UnnumberedRroSubObject', 
                [], [], 
                '''                Unnumbered RRO Sub Object
                ''',
                'unnumbered_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-rro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathAffinityArray' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathAffinityArray',
            False, 
            [
            _MetaInfoClassMember('hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Hop address
                ''',
                'hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop-affinity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'hop_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop-extended-affinity', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hop affinity
                ''',
                'hop_extended_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-affinity-array',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseEroIn.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseEroIn.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseEroIn.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseEroIn.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseEroIn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseEroIn',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseEroIn.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseEroIn.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-ero-in',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.S2LSegmentRoutingPath' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.S2LSegmentRoutingPath',
            False, 
            [
            _MetaInfoClassMember('has-entropy-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Hop has EL specified
                ''',
                'has_entropy_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-ip-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node has IP addresses specified
                ''',
                'has_ip_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-mpls-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Hop has MPLS label specified
                ''',
                'has_mpls_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local IP address of adjacency or Node ID
                ''',
                'local_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mpls-label-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The MPLS label value
                ''',
                'mpls_label_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote IP address of adjacency
                ''',
                'remote_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sid-type', REFERENCE_ENUM_CLASS, 'TeSrSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSrSidEnum', 
                [], [], 
                '''                Type of the SID
                ''',
                'sid_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-segment-routing-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L',
            False, 
            [
            _MetaInfoClassMember('abr-auto-discovered', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next ABR auto discovered
                ''',
                'abr_auto_discovered',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('active-path-option', REFERENCE_CLASS, 'ActivePathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption', 
                [], [], 
                '''                The path option used to find the path for this
                S2L
                ''',
                'active_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('association', REFERENCE_CLASS, 'Association' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.Association', 
                [], [], 
                '''                Association Object
                ''',
                'association',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface handle of the backup tunnel
                ''',
                'backup_tunnel_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('diversity-info', REFERENCE_CLASS, 'DiversityInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.DiversityInfo', 
                [], [], 
                '''                S2L Diversity Information
                ''',
                'diversity_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('downstream-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Downstream router id
                ''',
                'downstream_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Egress Interface
                ''',
                'egress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface-brief', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Egress Interface in brief format
                ''',
                'egress_interface_brief',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Interface
                ''',
                'egress_interface_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Outgoing ERO's affinity bits (colors)
                ''',
                'expanded_ero_affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Outgoing ERO's affinity mask (colors)
                ''',
                'expanded_ero_affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Indicates the protocol and area used to find
                Outgoing ERO
                ''',
                'expanded_ero_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The metric value of the expanded path
                ''',
                'expanded_ero_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-metric-type', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                The Outgoing ERO's selection metric
                ''',
                'expanded_ero_metric_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex-info', REFERENCE_CLASS, 'FlexInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.FlexInfo', 
                [], [], 
                '''                FlexLSP S2L Information
                ''',
                'flex_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-out-tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FRR out tunnel intface
                ''',
                'frr_out_tunnel_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fspec', REFERENCE_CLASS, 'Fspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.Fspec', 
                [], [], 
                '''                The F spec info
                ''',
                'fspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generic-fspec', REFERENCE_CLASS, 'GenericFspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GenericFspec', 
                [], [], 
                '''                Generic FSpec
                ''',
                'generic_fspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generic-tspec', REFERENCE_CLASS, 'GenericTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GenericTspec', 
                [], [], 
                '''                Generic TSpec
                ''',
                'generic_tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gmpls-labels', REFERENCE_CLASS, 'GmplsLabels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels', 
                [], [], 
                '''                GMPLS labels
                ''',
                'gmpls_labels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('head-end-bfd-info', REFERENCE_CLASS, 'HeadEndBfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.HeadEndBfdInfo', 
                [], [], 
                '''                The Head-end BFD info
                ''',
                'head_end_bfd_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-ero', REFERENCE_LIST, 'InEro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InEro', 
                [], [], 
                '''                Incoming ERO for this S2L
                ''',
                'in_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-xro', REFERENCE_CLASS, 'InXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro', 
                [], [], 
                '''                Incoming XRO for this S2L
                ''',
                'in_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Incoming interface address
                ''',
                'incoming_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-address-generic', REFERENCE_CLASS, 'IncomingAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.IncomingAddressGeneric', 
                [], [], 
                '''                Incoming interface address
                ''',
                'incoming_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ingress Interface
                ''',
                'ingress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface-brief', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ingress Interface in brief format
                ''',
                'ingress_interface_brief',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Interface
                ''',
                'ingress_interface_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-protect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BW Protection Enabled or Disabled
                ''',
                'is_bandwidth_protect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-expanded-ero', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if this LSR expanded a loose path
                ''',
                'is_expanded_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-frr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Enabled or Disabled
                ''',
                'is_frr_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Enabled or Disabled
                ''',
                'is_node_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-optical', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Optical
                ''',
                'is_optical',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local router id
                ''',
                'local_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-info', REFERENCE_CLASS, 'LspWrapInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.LspWrapInfo', 
                [], [], 
                '''                Lsp Wrap  Related information
                ''',
                'lsp_wrap_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop address
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address-generic', REFERENCE_CLASS, 'NextHopAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.NextHopAddressGeneric', 
                [], [], 
                '''                Next hop address
                ''',
                'next_hop_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('node-hop-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hop count
                ''',
                'node_hop_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn-s2l', REFERENCE_CLASS, 'OtnS2L' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L', 
                [], [], 
                '''                Otn S2L Information
                ''',
                'otn_s2l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-ero', REFERENCE_LIST, 'OutEro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutEro', 
                [], [], 
                '''                Outgoing ERO for this S2L
                ''',
                'out_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-xro', REFERENCE_CLASS, 'OutXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro', 
                [], [], 
                '''                Outgoing XRO for this S2L
                ''',
                'out_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outbound-frr-state', REFERENCE_ENUM_CLASS, 'MplsTeFrrStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeFrrStateEnum', 
                [], [], 
                '''                Indicates outbound FRR state
                ''',
                'outbound_frr_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-affinity-array', REFERENCE_LIST, 'PathAffinityArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathAffinityArray', 
                [], [], 
                '''                Tunnel's Path hops with affinity
                ''',
                'path_affinity_array',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reeval-query-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loose path reevaluation query received at
                mid-point
                ''',
                'path_reeval_query_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-rro', REFERENCE_LIST, 'PathRro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro', 
                [], [], 
                '''                Path RRO for this S2L
                ''',
                'path_rro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-rro-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path RRO Enabled or Disabled
                ''',
                'path_rro_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-using-strict-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is using Strict SPF
                ''',
                'path_using_strict_spf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcalc-area', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IGP-area in which the S2L path was calculated
                ''',
                'pcalc_area',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Previous hop address
                ''',
                'previous_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-hop-address-generic', REFERENCE_CLASS, 'PreviousHopAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric', 
                [], [], 
                '''                Previous hop address
                ''',
                'previous_hop_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection', REFERENCE_CLASS, 'Protection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.Protection', 
                [], [], 
                '''                Protection Object
                ''',
                'protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-rro', REFERENCE_LIST, 'ResvRro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro', 
                [], [], 
                '''                Resv RRO for this S2L
                ''',
                'resv_rro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-ero-in', REFERENCE_LIST, 'ReverseEroIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseEroIn', 
                [], [], 
                '''                 Reverse Incoming ERO for this S2L
                ''',
                'reverse_ero_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Connected
                ''',
                'reverse_lsp_connected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-fec', REFERENCE_CLASS, 'ReverseLspFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseLspFec', 
                [], [], 
                '''                Reverse Associated Bidir LSP FEC
                ''',
                'reverse_lsp_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Name
                ''',
                'reverse_lsp_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Present
                ''',
                'reverse_lsp_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-tspec', REFERENCE_CLASS, 'ReverseTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseTspec', 
                [], [], 
                '''                The Reverse T spec info
                ''',
                'reverse_tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The reverse path weight
                ''',
                'reverse_weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('role', REFERENCE_ENUM_CLASS, 'MplsTeTunnelRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelRoleEnum', 
                [], [], 
                '''                Role of S2L
                ''',
                'role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-convergence', REFERENCE_CLASS, 'S2LConvergence' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.S2LConvergence', 
                [], [], 
                '''                TE LSP convergence related information
                ''',
                's2l_convergence',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec', REFERENCE_CLASS, 'S2LFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.S2LFec', 
                [], [], 
                '''                FEC for the S2L
                ''',
                's2l_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label
                ''',
                's2l_local_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing label
                ''',
                's2l_out_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-ero-obj-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2l Reverse ERO Object Present
                ''',
                's2l_reverse_ero_obj_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-lsp-sub-obj', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Reverse LSP Sub Objects
                ''',
                's2l_reverse_lsp_sub_obj',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-tspec-obj-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Reverse TSpec Object Present
                ''',
                's2l_reverse_tspec_obj_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-segment-routing-path', REFERENCE_LIST, 'S2LSegmentRoutingPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.S2LSegmentRoutingPath', 
                [], [], 
                '''                Segment-Routing S2L path info
                ''',
                's2l_segment_routing_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared-risk-link-group', REFERENCE_LIST, 'SharedRiskLinkGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.SharedRiskLinkGroup', 
                [], [], 
                '''                The S2L's excluded srlg groups
                ''',
                'shared_risk_link_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-status', REFERENCE_ENUM_CLASS, 'MplsTeTunnelsSignalingStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelsSignalingStatusEnum', 
                [], [], 
                '''                Signaling status
                ''',
                'signalling_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption', REFERENCE_CLASS, 'SoftPreemption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.SoftPreemption', 
                [], [], 
                '''                The soft preemption info for this LSP.
                ''',
                'soft_preemption',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-collection', REFERENCE_CLASS, 'SrlgCollection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.SrlgCollection', 
                [], [], 
                '''                SRLG-collection data
                ''',
                'srlg_collection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tail-end-bfd-info', REFERENCE_CLASS, 'TailEndBfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.TailEndBfdInfo', 
                [], [], 
                '''                The Tail-end BFD info
                ''',
                'tail_end_bfd_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-preferred-path-exists-send-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last preferred path exists msg send
                from mid-point
                ''',
                'time_since_last_preferred_path_exists_send_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-preferred-tree-exists-send-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last preferred tree exists msg send
                from mid-point
                ''',
                'time_since_last_preferred_tree_exists_send_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-query-received-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last reevaluation query received at
                mid-point
                ''',
                'time_since_last_query_received_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tspec', REFERENCE_CLASS, 'Tspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.Tspec', 
                [], [], 
                '''                The T spec info
                ''',
                'tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('upstream-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Upstream router id
                ''',
                'upstream_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the tunnel was up
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The path's weight
                ''',
                'weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp',
            False, 
            [
            _MetaInfoClassMember('dste-class-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Matching DSTE class index
                ''',
                'dste_class_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-match', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Do the class type and priority match a DSTE
                class
                ''',
                'dste_class_match',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-active-reason', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP LSP FRR active reason
                ''',
                'frr_active_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-frr-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                P2MP LSP has FRR Failed
                ''',
                'is_frr_failed',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True for tunnel head
                ''',
                'is_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-passive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True for passive tunnel
                ''',
                'is_passive',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-path-change', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last path change
                ''',
                'last_path_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP LSP Bandwidth
                ''',
                'lsp_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The LSP bandwidth type
                ''',
                'lsp_bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-fec', REFERENCE_CLASS, 'LspFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.LspFec', 
                [], [], 
                '''                FEC for the LSP
                ''',
                'lsp_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSP hold priority
                ''',
                'lsp_hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSP setup priority
                ''',
                'lsp_setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('persistent-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Persistent forwarding statistics for number of
                bytes. Clear counters will not reset the counter
                ''',
                'persistent_bytes',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('persistent-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Persistent forwarding statistics for Number of
                packets. Clear counters will not reset the
                counter
                ''',
                'persistent_packets',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimize-reason', REFERENCE_ENUM_CLASS, 'MplsTeReoptDecisionReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeReoptDecisionReasonEnum', 
                [], [], 
                '''                Reason for re-optimization
                ''',
                'reoptimize_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimize-trigger', REFERENCE_ENUM_CLASS, 'MteReoptTriggerEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MteReoptTriggerEnum', 
                [], [], 
                '''                Re-optimize trigger
                ''',
                'reoptimize_trigger',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-down', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of down S2Ls
                ''',
                's2_ls_down',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-proceeding', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of proceeding S2Ls
                ''',
                's2_ls_proceeding',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of connected S2Ls
                ''',
                's2_ls_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l', REFERENCE_LIST, 'S2L' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L', 
                [], [], 
                '''                array of S2L structures
                ''',
                's2l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signaled-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signaled Name
                ''',
                'signaled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('timer-left', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds left to take next action if any
                ''',
                'timer_left',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MplsTeLspEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspEnum', 
                [], [], 
                '''                The type of this LSP
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the tunnel was up
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tunnel-standby-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.LspFec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.LspFec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.LspFec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.LspFec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.LspFec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.S2LFec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.S2LFec',
            False, 
            [
            _MetaInfoClassMember('s2l-fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                Session identifier (ctype)
                ''',
                's2l_fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-dest', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                sub-LSP destination address
                ''',
                's2l_fec_dest',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                's2l_fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                's2l_fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                's2l_fec_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSP source address
                ''',
                's2l_fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                sub-LSP subgroup ID
                ''',
                's2l_fec_subgroup_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                's2l_fec_subgroup_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                's2l_fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                's2l_fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.PathCalculationError' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.PathCalculationError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-calculation-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.RemergeError' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.RemergeError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'remerge-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.SignallingError' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.SignallingError',
            False, 
            [
            _MetaInfoClassMember('error', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Path Error code
                ''',
                'error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Source address of the error generating node
                ''',
                'error_node',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSPMode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if error is on the reverse LSP
                ''',
                'reverse_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP-id for which the error was received
                ''',
                'signalling_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path Error subcode
                ''',
                'sub_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalling-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption',
            False, 
            [
            _MetaInfoClassMember('attribute-set', REFERENCE_CLASS, 'AttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet', 
                [], [], 
                '''                The path option attribute set used by this path
                ''',
                'attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-found', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has found the defined attribute
                set
                ''',
                'attribute_set_found',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Explicit Path ID, this is the key to table
                ExplicitPaths.IdentifierTable
                ''',
                'explicit_path_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Explicit Path Name, this is the key to table
                ExplicitPaths.NameTable
                ''',
                'explicit_path_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has an attribute set defined
                ''',
                'has_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-xro-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has an XRO attribute set
                configured
                ''',
                'has_xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('holddown-duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Holddown Duration (seconds)
                ''',
                'holddown_duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path option is disabled
                ''',
                'is_disabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-helddown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if path is helddown
                ''',
                'is_helddown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-lockdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is locked down
                ''',
                'is_lockdown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-segment-routing', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is Segment-Routing
                ''',
                'is_segment_routing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-explicit-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if explicit path is strict
                ''',
                'is_strict_explicit_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-verbatim', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is verbatim
                ''',
                'is_verbatim',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index
                ''',
                'option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index-is-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The path option index is valid
                ''',
                'option_index_is_valid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-calculation-error', REFERENCE_LIST, 'PathCalculationError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.PathCalculationError', 
                [], [], 
                '''                Path computation information
                ''',
                'path_calculation_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The path-option area constraint
                ''',
                'path_option_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path option name
                ''',
                'path_option_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-type', REFERENCE_ENUM_CLASS, 'MplsTePathoptionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTePathoptionEnum', 
                [], [], 
                '''                Path option type
                ''',
                'path_option_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                PCE server address
                ''',
                'pce_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-by-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for Protect path options
                ''',
                'protected_by_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remerge-error', REFERENCE_LIST, 'RemergeError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.RemergeError', 
                [], [], 
                '''                Path computation remerge resolve info
                ''',
                'remerge_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restored-from-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for Restore path options
                ''',
                'restored_from_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-error', REFERENCE_LIST, 'SignallingError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.SignallingError', 
                [], [], 
                '''                Signalling information
                ''',
                'signalling_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set', REFERENCE_CLASS, 'XroAttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet', 
                [], [], 
                '''                The XRO attribute set used by this path-option
                ''',
                'xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set-found', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path's XRO attribute set is known
                ''',
                'xro_attribute_set_found',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'active-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'out-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'in-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.Tspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.Tspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GenericTspec.Otntspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GenericTspec.Otntspec',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit Rate in kbps
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nmc-or-tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                NMC or Tolerance
                ''',
                'nmc_or_tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Virtual Components
                ''',
                'nvc',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otntspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GenericTspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GenericTspec',
            False, 
            [
            _MetaInfoClassMember('otntspec', REFERENCE_CLASS, 'Otntspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GenericTspec.Otntspec', 
                [], [], 
                '''                TE TSpec for G709 OTN
                ''',
                'otntspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tspec-type', REFERENCE_ENUM_CLASS, 'TeMgmtGenericTspecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeMgmtGenericTspecEnum', 
                [], [], 
                '''                TSpecType
                ''',
                'tspec_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'generic-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.Fspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.Fspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GenericFspec.Otnfspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GenericFspec.Otnfspec',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit Rate in kbps
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nmc-or-tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                NMC or Tolerance
                ''',
                'nmc_or_tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Virtual Components
                ''',
                'nvc',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otnfspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GenericFspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GenericFspec',
            False, 
            [
            _MetaInfoClassMember('fspec-type', REFERENCE_ENUM_CLASS, 'TeMgmtGenericFspecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeMgmtGenericFspecEnum', 
                [], [], 
                '''                FSpecType
                ''',
                'fspec_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otnfspec', REFERENCE_CLASS, 'Otnfspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GenericFspec.Otnfspec', 
                [], [], 
                '''                TE FSpec for G709 OTN
                ''',
                'otnfspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'generic-fspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'next-hop-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'previous-hop-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'incoming-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.S2LConvergence' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.S2LConvergence',
            False, 
            [
            _MetaInfoClassMember('creation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tunnel creation timestamp (clocktime in nsecs)
                ''',
                'creation_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rewrite', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP Label rewrite timestamp (clocktime in nsecs)
                ''',
                'label_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Path-in timestamp (clocktime in nsecs)
                ''',
                'path_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Path-in timestamp (clocktime in nsecs)
                ''',
                'path_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Resv-in timestamp (clocktime in nsecs)
                ''',
                'resv_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Resv-out timestamp (clocktime in nsecs)
                ''',
                'resv_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-rewrite', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tunnel rewrite timestamp (clocktime in nsecs)
                ''',
                'tunnel_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-convergence',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.SoftPreemption' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.SoftPreemption',
            False, 
            [
            _MetaInfoClassMember('fr-rrewrite', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR-rewrite during soft preemption
                ''',
                'fr_rrewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fr-rrewrite-tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The tunnel name of the backup
                ''',
                'fr_rrewrite_tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('preempting-link-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The address of the link where the preemption
                happened
                ''',
                'preempting_link_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-link', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the link where the soft preemption
                occurred
                ''',
                'soft_preemption_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The POSIX timestamp when the soft preemption
                occurred
                ''',
                'soft_preemption_timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'MplsTeSoftPreemptionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeSoftPreemptionStateEnum', 
                [], [], 
                '''                The current state of the soft preemption
                operation
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-to-hard-preemption', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The number of seconds until hard preemption is
                triggered
                ''',
                'time_to_hard_preemption',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'soft-preemption',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels',
            False, 
            [
            _MetaInfoClassMember('path-egress-label', REFERENCE_CLASS, 'PathEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel', 
                [], [], 
                '''                Path message (upstream) egress label
                ''',
                'path_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-ingress-label', REFERENCE_CLASS, 'PathIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel', 
                [], [], 
                '''                Path message (upstream) ingress label
                ''',
                'path_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-egress-label', REFERENCE_CLASS, 'ResvEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel', 
                [], [], 
                '''                Resv message (downstream) egress label
                ''',
                'resv_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-ingress-label', REFERENCE_CLASS, 'ResvIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel', 
                [], [], 
                '''                Resv message (downstream) ingress label
                ''',
                'resv_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'gmpls-labels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tolerance
                ''',
                'tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-cbr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-gfp-f-res',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-gfp-f-non-res',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth',
            False, 
            [
            _MetaInfoClassMember('odu-flex-cbr', REFERENCE_CLASS, 'OduFlexCbr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr', 
                [], [], 
                '''                Odu flex CBR info
                ''',
                'odu_flex_cbr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-flex-gfp-f-non-res', REFERENCE_CLASS, 'OduFlexGfpFNonRes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes', 
                [], [], 
                '''                Odu flex GFP-F non-resizable info
                ''',
                'odu_flex_gfp_f_non_res',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-flex-gfp-f-res', REFERENCE_CLASS, 'OduFlexGfpFRes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes', 
                [], [], 
                '''                Odu flex GFP-F resizable info
                ''',
                'odu_flex_gfp_f_res',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-level', REFERENCE_ENUM_CLASS, 'TeOduLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeOduLevelEnum', 
                [], [], 
                '''                ODULevel
                ''',
                'odu_level',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels',
            False, 
            [
            _MetaInfoClassMember('path-egress-label', REFERENCE_CLASS, 'PathEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel', 
                [], [], 
                '''                Path message (upstream) egress label
                ''',
                'path_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-ingress-label', REFERENCE_CLASS, 'PathIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel', 
                [], [], 
                '''                Path message (upstream) ingress label
                ''',
                'path_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-egress-label', REFERENCE_CLASS, 'ResvEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel', 
                [], [], 
                '''                Resv message (downstream) egress label
                ''',
                'resv_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-ingress-label', REFERENCE_CLASS, 'ResvIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel', 
                [], [], 
                '''                Resv message (downstream) ingress label
                ''',
                'resv_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'labels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn',
            False, 
            [
            _MetaInfoClassMember('bandwidth', REFERENCE_CLASS, 'Bandwidth' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth', 
                [], [], 
                '''                OTN Bandwidth for s2l
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cross-connect-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cross connect id
                ''',
                'cross_connect_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gpid', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Gpid Payload
                ''',
                'gpid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Incoming Controller
                ''',
                'incoming_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Incoming Controller Ifhandle
                ''',
                'incoming_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Controller
                ''',
                'incoming_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Incoming Sub Controller
                ''',
                'incoming_sub_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Incoming Sub Controller Ifhandle
                ''',
                'incoming_sub_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Sub Controller
                ''',
                'incoming_sub_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if subcontrollers are connected
                ''',
                'is_connected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('labels', REFERENCE_CLASS, 'Labels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels', 
                [], [], 
                '''                Labels
                ''',
                'labels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing Controller
                ''',
                'outgoing_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Controller Ifhandle
                ''',
                'outgoing_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Controller
                ''',
                'outgoing_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing Sub Controller
                ''',
                'outgoing_sub_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Sub Controller Ifhandle
                ''',
                'outgoing_sub_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Sub Controller
                ''',
                'outgoing_sub_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                XC Uptime
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Aps.ProtectionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Aps.ProtectionInfo',
            False, 
            [
            _MetaInfoClassMember('ho-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-Off timeout
                ''',
                'ho_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-hopresent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Hold-Off timeout present
                ''',
                'is_hopresent',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-snc-mode-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SNC mode present
                ''',
                'is_snc_mode_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-wtr-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Wait-to-Restore timeout present
                ''',
                'is_wtr_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Notification bit 
                ''',
                'nbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('obit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Operational bit
                ''',
                'obit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path protection profile type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Protecting bit
                ''',
                'pbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protect-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                LSP Protect Type
                ''',
                'protect_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Secondary bit
                ''',
                'sbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                SNC mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TCM ID
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wtr-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait-to-Restore timeout
                ''',
                'wtr_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protection-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Aps' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Aps',
            False, 
            [
            _MetaInfoClassMember('protection-info', REFERENCE_CLASS, 'ProtectionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Aps.ProtectionInfo', 
                [], [], 
                '''                Protection Info
                ''',
                'protection_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'aps',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L',
            False, 
            [
            _MetaInfoClassMember('aps', REFERENCE_CLASS, 'Aps' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Aps', 
                [], [], 
                '''                APS Info for OTN S2L
                ''',
                'aps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn', 
                [], [], 
                '''                Info Related to OTN technology in S2L
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn-s2l',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo.SessionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo.SessionInfo',
            False, 
            [
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'TeBfdLspSessionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdLspSessionStateEnum', 
                [], [], 
                '''                BFD session state
                ''',
                'state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('state-change-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last session state
                change
                ''',
                'state_change_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'session-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo.DeletionHistory' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo.DeletionHistory',
            False, 
            [
            _MetaInfoClassMember('deletion-diagnostic-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Diagnostic Code for the BFD session get deleted
                ''',
                'deletion_diagnostic_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reason for the BFD session get deleted
                ''',
                'deletion_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time stamp of the BFD session get deleted
                ''',
                'deletion_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID of the BFD session get deleted
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'deletion-history',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-reverse-path-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path labels
                ''',
                'bfd_reverse_path_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The BFD reverse path is stale compared to
                configuration
                ''',
                'bfd_reverse_path_stale',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('creation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the BFD session created
                ''',
                'creation_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-history', REFERENCE_CLASS, 'DeletionHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo.DeletionHistory', 
                [], [], 
                '''                BFD Session Deletion History
                ''',
                'deletion_history',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-redundant', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                sBFD session is redundant
                ''',
                'is_redundant',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lspbfd-type', REFERENCE_ENUM_CLASS, 'TeVifBfdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeVifBfdEnum', 
                [], [], 
                '''                LSP BFD type
                ''',
                'lspbfd_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-info', REFERENCE_CLASS, 'SessionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo.SessionInfo', 
                [], [], 
                '''                BFD Session Info
                ''',
                'session_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'head-end-bfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.TailEndBfdInfo.SessionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.TailEndBfdInfo.SessionInfo',
            False, 
            [
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'TeBfdLspSessionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdLspSessionStateEnum', 
                [], [], 
                '''                BFD session state
                ''',
                'state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('state-change-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last session state
                change
                ''',
                'state_change_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'session-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.TailEndBfdInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.TailEndBfdInfo',
            False, 
            [
            _MetaInfoClassMember('failure-diagnostic-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD session failure diagnostic code
                ''',
                'failure_diagnostic_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('failure-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                BFD session failure reason
                ''',
                'failure_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-discriminator', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Local Discriminator
                ''',
                'local_discriminator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('min-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello interval in mini second
                ''',
                'min_interval',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('min-interval-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default hello interval
                ''',
                'min_interval_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default multiplier
                ''',
                'multiplier_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-discriminator', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Remote Discrminator
                ''',
                'remote_discriminator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-info', REFERENCE_CLASS, 'SessionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.TailEndBfdInfo.SessionInfo', 
                [], [], 
                '''                BFD Session Info
                ''',
                'session_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tail-end-bfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.SrlgCollection' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.SrlgCollection',
            False, 
            [
            _MetaInfoClassMember('discovered-srlg', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Discovered SRLGs
                ''',
                'discovered_srlg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-collect-type', REFERENCE_ENUM_CLASS, 'TeSrlgCollectRequestEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSrlgCollectRequestEnum', 
                [], [], 
                '''                SRLG-collection mechanism
                ''',
                'srlg_collect_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-collection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.Association' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.Association',
            False, 
            [
            _MetaInfoClassMember('s2l-association-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Association ID
                ''',
                's2l_association_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                S2L Association Source
                ''',
                's2l_association_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-tie-role', REFERENCE_ENUM_CLASS, 'TeAssociationTieRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAssociationTieRoleEnum', 
                [], [], 
                '''                S2L Association Tie Role
                ''',
                's2l_association_tie_role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Association Type                         
                (draft-ietf-ccamp-mpls-tp-rsvpte-ext-associated-lsp)
                ''',
                's2l_association_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-extended-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L Extended ID Array
                ''',
                's2l_extended_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-global-source', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L Global Source
                ''',
                's2l_global_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'association',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.Protection' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.Protection',
            False, 
            [
            _MetaInfoClassMember('any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Any
                ''',
                'any',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ded1-plus1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1+1 Protection
                ''',
                'ded1_plus1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ded1-to1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1:1 Protection
                ''',
                'ded1_to1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('enhanced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates Enhanced Protection Scheme
                ''',
                'enhanced',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extra-traffic', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should use Links that are protecting other
                (primary) traffic
                ''',
                'extra_traffic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should not use any Link Layer Protection
                ''',
                'link_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Flags Unprotected
                ''',
                'lsp_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-plus-one-bi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Bidirectional Protection
                ''',
                'one_plus_one_bi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-plus-one-uni', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Unidirectional Protection
                ''',
                'one_plus_one_uni',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-to-n-protection-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1:N Protection with Extra-Traffic
                ''',
                'one_to_n_protection_et',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Full Rerouting
                ''',
                'rerouting',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouting-no-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Rerouting Without Extra-Traffic
                ''',
                'rerouting_no_et',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-notification', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Notification Bit
                ''',
                's2l_notification',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-operational', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Operational Bit
                ''',
                's2l_operational',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Protecting Bit
                ''',
                's2l_protecting',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-secondary', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Secondary Bit
                ''',
                's2l_secondary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Shared Link Layer Protection
                ''',
                'shared',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseLspFec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseLspFec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseLspFec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseLspFec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseLspFec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-lsp-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseTspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseTspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.FlexInfo.FlexFec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.FlexInfo.FlexFec',
            False, 
            [
            _MetaInfoClassMember('s2l-fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                Session identifier (ctype)
                ''',
                's2l_fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-dest', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                sub-LSP destination address
                ''',
                's2l_fec_dest',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                's2l_fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                's2l_fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                's2l_fec_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSP source address
                ''',
                's2l_fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                sub-LSP subgroup ID
                ''',
                's2l_fec_subgroup_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                's2l_fec_subgroup_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                's2l_fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                's2l_fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.FlexInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.FlexInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-created', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GAL BFD Session Created
                ''',
                'bfd_created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-egress-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Egress Label
                ''',
                'bfd_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-int-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Internal Label
                ''',
                'bfd_int_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                BFD Next Hop
                ''',
                'bfd_next_hop',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-out-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD Out Interface Handle
                ''',
                'bfd_out_ifh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-tun-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD Tunnel Interface Handle
                ''',
                'bfd_tun_ifh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GAL BFD Session Up
                ''',
                'bfd_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('entry-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FlexLSP Entry Exists
                ''',
                'entry_exists',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ais', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault AIS
                ''',
                'fault_ais',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ldi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LDI
                ''',
                'fault_ldi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ldi-lockout', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LDI Lockout
                ''',
                'fault_ldi_lockout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-lkr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LKR
                ''',
                'fault_lkr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Fault Time
                ''',
                'fault_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex-fec', REFERENCE_CLASS, 'FlexFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.FlexInfo.FlexFec', 
                [], [], 
                '''                FEC for the FlexLSP Entry
                ''',
                'flex_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                In Label
                ''',
                'in_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('oam-created', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                OAM Entry Created
                ''',
                'oam_created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.LspWrapInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.LspWrapInfo',
            False, 
            [
            _MetaInfoClassMember('lsp-wrap-protection-enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Wrap protection enabled
                ''',
                'lsp_wrap_protection_enable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-protection-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSP Wrap Merge Point Label
                ''',
                'lsp_wrap_protection_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-protection-state', REFERENCE_ENUM_CLASS, 'MplsTeLspWrapStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspWrapStateEnum', 
                [], [], 
                '''                LSP wrap protection state
                ''',
                'lsp_wrap_protection_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reverse Egress Interface
                ''',
                'reverse_egress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reverse LSP label
                ''',
                'reverse_lsp_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-wrap-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.DiversityInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.DiversityInfo',
            False, 
            [
            _MetaInfoClassMember('diversity-type', REFERENCE_ENUM_CLASS, 'TePpDiversityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePpDiversityEnum', 
                [], [], 
                '''                S2L path diversity type
                ''',
                'diversity_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'diversity-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.SharedRiskLinkGroup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.SharedRiskLinkGroup',
            False, 
            [
            _MetaInfoClassMember('shared-risk-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG number
                ''',
                'shared_risk_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SRLG name
                ''',
                'srlg_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'shared-risk-link-group',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutEro.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutEro.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutEro.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutEro.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutEro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutEro',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutEro.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutEro.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'out-ero',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InEro.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InEro.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InEro.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InEro.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InEro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InEro',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InEro.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InEro.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'in-ero',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.Ipv4RroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.Ipv4RroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.Ipv4RroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.Ipv4RroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.Ipv4RroSubObject.Flags', 
                [], [], 
                '''                The RRO IPV4 Subobject Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO IPV4 Address
                ''',
                'rro_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.LabelRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.LabelRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-global-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label is Global across all interfaces
                ''',
                'is_global_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.LabelRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.LabelRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.LabelRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Label Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-label-variable-length', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the RRO Subobject Label Variable Length
                ''',
                'is_label_variable_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Label Value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('variable-length-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Variable Length Label
                ''',
                'variable_length_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'label-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.UnnumberedRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.UnnumberedRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Unnumbered Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO Interface Address
                ''',
                'interface_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.SrlgRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.SrlgRroSubObject',
            False, 
            [
            _MetaInfoClassMember('srl-gs', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject SRLGs
                ''',
                'srl_gs',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro',
            False, 
            [
            _MetaInfoClassMember('ipv4rro-sub-object', REFERENCE_CLASS, 'Ipv4RroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.Ipv4RroSubObject', 
                [], [], 
                '''                IPV4 RRO Sub Object
                ''',
                'ipv4rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rro-sub-object', REFERENCE_CLASS, 'LabelRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.LabelRroSubObject', 
                [], [], 
                '''                Label RRO Sub Object
                ''',
                'label_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtRroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtRroSubobjEnum', 
                [], [], 
                '''                RROType
                ''',
                'rro_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-rro-sub-object', REFERENCE_CLASS, 'SrlgRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.SrlgRroSubObject', 
                [], [], 
                '''                SRLG RRO Sub Object
                ''',
                'srlg_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-rro-sub-object', REFERENCE_CLASS, 'UnnumberedRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.UnnumberedRroSubObject', 
                [], [], 
                '''                Unnumbered RRO Sub Object
                ''',
                'unnumbered_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-rro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.Ipv4RroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.Ipv4RroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags', 
                [], [], 
                '''                The RRO IPV4 Subobject Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO IPV4 Address
                ''',
                'rro_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.LabelRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.LabelRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-global-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label is Global across all interfaces
                ''',
                'is_global_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.LabelRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.LabelRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.LabelRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Label Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-label-variable-length', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the RRO Subobject Label Variable Length
                ''',
                'is_label_variable_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Label Value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('variable-length-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Variable Length Label
                ''',
                'variable_length_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'label-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Unnumbered Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO Interface Address
                ''',
                'interface_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.SrlgRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.SrlgRroSubObject',
            False, 
            [
            _MetaInfoClassMember('srl-gs', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject SRLGs
                ''',
                'srl_gs',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro',
            False, 
            [
            _MetaInfoClassMember('ipv4rro-sub-object', REFERENCE_CLASS, 'Ipv4RroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.Ipv4RroSubObject', 
                [], [], 
                '''                IPV4 RRO Sub Object
                ''',
                'ipv4rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rro-sub-object', REFERENCE_CLASS, 'LabelRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.LabelRroSubObject', 
                [], [], 
                '''                Label RRO Sub Object
                ''',
                'label_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtRroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtRroSubobjEnum', 
                [], [], 
                '''                RROType
                ''',
                'rro_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-rro-sub-object', REFERENCE_CLASS, 'SrlgRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.SrlgRroSubObject', 
                [], [], 
                '''                SRLG RRO Sub Object
                ''',
                'srlg_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-rro-sub-object', REFERENCE_CLASS, 'UnnumberedRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject', 
                [], [], 
                '''                Unnumbered RRO Sub Object
                ''',
                'unnumbered_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-rro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathAffinityArray' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathAffinityArray',
            False, 
            [
            _MetaInfoClassMember('hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Hop address
                ''',
                'hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop-affinity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'hop_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop-extended-affinity', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hop affinity
                ''',
                'hop_extended_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-affinity-array',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-ero-in',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.S2LSegmentRoutingPath' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.S2LSegmentRoutingPath',
            False, 
            [
            _MetaInfoClassMember('has-entropy-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Hop has EL specified
                ''',
                'has_entropy_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-ip-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node has IP addresses specified
                ''',
                'has_ip_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-mpls-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Hop has MPLS label specified
                ''',
                'has_mpls_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local IP address of adjacency or Node ID
                ''',
                'local_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mpls-label-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The MPLS label value
                ''',
                'mpls_label_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote IP address of adjacency
                ''',
                'remote_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sid-type', REFERENCE_ENUM_CLASS, 'TeSrSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSrSidEnum', 
                [], [], 
                '''                Type of the SID
                ''',
                'sid_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-segment-routing-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L',
            False, 
            [
            _MetaInfoClassMember('abr-auto-discovered', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next ABR auto discovered
                ''',
                'abr_auto_discovered',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('active-path-option', REFERENCE_CLASS, 'ActivePathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption', 
                [], [], 
                '''                The path option used to find the path for this
                S2L
                ''',
                'active_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('association', REFERENCE_CLASS, 'Association' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.Association', 
                [], [], 
                '''                Association Object
                ''',
                'association',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface handle of the backup tunnel
                ''',
                'backup_tunnel_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('diversity-info', REFERENCE_CLASS, 'DiversityInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.DiversityInfo', 
                [], [], 
                '''                S2L Diversity Information
                ''',
                'diversity_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('downstream-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Downstream router id
                ''',
                'downstream_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Egress Interface
                ''',
                'egress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface-brief', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Egress Interface in brief format
                ''',
                'egress_interface_brief',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Interface
                ''',
                'egress_interface_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Outgoing ERO's affinity bits (colors)
                ''',
                'expanded_ero_affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Outgoing ERO's affinity mask (colors)
                ''',
                'expanded_ero_affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Indicates the protocol and area used to find
                Outgoing ERO
                ''',
                'expanded_ero_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The metric value of the expanded path
                ''',
                'expanded_ero_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-metric-type', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                The Outgoing ERO's selection metric
                ''',
                'expanded_ero_metric_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex-info', REFERENCE_CLASS, 'FlexInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.FlexInfo', 
                [], [], 
                '''                FlexLSP S2L Information
                ''',
                'flex_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-out-tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FRR out tunnel intface
                ''',
                'frr_out_tunnel_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fspec', REFERENCE_CLASS, 'Fspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.Fspec', 
                [], [], 
                '''                The F spec info
                ''',
                'fspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generic-fspec', REFERENCE_CLASS, 'GenericFspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GenericFspec', 
                [], [], 
                '''                Generic FSpec
                ''',
                'generic_fspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generic-tspec', REFERENCE_CLASS, 'GenericTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GenericTspec', 
                [], [], 
                '''                Generic TSpec
                ''',
                'generic_tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gmpls-labels', REFERENCE_CLASS, 'GmplsLabels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels', 
                [], [], 
                '''                GMPLS labels
                ''',
                'gmpls_labels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('head-end-bfd-info', REFERENCE_CLASS, 'HeadEndBfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo', 
                [], [], 
                '''                The Head-end BFD info
                ''',
                'head_end_bfd_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-ero', REFERENCE_LIST, 'InEro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InEro', 
                [], [], 
                '''                Incoming ERO for this S2L
                ''',
                'in_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-xro', REFERENCE_CLASS, 'InXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro', 
                [], [], 
                '''                Incoming XRO for this S2L
                ''',
                'in_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Incoming interface address
                ''',
                'incoming_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-address-generic', REFERENCE_CLASS, 'IncomingAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric', 
                [], [], 
                '''                Incoming interface address
                ''',
                'incoming_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ingress Interface
                ''',
                'ingress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface-brief', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ingress Interface in brief format
                ''',
                'ingress_interface_brief',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Interface
                ''',
                'ingress_interface_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-protect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BW Protection Enabled or Disabled
                ''',
                'is_bandwidth_protect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-expanded-ero', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if this LSR expanded a loose path
                ''',
                'is_expanded_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-frr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Enabled or Disabled
                ''',
                'is_frr_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Enabled or Disabled
                ''',
                'is_node_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-optical', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Optical
                ''',
                'is_optical',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local router id
                ''',
                'local_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-info', REFERENCE_CLASS, 'LspWrapInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.LspWrapInfo', 
                [], [], 
                '''                Lsp Wrap  Related information
                ''',
                'lsp_wrap_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop address
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address-generic', REFERENCE_CLASS, 'NextHopAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric', 
                [], [], 
                '''                Next hop address
                ''',
                'next_hop_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('node-hop-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hop count
                ''',
                'node_hop_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn-s2l', REFERENCE_CLASS, 'OtnS2L' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L', 
                [], [], 
                '''                Otn S2L Information
                ''',
                'otn_s2l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-ero', REFERENCE_LIST, 'OutEro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutEro', 
                [], [], 
                '''                Outgoing ERO for this S2L
                ''',
                'out_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-xro', REFERENCE_CLASS, 'OutXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro', 
                [], [], 
                '''                Outgoing XRO for this S2L
                ''',
                'out_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outbound-frr-state', REFERENCE_ENUM_CLASS, 'MplsTeFrrStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeFrrStateEnum', 
                [], [], 
                '''                Indicates outbound FRR state
                ''',
                'outbound_frr_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-affinity-array', REFERENCE_LIST, 'PathAffinityArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathAffinityArray', 
                [], [], 
                '''                Tunnel's Path hops with affinity
                ''',
                'path_affinity_array',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reeval-query-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loose path reevaluation query received at
                mid-point
                ''',
                'path_reeval_query_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-rro', REFERENCE_LIST, 'PathRro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro', 
                [], [], 
                '''                Path RRO for this S2L
                ''',
                'path_rro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-rro-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path RRO Enabled or Disabled
                ''',
                'path_rro_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-using-strict-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is using Strict SPF
                ''',
                'path_using_strict_spf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcalc-area', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IGP-area in which the S2L path was calculated
                ''',
                'pcalc_area',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Previous hop address
                ''',
                'previous_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-hop-address-generic', REFERENCE_CLASS, 'PreviousHopAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric', 
                [], [], 
                '''                Previous hop address
                ''',
                'previous_hop_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection', REFERENCE_CLASS, 'Protection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.Protection', 
                [], [], 
                '''                Protection Object
                ''',
                'protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-rro', REFERENCE_LIST, 'ResvRro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro', 
                [], [], 
                '''                Resv RRO for this S2L
                ''',
                'resv_rro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-ero-in', REFERENCE_LIST, 'ReverseEroIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn', 
                [], [], 
                '''                 Reverse Incoming ERO for this S2L
                ''',
                'reverse_ero_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Connected
                ''',
                'reverse_lsp_connected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-fec', REFERENCE_CLASS, 'ReverseLspFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseLspFec', 
                [], [], 
                '''                Reverse Associated Bidir LSP FEC
                ''',
                'reverse_lsp_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Name
                ''',
                'reverse_lsp_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Present
                ''',
                'reverse_lsp_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-tspec', REFERENCE_CLASS, 'ReverseTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseTspec', 
                [], [], 
                '''                The Reverse T spec info
                ''',
                'reverse_tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The reverse path weight
                ''',
                'reverse_weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('role', REFERENCE_ENUM_CLASS, 'MplsTeTunnelRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelRoleEnum', 
                [], [], 
                '''                Role of S2L
                ''',
                'role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-convergence', REFERENCE_CLASS, 'S2LConvergence' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.S2LConvergence', 
                [], [], 
                '''                TE LSP convergence related information
                ''',
                's2l_convergence',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec', REFERENCE_CLASS, 'S2LFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.S2LFec', 
                [], [], 
                '''                FEC for the S2L
                ''',
                's2l_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label
                ''',
                's2l_local_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing label
                ''',
                's2l_out_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-ero-obj-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2l Reverse ERO Object Present
                ''',
                's2l_reverse_ero_obj_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-lsp-sub-obj', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Reverse LSP Sub Objects
                ''',
                's2l_reverse_lsp_sub_obj',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-tspec-obj-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Reverse TSpec Object Present
                ''',
                's2l_reverse_tspec_obj_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-segment-routing-path', REFERENCE_LIST, 'S2LSegmentRoutingPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.S2LSegmentRoutingPath', 
                [], [], 
                '''                Segment-Routing S2L path info
                ''',
                's2l_segment_routing_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared-risk-link-group', REFERENCE_LIST, 'SharedRiskLinkGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.SharedRiskLinkGroup', 
                [], [], 
                '''                The S2L's excluded srlg groups
                ''',
                'shared_risk_link_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-status', REFERENCE_ENUM_CLASS, 'MplsTeTunnelsSignalingStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelsSignalingStatusEnum', 
                [], [], 
                '''                Signaling status
                ''',
                'signalling_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption', REFERENCE_CLASS, 'SoftPreemption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.SoftPreemption', 
                [], [], 
                '''                The soft preemption info for this LSP.
                ''',
                'soft_preemption',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-collection', REFERENCE_CLASS, 'SrlgCollection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.SrlgCollection', 
                [], [], 
                '''                SRLG-collection data
                ''',
                'srlg_collection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tail-end-bfd-info', REFERENCE_CLASS, 'TailEndBfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.TailEndBfdInfo', 
                [], [], 
                '''                The Tail-end BFD info
                ''',
                'tail_end_bfd_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-preferred-path-exists-send-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last preferred path exists msg send
                from mid-point
                ''',
                'time_since_last_preferred_path_exists_send_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-preferred-tree-exists-send-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last preferred tree exists msg send
                from mid-point
                ''',
                'time_since_last_preferred_tree_exists_send_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-query-received-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last reevaluation query received at
                mid-point
                ''',
                'time_since_last_query_received_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tspec', REFERENCE_CLASS, 'Tspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.Tspec', 
                [], [], 
                '''                The T spec info
                ''',
                'tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('upstream-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Upstream router id
                ''',
                'upstream_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the tunnel was up
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The path's weight
                ''',
                'weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp',
            False, 
            [
            _MetaInfoClassMember('dste-class-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Matching DSTE class index
                ''',
                'dste_class_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-match', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Do the class type and priority match a DSTE
                class
                ''',
                'dste_class_match',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-active-reason', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP LSP FRR active reason
                ''',
                'frr_active_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-frr-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                P2MP LSP has FRR Failed
                ''',
                'is_frr_failed',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True for tunnel head
                ''',
                'is_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-passive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True for passive tunnel
                ''',
                'is_passive',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-path-change', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last path change
                ''',
                'last_path_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP LSP Bandwidth
                ''',
                'lsp_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The LSP bandwidth type
                ''',
                'lsp_bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-fec', REFERENCE_CLASS, 'LspFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.LspFec', 
                [], [], 
                '''                FEC for the LSP
                ''',
                'lsp_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSP hold priority
                ''',
                'lsp_hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSP setup priority
                ''',
                'lsp_setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('persistent-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Persistent forwarding statistics for number of
                bytes. Clear counters will not reset the counter
                ''',
                'persistent_bytes',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('persistent-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Persistent forwarding statistics for Number of
                packets. Clear counters will not reset the
                counter
                ''',
                'persistent_packets',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimize-reason', REFERENCE_ENUM_CLASS, 'MplsTeReoptDecisionReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeReoptDecisionReasonEnum', 
                [], [], 
                '''                Reason for re-optimization
                ''',
                'reoptimize_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimize-trigger', REFERENCE_ENUM_CLASS, 'MteReoptTriggerEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MteReoptTriggerEnum', 
                [], [], 
                '''                Re-optimize trigger
                ''',
                'reoptimize_trigger',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-down', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of down S2Ls
                ''',
                's2_ls_down',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-proceeding', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of proceeding S2Ls
                ''',
                's2_ls_proceeding',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of connected S2Ls
                ''',
                's2_ls_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l', REFERENCE_LIST, 'S2L' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L', 
                [], [], 
                '''                array of S2L structures
                ''',
                's2l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signaled-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signaled Name
                ''',
                'signaled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('timer-left', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds left to take next action if any
                ''',
                'timer_left',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MplsTeLspEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspEnum', 
                [], [], 
                '''                The type of this LSP
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the tunnel was up
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reoptimized-standby-p2mp-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.LspFec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.LspFec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.LspFec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.LspFec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.LspFec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.S2LFec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.S2LFec',
            False, 
            [
            _MetaInfoClassMember('s2l-fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                Session identifier (ctype)
                ''',
                's2l_fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-dest', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                sub-LSP destination address
                ''',
                's2l_fec_dest',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                's2l_fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                's2l_fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                's2l_fec_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSP source address
                ''',
                's2l_fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                sub-LSP subgroup ID
                ''',
                's2l_fec_subgroup_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                's2l_fec_subgroup_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                's2l_fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                's2l_fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.PathCalculationError' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.PathCalculationError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-calculation-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.RemergeError' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.RemergeError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'remerge-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.SignallingError' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.SignallingError',
            False, 
            [
            _MetaInfoClassMember('error', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Path Error code
                ''',
                'error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Source address of the error generating node
                ''',
                'error_node',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSPMode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if error is on the reverse LSP
                ''',
                'reverse_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP-id for which the error was received
                ''',
                'signalling_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path Error subcode
                ''',
                'sub_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalling-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption',
            False, 
            [
            _MetaInfoClassMember('attribute-set', REFERENCE_CLASS, 'AttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet', 
                [], [], 
                '''                The path option attribute set used by this path
                ''',
                'attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-found', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has found the defined attribute
                set
                ''',
                'attribute_set_found',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Explicit Path ID, this is the key to table
                ExplicitPaths.IdentifierTable
                ''',
                'explicit_path_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Explicit Path Name, this is the key to table
                ExplicitPaths.NameTable
                ''',
                'explicit_path_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has an attribute set defined
                ''',
                'has_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-xro-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has an XRO attribute set
                configured
                ''',
                'has_xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('holddown-duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Holddown Duration (seconds)
                ''',
                'holddown_duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path option is disabled
                ''',
                'is_disabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-helddown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if path is helddown
                ''',
                'is_helddown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-lockdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is locked down
                ''',
                'is_lockdown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-segment-routing', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is Segment-Routing
                ''',
                'is_segment_routing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-explicit-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if explicit path is strict
                ''',
                'is_strict_explicit_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-verbatim', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is verbatim
                ''',
                'is_verbatim',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index
                ''',
                'option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index-is-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The path option index is valid
                ''',
                'option_index_is_valid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-calculation-error', REFERENCE_LIST, 'PathCalculationError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.PathCalculationError', 
                [], [], 
                '''                Path computation information
                ''',
                'path_calculation_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The path-option area constraint
                ''',
                'path_option_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path option name
                ''',
                'path_option_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-type', REFERENCE_ENUM_CLASS, 'MplsTePathoptionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTePathoptionEnum', 
                [], [], 
                '''                Path option type
                ''',
                'path_option_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                PCE server address
                ''',
                'pce_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-by-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for Protect path options
                ''',
                'protected_by_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remerge-error', REFERENCE_LIST, 'RemergeError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.RemergeError', 
                [], [], 
                '''                Path computation remerge resolve info
                ''',
                'remerge_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restored-from-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for Restore path options
                ''',
                'restored_from_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-error', REFERENCE_LIST, 'SignallingError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.SignallingError', 
                [], [], 
                '''                Signalling information
                ''',
                'signalling_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set', REFERENCE_CLASS, 'XroAttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet', 
                [], [], 
                '''                The XRO attribute set used by this path-option
                ''',
                'xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set-found', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path's XRO attribute set is known
                ''',
                'xro_attribute_set_found',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'active-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'out-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'in-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.Tspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.Tspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GenericTspec.Otntspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GenericTspec.Otntspec',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit Rate in kbps
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nmc-or-tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                NMC or Tolerance
                ''',
                'nmc_or_tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Virtual Components
                ''',
                'nvc',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otntspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GenericTspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GenericTspec',
            False, 
            [
            _MetaInfoClassMember('otntspec', REFERENCE_CLASS, 'Otntspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GenericTspec.Otntspec', 
                [], [], 
                '''                TE TSpec for G709 OTN
                ''',
                'otntspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tspec-type', REFERENCE_ENUM_CLASS, 'TeMgmtGenericTspecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeMgmtGenericTspecEnum', 
                [], [], 
                '''                TSpecType
                ''',
                'tspec_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'generic-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.Fspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.Fspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GenericFspec.Otnfspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GenericFspec.Otnfspec',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit Rate in kbps
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nmc-or-tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                NMC or Tolerance
                ''',
                'nmc_or_tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Virtual Components
                ''',
                'nvc',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otnfspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GenericFspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GenericFspec',
            False, 
            [
            _MetaInfoClassMember('fspec-type', REFERENCE_ENUM_CLASS, 'TeMgmtGenericFspecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeMgmtGenericFspecEnum', 
                [], [], 
                '''                FSpecType
                ''',
                'fspec_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otnfspec', REFERENCE_CLASS, 'Otnfspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GenericFspec.Otnfspec', 
                [], [], 
                '''                TE FSpec for G709 OTN
                ''',
                'otnfspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'generic-fspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.NextHopAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.NextHopAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.NextHopAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.NextHopAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.NextHopAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'next-hop-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'previous-hop-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.IncomingAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.IncomingAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.IncomingAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.IncomingAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.IncomingAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'incoming-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.S2LConvergence' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.S2LConvergence',
            False, 
            [
            _MetaInfoClassMember('creation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tunnel creation timestamp (clocktime in nsecs)
                ''',
                'creation_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rewrite', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP Label rewrite timestamp (clocktime in nsecs)
                ''',
                'label_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Path-in timestamp (clocktime in nsecs)
                ''',
                'path_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Path-in timestamp (clocktime in nsecs)
                ''',
                'path_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Resv-in timestamp (clocktime in nsecs)
                ''',
                'resv_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Resv-out timestamp (clocktime in nsecs)
                ''',
                'resv_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-rewrite', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tunnel rewrite timestamp (clocktime in nsecs)
                ''',
                'tunnel_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-convergence',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.SoftPreemption' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.SoftPreemption',
            False, 
            [
            _MetaInfoClassMember('fr-rrewrite', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR-rewrite during soft preemption
                ''',
                'fr_rrewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fr-rrewrite-tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The tunnel name of the backup
                ''',
                'fr_rrewrite_tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('preempting-link-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The address of the link where the preemption
                happened
                ''',
                'preempting_link_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-link', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the link where the soft preemption
                occurred
                ''',
                'soft_preemption_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The POSIX timestamp when the soft preemption
                occurred
                ''',
                'soft_preemption_timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'MplsTeSoftPreemptionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeSoftPreemptionStateEnum', 
                [], [], 
                '''                The current state of the soft preemption
                operation
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-to-hard-preemption', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The number of seconds until hard preemption is
                triggered
                ''',
                'time_to_hard_preemption',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'soft-preemption',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels',
            False, 
            [
            _MetaInfoClassMember('path-egress-label', REFERENCE_CLASS, 'PathEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel', 
                [], [], 
                '''                Path message (upstream) egress label
                ''',
                'path_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-ingress-label', REFERENCE_CLASS, 'PathIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel', 
                [], [], 
                '''                Path message (upstream) ingress label
                ''',
                'path_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-egress-label', REFERENCE_CLASS, 'ResvEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel', 
                [], [], 
                '''                Resv message (downstream) egress label
                ''',
                'resv_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-ingress-label', REFERENCE_CLASS, 'ResvIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel', 
                [], [], 
                '''                Resv message (downstream) ingress label
                ''',
                'resv_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'gmpls-labels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tolerance
                ''',
                'tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-cbr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-gfp-f-res',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-gfp-f-non-res',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth',
            False, 
            [
            _MetaInfoClassMember('odu-flex-cbr', REFERENCE_CLASS, 'OduFlexCbr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr', 
                [], [], 
                '''                Odu flex CBR info
                ''',
                'odu_flex_cbr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-flex-gfp-f-non-res', REFERENCE_CLASS, 'OduFlexGfpFNonRes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes', 
                [], [], 
                '''                Odu flex GFP-F non-resizable info
                ''',
                'odu_flex_gfp_f_non_res',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-flex-gfp-f-res', REFERENCE_CLASS, 'OduFlexGfpFRes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes', 
                [], [], 
                '''                Odu flex GFP-F resizable info
                ''',
                'odu_flex_gfp_f_res',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-level', REFERENCE_ENUM_CLASS, 'TeOduLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeOduLevelEnum', 
                [], [], 
                '''                ODULevel
                ''',
                'odu_level',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels',
            False, 
            [
            _MetaInfoClassMember('path-egress-label', REFERENCE_CLASS, 'PathEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel', 
                [], [], 
                '''                Path message (upstream) egress label
                ''',
                'path_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-ingress-label', REFERENCE_CLASS, 'PathIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel', 
                [], [], 
                '''                Path message (upstream) ingress label
                ''',
                'path_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-egress-label', REFERENCE_CLASS, 'ResvEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel', 
                [], [], 
                '''                Resv message (downstream) egress label
                ''',
                'resv_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-ingress-label', REFERENCE_CLASS, 'ResvIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel', 
                [], [], 
                '''                Resv message (downstream) ingress label
                ''',
                'resv_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'labels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn',
            False, 
            [
            _MetaInfoClassMember('bandwidth', REFERENCE_CLASS, 'Bandwidth' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth', 
                [], [], 
                '''                OTN Bandwidth for s2l
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cross-connect-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cross connect id
                ''',
                'cross_connect_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gpid', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Gpid Payload
                ''',
                'gpid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Incoming Controller
                ''',
                'incoming_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Incoming Controller Ifhandle
                ''',
                'incoming_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Controller
                ''',
                'incoming_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Incoming Sub Controller
                ''',
                'incoming_sub_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Incoming Sub Controller Ifhandle
                ''',
                'incoming_sub_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Sub Controller
                ''',
                'incoming_sub_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if subcontrollers are connected
                ''',
                'is_connected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('labels', REFERENCE_CLASS, 'Labels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels', 
                [], [], 
                '''                Labels
                ''',
                'labels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing Controller
                ''',
                'outgoing_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Controller Ifhandle
                ''',
                'outgoing_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Controller
                ''',
                'outgoing_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing Sub Controller
                ''',
                'outgoing_sub_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Sub Controller Ifhandle
                ''',
                'outgoing_sub_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Sub Controller
                ''',
                'outgoing_sub_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                XC Uptime
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Aps.ProtectionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Aps.ProtectionInfo',
            False, 
            [
            _MetaInfoClassMember('ho-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-Off timeout
                ''',
                'ho_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-hopresent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Hold-Off timeout present
                ''',
                'is_hopresent',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-snc-mode-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SNC mode present
                ''',
                'is_snc_mode_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-wtr-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Wait-to-Restore timeout present
                ''',
                'is_wtr_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Notification bit 
                ''',
                'nbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('obit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Operational bit
                ''',
                'obit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path protection profile type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Protecting bit
                ''',
                'pbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protect-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                LSP Protect Type
                ''',
                'protect_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Secondary bit
                ''',
                'sbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                SNC mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TCM ID
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wtr-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait-to-Restore timeout
                ''',
                'wtr_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protection-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Aps' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Aps',
            False, 
            [
            _MetaInfoClassMember('protection-info', REFERENCE_CLASS, 'ProtectionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Aps.ProtectionInfo', 
                [], [], 
                '''                Protection Info
                ''',
                'protection_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'aps',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L',
            False, 
            [
            _MetaInfoClassMember('aps', REFERENCE_CLASS, 'Aps' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Aps', 
                [], [], 
                '''                APS Info for OTN S2L
                ''',
                'aps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn', 
                [], [], 
                '''                Info Related to OTN technology in S2L
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn-s2l',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.HeadEndBfdInfo.SessionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.HeadEndBfdInfo.SessionInfo',
            False, 
            [
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'TeBfdLspSessionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdLspSessionStateEnum', 
                [], [], 
                '''                BFD session state
                ''',
                'state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('state-change-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last session state
                change
                ''',
                'state_change_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'session-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.HeadEndBfdInfo.DeletionHistory' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.HeadEndBfdInfo.DeletionHistory',
            False, 
            [
            _MetaInfoClassMember('deletion-diagnostic-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Diagnostic Code for the BFD session get deleted
                ''',
                'deletion_diagnostic_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reason for the BFD session get deleted
                ''',
                'deletion_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time stamp of the BFD session get deleted
                ''',
                'deletion_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID of the BFD session get deleted
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'deletion-history',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.HeadEndBfdInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.HeadEndBfdInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-reverse-path-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path labels
                ''',
                'bfd_reverse_path_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The BFD reverse path is stale compared to
                configuration
                ''',
                'bfd_reverse_path_stale',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('creation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the BFD session created
                ''',
                'creation_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-history', REFERENCE_CLASS, 'DeletionHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.HeadEndBfdInfo.DeletionHistory', 
                [], [], 
                '''                BFD Session Deletion History
                ''',
                'deletion_history',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-redundant', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                sBFD session is redundant
                ''',
                'is_redundant',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lspbfd-type', REFERENCE_ENUM_CLASS, 'TeVifBfdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeVifBfdEnum', 
                [], [], 
                '''                LSP BFD type
                ''',
                'lspbfd_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-info', REFERENCE_CLASS, 'SessionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.HeadEndBfdInfo.SessionInfo', 
                [], [], 
                '''                BFD Session Info
                ''',
                'session_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'head-end-bfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.TailEndBfdInfo.SessionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.TailEndBfdInfo.SessionInfo',
            False, 
            [
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'TeBfdLspSessionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdLspSessionStateEnum', 
                [], [], 
                '''                BFD session state
                ''',
                'state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('state-change-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last session state
                change
                ''',
                'state_change_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'session-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.TailEndBfdInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.TailEndBfdInfo',
            False, 
            [
            _MetaInfoClassMember('failure-diagnostic-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD session failure diagnostic code
                ''',
                'failure_diagnostic_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('failure-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                BFD session failure reason
                ''',
                'failure_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-discriminator', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Local Discriminator
                ''',
                'local_discriminator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('min-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello interval in mini second
                ''',
                'min_interval',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('min-interval-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default hello interval
                ''',
                'min_interval_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default multiplier
                ''',
                'multiplier_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-discriminator', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Remote Discrminator
                ''',
                'remote_discriminator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-info', REFERENCE_CLASS, 'SessionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.TailEndBfdInfo.SessionInfo', 
                [], [], 
                '''                BFD Session Info
                ''',
                'session_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tail-end-bfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.SrlgCollection' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.SrlgCollection',
            False, 
            [
            _MetaInfoClassMember('discovered-srlg', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Discovered SRLGs
                ''',
                'discovered_srlg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-collect-type', REFERENCE_ENUM_CLASS, 'TeSrlgCollectRequestEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSrlgCollectRequestEnum', 
                [], [], 
                '''                SRLG-collection mechanism
                ''',
                'srlg_collect_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-collection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.Association' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.Association',
            False, 
            [
            _MetaInfoClassMember('s2l-association-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Association ID
                ''',
                's2l_association_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                S2L Association Source
                ''',
                's2l_association_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-tie-role', REFERENCE_ENUM_CLASS, 'TeAssociationTieRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAssociationTieRoleEnum', 
                [], [], 
                '''                S2L Association Tie Role
                ''',
                's2l_association_tie_role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Association Type                         
                (draft-ietf-ccamp-mpls-tp-rsvpte-ext-associated-lsp)
                ''',
                's2l_association_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-extended-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L Extended ID Array
                ''',
                's2l_extended_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-global-source', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L Global Source
                ''',
                's2l_global_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'association',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.Protection' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.Protection',
            False, 
            [
            _MetaInfoClassMember('any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Any
                ''',
                'any',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ded1-plus1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1+1 Protection
                ''',
                'ded1_plus1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ded1-to1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1:1 Protection
                ''',
                'ded1_to1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('enhanced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates Enhanced Protection Scheme
                ''',
                'enhanced',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extra-traffic', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should use Links that are protecting other
                (primary) traffic
                ''',
                'extra_traffic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should not use any Link Layer Protection
                ''',
                'link_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Flags Unprotected
                ''',
                'lsp_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-plus-one-bi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Bidirectional Protection
                ''',
                'one_plus_one_bi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-plus-one-uni', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Unidirectional Protection
                ''',
                'one_plus_one_uni',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-to-n-protection-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1:N Protection with Extra-Traffic
                ''',
                'one_to_n_protection_et',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Full Rerouting
                ''',
                'rerouting',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouting-no-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Rerouting Without Extra-Traffic
                ''',
                'rerouting_no_et',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-notification', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Notification Bit
                ''',
                's2l_notification',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-operational', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Operational Bit
                ''',
                's2l_operational',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Protecting Bit
                ''',
                's2l_protecting',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-secondary', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Secondary Bit
                ''',
                's2l_secondary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Shared Link Layer Protection
                ''',
                'shared',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseLspFec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseLspFec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseLspFec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseLspFec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseLspFec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-lsp-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseTspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseTspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.FlexInfo.FlexFec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.FlexInfo.FlexFec',
            False, 
            [
            _MetaInfoClassMember('s2l-fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                Session identifier (ctype)
                ''',
                's2l_fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-dest', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                sub-LSP destination address
                ''',
                's2l_fec_dest',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                's2l_fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                's2l_fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                's2l_fec_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSP source address
                ''',
                's2l_fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                sub-LSP subgroup ID
                ''',
                's2l_fec_subgroup_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                's2l_fec_subgroup_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                's2l_fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                's2l_fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.FlexInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.FlexInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-created', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GAL BFD Session Created
                ''',
                'bfd_created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-egress-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Egress Label
                ''',
                'bfd_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-int-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Internal Label
                ''',
                'bfd_int_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                BFD Next Hop
                ''',
                'bfd_next_hop',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-out-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD Out Interface Handle
                ''',
                'bfd_out_ifh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-tun-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD Tunnel Interface Handle
                ''',
                'bfd_tun_ifh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GAL BFD Session Up
                ''',
                'bfd_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('entry-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FlexLSP Entry Exists
                ''',
                'entry_exists',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ais', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault AIS
                ''',
                'fault_ais',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ldi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LDI
                ''',
                'fault_ldi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ldi-lockout', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LDI Lockout
                ''',
                'fault_ldi_lockout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-lkr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LKR
                ''',
                'fault_lkr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Fault Time
                ''',
                'fault_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex-fec', REFERENCE_CLASS, 'FlexFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.FlexInfo.FlexFec', 
                [], [], 
                '''                FEC for the FlexLSP Entry
                ''',
                'flex_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                In Label
                ''',
                'in_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('oam-created', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                OAM Entry Created
                ''',
                'oam_created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.LspWrapInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.LspWrapInfo',
            False, 
            [
            _MetaInfoClassMember('lsp-wrap-protection-enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Wrap protection enabled
                ''',
                'lsp_wrap_protection_enable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-protection-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSP Wrap Merge Point Label
                ''',
                'lsp_wrap_protection_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-protection-state', REFERENCE_ENUM_CLASS, 'MplsTeLspWrapStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspWrapStateEnum', 
                [], [], 
                '''                LSP wrap protection state
                ''',
                'lsp_wrap_protection_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reverse Egress Interface
                ''',
                'reverse_egress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reverse LSP label
                ''',
                'reverse_lsp_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-wrap-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.DiversityInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.DiversityInfo',
            False, 
            [
            _MetaInfoClassMember('diversity-type', REFERENCE_ENUM_CLASS, 'TePpDiversityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePpDiversityEnum', 
                [], [], 
                '''                S2L path diversity type
                ''',
                'diversity_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'diversity-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.SharedRiskLinkGroup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.SharedRiskLinkGroup',
            False, 
            [
            _MetaInfoClassMember('shared-risk-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG number
                ''',
                'shared_risk_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SRLG name
                ''',
                'srlg_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'shared-risk-link-group',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutEro.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutEro.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutEro.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutEro.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutEro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutEro',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutEro.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutEro.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'out-ero',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InEro.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InEro.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InEro.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InEro.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InEro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InEro',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InEro.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InEro.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'in-ero',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.Ipv4RroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.Ipv4RroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.Ipv4RroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.Ipv4RroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.Ipv4RroSubObject.Flags', 
                [], [], 
                '''                The RRO IPV4 Subobject Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO IPV4 Address
                ''',
                'rro_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.LabelRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.LabelRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-global-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label is Global across all interfaces
                ''',
                'is_global_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.LabelRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.LabelRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.LabelRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Label Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-label-variable-length', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the RRO Subobject Label Variable Length
                ''',
                'is_label_variable_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Label Value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('variable-length-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Variable Length Label
                ''',
                'variable_length_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'label-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.UnnumberedRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.UnnumberedRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.UnnumberedRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.UnnumberedRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.UnnumberedRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Unnumbered Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO Interface Address
                ''',
                'interface_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.SrlgRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.SrlgRroSubObject',
            False, 
            [
            _MetaInfoClassMember('srl-gs', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject SRLGs
                ''',
                'srl_gs',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro',
            False, 
            [
            _MetaInfoClassMember('ipv4rro-sub-object', REFERENCE_CLASS, 'Ipv4RroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.Ipv4RroSubObject', 
                [], [], 
                '''                IPV4 RRO Sub Object
                ''',
                'ipv4rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rro-sub-object', REFERENCE_CLASS, 'LabelRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.LabelRroSubObject', 
                [], [], 
                '''                Label RRO Sub Object
                ''',
                'label_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtRroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtRroSubobjEnum', 
                [], [], 
                '''                RROType
                ''',
                'rro_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-rro-sub-object', REFERENCE_CLASS, 'SrlgRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.SrlgRroSubObject', 
                [], [], 
                '''                SRLG RRO Sub Object
                ''',
                'srlg_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-rro-sub-object', REFERENCE_CLASS, 'UnnumberedRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.UnnumberedRroSubObject', 
                [], [], 
                '''                Unnumbered RRO Sub Object
                ''',
                'unnumbered_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-rro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.Ipv4RroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.Ipv4RroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.Ipv4RroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.Ipv4RroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.Ipv4RroSubObject.Flags', 
                [], [], 
                '''                The RRO IPV4 Subobject Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO IPV4 Address
                ''',
                'rro_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.LabelRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.LabelRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-global-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label is Global across all interfaces
                ''',
                'is_global_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.LabelRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.LabelRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.LabelRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Label Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-label-variable-length', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the RRO Subobject Label Variable Length
                ''',
                'is_label_variable_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Label Value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('variable-length-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Variable Length Label
                ''',
                'variable_length_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'label-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.UnnumberedRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.UnnumberedRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Unnumbered Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO Interface Address
                ''',
                'interface_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.SrlgRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.SrlgRroSubObject',
            False, 
            [
            _MetaInfoClassMember('srl-gs', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject SRLGs
                ''',
                'srl_gs',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro',
            False, 
            [
            _MetaInfoClassMember('ipv4rro-sub-object', REFERENCE_CLASS, 'Ipv4RroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.Ipv4RroSubObject', 
                [], [], 
                '''                IPV4 RRO Sub Object
                ''',
                'ipv4rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rro-sub-object', REFERENCE_CLASS, 'LabelRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.LabelRroSubObject', 
                [], [], 
                '''                Label RRO Sub Object
                ''',
                'label_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtRroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtRroSubobjEnum', 
                [], [], 
                '''                RROType
                ''',
                'rro_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-rro-sub-object', REFERENCE_CLASS, 'SrlgRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.SrlgRroSubObject', 
                [], [], 
                '''                SRLG RRO Sub Object
                ''',
                'srlg_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-rro-sub-object', REFERENCE_CLASS, 'UnnumberedRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.UnnumberedRroSubObject', 
                [], [], 
                '''                Unnumbered RRO Sub Object
                ''',
                'unnumbered_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-rro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathAffinityArray' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathAffinityArray',
            False, 
            [
            _MetaInfoClassMember('hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Hop address
                ''',
                'hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop-affinity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'hop_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop-extended-affinity', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hop affinity
                ''',
                'hop_extended_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-affinity-array',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseEroIn.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseEroIn.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseEroIn.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseEroIn.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseEroIn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseEroIn',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseEroIn.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseEroIn.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-ero-in',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.S2LSegmentRoutingPath' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.S2LSegmentRoutingPath',
            False, 
            [
            _MetaInfoClassMember('has-entropy-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Hop has EL specified
                ''',
                'has_entropy_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-ip-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node has IP addresses specified
                ''',
                'has_ip_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-mpls-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Hop has MPLS label specified
                ''',
                'has_mpls_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local IP address of adjacency or Node ID
                ''',
                'local_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mpls-label-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The MPLS label value
                ''',
                'mpls_label_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote IP address of adjacency
                ''',
                'remote_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sid-type', REFERENCE_ENUM_CLASS, 'TeSrSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSrSidEnum', 
                [], [], 
                '''                Type of the SID
                ''',
                'sid_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-segment-routing-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L',
            False, 
            [
            _MetaInfoClassMember('abr-auto-discovered', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next ABR auto discovered
                ''',
                'abr_auto_discovered',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('active-path-option', REFERENCE_CLASS, 'ActivePathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption', 
                [], [], 
                '''                The path option used to find the path for this
                S2L
                ''',
                'active_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('association', REFERENCE_CLASS, 'Association' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.Association', 
                [], [], 
                '''                Association Object
                ''',
                'association',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface handle of the backup tunnel
                ''',
                'backup_tunnel_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('diversity-info', REFERENCE_CLASS, 'DiversityInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.DiversityInfo', 
                [], [], 
                '''                S2L Diversity Information
                ''',
                'diversity_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('downstream-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Downstream router id
                ''',
                'downstream_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Egress Interface
                ''',
                'egress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface-brief', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Egress Interface in brief format
                ''',
                'egress_interface_brief',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Interface
                ''',
                'egress_interface_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Outgoing ERO's affinity bits (colors)
                ''',
                'expanded_ero_affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Outgoing ERO's affinity mask (colors)
                ''',
                'expanded_ero_affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Indicates the protocol and area used to find
                Outgoing ERO
                ''',
                'expanded_ero_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The metric value of the expanded path
                ''',
                'expanded_ero_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-metric-type', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                The Outgoing ERO's selection metric
                ''',
                'expanded_ero_metric_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex-info', REFERENCE_CLASS, 'FlexInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.FlexInfo', 
                [], [], 
                '''                FlexLSP S2L Information
                ''',
                'flex_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-out-tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FRR out tunnel intface
                ''',
                'frr_out_tunnel_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fspec', REFERENCE_CLASS, 'Fspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.Fspec', 
                [], [], 
                '''                The F spec info
                ''',
                'fspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generic-fspec', REFERENCE_CLASS, 'GenericFspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GenericFspec', 
                [], [], 
                '''                Generic FSpec
                ''',
                'generic_fspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generic-tspec', REFERENCE_CLASS, 'GenericTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GenericTspec', 
                [], [], 
                '''                Generic TSpec
                ''',
                'generic_tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gmpls-labels', REFERENCE_CLASS, 'GmplsLabels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels', 
                [], [], 
                '''                GMPLS labels
                ''',
                'gmpls_labels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('head-end-bfd-info', REFERENCE_CLASS, 'HeadEndBfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.HeadEndBfdInfo', 
                [], [], 
                '''                The Head-end BFD info
                ''',
                'head_end_bfd_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-ero', REFERENCE_LIST, 'InEro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InEro', 
                [], [], 
                '''                Incoming ERO for this S2L
                ''',
                'in_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-xro', REFERENCE_CLASS, 'InXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro', 
                [], [], 
                '''                Incoming XRO for this S2L
                ''',
                'in_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Incoming interface address
                ''',
                'incoming_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-address-generic', REFERENCE_CLASS, 'IncomingAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.IncomingAddressGeneric', 
                [], [], 
                '''                Incoming interface address
                ''',
                'incoming_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ingress Interface
                ''',
                'ingress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface-brief', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ingress Interface in brief format
                ''',
                'ingress_interface_brief',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Interface
                ''',
                'ingress_interface_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-protect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BW Protection Enabled or Disabled
                ''',
                'is_bandwidth_protect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-expanded-ero', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if this LSR expanded a loose path
                ''',
                'is_expanded_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-frr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Enabled or Disabled
                ''',
                'is_frr_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Enabled or Disabled
                ''',
                'is_node_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-optical', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Optical
                ''',
                'is_optical',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local router id
                ''',
                'local_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-info', REFERENCE_CLASS, 'LspWrapInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.LspWrapInfo', 
                [], [], 
                '''                Lsp Wrap  Related information
                ''',
                'lsp_wrap_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop address
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address-generic', REFERENCE_CLASS, 'NextHopAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.NextHopAddressGeneric', 
                [], [], 
                '''                Next hop address
                ''',
                'next_hop_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('node-hop-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hop count
                ''',
                'node_hop_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn-s2l', REFERENCE_CLASS, 'OtnS2L' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L', 
                [], [], 
                '''                Otn S2L Information
                ''',
                'otn_s2l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-ero', REFERENCE_LIST, 'OutEro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutEro', 
                [], [], 
                '''                Outgoing ERO for this S2L
                ''',
                'out_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-xro', REFERENCE_CLASS, 'OutXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro', 
                [], [], 
                '''                Outgoing XRO for this S2L
                ''',
                'out_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outbound-frr-state', REFERENCE_ENUM_CLASS, 'MplsTeFrrStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeFrrStateEnum', 
                [], [], 
                '''                Indicates outbound FRR state
                ''',
                'outbound_frr_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-affinity-array', REFERENCE_LIST, 'PathAffinityArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathAffinityArray', 
                [], [], 
                '''                Tunnel's Path hops with affinity
                ''',
                'path_affinity_array',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reeval-query-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loose path reevaluation query received at
                mid-point
                ''',
                'path_reeval_query_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-rro', REFERENCE_LIST, 'PathRro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro', 
                [], [], 
                '''                Path RRO for this S2L
                ''',
                'path_rro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-rro-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path RRO Enabled or Disabled
                ''',
                'path_rro_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-using-strict-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is using Strict SPF
                ''',
                'path_using_strict_spf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcalc-area', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IGP-area in which the S2L path was calculated
                ''',
                'pcalc_area',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Previous hop address
                ''',
                'previous_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-hop-address-generic', REFERENCE_CLASS, 'PreviousHopAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric', 
                [], [], 
                '''                Previous hop address
                ''',
                'previous_hop_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection', REFERENCE_CLASS, 'Protection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.Protection', 
                [], [], 
                '''                Protection Object
                ''',
                'protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-rro', REFERENCE_LIST, 'ResvRro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro', 
                [], [], 
                '''                Resv RRO for this S2L
                ''',
                'resv_rro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-ero-in', REFERENCE_LIST, 'ReverseEroIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseEroIn', 
                [], [], 
                '''                 Reverse Incoming ERO for this S2L
                ''',
                'reverse_ero_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Connected
                ''',
                'reverse_lsp_connected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-fec', REFERENCE_CLASS, 'ReverseLspFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseLspFec', 
                [], [], 
                '''                Reverse Associated Bidir LSP FEC
                ''',
                'reverse_lsp_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Name
                ''',
                'reverse_lsp_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Present
                ''',
                'reverse_lsp_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-tspec', REFERENCE_CLASS, 'ReverseTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseTspec', 
                [], [], 
                '''                The Reverse T spec info
                ''',
                'reverse_tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The reverse path weight
                ''',
                'reverse_weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('role', REFERENCE_ENUM_CLASS, 'MplsTeTunnelRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelRoleEnum', 
                [], [], 
                '''                Role of S2L
                ''',
                'role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-convergence', REFERENCE_CLASS, 'S2LConvergence' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.S2LConvergence', 
                [], [], 
                '''                TE LSP convergence related information
                ''',
                's2l_convergence',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec', REFERENCE_CLASS, 'S2LFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.S2LFec', 
                [], [], 
                '''                FEC for the S2L
                ''',
                's2l_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label
                ''',
                's2l_local_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing label
                ''',
                's2l_out_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-ero-obj-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2l Reverse ERO Object Present
                ''',
                's2l_reverse_ero_obj_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-lsp-sub-obj', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Reverse LSP Sub Objects
                ''',
                's2l_reverse_lsp_sub_obj',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-tspec-obj-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Reverse TSpec Object Present
                ''',
                's2l_reverse_tspec_obj_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-segment-routing-path', REFERENCE_LIST, 'S2LSegmentRoutingPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.S2LSegmentRoutingPath', 
                [], [], 
                '''                Segment-Routing S2L path info
                ''',
                's2l_segment_routing_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared-risk-link-group', REFERENCE_LIST, 'SharedRiskLinkGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.SharedRiskLinkGroup', 
                [], [], 
                '''                The S2L's excluded srlg groups
                ''',
                'shared_risk_link_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-status', REFERENCE_ENUM_CLASS, 'MplsTeTunnelsSignalingStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelsSignalingStatusEnum', 
                [], [], 
                '''                Signaling status
                ''',
                'signalling_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption', REFERENCE_CLASS, 'SoftPreemption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.SoftPreemption', 
                [], [], 
                '''                The soft preemption info for this LSP.
                ''',
                'soft_preemption',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-collection', REFERENCE_CLASS, 'SrlgCollection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.SrlgCollection', 
                [], [], 
                '''                SRLG-collection data
                ''',
                'srlg_collection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tail-end-bfd-info', REFERENCE_CLASS, 'TailEndBfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.TailEndBfdInfo', 
                [], [], 
                '''                The Tail-end BFD info
                ''',
                'tail_end_bfd_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-preferred-path-exists-send-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last preferred path exists msg send
                from mid-point
                ''',
                'time_since_last_preferred_path_exists_send_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-preferred-tree-exists-send-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last preferred tree exists msg send
                from mid-point
                ''',
                'time_since_last_preferred_tree_exists_send_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-query-received-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last reevaluation query received at
                mid-point
                ''',
                'time_since_last_query_received_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tspec', REFERENCE_CLASS, 'Tspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.Tspec', 
                [], [], 
                '''                The T spec info
                ''',
                'tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('upstream-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Upstream router id
                ''',
                'upstream_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the tunnel was up
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The path's weight
                ''',
                'weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp',
            False, 
            [
            _MetaInfoClassMember('dste-class-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Matching DSTE class index
                ''',
                'dste_class_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-match', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Do the class type and priority match a DSTE
                class
                ''',
                'dste_class_match',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-active-reason', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP LSP FRR active reason
                ''',
                'frr_active_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-frr-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                P2MP LSP has FRR Failed
                ''',
                'is_frr_failed',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True for tunnel head
                ''',
                'is_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-passive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True for passive tunnel
                ''',
                'is_passive',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-path-change', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last path change
                ''',
                'last_path_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP LSP Bandwidth
                ''',
                'lsp_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The LSP bandwidth type
                ''',
                'lsp_bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-fec', REFERENCE_CLASS, 'LspFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.LspFec', 
                [], [], 
                '''                FEC for the LSP
                ''',
                'lsp_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSP hold priority
                ''',
                'lsp_hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSP setup priority
                ''',
                'lsp_setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('persistent-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Persistent forwarding statistics for number of
                bytes. Clear counters will not reset the counter
                ''',
                'persistent_bytes',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('persistent-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Persistent forwarding statistics for Number of
                packets. Clear counters will not reset the
                counter
                ''',
                'persistent_packets',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimize-reason', REFERENCE_ENUM_CLASS, 'MplsTeReoptDecisionReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeReoptDecisionReasonEnum', 
                [], [], 
                '''                Reason for re-optimization
                ''',
                'reoptimize_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimize-trigger', REFERENCE_ENUM_CLASS, 'MteReoptTriggerEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MteReoptTriggerEnum', 
                [], [], 
                '''                Re-optimize trigger
                ''',
                'reoptimize_trigger',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-down', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of down S2Ls
                ''',
                's2_ls_down',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-proceeding', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of proceeding S2Ls
                ''',
                's2_ls_proceeding',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of connected S2Ls
                ''',
                's2_ls_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l', REFERENCE_LIST, 'S2L' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L', 
                [], [], 
                '''                array of S2L structures
                ''',
                's2l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signaled-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signaled Name
                ''',
                'signaled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('timer-left', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds left to take next action if any
                ''',
                'timer_left',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MplsTeLspEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspEnum', 
                [], [], 
                '''                The type of this LSP
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the tunnel was up
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tunnel-restoration-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.LspFec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.LspFec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.LspFec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.LspFec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.LspFec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.S2LFec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.S2LFec',
            False, 
            [
            _MetaInfoClassMember('s2l-fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                Session identifier (ctype)
                ''',
                's2l_fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-dest', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                sub-LSP destination address
                ''',
                's2l_fec_dest',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                's2l_fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                's2l_fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                's2l_fec_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSP source address
                ''',
                's2l_fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                sub-LSP subgroup ID
                ''',
                's2l_fec_subgroup_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                's2l_fec_subgroup_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                's2l_fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                's2l_fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.PathCalculationError' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.PathCalculationError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-calculation-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.RemergeError' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.RemergeError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'remerge-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.SignallingError' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.SignallingError',
            False, 
            [
            _MetaInfoClassMember('error', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Path Error code
                ''',
                'error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Source address of the error generating node
                ''',
                'error_node',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSPMode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if error is on the reverse LSP
                ''',
                'reverse_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP-id for which the error was received
                ''',
                'signalling_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path Error subcode
                ''',
                'sub_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalling-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption',
            False, 
            [
            _MetaInfoClassMember('attribute-set', REFERENCE_CLASS, 'AttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet', 
                [], [], 
                '''                The path option attribute set used by this path
                ''',
                'attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-found', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has found the defined attribute
                set
                ''',
                'attribute_set_found',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Explicit Path ID, this is the key to table
                ExplicitPaths.IdentifierTable
                ''',
                'explicit_path_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Explicit Path Name, this is the key to table
                ExplicitPaths.NameTable
                ''',
                'explicit_path_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has an attribute set defined
                ''',
                'has_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-xro-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has an XRO attribute set
                configured
                ''',
                'has_xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('holddown-duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Holddown Duration (seconds)
                ''',
                'holddown_duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path option is disabled
                ''',
                'is_disabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-helddown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if path is helddown
                ''',
                'is_helddown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-lockdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is locked down
                ''',
                'is_lockdown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-segment-routing', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is Segment-Routing
                ''',
                'is_segment_routing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-explicit-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if explicit path is strict
                ''',
                'is_strict_explicit_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-verbatim', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is verbatim
                ''',
                'is_verbatim',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index
                ''',
                'option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index-is-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The path option index is valid
                ''',
                'option_index_is_valid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-calculation-error', REFERENCE_LIST, 'PathCalculationError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.PathCalculationError', 
                [], [], 
                '''                Path computation information
                ''',
                'path_calculation_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The path-option area constraint
                ''',
                'path_option_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path option name
                ''',
                'path_option_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-type', REFERENCE_ENUM_CLASS, 'MplsTePathoptionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTePathoptionEnum', 
                [], [], 
                '''                Path option type
                ''',
                'path_option_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                PCE server address
                ''',
                'pce_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-by-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for Protect path options
                ''',
                'protected_by_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remerge-error', REFERENCE_LIST, 'RemergeError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.RemergeError', 
                [], [], 
                '''                Path computation remerge resolve info
                ''',
                'remerge_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restored-from-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for Restore path options
                ''',
                'restored_from_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-error', REFERENCE_LIST, 'SignallingError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.SignallingError', 
                [], [], 
                '''                Signalling information
                ''',
                'signalling_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set', REFERENCE_CLASS, 'XroAttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet', 
                [], [], 
                '''                The XRO attribute set used by this path-option
                ''',
                'xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set-found', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path's XRO attribute set is known
                ''',
                'xro_attribute_set_found',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'active-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'out-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'in-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.Tspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.Tspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GenericTspec.Otntspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GenericTspec.Otntspec',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit Rate in kbps
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nmc-or-tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                NMC or Tolerance
                ''',
                'nmc_or_tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Virtual Components
                ''',
                'nvc',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otntspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GenericTspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GenericTspec',
            False, 
            [
            _MetaInfoClassMember('otntspec', REFERENCE_CLASS, 'Otntspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GenericTspec.Otntspec', 
                [], [], 
                '''                TE TSpec for G709 OTN
                ''',
                'otntspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tspec-type', REFERENCE_ENUM_CLASS, 'TeMgmtGenericTspecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeMgmtGenericTspecEnum', 
                [], [], 
                '''                TSpecType
                ''',
                'tspec_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'generic-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.Fspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.Fspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GenericFspec.Otnfspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GenericFspec.Otnfspec',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit Rate in kbps
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nmc-or-tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                NMC or Tolerance
                ''',
                'nmc_or_tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Virtual Components
                ''',
                'nvc',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otnfspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GenericFspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GenericFspec',
            False, 
            [
            _MetaInfoClassMember('fspec-type', REFERENCE_ENUM_CLASS, 'TeMgmtGenericFspecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeMgmtGenericFspecEnum', 
                [], [], 
                '''                FSpecType
                ''',
                'fspec_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otnfspec', REFERENCE_CLASS, 'Otnfspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GenericFspec.Otnfspec', 
                [], [], 
                '''                TE FSpec for G709 OTN
                ''',
                'otnfspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'generic-fspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.NextHopAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.NextHopAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.NextHopAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.NextHopAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.NextHopAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'next-hop-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'previous-hop-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.IncomingAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.IncomingAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.IncomingAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.IncomingAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.IncomingAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'incoming-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.S2LConvergence' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.S2LConvergence',
            False, 
            [
            _MetaInfoClassMember('creation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tunnel creation timestamp (clocktime in nsecs)
                ''',
                'creation_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rewrite', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP Label rewrite timestamp (clocktime in nsecs)
                ''',
                'label_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Path-in timestamp (clocktime in nsecs)
                ''',
                'path_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Path-in timestamp (clocktime in nsecs)
                ''',
                'path_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Resv-in timestamp (clocktime in nsecs)
                ''',
                'resv_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Resv-out timestamp (clocktime in nsecs)
                ''',
                'resv_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-rewrite', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tunnel rewrite timestamp (clocktime in nsecs)
                ''',
                'tunnel_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-convergence',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.SoftPreemption' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.SoftPreemption',
            False, 
            [
            _MetaInfoClassMember('fr-rrewrite', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR-rewrite during soft preemption
                ''',
                'fr_rrewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fr-rrewrite-tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The tunnel name of the backup
                ''',
                'fr_rrewrite_tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('preempting-link-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The address of the link where the preemption
                happened
                ''',
                'preempting_link_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-link', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the link where the soft preemption
                occurred
                ''',
                'soft_preemption_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The POSIX timestamp when the soft preemption
                occurred
                ''',
                'soft_preemption_timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'MplsTeSoftPreemptionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeSoftPreemptionStateEnum', 
                [], [], 
                '''                The current state of the soft preemption
                operation
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-to-hard-preemption', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The number of seconds until hard preemption is
                triggered
                ''',
                'time_to_hard_preemption',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'soft-preemption',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels',
            False, 
            [
            _MetaInfoClassMember('path-egress-label', REFERENCE_CLASS, 'PathEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel', 
                [], [], 
                '''                Path message (upstream) egress label
                ''',
                'path_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-ingress-label', REFERENCE_CLASS, 'PathIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel', 
                [], [], 
                '''                Path message (upstream) ingress label
                ''',
                'path_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-egress-label', REFERENCE_CLASS, 'ResvEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel', 
                [], [], 
                '''                Resv message (downstream) egress label
                ''',
                'resv_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-ingress-label', REFERENCE_CLASS, 'ResvIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel', 
                [], [], 
                '''                Resv message (downstream) ingress label
                ''',
                'resv_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'gmpls-labels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tolerance
                ''',
                'tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-cbr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-gfp-f-res',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-gfp-f-non-res',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth',
            False, 
            [
            _MetaInfoClassMember('odu-flex-cbr', REFERENCE_CLASS, 'OduFlexCbr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr', 
                [], [], 
                '''                Odu flex CBR info
                ''',
                'odu_flex_cbr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-flex-gfp-f-non-res', REFERENCE_CLASS, 'OduFlexGfpFNonRes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes', 
                [], [], 
                '''                Odu flex GFP-F non-resizable info
                ''',
                'odu_flex_gfp_f_non_res',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-flex-gfp-f-res', REFERENCE_CLASS, 'OduFlexGfpFRes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes', 
                [], [], 
                '''                Odu flex GFP-F resizable info
                ''',
                'odu_flex_gfp_f_res',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-level', REFERENCE_ENUM_CLASS, 'TeOduLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeOduLevelEnum', 
                [], [], 
                '''                ODULevel
                ''',
                'odu_level',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels',
            False, 
            [
            _MetaInfoClassMember('path-egress-label', REFERENCE_CLASS, 'PathEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel', 
                [], [], 
                '''                Path message (upstream) egress label
                ''',
                'path_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-ingress-label', REFERENCE_CLASS, 'PathIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel', 
                [], [], 
                '''                Path message (upstream) ingress label
                ''',
                'path_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-egress-label', REFERENCE_CLASS, 'ResvEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel', 
                [], [], 
                '''                Resv message (downstream) egress label
                ''',
                'resv_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-ingress-label', REFERENCE_CLASS, 'ResvIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel', 
                [], [], 
                '''                Resv message (downstream) ingress label
                ''',
                'resv_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'labels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn',
            False, 
            [
            _MetaInfoClassMember('bandwidth', REFERENCE_CLASS, 'Bandwidth' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth', 
                [], [], 
                '''                OTN Bandwidth for s2l
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cross-connect-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cross connect id
                ''',
                'cross_connect_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gpid', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Gpid Payload
                ''',
                'gpid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Incoming Controller
                ''',
                'incoming_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Incoming Controller Ifhandle
                ''',
                'incoming_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Controller
                ''',
                'incoming_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Incoming Sub Controller
                ''',
                'incoming_sub_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Incoming Sub Controller Ifhandle
                ''',
                'incoming_sub_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Sub Controller
                ''',
                'incoming_sub_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if subcontrollers are connected
                ''',
                'is_connected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('labels', REFERENCE_CLASS, 'Labels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels', 
                [], [], 
                '''                Labels
                ''',
                'labels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing Controller
                ''',
                'outgoing_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Controller Ifhandle
                ''',
                'outgoing_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Controller
                ''',
                'outgoing_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing Sub Controller
                ''',
                'outgoing_sub_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Sub Controller Ifhandle
                ''',
                'outgoing_sub_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Sub Controller
                ''',
                'outgoing_sub_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                XC Uptime
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Aps.ProtectionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Aps.ProtectionInfo',
            False, 
            [
            _MetaInfoClassMember('ho-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-Off timeout
                ''',
                'ho_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-hopresent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Hold-Off timeout present
                ''',
                'is_hopresent',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-snc-mode-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SNC mode present
                ''',
                'is_snc_mode_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-wtr-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Wait-to-Restore timeout present
                ''',
                'is_wtr_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Notification bit 
                ''',
                'nbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('obit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Operational bit
                ''',
                'obit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path protection profile type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Protecting bit
                ''',
                'pbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protect-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                LSP Protect Type
                ''',
                'protect_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Secondary bit
                ''',
                'sbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                SNC mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TCM ID
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wtr-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait-to-Restore timeout
                ''',
                'wtr_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protection-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Aps' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Aps',
            False, 
            [
            _MetaInfoClassMember('protection-info', REFERENCE_CLASS, 'ProtectionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Aps.ProtectionInfo', 
                [], [], 
                '''                Protection Info
                ''',
                'protection_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'aps',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L',
            False, 
            [
            _MetaInfoClassMember('aps', REFERENCE_CLASS, 'Aps' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Aps', 
                [], [], 
                '''                APS Info for OTN S2L
                ''',
                'aps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn', 
                [], [], 
                '''                Info Related to OTN technology in S2L
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn-s2l',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.HeadEndBfdInfo.SessionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.HeadEndBfdInfo.SessionInfo',
            False, 
            [
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'TeBfdLspSessionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdLspSessionStateEnum', 
                [], [], 
                '''                BFD session state
                ''',
                'state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('state-change-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last session state
                change
                ''',
                'state_change_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'session-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.HeadEndBfdInfo.DeletionHistory' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.HeadEndBfdInfo.DeletionHistory',
            False, 
            [
            _MetaInfoClassMember('deletion-diagnostic-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Diagnostic Code for the BFD session get deleted
                ''',
                'deletion_diagnostic_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reason for the BFD session get deleted
                ''',
                'deletion_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time stamp of the BFD session get deleted
                ''',
                'deletion_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID of the BFD session get deleted
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'deletion-history',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.HeadEndBfdInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.HeadEndBfdInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-reverse-path-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path labels
                ''',
                'bfd_reverse_path_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The BFD reverse path is stale compared to
                configuration
                ''',
                'bfd_reverse_path_stale',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('creation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the BFD session created
                ''',
                'creation_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-history', REFERENCE_CLASS, 'DeletionHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.HeadEndBfdInfo.DeletionHistory', 
                [], [], 
                '''                BFD Session Deletion History
                ''',
                'deletion_history',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-redundant', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                sBFD session is redundant
                ''',
                'is_redundant',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lspbfd-type', REFERENCE_ENUM_CLASS, 'TeVifBfdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeVifBfdEnum', 
                [], [], 
                '''                LSP BFD type
                ''',
                'lspbfd_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-info', REFERENCE_CLASS, 'SessionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.HeadEndBfdInfo.SessionInfo', 
                [], [], 
                '''                BFD Session Info
                ''',
                'session_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'head-end-bfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.TailEndBfdInfo.SessionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.TailEndBfdInfo.SessionInfo',
            False, 
            [
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'TeBfdLspSessionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdLspSessionStateEnum', 
                [], [], 
                '''                BFD session state
                ''',
                'state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('state-change-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last session state
                change
                ''',
                'state_change_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'session-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.TailEndBfdInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.TailEndBfdInfo',
            False, 
            [
            _MetaInfoClassMember('failure-diagnostic-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD session failure diagnostic code
                ''',
                'failure_diagnostic_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('failure-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                BFD session failure reason
                ''',
                'failure_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-discriminator', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Local Discriminator
                ''',
                'local_discriminator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('min-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello interval in mini second
                ''',
                'min_interval',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('min-interval-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default hello interval
                ''',
                'min_interval_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default multiplier
                ''',
                'multiplier_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-discriminator', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Remote Discrminator
                ''',
                'remote_discriminator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-info', REFERENCE_CLASS, 'SessionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.TailEndBfdInfo.SessionInfo', 
                [], [], 
                '''                BFD Session Info
                ''',
                'session_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tail-end-bfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.SrlgCollection' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.SrlgCollection',
            False, 
            [
            _MetaInfoClassMember('discovered-srlg', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Discovered SRLGs
                ''',
                'discovered_srlg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-collect-type', REFERENCE_ENUM_CLASS, 'TeSrlgCollectRequestEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSrlgCollectRequestEnum', 
                [], [], 
                '''                SRLG-collection mechanism
                ''',
                'srlg_collect_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-collection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.Association' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.Association',
            False, 
            [
            _MetaInfoClassMember('s2l-association-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Association ID
                ''',
                's2l_association_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                S2L Association Source
                ''',
                's2l_association_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-tie-role', REFERENCE_ENUM_CLASS, 'TeAssociationTieRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAssociationTieRoleEnum', 
                [], [], 
                '''                S2L Association Tie Role
                ''',
                's2l_association_tie_role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Association Type                         
                (draft-ietf-ccamp-mpls-tp-rsvpte-ext-associated-lsp)
                ''',
                's2l_association_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-extended-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L Extended ID Array
                ''',
                's2l_extended_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-global-source', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L Global Source
                ''',
                's2l_global_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'association',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.Protection' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.Protection',
            False, 
            [
            _MetaInfoClassMember('any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Any
                ''',
                'any',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ded1-plus1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1+1 Protection
                ''',
                'ded1_plus1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ded1-to1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1:1 Protection
                ''',
                'ded1_to1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('enhanced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates Enhanced Protection Scheme
                ''',
                'enhanced',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extra-traffic', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should use Links that are protecting other
                (primary) traffic
                ''',
                'extra_traffic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should not use any Link Layer Protection
                ''',
                'link_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Flags Unprotected
                ''',
                'lsp_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-plus-one-bi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Bidirectional Protection
                ''',
                'one_plus_one_bi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-plus-one-uni', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Unidirectional Protection
                ''',
                'one_plus_one_uni',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-to-n-protection-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1:N Protection with Extra-Traffic
                ''',
                'one_to_n_protection_et',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Full Rerouting
                ''',
                'rerouting',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouting-no-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Rerouting Without Extra-Traffic
                ''',
                'rerouting_no_et',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-notification', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Notification Bit
                ''',
                's2l_notification',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-operational', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Operational Bit
                ''',
                's2l_operational',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Protecting Bit
                ''',
                's2l_protecting',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-secondary', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Secondary Bit
                ''',
                's2l_secondary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Shared Link Layer Protection
                ''',
                'shared',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseLspFec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseLspFec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseLspFec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseLspFec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseLspFec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-lsp-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseTspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseTspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.FlexInfo.FlexFec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.FlexInfo.FlexFec',
            False, 
            [
            _MetaInfoClassMember('s2l-fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                Session identifier (ctype)
                ''',
                's2l_fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-dest', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                sub-LSP destination address
                ''',
                's2l_fec_dest',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                's2l_fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                's2l_fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                's2l_fec_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSP source address
                ''',
                's2l_fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                sub-LSP subgroup ID
                ''',
                's2l_fec_subgroup_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                's2l_fec_subgroup_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                's2l_fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                's2l_fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.FlexInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.FlexInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-created', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GAL BFD Session Created
                ''',
                'bfd_created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-egress-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Egress Label
                ''',
                'bfd_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-int-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Internal Label
                ''',
                'bfd_int_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                BFD Next Hop
                ''',
                'bfd_next_hop',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-out-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD Out Interface Handle
                ''',
                'bfd_out_ifh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-tun-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD Tunnel Interface Handle
                ''',
                'bfd_tun_ifh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GAL BFD Session Up
                ''',
                'bfd_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('entry-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FlexLSP Entry Exists
                ''',
                'entry_exists',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ais', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault AIS
                ''',
                'fault_ais',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ldi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LDI
                ''',
                'fault_ldi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ldi-lockout', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LDI Lockout
                ''',
                'fault_ldi_lockout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-lkr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LKR
                ''',
                'fault_lkr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Fault Time
                ''',
                'fault_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex-fec', REFERENCE_CLASS, 'FlexFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.FlexInfo.FlexFec', 
                [], [], 
                '''                FEC for the FlexLSP Entry
                ''',
                'flex_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                In Label
                ''',
                'in_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('oam-created', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                OAM Entry Created
                ''',
                'oam_created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.LspWrapInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.LspWrapInfo',
            False, 
            [
            _MetaInfoClassMember('lsp-wrap-protection-enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Wrap protection enabled
                ''',
                'lsp_wrap_protection_enable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-protection-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSP Wrap Merge Point Label
                ''',
                'lsp_wrap_protection_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-protection-state', REFERENCE_ENUM_CLASS, 'MplsTeLspWrapStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspWrapStateEnum', 
                [], [], 
                '''                LSP wrap protection state
                ''',
                'lsp_wrap_protection_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reverse Egress Interface
                ''',
                'reverse_egress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reverse LSP label
                ''',
                'reverse_lsp_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-wrap-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.DiversityInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.DiversityInfo',
            False, 
            [
            _MetaInfoClassMember('diversity-type', REFERENCE_ENUM_CLASS, 'TePpDiversityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePpDiversityEnum', 
                [], [], 
                '''                S2L path diversity type
                ''',
                'diversity_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'diversity-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.SharedRiskLinkGroup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.SharedRiskLinkGroup',
            False, 
            [
            _MetaInfoClassMember('shared-risk-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG number
                ''',
                'shared_risk_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SRLG name
                ''',
                'srlg_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'shared-risk-link-group',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutEro.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutEro.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutEro.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutEro.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutEro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutEro',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutEro.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutEro.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'out-ero',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InEro.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InEro.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InEro.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InEro.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InEro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InEro',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InEro.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InEro.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'in-ero',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.Ipv4RroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.Ipv4RroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.Ipv4RroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.Ipv4RroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.Ipv4RroSubObject.Flags', 
                [], [], 
                '''                The RRO IPV4 Subobject Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO IPV4 Address
                ''',
                'rro_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.LabelRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.LabelRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-global-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label is Global across all interfaces
                ''',
                'is_global_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.LabelRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.LabelRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.LabelRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Label Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-label-variable-length', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the RRO Subobject Label Variable Length
                ''',
                'is_label_variable_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Label Value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('variable-length-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Variable Length Label
                ''',
                'variable_length_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'label-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.UnnumberedRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.UnnumberedRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Unnumbered Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO Interface Address
                ''',
                'interface_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.SrlgRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.SrlgRroSubObject',
            False, 
            [
            _MetaInfoClassMember('srl-gs', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject SRLGs
                ''',
                'srl_gs',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro',
            False, 
            [
            _MetaInfoClassMember('ipv4rro-sub-object', REFERENCE_CLASS, 'Ipv4RroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.Ipv4RroSubObject', 
                [], [], 
                '''                IPV4 RRO Sub Object
                ''',
                'ipv4rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rro-sub-object', REFERENCE_CLASS, 'LabelRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.LabelRroSubObject', 
                [], [], 
                '''                Label RRO Sub Object
                ''',
                'label_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtRroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtRroSubobjEnum', 
                [], [], 
                '''                RROType
                ''',
                'rro_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-rro-sub-object', REFERENCE_CLASS, 'SrlgRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.SrlgRroSubObject', 
                [], [], 
                '''                SRLG RRO Sub Object
                ''',
                'srlg_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-rro-sub-object', REFERENCE_CLASS, 'UnnumberedRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.UnnumberedRroSubObject', 
                [], [], 
                '''                Unnumbered RRO Sub Object
                ''',
                'unnumbered_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-rro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.Ipv4RroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.Ipv4RroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags', 
                [], [], 
                '''                The RRO IPV4 Subobject Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO IPV4 Address
                ''',
                'rro_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.LabelRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.LabelRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-global-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label is Global across all interfaces
                ''',
                'is_global_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.LabelRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.LabelRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.LabelRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Label Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-label-variable-length', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the RRO Subobject Label Variable Length
                ''',
                'is_label_variable_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Label Value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('variable-length-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Variable Length Label
                ''',
                'variable_length_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'label-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.UnnumberedRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.UnnumberedRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Unnumbered Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO Interface Address
                ''',
                'interface_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.SrlgRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.SrlgRroSubObject',
            False, 
            [
            _MetaInfoClassMember('srl-gs', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject SRLGs
                ''',
                'srl_gs',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro',
            False, 
            [
            _MetaInfoClassMember('ipv4rro-sub-object', REFERENCE_CLASS, 'Ipv4RroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.Ipv4RroSubObject', 
                [], [], 
                '''                IPV4 RRO Sub Object
                ''',
                'ipv4rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rro-sub-object', REFERENCE_CLASS, 'LabelRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.LabelRroSubObject', 
                [], [], 
                '''                Label RRO Sub Object
                ''',
                'label_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtRroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtRroSubobjEnum', 
                [], [], 
                '''                RROType
                ''',
                'rro_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-rro-sub-object', REFERENCE_CLASS, 'SrlgRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.SrlgRroSubObject', 
                [], [], 
                '''                SRLG RRO Sub Object
                ''',
                'srlg_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-rro-sub-object', REFERENCE_CLASS, 'UnnumberedRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.UnnumberedRroSubObject', 
                [], [], 
                '''                Unnumbered RRO Sub Object
                ''',
                'unnumbered_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-rro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathAffinityArray' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathAffinityArray',
            False, 
            [
            _MetaInfoClassMember('hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Hop address
                ''',
                'hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop-affinity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'hop_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop-extended-affinity', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hop affinity
                ''',
                'hop_extended_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-affinity-array',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseEroIn.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseEroIn.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseEroIn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseEroIn',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseEroIn.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-ero-in',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.S2LSegmentRoutingPath' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.S2LSegmentRoutingPath',
            False, 
            [
            _MetaInfoClassMember('has-entropy-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Hop has EL specified
                ''',
                'has_entropy_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-ip-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node has IP addresses specified
                ''',
                'has_ip_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-mpls-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Hop has MPLS label specified
                ''',
                'has_mpls_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local IP address of adjacency or Node ID
                ''',
                'local_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mpls-label-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The MPLS label value
                ''',
                'mpls_label_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote IP address of adjacency
                ''',
                'remote_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sid-type', REFERENCE_ENUM_CLASS, 'TeSrSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSrSidEnum', 
                [], [], 
                '''                Type of the SID
                ''',
                'sid_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-segment-routing-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L',
            False, 
            [
            _MetaInfoClassMember('abr-auto-discovered', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next ABR auto discovered
                ''',
                'abr_auto_discovered',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('active-path-option', REFERENCE_CLASS, 'ActivePathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption', 
                [], [], 
                '''                The path option used to find the path for this
                S2L
                ''',
                'active_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('association', REFERENCE_CLASS, 'Association' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.Association', 
                [], [], 
                '''                Association Object
                ''',
                'association',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface handle of the backup tunnel
                ''',
                'backup_tunnel_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('diversity-info', REFERENCE_CLASS, 'DiversityInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.DiversityInfo', 
                [], [], 
                '''                S2L Diversity Information
                ''',
                'diversity_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('downstream-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Downstream router id
                ''',
                'downstream_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Egress Interface
                ''',
                'egress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface-brief', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Egress Interface in brief format
                ''',
                'egress_interface_brief',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Interface
                ''',
                'egress_interface_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Outgoing ERO's affinity bits (colors)
                ''',
                'expanded_ero_affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Outgoing ERO's affinity mask (colors)
                ''',
                'expanded_ero_affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Indicates the protocol and area used to find
                Outgoing ERO
                ''',
                'expanded_ero_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The metric value of the expanded path
                ''',
                'expanded_ero_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-metric-type', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                The Outgoing ERO's selection metric
                ''',
                'expanded_ero_metric_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex-info', REFERENCE_CLASS, 'FlexInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.FlexInfo', 
                [], [], 
                '''                FlexLSP S2L Information
                ''',
                'flex_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-out-tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FRR out tunnel intface
                ''',
                'frr_out_tunnel_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fspec', REFERENCE_CLASS, 'Fspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.Fspec', 
                [], [], 
                '''                The F spec info
                ''',
                'fspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generic-fspec', REFERENCE_CLASS, 'GenericFspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GenericFspec', 
                [], [], 
                '''                Generic FSpec
                ''',
                'generic_fspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generic-tspec', REFERENCE_CLASS, 'GenericTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GenericTspec', 
                [], [], 
                '''                Generic TSpec
                ''',
                'generic_tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gmpls-labels', REFERENCE_CLASS, 'GmplsLabels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels', 
                [], [], 
                '''                GMPLS labels
                ''',
                'gmpls_labels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('head-end-bfd-info', REFERENCE_CLASS, 'HeadEndBfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.HeadEndBfdInfo', 
                [], [], 
                '''                The Head-end BFD info
                ''',
                'head_end_bfd_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-ero', REFERENCE_LIST, 'InEro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InEro', 
                [], [], 
                '''                Incoming ERO for this S2L
                ''',
                'in_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-xro', REFERENCE_CLASS, 'InXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro', 
                [], [], 
                '''                Incoming XRO for this S2L
                ''',
                'in_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Incoming interface address
                ''',
                'incoming_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-address-generic', REFERENCE_CLASS, 'IncomingAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.IncomingAddressGeneric', 
                [], [], 
                '''                Incoming interface address
                ''',
                'incoming_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ingress Interface
                ''',
                'ingress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface-brief', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ingress Interface in brief format
                ''',
                'ingress_interface_brief',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Interface
                ''',
                'ingress_interface_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-protect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BW Protection Enabled or Disabled
                ''',
                'is_bandwidth_protect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-expanded-ero', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if this LSR expanded a loose path
                ''',
                'is_expanded_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-frr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Enabled or Disabled
                ''',
                'is_frr_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Enabled or Disabled
                ''',
                'is_node_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-optical', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Optical
                ''',
                'is_optical',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local router id
                ''',
                'local_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-info', REFERENCE_CLASS, 'LspWrapInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.LspWrapInfo', 
                [], [], 
                '''                Lsp Wrap  Related information
                ''',
                'lsp_wrap_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop address
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address-generic', REFERENCE_CLASS, 'NextHopAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.NextHopAddressGeneric', 
                [], [], 
                '''                Next hop address
                ''',
                'next_hop_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('node-hop-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hop count
                ''',
                'node_hop_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn-s2l', REFERENCE_CLASS, 'OtnS2L' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L', 
                [], [], 
                '''                Otn S2L Information
                ''',
                'otn_s2l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-ero', REFERENCE_LIST, 'OutEro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutEro', 
                [], [], 
                '''                Outgoing ERO for this S2L
                ''',
                'out_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-xro', REFERENCE_CLASS, 'OutXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro', 
                [], [], 
                '''                Outgoing XRO for this S2L
                ''',
                'out_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outbound-frr-state', REFERENCE_ENUM_CLASS, 'MplsTeFrrStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeFrrStateEnum', 
                [], [], 
                '''                Indicates outbound FRR state
                ''',
                'outbound_frr_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-affinity-array', REFERENCE_LIST, 'PathAffinityArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathAffinityArray', 
                [], [], 
                '''                Tunnel's Path hops with affinity
                ''',
                'path_affinity_array',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reeval-query-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loose path reevaluation query received at
                mid-point
                ''',
                'path_reeval_query_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-rro', REFERENCE_LIST, 'PathRro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro', 
                [], [], 
                '''                Path RRO for this S2L
                ''',
                'path_rro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-rro-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path RRO Enabled or Disabled
                ''',
                'path_rro_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-using-strict-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is using Strict SPF
                ''',
                'path_using_strict_spf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcalc-area', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IGP-area in which the S2L path was calculated
                ''',
                'pcalc_area',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Previous hop address
                ''',
                'previous_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-hop-address-generic', REFERENCE_CLASS, 'PreviousHopAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric', 
                [], [], 
                '''                Previous hop address
                ''',
                'previous_hop_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection', REFERENCE_CLASS, 'Protection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.Protection', 
                [], [], 
                '''                Protection Object
                ''',
                'protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-rro', REFERENCE_LIST, 'ResvRro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro', 
                [], [], 
                '''                Resv RRO for this S2L
                ''',
                'resv_rro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-ero-in', REFERENCE_LIST, 'ReverseEroIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseEroIn', 
                [], [], 
                '''                 Reverse Incoming ERO for this S2L
                ''',
                'reverse_ero_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Connected
                ''',
                'reverse_lsp_connected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-fec', REFERENCE_CLASS, 'ReverseLspFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseLspFec', 
                [], [], 
                '''                Reverse Associated Bidir LSP FEC
                ''',
                'reverse_lsp_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Name
                ''',
                'reverse_lsp_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Present
                ''',
                'reverse_lsp_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-tspec', REFERENCE_CLASS, 'ReverseTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseTspec', 
                [], [], 
                '''                The Reverse T spec info
                ''',
                'reverse_tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The reverse path weight
                ''',
                'reverse_weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('role', REFERENCE_ENUM_CLASS, 'MplsTeTunnelRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelRoleEnum', 
                [], [], 
                '''                Role of S2L
                ''',
                'role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-convergence', REFERENCE_CLASS, 'S2LConvergence' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.S2LConvergence', 
                [], [], 
                '''                TE LSP convergence related information
                ''',
                's2l_convergence',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec', REFERENCE_CLASS, 'S2LFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.S2LFec', 
                [], [], 
                '''                FEC for the S2L
                ''',
                's2l_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label
                ''',
                's2l_local_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing label
                ''',
                's2l_out_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-ero-obj-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2l Reverse ERO Object Present
                ''',
                's2l_reverse_ero_obj_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-lsp-sub-obj', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Reverse LSP Sub Objects
                ''',
                's2l_reverse_lsp_sub_obj',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-tspec-obj-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Reverse TSpec Object Present
                ''',
                's2l_reverse_tspec_obj_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-segment-routing-path', REFERENCE_LIST, 'S2LSegmentRoutingPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.S2LSegmentRoutingPath', 
                [], [], 
                '''                Segment-Routing S2L path info
                ''',
                's2l_segment_routing_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared-risk-link-group', REFERENCE_LIST, 'SharedRiskLinkGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.SharedRiskLinkGroup', 
                [], [], 
                '''                The S2L's excluded srlg groups
                ''',
                'shared_risk_link_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-status', REFERENCE_ENUM_CLASS, 'MplsTeTunnelsSignalingStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelsSignalingStatusEnum', 
                [], [], 
                '''                Signaling status
                ''',
                'signalling_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption', REFERENCE_CLASS, 'SoftPreemption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.SoftPreemption', 
                [], [], 
                '''                The soft preemption info for this LSP.
                ''',
                'soft_preemption',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-collection', REFERENCE_CLASS, 'SrlgCollection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.SrlgCollection', 
                [], [], 
                '''                SRLG-collection data
                ''',
                'srlg_collection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tail-end-bfd-info', REFERENCE_CLASS, 'TailEndBfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.TailEndBfdInfo', 
                [], [], 
                '''                The Tail-end BFD info
                ''',
                'tail_end_bfd_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-preferred-path-exists-send-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last preferred path exists msg send
                from mid-point
                ''',
                'time_since_last_preferred_path_exists_send_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-preferred-tree-exists-send-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last preferred tree exists msg send
                from mid-point
                ''',
                'time_since_last_preferred_tree_exists_send_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-query-received-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last reevaluation query received at
                mid-point
                ''',
                'time_since_last_query_received_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tspec', REFERENCE_CLASS, 'Tspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.Tspec', 
                [], [], 
                '''                The T spec info
                ''',
                'tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('upstream-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Upstream router id
                ''',
                'upstream_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the tunnel was up
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The path's weight
                ''',
                'weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp',
            False, 
            [
            _MetaInfoClassMember('dste-class-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Matching DSTE class index
                ''',
                'dste_class_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-match', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Do the class type and priority match a DSTE
                class
                ''',
                'dste_class_match',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-active-reason', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP LSP FRR active reason
                ''',
                'frr_active_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-frr-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                P2MP LSP has FRR Failed
                ''',
                'is_frr_failed',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True for tunnel head
                ''',
                'is_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-passive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True for passive tunnel
                ''',
                'is_passive',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-path-change', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last path change
                ''',
                'last_path_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP LSP Bandwidth
                ''',
                'lsp_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The LSP bandwidth type
                ''',
                'lsp_bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-fec', REFERENCE_CLASS, 'LspFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.LspFec', 
                [], [], 
                '''                FEC for the LSP
                ''',
                'lsp_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSP hold priority
                ''',
                'lsp_hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSP setup priority
                ''',
                'lsp_setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('persistent-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Persistent forwarding statistics for number of
                bytes. Clear counters will not reset the counter
                ''',
                'persistent_bytes',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('persistent-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Persistent forwarding statistics for Number of
                packets. Clear counters will not reset the
                counter
                ''',
                'persistent_packets',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimize-reason', REFERENCE_ENUM_CLASS, 'MplsTeReoptDecisionReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeReoptDecisionReasonEnum', 
                [], [], 
                '''                Reason for re-optimization
                ''',
                'reoptimize_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimize-trigger', REFERENCE_ENUM_CLASS, 'MteReoptTriggerEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MteReoptTriggerEnum', 
                [], [], 
                '''                Re-optimize trigger
                ''',
                'reoptimize_trigger',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-down', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of down S2Ls
                ''',
                's2_ls_down',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-proceeding', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of proceeding S2Ls
                ''',
                's2_ls_proceeding',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of connected S2Ls
                ''',
                's2_ls_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l', REFERENCE_LIST, 'S2L' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L', 
                [], [], 
                '''                array of S2L structures
                ''',
                's2l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signaled-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signaled Name
                ''',
                'signaled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('timer-left', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds left to take next action if any
                ''',
                'timer_left',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MplsTeLspEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspEnum', 
                [], [], 
                '''                The type of this LSP
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the tunnel was up
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'delay-clean-pp-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.LspFec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.LspFec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.LspFec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.LspFec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.LspFec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.S2LFec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.S2LFec',
            False, 
            [
            _MetaInfoClassMember('s2l-fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                Session identifier (ctype)
                ''',
                's2l_fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-dest', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                sub-LSP destination address
                ''',
                's2l_fec_dest',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                's2l_fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                's2l_fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                's2l_fec_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSP source address
                ''',
                's2l_fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                sub-LSP subgroup ID
                ''',
                's2l_fec_subgroup_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                's2l_fec_subgroup_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                's2l_fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                's2l_fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.PathCalculationError' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.PathCalculationError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-calculation-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.RemergeError' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.RemergeError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'remerge-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.SignallingError' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.SignallingError',
            False, 
            [
            _MetaInfoClassMember('error', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Path Error code
                ''',
                'error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Source address of the error generating node
                ''',
                'error_node',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSPMode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if error is on the reverse LSP
                ''',
                'reverse_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP-id for which the error was received
                ''',
                'signalling_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path Error subcode
                ''',
                'sub_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalling-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption',
            False, 
            [
            _MetaInfoClassMember('attribute-set', REFERENCE_CLASS, 'AttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet', 
                [], [], 
                '''                The path option attribute set used by this path
                ''',
                'attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-found', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has found the defined attribute
                set
                ''',
                'attribute_set_found',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Explicit Path ID, this is the key to table
                ExplicitPaths.IdentifierTable
                ''',
                'explicit_path_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Explicit Path Name, this is the key to table
                ExplicitPaths.NameTable
                ''',
                'explicit_path_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has an attribute set defined
                ''',
                'has_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-xro-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has an XRO attribute set
                configured
                ''',
                'has_xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('holddown-duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Holddown Duration (seconds)
                ''',
                'holddown_duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path option is disabled
                ''',
                'is_disabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-helddown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if path is helddown
                ''',
                'is_helddown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-lockdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is locked down
                ''',
                'is_lockdown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-segment-routing', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is Segment-Routing
                ''',
                'is_segment_routing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-explicit-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if explicit path is strict
                ''',
                'is_strict_explicit_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-verbatim', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is verbatim
                ''',
                'is_verbatim',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index
                ''',
                'option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index-is-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The path option index is valid
                ''',
                'option_index_is_valid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-calculation-error', REFERENCE_LIST, 'PathCalculationError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.PathCalculationError', 
                [], [], 
                '''                Path computation information
                ''',
                'path_calculation_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The path-option area constraint
                ''',
                'path_option_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path option name
                ''',
                'path_option_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-type', REFERENCE_ENUM_CLASS, 'MplsTePathoptionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTePathoptionEnum', 
                [], [], 
                '''                Path option type
                ''',
                'path_option_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                PCE server address
                ''',
                'pce_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-by-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for Protect path options
                ''',
                'protected_by_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remerge-error', REFERENCE_LIST, 'RemergeError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.RemergeError', 
                [], [], 
                '''                Path computation remerge resolve info
                ''',
                'remerge_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restored-from-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for Restore path options
                ''',
                'restored_from_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-error', REFERENCE_LIST, 'SignallingError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.SignallingError', 
                [], [], 
                '''                Signalling information
                ''',
                'signalling_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set', REFERENCE_CLASS, 'XroAttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet', 
                [], [], 
                '''                The XRO attribute set used by this path-option
                ''',
                'xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set-found', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path's XRO attribute set is known
                ''',
                'xro_attribute_set_found',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'active-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'out-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'in-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.Tspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.Tspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GenericTspec.Otntspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GenericTspec.Otntspec',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit Rate in kbps
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nmc-or-tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                NMC or Tolerance
                ''',
                'nmc_or_tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Virtual Components
                ''',
                'nvc',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otntspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GenericTspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GenericTspec',
            False, 
            [
            _MetaInfoClassMember('otntspec', REFERENCE_CLASS, 'Otntspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GenericTspec.Otntspec', 
                [], [], 
                '''                TE TSpec for G709 OTN
                ''',
                'otntspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tspec-type', REFERENCE_ENUM_CLASS, 'TeMgmtGenericTspecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeMgmtGenericTspecEnum', 
                [], [], 
                '''                TSpecType
                ''',
                'tspec_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'generic-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.Fspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.Fspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GenericFspec.Otnfspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GenericFspec.Otnfspec',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit Rate in kbps
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nmc-or-tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                NMC or Tolerance
                ''',
                'nmc_or_tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nvc', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Virtual Components
                ''',
                'nvc',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otnfspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GenericFspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GenericFspec',
            False, 
            [
            _MetaInfoClassMember('fspec-type', REFERENCE_ENUM_CLASS, 'TeMgmtGenericFspecEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeMgmtGenericFspecEnum', 
                [], [], 
                '''                FSpecType
                ''',
                'fspec_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otnfspec', REFERENCE_CLASS, 'Otnfspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GenericFspec.Otnfspec', 
                [], [], 
                '''                TE FSpec for G709 OTN
                ''',
                'otnfspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'generic-fspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.NextHopAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.NextHopAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.NextHopAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.NextHopAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.NextHopAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'next-hop-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PreviousHopAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PreviousHopAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PreviousHopAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PreviousHopAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PreviousHopAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'previous-hop-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.IncomingAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.IncomingAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.IncomingAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.IncomingAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.IncomingAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'incoming-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.S2LConvergence' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.S2LConvergence',
            False, 
            [
            _MetaInfoClassMember('creation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tunnel creation timestamp (clocktime in nsecs)
                ''',
                'creation_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rewrite', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP Label rewrite timestamp (clocktime in nsecs)
                ''',
                'label_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Path-in timestamp (clocktime in nsecs)
                ''',
                'path_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Path-in timestamp (clocktime in nsecs)
                ''',
                'path_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Resv-in timestamp (clocktime in nsecs)
                ''',
                'resv_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Resv-out timestamp (clocktime in nsecs)
                ''',
                'resv_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-rewrite', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tunnel rewrite timestamp (clocktime in nsecs)
                ''',
                'tunnel_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-convergence',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.SoftPreemption' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.SoftPreemption',
            False, 
            [
            _MetaInfoClassMember('fr-rrewrite', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR-rewrite during soft preemption
                ''',
                'fr_rrewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fr-rrewrite-tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The tunnel name of the backup
                ''',
                'fr_rrewrite_tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('preempting-link-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The address of the link where the preemption
                happened
                ''',
                'preempting_link_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-link', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Name of the link where the soft preemption
                occurred
                ''',
                'soft_preemption_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The POSIX timestamp when the soft preemption
                occurred
                ''',
                'soft_preemption_timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'MplsTeSoftPreemptionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeSoftPreemptionStateEnum', 
                [], [], 
                '''                The current state of the soft preemption
                operation
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-to-hard-preemption', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The number of seconds until hard preemption is
                triggered
                ''',
                'time_to_hard_preemption',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'soft-preemption',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathIngressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathIngressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathIngressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathEgressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathEgressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathEgressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel.Otn',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel.Otn', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels',
            False, 
            [
            _MetaInfoClassMember('path-egress-label', REFERENCE_CLASS, 'PathEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathEgressLabel', 
                [], [], 
                '''                Path message (upstream) egress label
                ''',
                'path_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-ingress-label', REFERENCE_CLASS, 'PathIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathIngressLabel', 
                [], [], 
                '''                Path message (upstream) ingress label
                ''',
                'path_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-egress-label', REFERENCE_CLASS, 'ResvEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel', 
                [], [], 
                '''                Resv message (downstream) egress label
                ''',
                'resv_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-ingress-label', REFERENCE_CLASS, 'ResvIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel', 
                [], [], 
                '''                Resv message (downstream) ingress label
                ''',
                'resv_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'gmpls-labels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tolerance
                ''',
                'tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-cbr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-gfp-f-res',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-gfp-f-non-res',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth',
            False, 
            [
            _MetaInfoClassMember('odu-flex-cbr', REFERENCE_CLASS, 'OduFlexCbr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr', 
                [], [], 
                '''                Odu flex CBR info
                ''',
                'odu_flex_cbr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-flex-gfp-f-non-res', REFERENCE_CLASS, 'OduFlexGfpFNonRes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes', 
                [], [], 
                '''                Odu flex GFP-F non-resizable info
                ''',
                'odu_flex_gfp_f_non_res',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-flex-gfp-f-res', REFERENCE_CLASS, 'OduFlexGfpFRes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes', 
                [], [], 
                '''                Odu flex GFP-F resizable info
                ''',
                'odu_flex_gfp_f_res',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-level', REFERENCE_ENUM_CLASS, 'TeOduLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeOduLevelEnum', 
                [], [], 
                '''                ODULevel
                ''',
                'odu_level',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-ingress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm',
            False, 
            [
            _MetaInfoClassMember('channel', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                Channel Number
                ''',
                'channel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('channel-spacing', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtDwdmCsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtDwdmCsEnum', 
                [], [], 
                '''                Channel spacing
                ''',
                'channel_spacing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('grid', REFERENCE_ENUM_CLASS, 'GmplsUniMgmtWdmGridEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'GmplsUniMgmtWdmGridEnum', 
                [], [], 
                '''                Grid
                ''',
                'grid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('identifier', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Identifier
                ''',
                'identifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether label is set
                ''',
                'label_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_',
            False, 
            [
            _MetaInfoClassMember('bit-map', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Bit Map
                ''',
                'bit_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bit-map-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Bit map length
                ''',
                'bit_map_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tpn', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tributary time slot
                ''',
                'tpn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel',
            False, 
            [
            _MetaInfoClassMember('label-type', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelEnum', 
                [], [], 
                '''                LabelType
                ''',
                'label_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_', 
                [], [], 
                '''                Fixed-size G09 OTN label
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm', REFERENCE_CLASS, 'Wdm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm', 
                [], [], 
                '''                Fixed-grid WDM label
                ''',
                'wdm',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-egress-label',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels',
            False, 
            [
            _MetaInfoClassMember('path-egress-label', REFERENCE_CLASS, 'PathEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel', 
                [], [], 
                '''                Path message (upstream) egress label
                ''',
                'path_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-ingress-label', REFERENCE_CLASS, 'PathIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel', 
                [], [], 
                '''                Path message (upstream) ingress label
                ''',
                'path_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-egress-label', REFERENCE_CLASS, 'ResvEgressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel', 
                [], [], 
                '''                Resv message (downstream) egress label
                ''',
                'resv_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-ingress-label', REFERENCE_CLASS, 'ResvIngressLabel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel', 
                [], [], 
                '''                Resv message (downstream) ingress label
                ''',
                'resv_ingress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'labels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn',
            False, 
            [
            _MetaInfoClassMember('bandwidth', REFERENCE_CLASS, 'Bandwidth' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth', 
                [], [], 
                '''                OTN Bandwidth for s2l
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cross-connect-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cross connect id
                ''',
                'cross_connect_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gpid', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Gpid Payload
                ''',
                'gpid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Incoming Controller
                ''',
                'incoming_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Incoming Controller Ifhandle
                ''',
                'incoming_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Controller
                ''',
                'incoming_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Incoming Sub Controller
                ''',
                'incoming_sub_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Incoming Sub Controller Ifhandle
                ''',
                'incoming_sub_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-sub-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Sub Controller
                ''',
                'incoming_sub_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if subcontrollers are connected
                ''',
                'is_connected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('labels', REFERENCE_CLASS, 'Labels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels', 
                [], [], 
                '''                Labels
                ''',
                'labels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing Controller
                ''',
                'outgoing_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Controller Ifhandle
                ''',
                'outgoing_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Controller
                ''',
                'outgoing_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing Sub Controller
                ''',
                'outgoing_sub_controller',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Sub Controller Ifhandle
                ''',
                'outgoing_sub_controller_ifhandle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-sub-controller-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Sub Controller
                ''',
                'outgoing_sub_controller_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                XC Uptime
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Aps.ProtectionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Aps.ProtectionInfo',
            False, 
            [
            _MetaInfoClassMember('ho-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-Off timeout
                ''',
                'ho_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-hopresent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Hold-Off timeout present
                ''',
                'is_hopresent',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-snc-mode-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SNC mode present
                ''',
                'is_snc_mode_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-wtr-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Wait-to-Restore timeout present
                ''',
                'is_wtr_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Notification bit 
                ''',
                'nbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('obit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Operational bit
                ''',
                'obit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path protection profile type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Protecting bit
                ''',
                'pbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protect-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                LSP Protect Type
                ''',
                'protect_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Secondary bit
                ''',
                'sbit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                SNC mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TCM ID
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wtr-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait-to-Restore timeout
                ''',
                'wtr_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protection-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Aps' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Aps',
            False, 
            [
            _MetaInfoClassMember('protection-info', REFERENCE_CLASS, 'ProtectionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Aps.ProtectionInfo', 
                [], [], 
                '''                Protection Info
                ''',
                'protection_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'aps',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L',
            False, 
            [
            _MetaInfoClassMember('aps', REFERENCE_CLASS, 'Aps' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Aps', 
                [], [], 
                '''                APS Info for OTN S2L
                ''',
                'aps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn', 
                [], [], 
                '''                Info Related to OTN technology in S2L
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn-s2l',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.HeadEndBfdInfo.SessionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.HeadEndBfdInfo.SessionInfo',
            False, 
            [
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'TeBfdLspSessionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdLspSessionStateEnum', 
                [], [], 
                '''                BFD session state
                ''',
                'state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('state-change-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last session state
                change
                ''',
                'state_change_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'session-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.HeadEndBfdInfo.DeletionHistory' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.HeadEndBfdInfo.DeletionHistory',
            False, 
            [
            _MetaInfoClassMember('deletion-diagnostic-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Diagnostic Code for the BFD session get deleted
                ''',
                'deletion_diagnostic_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reason for the BFD session get deleted
                ''',
                'deletion_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time stamp of the BFD session get deleted
                ''',
                'deletion_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID of the BFD session get deleted
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'deletion-history',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.HeadEndBfdInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.HeadEndBfdInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-reverse-path-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path labels
                ''',
                'bfd_reverse_path_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The BFD reverse path is stale compared to
                configuration
                ''',
                'bfd_reverse_path_stale',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('creation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the BFD session created
                ''',
                'creation_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deletion-history', REFERENCE_CLASS, 'DeletionHistory' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.HeadEndBfdInfo.DeletionHistory', 
                [], [], 
                '''                BFD Session Deletion History
                ''',
                'deletion_history',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-redundant', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                sBFD session is redundant
                ''',
                'is_redundant',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lspbfd-type', REFERENCE_ENUM_CLASS, 'TeVifBfdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeVifBfdEnum', 
                [], [], 
                '''                LSP BFD type
                ''',
                'lspbfd_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-info', REFERENCE_CLASS, 'SessionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.HeadEndBfdInfo.SessionInfo', 
                [], [], 
                '''                BFD Session Info
                ''',
                'session_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'head-end-bfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.TailEndBfdInfo.SessionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.TailEndBfdInfo.SessionInfo',
            False, 
            [
            _MetaInfoClassMember('state', REFERENCE_ENUM_CLASS, 'TeBfdLspSessionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdLspSessionStateEnum', 
                [], [], 
                '''                BFD session state
                ''',
                'state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('state-change-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last session state
                change
                ''',
                'state_change_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'session-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.TailEndBfdInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.TailEndBfdInfo',
            False, 
            [
            _MetaInfoClassMember('failure-diagnostic-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD session failure diagnostic code
                ''',
                'failure_diagnostic_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('failure-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                BFD session failure reason
                ''',
                'failure_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-discriminator', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Local Discriminator
                ''',
                'local_discriminator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('min-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello interval in mini second
                ''',
                'min_interval',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('min-interval-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default hello interval
                ''',
                'min_interval_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Multiplier
                ''',
                'multiplier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('multiplier-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default multiplier
                ''',
                'multiplier_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-discriminator', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Remote Discrminator
                ''',
                'remote_discriminator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-info', REFERENCE_CLASS, 'SessionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.TailEndBfdInfo.SessionInfo', 
                [], [], 
                '''                BFD Session Info
                ''',
                'session_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tail-end-bfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.SrlgCollection' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.SrlgCollection',
            False, 
            [
            _MetaInfoClassMember('discovered-srlg', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Discovered SRLGs
                ''',
                'discovered_srlg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-collect-type', REFERENCE_ENUM_CLASS, 'TeSrlgCollectRequestEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSrlgCollectRequestEnum', 
                [], [], 
                '''                SRLG-collection mechanism
                ''',
                'srlg_collect_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-collection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.Association' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.Association',
            False, 
            [
            _MetaInfoClassMember('s2l-association-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Association ID
                ''',
                's2l_association_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                S2L Association Source
                ''',
                's2l_association_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-tie-role', REFERENCE_ENUM_CLASS, 'TeAssociationTieRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAssociationTieRoleEnum', 
                [], [], 
                '''                S2L Association Tie Role
                ''',
                's2l_association_tie_role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Association Type                         
                (draft-ietf-ccamp-mpls-tp-rsvpte-ext-associated-lsp)
                ''',
                's2l_association_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-extended-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L Extended ID Array
                ''',
                's2l_extended_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-global-source', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L Global Source
                ''',
                's2l_global_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'association',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.Protection' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.Protection',
            False, 
            [
            _MetaInfoClassMember('any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Any
                ''',
                'any',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ded1-plus1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1+1 Protection
                ''',
                'ded1_plus1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ded1-to1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1:1 Protection
                ''',
                'ded1_to1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('enhanced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates Enhanced Protection Scheme
                ''',
                'enhanced',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extra-traffic', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should use Links that are protecting other
                (primary) traffic
                ''',
                'extra_traffic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should not use any Link Layer Protection
                ''',
                'link_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Flags Unprotected
                ''',
                'lsp_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-plus-one-bi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Bidirectional Protection
                ''',
                'one_plus_one_bi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-plus-one-uni', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Unidirectional Protection
                ''',
                'one_plus_one_uni',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-to-n-protection-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1:N Protection with Extra-Traffic
                ''',
                'one_to_n_protection_et',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Full Rerouting
                ''',
                'rerouting',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouting-no-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Rerouting Without Extra-Traffic
                ''',
                'rerouting_no_et',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-notification', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Notification Bit
                ''',
                's2l_notification',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-operational', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Operational Bit
                ''',
                's2l_operational',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Protecting Bit
                ''',
                's2l_protecting',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-secondary', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Secondary Bit
                ''',
                's2l_secondary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Shared Link Layer Protection
                ''',
                'shared',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseLspFec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseLspFec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseLspFec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseLspFec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseLspFec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-lsp-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseTspec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseTspec',
            False, 
            [
            _MetaInfoClassMember('average-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Average bandwidth in  kbps
                ''',
                'average_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-burst', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum burst of data in bytes
                ''',
                'maximum_burst',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('peak-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Peak rate in  kbps
                ''',
                'peak_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-tspec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.FlexInfo.FlexFec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.FlexInfo.FlexFec',
            False, 
            [
            _MetaInfoClassMember('s2l-fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                Session identifier (ctype)
                ''',
                's2l_fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-dest', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                sub-LSP destination address
                ''',
                's2l_fec_dest',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                's2l_fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                's2l_fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                's2l_fec_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSP source address
                ''',
                's2l_fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                sub-LSP subgroup ID
                ''',
                's2l_fec_subgroup_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                's2l_fec_subgroup_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                's2l_fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                's2l_fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.FlexInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.FlexInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-created', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GAL BFD Session Created
                ''',
                'bfd_created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-egress-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Egress Label
                ''',
                'bfd_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-int-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Internal Label
                ''',
                'bfd_int_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                BFD Next Hop
                ''',
                'bfd_next_hop',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-out-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD Out Interface Handle
                ''',
                'bfd_out_ifh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-tun-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD Tunnel Interface Handle
                ''',
                'bfd_tun_ifh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GAL BFD Session Up
                ''',
                'bfd_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('entry-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FlexLSP Entry Exists
                ''',
                'entry_exists',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ais', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault AIS
                ''',
                'fault_ais',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ldi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LDI
                ''',
                'fault_ldi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ldi-lockout', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LDI Lockout
                ''',
                'fault_ldi_lockout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-lkr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LKR
                ''',
                'fault_lkr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Fault Time
                ''',
                'fault_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex-fec', REFERENCE_CLASS, 'FlexFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.FlexInfo.FlexFec', 
                [], [], 
                '''                FEC for the FlexLSP Entry
                ''',
                'flex_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                In Label
                ''',
                'in_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('oam-created', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                OAM Entry Created
                ''',
                'oam_created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.LspWrapInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.LspWrapInfo',
            False, 
            [
            _MetaInfoClassMember('lsp-wrap-protection-enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Wrap protection enabled
                ''',
                'lsp_wrap_protection_enable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-protection-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSP Wrap Merge Point Label
                ''',
                'lsp_wrap_protection_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-protection-state', REFERENCE_ENUM_CLASS, 'MplsTeLspWrapStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspWrapStateEnum', 
                [], [], 
                '''                LSP wrap protection state
                ''',
                'lsp_wrap_protection_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reverse Egress Interface
                ''',
                'reverse_egress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reverse LSP label
                ''',
                'reverse_lsp_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-wrap-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.DiversityInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.DiversityInfo',
            False, 
            [
            _MetaInfoClassMember('diversity-type', REFERENCE_ENUM_CLASS, 'TePpDiversityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePpDiversityEnum', 
                [], [], 
                '''                S2L path diversity type
                ''',
                'diversity_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'diversity-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.SharedRiskLinkGroup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.SharedRiskLinkGroup',
            False, 
            [
            _MetaInfoClassMember('shared-risk-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG number
                ''',
                'shared_risk_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SRLG name
                ''',
                'srlg_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'shared-risk-link-group',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutEro.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutEro.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutEro.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutEro.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutEro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutEro',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutEro.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutEro.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'out-ero',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InEro.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InEro.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InEro.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InEro.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InEro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InEro',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InEro.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InEro.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'in-ero',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.Ipv4RroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.Ipv4RroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.Ipv4RroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.Ipv4RroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.Ipv4RroSubObject.Flags', 
                [], [], 
                '''                The RRO IPV4 Subobject Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO IPV4 Address
                ''',
                'rro_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.LabelRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.LabelRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-global-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label is Global across all interfaces
                ''',
                'is_global_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.LabelRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.LabelRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.LabelRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Label Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-label-variable-length', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the RRO Subobject Label Variable Length
                ''',
                'is_label_variable_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Label Value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('variable-length-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Variable Length Label
                ''',
                'variable_length_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'label-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.UnnumberedRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.UnnumberedRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.UnnumberedRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.UnnumberedRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.UnnumberedRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Unnumbered Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO Interface Address
                ''',
                'interface_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.SrlgRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.SrlgRroSubObject',
            False, 
            [
            _MetaInfoClassMember('srl-gs', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject SRLGs
                ''',
                'srl_gs',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro',
            False, 
            [
            _MetaInfoClassMember('ipv4rro-sub-object', REFERENCE_CLASS, 'Ipv4RroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.Ipv4RroSubObject', 
                [], [], 
                '''                IPV4 RRO Sub Object
                ''',
                'ipv4rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rro-sub-object', REFERENCE_CLASS, 'LabelRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.LabelRroSubObject', 
                [], [], 
                '''                Label RRO Sub Object
                ''',
                'label_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtRroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtRroSubobjEnum', 
                [], [], 
                '''                RROType
                ''',
                'rro_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-rro-sub-object', REFERENCE_CLASS, 'SrlgRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.SrlgRroSubObject', 
                [], [], 
                '''                SRLG RRO Sub Object
                ''',
                'srlg_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-rro-sub-object', REFERENCE_CLASS, 'UnnumberedRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.UnnumberedRroSubObject', 
                [], [], 
                '''                Unnumbered RRO Sub Object
                ''',
                'unnumbered_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-rro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.Ipv4RroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.Ipv4RroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.Ipv4RroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.Ipv4RroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.Ipv4RroSubObject.Flags', 
                [], [], 
                '''                The RRO IPV4 Subobject Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO IPV4 Address
                ''',
                'rro_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.LabelRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.LabelRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-global-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Label is Global across all interfaces
                ''',
                'is_global_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.LabelRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.LabelRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.LabelRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Label Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-label-variable-length', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the RRO Subobject Label Variable Length
                ''',
                'is_label_variable_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Label Value
                ''',
                'label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('variable-length-label', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject Variable Length Label
                ''',
                'variable_length_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'label-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags',
            False, 
            [
            _MetaInfoClassMember('is-bandwidth-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth Protection Available
                ''',
                'is_bandwidth_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node ID In Use
                ''',
                'is_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Available
                ''',
                'is_node_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection Available
                ''',
                'is_protection_available',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-protection-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Local Protection In Use
                ''',
                'is_protection_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flags',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.UnnumberedRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.UnnumberedRroSubObject',
            False, 
            [
            _MetaInfoClassMember('flags', REFERENCE_CLASS, 'Flags' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags', 
                [], [], 
                '''                The RRO Subobject Unnumbered Flags
                ''',
                'flags',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The RRO Interface Address
                ''',
                'interface_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.SrlgRroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.SrlgRroSubObject',
            False, 
            [
            _MetaInfoClassMember('srl-gs', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The RRO Subobject SRLGs
                ''',
                'srl_gs',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-rro-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro',
            False, 
            [
            _MetaInfoClassMember('ipv4rro-sub-object', REFERENCE_CLASS, 'Ipv4RroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.Ipv4RroSubObject', 
                [], [], 
                '''                IPV4 RRO Sub Object
                ''',
                'ipv4rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rro-sub-object', REFERENCE_CLASS, 'LabelRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.LabelRroSubObject', 
                [], [], 
                '''                Label RRO Sub Object
                ''',
                'label_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rro-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtRroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtRroSubobjEnum', 
                [], [], 
                '''                RROType
                ''',
                'rro_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-rro-sub-object', REFERENCE_CLASS, 'SrlgRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.SrlgRroSubObject', 
                [], [], 
                '''                SRLG RRO Sub Object
                ''',
                'srlg_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-rro-sub-object', REFERENCE_CLASS, 'UnnumberedRroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.UnnumberedRroSubObject', 
                [], [], 
                '''                Unnumbered RRO Sub Object
                ''',
                'unnumbered_rro_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'resv-rro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathAffinityArray' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathAffinityArray',
            False, 
            [
            _MetaInfoClassMember('hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Hop address
                ''',
                'hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop-affinity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'hop_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop-extended-affinity', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hop affinity
                ''',
                'hop_extended_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-affinity-array',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseEroIn.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseEroIn.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseEroIn.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseEroIn.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseEroIn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseEroIn',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseEroIn.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseEroIn.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-ero-in',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.S2LSegmentRoutingPath' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.S2LSegmentRoutingPath',
            False, 
            [
            _MetaInfoClassMember('has-entropy-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Hop has EL specified
                ''',
                'has_entropy_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-ip-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node has IP addresses specified
                ''',
                'has_ip_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-mpls-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Hop has MPLS label specified
                ''',
                'has_mpls_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local IP address of adjacency or Node ID
                ''',
                'local_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mpls-label-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The MPLS label value
                ''',
                'mpls_label_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote IP address of adjacency
                ''',
                'remote_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sid-type', REFERENCE_ENUM_CLASS, 'TeSrSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSrSidEnum', 
                [], [], 
                '''                Type of the SID
                ''',
                'sid_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-segment-routing-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L',
            False, 
            [
            _MetaInfoClassMember('abr-auto-discovered', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next ABR auto discovered
                ''',
                'abr_auto_discovered',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('active-path-option', REFERENCE_CLASS, 'ActivePathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption', 
                [], [], 
                '''                The path option used to find the path for this
                S2L
                ''',
                'active_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('association', REFERENCE_CLASS, 'Association' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.Association', 
                [], [], 
                '''                Association Object
                ''',
                'association',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface handle of the backup tunnel
                ''',
                'backup_tunnel_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('diversity-info', REFERENCE_CLASS, 'DiversityInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.DiversityInfo', 
                [], [], 
                '''                S2L Diversity Information
                ''',
                'diversity_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('downstream-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Downstream router id
                ''',
                'downstream_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Egress Interface
                ''',
                'egress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface-brief', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Egress Interface in brief format
                ''',
                'egress_interface_brief',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-interface-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Outgoing Interface
                ''',
                'egress_interface_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Outgoing ERO's affinity bits (colors)
                ''',
                'expanded_ero_affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Outgoing ERO's affinity mask (colors)
                ''',
                'expanded_ero_affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Indicates the protocol and area used to find
                Outgoing ERO
                ''',
                'expanded_ero_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The metric value of the expanded path
                ''',
                'expanded_ero_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expanded-ero-metric-type', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                The Outgoing ERO's selection metric
                ''',
                'expanded_ero_metric_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex-info', REFERENCE_CLASS, 'FlexInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.FlexInfo', 
                [], [], 
                '''                FlexLSP S2L Information
                ''',
                'flex_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-out-tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FRR out tunnel intface
                ''',
                'frr_out_tunnel_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fspec', REFERENCE_CLASS, 'Fspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.Fspec', 
                [], [], 
                '''                The F spec info
                ''',
                'fspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generic-fspec', REFERENCE_CLASS, 'GenericFspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GenericFspec', 
                [], [], 
                '''                Generic FSpec
                ''',
                'generic_fspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generic-tspec', REFERENCE_CLASS, 'GenericTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GenericTspec', 
                [], [], 
                '''                Generic TSpec
                ''',
                'generic_tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gmpls-labels', REFERENCE_CLASS, 'GmplsLabels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels', 
                [], [], 
                '''                GMPLS labels
                ''',
                'gmpls_labels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('head-end-bfd-info', REFERENCE_CLASS, 'HeadEndBfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.HeadEndBfdInfo', 
                [], [], 
                '''                The Head-end BFD info
                ''',
                'head_end_bfd_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-ero', REFERENCE_LIST, 'InEro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InEro', 
                [], [], 
                '''                Incoming ERO for this S2L
                ''',
                'in_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-xro', REFERENCE_CLASS, 'InXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro', 
                [], [], 
                '''                Incoming XRO for this S2L
                ''',
                'in_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Incoming interface address
                ''',
                'incoming_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('incoming-address-generic', REFERENCE_CLASS, 'IncomingAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.IncomingAddressGeneric', 
                [], [], 
                '''                Incoming interface address
                ''',
                'incoming_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ingress Interface
                ''',
                'ingress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface-brief', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ingress Interface in brief format
                ''',
                'ingress_interface_brief',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ingress-interface-state', REFERENCE_ENUM_CLASS, 'TeControllerStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeControllerStateEnum', 
                [], [], 
                '''                State of Incoming Interface
                ''',
                'ingress_interface_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-protect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BW Protection Enabled or Disabled
                ''',
                'is_bandwidth_protect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-expanded-ero', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if this LSR expanded a loose path
                ''',
                'is_expanded_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-frr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Enabled or Disabled
                ''',
                'is_frr_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Enabled or Disabled
                ''',
                'is_node_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-optical', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Optical
                ''',
                'is_optical',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local router id
                ''',
                'local_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-info', REFERENCE_CLASS, 'LspWrapInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.LspWrapInfo', 
                [], [], 
                '''                Lsp Wrap  Related information
                ''',
                'lsp_wrap_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop address
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address-generic', REFERENCE_CLASS, 'NextHopAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.NextHopAddressGeneric', 
                [], [], 
                '''                Next hop address
                ''',
                'next_hop_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('node-hop-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hop count
                ''',
                'node_hop_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn-s2l', REFERENCE_CLASS, 'OtnS2L' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L', 
                [], [], 
                '''                Otn S2L Information
                ''',
                'otn_s2l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-ero', REFERENCE_LIST, 'OutEro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutEro', 
                [], [], 
                '''                Outgoing ERO for this S2L
                ''',
                'out_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-xro', REFERENCE_CLASS, 'OutXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro', 
                [], [], 
                '''                Outgoing XRO for this S2L
                ''',
                'out_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outbound-frr-state', REFERENCE_ENUM_CLASS, 'MplsTeFrrStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeFrrStateEnum', 
                [], [], 
                '''                Indicates outbound FRR state
                ''',
                'outbound_frr_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-affinity-array', REFERENCE_LIST, 'PathAffinityArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathAffinityArray', 
                [], [], 
                '''                Tunnel's Path hops with affinity
                ''',
                'path_affinity_array',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reeval-query-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Loose path reevaluation query received at
                mid-point
                ''',
                'path_reeval_query_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-rro', REFERENCE_LIST, 'PathRro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro', 
                [], [], 
                '''                Path RRO for this S2L
                ''',
                'path_rro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-rro-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path RRO Enabled or Disabled
                ''',
                'path_rro_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-using-strict-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path is using Strict SPF
                ''',
                'path_using_strict_spf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcalc-area', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IGP-area in which the S2L path was calculated
                ''',
                'pcalc_area',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Previous hop address
                ''',
                'previous_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-hop-address-generic', REFERENCE_CLASS, 'PreviousHopAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PreviousHopAddressGeneric', 
                [], [], 
                '''                Previous hop address
                ''',
                'previous_hop_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection', REFERENCE_CLASS, 'Protection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.Protection', 
                [], [], 
                '''                Protection Object
                ''',
                'protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-rro', REFERENCE_LIST, 'ResvRro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro', 
                [], [], 
                '''                Resv RRO for this S2L
                ''',
                'resv_rro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-ero-in', REFERENCE_LIST, 'ReverseEroIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseEroIn', 
                [], [], 
                '''                 Reverse Incoming ERO for this S2L
                ''',
                'reverse_ero_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Connected
                ''',
                'reverse_lsp_connected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-fec', REFERENCE_CLASS, 'ReverseLspFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseLspFec', 
                [], [], 
                '''                Reverse Associated Bidir LSP FEC
                ''',
                'reverse_lsp_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Name
                ''',
                'reverse_lsp_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Present
                ''',
                'reverse_lsp_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-tspec', REFERENCE_CLASS, 'ReverseTspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseTspec', 
                [], [], 
                '''                The Reverse T spec info
                ''',
                'reverse_tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The reverse path weight
                ''',
                'reverse_weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('role', REFERENCE_ENUM_CLASS, 'MplsTeTunnelRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelRoleEnum', 
                [], [], 
                '''                Role of S2L
                ''',
                'role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-convergence', REFERENCE_CLASS, 'S2LConvergence' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.S2LConvergence', 
                [], [], 
                '''                TE LSP convergence related information
                ''',
                's2l_convergence',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec', REFERENCE_CLASS, 'S2LFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.S2LFec', 
                [], [], 
                '''                FEC for the S2L
                ''',
                's2l_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label
                ''',
                's2l_local_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing label
                ''',
                's2l_out_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-ero-obj-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2l Reverse ERO Object Present
                ''',
                's2l_reverse_ero_obj_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-lsp-sub-obj', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Reverse LSP Sub Objects
                ''',
                's2l_reverse_lsp_sub_obj',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-reverse-tspec-obj-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Reverse TSpec Object Present
                ''',
                's2l_reverse_tspec_obj_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-segment-routing-path', REFERENCE_LIST, 'S2LSegmentRoutingPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.S2LSegmentRoutingPath', 
                [], [], 
                '''                Segment-Routing S2L path info
                ''',
                's2l_segment_routing_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared-risk-link-group', REFERENCE_LIST, 'SharedRiskLinkGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.SharedRiskLinkGroup', 
                [], [], 
                '''                The S2L's excluded srlg groups
                ''',
                'shared_risk_link_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-status', REFERENCE_ENUM_CLASS, 'MplsTeTunnelsSignalingStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelsSignalingStatusEnum', 
                [], [], 
                '''                Signaling status
                ''',
                'signalling_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption', REFERENCE_CLASS, 'SoftPreemption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.SoftPreemption', 
                [], [], 
                '''                The soft preemption info for this LSP.
                ''',
                'soft_preemption',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-collection', REFERENCE_CLASS, 'SrlgCollection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.SrlgCollection', 
                [], [], 
                '''                SRLG-collection data
                ''',
                'srlg_collection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tail-end-bfd-info', REFERENCE_CLASS, 'TailEndBfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.TailEndBfdInfo', 
                [], [], 
                '''                The Tail-end BFD info
                ''',
                'tail_end_bfd_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-preferred-path-exists-send-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last preferred path exists msg send
                from mid-point
                ''',
                'time_since_last_preferred_path_exists_send_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-preferred-tree-exists-send-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last preferred tree exists msg send
                from mid-point
                ''',
                'time_since_last_preferred_tree_exists_send_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-query-received-mid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last reevaluation query received at
                mid-point
                ''',
                'time_since_last_query_received_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tspec', REFERENCE_CLASS, 'Tspec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.Tspec', 
                [], [], 
                '''                The T spec info
                ''',
                'tspec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('upstream-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Upstream router id
                ''',
                'upstream_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the tunnel was up
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The path's weight
                ''',
                'weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp',
            False, 
            [
            _MetaInfoClassMember('dste-class-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Matching DSTE class index
                ''',
                'dste_class_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-match', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Do the class type and priority match a DSTE
                class
                ''',
                'dste_class_match',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-active-reason', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP LSP FRR active reason
                ''',
                'frr_active_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-frr-failed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                P2MP LSP has FRR Failed
                ''',
                'is_frr_failed',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True for tunnel head
                ''',
                'is_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-passive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True for passive tunnel
                ''',
                'is_passive',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-path-change', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last path change
                ''',
                'last_path_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP LSP Bandwidth
                ''',
                'lsp_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The LSP bandwidth type
                ''',
                'lsp_bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-fec', REFERENCE_CLASS, 'LspFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.LspFec', 
                [], [], 
                '''                FEC for the LSP
                ''',
                'lsp_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSP hold priority
                ''',
                'lsp_hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSP setup priority
                ''',
                'lsp_setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('persistent-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Persistent forwarding statistics for number of
                bytes. Clear counters will not reset the counter
                ''',
                'persistent_bytes',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('persistent-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Persistent forwarding statistics for Number of
                packets. Clear counters will not reset the
                counter
                ''',
                'persistent_packets',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimize-reason', REFERENCE_ENUM_CLASS, 'MplsTeReoptDecisionReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeReoptDecisionReasonEnum', 
                [], [], 
                '''                Reason for re-optimization
                ''',
                'reoptimize_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimize-trigger', REFERENCE_ENUM_CLASS, 'MteReoptTriggerEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MteReoptTriggerEnum', 
                [], [], 
                '''                Re-optimize trigger
                ''',
                'reoptimize_trigger',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-down', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of down S2Ls
                ''',
                's2_ls_down',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-proceeding', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of proceeding S2Ls
                ''',
                's2_ls_proceeding',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of connected S2Ls
                ''',
                's2_ls_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l', REFERENCE_LIST, 'S2L' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L', 
                [], [], 
                '''                array of S2L structures
                ''',
                's2l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signaled-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signaled Name
                ''',
                'signaled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('timer-left', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds left to take next action if any
                ''',
                'timer_left',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'MplsTeLspEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspEnum', 
                [], [], 
                '''                The type of this LSP
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the tunnel was up
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'cleaned-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.P2PInfo.AutoBandwidthStatus' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.P2PInfo.AutoBandwidthStatus',
            False, 
            [
            _MetaInfoClassMember('is-auto-bandwidth-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if auto-bw is enabled for the tunnel
                ''',
                'is_auto_bandwidth_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reactivation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until auto-bw gets activated if activation
                has been delayed due to failover
                ''',
                'reactivation_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'auto-bandwidth-status',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.P2PInfo.AutoBandwidthConfig' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.P2PInfo.AutoBandwidthConfig',
            False, 
            [
            _MetaInfoClassMember('adjustment-threshold-percent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth change threshold needed to trigger
                bandwidth adjustment
                ''',
                'adjustment_threshold_percent',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('adjustment-threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth change value (kbps) needed to trigger
                bandwidth adjustment
                ''',
                'adjustment_threshold_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('application-frequency', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Auto-bw application frequency for the tunnel
                (mins)
                ''',
                'application_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('collection-frequency', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Global auto-bw collection frequency
                ''',
                'collection_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-auto-bandwidth-collect-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if auto-bw collection-only is enabled
                ''',
                'is_auto_bandwidth_collect_only',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum bandwidth auto-bw can apply
                ''',
                'maximum_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('minimum-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Minimum bandwidth auto-bw can apply
                ''',
                'minimum_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('overflow-threshold-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Limit of consecutive collections exceeding
                threshold to trigger an immediate overflow
                bandwidth adjustment
                ''',
                'overflow_threshold_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('overflow-threshold-percent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth change threshold needed to count a
                collection towards overflow limit allowed
                ''',
                'overflow_threshold_percent',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('overflow-threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth change value needed to count a
                collection towards overflow limit allowed
                ''',
                'overflow_threshold_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('underflow-threshold-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Limit of consecutive collections exceeding
                threshold to trigger an immediate underflow
                bandwidth adjustment
                ''',
                'underflow_threshold_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('underflow-threshold-percent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth change threshold needed to count a
                collection towards underflow limit allowed
                ''',
                'underflow_threshold_percent',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('underflow-threshold-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth change value needed to count a
                collection towards underflow limit allowed
                ''',
                'underflow_threshold_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'auto-bandwidth-config',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.P2PInfo.AutoBandwidthOper' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.P2PInfo.AutoBandwidthOper',
            False, 
            [
            _MetaInfoClassMember('application-jitter', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Amount of time introduced to delay first
                application so that not all tunnels may signal
                BW at the same time
                ''',
                'application_jitter',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('application-reject-reason', REFERENCE_ENUM_CLASS, 'TeAutobwAppRejEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAutobwAppRejEnum', 
                [], [], 
                '''                Current application reject reason
                ''',
                'application_reject_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-applications', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of bandwidth applications requested
                by auto-bw
                ''',
                'bandwidth_applications',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-pool-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                Bandwidth pool type
                ''',
                'bandwidth_pool_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('collect-only-requested-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Collect-only Requested Bandwidth for the tunnel
                ''',
                'collect_only_requested_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('highest-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Highest bandwidth registered within current
                application period
                ''',
                'highest_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-application-trigger', REFERENCE_ENUM_CLASS, 'TeAutobwAppTriggerEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAutobwAppTriggerEnum', 
                [], [], 
                '''                The reason causing the last BW application
                ''',
                'last_application_trigger',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-bandwidth-applied', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last bandwidth requested by auto-bw for the
                tunnel
                ''',
                'last_bandwidth_applied',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('overflow-early-bw-applications', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                tunnel counter for number of bandwidth
                applications due to overflow
                ''',
                'overflow_early_bw_applications',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('samples-collected', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of samples collected within current
                application period
                ''',
                'samples_collected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('threshold-overflows', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                counter for current consecutive collections
                exceeding threshold
                ''',
                'threshold_overflows',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('threshold-underflows', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                counter for current consecutive collections
                exceeding threshold
                ''',
                'threshold_underflows',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-left-application', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time left until next auto-bw application
                algorithm is performed
                ''',
                'time_left_application',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-left-collection', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time left until next auto-bw data collection is
                performed
                ''',
                'time_left_collection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('underflow-early-bw-applications', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                tunnel counter for number of bandwidth
                applications due to underflow
                ''',
                'underflow_early_bw_applications',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('underflow-highest-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Highest sample collected during an underflow
                sequence
                ''',
                'underflow_highest_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'auto-bandwidth-oper',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.P2PInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.P2PInfo',
            False, 
            [
            _MetaInfoClassMember('auto-bandwidth-config', REFERENCE_CLASS, 'AutoBandwidthConfig' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.P2PInfo.AutoBandwidthConfig', 
                [], [], 
                '''                Tunnels's AutoBandwidth Configuration
                information
                ''',
                'auto_bandwidth_config',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-oper', REFERENCE_CLASS, 'AutoBandwidthOper' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.P2PInfo.AutoBandwidthOper', 
                [], [], 
                '''                Tunnels's AutoBandwidth Operational information
                ''',
                'auto_bandwidth_oper',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-status', REFERENCE_CLASS, 'AutoBandwidthStatus' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.P2PInfo.AutoBandwidthStatus', 
                [], [], 
                '''                Tunnels's AutoBandwidth Status information
                ''',
                'auto_bandwidth_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bidirectional', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the tunnel is bidirectional
                ''',
                'is_bidirectional',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'p2p-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.CurrentSetup.ConnectedUptimes' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.CurrentSetup.ConnectedUptimes',
            False, 
            [
            _MetaInfoClassMember('current-lsp-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the current LSP was up
                ''',
                'current_lsp_uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('current-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the tunnel was up
                ''',
                'current_uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'connected-uptimes',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.CurrentSetup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.CurrentSetup',
            False, 
            [
            _MetaInfoClassMember('connected-uptimes', REFERENCE_CLASS, 'ConnectedUptimes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.CurrentSetup.ConnectedUptimes', 
                [], [], 
                '''                Uptimes for connected setup
                ''',
                'connected_uptimes',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('current-setup-last-error', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The last error for the current setup
                ''',
                'current_setup_last_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('current-setup-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds until the next attempt to
                connect this setup
                ''',
                'current_setup_timer',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('selection-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The reason why this setup is selected. For
                display purposes only.
                ''',
                'selection_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'current-setup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.ReoptSetup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.ReoptSetup',
            False, 
            [
            _MetaInfoClassMember('reoptimized-setup-last-error', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The last error for the reopt setup
                ''',
                'reoptimized_setup_last_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimized-setup-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds until the next attempt to
                connect the reopt setup
                ''',
                'reoptimized_setup_timer',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimized-setup-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the reopt setup came up
                ''',
                'reoptimized_setup_uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reopt-setup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.GmplsPathProtectSetup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.GmplsPathProtectSetup',
            False, 
            [
            _MetaInfoClassMember('protecting-setup-last-error', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The last error for the protecting setup (for
                display purposes only)
                ''',
                'protecting_setup_last_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protecting-setup-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds until the next attempt to
                connect the protecting setup
                ''',
                'protecting_setup_timer',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protecting-setup-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the protecting setup came
                up
                ''',
                'protecting_setup_uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'gmpls-path-protect-setup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.PreviousSetup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.PreviousSetup',
            False, 
            [
            _MetaInfoClassMember('previous-fail-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reason for the previous setup's failure
                ''',
                'previous_fail_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-path-option', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The previous setup path option
                ''',
                'previous_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-setup-last-error', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The last error for the previous setup
                ''',
                'previous_setup_last_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-tunnel-instance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The previous setup's instance
                ''',
                'previous_tunnel_instance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'previous-setup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.PreviousGmplsPathProtectSetup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.PreviousGmplsPathProtectSetup',
            False, 
            [
            _MetaInfoClassMember('previous-protect-fail-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reason for the previous protect setup's failure
                ''',
                'previous_protect_fail_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-protect-path-option', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The previous protect setup path option
                ''',
                'previous_protect_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-protect-setup-last-error', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The last error for the previous setup
                ''',
                'previous_protect_setup_last_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-protect-tunnel-instance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The previous protect setup's instance
                ''',
                'previous_protect_tunnel_instance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'previous-gmpls-path-protect-setup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.GmplsOtherSetup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.GmplsOtherSetup',
            False, 
            [
            _MetaInfoClassMember('other-setup-error', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The last error for the additional setup
                ''',
                'other_setup_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for the additional setup
                ''',
                'path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'gmpls-other-setup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.GmplsOtherProtectSetup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.GmplsOtherProtectSetup',
            False, 
            [
            _MetaInfoClassMember('other-setup-error', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The last error for the additional setup
                ''',
                'other_setup_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for the additional setup
                ''',
                'path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'gmpls-other-protect-setup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.StandbySetup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.StandbySetup',
            False, 
            [
            _MetaInfoClassMember('standby-lsp-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the standby LSP was up
                ''',
                'standby_lsp_uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('standby-setup-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds until the next attempt to
                connect this setup
                ''',
                'standby_setup_timer',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'standby-setup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.StandbyReoptSetup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.StandbyReoptSetup',
            False, 
            [
            _MetaInfoClassMember('reoptimized-setup-last-error', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The last error for the reopt setup
                ''',
                'reoptimized_setup_last_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimized-setup-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds until the next attempt to
                connect the reopt setup
                ''',
                'reoptimized_setup_timer',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimized-setup-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the reopt setup came up
                ''',
                'reoptimized_setup_uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'standby-reopt-setup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.LastReOptFail' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.LastReOptFail',
            False, 
            [
            _MetaInfoClassMember('re-opt-failed-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                First tunnel destination (if any) in re-opt LSP
                that failed to come up
                ''',
                're_opt_failed_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('re-opt-failed-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time stamp of the last re-opt failure. (seconds
                since Jan. 1, 1970)
                ''',
                're_opt_failed_timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('re-opt-last-fail-reason', REFERENCE_ENUM_CLASS, 'MplsTeReoptDecisionReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeReoptDecisionReasonEnum', 
                [], [], 
                '''                Reason (if any) for the last re-opt attempt
                failure
                ''',
                're_opt_last_fail_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'last-re-opt-fail',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.LastStdbyReOptFail' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.LastStdbyReOptFail',
            False, 
            [
            _MetaInfoClassMember('re-opt-failed-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                First tunnel destination (if any) in re-opt LSP
                that failed to come up
                ''',
                're_opt_failed_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('re-opt-failed-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time stamp of the last re-opt failure. (seconds
                since Jan. 1, 1970)
                ''',
                're_opt_failed_timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('re-opt-last-fail-reason', REFERENCE_ENUM_CLASS, 'MplsTeReoptDecisionReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeReoptDecisionReasonEnum', 
                [], [], 
                '''                Reason (if any) for the last re-opt attempt
                failure
                ''',
                're_opt_last_fail_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'last-stdby-re-opt-fail',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History',
            False, 
            [
            _MetaInfoClassMember('current-setup', REFERENCE_CLASS, 'CurrentSetup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.CurrentSetup', 
                [], [], 
                '''                Current setup data
                ''',
                'current_setup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gmpls-other-protect-setup', REFERENCE_CLASS, 'GmplsOtherProtectSetup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.GmplsOtherProtectSetup', 
                [], [], 
                '''                GMPLS additional protecting setup data
                ''',
                'gmpls_other_protect_setup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gmpls-other-setup', REFERENCE_CLASS, 'GmplsOtherSetup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.GmplsOtherSetup', 
                [], [], 
                '''                GMPLS additional setup data
                ''',
                'gmpls_other_setup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gmpls-path-protect-setup', REFERENCE_CLASS, 'GmplsPathProtectSetup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.GmplsPathProtectSetup', 
                [], [], 
                '''                GMPLS protecting setup data
                ''',
                'gmpls_path_protect_setup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-re-opt-fail', REFERENCE_CLASS, 'LastReOptFail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.LastReOptFail', 
                [], [], 
                '''                Last re-opt attempt failure information
                ''',
                'last_re_opt_fail',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-stdby-re-opt-fail', REFERENCE_CLASS, 'LastStdbyReOptFail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.LastStdbyReOptFail', 
                [], [], 
                '''                Last standby re-opt attempt failure information
                ''',
                'last_stdby_re_opt_fail',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-gmpls-path-protect-setup', REFERENCE_CLASS, 'PreviousGmplsPathProtectSetup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.PreviousGmplsPathProtectSetup', 
                [], [], 
                '''                Previous GMPLS protecting setup data
                ''',
                'previous_gmpls_path_protect_setup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-setup', REFERENCE_CLASS, 'PreviousSetup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.PreviousSetup', 
                [], [], 
                '''                Previous setup data
                ''',
                'previous_setup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reopt-setup', REFERENCE_CLASS, 'ReoptSetup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.ReoptSetup', 
                [], [], 
                '''                Reoptimized setup data
                ''',
                'reopt_setup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('standby-reopt-setup', REFERENCE_CLASS, 'StandbyReoptSetup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.StandbyReoptSetup', 
                [], [], 
                '''                Standby Reopt setup data
                ''',
                'standby_reopt_setup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('standby-setup', REFERENCE_CLASS, 'StandbySetup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.StandbySetup', 
                [], [], 
                '''                Standby setup data
                ''',
                'standby_setup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'history',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.PathProtection.Switchover' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.PathProtection.Switchover',
            False, 
            [
            _MetaInfoClassMember('date-of-error-detection', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The date when the error that caused the
                switchover was detected. This date is the number
                of seconds since Jan 1st 1970
                ''',
                'date_of_error_detection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('date-of-error-detection-millisec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The milliseconds offset of the date when the
                error that caused  the switchover was detected.
                ''',
                'date_of_error_detection_millisec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('from-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The LSP ID from which the traffic was switched
                over
                ''',
                'from_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-protection-switchover-event-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The index number of the path protection switch
                over event
                ''',
                'path_protection_switchover_event_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-protection-switchover-reason', REFERENCE_ENUM_CLASS, 'TeP2MpS2LDeletionSubcauseEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeP2MpS2LDeletionSubcauseEnum', 
                [], [], 
                '''                The reason that caused the path protection
                switchover
                ''',
                'path_protection_switchover_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-protection-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The ID of the tunnel that experienced switchover
                ''',
                'path_protection_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('switchover-duration-millisec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The time in milliseconds between the detection
                of the error and switching the traffic
                ''',
                'switchover_duration_millisec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('to-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The LSP ID to which the traffic was switched
                over
                ''',
                'to_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'switchover',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.PathProtection' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.PathProtection',
            False, 
            [
            _MetaInfoClassMember('diversity-type', REFERENCE_ENUM_CLASS, 'TePpDiversityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePpDiversityEnum', 
                [], [], 
                '''                Standby path diversity type
                ''',
                'diversity_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-protect-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Protection Configured
                ''',
                'is_path_protect_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-protect-switch-over-underway', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Switchover Underway
                ''',
                'is_path_protect_switch_over_underway',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-protection-protected-by-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The path option ID (level/index) of the
                configured explicit protecting path
                ''',
                'path_protection_protected_by_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimization-time-remaining', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remaining time until path protection
                reoptimization (seconds)
                ''',
                'reoptimization_time_remaining',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('standby-reoptimized-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of times the standby LSP was reoptimized
                ''',
                'standby_reoptimized_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('switchover', REFERENCE_CLASS, 'Switchover' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.PathProtection.Switchover', 
                [], [], 
                '''                Path Protected Switchover Information
                ''',
                'switchover',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('switchover-ready', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Total times, Standby LSP ready for use
                ''',
                'switchover_ready',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('switchover-reason', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Reason for last switchover
                ''',
                'switchover_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('switchover-total', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of times switchover occurred
                ''',
                'switchover_total',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-of-switchover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The date when the switchover was completed. This
                date is the number of seconds since Jan 1st 1970
                ''',
                'time_of_switchover_sec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('valid-path-protection-path-option-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether tunnel has a
                path-option which is valid for path-protection
                ''',
                'valid_path_protection_path_option_exists',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-protection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup.WeightedSrlgInfo.ProtectedInterfaceSrlg' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup.WeightedSrlgInfo.ProtectedInterfaceSrlg',
            False, 
            [
            _MetaInfoClassMember('admin-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Admin weight
                ''',
                'admin_weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG number
                ''',
                'srlg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SRLG name
                ''',
                'srlg_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface-srlg',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup.WeightedSrlgInfo.WeightedSrlgHop' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup.WeightedSrlgInfo.WeightedSrlgHop',
            False, 
            [
            _MetaInfoClassMember('aggregate-admin-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Sum of the admin weights for all the common SRLG
                values
                ''',
                'aggregate_admin_weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('common-srlg', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Common SRLG between this hop and the protected
                interface
                ''',
                'common_srlg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('from-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local IP address
                ''',
                'from_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('to-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote IP address
                ''',
                'to_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'weighted-srlg-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup.WeightedSrlgInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup.WeightedSrlgInfo',
            False, 
            [
            _MetaInfoClassMember('protected-interface-srlg', REFERENCE_LIST, 'ProtectedInterfaceSrlg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup.WeightedSrlgInfo.ProtectedInterfaceSrlg', 
                [], [], 
                '''                SRLG values and admin weight penalties of the
                protected interface
                ''',
                'protected_interface_srlg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('weighted-srlg-hop', REFERENCE_LIST, 'WeightedSrlgHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup.WeightedSrlgInfo.WeightedSrlgHop', 
                [], [], 
                '''                Autobackup hops and the common SRLG with the
                protected interface
                ''',
                'weighted_srlg_hop',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'weighted-srlg-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup.Iep.IepHop' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup.Iep.IepHop',
            False, 
            [
            _MetaInfoClassMember('hop-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hop Index
                ''',
                'hop_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('iep-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IEP Hop Address
                ''',
                'iep_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('iep-hop-type', REFERENCE_ENUM_CLASS, 'MplsTeIepHopEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeIepHopEnum', 
                [], [], 
                '''                IEP type
                ''',
                'iep_hop_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'iep-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup.Iep' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup.Iep',
            False, 
            [
            _MetaInfoClassMember('iep-hop', REFERENCE_LIST, 'IepHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup.Iep.IepHop', 
                [], [], 
                '''                IEP Hop List
                ''',
                'iep_hop',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option ID this IEP is associated with
                ''',
                'path_option_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'iep',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup',
            False, 
            [
            _MetaInfoClassMember('ab-protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface
                ''',
                'ab_protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ab-protection-type', REFERENCE_ENUM_CLASS, 'AutoBackupProtectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'AutoBackupProtectionEnum', 
                [], [], 
                '''                Protection type
                ''',
                'ab_protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('iep', REFERENCE_LIST, 'Iep' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup.Iep', 
                [], [], 
                '''                List of IEPs for the path options on this tunnel
                ''',
                'iep',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-unused-removal-timer-running', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if the unused removal timer is running
                ''',
                'is_unused_removal_timer_running',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-using-srlg', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether SRLG Path Option is in use
                ''',
                'is_using_srlg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Protected Address
                ''',
                'protected_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number Of Protected LSPs
                ''',
                'protected_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Protected S2Ls
                ''',
                'protected_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sharing-families', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of S2L Sharing Families
                ''',
                'sharing_families',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-prot-type', REFERENCE_ENUM_CLASS, 'AutoBackupSrlgModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'AutoBackupSrlgModeEnum', 
                [], [], 
                '''                SRLG Protection Type
                ''',
                'srlg_prot_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AttributeSet name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unused-removal-remaining-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time Remaining in Unused Removal Time in seconds
                ''',
                'unused_removal_remaining_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('weighted-srlg-info', REFERENCE_CLASS, 'WeightedSrlgInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup.WeightedSrlgInfo', 
                [], [], 
                '''                Weighted SRLG info for the autobackup tunnel
                ''',
                'weighted_srlg_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'auto-backup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoMesh' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoMesh',
            False, 
            [
            _MetaInfoClassMember('is-tunnel-unused-timer-running', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether unused timer running
                ''',
                'is_tunnel_unused_timer_running',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Auto-mesh tunnel Mesh Group ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-type', REFERENCE_ENUM_CLASS, 'TeMeshgroupEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeMeshgroupEnum', 
                [], [], 
                '''                Auto-tunnel mesh group type
                ''',
                'mesh_group_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remaining-unused-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remaining time for unused timer in seconds
                ''',
                'remaining_unused_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-destination-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Destination List name
                ''',
                'tunnel_destination_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'auto-mesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoPcc' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoPcc',
            False, 
            [
            _MetaInfoClassMember('creator-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address of creating node
                ''',
                'creator_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('creator-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ID of creating node
                ''',
                'creator_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-creator-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if the ID of the creating node is set
                ''',
                'has_creator_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('operationally-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Operationally up
                ''',
                'operationally_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('owner-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address of owner node
                ''',
                'owner_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('plspid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PLSP ID
                ''',
                'plspid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('symbolic-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Symbolic name
                ''',
                'symbolic_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'auto-pcc',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.PceDelegation' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.PceDelegation',
            False, 
            [
            _MetaInfoClassMember('operationally-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Operationally up
                ''',
                'operationally_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('owner-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address of owner node
                ''',
                'owner_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('plsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PLSP ID
                ''',
                'plsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('symbolic-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Symbolic name
                ''',
                'symbolic_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'pce-delegation',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.SoftPreemption.SoftPreemptionCounters' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.SoftPreemption.SoftPreemptionCounters',
            False, 
            [
            _MetaInfoClassMember('frr-triggered-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of soft preempted LSPs that were fast
                rerouted at the             headend or any
                remote node before the reoptimization is done.
                ''',
                'frr_triggered_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-protection-switchover-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of soft preempted LSPs that were
                switched over to a             standby LSP.
                ''',
                'path_protection_switchover_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reopt-completed-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of soft preempted LSPs that were torn
                down by the ingress router after the reopt LSP
                was successfully setup.
                ''',
                'reopt_completed_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of soft preemption events
                ''',
                'soft_preemption_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-in-preemption-pending-avg', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The average time in seconds that an LSP was in
                preemption pending state
                ''',
                'time_in_preemption_pending_avg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-in-preemption-pending-max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The maximum time in seconds that an LSP was in
                preemption pending state
                ''',
                'time_in_preemption_pending_max',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-in-preemption-pending-min', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The minimum time in seconds that an LSP was in
                preemption pending state
                ''',
                'time_in_preemption_pending_min',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('torn-down-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of soft preempted LSPs that were torn
                down by the              headend or any remote
                node before the reoptimization is done.
                ''',
                'torn_down_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'soft-preemption-counters',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.SoftPreemption.SoftPreemptionPathError' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.SoftPreemption.SoftPreemptionPathError',
            False, 
            [
            _MetaInfoClassMember('preempting-link-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The address of the link where the preemption
                happened
                ''',
                'preempting_link_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The POSIX timestamp when the soft preemption
                error is received
                ''',
                'timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'soft-preemption-path-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.SoftPreemption' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.SoftPreemption',
            False, 
            [
            _MetaInfoClassMember('preemption-pending-resolution', REFERENCE_ENUM_CLASS, 'MplsTeSoftPreemptionResolutionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeSoftPreemptionResolutionEnum', 
                [], [], 
                '''                Indicates how the soft preemption operation
                ended
                ''',
                'preemption_pending_resolution',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-counters', REFERENCE_CLASS, 'SoftPreemptionCounters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.SoftPreemption.SoftPreemptionCounters', 
                [], [], 
                '''                The soft preemption counters for this tunnel
                head
                ''',
                'soft_preemption_counters',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-path-error', REFERENCE_LIST, 'SoftPreemptionPathError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.SoftPreemption.SoftPreemptionPathError', 
                [], [], 
                '''                The array of soft preemption path errors info
                received for the LSP that is being soft
                preempted
                ''',
                'soft_preemption_path_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'MplsTeSoftPreemptionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeSoftPreemptionStateEnum', 
                [], [], 
                '''                The preemption state
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-in-preemption-pending', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The number of seconds that were spent in the
                preemption-pending state
                ''',
                'time_in_preemption_pending',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'soft-preemption',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.WdmUnitunnel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.WdmUnitunnel',
            False, 
            [
            _MetaInfoClassMember('controlled-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface being controlled
                ''',
                'controlled_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel-id
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-origin', REFERENCE_ENUM_CLASS, 'MplsTeMgmtGmplsLabelOriginEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMgmtGmplsLabelOriginEnum', 
                [], [], 
                '''                Label origin
                ''',
                'label_origin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-optical-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local optical router id
                ''',
                'local_optical_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-optical-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote optical router id
                ''',
                'remote_optical_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source address
                ''',
                'source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-discovery', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SRLG-discovery enabled
                ''',
                'srlg_discovery',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-role', REFERENCE_ENUM_CLASS, 'MplsTeTunnelRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelRoleEnum', 
                [], [], 
                '''                Tunnel Role
                ''',
                'tunnel_role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-state', REFERENCE_ENUM_CLASS, 'MplsTeTunnelStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelStateEnum', 
                [], [], 
                '''                Tunnel state
                ''',
                'tunnel_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wdm-unitunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexCbr' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexCbr',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tolerance', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tolerance
                ''',
                'tolerance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-cbr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexGfpFRes' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexGfpFRes',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-gfp-f-res',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexGfpFNonRes' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexGfpFNonRes',
            False, 
            [
            _MetaInfoClassMember('bit-rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bit rate in kbit/s
                ''',
                'bit_rate',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-flex-gfp-f-non-res',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn.BandwidthCfg' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn.BandwidthCfg',
            False, 
            [
            _MetaInfoClassMember('odu-flex-cbr', REFERENCE_CLASS, 'OduFlexCbr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexCbr', 
                [], [], 
                '''                Odu flex CBR info
                ''',
                'odu_flex_cbr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-flex-gfp-f-non-res', REFERENCE_CLASS, 'OduFlexGfpFNonRes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexGfpFNonRes', 
                [], [], 
                '''                Odu flex GFP-F non-resizable info
                ''',
                'odu_flex_gfp_f_non_res',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-flex-gfp-f-res', REFERENCE_CLASS, 'OduFlexGfpFRes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexGfpFRes', 
                [], [], 
                '''                Odu flex GFP-F resizable info
                ''',
                'odu_flex_gfp_f_res',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-level', REFERENCE_ENUM_CLASS, 'TeOduLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeOduLevelEnum', 
                [], [], 
                '''                ODULevel
                ''',
                'odu_level',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bandwidth-cfg',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn',
            False, 
            [
            _MetaInfoClassMember('bandwidth-cfg', REFERENCE_CLASS, 'BandwidthCfg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn.BandwidthCfg', 
                [], [], 
                '''                Configured OTN Bandwidth for tunnel
                ''',
                'bandwidth_cfg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.StaticUni' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.StaticUni',
            False, 
            [
            _MetaInfoClassMember('client-if-handle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Ingress Client Port Ifhandle
                ''',
                'client_if_handle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('client-odu-if-handle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Client Odu Interface
                ''',
                'client_odu_if_handle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('client-odu-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Client Odu Name
                ''',
                'client_odu_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('client-port', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Ingress Client Port
                ''',
                'client_port',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cross-connect-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cross connect id
                ''',
                'cross_connect_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if client port is connected
                ''',
                'is_connected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-termination', REFERENCE_ENUM_CLASS, 'MplsTeTerminationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTerminationEnum', 
                [], [], 
                '''                Local Termination Type
                ''',
                'local_termination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('static-uni-type', REFERENCE_ENUM_CLASS, 'MplsTeUniEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeUniEnum', 
                [], [], 
                '''                Static uni type
                ''',
                'static_uni_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('term-client-if-handle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Termination Ingress Client Port Ifhandle
                ''',
                'term_client_if_handle',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('term-client-port', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Termination Ingress Client Port
                ''',
                'term_client_port',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Client Port Uptime
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'static-uni',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.EgressPort.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.EgressPort.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.EgressPort.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.EgressPort.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.EgressPort.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.EgressPort' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.EgressPort',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.EgressPort.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'egress-port',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.TermEgressPort.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.TermEgressPort.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.TermEgressPort.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.TermEgressPort.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.TermEgressPort.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.TermEgressPort' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.TermEgressPort',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.TermEgressPort.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'term-egress-port',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni',
            False, 
            [
            _MetaInfoClassMember('egress-port', REFERENCE_CLASS, 'EgressPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.EgressPort', 
                [], [], 
                '''                Egress Client Port of Tunnel
                ''',
                'egress_port',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-termination', REFERENCE_ENUM_CLASS, 'MplsTeTerminationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTerminationEnum', 
                [], [], 
                '''                Local Termination Type
                ''',
                'local_termination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-uni-type', REFERENCE_ENUM_CLASS, 'MplsTeUniEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeUniEnum', 
                [], [], 
                '''                Remote uni type
                ''',
                'remote_uni_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('term-egress-port', REFERENCE_CLASS, 'TermEgressPort' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.TermEgressPort', 
                [], [], 
                '''                Termination Egress Client Port of Tunnel
                ''',
                'term_egress_port',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'egress-static-uni',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.HomepathEro.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.HomepathEro.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.HomepathEro.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.HomepathEro.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.HomepathEro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.HomepathEro',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.HomepathEro.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.HomepathEro.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'homepath-ero',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.DiversityInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.DiversityInfo',
            False, 
            [
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Dependent Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'diversity-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo',
            False, 
            [
            _MetaInfoClassMember('diversity-info', REFERENCE_LIST, 'DiversityInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.DiversityInfo', 
                [], [], 
                '''                Diversity Info
                ''',
                'diversity_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('egress-static-uni', REFERENCE_CLASS, 'EgressStaticUni' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni', 
                [], [], 
                '''                Tunnel EgressStatic UNI Info
                ''',
                'egress_static_uni',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('homepath-ero', REFERENCE_LIST, 'HomepathEro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.HomepathEro', 
                [], [], 
                '''                Homepath ero for working lsp
                ''',
                'homepath_ero',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn', REFERENCE_CLASS, 'Otn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn', 
                [], [], 
                '''                Info Related to OTN technology in S2L
                ''',
                'otn',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('static-uni', REFERENCE_CLASS, 'StaticUni' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.StaticUni', 
                [], [], 
                '''                Tunnel Static UNI Info
                ''',
                'static_uni',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status-homepath-working', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Status of working homepath
                ''',
                'status_homepath_working',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'transport-tunnel-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.BfdInfo.EventCounters' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.BfdInfo.EventCounters',
            False, 
            [
            _MetaInfoClassMember('session-admin-down-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLSP session admin down
                events
                ''',
                'session_admin_down_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-create-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLSP session create events
                ''',
                'session_create_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-create-timeout-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLSP session create timeout
                events
                ''',
                'session_create_timeout_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-creation-failed-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLSP session creation failed
                events
                ''',
                'session_creation_failed_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-down-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLSP session down events
                ''',
                'session_down_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-gracefully-delete-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLSP session gracefully
                delete events
                ''',
                'session_gracefully_delete_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-non-gracefully-delete-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLSP session non gracefully
                delete events
                ''',
                'session_non_gracefully_delete_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-replay-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLSP session replay events
                ''',
                'session_replay_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-up-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLSP session up events
                ''',
                'session_up_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'event-counters',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.BfdInfo.DampeningInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.BfdInfo.DampeningInfo',
            False, 
            [
            _MetaInfoClassMember('backoff-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backoff count
                ''',
                'backoff_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-down-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold down time in second
                ''',
                'hold_down_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index
                ''',
                'option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remained-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remained time to resignal in second
                ''',
                'remained_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'dampening-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.BfdInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.BfdInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-session-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel BFD session state up or down
                ''',
                'bfd_session_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dampening-info', REFERENCE_LIST, 'DampeningInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.BfdInfo.DampeningInfo', 
                [], [], 
                '''                Path option dampening info
                ''',
                'dampening_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('event-counters', REFERENCE_CLASS, 'EventCounters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.BfdInfo.EventCounters', 
                [], [], 
                '''                Per tunnel BFD session event counters
                ''',
                'event_counters',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('failure-diagnostic-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD session failure diagnostic code
                ''',
                'failure_diagnostic_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('failure-reason', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                BFD session failure reason
                ''',
                'failure_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-session-up-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum time in mini second for session to come
                up
                ''',
                'maximum_session_up_interval',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('minimum-session-up-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Minimum time in mini second for session to come
                up
                ''',
                'minimum_session_up_interval',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-up-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last session state up
                ''',
                'session_up_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir.Aps.ProtectionProfile.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir.Aps.ProtectionProfile.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir.Aps.ProtectionProfile' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir.Aps.ProtectionProfile',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir.Aps.ProtectionProfile.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protection-profile',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir.Aps' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir.Aps',
            False, 
            [
            _MetaInfoClassMember('active-lsp', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                Active LSP for Incoming Data
                ''',
                'active_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('diversity-type', REFERENCE_ENUM_CLASS, 'TePpDiversityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePpDiversityEnum', 
                [], [], 
                '''                Standby path diversity type
                ''',
                'diversity_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-profile', REFERENCE_CLASS, 'ProtectionProfile' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir.Aps.ProtectionProfile', 
                [], [], 
                '''                Protection Profile Information of tunnel
                ''',
                'protection_profile',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'aps',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir.Restoration' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir.Restoration',
            False, 
            [
            _MetaInfoClassMember('diverse-lsp', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP from which restoration LSP is DIVERSED
                ''',
                'diverse_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('diversity-type', REFERENCE_ENUM_CLASS, 'TePpDiversityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePpDiversityEnum', 
                [], [], 
                '''                Restoration path diversity type
                ''',
                'diversity_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-option', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Revertive or non-revertive
                ''',
                'revert_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'restoration',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir',
            False, 
            [
            _MetaInfoClassMember('aps', REFERENCE_CLASS, 'Aps' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir.Aps', 
                [], [], 
                '''                APS Protection Info
                ''',
                'aps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration', REFERENCE_CLASS, 'Restoration' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir.Restoration', 
                [], [], 
                '''                Restoration Info
                ''',
                'restoration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'otn-bidir',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorCurrent.PathCalculationError' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorCurrent.PathCalculationError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-calculation-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorCurrent' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorCurrent',
            False, 
            [
            _MetaInfoClassMember('ero-reject-reason', REFERENCE_ENUM_CLASS, 'TeRevEroRejectReasonsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRevEroRejectReasonsEnum', 
                [], [], 
                '''                Reverse ERO Reject Reason
                ''',
                'ero_reject_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-calculation-error', REFERENCE_LIST, 'PathCalculationError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorCurrent.PathCalculationError', 
                [], [], 
                '''                Path Computation Information
                ''',
                'path_calculation_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path Option Index
                ''',
                'path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-type', REFERENCE_ENUM_CLASS, 'MtePathOptionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MtePathOptionEnum', 
                [], [], 
                '''                Path Option Type
                ''',
                'path_option_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-affinity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to affinity
                ''',
                'path_reject_reason_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to bw
                ''',
                'path_reject_reason_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-exclude-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to exclude link
                ''',
                'path_reject_reason_exclude_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-exclude-node', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to exclude node
                ''',
                'path_reject_reason_exclude_node',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-exclude-srlg', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to exclude SRLG
                ''',
                'path_reject_reason_exclude_srlg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-holddown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to holddown
                ''',
                'path_reject_reason_holddown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-hop-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to hop limit
                ''',
                'path_reject_reason_hop_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-ip-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to IP address
                ''',
                'path_reject_reason_ip_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-ixcd', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to IXCD
                ''',
                'path_reject_reason_ixcd',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-ol-head', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to head node overload
                ''',
                'path_reject_reason_node_ol_head',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-ol-mid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to mid node overload
                ''',
                'path_reject_reason_node_ol_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-ol-tail', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to head node overload
                ''',
                'path_reject_reason_node_ol_tail',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-ol-unknown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to unknown node overload
                ''',
                'path_reject_reason_node_ol_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-unreachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to unreachable node
                ''',
                'path_reject_reason_node_unreachable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-reverse-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to reverse bw
                ''',
                'path_reject_reason_reverse_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-reverse-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to reverse link
                ''',
                'path_reject_reason_reverse_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Reverse LSP ID
                ''',
                'reverse_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-ero-error-current',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorReopt.PathCalculationError' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorReopt.PathCalculationError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-calculation-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorReopt' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorReopt',
            False, 
            [
            _MetaInfoClassMember('ero-reject-reason', REFERENCE_ENUM_CLASS, 'TeRevEroRejectReasonsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRevEroRejectReasonsEnum', 
                [], [], 
                '''                Reverse ERO Reject Reason
                ''',
                'ero_reject_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-calculation-error', REFERENCE_LIST, 'PathCalculationError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorReopt.PathCalculationError', 
                [], [], 
                '''                Path Computation Information
                ''',
                'path_calculation_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path Option Index
                ''',
                'path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-type', REFERENCE_ENUM_CLASS, 'MtePathOptionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MtePathOptionEnum', 
                [], [], 
                '''                Path Option Type
                ''',
                'path_option_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-affinity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to affinity
                ''',
                'path_reject_reason_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to bw
                ''',
                'path_reject_reason_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-exclude-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to exclude link
                ''',
                'path_reject_reason_exclude_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-exclude-node', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to exclude node
                ''',
                'path_reject_reason_exclude_node',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-exclude-srlg', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to exclude SRLG
                ''',
                'path_reject_reason_exclude_srlg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-holddown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to holddown
                ''',
                'path_reject_reason_holddown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-hop-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to hop limit
                ''',
                'path_reject_reason_hop_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-ip-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to IP address
                ''',
                'path_reject_reason_ip_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-ixcd', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to IXCD
                ''',
                'path_reject_reason_ixcd',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-ol-head', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to head node overload
                ''',
                'path_reject_reason_node_ol_head',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-ol-mid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to mid node overload
                ''',
                'path_reject_reason_node_ol_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-ol-tail', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to head node overload
                ''',
                'path_reject_reason_node_ol_tail',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-ol-unknown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to unknown node overload
                ''',
                'path_reject_reason_node_ol_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-unreachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to unreachable node
                ''',
                'path_reject_reason_node_unreachable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-reverse-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to reverse bw
                ''',
                'path_reject_reason_reverse_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-reverse-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to reverse link
                ''',
                'path_reject_reason_reverse_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Reverse LSP ID
                ''',
                'reverse_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-ero-error-reopt',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorStandby.PathCalculationError' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorStandby.PathCalculationError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-calculation-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorStandby' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorStandby',
            False, 
            [
            _MetaInfoClassMember('ero-reject-reason', REFERENCE_ENUM_CLASS, 'TeRevEroRejectReasonsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRevEroRejectReasonsEnum', 
                [], [], 
                '''                Reverse ERO Reject Reason
                ''',
                'ero_reject_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-calculation-error', REFERENCE_LIST, 'PathCalculationError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorStandby.PathCalculationError', 
                [], [], 
                '''                Path Computation Information
                ''',
                'path_calculation_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path Option Index
                ''',
                'path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-type', REFERENCE_ENUM_CLASS, 'MtePathOptionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MtePathOptionEnum', 
                [], [], 
                '''                Path Option Type
                ''',
                'path_option_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-affinity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to affinity
                ''',
                'path_reject_reason_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to bw
                ''',
                'path_reject_reason_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-exclude-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to exclude link
                ''',
                'path_reject_reason_exclude_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-exclude-node', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to exclude node
                ''',
                'path_reject_reason_exclude_node',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-exclude-srlg', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to exclude SRLG
                ''',
                'path_reject_reason_exclude_srlg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-holddown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to holddown
                ''',
                'path_reject_reason_holddown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-hop-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to hop limit
                ''',
                'path_reject_reason_hop_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-ip-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to IP address
                ''',
                'path_reject_reason_ip_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-ixcd', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to IXCD
                ''',
                'path_reject_reason_ixcd',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-ol-head', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to head node overload
                ''',
                'path_reject_reason_node_ol_head',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-ol-mid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to mid node overload
                ''',
                'path_reject_reason_node_ol_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-ol-tail', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to head node overload
                ''',
                'path_reject_reason_node_ol_tail',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-ol-unknown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to unknown node overload
                ''',
                'path_reject_reason_node_ol_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-unreachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to unreachable node
                ''',
                'path_reject_reason_node_unreachable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-reverse-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to reverse bw
                ''',
                'path_reject_reason_reverse_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-reverse-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to reverse link
                ''',
                'path_reject_reason_reverse_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Reverse LSP ID
                ''',
                'reverse_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-ero-error-standby',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorStandbyReopt.PathCalculationError' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorStandbyReopt.PathCalculationError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-calculation-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorStandbyReopt' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorStandbyReopt',
            False, 
            [
            _MetaInfoClassMember('ero-reject-reason', REFERENCE_ENUM_CLASS, 'TeRevEroRejectReasonsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRevEroRejectReasonsEnum', 
                [], [], 
                '''                Reverse ERO Reject Reason
                ''',
                'ero_reject_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-calculation-error', REFERENCE_LIST, 'PathCalculationError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorStandbyReopt.PathCalculationError', 
                [], [], 
                '''                Path Computation Information
                ''',
                'path_calculation_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path Option Index
                ''',
                'path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-type', REFERENCE_ENUM_CLASS, 'MtePathOptionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MtePathOptionEnum', 
                [], [], 
                '''                Path Option Type
                ''',
                'path_option_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-affinity', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to affinity
                ''',
                'path_reject_reason_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to bw
                ''',
                'path_reject_reason_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-exclude-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to exclude link
                ''',
                'path_reject_reason_exclude_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-exclude-node', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to exclude node
                ''',
                'path_reject_reason_exclude_node',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-exclude-srlg', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to exclude SRLG
                ''',
                'path_reject_reason_exclude_srlg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-holddown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to holddown
                ''',
                'path_reject_reason_holddown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-hop-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to hop limit
                ''',
                'path_reject_reason_hop_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-ip-addr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to IP address
                ''',
                'path_reject_reason_ip_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-ixcd', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to IXCD
                ''',
                'path_reject_reason_ixcd',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-ol-head', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to head node overload
                ''',
                'path_reject_reason_node_ol_head',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-ol-mid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to mid node overload
                ''',
                'path_reject_reason_node_ol_mid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-ol-tail', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to head node overload
                ''',
                'path_reject_reason_node_ol_tail',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-ol-unknown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to unknown node overload
                ''',
                'path_reject_reason_node_ol_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-node-unreachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to unreachable node
                ''',
                'path_reject_reason_node_unreachable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-reverse-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to reverse bw
                ''',
                'path_reject_reason_reverse_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-reject-reason-reverse-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path Reject due to reverse link
                ''',
                'path_reject_reason_reverse_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Reverse LSP ID
                ''',
                'reverse_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-ero-error-standby-reopt',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir',
            False, 
            [
            _MetaInfoClassMember('reverse-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reverse Bandwidth value in kbps
                ''',
                'reverse_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-bandwidth-standby', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reverse Bandwidth value for standby in kbps
                ''',
                'reverse_bandwidth_standby',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-ero-error-current', REFERENCE_CLASS, 'ReverseEroErrorCurrent' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorCurrent', 
                [], [], 
                '''                Reverse ERO Error Current LSP
                ''',
                'reverse_ero_error_current',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-ero-error-reopt', REFERENCE_CLASS, 'ReverseEroErrorReopt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorReopt', 
                [], [], 
                '''                Reverse ERO Error Reopt LSP
                ''',
                'reverse_ero_error_reopt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-ero-error-standby', REFERENCE_CLASS, 'ReverseEroErrorStandby' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorStandby', 
                [], [], 
                '''                Reverse ERO Error Standby LSP
                ''',
                'reverse_ero_error_standby',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-ero-error-standby-reopt', REFERENCE_CLASS, 'ReverseEroErrorStandbyReopt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorStandbyReopt', 
                [], [], 
                '''                Reverse ERO Error Standby Reopt LSP
                ''',
                'reverse_ero_error_standby_reopt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bidir',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TeTunnelConvergence.ConvergenceLsp' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TeTunnelConvergence.ConvergenceLsp',
            False, 
            [
            _MetaInfoClassMember('creation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tunnel creation timestamp (clocktime in nsecs)
                ''',
                'creation_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-rewrite', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP Label rewrite timestamp (clocktime in nsecs)
                ''',
                'label_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Path-in timestamp (clocktime in nsecs)
                ''',
                'path_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Path-in timestamp (clocktime in nsecs)
                ''',
                'path_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Resv-in timestamp (clocktime in nsecs)
                ''',
                'resv_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('resv-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                LSP RSVP Resv-out timestamp (clocktime in nsecs)
                ''',
                'resv_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-rewrite', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tunnel rewrite timestamp (clocktime in nsecs)
                ''',
                'tunnel_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'convergence-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TeTunnelConvergence' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TeTunnelConvergence',
            False, 
            [
            _MetaInfoClassMember('binding-label-rewrite-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Binding label timestamp (clocktime in nsecs)
                ''',
                'binding_label_rewrite_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('convergence-complete-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                TE convergence completion time
                ''',
                'convergence_complete_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('convergence-lsp', REFERENCE_CLASS, 'ConvergenceLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TeTunnelConvergence.ConvergenceLsp', 
                [], [], 
                '''                TE LSP convergence related information
                ''',
                'convergence_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-trigger-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                FRR trigger time
                ''',
                'frr_trigger_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-convergence-in-progress', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TE convergence in progress
                ''',
                'is_convergence_in_progress',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcalc-complete-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Path computation completion timestamp (clocktime
                in nsecs)
                ''',
                'pcalc_complete_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('vif-creation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Vif creation timestamp (clocktime in nsecs)
                ''',
                'vif_creation_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-tunnel-convergence',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.FlexInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.FlexInfo',
            False, 
            [
            _MetaInfoClassMember('fault-ais', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault AIS
                ''',
                'fault_ais',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-in-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Fault In Label
                ''',
                'fault_in_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ldi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LDI
                ''',
                'fault_ldi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ldi-lockout', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LDI Lockout
                ''',
                'fault_ldi_lockout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-lkr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LKR
                ''',
                'fault_lkr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Fault Time
                ''',
                'fault_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-lockout', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Lockout Status
                ''',
                'is_lockout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lockout-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The LSP ID of the locked out LSP
                ''',
                'lockout_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lockout-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The timestamp when the lockout is set
                ''',
                'lockout_timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('origination', REFERENCE_ENUM_CLASS, 'FlexLspLockoutOriginationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'FlexLspLockoutOriginationEnum', 
                [], [], 
                '''                Flex LSP Lockout Origination Source
                ''',
                'origination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.InterAreaReoptimization' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.InterAreaReoptimization',
            False, 
            [
            _MetaInfoClassMember('preferred-path-error-node', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address of the preferred path error generating
                node
                ''',
                'preferred_path_error_node',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('preferred-tree-error-node', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address of the preferred tree error generating
                node
                ''',
                'preferred_tree_error_node',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('received-preferred-path-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of received Preferred Path Exists Error
                ''',
                'received_preferred_path_errors',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('received-preferred-tree-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of received Preferred Tree Exists Error
                ''',
                'received_preferred_tree_errors',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sent-path-queries', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of better path queries sent
                ''',
                'sent_path_queries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-preferred-path-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Preferred Path Exists error
                received (seconds)
                ''',
                'time_since_last_preferred_path_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-preferred-tree-error', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last Preferred Tree Exists error
                received (seconds)
                ''',
                'time_since_last_preferred_tree_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-since-last-query-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since the last better path query was sent
                (seconds)
                ''',
                'time_since_last_query_sent',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'inter-area-reoptimization',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.PathCalculationError' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.PathCalculationError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-calculation-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.RemergeError' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.RemergeError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'remerge-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.SignallingError' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.SignallingError',
            False, 
            [
            _MetaInfoClassMember('error', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Path Error code
                ''',
                'error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Source address of the error generating node
                ''',
                'error_node',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSPMode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if error is on the reverse LSP
                ''',
                'reverse_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP-id for which the error was received
                ''',
                'signalling_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path Error subcode
                ''',
                'sub_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalling-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry',
            False, 
            [
            _MetaInfoClassMember('attribute-set', REFERENCE_CLASS, 'AttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet', 
                [], [], 
                '''                The path option attribute set used by this path
                ''',
                'attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-found', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has found the defined attribute
                set
                ''',
                'attribute_set_found',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Explicit Path ID, this is the key to table
                ExplicitPaths.IdentifierTable
                ''',
                'explicit_path_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Explicit Path Name, this is the key to table
                ExplicitPaths.NameTable
                ''',
                'explicit_path_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has an attribute set defined
                ''',
                'has_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-xro-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has an XRO attribute set
                configured
                ''',
                'has_xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('holddown-duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Holddown Duration (seconds)
                ''',
                'holddown_duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path option is disabled
                ''',
                'is_disabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-helddown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if path is helddown
                ''',
                'is_helddown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-lockdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is locked down
                ''',
                'is_lockdown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-segment-routing', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is Segment-Routing
                ''',
                'is_segment_routing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-explicit-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if explicit path is strict
                ''',
                'is_strict_explicit_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-verbatim', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is verbatim
                ''',
                'is_verbatim',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index
                ''',
                'option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index-is-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The path option index is valid
                ''',
                'option_index_is_valid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-calculation-error', REFERENCE_LIST, 'PathCalculationError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.PathCalculationError', 
                [], [], 
                '''                Path computation information
                ''',
                'path_calculation_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The path-option area constraint
                ''',
                'path_option_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path option name
                ''',
                'path_option_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-type', REFERENCE_ENUM_CLASS, 'MplsTePathoptionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTePathoptionEnum', 
                [], [], 
                '''                Path option type
                ''',
                'path_option_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                PCE server address
                ''',
                'pce_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-by-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for Protect path options
                ''',
                'protected_by_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remerge-error', REFERENCE_LIST, 'RemergeError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.RemergeError', 
                [], [], 
                '''                Path computation remerge resolve info
                ''',
                'remerge_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restored-from-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for Restore path options
                ''',
                'restored_from_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-error', REFERENCE_LIST, 'SignallingError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.SignallingError', 
                [], [], 
                '''                Signalling information
                ''',
                'signalling_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set', REFERENCE_CLASS, 'XroAttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet', 
                [], [], 
                '''                The XRO attribute set used by this path-option
                ''',
                'xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set-found', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path's XRO attribute set is known
                ''',
                'xro_attribute_set_found',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-option-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.PathCalculationError' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.PathCalculationError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-calculation-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.RemergeError' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.RemergeError',
            False, 
            [
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds seconds (since Jan. 1, 1970)
                when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP Mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'remerge-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.SignallingError' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.SignallingError',
            False, 
            [
            _MetaInfoClassMember('error', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Path Error code
                ''',
                'error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error-message', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Error message (for display purposes only)
                ''',
                'error_message',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('error-node', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Source address of the error generating node
                ''',
                'error_node',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('log-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds when the error message is logged
                ''',
                'log_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSPMode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if error is on the reverse LSP
                ''',
                'reverse_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP-id for which the error was received
                ''',
                'signalling_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path Error subcode
                ''',
                'sub_code',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalling-error',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption',
            False, 
            [
            _MetaInfoClassMember('attribute-set', REFERENCE_CLASS, 'AttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet', 
                [], [], 
                '''                The path option attribute set used by this path
                ''',
                'attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-found', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has found the defined attribute
                set
                ''',
                'attribute_set_found',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Explicit Path ID, this is the key to table
                ExplicitPaths.IdentifierTable
                ''',
                'explicit_path_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Explicit Path Name, this is the key to table
                ExplicitPaths.NameTable
                ''',
                'explicit_path_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has an attribute set defined
                ''',
                'has_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-xro-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path has an XRO attribute set
                configured
                ''',
                'has_xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('holddown-duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Holddown Duration (seconds)
                ''',
                'holddown_duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path option is disabled
                ''',
                'is_disabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-helddown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if path is helddown
                ''',
                'is_helddown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-lockdown', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is locked down
                ''',
                'is_lockdown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-segment-routing', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is Segment-Routing
                ''',
                'is_segment_routing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-explicit-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if explicit path is strict
                ''',
                'is_strict_explicit_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-verbatim', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path is verbatim
                ''',
                'is_verbatim',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index
                ''',
                'option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('option-index-is-valid', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                The path option index is valid
                ''',
                'option_index_is_valid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-calculation-error', REFERENCE_LIST, 'PathCalculationError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.PathCalculationError', 
                [], [], 
                '''                Path computation information
                ''',
                'path_calculation_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The path-option area constraint
                ''',
                'path_option_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Path option name
                ''',
                'path_option_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-type', REFERENCE_ENUM_CLASS, 'MplsTePathoptionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTePathoptionEnum', 
                [], [], 
                '''                Path option type
                ''',
                'path_option_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                PCE server address
                ''',
                'pce_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-by-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for Protect path options
                ''',
                'protected_by_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remerge-error', REFERENCE_LIST, 'RemergeError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.RemergeError', 
                [], [], 
                '''                Path computation remerge resolve info
                ''',
                'remerge_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restored-from-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path option index for Restore path options
                ''',
                'restored_from_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-error', REFERENCE_LIST, 'SignallingError' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.SignallingError', 
                [], [], 
                '''                Signalling information
                ''',
                'signalling_error',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set', REFERENCE_CLASS, 'XroAttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet', 
                [], [], 
                '''                The XRO attribute set used by this path-option
                ''',
                'xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set-found', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the path's XRO attribute set is known
                ''',
                'xro_attribute_set_found',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination',
            False, 
            [
            _MetaInfoClassMember('active-path-option-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index of active path option
                ''',
                'active_path_option_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-deletion-cause', REFERENCE_ENUM_CLASS, 'TeP2MpS2LDeletionCauseEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeP2MpS2LDeletionCauseEnum', 
                [], [], 
                '''                Destination deletion cause
                ''',
                'destination_deletion_cause',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-deletion-sub-cause', REFERENCE_ENUM_CLASS, 'TeP2MpS2LDeletionSubcauseEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeP2MpS2LDeletionSubcauseEnum', 
                [], [], 
                '''                Destination deletion subcause
                ''',
                'destination_deletion_sub_cause',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-deletion-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Destination deletion timestamp in seconds
                ''',
                'destination_deletion_timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-state', REFERENCE_ENUM_CLASS, 'TeDestinationStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeDestinationStateEnum', 
                [], [], 
                '''                The state of the destination
                ''',
                'destination_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('inter-area-reoptimization', REFERENCE_CLASS, 'InterAreaReoptimization' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.InterAreaReoptimization', 
                [], [], 
                '''                The timing and count information of interarea
                reoptimization.
                ''',
                'inter_area_reoptimization',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-inter-area', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether this destination is in
                different area
                ''',
                'is_inter_area',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-change-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last path change time
                ''',
                'path_change_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option', REFERENCE_LIST, 'PathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption', 
                [], [], 
                '''                Destination's list of path options
                ''',
                'path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-entry', REFERENCE_LIST, 'PathOptionEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry', 
                [], [], 
                '''                Deprecated; replaced by PathOption
                ''',
                'path_option_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-exhausted', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path options are exhausted
                ''',
                'path_option_exhausted',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-exist', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dest state may not be up but S2L may exist
                ''',
                's2l_exist',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Unused
                ''',
                'total_uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the destination was up
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'destination',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead',
            False, 
            [
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('admin-state', REFERENCE_ENUM_CLASS, 'MteTunnelAdminStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MteTunnelAdminStateEnum', 
                [], [], 
                '''                Administrative State
                ''',
                'admin_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-failure-delayed-tear-time-remained', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Affinity Failure LSP tear down time remaining
                ''',
                'affinity_failure_delayed_tear_time_remained',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-failure-reopt-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AffinityFailureReoptDisabled
                ''',
                'affinity_failure_reopt_disabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-failure-reopt-time-remained', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AffinityFailureReoptTimeRemained
                ''',
                'affinity_failure_reopt_time_remained',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Indicates the protocol and area used to find
                Outgoing ERO
                ''',
                'area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-backup', REFERENCE_CLASS, 'AutoBackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup', 
                [], [], 
                '''                Autobackup Information
                ''',
                'auto_backup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-mesh', REFERENCE_CLASS, 'AutoMesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoMesh', 
                [], [], 
                '''                Automesh Information
                ''',
                'auto_mesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-pcc', REFERENCE_CLASS, 'AutoPcc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoPcc', 
                [], [], 
                '''                Auto-PCC Information
                ''',
                'auto_pcc',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IGP Auto route announce enabled
                ''',
                'auto_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('autoroute-announce-exclude-segment-routing', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether this tunnel is autoroute
                announced with exclude segment-routing option
                ''',
                'autoroute_announce_exclude_segment_routing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-requested', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth Requested
                ''',
                'bandwidth_requested',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The requested bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-info', REFERENCE_CLASS, 'BfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.BfdInfo', 
                [], [], 
                '''                BFD session info. This is NULL if BFD is not
                configured
                ''',
                'bfd_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bidir', REFERENCE_CLASS, 'Bidir' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir', 
                [], [], 
                '''                Bidir info
                ''',
                'bidir',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding Label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('binding-label-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True, if binding label exists
                ''',
                'binding_label_exists',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cleaned-lsp', REFERENCE_CLASS, 'CleanedLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp', 
                [], [], 
                '''                Cleaned LSP
                ''',
                'cleaned_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('config', REFERENCE_CLASS, 'Config' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config', 
                [], [], 
                '''                Configuration data
                ''',
                'config',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('create-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time at which the tunnel was created
                ''',
                'create_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('delay-clean-pp-lsp', REFERENCE_CLASS, 'DelayCleanPpLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp', 
                [], [], 
                '''                Delay Clean PP LSP
                ''',
                'delay_clean_pp_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination', REFERENCE_LIST, 'Destination' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination', 
                [], [], 
                '''                Destinations array
                ''',
                'destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-disabled-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of disabled destinations
                ''',
                'destination_disabled_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-down-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of down destinations
                ''',
                'destination_down_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-up-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of up destinations
                ''',
                'destination_up_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('drop-mode', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if tunnel is in drop mode
                ''',
                'drop_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Explicit-path inuse by the current LSP has been
                modified
                ''',
                'explicit_path_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fail-reason', REFERENCE_ENUM_CLASS, 'MplsMteTunnelFailReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsMteTunnelFailReasonEnum', 
                [], [], 
                '''                The reason why failure occurred
                ''',
                'fail_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex-info', REFERENCE_CLASS, 'FlexInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.FlexInfo', 
                [], [], 
                '''                Flex Info
                ''',
                'flex_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forwarding-adjacency', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IGP forwarding adjacency enabled
                ''',
                'forwarding_adjacency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('history', REFERENCE_CLASS, 'History' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History', 
                [], [], 
                '''                Tunnel history
                ''',
                'history',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop-limit-ignored-reason', REFERENCE_ENUM_CLASS, 'TeHopLimitIgnoreEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeHopLimitIgnoreEnum', 
                [], [], 
                '''                Hop-limit ignored reason
                ''',
                'hop_limit_ignored_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('invalidation-time-remained', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation time remaining
                ''',
                'invalidation_time_remained',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-auto-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether this is an automatically
                generated backup tunnel
                ''',
                'is_auto_backup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-auto-pcc', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether this is an automatic PCC
                tunnel
                ''',
                'is_auto_pcc',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-protect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                BW Protection Enabled or Disabled
                ''',
                'is_bandwidth_protect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-hop-limit-ignore', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Hop-limit ignored
                ''',
                'is_hop_limit_ignore',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-inter-area-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether this tunnel spans multiple
                areas.
                ''',
                'is_inter_area_tunnel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True for tunnel head
                ''',
                'is_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-named', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether this tunnel is named
                ''',
                'is_named',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-node-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protection Enabled or Disabled
                ''',
                'is_node_protected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-passive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True for passive tunnel
                ''',
                'is_passive',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-delegated', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether this tunnel is delegated to a
                PCE server or not
                ''',
                'is_pce_delegated',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-hop-ifindex', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Termination destination ifindex
                ''',
                'last_hop_ifindex',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-path-change', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the last path change
                ''',
                'last_path_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share-factor', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The specified loadsharing for the tunnel
                ''',
                'load_share_factor',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share-type', REFERENCE_ENUM_CLASS, 'MplsTeLoadshareEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLoadshareEnum', 
                [], [], 
                '''                Loadsharing type
                ''',
                'load_share_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Lsp-wrap label value
                ''',
                'lsp_wrap_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-protection-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Lsp-wrap Protection enabled
                ''',
                'lsp_wrap_protection_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('metric-qualifier', REFERENCE_ENUM_CLASS, 'MplsTeMetricQualifierEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricQualifierEnum', 
                [], [], 
                '''                Describe how the metric was specified: default,
                globally set, or per interface
                ''',
                'metric_qualifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('metric-type', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                The path selection metric
                ''',
                'metric_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('operational-state', REFERENCE_ENUM_CLASS, 'MteTunnelOperStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MteTunnelOperStateEnum', 
                [], [], 
                '''                Operational State
                ''',
                'operational_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('operational-state-changes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Counters for operational state changes
                ''',
                'operational_state_changes',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('otn-bidir', REFERENCE_CLASS, 'OtnBidir' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir', 
                [], [], 
                '''                OTN bidir info
                ''',
                'otn_bidir',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outbound-frr-state', REFERENCE_ENUM_CLASS, 'MplsTeFrrStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeFrrStateEnum', 
                [], [], 
                '''                Indicates outbound FRR state
                ''',
                'outbound_frr_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-info', REFERENCE_CLASS, 'P2PInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.P2PInfo', 
                [], [], 
                '''                P2P specific info
                ''',
                'p2p_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('passive-tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Passive tunnel name
                ''',
                'passive_tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-option-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path-Option inuse by the current LSP has been
                modified
                ''',
                'path_option_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-protection', REFERENCE_CLASS, 'PathProtection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.PathProtection', 
                [], [], 
                '''                Path Protect Info
                ''',
                'path_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-delegation', REFERENCE_CLASS, 'PceDelegation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.PceDelegation', 
                [], [], 
                '''                PCE Delegation information
                ''',
                'pce_delegation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pce-fail-reason', REFERENCE_ENUM_CLASS, 'MplsTePceFailReasonsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTePceFailReasonsEnum', 
                [], [], 
                '''                Failure reason for PCE-based tunnels
                ''',
                'pce_fail_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('persistent-bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Persistent forwarding statistics for number of
                bytes. Clear counters will not reset the counter
                ''',
                'persistent_bytes',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('persistent-packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Persistent forwarding statistics for Number of
                packets. Clear counters will not reset the
                counter
                ''',
                'persistent_packets',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('re-opt-hold-down-timer-remaining', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup hold-down timer remaining time in seconds
                ''',
                're_opt_hold_down_timer_remaining',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimized-p2mp-lsp', REFERENCE_CLASS, 'ReoptimizedP2MpLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp', 
                [], [], 
                '''                Reopt LSP
                ''',
                'reoptimized_p2mp_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimized-standby-p2mp-lsp', REFERENCE_CLASS, 'ReoptimizedStandbyP2MpLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp', 
                [], [], 
                '''                Standby Reopt LSP
                ''',
                'reoptimized_standby_p2mp_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reroute-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ReroutePending
                ''',
                'reroute_pending',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('role-standby', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if Role is Standby, Active otherwise
                ''',
                'role_standby',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signaled-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signaled Name
                ''',
                'signaled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snmp-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SNMP index for interface
                ''',
                'snmp_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption', REFERENCE_CLASS, 'SoftPreemption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.SoftPreemption', 
                [], [], 
                '''                Tunnel head soft preemption info. This is NULL
                if soft preemption is not configured
                ''',
                'soft_preemption',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-tunnel-convergence', REFERENCE_CLASS, 'TeTunnelConvergence' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TeTunnelConvergence', 
                [], [], 
                '''                TE tunnel convergence related information
                ''',
                'te_tunnel_convergence',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tie-breaker', REFERENCE_ENUM_CLASS, 'TePathSelectionTiebreakerEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathSelectionTiebreakerEnum', 
                [], [], 
                '''                The path selection tiebreaker
                ''',
                'tie_breaker',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tiebreaker-qualifier', REFERENCE_ENUM_CLASS, 'MplsTeMetricQualifierEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricQualifierEnum', 
                [], [], 
                '''                Describes how the path selection tiebreaker was
                specified: default, globally set, or per
                interface
                ''',
                'tiebreaker_qualifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tiebreaker-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated - replaced by Tiebreaker
                ''',
                'tiebreaker_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('transport-tunnel-info', REFERENCE_CLASS, 'TransportTunnelInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo', 
                [], [], 
                '''                Transport tunnel data. Only exists for Transport
                tunnels
                ''',
                'transport_tunnel_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                AttributeSet name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                AttributeSet type
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-current-lsp', REFERENCE_CLASS, 'TunnelCurrentLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp', 
                [], [], 
                '''                Current LSP
                ''',
                'tunnel_current_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface handle of the associated tunnel
                ''',
                'tunnel_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-recovering', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel recovering
                ''',
                'tunnel_recovering',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-restoration-lsp', REFERENCE_CLASS, 'TunnelRestorationLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp', 
                [], [], 
                '''                Restoration LSP
                ''',
                'tunnel_restoration_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-standby-lsp', REFERENCE_CLASS, 'TunnelStandbyLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp', 
                [], [], 
                '''                Standby LSP
                ''',
                'tunnel_standby_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since the tunnel was up
                ''',
                'uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wdm-unitunnel', REFERENCE_CLASS, 'WdmUnitunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.WdmUnitunnel', 
                [], [], 
                '''                WDM-UNI tunnel data. Only exists for WDM-UNI
                tunnels
                ''',
                'wdm_unitunnel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set', REFERENCE_CLASS, 'XroAttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet', 
                [], [], 
                '''                XRO attribute-set
                ''',
                'xro_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Configured XRO attribute-set name
                ''',
                'xro_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tunnel-head',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel.TunnelHeads' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel.TunnelHeads',
            False, 
            [
            _MetaInfoClassMember('tunnel-head', REFERENCE_LIST, 'TunnelHead' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead', 
                [], [], 
                '''                mpls te p2p or p2mp tunnels
                ''',
                'tunnel_head',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tunnel-heads',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2PP2MpTunnel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2PP2MpTunnel',
            False, 
            [
            _MetaInfoClassMember('nni-tunnels', REFERENCE_CLASS, 'NniTunnels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.NniTunnels', 
                [], [], 
                '''                GMPLS NNI tunnels
                ''',
                'nni_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-heads', REFERENCE_CLASS, 'TunnelHeads' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelHeads', 
                [], [], 
                '''                Restrict display to P2P or P2MP head tunnels
                ''',
                'tunnel_heads',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-remote-briefs', REFERENCE_CLASS, 'TunnelRemoteBriefs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemoteBriefs', 
                [], [], 
                '''                Restrict display to P2P or P2MP mid or tail
                tunnels
                ''',
                'tunnel_remote_briefs',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-remotes', REFERENCE_CLASS, 'TunnelRemotes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel.TunnelRemotes', 
                [], [], 
                '''                Restrict display to P2P or P2MP mid or tail
                tunnels
                ''',
                'tunnel_remotes',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'p2p-p2mp-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeSidAndSrbg' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeSidAndSrbg',
            False, 
            [
            _MetaInfoClassMember('segment-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment-Routing Node-SID
                ''',
                'segment_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('segment-id-local-absolute-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Node-SID local absolute value
                ''',
                'segment_id_local_absolute_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srgb-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment-Routing global block size
                ''',
                'srgb_size',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srgb-start', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment-Routring global block start value
                ''',
                'srgb_start',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'topology-node-sid-and-srbg',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthPrestandard.TopologyLinkPrestandardBandwidthDetail' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthPrestandard.TopologyLinkPrestandardBandwidthDetail',
            False, 
            [
            _MetaInfoClassMember('topology-link-prestandard-bandwidth-allocated', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link's allocated bandwidth at priority levels
                (priority 0 to priority 7)
                ''',
                'topology_link_prestandard_bandwidth_allocated',
                'Cisco-IOS-XR-mpls-te-oper', False, max_elements=8),
            _MetaInfoClassMember('topology-link-prestandard-bandwidth-available-global', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link's available global-pool bandwidth at
                priority levels (priority 0 to priority 7)
                ''',
                'topology_link_prestandard_bandwidth_available_global',
                'Cisco-IOS-XR-mpls-te-oper', False, max_elements=8),
            _MetaInfoClassMember('topology-link-prestandard-bandwidth-available-subpool', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link's available sub-pool bandwidth at priority
                levels (priority 0 to priority 7)
                ''',
                'topology_link_prestandard_bandwidth_available_subpool',
                'Cisco-IOS-XR-mpls-te-oper', False, max_elements=8),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'topology-link-prestandard-bandwidth-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthPrestandard' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthPrestandard',
            False, 
            [
            _MetaInfoClassMember('topology-link-prestandard-bandwidth-detail', REFERENCE_CLASS, 'TopologyLinkPrestandardBandwidthDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthPrestandard.TopologyLinkPrestandardBandwidthDetail', 
                [], [], 
                '''                Detailed bandwidth information for this link
                ''',
                'topology_link_prestandard_bandwidth_detail',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-prestandard-bandwidth-physical', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The link's physical bandwidth
                ''',
                'topology_link_prestandard_bandwidth_physical',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-prestandard-bandwidth-reservation-global', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The link's reservable global bandwidth
                ''',
                'topology_link_prestandard_bandwidth_reservation_global',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-prestandard-bandwidth-reservation-subpool', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The link's reservable subpool bandwidth
                ''',
                'topology_link_prestandard_bandwidth_reservation_subpool',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'topology-link-bandwidth-prestandard',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthStandard.TopoLinkStdBwDetail' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthStandard.TopoLinkStdBwDetail',
            False, 
            [
            _MetaInfoClassMember('topo-link-std-bw-allocated', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link's allocated bandwidth per class
                ''',
                'topo_link_std_bw_allocated',
                'Cisco-IOS-XR-mpls-te-oper', False, max_elements=8),
            _MetaInfoClassMember('topo-link-std-bw-available', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link's available bandwidth per class
                ''',
                'topo_link_std_bw_available',
                'Cisco-IOS-XR-mpls-te-oper', False, max_elements=8),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'topo-link-std-bw-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthStandard' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthStandard',
            False, 
            [
            _MetaInfoClassMember('topo-link-std-bw-detail', REFERENCE_CLASS, 'TopoLinkStdBwDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthStandard.TopoLinkStdBwDetail', 
                [], [], 
                '''                Detailed bandwidth information for this link
                ''',
                'topo_link_std_bw_detail',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topo-link-std-bw-physical', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The link's physical bandwidth
                ''',
                'topo_link_std_bw_physical',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topo-link-std-bw-res-max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The link's maximum reservable bandwidth
                ''',
                'topo_link_std_bw_res_max',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topo-link-std-bw-res-pool0', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The link's reservable BC0 bandwidth
                ''',
                'topo_link_std_bw_res_pool0',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topo-link-std-bw-res-pool1', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The link's reservable BC1 bandwidth
                ''',
                'topo_link_std_bw_res_pool1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'topology-link-bandwidth-standard',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth',
            False, 
            [
            _MetaInfoClassMember('bandwidth-migration-mode', REFERENCE_ENUM_CLASS, 'RrrDsteMigrationModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RrrDsteMigrationModeEnum', 
                [], [], 
                '''                BandwidthMigrationMode
                ''',
                'bandwidth_migration_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-bandwidth-prestandard', REFERENCE_CLASS, 'TopologyLinkBandwidthPrestandard' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthPrestandard', 
                [], [], 
                '''                Pre-standard bandwidth information for this link
                ''',
                'topology_link_bandwidth_prestandard',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-bandwidth-standard', REFERENCE_CLASS, 'TopologyLinkBandwidthStandard' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthStandard', 
                [], [], 
                '''                IETF-standard bandwidth information for this
                link
                ''',
                'topology_link_bandwidth_standard',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'topology-link-bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Fixed' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Fixed',
            False, 
            [
            _MetaInfoClassMember('maximum-od-us', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Maximum Number of ODUs of this level possible on
                this link
                ''',
                'maximum_od_us',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unreserved-od-us', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Maximum Number of ODUs of this level possible on
                this link
                ''',
                'unreserved_od_us',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fixed',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Flex' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Flex',
            False, 
            [
            _MetaInfoClassMember('max-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max kbps Bandwidth of this level possible on
                this link
                ''',
                'max_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-lsp-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Per LSP Max kbps Bandwidth of this level
                possible on this link
                ''',
                'max_lsp_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unreserved-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Unreserved kbps Bandwidth of this level possible
                on this link
                ''',
                'unreserved_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo',
            False, 
            [
            _MetaInfoClassMember('fixed', REFERENCE_CLASS, 'Fixed' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Fixed', 
                [], [], 
                '''                ODU capability for Fixed ODUs
                ''',
                'fixed',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex', REFERENCE_CLASS, 'Flex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Flex', 
                [], [], 
                '''                ODU capability for Flex ODUs
                ''',
                'flex',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeOduCapabilityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeOduCapabilityEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bandwidth-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.OduLinkCapabilities.OduCapability' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.OduLinkCapabilities.OduCapability',
            False, 
            [
            _MetaInfoClassMember('bandwidth-info', REFERENCE_CLASS, 'BandwidthInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo', 
                [], [], 
                '''                Bandwidth related info for this ODU level
                ''',
                'bandwidth_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lcas-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if link LCAS capable for this ODU level
                ''',
                'lcas_capable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signal-type', REFERENCE_ENUM_CLASS, 'TeOduLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeOduLevelEnum', 
                [], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('stage1', REFERENCE_ENUM_CLASS, 'TeOduLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeOduLevelEnum', 
                [], [], 
                '''                ODU Type at stage 1, Not Set for HO ODU
                ''',
                'stage1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('stage2', REFERENCE_ENUM_CLASS, 'TeOduLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeOduLevelEnum', 
                [], [], 
                '''                ODU Type at stage 2, Not Set for single stage
                mulitplexing
                ''',
                'stage2',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('stage3', REFERENCE_ENUM_CLASS, 'TeOduLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeOduLevelEnum', 
                [], [], 
                '''                ODU Type at stage 3, Not set up to two levels of
                multiplexing
                ''',
                'stage3',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('stage4', REFERENCE_ENUM_CLASS, 'TeOduLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeOduLevelEnum', 
                [], [], 
                '''                ODU Type at stage 4, Not set up to three levels
                of multiplexing
                ''',
                'stage4',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('switchable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if link is switchable for this ODU level
                ''',
                'switchable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('terminable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if link is terminable for this ODU level
                ''',
                'terminable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tsg1p25', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if link supports 1.25G TSG for this ODU
                level
                ''',
                'tsg1p25',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tsg2p5', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if link supports 2.5G TSG for this ODU
                level
                ''',
                'tsg2p5',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('vcat-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if link VCAT capable for this ODU level
                ''',
                'vcat_capable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-capability',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.OduLinkCapabilities' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.OduLinkCapabilities',
            False, 
            [
            _MetaInfoClassMember('max-lsp-bandwidth', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max LSP Bandwidth per priority in kbit/s
                ''',
                'max_lsp_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-capability', REFERENCE_LIST, 'OduCapability' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.OduLinkCapabilities.OduCapability', 
                [], [], 
                '''                ODU Capabilities of Link
                ''',
                'odu_capability',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-link-capabilities',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.SharedRiskLinkGroup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.SharedRiskLinkGroup',
            False, 
            [
            _MetaInfoClassMember('shared-risk-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG number
                ''',
                'shared_risk_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SRLG name
                ''',
                'srlg_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'shared-risk-link-group',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.AdjacencySid' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.AdjacencySid',
            False, 
            [
            _MetaInfoClassMember('adjacency-sid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The adjacency SID assigned for the topology node
                ''',
                'adjacency_sid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flag-b', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IGP Flag B
                ''',
                'flag_b',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flag-f', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IGP Flag F
                ''',
                'flag_f',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flag-l', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IGP Flag L
                ''',
                'flag_l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flag-s', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IGP Flag S
                ''',
                'flag_s',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flag-v', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IGP Flag V
                ''',
                'flag_v',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-type', REFERENCE_ENUM_CLASS, 'IgpSubnetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'IgpSubnetEnum', 
                [], [], 
                '''                Link Type
                ''',
                'link_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local Address
                ''',
                'local_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nbr-node-igpid', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The neighbor node's IGP ID
                ''',
                'nbr_node_igpid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nbr-node-te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The neigbor node's TE router-id
                ''',
                'nbr_node_te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote Address
                ''',
                'remote_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'adjacency-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink',
            False, 
            [
            _MetaInfoClassMember('adjacency-sid', REFERENCE_LIST, 'AdjacencySid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.AdjacencySid', 
                [], [], 
                '''                Adjacency SIDs assigned for adjacency nodes
                ''',
                'adjacency_sid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-link-capabilities', REFERENCE_CLASS, 'OduLinkCapabilities' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.OduLinkCapabilities', 
                [], [], 
                '''                ODU Link Capabilities
                ''',
                'odu_link_capabilities',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared-risk-link-group', REFERENCE_LIST, 'SharedRiskLinkGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.SharedRiskLinkGroup', 
                [], [], 
                '''                The link's shared risk link groups
                ''',
                'shared_risk_link_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'topology_link_affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-bandwidth', REFERENCE_CLASS, 'TopologyLinkBandwidth' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth', 
                [], [], 
                '''                Bandwidth information for this link
                ''',
                'topology_link_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-bandwidth-model', REFERENCE_ENUM_CLASS, 'IgpteLibBwModelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'IgpteLibBwModelEnum', 
                [], [], 
                '''                The link's topology bandwidth model
                ''',
                'topology_link_bandwidth_model',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-encoding', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                The link's encoding
                ''',
                'topology_link_encoding',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-extended-affinity-bit', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The link's affinity bits (colors)
                ''',
                'topology_link_extended_affinity_bit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-fragment-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor's link version counter
                ''',
                'topology_link_fragment_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The link's IGP metric
                ''',
                'topology_link_igp_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Link's local interface address
                ''',
                'topology_link_interface_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link's local interface ID
                ''',
                'topology_link_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Link's neighbor interface address
                ''',
                'topology_link_neighbor_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-neighbor-generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor's link version counter
                ''',
                'topology_link_neighbor_generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-neighbor-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link's neighbor interface ID
                ''',
                'topology_link_neighbor_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-neighbor-node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Node id of neighbor
                ''',
                'topology_link_neighbor_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-neighbor-system-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                System id of neighbor
                ''',
                'topology_link_neighbor_system_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-switching-capability', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                The link's switching capability
                ''',
                'topology_link_switching_capability',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-te-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The link's TE metric
                ''',
                'topology_link_te_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-type', REFERENCE_ENUM_CLASS, 'IgpSubnetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'IgpSubnetEnum', 
                [], [], 
                '''                Link type
                ''',
                'topology_link_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-uni-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Unidirectional Link Delay in micro-sec
                ''',
                'topology_link_uni_delay',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'topology-node-link',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.TopologyNodes.TopologyNode' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.TopologyNodes.TopologyNode',
            False, 
            [
            _MetaInfoClassMember('area', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                IGP area
                ''',
                'area',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('igp-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                IGP instance
                ''',
                'igp_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('igp-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IGP Node ID
                ''',
                'igp_node_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'MplsTeIgpProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeIgpProtocolEnum', 
                [], [], 
                '''                IGP protocol type
                ''',
                'protocol',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('topology-node-type', REFERENCE_ENUM_CLASS, 'MplsTeNodeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeNodeEnum', 
                [], [], 
                '''                Node type
                ''',
                'topology_node_type',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('topology-node-link', REFERENCE_LIST, 'TopologyNodeLink' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink', 
                [], [], 
                '''                This node's link information
                ''',
                'topology_node_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-node-overloaded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether this node is overloaded
                ''',
                'topology_node_overloaded',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-node-sid-and-srbg', REFERENCE_CLASS, 'TopologyNodeSidAndSrbg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeSidAndSrbg', 
                [], [], 
                '''                This node's SID and SRBG information
                ''',
                'topology_node_sid_and_srbg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-node-te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The node's TE router-id. Not set for network
                nodes
                ''',
                'topology_node_te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'topology-node',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.TopologyNodes' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.TopologyNodes',
            False, 
            [
            _MetaInfoClassMember('topology-node', REFERENCE_LIST, 'TopologyNode' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.TopologyNodes.TopologyNode', 
                [], [], 
                '''                A node in the MPLS-TE topology
                ''',
                'topology_node',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'topology-nodes',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AnnounceTunnelsInfo.AutorouteAnnounceTable.AnnounceDest.TotalTunnel.IgPs' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AnnounceTunnelsInfo.AutorouteAnnounceTable.AnnounceDest.TotalTunnel.IgPs',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'MplsTeAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('igp-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The IGP Instance and Area ID
                ''',
                'igp_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ig-ps',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AnnounceTunnelsInfo.AutorouteAnnounceTable.AnnounceDest.TotalTunnel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AnnounceTunnelsInfo.AutorouteAnnounceTable.AnnounceDest.TotalTunnel',
            False, 
            [
            _MetaInfoClassMember('announce-type', REFERENCE_ENUM_CLASS, 'MplsTeTunnelAnnounceEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelAnnounceEnum', 
                [], [], 
                '''                Announcement type
                ''',
                'announce_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('area-format', REFERENCE_ENUM_CLASS, 'IgpOspfAreaFormatEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'IgpOspfAreaFormatEnum', 
                [], [], 
                '''                IGP Area Format
                ''',
                'area_format',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold time in seconds
                ''',
                'hold_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ig-ps', REFERENCE_LIST, 'IgPs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AnnounceTunnelsInfo.AutorouteAnnounceTable.AnnounceDest.TotalTunnel.IgPs', 
                [], [], 
                '''                List of IGPs to which it is announced
                ''',
                'ig_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                IGP metric
                ''',
                'igp_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-auto-mesh-aa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if this is auto-tunnel mesh AA
                ''',
                'is_auto_mesh_aa',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-segment-routing', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if autoroute-announce has exclude
                segment-routing option
                ''',
                'is_exclude_segment_routing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-sr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if this is a segment routing tunnel
                ''',
                'is_sr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-sr-strict', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if this is a strict SID SR tunnel
                ''',
                'is_sr_strict',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-idaa', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MeshGroup ID for AA
                ''',
                'mesh_group_idaa',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'IgpteAaMetricModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'IgpteAaMetricModeEnum', 
                [], [], 
                '''                Autoroute mode
                ''',
                'mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The tunnel destination
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-loadshare', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel loadshare
                ''',
                'tunnel_loadshare',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-sig-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The tunnel signaled-name
                ''',
                'tunnel_sig_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'total-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AnnounceTunnelsInfo.AutorouteAnnounceTable.AnnounceDest' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AnnounceTunnelsInfo.AutorouteAnnounceTable.AnnounceDest',
            False, 
            [
            _MetaInfoClassMember('area', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Area
                ''',
                'area',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination Address
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('igp-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                IGP Instance ID
                ''',
                'igp_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'MplsTeIgpProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeIgpProtocolEnum', 
                [], [], 
                '''                The IGP protocol used by the tunnel
                ''',
                'protocol',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('announced-tunnels-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The number of announced tunnels
                ''',
                'announced_tunnels_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('area-format', REFERENCE_ENUM_CLASS, 'IgpOspfAreaFormatEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'IgpOspfAreaFormatEnum', 
                [], [], 
                '''                The format for the area: IPv4 address or a
                positive integer
                ''',
                'area_format',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('autorouted-tunnels-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The number of tunnels that are announced as
                shortcuts
                ''',
                'autorouted_tunnels_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination
                ''',
                'destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forwarding-adjacency-tunnels-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The number of tunnels that are announced as
                forwarding adjacencies
                ''',
                'forwarding_adjacency_tunnels_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('igp-area', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP Area ID
                ''',
                'igp_area',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('igp-instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IGP Instance name
                ''',
                'igp_instance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('igp-type', REFERENCE_ENUM_CLASS, 'IgpProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'IgpProtocolEnum', 
                [], [], 
                '''                IGP type
                ''',
                'igp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-tunnel', REFERENCE_LIST, 'TotalTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AnnounceTunnelsInfo.AutorouteAnnounceTable.AnnounceDest.TotalTunnel', 
                [], [], 
                '''                Announced tunnels for this destination
                ''',
                'total_tunnel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'announce-dest',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AnnounceTunnelsInfo.AutorouteAnnounceTable' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AnnounceTunnelsInfo.AutorouteAnnounceTable',
            False, 
            [
            _MetaInfoClassMember('announce-dest', REFERENCE_LIST, 'AnnounceDest' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AnnounceTunnelsInfo.AutorouteAnnounceTable.AnnounceDest', 
                [], [], 
                '''                Autoroute tunnels per destination information
                ''',
                'announce_dest',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'autoroute-announce-table',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AnnounceTunnelsInfo.AllAutorouteTable.AnnounceDest.TotalTunnel.IgPs' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AnnounceTunnelsInfo.AllAutorouteTable.AnnounceDest.TotalTunnel.IgPs',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'MplsTeAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('igp-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The IGP Instance and Area ID
                ''',
                'igp_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ig-ps',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AnnounceTunnelsInfo.AllAutorouteTable.AnnounceDest.TotalTunnel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AnnounceTunnelsInfo.AllAutorouteTable.AnnounceDest.TotalTunnel',
            False, 
            [
            _MetaInfoClassMember('announce-type', REFERENCE_ENUM_CLASS, 'MplsTeTunnelAnnounceEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelAnnounceEnum', 
                [], [], 
                '''                Announcement type
                ''',
                'announce_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('area-format', REFERENCE_ENUM_CLASS, 'IgpOspfAreaFormatEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'IgpOspfAreaFormatEnum', 
                [], [], 
                '''                IGP Area Format
                ''',
                'area_format',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold time in seconds
                ''',
                'hold_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ig-ps', REFERENCE_LIST, 'IgPs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AnnounceTunnelsInfo.AllAutorouteTable.AnnounceDest.TotalTunnel.IgPs', 
                [], [], 
                '''                List of IGPs to which it is announced
                ''',
                'ig_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                IGP metric
                ''',
                'igp_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-auto-mesh-aa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if this is auto-tunnel mesh AA
                ''',
                'is_auto_mesh_aa',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-segment-routing', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if autoroute-announce has exclude
                segment-routing option
                ''',
                'is_exclude_segment_routing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-sr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if this is a segment routing tunnel
                ''',
                'is_sr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-sr-strict', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if this is a strict SID SR tunnel
                ''',
                'is_sr_strict',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-idaa', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MeshGroup ID for AA
                ''',
                'mesh_group_idaa',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mode', REFERENCE_ENUM_CLASS, 'IgpteAaMetricModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'IgpteAaMetricModeEnum', 
                [], [], 
                '''                Autoroute mode
                ''',
                'mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The tunnel destination
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-loadshare', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel loadshare
                ''',
                'tunnel_loadshare',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-sig-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The tunnel signaled-name
                ''',
                'tunnel_sig_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'total-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AnnounceTunnelsInfo.AllAutorouteTable.AnnounceDest' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AnnounceTunnelsInfo.AllAutorouteTable.AnnounceDest',
            False, 
            [
            _MetaInfoClassMember('area', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Area
                ''',
                'area',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination Address
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('igp-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                IGP Instance ID
                ''',
                'igp_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'MplsTeIgpProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeIgpProtocolEnum', 
                [], [], 
                '''                The IGP protocol used by the tunnel
                ''',
                'protocol',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('announced-tunnels-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The number of announced tunnels
                ''',
                'announced_tunnels_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('area-format', REFERENCE_ENUM_CLASS, 'IgpOspfAreaFormatEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'IgpOspfAreaFormatEnum', 
                [], [], 
                '''                The format for the area: IPv4 address or a
                positive integer
                ''',
                'area_format',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('autorouted-tunnels-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The number of tunnels that are announced as
                shortcuts
                ''',
                'autorouted_tunnels_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination
                ''',
                'destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forwarding-adjacency-tunnels-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The number of tunnels that are announced as
                forwarding adjacencies
                ''',
                'forwarding_adjacency_tunnels_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('igp-area', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP Area ID
                ''',
                'igp_area',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('igp-instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IGP Instance name
                ''',
                'igp_instance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('igp-type', REFERENCE_ENUM_CLASS, 'IgpProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'IgpProtocolEnum', 
                [], [], 
                '''                IGP type
                ''',
                'igp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-tunnel', REFERENCE_LIST, 'TotalTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AnnounceTunnelsInfo.AllAutorouteTable.AnnounceDest.TotalTunnel', 
                [], [], 
                '''                Announced tunnels for this destination
                ''',
                'total_tunnel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'announce-dest',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AnnounceTunnelsInfo.AllAutorouteTable' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AnnounceTunnelsInfo.AllAutorouteTable',
            False, 
            [
            _MetaInfoClassMember('announce-dest', REFERENCE_LIST, 'AnnounceDest' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AnnounceTunnelsInfo.AllAutorouteTable.AnnounceDest', 
                [], [], 
                '''                Autoroute tunnels per destination information
                ''',
                'announce_dest',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'all-autoroute-table',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AnnounceTunnelsInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AnnounceTunnelsInfo',
            False, 
            [
            _MetaInfoClassMember('all-autoroute-table', REFERENCE_CLASS, 'AllAutorouteTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AnnounceTunnelsInfo.AllAutorouteTable', 
                [], [], 
                '''                Autoroute announce and forwarding adjacency
                table
                ''',
                'all_autoroute_table',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('autoroute-announce-table', REFERENCE_CLASS, 'AutorouteAnnounceTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AnnounceTunnelsInfo.AutorouteAnnounceTable', 
                [], [], 
                '''                Autoroute announce and forwarding adjacency
                table
                ''',
                'autoroute_announce_table',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'announce-tunnels-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.CollaboratorTimers.P2MpTimer' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.CollaboratorTimers.P2MpTimer',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The expiry delay in seconds
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expiry-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Date when the timer last expired in seconds
                ''',
                'expiry_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-running', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if the timer is running
                ''',
                'is_running',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('start-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Date when timer was last started in seconds
                ''',
                'start_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('stop-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Date when the timer was last stopped in seconds
                ''',
                'stop_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('timer-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Timer Name
                ''',
                'timer_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('timer-type', REFERENCE_ENUM_CLASS, 'MplsTeP2MpTimerEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeP2MpTimerEnum', 
                [], [], 
                '''                Timer Type
                ''',
                'timer_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'p2mp-timer',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.CollaboratorTimers' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.CollaboratorTimers',
            False, 
            [
            _MetaInfoClassMember('p2mp-timer', REFERENCE_LIST, 'P2MpTimer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.CollaboratorTimers.P2MpTimer', 
                [], [], 
                '''                Description of all P2MP timers
                ''',
                'p2mp_timer',
                'Cisco-IOS-XR-mpls-te-oper', False, max_elements=29),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'collaborator-timers',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AutoTunnel.Pcc.Summary' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AutoTunnel.Pcc.Summary',
            False, 
            [
            _MetaInfoClassMember('down-pcc-auto-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of stateful PCE client auto-tunnels
                that are down
                ''',
                'down_pcc_auto_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcc-auto-tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of stateful PCE client auto-tunnels
                ''',
                'pcc_auto_tunnel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('up-pcc-auto-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of stateful PCE client auto-tunnels
                that are up
                ''',
                'up_pcc_auto_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'summary',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AutoTunnel.Pcc' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AutoTunnel.Pcc',
            False, 
            [
            _MetaInfoClassMember('summary', REFERENCE_CLASS, 'Summary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AutoTunnel.Pcc.Summary', 
                [], [], 
                '''                MPLS TE auto-tunnel pcc summary information
                ''',
                'summary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'pcc',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AutoTunnel.Mesh.MeshGroups.MeshGroup.Destination' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AutoTunnel.Mesh.MeshGroups.MeshGroup.Destination',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('operational-status', REFERENCE_ENUM_CLASS, 'MplsTeTunnelStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelStateEnum', 
                [], [], 
                '''                Tunnel operational status
                ''',
                'operational_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remaining-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remaining time for unused timer in seconds
                ''',
                'remaining_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'destination',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AutoTunnel.Mesh.MeshGroups.MeshGroup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AutoTunnel.Mesh.MeshGroups.MeshGroup',
            False, 
            [
            _MetaInfoClassMember('mesh-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mesh group ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute set name
                ''',
                'attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-mesh-group-type', REFERENCE_ENUM_CLASS, 'TeMeshgroupEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeMeshgroupEnum', 
                [], [], 
                '''                Meshgroup Type
                ''',
                'auto_mesh_group_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-mesh-total-destinations', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of destinations
                ''',
                'auto_mesh_total_destinations',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-mesh-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of automesh tunnels
                ''',
                'auto_mesh_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination', REFERENCE_LIST, 'Destination' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AutoTunnel.Mesh.MeshGroups.MeshGroup.Destination', 
                [], [], 
                '''                List of destinations for this meshgroup
                ''',
                'destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Destination List name
                ''',
                'destination_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-list-type', REFERENCE_ENUM_CLASS, 'TeAclEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAclEnum', 
                [], [], 
                '''                Type of the  destlist
                ''',
                'destination_list_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('down-auto-mesh-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of automesh tunnels that are down
                ''',
                'down_auto_mesh_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-auto-mesh-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of automesh tunnels that are FRR
                enabled
                ''',
                'frr_auto_mesh_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-attribute-set-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any attribute-set associated to this
                meshgroup
                ''',
                'is_attribute_set_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-attribute-set-in-db', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate the existence of attribute set
                found in database
                ''',
                'is_attribute_set_in_db',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-destination-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any destiantion-list associated to this
                meshgroup
                ''',
                'is_destination_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-meshgroup-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the meshgroup disabled
                ''',
                'is_meshgroup_disabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remaining-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remaining time for recreate timer in seconds
                ''',
                'remaining_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('up-auto-mesh-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of automesh tunnels that are up
                ''',
                'up_auto_mesh_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'mesh-group',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AutoTunnel.Mesh.MeshGroups' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AutoTunnel.Mesh.MeshGroups',
            False, 
            [
            _MetaInfoClassMember('mesh-group', REFERENCE_LIST, 'MeshGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AutoTunnel.Mesh.MeshGroups.MeshGroup', 
                [], [], 
                '''                Display auto-tunnel mesh group information
                ''',
                'mesh_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'mesh-groups',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AutoTunnel.Mesh.Statistics' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AutoTunnel.Mesh.Statistics',
            False, 
            [
            _MetaInfoClassMember('connected', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of connected automesh tunnels
                ''',
                'connected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('created', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of connected automesh tunnels
                ''',
                'created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-cleared-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time at which these were last cleared in seconds
                since (in seconds since 1st Jan 1970 00:00:00)'
                ''',
                'last_cleared_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('removed-in-use', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of automesh tunnels removed while up and
                in use
                ''',
                'removed_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('removed-range-exceeded', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of automesh tunnel attempts rejected
                because the total number exceeds the range
                ''',
                'removed_range_exceeded',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('removed-unused', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of automesh tunnels removed while unused
                ''',
                'removed_unused',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AutoTunnel.Mesh.Summary' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AutoTunnel.Mesh.Summary',
            False, 
            [
            _MetaInfoClassMember('auto-mesh-destinations', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of automesh destinations
                ''',
                'auto_mesh_destinations',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-mesh-groups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of automesh mesh-groups
                ''',
                'auto_mesh_groups',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-mesh-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of automesh tunnels
                ''',
                'auto_mesh_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('down-auto-mesh-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of automesh tunnels that are down
                ''',
                'down_auto_mesh_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-auto-mesh-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of automesh tunnels that are FRR
                enabled
                ''',
                'frr_auto_mesh_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('up-auto-mesh-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of automesh tunnels that are up
                ''',
                'up_auto_mesh_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'summary',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AutoTunnel.Mesh.Config' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AutoTunnel.Mesh.Config',
            False, 
            [
            _MetaInfoClassMember('is-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicate if auto-tunnel mesh feature is
                configured 
                ''',
                'is_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper bound of configured tunnel ID range
                ''',
                'max_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('min-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower bound of configured tunnel ID range
                ''',
                'min_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unused-removal-timeout-configured', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured value of unused removal timer in
                seconds
                ''',
                'unused_removal_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'config',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AutoTunnel.Mesh.OneHop.Interfaces.Interface.Tunnel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AutoTunnel.Mesh.OneHop.Interfaces.Interface.Tunnel',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination Address
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-lspid', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'tunnel_lspid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-state', REFERENCE_ENUM_CLASS, 'MplsTeTunnelStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelStateEnum', 
                [], [], 
                '''                Tunnel state
                ''',
                'tunnel_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AutoTunnel.Mesh.OneHop.Interfaces.Interface' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AutoTunnel.Mesh.OneHop.Interfaces.Interface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface name
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel', REFERENCE_LIST, 'Tunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AutoTunnel.Mesh.OneHop.Interfaces.Interface.Tunnel', 
                [], [], 
                '''                Onehop tunnels created for this interface
                ''',
                'tunnel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AutoTunnel.Mesh.OneHop.Interfaces' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AutoTunnel.Mesh.OneHop.Interfaces',
            False, 
            [
            _MetaInfoClassMember('interface', REFERENCE_LIST, 'Interface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AutoTunnel.Mesh.OneHop.Interfaces.Interface', 
                [], [], 
                '''                Display auto-tunnel mesh onehop interface
                information
                ''',
                'interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'interfaces',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AutoTunnel.Mesh.OneHop.Statistics' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AutoTunnel.Mesh.OneHop.Statistics',
            False, 
            [
            _MetaInfoClassMember('connected', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of connected automesh tunnels
                ''',
                'connected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('created', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of connected automesh tunnels
                ''',
                'created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-cleared-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time at which these were last cleared in seconds
                since (in seconds since 1st Jan 1970 00:00:00)'
                ''',
                'last_cleared_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('removed-in-use', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of automesh tunnels removed while up and
                in use
                ''',
                'removed_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('removed-range-exceeded', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of automesh tunnel attempts rejected
                because the total number exceeds the range
                ''',
                'removed_range_exceeded',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('removed-unused', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of automesh tunnels removed while unused
                ''',
                'removed_unused',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AutoTunnel.Mesh.OneHop.Summary' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AutoTunnel.Mesh.OneHop.Summary',
            False, 
            [
            _MetaInfoClassMember('auto-mesh-one-hop-destinations', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of automesh onehop destinations
                ''',
                'auto_mesh_one_hop_destinations',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-mesh-one-hop-groups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of automesh onehop mesh-groups
                ''',
                'auto_mesh_one_hop_groups',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-mesh-one-hop-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of automesh onehop tunnels
                ''',
                'auto_mesh_one_hop_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('down-auto-mesh-one-hop-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of automesh onehop tunnels that are
                down
                ''',
                'down_auto_mesh_one_hop_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-auto-mesh-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of automesh onehop tunnels that are
                FRR enabled
                ''',
                'frr_auto_mesh_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('up-auto-mesh-one-hop-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of automesh onehop tunnels that are
                up
                ''',
                'up_auto_mesh_one_hop_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'summary',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AutoTunnel.Mesh.OneHop' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AutoTunnel.Mesh.OneHop',
            False, 
            [
            _MetaInfoClassMember('interfaces', REFERENCE_CLASS, 'Interfaces' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AutoTunnel.Mesh.OneHop.Interfaces', 
                [], [], 
                '''                Display auto-tunnel onehop interfaces
                ''',
                'interfaces',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AutoTunnel.Mesh.OneHop.Statistics', 
                [], [], 
                '''                MPLS TE auto-tunnel mesh onehop counters
                (stats) information
                ''',
                'statistics',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('summary', REFERENCE_CLASS, 'Summary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AutoTunnel.Mesh.OneHop.Summary', 
                [], [], 
                '''                MPLS TE auto-tunnel mesh onehop summary
                information
                ''',
                'summary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'one-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AutoTunnel.Mesh' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AutoTunnel.Mesh',
            False, 
            [
            _MetaInfoClassMember('config', REFERENCE_CLASS, 'Config' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AutoTunnel.Mesh.Config', 
                [], [], 
                '''                MPLS TE auto-tunnel mesh configuration
                information
                ''',
                'config',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-groups', REFERENCE_CLASS, 'MeshGroups' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AutoTunnel.Mesh.MeshGroups', 
                [], [], 
                '''                Display auto-tunnel mesh group
                ''',
                'mesh_groups',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-hop', REFERENCE_CLASS, 'OneHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AutoTunnel.Mesh.OneHop', 
                [], [], 
                '''                MPLS TE auto-tunnel mesh onehop information
                ''',
                'one_hop',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AutoTunnel.Mesh.Statistics', 
                [], [], 
                '''                MPLS TE auto-tunnel mesh counters (stats)
                information
                ''',
                'statistics',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('summary', REFERENCE_CLASS, 'Summary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AutoTunnel.Mesh.Summary', 
                [], [], 
                '''                MPLS TE auto-tunnel mesh summary information
                ''',
                'summary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'mesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AutoTunnel.Backup.Tunnels.Tunnel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AutoTunnel.Backup.Tunnels.Tunnel',
            False, 
            [
            _MetaInfoClassMember('backup-tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Backup tunnel name
                ''',
                'backup_tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('atb-protection-type', REFERENCE_ENUM_CLASS, 'AutoBackupProtectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'AutoBackupProtectionEnum', 
                [], [], 
                '''                Type of protection offered by this auto-tunnel
                backup
                ''',
                'atb_protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('operational-status', REFERENCE_ENUM_CLASS, 'MplsTeTunnelStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelStateEnum', 
                [], [], 
                '''                Tunnel operational status
                ''',
                'operational_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-flows', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of protected flows
                ''',
                'protected_flows',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Interface protected by this auto-tunnel backup
                ''',
                'protected_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of node protected by this auto-tunnel
                backup
                ''',
                'protected_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-mode', REFERENCE_ENUM_CLASS, 'AutoBackupSrlgModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'AutoBackupSrlgModeEnum', 
                [], [], 
                '''                SRLG exclude mode for this auto-tunnel backup
                ''',
                'srlg_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AutoTunnel.Backup.Tunnels' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AutoTunnel.Backup.Tunnels',
            False, 
            [
            _MetaInfoClassMember('tunnel', REFERENCE_LIST, 'Tunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AutoTunnel.Backup.Tunnels.Tunnel', 
                [], [], 
                '''                Display auto tunnel backup tunnel information
                ''',
                'tunnel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tunnels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AutoTunnel.Backup.Statistics.Created' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AutoTunnel.Backup.Statistics.Created',
            False, 
            [
            _MetaInfoClassMember('next-hop-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next hop auto backup tunnels only
                ''',
                'next_hop_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-next-hop-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next next hop auto backup tunnels only
                ''',
                'next_next_hop_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total auto backup tunnels
                ''',
                'total_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'created',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AutoTunnel.Backup.Statistics.Connected' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AutoTunnel.Backup.Statistics.Connected',
            False, 
            [
            _MetaInfoClassMember('next-hop-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next hop auto backup tunnels only
                ''',
                'next_hop_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-next-hop-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next next hop auto backup tunnels only
                ''',
                'next_next_hop_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total auto backup tunnels
                ''',
                'total_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'connected',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AutoTunnel.Backup.Statistics.RemovedDown' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AutoTunnel.Backup.Statistics.RemovedDown',
            False, 
            [
            _MetaInfoClassMember('next-hop-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next hop auto backup tunnels only
                ''',
                'next_hop_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-next-hop-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next next hop auto backup tunnels only
                ''',
                'next_next_hop_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total auto backup tunnels
                ''',
                'total_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'removed-down',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AutoTunnel.Backup.Statistics.RemovedUnused' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AutoTunnel.Backup.Statistics.RemovedUnused',
            False, 
            [
            _MetaInfoClassMember('next-hop-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next hop auto backup tunnels only
                ''',
                'next_hop_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-next-hop-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next next hop auto backup tunnels only
                ''',
                'next_next_hop_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total auto backup tunnels
                ''',
                'total_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'removed-unused',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AutoTunnel.Backup.Statistics.RemovedInUse' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AutoTunnel.Backup.Statistics.RemovedInUse',
            False, 
            [
            _MetaInfoClassMember('next-hop-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next hop auto backup tunnels only
                ''',
                'next_hop_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-next-hop-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next next hop auto backup tunnels only
                ''',
                'next_next_hop_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total auto backup tunnels
                ''',
                'total_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'removed-in-use',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AutoTunnel.Backup.Statistics.RemovedRangeExceeded' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AutoTunnel.Backup.Statistics.RemovedRangeExceeded',
            False, 
            [
            _MetaInfoClassMember('next-hop-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next hop auto backup tunnels only
                ''',
                'next_hop_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-next-hop-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next next hop auto backup tunnels only
                ''',
                'next_next_hop_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total auto backup tunnels
                ''',
                'total_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'removed-range-exceeded',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AutoTunnel.Backup.Statistics' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AutoTunnel.Backup.Statistics',
            False, 
            [
            _MetaInfoClassMember('connected', REFERENCE_CLASS, 'Connected' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AutoTunnel.Backup.Statistics.Connected', 
                [], [], 
                '''                Number of connected auto backup tunnels
                ''',
                'connected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('created', REFERENCE_CLASS, 'Created' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AutoTunnel.Backup.Statistics.Created', 
                [], [], 
                '''                Number of connected auto backup tunnels
                ''',
                'created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-cleared-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp when the stat has been cleared
                ''',
                'last_cleared_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('removed-down', REFERENCE_CLASS, 'RemovedDown' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AutoTunnel.Backup.Statistics.RemovedDown', 
                [], [], 
                '''                Number of NNHOP auto backup tunnels removed
                while down
                ''',
                'removed_down',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('removed-in-use', REFERENCE_CLASS, 'RemovedInUse' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AutoTunnel.Backup.Statistics.RemovedInUse', 
                [], [], 
                '''                Number of auto backup tunnels removed while up
                and in use
                ''',
                'removed_in_use',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('removed-range-exceeded', REFERENCE_CLASS, 'RemovedRangeExceeded' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AutoTunnel.Backup.Statistics.RemovedRangeExceeded', 
                [], [], 
                '''                Number of auto backup tunnel attempts rejected
                because the total number exceeds the range
                ''',
                'removed_range_exceeded',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('removed-unused', REFERENCE_CLASS, 'RemovedUnused' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AutoTunnel.Backup.Statistics.RemovedUnused', 
                [], [], 
                '''                Number of auto backup tunnels removed while
                unused
                ''',
                'removed_unused',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AutoTunnel.Backup.Summary' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AutoTunnel.Backup.Summary',
            False, 
            [
            _MetaInfoClassMember('autobackups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup tunnels
                ''',
                'autobackups',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('down-autobackups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup tunnels that are down
                ''',
                'down_autobackups',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-autobackup-protected-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup protected LSPs with
                NHOP and no SRLG
                ''',
                'next_hop_autobackup_protected_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-autobackup-protected-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup protected S2Ls with
                NHOP and no SRLG
                ''',
                'next_hop_autobackup_protected_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-autobackup-protected-s2l-families', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup protected S2L
                Families with NHOP and no SRLG
                ''',
                'next_hop_autobackup_protected_s2l_families',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-autobackups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup tunnels that are NHOP
                ''',
                'next_hop_autobackups',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-srlg-autobackup-protected-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup protected LSPs with
                NHOP and SRLG
                ''',
                'next_hop_srlg_autobackup_protected_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-srlg-autobackup-protected-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup protected S2Ls with
                NHOP and SRLG
                ''',
                'next_hop_srlg_autobackup_protected_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-srlg-autobackup-protected-s2l-families', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup protected S2L
                Families with NHOP and SRLG
                ''',
                'next_hop_srlg_autobackup_protected_s2l_families',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-next-hop-autobackup-protected-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup protected LSPs with
                NNHOP and no SRLG
                ''',
                'next_next_hop_autobackup_protected_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-next-hop-autobackup-protected-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup protected S2Ls with
                NNHOP and no SRLG
                ''',
                'next_next_hop_autobackup_protected_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-next-hop-autobackup-protected-s2l-families', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup protected S2L
                Families with NNHOP and no SRLG
                ''',
                'next_next_hop_autobackup_protected_s2l_families',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-next-hop-autobackups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup tunnels that are
                NNHOP
                ''',
                'next_next_hop_autobackups',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-next-hop-srlg-autobackup-protected-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup protected LSPs with
                NNHOP and SRLG
                ''',
                'next_next_hop_srlg_autobackup_protected_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-next-hop-srlg-autobackup-protected-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup protected S2Ls with
                NNHOP and SRLG
                ''',
                'next_next_hop_srlg_autobackup_protected_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-next-hop-srlg-autobackup-protected-s2l-families', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup protected S2L
                Families with NNHOP and SRLG
                ''',
                'next_next_hop_srlg_autobackup_protected_s2l_families',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-preferred-autobackups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup tunnels that are
                using SRLG preferred
                ''',
                'srlg_preferred_autobackups',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-strict-autobackups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup tunnels that are
                using SRLG strict
                ''',
                'srlg_strict_autobackups',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-weighted-autobackups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup tunnels that are
                using weighted SRLG
                ''',
                'srlg_weighted_autobackups',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unused-autobackups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup tunnels that are
                unused
                ''',
                'unused_autobackups',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('up-autobackups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup tunnels that are up
                ''',
                'up_autobackups',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'summary',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AutoTunnel.Backup.Config' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AutoTunnel.Backup.Config',
            False, 
            [
            _MetaInfoClassMember('interface-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of TE link interfaces with auto-tunnel
                backup configured
                ''',
                'interface_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicate if auto-tunnel bacukp feature is
                configured 
                ''',
                'is_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Upper bound of configured tunnel ID range
                ''',
                'max_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('min-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Lower bound of configured tunnel ID range
                ''',
                'min_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unused-removal-timeout-configured', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured value of unused removal timer in
                seconds
                ''',
                'unused_removal_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'config',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AutoTunnel.Backup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AutoTunnel.Backup',
            False, 
            [
            _MetaInfoClassMember('config', REFERENCE_CLASS, 'Config' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AutoTunnel.Backup.Config', 
                [], [], 
                '''                MPLS TE auto-tunnel backup configuration
                information
                ''',
                'config',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AutoTunnel.Backup.Statistics', 
                [], [], 
                '''                MPLS TE auto-tunnel backup counters (stats)
                information
                ''',
                'statistics',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('summary', REFERENCE_CLASS, 'Summary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AutoTunnel.Backup.Summary', 
                [], [], 
                '''                MPLS TE auto-tunnel backup summary information
                ''',
                'summary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnels', REFERENCE_CLASS, 'Tunnels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AutoTunnel.Backup.Tunnels', 
                [], [], 
                '''                auto-tunnel backup information
                ''',
                'tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'backup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AutoTunnel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AutoTunnel',
            False, 
            [
            _MetaInfoClassMember('backup', REFERENCE_CLASS, 'Backup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AutoTunnel.Backup', 
                [], [], 
                '''                Auto tunnel backup information.
                ''',
                'backup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh', REFERENCE_CLASS, 'Mesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AutoTunnel.Mesh', 
                [], [], 
                '''                Auto tunnel mesh information.
                ''',
                'mesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcc', REFERENCE_CLASS, 'Pcc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AutoTunnel.Pcc', 
                [], [], 
                '''                Auto tunnel PCC (Path Computation Client)
                information.
                ''',
                'pcc',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'auto-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.SoftPreemption.Statistics' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.SoftPreemption.Statistics',
            False, 
            [
            _MetaInfoClassMember('frr-triggered-soft-preempted-lsp-ss', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of LSPs that have been soft preempted
                and then fast rerouted at this node
                ''',
                'frr_triggered_soft_preempted_lsp_ss',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-cleared-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The timestamp when these stats are cleared
                relative to Jan 1, 1970
                ''',
                'last_cleared_timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('minimum-time-in-soft-preempted-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The minimum number of seconds an LSP remained in
                the soft preempted state
                ''',
                'minimum_time_in_soft_preempted_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-protected-switchover-soft-preempted-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of soft preemption LSPs that are replaced
                with the path protection LSP. This is relevant
                to the headend
                ''',
                'path_protected_switchover_soft_preempted_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimized-soft-preempted-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of soft preemption LSPs that are
                reoptimized. This is relevant to the headend
                ''',
                'reoptimized_soft_preempted_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preempted-head-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of soft preempted LSPs at the headend.
                This is relevant to the headend
                ''',
                'soft_preempted_head_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preempted-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of LSPs that have been soft preempted
                at this node
                ''',
                'soft_preempted_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of soft preemption events triggered
                ''',
                'soft_preemption_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-in-soft-preempted-state-avg', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The average number of seconds an LSP remained in
                the soft preempted state. This excludes the
                timed out LSPs
                ''',
                'time_in_soft_preempted_state_avg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-in-soft-preempted-state-max', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The maximum number of seconds an LSP remained in
                the soft preempted state without being hard
                preempted
                ''',
                'time_in_soft_preempted_state_max',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('timed-out-soft-preempted-lsp-ss', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of LSPs that have been soft preempted
                and timed out at this node
                ''',
                'timed_out_soft_preempted_lsp_ss',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('torn-down-soft-preempted-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of LSPs that have been soft preempted
                at this node and torn down before timing out
                ''',
                'torn_down_soft_preempted_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('torndown-soft-preempted-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of soft preemption LSPs that are torn
                down instead of being reoptimized. This is
                relevant to the headend.
                ''',
                'torndown_soft_preempted_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.SoftPreemption' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.SoftPreemption',
            False, 
            [
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.SoftPreemption.Statistics', 
                [], [], 
                '''                MPLS TE soft preemption stats information
                ''',
                'statistics',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'soft-preemption',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.ForwardingAdjacencyDestinations.ForwardingAdjacencyDestination.ForwardAdjacency.IgPs' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.ForwardingAdjacencyDestinations.ForwardingAdjacencyDestination.ForwardAdjacency.IgPs',
            False, 
            [
            _MetaInfoClassMember('afi', REFERENCE_ENUM_CLASS, 'MplsTeAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeAfiEnum', 
                [], [], 
                '''                AFI
                ''',
                'afi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('igp-area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The IGP Instance and Area ID
                ''',
                'igp_area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ig-ps',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.ForwardingAdjacencyDestinations.ForwardingAdjacencyDestination.ForwardAdjacency' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.ForwardingAdjacencyDestinations.ForwardingAdjacencyDestination.ForwardAdjacency',
            False, 
            [
            _MetaInfoClassMember('hold-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold time in seconds
                ''',
                'hold_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ig-ps', REFERENCE_LIST, 'IgPs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.ForwardingAdjacencyDestinations.ForwardingAdjacencyDestination.ForwardAdjacency.IgPs', 
                [], [], 
                '''                List of IGPs to which it is announced
                ''',
                'ig_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-adjacency-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if adj is up
                ''',
                'is_adjacency_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('traffic-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Traffic Share
                ''',
                'traffic_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'forward-adjacency',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.ForwardingAdjacencyDestinations.ForwardingAdjacencyDestination' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.ForwardingAdjacencyDestinations.ForwardingAdjacencyDestination',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('adjacencies', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Forwarding Adjacencies
                ''',
                'adjacencies',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-address-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The tunnel destination
                ''',
                'destination_address_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-adjacency', REFERENCE_LIST, 'ForwardAdjacency' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.ForwardingAdjacencyDestinations.ForwardingAdjacencyDestination.ForwardAdjacency', 
                [], [], 
                '''                Forwarding-adjacency list
                ''',
                'forward_adjacency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-adjacencies', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of IPv6 Forwarding Adjacencies
                ''',
                'ipv6_adjacencies',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'forwarding-adjacency-destination',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.ForwardingAdjacencyDestinations' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.ForwardingAdjacencyDestinations',
            False, 
            [
            _MetaInfoClassMember('forwarding-adjacency-destination', REFERENCE_LIST, 'ForwardingAdjacencyDestination' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.ForwardingAdjacencyDestinations.ForwardingAdjacencyDestination', 
                [], [], 
                '''                Forwarding Adjacencies for a destination
                ''',
                'forwarding_adjacency_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'forwarding-adjacency-destinations',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.IgpAreas.IgpArea.Area.ActiveData.AreaStatistics' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.IgpAreas.IgpArea.Area.ActiveData.AreaStatistics',
            False, 
            [
            _MetaInfoClassMember('area-adjacency-announce-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of adjacency announcement messages
                received
                ''',
                'area_adjacency_announce_messages',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('area-adjacency-request-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of adjacency request messages sent
                ''',
                'area_adjacency_request_messages',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('area-flood-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of local LSA floods sent
                ''',
                'area_flood_messages',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('area-lsa-announce-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSA announcement messages received
                ''',
                'area_lsa_announce_messages',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('area-lsa-delete-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSA delete messages received
                ''',
                'area_lsa_delete_messages',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('area-lsa-fragment-announce-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSA fragment announcement messages
                received
                ''',
                'area_lsa_fragment_announce_messages',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('area-lsa-fragment-delete-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSA fragment delete messages received
                ''',
                'area_lsa_fragment_delete_messages',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('area-tunnel-announce-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of tunnel announcement messages sent
                ''',
                'area_tunnel_announce_messages',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'area-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.IgpAreas.IgpArea.Area.ActiveData' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.IgpAreas.IgpArea.Area.ActiveData',
            False, 
            [
            _MetaInfoClassMember('area-statistics', REFERENCE_CLASS, 'AreaStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.IgpAreas.IgpArea.Area.ActiveData.AreaStatistics', 
                [], [], 
                '''                Area communication statistics
                ''',
                'area_statistics',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interfaces-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of interfaces running over this area
                ''',
                'interfaces_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-idt-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate IDT for link adjacencies was
                received
                ''',
                'link_idt_received',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2mp-destination-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of P2MP destinations whose path was
                calculated over this area
                ''',
                'p2mp_destination_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-autoroute-announced-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of p2p tunnel heads which have been
                autoroute-announced into this area
                ''',
                'p2p_autoroute_announced_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-forwarding-adjacency-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of p2p tunnel heads which have been
                announced as forwarding adjacencies in this area
                ''',
                'p2p_forwarding_adjacency_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-heads-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of p2p tunnel heads whose path was
                calculated over this area
                ''',
                'p2p_heads_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sr-strict', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate if the area is SR strict
                ''',
                'sr_strict',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-idt-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate IDT topology was received
                ''',
                'topology_idt_received',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-loose-hops', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of tunnels with a loose hop ERO expanded
                in this area
                ''',
                'tunnel_loose_hops',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'active-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.IgpAreas.IgpArea.Area' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.IgpAreas.IgpArea.Area',
            False, 
            [
            _MetaInfoClassMember('active-data', REFERENCE_CLASS, 'ActiveData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.IgpAreas.IgpArea.Area.ActiveData', 
                [], [], 
                '''                Data which applies only to an active area
                ''',
                'active_data',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('area-format', REFERENCE_ENUM_CLASS, 'IgpOspfAreaFormatEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'IgpOspfAreaFormatEnum', 
                [], [], 
                '''                IGP Area Format
                ''',
                'area_format',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('area-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Internal area index
                ''',
                'area_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('area-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area number
                ''',
                'area_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-config-ready', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not the area is correctly
                configured under the IGP submode to run TE
                ''',
                'is_config_ready',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'area',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.IgpAreas.IgpArea' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.IgpAreas.IgpArea',
            False, 
            [
            _MetaInfoClassMember('process-tag', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                IGP Process Tag
                ''',
                'process_tag',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'MplsTeIgpProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeIgpProtocolEnum', 
                [], [], 
                '''                The IGP protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('area', REFERENCE_LIST, 'Area' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.IgpAreas.IgpArea.Area', 
                [], [], 
                '''                IGP area information
                ''',
                'area',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Configured TE router-id
                ''',
                'configured_te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('connection-down-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times IGP connection has gone down
                ''',
                'connection_down_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('connection-up-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times IGP connection has gone up
                ''',
                'connection_up_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('global-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Global router-id
                ''',
                'global_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('globall-router-id-optical', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Global router-id for GMPLS (optical TE)
                ''',
                'globall_router_id_optical',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('igp-system-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                 The IGP instance's system/router-id; interpret
                appropriately depending on IGP type
                ''',
                'igp_system_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('igp-type', REFERENCE_ENUM_CLASS, 'IgpProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'IgpProtocolEnum', 
                [], [], 
                '''                IGP type
                ''',
                'igp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-use-te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id in use
                ''',
                'in_use_te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                 The IGP instance name
                ''',
                'instance_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-connection-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether the IGP connection is
                open or not
                ''',
                'is_connection_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('secondary-router-id', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Secondary router-ids
                ''',
                'secondary_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'igp-area',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.IgpAreas' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.IgpAreas',
            False, 
            [
            _MetaInfoClassMember('igp-area', REFERENCE_LIST, 'IgpArea' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.IgpAreas.IgpArea', 
                [], [], 
                '''                An IGP instance
                ''',
                'igp_area',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'igp-areas',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.WrapProtection.ProtectedLsps.ProtectedLsp' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.WrapProtection.ProtectedLsps.ProtectedLsp',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination Address
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                LSP ID
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                P2MP ID
                ''',
                'p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('session-type', REFERENCE_ENUM_CLASS, 'CtypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'CtypeEnum', 
                [], [], 
                '''                Session Type
                ''',
                'session_type',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Subgroup ID
                ''',
                'sub_group_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('sub-group-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Orig ID
                ''',
                'sub_group_originator',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('destination-address-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination
                ''',
                'destination_address_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-tunnel-id-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended Tunnel ID
                ''',
                'extended_tunnel_id_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-protection-enable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Wrap protection enabled
                ''',
                'lsp_wrap_protection_enable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-protection-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSP Wrap Merge Point Label
                ''',
                'lsp_wrap_protection_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-wrap-protection-state', REFERENCE_ENUM_CLASS, 'MplsTeLspWrapStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspWrapStateEnum', 
                [], [], 
                '''                LSP wrap protection state
                ''',
                'lsp_wrap_protection_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2mp-id-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L P2MP ID
                ''',
                'p2mp_id_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-egress-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Reverse Egress Interface
                ''',
                'reverse_egress_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reverse LSP label
                ''',
                'reverse_lsp_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-address-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source
                ''',
                'source_address_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-group-id-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Sub-Group ID
                ''',
                'sub_group_id_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-group-original-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                S2L Sub-Group Originator ID
                ''',
                'sub_group_original_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-instance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel instance
                ''',
                'tunnel_instance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.WrapProtection.ProtectedLsps' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.WrapProtection.ProtectedLsps',
            False, 
            [
            _MetaInfoClassMember('protected-lsp', REFERENCE_LIST, 'ProtectedLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.WrapProtection.ProtectedLsps.ProtectedLsp', 
                [], [], 
                '''                Wrap protection info for a given protected LSP
                ''',
                'protected_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-lsps',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.WrapProtection' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.WrapProtection',
            False, 
            [
            _MetaInfoClassMember('protected-lsps', REFERENCE_CLASS, 'ProtectedLsps' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.WrapProtection.ProtectedLsps', 
                [], [], 
                '''                The set of wrap protected LSPs available in
                MPLS-TE
                ''',
                'protected_lsps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'wrap-protection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Topology.Global_.Areas.LocalSidAndSrbg' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Topology.Global_.Areas.LocalSidAndSrbg',
            False, 
            [
            _MetaInfoClassMember('segment-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment-Routing Node-SID
                ''',
                'segment_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('segment-id-local-absolute-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Node-SID local absolute value
                ''',
                'segment_id_local_absolute_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srgb-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment-Routing global block size
                ''',
                'srgb_size',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srgb-start', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment-Routring global block start value
                ''',
                'srgb_start',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'local-sid-and-srbg',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Topology.Global_.Areas' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Topology.Global_.Areas',
            False, 
            [
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The area's id
                ''',
                'area_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-sid-and-srbg', REFERENCE_CLASS, 'LocalSidAndSrbg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Topology.Global_.Areas.LocalSidAndSrbg', 
                [], [], 
                '''                Local SID and SRBG
                ''',
                'local_sid_and_srbg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The node's IGP id
                ''',
                'node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'IgpProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'IgpProtocolEnum', 
                [], [], 
                '''                Protocol used
                ''',
                'protocol',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'areas',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Topology.Global_' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Topology.Global_',
            False, 
            [
            _MetaInfoClassMember('areas', REFERENCE_LIST, 'Areas' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Topology.Global_.Areas', 
                [], [], 
                '''                Information for areas
                ''',
                'areas',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-down-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interval in seconds to hold down a neighbor
                after a signalling error
                ''',
                'hold_down_interval',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-add-remove-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link add/remove counter
                ''',
                'link_add_remove_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-model-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local BC Model ID
                ''',
                'local_model_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'global',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Topology.DestinationPaths.DestinationPath.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Topology.DestinationPaths.DestinationPath.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Topology.DestinationPaths.DestinationPath.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Topology.DestinationPaths.DestinationPath.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Topology.DestinationPaths.DestinationPath.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Topology.DestinationPaths.DestinationPath.SharedRiskLinkGroup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Topology.DestinationPaths.DestinationPath.SharedRiskLinkGroup',
            False, 
            [
            _MetaInfoClassMember('shared-risk-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG number
                ''',
                'shared_risk_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SRLG name
                ''',
                'srlg_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'shared-risk-link-group',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Topology.DestinationPaths.DestinationPath.SrSegment' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Topology.DestinationPaths.DestinationPath.SrSegment',
            False, 
            [
            _MetaInfoClassMember('has-entropy-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Hop has EL specified
                ''',
                'has_entropy_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-ip-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node has IP addresses specified
                ''',
                'has_ip_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-mpls-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Hop has MPLS label specified
                ''',
                'has_mpls_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local IP address of adjacency or Node ID
                ''',
                'local_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mpls-label-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The MPLS label value
                ''',
                'mpls_label_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote IP address of adjacency
                ''',
                'remote_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sid-type', REFERENCE_ENUM_CLASS, 'TeSrSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSrSidEnum', 
                [], [], 
                '''                Type of the SID
                ''',
                'sid_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'sr-segment',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Topology.DestinationPaths.DestinationPath' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Topology.DestinationPaths.DestinationPath',
            False, 
            [
            _MetaInfoClassMember('accumulated-admin-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The path's accumulated admin weight
                ''',
                'accumulated_admin_weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Topology.DestinationPaths.DestinationPath.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Affinity Bits
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Affinity Mask
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Bandwidth in kbps
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The path's bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Cost Limit
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination Address
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-address-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The path's destination
                ''',
                'destination_address_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-srlg-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Exclude SRLG IP Addr
                ''',
                'exclude_srlg_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-srlg-ip-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Exclude SRLG IP Address
                ''',
                'exclude_srlg_ip_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Hold Priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The path's hold priority
                ''',
                'hold_priority_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The path's array of hops
                ''',
                'hop',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop-limit', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Hop Limit
                ''',
                'hop_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('igp-area', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                IGP Area
                ''',
                'igp_area',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('igp-instance', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                IGP Instance
                ''',
                'igp_instance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('igp-type', REFERENCE_ENUM_CLASS, 'MplsTeIgpProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeIgpProtocolEnum', 
                [], [], 
                '''                IGP Type
                ''',
                'igp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-full-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if path is full
                ''',
                'is_full_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-partial-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if path is partial
                ''',
                'is_partial_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-segment-routing-db-checked', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if checking the Segment-Routing DB is
                enabled
                ''',
                'is_segment_routing_db_checked',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-topology-checked', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if checking the topology is enabled
                ''',
                'is_topology_checked',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mininum-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The path's minimum bandwidth
                ''',
                'mininum_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('node-hop-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Path hop count
                ''',
                'node_hop_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                This is the ID of the explicit path to be
                used for this path calculation query
                ''',
                'path_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                This is the name of the explicit path to be
                used for this path calculation query
                ''',
                'path_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'MplsTePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTePathEnum', 
                [], [], 
                '''                Path Type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('requested-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The path's requested bandwidth
                ''',
                'requested_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Setup Priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The path's setup priority
                ''',
                'setup_priority_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared-risk-link-group', REFERENCE_LIST, 'SharedRiskLinkGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Topology.DestinationPaths.DestinationPath.SharedRiskLinkGroup', 
                [], [], 
                '''                The path's excluded srlg groups
                ''',
                'shared_risk_link_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sr-segment', REFERENCE_LIST, 'SrSegment' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Topology.DestinationPaths.DestinationPath.SrSegment', 
                [], [], 
                '''                The path's array of Segment-Routing segments
                ''',
                'sr_segment',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The tunnel ID to which this path belong
                ''',
                'tunnel_id_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'destination-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Topology.DestinationPaths' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Topology.DestinationPaths',
            False, 
            [
            _MetaInfoClassMember('destination-path', REFERENCE_LIST, 'DestinationPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Topology.DestinationPaths.DestinationPath', 
                [], [], 
                '''                A GET operation on this class returns the best
                available path in the TE topology to reach the
                specified destination while satisfying the
                specified constraints.
                ''',
                'destination_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'destination-paths',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Topology.ConfiguredSrlgs.ConfiguredSrlg.SrlgLink' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Topology.ConfiguredSrlgs.ConfiguredSrlg.SrlgLink',
            False, 
            [
            _MetaInfoClassMember('local-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local address
                ''',
                'local_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote address
                ''',
                'remote_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-link',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Topology.ConfiguredSrlgs.ConfiguredSrlg' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Topology.ConfiguredSrlgs.ConfiguredSrlg',
            False, 
            [
            _MetaInfoClassMember('srlg-number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                SRLG Number
                ''',
                'srlg_number',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('admin-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The admin weight that is added to the link if
                the SRLG is shared with the protected link
                ''',
                'admin_weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-admin-weight-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Set to TRUE if the admin weight is explicitely
                configured
                ''',
                'is_admin_weight_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-link', REFERENCE_LIST, 'SrlgLink' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Topology.ConfiguredSrlgs.ConfiguredSrlg.SrlgLink', 
                [], [], 
                '''                Link associated with the SRLG
                ''',
                'srlg_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SRLG name
                ''',
                'srlg_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-number-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG number
                ''',
                'srlg_number_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'configured-srlg',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Topology.ConfiguredSrlgs' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Topology.ConfiguredSrlgs',
            False, 
            [
            _MetaInfoClassMember('configured-srlg', REFERENCE_LIST, 'ConfiguredSrlg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Topology.ConfiguredSrlgs.ConfiguredSrlg', 
                [], [], 
                '''                Configured SRLG value and the addresses using
                it
                ''',
                'configured_srlg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'configured-srlgs',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Topology.Srlgs.Srlg.SrlgAreas.SrlgLink.LinkAddressGeneric.TeAddr.Ipv4UnnumberedAddress' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Topology.Srlgs.Srlg.SrlgAreas.SrlgLink.LinkAddressGeneric.TeAddr.Ipv4UnnumberedAddress',
            False, 
            [
            _MetaInfoClassMember('interface-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface index
                ''',
                'interface_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-unnumbered-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Topology.Srlgs.Srlg.SrlgAreas.SrlgLink.LinkAddressGeneric.TeAddr' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Topology.Srlgs.Srlg.SrlgAreas.SrlgLink.LinkAddressGeneric.TeAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-unnumbered-address', REFERENCE_CLASS, 'Ipv4UnnumberedAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Topology.Srlgs.Srlg.SrlgAreas.SrlgLink.LinkAddressGeneric.TeAddr.Ipv4UnnumberedAddress', 
                [], [], 
                '''                IPv4 unnumbered address
                ''',
                'ipv4_unnumbered_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAddrEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Topology.Srlgs.Srlg.SrlgAreas.SrlgLink.LinkAddressGeneric' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Topology.Srlgs.Srlg.SrlgAreas.SrlgLink.LinkAddressGeneric',
            False, 
            [
            _MetaInfoClassMember('te-addr', REFERENCE_CLASS, 'TeAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Topology.Srlgs.Srlg.SrlgAreas.SrlgLink.LinkAddressGeneric.TeAddr', 
                [], [], 
                '''                TE Address
                ''',
                'te_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'link-address-generic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Topology.Srlgs.Srlg.SrlgAreas.SrlgLink' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Topology.Srlgs.Srlg.SrlgAreas.SrlgLink',
            False, 
            [
            _MetaInfoClassMember('link-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Link address
                ''',
                'link_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-address-generic', REFERENCE_CLASS, 'LinkAddressGeneric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Topology.Srlgs.Srlg.SrlgAreas.SrlgLink.LinkAddressGeneric', 
                [], [], 
                '''                Link address
                ''',
                'link_address_generic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Link TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-link',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Topology.Srlgs.Srlg.SrlgAreas' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Topology.Srlgs.Srlg.SrlgAreas',
            False, 
            [
            _MetaInfoClassMember('igp-area', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGP Area ID
                ''',
                'igp_area',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('igp-area-format', REFERENCE_ENUM_CLASS, 'IgpOspfAreaFormatEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'IgpOspfAreaFormatEnum', 
                [], [], 
                '''                IGP-area format
                ''',
                'igp_area_format',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('igp-instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IGP Instance name
                ''',
                'igp_instance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('igp-type', REFERENCE_ENUM_CLASS, 'IgpProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'IgpProtocolEnum', 
                [], [], 
                '''                IGP type
                ''',
                'igp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-link', REFERENCE_LIST, 'SrlgLink' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Topology.Srlgs.Srlg.SrlgAreas.SrlgLink', 
                [], [], 
                '''                Links in this SRLG/area
                ''',
                'srlg_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-areas',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Topology.Srlgs.Srlg' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Topology.Srlgs.Srlg',
            False, 
            [
            _MetaInfoClassMember('srlg-number', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                SRLG Number
                ''',
                'srlg_number',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('admin-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The admin weight that is added to the link if
                the SRLG is shared with the protected link
                ''',
                'admin_weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-areas', REFERENCE_LIST, 'SrlgAreas' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Topology.Srlgs.Srlg.SrlgAreas', 
                [], [], 
                '''                Topology areas in this SRLG
                ''',
                'srlg_areas',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SRLG name
                ''',
                'srlg_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Topology.Srlgs' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Topology.Srlgs',
            False, 
            [
            _MetaInfoClassMember('srlg', REFERENCE_LIST, 'Srlg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Topology.Srlgs.Srlg', 
                [], [], 
                '''                SRLG operational value for the overall MPLS-TE
                topology
                ''',
                'srlg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlgs',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Topology.PathTunnels.PathTunnel.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Topology.PathTunnels.PathTunnel.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Topology.PathTunnels.PathTunnel.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Topology.PathTunnels.PathTunnel.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Topology.PathTunnels.PathTunnel.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Topology.PathTunnels.PathTunnel.SharedRiskLinkGroup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Topology.PathTunnels.PathTunnel.SharedRiskLinkGroup',
            False, 
            [
            _MetaInfoClassMember('shared-risk-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG number
                ''',
                'shared_risk_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SRLG name
                ''',
                'srlg_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'shared-risk-link-group',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Topology.PathTunnels.PathTunnel.SrSegment' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Topology.PathTunnels.PathTunnel.SrSegment',
            False, 
            [
            _MetaInfoClassMember('has-entropy-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Hop has EL specified
                ''',
                'has_entropy_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-ip-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node has IP addresses specified
                ''',
                'has_ip_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-mpls-label', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Hop has MPLS label specified
                ''',
                'has_mpls_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local IP address of adjacency or Node ID
                ''',
                'local_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mpls-label-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The MPLS label value
                ''',
                'mpls_label_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote IP address of adjacency
                ''',
                'remote_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sid-type', REFERENCE_ENUM_CLASS, 'TeSrSidEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSrSidEnum', 
                [], [], 
                '''                Type of the SID
                ''',
                'sid_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'sr-segment',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Topology.PathTunnels.PathTunnel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Topology.PathTunnels.PathTunnel',
            False, 
            [
            _MetaInfoClassMember('accumulated-admin-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The path's accumulated admin weight
                ''',
                'accumulated_admin_weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Topology.PathTunnels.PathTunnel.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The path's bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-address-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The path's destination
                ''',
                'destination_address_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-srlg-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Exclude SRLG IP Addr
                ''',
                'exclude_srlg_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The path's hold priority
                ''',
                'hold_priority_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hop', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The path's array of hops
                ''',
                'hop',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-full-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if path is full
                ''',
                'is_full_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-partial-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if path is partial
                ''',
                'is_partial_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-segment-routing-db-checked', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if checking the Segment-Routing DB is
                enabled
                ''',
                'is_segment_routing_db_checked',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-topology-checked', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if checking the topology is enabled
                ''',
                'is_topology_checked',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mininum-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The path's minimum bandwidth
                ''',
                'mininum_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('node-hop-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Path hop count
                ''',
                'node_hop_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('requested-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                The path's requested bandwidth
                ''',
                'requested_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The path's setup priority
                ''',
                'setup_priority_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared-risk-link-group', REFERENCE_LIST, 'SharedRiskLinkGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Topology.PathTunnels.PathTunnel.SharedRiskLinkGroup', 
                [], [], 
                '''                The path's excluded srlg groups
                ''',
                'shared_risk_link_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sr-segment', REFERENCE_LIST, 'SrSegment' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Topology.PathTunnels.PathTunnel.SrSegment', 
                [], [], 
                '''                The path's array of Segment-Routing segments
                ''',
                'sr_segment',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The tunnel ID to which this path belong
                ''',
                'tunnel_id_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Topology.PathTunnels' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Topology.PathTunnels',
            False, 
            [
            _MetaInfoClassMember('path-tunnel', REFERENCE_LIST, 'PathTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Topology.PathTunnels.PathTunnel', 
                [], [], 
                '''                MPLS-TE topology path taken by the specified
                tunnel
                ''',
                'path_tunnel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-tunnels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Topology' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Topology',
            False, 
            [
            _MetaInfoClassMember('configured-srlgs', REFERENCE_CLASS, 'ConfiguredSrlgs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Topology.ConfiguredSrlgs', 
                [], [], 
                '''                Set of configured SRLG
                ''',
                'configured_srlgs',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-paths', REFERENCE_CLASS, 'DestinationPaths' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Topology.DestinationPaths', 
                [], [], 
                '''                This table models the path calculation
                capabilities in MPLS-TE.A GET operation for the
                complete table will return no entries.See the
                class DestinationPath for more details.
                ''',
                'destination_paths',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('global', REFERENCE_CLASS, 'Global_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Topology.Global_', 
                [], [], 
                '''                Global information about the overall MPLS-TE
                topology
                ''',
                'global_',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-tunnels', REFERENCE_CLASS, 'PathTunnels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Topology.PathTunnels', 
                [], [], 
                '''                MPLS-Te topology path info
                ''',
                'path_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlgs', REFERENCE_CLASS, 'Srlgs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Topology.Srlgs', 
                [], [], 
                '''                Set of SRLG operational value for the overall
                MPLS-TE topology
                ''',
                'srlgs',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'topology',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.SignallingCounters.Issu' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.SignallingCounters.Issu',
            False, 
            [
            _MetaInfoClassMember('last-cleared-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The timestamp, in seconds, when these statistics
                are cleared              since 00:00:00 UTC,
                January 1, 1970
                ''',
                'last_cleared_timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-idt-states', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last IDT States
                ''',
                'last_idt_states',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('role', REFERENCE_ENUM_CLASS, 'TeProcRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProcRoleEnum', 
                [], [], 
                '''                Process role
                ''',
                'role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-deletions', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total deletions
                ''',
                'total_deletions',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-id-ts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total IDTs
                ''',
                'total_id_ts',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-nac-ks', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total NACKs
                ''',
                'total_nac_ks',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-states', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total states
                ''',
                'total_states',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'issu',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.SignallingCounters.HeadsCounters.HeadsCounter.Statistics' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.SignallingCounters.HeadsCounters.HeadsCounter.Statistics',
            False, 
            [
            _MetaInfoClassMember('events-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE Signaling event count
                ''',
                'events_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('events-total-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total TE Signalling event count
                ''',
                'events_total_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-backup-assign-err-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Error on Backup Assign event
                ''',
                'rx_backup_assign_err_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-event-unknown', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Unknown events
                ''',
                'rx_event_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Change event
                ''',
                'rx_path_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Create event
                ''',
                'rx_path_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Delete event
                ''',
                'rx_path_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Error event
                ''',
                'rx_path_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-reeval-query-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Reeval Query event
                ''',
                'rx_path_reeval_query_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Change event
                ''',
                'rx_resv_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Create event
                ''',
                'rx_resv_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Delete event
                ''',
                'rx_resv_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Error event
                ''',
                'rx_resv_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-backup-assign-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Assign event
                ''',
                'tx_backup_assign_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-event-unknown', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Unknown TX events
                ''',
                'tx_event_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Change event
                ''',
                'tx_path_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Create event
                ''',
                'tx_path_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Delete event
                ''',
                'tx_path_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Error event
                ''',
                'tx_path_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-reeval-query-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Reeval Query event
                ''',
                'tx_path_reeval_query_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Change event
                ''',
                'tx_resv_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Create event
                ''',
                'tx_resv_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Delete event
                ''',
                'tx_resv_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Error event
                ''',
                'tx_resv_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.SignallingCounters.HeadsCounters.HeadsCounter.DestinationStatistic.Statistics' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.SignallingCounters.HeadsCounters.HeadsCounter.DestinationStatistic.Statistics',
            False, 
            [
            _MetaInfoClassMember('events-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE Signaling event count
                ''',
                'events_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('events-total-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total TE Signalling event count
                ''',
                'events_total_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-backup-assign-err-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Error on Backup Assign event
                ''',
                'rx_backup_assign_err_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-event-unknown', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Unknown events
                ''',
                'rx_event_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Change event
                ''',
                'rx_path_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Create event
                ''',
                'rx_path_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Delete event
                ''',
                'rx_path_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Error event
                ''',
                'rx_path_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-reeval-query-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Reeval Query event
                ''',
                'rx_path_reeval_query_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Change event
                ''',
                'rx_resv_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Create event
                ''',
                'rx_resv_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Delete event
                ''',
                'rx_resv_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Error event
                ''',
                'rx_resv_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-backup-assign-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Assign event
                ''',
                'tx_backup_assign_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-event-unknown', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Unknown TX events
                ''',
                'tx_event_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Change event
                ''',
                'tx_path_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Create event
                ''',
                'tx_path_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Delete event
                ''',
                'tx_path_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Error event
                ''',
                'tx_path_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-reeval-query-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Reeval Query event
                ''',
                'tx_path_reeval_query_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Change event
                ''',
                'tx_resv_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Create event
                ''',
                'tx_resv_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Delete event
                ''',
                'tx_resv_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Error event
                ''',
                'tx_resv_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.SignallingCounters.HeadsCounters.HeadsCounter.DestinationStatistic.S2LStatistic.Statistics' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.SignallingCounters.HeadsCounters.HeadsCounter.DestinationStatistic.S2LStatistic.Statistics',
            False, 
            [
            _MetaInfoClassMember('events-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE Signaling event count
                ''',
                'events_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('events-total-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total TE Signalling event count
                ''',
                'events_total_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-backup-assign-err-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Error on Backup Assign event
                ''',
                'rx_backup_assign_err_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-event-unknown', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Unknown events
                ''',
                'rx_event_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Change event
                ''',
                'rx_path_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Create event
                ''',
                'rx_path_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Delete event
                ''',
                'rx_path_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Error event
                ''',
                'rx_path_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-reeval-query-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Reeval Query event
                ''',
                'rx_path_reeval_query_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Change event
                ''',
                'rx_resv_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Create event
                ''',
                'rx_resv_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Delete event
                ''',
                'rx_resv_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Error event
                ''',
                'rx_resv_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-backup-assign-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Assign event
                ''',
                'tx_backup_assign_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-event-unknown', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Unknown TX events
                ''',
                'tx_event_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Change event
                ''',
                'tx_path_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Create event
                ''',
                'tx_path_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Delete event
                ''',
                'tx_path_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Error event
                ''',
                'tx_path_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-reeval-query-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Reeval Query event
                ''',
                'tx_path_reeval_query_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Change event
                ''',
                'tx_resv_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Create event
                ''',
                'tx_resv_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Delete event
                ''',
                'tx_resv_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Error event
                ''',
                'tx_resv_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.SignallingCounters.HeadsCounters.HeadsCounter.DestinationStatistic.S2LStatistic' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.SignallingCounters.HeadsCounters.HeadsCounter.DestinationStatistic.S2LStatistic',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.SignallingCounters.HeadsCounters.HeadsCounter.DestinationStatistic.S2LStatistic.Statistics', 
                [], [], 
                '''                S2L stats
                ''',
                'statistics',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                subgroup ID
                ''',
                'sub_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-group-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                'sub_group_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-statistic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.SignallingCounters.HeadsCounters.HeadsCounter.DestinationStatistic' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.SignallingCounters.HeadsCounters.HeadsCounter.DestinationStatistic',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-statistic', REFERENCE_LIST, 'S2LStatistic' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.SignallingCounters.HeadsCounters.HeadsCounter.DestinationStatistic.S2LStatistic', 
                [], [], 
                '''                List of S2L Stats
                ''',
                's2l_statistic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.SignallingCounters.HeadsCounters.HeadsCounter.DestinationStatistic.Statistics', 
                [], [], 
                '''                Destination stats
                ''',
                'statistics',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'destination-statistic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.SignallingCounters.HeadsCounters.HeadsCounter' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.SignallingCounters.HeadsCounters.HeadsCounter',
            False, 
            [
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                tunnel id of last obtained tunnel
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('destination-statistic', REFERENCE_LIST, 'DestinationStatistic' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.SignallingCounters.HeadsCounters.HeadsCounter.DestinationStatistic', 
                [], [], 
                '''                List of Destination Stats
                ''',
                'destination_statistic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.SignallingCounters.HeadsCounters.HeadsCounter.Statistics', 
                [], [], 
                '''                VIF stats
                ''',
                'statistics',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-sig-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel Signalled-Name
                ''',
                'tunnel_sig_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'heads-counter',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.SignallingCounters.HeadsCounters' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.SignallingCounters.HeadsCounters',
            False, 
            [
            _MetaInfoClassMember('heads-counter', REFERENCE_LIST, 'HeadsCounter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.SignallingCounters.HeadsCounters.HeadsCounter', 
                [], [], 
                '''                MPLS TE counters signalling head
                ''',
                'heads_counter',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'heads-counters',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.SignallingCounters.MidsCounters.MidsCounter.Statistics' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.SignallingCounters.MidsCounters.MidsCounter.Statistics',
            False, 
            [
            _MetaInfoClassMember('events-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE Signaling event count
                ''',
                'events_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('events-total-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total TE Signalling event count
                ''',
                'events_total_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-backup-assign-err-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Error on Backup Assign event
                ''',
                'rx_backup_assign_err_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-event-unknown', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Unknown events
                ''',
                'rx_event_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Change event
                ''',
                'rx_path_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Create event
                ''',
                'rx_path_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Delete event
                ''',
                'rx_path_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Error event
                ''',
                'rx_path_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-reeval-query-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Reeval Query event
                ''',
                'rx_path_reeval_query_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Change event
                ''',
                'rx_resv_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Create event
                ''',
                'rx_resv_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Delete event
                ''',
                'rx_resv_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Error event
                ''',
                'rx_resv_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-backup-assign-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Assign event
                ''',
                'tx_backup_assign_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-event-unknown', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Unknown TX events
                ''',
                'tx_event_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Change event
                ''',
                'tx_path_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Create event
                ''',
                'tx_path_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Delete event
                ''',
                'tx_path_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Error event
                ''',
                'tx_path_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-reeval-query-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Reeval Query event
                ''',
                'tx_path_reeval_query_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Change event
                ''',
                'tx_resv_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Create event
                ''',
                'tx_resv_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Delete event
                ''',
                'tx_resv_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Error event
                ''',
                'tx_resv_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.SignallingCounters.MidsCounters.MidsCounter.S2LStatistic.Statistics' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.SignallingCounters.MidsCounters.MidsCounter.S2LStatistic.Statistics',
            False, 
            [
            _MetaInfoClassMember('events-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE Signaling event count
                ''',
                'events_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('events-total-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total TE Signalling event count
                ''',
                'events_total_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-backup-assign-err-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Error on Backup Assign event
                ''',
                'rx_backup_assign_err_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-event-unknown', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Unknown events
                ''',
                'rx_event_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Change event
                ''',
                'rx_path_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Create event
                ''',
                'rx_path_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Delete event
                ''',
                'rx_path_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Error event
                ''',
                'rx_path_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-reeval-query-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Reeval Query event
                ''',
                'rx_path_reeval_query_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Change event
                ''',
                'rx_resv_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Create event
                ''',
                'rx_resv_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Delete event
                ''',
                'rx_resv_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Error event
                ''',
                'rx_resv_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-backup-assign-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Assign event
                ''',
                'tx_backup_assign_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-event-unknown', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Unknown TX events
                ''',
                'tx_event_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Change event
                ''',
                'tx_path_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Create event
                ''',
                'tx_path_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Delete event
                ''',
                'tx_path_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Error event
                ''',
                'tx_path_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-reeval-query-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Reeval Query event
                ''',
                'tx_path_reeval_query_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Change event
                ''',
                'tx_resv_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Create event
                ''',
                'tx_resv_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Delete event
                ''',
                'tx_resv_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Error event
                ''',
                'tx_resv_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.SignallingCounters.MidsCounters.MidsCounter.S2LStatistic' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.SignallingCounters.MidsCounters.MidsCounter.S2LStatistic',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.SignallingCounters.MidsCounters.MidsCounter.S2LStatistic.Statistics', 
                [], [], 
                '''                S2L stats
                ''',
                'statistics',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                subgroup ID
                ''',
                'sub_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-group-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                'sub_group_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-statistic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.SignallingCounters.MidsCounters.MidsCounter' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.SignallingCounters.MidsCounters.MidsCounter',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination Address
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                LSP ID
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                tunnel id of last obtained tunnel
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('s2l-statistic', REFERENCE_LIST, 'S2LStatistic' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.SignallingCounters.MidsCounters.MidsCounter.S2LStatistic', 
                [], [], 
                '''                List of S2L Statistics
                ''',
                's2l_statistic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.SignallingCounters.MidsCounters.MidsCounter.Statistics', 
                [], [], 
                '''                LSP statistics
                ''',
                'statistics',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'mids-counter',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.SignallingCounters.MidsCounters' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.SignallingCounters.MidsCounters',
            False, 
            [
            _MetaInfoClassMember('mids-counter', REFERENCE_LIST, 'MidsCounter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.SignallingCounters.MidsCounters.MidsCounter', 
                [], [], 
                '''                MPLS TE counters signalling mid
                ''',
                'mids_counter',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'mids-counters',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter.Statistics' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter.Statistics',
            False, 
            [
            _MetaInfoClassMember('events-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE Signaling event count
                ''',
                'events_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('events-total-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total TE Signalling event count
                ''',
                'events_total_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-backup-assign-err-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Error on Backup Assign event
                ''',
                'rx_backup_assign_err_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-event-unknown', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Unknown events
                ''',
                'rx_event_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Change event
                ''',
                'rx_path_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Create event
                ''',
                'rx_path_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Delete event
                ''',
                'rx_path_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Error event
                ''',
                'rx_path_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-reeval-query-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Reeval Query event
                ''',
                'rx_path_reeval_query_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Change event
                ''',
                'rx_resv_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Create event
                ''',
                'rx_resv_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Delete event
                ''',
                'rx_resv_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Error event
                ''',
                'rx_resv_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-backup-assign-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Assign event
                ''',
                'tx_backup_assign_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-event-unknown', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Unknown TX events
                ''',
                'tx_event_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Change event
                ''',
                'tx_path_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Create event
                ''',
                'tx_path_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Delete event
                ''',
                'tx_path_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Error event
                ''',
                'tx_path_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-reeval-query-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Reeval Query event
                ''',
                'tx_path_reeval_query_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Change event
                ''',
                'tx_resv_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Create event
                ''',
                'tx_resv_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Delete event
                ''',
                'tx_resv_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Error event
                ''',
                'tx_resv_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter.DestinationStatistic.Statistics' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter.DestinationStatistic.Statistics',
            False, 
            [
            _MetaInfoClassMember('events-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE Signaling event count
                ''',
                'events_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('events-total-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total TE Signalling event count
                ''',
                'events_total_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-backup-assign-err-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Error on Backup Assign event
                ''',
                'rx_backup_assign_err_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-event-unknown', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Unknown events
                ''',
                'rx_event_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Change event
                ''',
                'rx_path_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Create event
                ''',
                'rx_path_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Delete event
                ''',
                'rx_path_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Error event
                ''',
                'rx_path_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-reeval-query-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Reeval Query event
                ''',
                'rx_path_reeval_query_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Change event
                ''',
                'rx_resv_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Create event
                ''',
                'rx_resv_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Delete event
                ''',
                'rx_resv_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Error event
                ''',
                'rx_resv_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-backup-assign-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Assign event
                ''',
                'tx_backup_assign_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-event-unknown', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Unknown TX events
                ''',
                'tx_event_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Change event
                ''',
                'tx_path_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Create event
                ''',
                'tx_path_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Delete event
                ''',
                'tx_path_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Error event
                ''',
                'tx_path_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-reeval-query-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Reeval Query event
                ''',
                'tx_path_reeval_query_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Change event
                ''',
                'tx_resv_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Create event
                ''',
                'tx_resv_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Delete event
                ''',
                'tx_resv_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Error event
                ''',
                'tx_resv_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter.DestinationStatistic.S2LStatistic.Statistics' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter.DestinationStatistic.S2LStatistic.Statistics',
            False, 
            [
            _MetaInfoClassMember('events-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE Signaling event count
                ''',
                'events_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('events-total-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total TE Signalling event count
                ''',
                'events_total_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-backup-assign-err-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Error on Backup Assign event
                ''',
                'rx_backup_assign_err_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-event-unknown', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Unknown events
                ''',
                'rx_event_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Change event
                ''',
                'rx_path_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Create event
                ''',
                'rx_path_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Delete event
                ''',
                'rx_path_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Error event
                ''',
                'rx_path_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-reeval-query-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Reeval Query event
                ''',
                'rx_path_reeval_query_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Change event
                ''',
                'rx_resv_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Create event
                ''',
                'rx_resv_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Delete event
                ''',
                'rx_resv_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Error event
                ''',
                'rx_resv_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-backup-assign-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Assign event
                ''',
                'tx_backup_assign_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-event-unknown', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Unknown TX events
                ''',
                'tx_event_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Change event
                ''',
                'tx_path_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Create event
                ''',
                'tx_path_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Delete event
                ''',
                'tx_path_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Error event
                ''',
                'tx_path_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-reeval-query-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Reeval Query event
                ''',
                'tx_path_reeval_query_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Change event
                ''',
                'tx_resv_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Create event
                ''',
                'tx_resv_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Delete event
                ''',
                'tx_resv_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Error event
                ''',
                'tx_resv_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter.DestinationStatistic.S2LStatistic' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter.DestinationStatistic.S2LStatistic',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter.DestinationStatistic.S2LStatistic.Statistics', 
                [], [], 
                '''                S2L stats
                ''',
                'statistics',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                subgroup ID
                ''',
                'sub_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-group-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                'sub_group_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-statistic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter.DestinationStatistic' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter.DestinationStatistic',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-statistic', REFERENCE_LIST, 'S2LStatistic' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter.DestinationStatistic.S2LStatistic', 
                [], [], 
                '''                List of S2L Stats
                ''',
                's2l_statistic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter.DestinationStatistic.Statistics', 
                [], [], 
                '''                Destination stats
                ''',
                'statistics',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'destination-statistic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter',
            False, 
            [
            _MetaInfoClassMember('ctype', REFERENCE_ENUM_CLASS, 'CtypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'CtypeEnum', 
                [], [], 
                '''                Ctype
                ''',
                'ctype',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('destination-statistic', REFERENCE_LIST, 'DestinationStatistic' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter.DestinationStatistic', 
                [], [], 
                '''                List of Destination Stats
                ''',
                'destination_statistic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter.Statistics', 
                [], [], 
                '''                VIF stats
                ''',
                'statistics',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-sig-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel Signalled-Name
                ''',
                'tunnel_sig_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'head-signalling-counter',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.SignallingCounters.HeadSignallingCounters' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.SignallingCounters.HeadSignallingCounters',
            False, 
            [
            _MetaInfoClassMember('head-signalling-counter', REFERENCE_LIST, 'HeadSignallingCounter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter', 
                [], [], 
                '''                TE stats
                ''',
                'head_signalling_counter',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'head-signalling-counters',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.SignallingCounters.RemoteSignallingCounters.RemoteSignallingCounter.Statistics' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.SignallingCounters.RemoteSignallingCounters.RemoteSignallingCounter.Statistics',
            False, 
            [
            _MetaInfoClassMember('events-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE Signaling event count
                ''',
                'events_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('events-total-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total TE Signalling event count
                ''',
                'events_total_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-backup-assign-err-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Error on Backup Assign event
                ''',
                'rx_backup_assign_err_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-event-unknown', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Unknown events
                ''',
                'rx_event_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Change event
                ''',
                'rx_path_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Create event
                ''',
                'rx_path_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Delete event
                ''',
                'rx_path_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Error event
                ''',
                'rx_path_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-reeval-query-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Reeval Query event
                ''',
                'rx_path_reeval_query_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Change event
                ''',
                'rx_resv_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Create event
                ''',
                'rx_resv_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Delete event
                ''',
                'rx_resv_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Error event
                ''',
                'rx_resv_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-backup-assign-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Assign event
                ''',
                'tx_backup_assign_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-event-unknown', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Unknown TX events
                ''',
                'tx_event_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Change event
                ''',
                'tx_path_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Create event
                ''',
                'tx_path_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Delete event
                ''',
                'tx_path_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Error event
                ''',
                'tx_path_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-reeval-query-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Reeval Query event
                ''',
                'tx_path_reeval_query_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Change event
                ''',
                'tx_resv_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Create event
                ''',
                'tx_resv_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Delete event
                ''',
                'tx_resv_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Error event
                ''',
                'tx_resv_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.SignallingCounters.RemoteSignallingCounters.RemoteSignallingCounter.S2LStatistic.Statistics' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.SignallingCounters.RemoteSignallingCounters.RemoteSignallingCounter.S2LStatistic.Statistics',
            False, 
            [
            _MetaInfoClassMember('events-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE Signaling event count
                ''',
                'events_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('events-total-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total TE Signalling event count
                ''',
                'events_total_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-backup-assign-err-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Error on Backup Assign event
                ''',
                'rx_backup_assign_err_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-event-unknown', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Unknown events
                ''',
                'rx_event_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Change event
                ''',
                'rx_path_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Create event
                ''',
                'rx_path_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Delete event
                ''',
                'rx_path_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Error event
                ''',
                'rx_path_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-reeval-query-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Reeval Query event
                ''',
                'rx_path_reeval_query_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Change event
                ''',
                'rx_resv_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Create event
                ''',
                'rx_resv_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Delete event
                ''',
                'rx_resv_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Error event
                ''',
                'rx_resv_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-backup-assign-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Assign event
                ''',
                'tx_backup_assign_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-event-unknown', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Unknown TX events
                ''',
                'tx_event_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Change event
                ''',
                'tx_path_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Create event
                ''',
                'tx_path_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Delete event
                ''',
                'tx_path_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Error event
                ''',
                'tx_path_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-reeval-query-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Reeval Query event
                ''',
                'tx_path_reeval_query_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Change event
                ''',
                'tx_resv_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Create event
                ''',
                'tx_resv_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Delete event
                ''',
                'tx_resv_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Error event
                ''',
                'tx_resv_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.SignallingCounters.RemoteSignallingCounters.RemoteSignallingCounter.S2LStatistic' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.SignallingCounters.RemoteSignallingCounters.RemoteSignallingCounter.S2LStatistic',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.SignallingCounters.RemoteSignallingCounters.RemoteSignallingCounter.S2LStatistic.Statistics', 
                [], [], 
                '''                S2L stats
                ''',
                'statistics',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                subgroup ID
                ''',
                'sub_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-group-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                'sub_group_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-statistic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.SignallingCounters.RemoteSignallingCounters.RemoteSignallingCounter' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.SignallingCounters.RemoteSignallingCounters.RemoteSignallingCounter',
            False, 
            [
            _MetaInfoClassMember('ctype', REFERENCE_ENUM_CLASS, 'CtypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'CtypeEnum', 
                [], [], 
                '''                Ctype
                ''',
                'ctype',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination Address
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                LSP ID
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                P2MP ID
                ''',
                'p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Subgroup ID
                ''',
                'sub_group_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('sub-group-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup originator
                ''',
                'sub_group_originator',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('s2l-statistic', REFERENCE_LIST, 'S2LStatistic' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.SignallingCounters.RemoteSignallingCounters.RemoteSignallingCounter.S2LStatistic', 
                [], [], 
                '''                List of S2L Statistics
                ''',
                's2l_statistic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.SignallingCounters.RemoteSignallingCounters.RemoteSignallingCounter.Statistics', 
                [], [], 
                '''                LSP statistics
                ''',
                'statistics',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'remote-signalling-counter',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.SignallingCounters.RemoteSignallingCounters' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.SignallingCounters.RemoteSignallingCounters',
            False, 
            [
            _MetaInfoClassMember('remote-signalling-counter', REFERENCE_LIST, 'RemoteSignallingCounter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.SignallingCounters.RemoteSignallingCounters.RemoteSignallingCounter', 
                [], [], 
                '''                TE stats
                ''',
                'remote_signalling_counter',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'remote-signalling-counters',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.SignallingCounters.TailsCounters.TailsCounter.Statistics' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.SignallingCounters.TailsCounters.TailsCounter.Statistics',
            False, 
            [
            _MetaInfoClassMember('events-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE Signaling event count
                ''',
                'events_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('events-total-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total TE Signalling event count
                ''',
                'events_total_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-backup-assign-err-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Error on Backup Assign event
                ''',
                'rx_backup_assign_err_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-event-unknown', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Unknown events
                ''',
                'rx_event_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Change event
                ''',
                'rx_path_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Create event
                ''',
                'rx_path_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Delete event
                ''',
                'rx_path_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Error event
                ''',
                'rx_path_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-reeval-query-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Reeval Query event
                ''',
                'rx_path_reeval_query_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Change event
                ''',
                'rx_resv_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Create event
                ''',
                'rx_resv_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Delete event
                ''',
                'rx_resv_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Error event
                ''',
                'rx_resv_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-backup-assign-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Assign event
                ''',
                'tx_backup_assign_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-event-unknown', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Unknown TX events
                ''',
                'tx_event_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Change event
                ''',
                'tx_path_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Create event
                ''',
                'tx_path_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Delete event
                ''',
                'tx_path_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Error event
                ''',
                'tx_path_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-reeval-query-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Reeval Query event
                ''',
                'tx_path_reeval_query_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Change event
                ''',
                'tx_resv_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Create event
                ''',
                'tx_resv_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Delete event
                ''',
                'tx_resv_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Error event
                ''',
                'tx_resv_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.SignallingCounters.TailsCounters.TailsCounter.S2LStatistic.Statistics' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.SignallingCounters.TailsCounters.TailsCounter.S2LStatistic.Statistics',
            False, 
            [
            _MetaInfoClassMember('events-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE Signaling event count
                ''',
                'events_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('events-total-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total TE Signalling event count
                ''',
                'events_total_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-backup-assign-err-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Error on Backup Assign event
                ''',
                'rx_backup_assign_err_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-event-unknown', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Unknown events
                ''',
                'rx_event_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Change event
                ''',
                'rx_path_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Create event
                ''',
                'rx_path_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Delete event
                ''',
                'rx_path_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Error event
                ''',
                'rx_path_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-reeval-query-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Reeval Query event
                ''',
                'rx_path_reeval_query_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Change event
                ''',
                'rx_resv_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Create event
                ''',
                'rx_resv_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Delete event
                ''',
                'rx_resv_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Error event
                ''',
                'rx_resv_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-backup-assign-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Assign event
                ''',
                'tx_backup_assign_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-event-unknown', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Unknown TX events
                ''',
                'tx_event_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Change event
                ''',
                'tx_path_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Create event
                ''',
                'tx_path_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Delete event
                ''',
                'tx_path_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Error event
                ''',
                'tx_path_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-reeval-query-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Reeval Query event
                ''',
                'tx_path_reeval_query_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Change event
                ''',
                'tx_resv_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Create event
                ''',
                'tx_resv_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Delete event
                ''',
                'tx_resv_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Error event
                ''',
                'tx_resv_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.SignallingCounters.TailsCounters.TailsCounter.S2LStatistic' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.SignallingCounters.TailsCounters.TailsCounter.S2LStatistic',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.SignallingCounters.TailsCounters.TailsCounter.S2LStatistic.Statistics', 
                [], [], 
                '''                S2L stats
                ''',
                'statistics',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                subgroup ID
                ''',
                'sub_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-group-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                'sub_group_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-statistic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.SignallingCounters.TailsCounters.TailsCounter' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.SignallingCounters.TailsCounters.TailsCounter',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination Address
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                LSP ID
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                tunnel id of last obtained tunnel
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('s2l-statistic', REFERENCE_LIST, 'S2LStatistic' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.SignallingCounters.TailsCounters.TailsCounter.S2LStatistic', 
                [], [], 
                '''                List of S2L Statistics
                ''',
                's2l_statistic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.SignallingCounters.TailsCounters.TailsCounter.Statistics', 
                [], [], 
                '''                LSP statistics
                ''',
                'statistics',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tails-counter',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.SignallingCounters.TailsCounters' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.SignallingCounters.TailsCounters',
            False, 
            [
            _MetaInfoClassMember('tails-counter', REFERENCE_LIST, 'TailsCounter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.SignallingCounters.TailsCounters.TailsCounter', 
                [], [], 
                '''                MPLS TE counters signalling mid
                ''',
                'tails_counter',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tails-counters',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif.Statistics' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif.Statistics',
            False, 
            [
            _MetaInfoClassMember('events-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE Signaling event count
                ''',
                'events_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('events-total-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total TE Signalling event count
                ''',
                'events_total_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-backup-assign-err-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Error on Backup Assign event
                ''',
                'rx_backup_assign_err_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-event-unknown', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Unknown events
                ''',
                'rx_event_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Change event
                ''',
                'rx_path_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Create event
                ''',
                'rx_path_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Delete event
                ''',
                'rx_path_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Error event
                ''',
                'rx_path_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-reeval-query-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Reeval Query event
                ''',
                'rx_path_reeval_query_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Change event
                ''',
                'rx_resv_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Create event
                ''',
                'rx_resv_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Delete event
                ''',
                'rx_resv_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Error event
                ''',
                'rx_resv_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-backup-assign-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Assign event
                ''',
                'tx_backup_assign_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-event-unknown', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Unknown TX events
                ''',
                'tx_event_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Change event
                ''',
                'tx_path_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Create event
                ''',
                'tx_path_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Delete event
                ''',
                'tx_path_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Error event
                ''',
                'tx_path_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-reeval-query-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Reeval Query event
                ''',
                'tx_path_reeval_query_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Change event
                ''',
                'tx_resv_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Create event
                ''',
                'tx_resv_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Delete event
                ''',
                'tx_resv_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Error event
                ''',
                'tx_resv_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif.DestinationStatistic.Statistics' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif.DestinationStatistic.Statistics',
            False, 
            [
            _MetaInfoClassMember('events-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE Signaling event count
                ''',
                'events_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('events-total-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total TE Signalling event count
                ''',
                'events_total_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-backup-assign-err-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Error on Backup Assign event
                ''',
                'rx_backup_assign_err_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-event-unknown', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Unknown events
                ''',
                'rx_event_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Change event
                ''',
                'rx_path_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Create event
                ''',
                'rx_path_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Delete event
                ''',
                'rx_path_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Error event
                ''',
                'rx_path_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-reeval-query-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Reeval Query event
                ''',
                'rx_path_reeval_query_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Change event
                ''',
                'rx_resv_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Create event
                ''',
                'rx_resv_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Delete event
                ''',
                'rx_resv_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Error event
                ''',
                'rx_resv_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-backup-assign-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Assign event
                ''',
                'tx_backup_assign_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-event-unknown', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Unknown TX events
                ''',
                'tx_event_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Change event
                ''',
                'tx_path_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Create event
                ''',
                'tx_path_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Delete event
                ''',
                'tx_path_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Error event
                ''',
                'tx_path_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-reeval-query-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Reeval Query event
                ''',
                'tx_path_reeval_query_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Change event
                ''',
                'tx_resv_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Create event
                ''',
                'tx_resv_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Delete event
                ''',
                'tx_resv_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Error event
                ''',
                'tx_resv_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif.DestinationStatistic.S2LStatistic.Statistics' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif.DestinationStatistic.S2LStatistic.Statistics',
            False, 
            [
            _MetaInfoClassMember('events-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE Signaling event count
                ''',
                'events_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('events-total-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total TE Signalling event count
                ''',
                'events_total_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-backup-assign-err-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Error on Backup Assign event
                ''',
                'rx_backup_assign_err_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-event-unknown', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Unknown events
                ''',
                'rx_event_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Change event
                ''',
                'rx_path_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Create event
                ''',
                'rx_path_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Delete event
                ''',
                'rx_path_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Error event
                ''',
                'rx_path_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-reeval-query-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Reeval Query event
                ''',
                'rx_path_reeval_query_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Change event
                ''',
                'rx_resv_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Create event
                ''',
                'rx_resv_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Delete event
                ''',
                'rx_resv_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Error event
                ''',
                'rx_resv_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-backup-assign-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Assign event
                ''',
                'tx_backup_assign_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-event-unknown', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Unknown TX events
                ''',
                'tx_event_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Change event
                ''',
                'tx_path_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Create event
                ''',
                'tx_path_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Delete event
                ''',
                'tx_path_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Error event
                ''',
                'tx_path_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-reeval-query-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Reeval Query event
                ''',
                'tx_path_reeval_query_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Change event
                ''',
                'tx_resv_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Create event
                ''',
                'tx_resv_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Delete event
                ''',
                'tx_resv_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Error event
                ''',
                'tx_resv_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif.DestinationStatistic.S2LStatistic' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif.DestinationStatistic.S2LStatistic',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif.DestinationStatistic.S2LStatistic.Statistics', 
                [], [], 
                '''                S2L stats
                ''',
                'statistics',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                subgroup ID
                ''',
                'sub_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-group-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                'sub_group_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-statistic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif.DestinationStatistic' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif.DestinationStatistic',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-statistic', REFERENCE_LIST, 'S2LStatistic' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif.DestinationStatistic.S2LStatistic', 
                [], [], 
                '''                List of S2L Stats
                ''',
                's2l_statistic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif.DestinationStatistic.Statistics', 
                [], [], 
                '''                Destination stats
                ''',
                'statistics',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'destination-statistic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif',
            False, 
            [
            _MetaInfoClassMember('destination-statistic', REFERENCE_LIST, 'DestinationStatistic' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif.DestinationStatistic', 
                [], [], 
                '''                List of Destination Stats
                ''',
                'destination_statistic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif.Statistics', 
                [], [], 
                '''                VIF stats
                ''',
                'statistics',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-sig-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel Signalled-Name
                ''',
                'tunnel_sig_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-signalling-filter-vif',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterLsp.Statistics' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterLsp.Statistics',
            False, 
            [
            _MetaInfoClassMember('events-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE Signaling event count
                ''',
                'events_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('events-total-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total TE Signalling event count
                ''',
                'events_total_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-backup-assign-err-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Error on Backup Assign event
                ''',
                'rx_backup_assign_err_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-event-unknown', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Unknown events
                ''',
                'rx_event_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Change event
                ''',
                'rx_path_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Create event
                ''',
                'rx_path_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Delete event
                ''',
                'rx_path_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Error event
                ''',
                'rx_path_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-reeval-query-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Reeval Query event
                ''',
                'rx_path_reeval_query_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Change event
                ''',
                'rx_resv_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Create event
                ''',
                'rx_resv_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Delete event
                ''',
                'rx_resv_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Error event
                ''',
                'rx_resv_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-backup-assign-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Assign event
                ''',
                'tx_backup_assign_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-event-unknown', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Unknown TX events
                ''',
                'tx_event_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Change event
                ''',
                'tx_path_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Create event
                ''',
                'tx_path_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Delete event
                ''',
                'tx_path_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Error event
                ''',
                'tx_path_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-reeval-query-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Reeval Query event
                ''',
                'tx_path_reeval_query_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Change event
                ''',
                'tx_resv_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Create event
                ''',
                'tx_resv_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Delete event
                ''',
                'tx_resv_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Error event
                ''',
                'tx_resv_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterLsp.S2LStatistic.Statistics' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterLsp.S2LStatistic.Statistics',
            False, 
            [
            _MetaInfoClassMember('events-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE Signaling event count
                ''',
                'events_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('events-total-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total TE Signalling event count
                ''',
                'events_total_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-backup-assign-err-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Error on Backup Assign event
                ''',
                'rx_backup_assign_err_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-event-unknown', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Unknown events
                ''',
                'rx_event_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Change event
                ''',
                'rx_path_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Create event
                ''',
                'rx_path_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Delete event
                ''',
                'rx_path_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Error event
                ''',
                'rx_path_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-reeval-query-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Reeval Query event
                ''',
                'rx_path_reeval_query_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Change event
                ''',
                'rx_resv_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Create event
                ''',
                'rx_resv_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Delete event
                ''',
                'rx_resv_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Error event
                ''',
                'rx_resv_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-backup-assign-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Assign event
                ''',
                'tx_backup_assign_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-event-unknown', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Unknown TX events
                ''',
                'tx_event_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Change event
                ''',
                'tx_path_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Create event
                ''',
                'tx_path_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Delete event
                ''',
                'tx_path_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Error event
                ''',
                'tx_path_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-reeval-query-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Reeval Query event
                ''',
                'tx_path_reeval_query_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Change event
                ''',
                'tx_resv_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Create event
                ''',
                'tx_resv_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Delete event
                ''',
                'tx_resv_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Error event
                ''',
                'tx_resv_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterLsp.S2LStatistic' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterLsp.S2LStatistic',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination address
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterLsp.S2LStatistic.Statistics', 
                [], [], 
                '''                S2L stats
                ''',
                'statistics',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                subgroup ID
                ''',
                'sub_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-group-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                'sub_group_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-statistic',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterLsp' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterLsp',
            False, 
            [
            _MetaInfoClassMember('s2l-statistic', REFERENCE_LIST, 'S2LStatistic' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterLsp.S2LStatistic', 
                [], [], 
                '''                List of S2L Statistics
                ''',
                's2l_statistic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterLsp.Statistics', 
                [], [], 
                '''                LSP statistics
                ''',
                'statistics',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-signalling-filter-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData',
            False, 
            [
            _MetaInfoClassMember('statistics-filter', REFERENCE_ENUM_CLASS, 'TeStatsSigFilterEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeStatsSigFilterEnum', 
                [], [], 
                '''                StatisticsFilter
                ''',
                'statistics_filter',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-signalling-filter-lsp', REFERENCE_CLASS, 'TeSignallingFilterLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterLsp', 
                [], [], 
                '''                LSP data
                ''',
                'te_signalling_filter_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-signalling-filter-vif', REFERENCE_CLASS, 'TeSignallingFilterVif' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif', 
                [], [], 
                '''                VIF data
                ''',
                'te_signalling_filter_vif',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-signalling-filter-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.SignallingCounters.Signallings.Signalling' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.SignallingCounters.Signallings.Signalling',
            False, 
            [
            _MetaInfoClassMember('ctype', REFERENCE_ENUM_CLASS, 'CtypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'CtypeEnum', 
                [], [], 
                '''                Ctype
                ''',
                'ctype',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination Address
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                LSP ID
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                P2MP ID
                ''',
                'p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Subgroup ID
                ''',
                'sub_group_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('sub-group-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup originator
                ''',
                'sub_group_originator',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('te-signalling-filter-data', REFERENCE_CLASS, 'TeSignallingFilterData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData', 
                [], [], 
                '''                TE Signaling Filter data
                ''',
                'te_signalling_filter_data',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalling',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.SignallingCounters.Signallings' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.SignallingCounters.Signallings',
            False, 
            [
            _MetaInfoClassMember('signalling', REFERENCE_LIST, 'Signalling' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.SignallingCounters.Signallings.Signalling', 
                [], [], 
                '''                TE Sig
                ''',
                'signalling',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signallings',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.SignallingCounters.SignallingSummary' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.SignallingCounters.SignallingSummary',
            False, 
            [
            _MetaInfoClassMember('events-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE Signaling event count
                ''',
                'events_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('events-total-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total TE Signalling event count
                ''',
                'events_total_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-backup-assign-err-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Error on Backup Assign event
                ''',
                'rx_backup_assign_err_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-event-unknown', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Unknown events
                ''',
                'rx_event_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Change event
                ''',
                'rx_path_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Create event
                ''',
                'rx_path_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Delete event
                ''',
                'rx_path_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Error event
                ''',
                'rx_path_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-path-reeval-query-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Path Reeval Query event
                ''',
                'rx_path_reeval_query_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Change event
                ''',
                'rx_resv_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Create event
                ''',
                'rx_resv_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Delete event
                ''',
                'rx_resv_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rx-resv-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RX Resv Error event
                ''',
                'rx_resv_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-backup-assign-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Assign event
                ''',
                'tx_backup_assign_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-event-unknown', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Unknown TX events
                ''',
                'tx_event_unknown',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Change event
                ''',
                'tx_path_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Create event
                ''',
                'tx_path_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Delete event
                ''',
                'tx_path_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Error event
                ''',
                'tx_path_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-path-reeval-query-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Path Reeval Query event
                ''',
                'tx_path_reeval_query_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-change-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Change event
                ''',
                'tx_resv_change_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-create-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Create event
                ''',
                'tx_resv_create_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-delete-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Delete event
                ''',
                'tx_resv_delete_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tx-resv-error-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TX Resv Error event
                ''',
                'tx_resv_error_event',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalling-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.SignallingCounters' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.SignallingCounters',
            False, 
            [
            _MetaInfoClassMember('head-signalling-counters', REFERENCE_CLASS, 'HeadSignallingCounters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.SignallingCounters.HeadSignallingCounters', 
                [], [], 
                '''                Sig Head Table TE counters
                ''',
                'head_signalling_counters',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('heads-counters', REFERENCE_CLASS, 'HeadsCounters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.SignallingCounters.HeadsCounters', 
                [], [], 
                '''                MPLS TE counters signalling heads table
                ''',
                'heads_counters',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('issu', REFERENCE_CLASS, 'Issu' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.SignallingCounters.Issu', 
                [], [], 
                '''                MPLS TE ISSU counters
                ''',
                'issu',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mids-counters', REFERENCE_CLASS, 'MidsCounters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.SignallingCounters.MidsCounters', 
                [], [], 
                '''                MPLS TE counters signalling heads table
                ''',
                'mids_counters',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-signalling-counters', REFERENCE_CLASS, 'RemoteSignallingCounters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.SignallingCounters.RemoteSignallingCounters', 
                [], [], 
                '''                Sig mid tail Table TE counters
                ''',
                'remote_signalling_counters',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-summary', REFERENCE_CLASS, 'SignallingSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.SignallingCounters.SignallingSummary', 
                [], [], 
                '''                Send-Recv count summary for TE Signaling
                ''',
                'signalling_summary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signallings', REFERENCE_CLASS, 'Signallings' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.SignallingCounters.Signallings', 
                [], [], 
                '''                TE counters
                ''',
                'signallings',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tails-counters', REFERENCE_CLASS, 'TailsCounters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.SignallingCounters.TailsCounters', 
                [], [], 
                '''                MPLS TE counters signalling heads table
                ''',
                'tails_counters',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalling-counters',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.DiffServTeClasses.TeClass' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.DiffServTeClasses.TeClass',
            False, 
            [
            _MetaInfoClassMember('class-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                The DS-TE class number from 0 to 7
                ''',
                'class_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('class-status', REFERENCE_ENUM_CLASS, 'MplsTeDsteClassStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeDsteClassStatusEnum', 
                [], [], 
                '''                The status of the TE class
                ''',
                'class_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                The class type of the TE class
                ''',
                'class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                The priority of the TE class
                ''',
                'priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'te-class',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.DiffServTeClasses' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.DiffServTeClasses',
            False, 
            [
            _MetaInfoClassMember('te-class', REFERENCE_LIST, 'TeClass' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.DiffServTeClasses.TeClass', 
                [], [], 
                '''                te class
                ''',
                'te_class',
                'Cisco-IOS-XR-mpls-te-oper', False, max_elements=8),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'diff-serv-te-classes',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Issu.Status.SyncStatusInformation.SlaveSyncInformation.Idt.CurrentIdtInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Issu.Status.SyncStatusInformation.SlaveSyncInformation.Idt.CurrentIdtInfo',
            False, 
            [
            _MetaInfoClassMember('declare-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Declare ready timestampe in seconds
                ''',
                'declare_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('idt-end-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT end timestampe in seconds
                ''',
                'idt_end_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('idt-start-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT start timestampe in seconds
                ''',
                'idt_start_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-ready-status', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Ready status
                ''',
                'is_ready_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reason', REFERENCE_ENUM_CLASS, 'TeSyncNotReadyReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSyncNotReadyReasonEnum', 
                [], [], 
                '''                Not ready reason
                ''',
                'reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('withdraw-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Withdraw ready timestampe in seconds
                ''',
                'withdraw_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'current-idt-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Issu.Status.SyncStatusInformation.SlaveSyncInformation.Idt.PreviousIdtStatus' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Issu.Status.SyncStatusInformation.SlaveSyncInformation.Idt.PreviousIdtStatus',
            False, 
            [
            _MetaInfoClassMember('declare-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Declare ready timestampe in seconds
                ''',
                'declare_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('idt-end-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT end timestampe in seconds
                ''',
                'idt_end_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('idt-start-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT start timestampe in seconds
                ''',
                'idt_start_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-ready-status', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Ready status
                ''',
                'is_ready_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reason', REFERENCE_ENUM_CLASS, 'TeSyncNotReadyReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSyncNotReadyReasonEnum', 
                [], [], 
                '''                Not ready reason
                ''',
                'reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('withdraw-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Withdraw ready timestampe in seconds
                ''',
                'withdraw_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'previous-idt-status',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Issu.Status.SyncStatusInformation.SlaveSyncInformation.Idt' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Issu.Status.SyncStatusInformation.SlaveSyncInformation.Idt',
            False, 
            [
            _MetaInfoClassMember('current-idt-info', REFERENCE_CLASS, 'CurrentIdtInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Issu.Status.SyncStatusInformation.SlaveSyncInformation.Idt.CurrentIdtInfo', 
                [], [], 
                '''                Current IDT information
                ''',
                'current_idt_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-idt-status', REFERENCE_CLASS, 'PreviousIdtStatus' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Issu.Status.SyncStatusInformation.SlaveSyncInformation.Idt.PreviousIdtStatus', 
                [], [], 
                '''                Previous IDT information
                ''',
                'previous_idt_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'idt',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Issu.Status.SyncStatusInformation.SlaveSyncInformation.VifPending' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Issu.Status.SyncStatusInformation.SlaveSyncInformation.VifPending',
            False, 
            [
            _MetaInfoClassMember('pending-reason', REFERENCE_ENUM_CLASS, 'TeSyncPendingReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSyncPendingReasonEnum', 
                [], [], 
                '''                Pending reason
                ''',
                'pending_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'vif-pending',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Issu.Status.SyncStatusInformation.SlaveSyncInformation.S2LPending' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Issu.Status.SyncStatusInformation.SlaveSyncInformation.S2LPending',
            False, 
            [
            _MetaInfoClassMember('pending-reason', REFERENCE_ENUM_CLASS, 'TeSyncPendingReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSyncPendingReasonEnum', 
                [], [], 
                '''                Pending reason
                ''',
                'pending_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-role', REFERENCE_ENUM_CLASS, 'MplsTeTunnelRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelRoleEnum', 
                [], [], 
                '''                S2L role
                ''',
                's2l_role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signaled-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signaled name
                ''',
                'signaled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-pending',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Issu.Status.SyncStatusInformation.SlaveSyncInformation' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Issu.Status.SyncStatusInformation.SlaveSyncInformation',
            False, 
            [
            _MetaInfoClassMember('idt', REFERENCE_CLASS, 'Idt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Issu.Status.SyncStatusInformation.SlaveSyncInformation.Idt', 
                [], [], 
                '''                Sync status IDT information
                ''',
                'idt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('insync-sub-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-LSPs in sync
                ''',
                'insync_sub_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('insync-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnels in sync
                ''',
                'insync_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pending-sub-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-LSPs in sync pending
                ''',
                'pending_sub_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pending-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnels in sync pending
                ''',
                'pending_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-pending', REFERENCE_LIST, 'S2LPending' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Issu.Status.SyncStatusInformation.SlaveSyncInformation.S2LPending', 
                [], [], 
                '''                Pending sub-LSPs details
                ''',
                's2l_pending',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('vif-pending', REFERENCE_LIST, 'VifPending' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Issu.Status.SyncStatusInformation.SlaveSyncInformation.VifPending', 
                [], [], 
                '''                Pending tunnels details
                ''',
                'vif_pending',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'slave-sync-information',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Issu.Status.SyncStatusInformation.MasterSyncInformation.Idt.CurrentIdtInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Issu.Status.SyncStatusInformation.MasterSyncInformation.Idt.CurrentIdtInfo',
            False, 
            [
            _MetaInfoClassMember('declare-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Declare ready timestampe in seconds
                ''',
                'declare_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('idt-end-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT end timestampe in seconds
                ''',
                'idt_end_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('idt-start-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT start timestampe in seconds
                ''',
                'idt_start_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-ready-status', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Ready status
                ''',
                'is_ready_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reason', REFERENCE_ENUM_CLASS, 'TeSyncNotReadyReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSyncNotReadyReasonEnum', 
                [], [], 
                '''                Not ready reason
                ''',
                'reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('withdraw-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Withdraw ready timestampe in seconds
                ''',
                'withdraw_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'current-idt-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Issu.Status.SyncStatusInformation.MasterSyncInformation.Idt.PreviousIdtStatus' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Issu.Status.SyncStatusInformation.MasterSyncInformation.Idt.PreviousIdtStatus',
            False, 
            [
            _MetaInfoClassMember('declare-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Declare ready timestampe in seconds
                ''',
                'declare_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('idt-end-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT end timestampe in seconds
                ''',
                'idt_end_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('idt-start-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT start timestampe in seconds
                ''',
                'idt_start_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-ready-status', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Ready status
                ''',
                'is_ready_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reason', REFERENCE_ENUM_CLASS, 'TeSyncNotReadyReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSyncNotReadyReasonEnum', 
                [], [], 
                '''                Not ready reason
                ''',
                'reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('withdraw-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Withdraw ready timestampe in seconds
                ''',
                'withdraw_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'previous-idt-status',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Issu.Status.SyncStatusInformation.MasterSyncInformation.Idt' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Issu.Status.SyncStatusInformation.MasterSyncInformation.Idt',
            False, 
            [
            _MetaInfoClassMember('current-idt-info', REFERENCE_CLASS, 'CurrentIdtInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Issu.Status.SyncStatusInformation.MasterSyncInformation.Idt.CurrentIdtInfo', 
                [], [], 
                '''                Current IDT information
                ''',
                'current_idt_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-idt-status', REFERENCE_CLASS, 'PreviousIdtStatus' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Issu.Status.SyncStatusInformation.MasterSyncInformation.Idt.PreviousIdtStatus', 
                [], [], 
                '''                Previous IDT information
                ''',
                'previous_idt_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'idt',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Issu.Status.SyncStatusInformation.MasterSyncInformation' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Issu.Status.SyncStatusInformation.MasterSyncInformation',
            False, 
            [
            _MetaInfoClassMember('idt', REFERENCE_CLASS, 'Idt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Issu.Status.SyncStatusInformation.MasterSyncInformation.Idt', 
                [], [], 
                '''                Sync status IDT information
                ''',
                'idt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'master-sync-information',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Issu.Status.SyncStatusInformation' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Issu.Status.SyncStatusInformation',
            False, 
            [
            _MetaInfoClassMember('master-sync-information', REFERENCE_CLASS, 'MasterSyncInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Issu.Status.SyncStatusInformation.MasterSyncInformation', 
                [], [], 
                '''                Master sync information
                ''',
                'master_sync_information',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('slave-sync-information', REFERENCE_CLASS, 'SlaveSyncInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Issu.Status.SyncStatusInformation.SlaveSyncInformation', 
                [], [], 
                '''                Slave sync information
                ''',
                'slave_sync_information',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sync-show-type', REFERENCE_ENUM_CLASS, 'TeSyncStatusShowEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSyncStatusShowEnum', 
                [], [], 
                '''                SyncShowType
                ''',
                'sync_show_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'sync-status-information',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Issu.Status' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Issu.Status',
            False, 
            [
            _MetaInfoClassMember('role', REFERENCE_ENUM_CLASS, 'TeProcRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProcRoleEnum', 
                [], [], 
                '''                Process role
                ''',
                'role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sync-status-information', REFERENCE_CLASS, 'SyncStatusInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Issu.Status.SyncStatusInformation', 
                [], [], 
                '''                Sync information for the NSR and ISSU
                ''',
                'sync_status_information',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'status',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Issu.Detail.SyncStatusInformation.SlaveSyncInformation.Idt.CurrentIdtInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Issu.Detail.SyncStatusInformation.SlaveSyncInformation.Idt.CurrentIdtInfo',
            False, 
            [
            _MetaInfoClassMember('declare-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Declare ready timestampe in seconds
                ''',
                'declare_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('idt-end-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT end timestampe in seconds
                ''',
                'idt_end_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('idt-start-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT start timestampe in seconds
                ''',
                'idt_start_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-ready-status', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Ready status
                ''',
                'is_ready_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reason', REFERENCE_ENUM_CLASS, 'TeSyncNotReadyReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSyncNotReadyReasonEnum', 
                [], [], 
                '''                Not ready reason
                ''',
                'reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('withdraw-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Withdraw ready timestampe in seconds
                ''',
                'withdraw_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'current-idt-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Issu.Detail.SyncStatusInformation.SlaveSyncInformation.Idt.PreviousIdtStatus' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Issu.Detail.SyncStatusInformation.SlaveSyncInformation.Idt.PreviousIdtStatus',
            False, 
            [
            _MetaInfoClassMember('declare-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Declare ready timestampe in seconds
                ''',
                'declare_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('idt-end-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT end timestampe in seconds
                ''',
                'idt_end_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('idt-start-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT start timestampe in seconds
                ''',
                'idt_start_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-ready-status', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Ready status
                ''',
                'is_ready_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reason', REFERENCE_ENUM_CLASS, 'TeSyncNotReadyReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSyncNotReadyReasonEnum', 
                [], [], 
                '''                Not ready reason
                ''',
                'reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('withdraw-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Withdraw ready timestampe in seconds
                ''',
                'withdraw_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'previous-idt-status',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Issu.Detail.SyncStatusInformation.SlaveSyncInformation.Idt' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Issu.Detail.SyncStatusInformation.SlaveSyncInformation.Idt',
            False, 
            [
            _MetaInfoClassMember('current-idt-info', REFERENCE_CLASS, 'CurrentIdtInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Issu.Detail.SyncStatusInformation.SlaveSyncInformation.Idt.CurrentIdtInfo', 
                [], [], 
                '''                Current IDT information
                ''',
                'current_idt_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-idt-status', REFERENCE_CLASS, 'PreviousIdtStatus' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Issu.Detail.SyncStatusInformation.SlaveSyncInformation.Idt.PreviousIdtStatus', 
                [], [], 
                '''                Previous IDT information
                ''',
                'previous_idt_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'idt',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Issu.Detail.SyncStatusInformation.SlaveSyncInformation.VifPending' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Issu.Detail.SyncStatusInformation.SlaveSyncInformation.VifPending',
            False, 
            [
            _MetaInfoClassMember('pending-reason', REFERENCE_ENUM_CLASS, 'TeSyncPendingReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSyncPendingReasonEnum', 
                [], [], 
                '''                Pending reason
                ''',
                'pending_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'vif-pending',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Issu.Detail.SyncStatusInformation.SlaveSyncInformation.S2LPending' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Issu.Detail.SyncStatusInformation.SlaveSyncInformation.S2LPending',
            False, 
            [
            _MetaInfoClassMember('pending-reason', REFERENCE_ENUM_CLASS, 'TeSyncPendingReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSyncPendingReasonEnum', 
                [], [], 
                '''                Pending reason
                ''',
                'pending_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-role', REFERENCE_ENUM_CLASS, 'MplsTeTunnelRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelRoleEnum', 
                [], [], 
                '''                S2L role
                ''',
                's2l_role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signaled-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signaled name
                ''',
                'signaled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-pending',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Issu.Detail.SyncStatusInformation.SlaveSyncInformation' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Issu.Detail.SyncStatusInformation.SlaveSyncInformation',
            False, 
            [
            _MetaInfoClassMember('idt', REFERENCE_CLASS, 'Idt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Issu.Detail.SyncStatusInformation.SlaveSyncInformation.Idt', 
                [], [], 
                '''                Sync status IDT information
                ''',
                'idt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('insync-sub-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-LSPs in sync
                ''',
                'insync_sub_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('insync-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnels in sync
                ''',
                'insync_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pending-sub-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-LSPs in sync pending
                ''',
                'pending_sub_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pending-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnels in sync pending
                ''',
                'pending_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-pending', REFERENCE_LIST, 'S2LPending' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Issu.Detail.SyncStatusInformation.SlaveSyncInformation.S2LPending', 
                [], [], 
                '''                Pending sub-LSPs details
                ''',
                's2l_pending',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('vif-pending', REFERENCE_LIST, 'VifPending' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Issu.Detail.SyncStatusInformation.SlaveSyncInformation.VifPending', 
                [], [], 
                '''                Pending tunnels details
                ''',
                'vif_pending',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'slave-sync-information',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Issu.Detail.SyncStatusInformation.MasterSyncInformation.Idt.CurrentIdtInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Issu.Detail.SyncStatusInformation.MasterSyncInformation.Idt.CurrentIdtInfo',
            False, 
            [
            _MetaInfoClassMember('declare-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Declare ready timestampe in seconds
                ''',
                'declare_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('idt-end-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT end timestampe in seconds
                ''',
                'idt_end_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('idt-start-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT start timestampe in seconds
                ''',
                'idt_start_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-ready-status', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Ready status
                ''',
                'is_ready_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reason', REFERENCE_ENUM_CLASS, 'TeSyncNotReadyReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSyncNotReadyReasonEnum', 
                [], [], 
                '''                Not ready reason
                ''',
                'reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('withdraw-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Withdraw ready timestampe in seconds
                ''',
                'withdraw_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'current-idt-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Issu.Detail.SyncStatusInformation.MasterSyncInformation.Idt.PreviousIdtStatus' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Issu.Detail.SyncStatusInformation.MasterSyncInformation.Idt.PreviousIdtStatus',
            False, 
            [
            _MetaInfoClassMember('declare-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Declare ready timestampe in seconds
                ''',
                'declare_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('idt-end-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT end timestampe in seconds
                ''',
                'idt_end_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('idt-start-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT start timestampe in seconds
                ''',
                'idt_start_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-ready-status', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Ready status
                ''',
                'is_ready_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reason', REFERENCE_ENUM_CLASS, 'TeSyncNotReadyReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSyncNotReadyReasonEnum', 
                [], [], 
                '''                Not ready reason
                ''',
                'reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('withdraw-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Withdraw ready timestampe in seconds
                ''',
                'withdraw_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'previous-idt-status',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Issu.Detail.SyncStatusInformation.MasterSyncInformation.Idt' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Issu.Detail.SyncStatusInformation.MasterSyncInformation.Idt',
            False, 
            [
            _MetaInfoClassMember('current-idt-info', REFERENCE_CLASS, 'CurrentIdtInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Issu.Detail.SyncStatusInformation.MasterSyncInformation.Idt.CurrentIdtInfo', 
                [], [], 
                '''                Current IDT information
                ''',
                'current_idt_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-idt-status', REFERENCE_CLASS, 'PreviousIdtStatus' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Issu.Detail.SyncStatusInformation.MasterSyncInformation.Idt.PreviousIdtStatus', 
                [], [], 
                '''                Previous IDT information
                ''',
                'previous_idt_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'idt',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Issu.Detail.SyncStatusInformation.MasterSyncInformation' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Issu.Detail.SyncStatusInformation.MasterSyncInformation',
            False, 
            [
            _MetaInfoClassMember('idt', REFERENCE_CLASS, 'Idt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Issu.Detail.SyncStatusInformation.MasterSyncInformation.Idt', 
                [], [], 
                '''                Sync status IDT information
                ''',
                'idt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'master-sync-information',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Issu.Detail.SyncStatusInformation' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Issu.Detail.SyncStatusInformation',
            False, 
            [
            _MetaInfoClassMember('master-sync-information', REFERENCE_CLASS, 'MasterSyncInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Issu.Detail.SyncStatusInformation.MasterSyncInformation', 
                [], [], 
                '''                Master sync information
                ''',
                'master_sync_information',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('slave-sync-information', REFERENCE_CLASS, 'SlaveSyncInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Issu.Detail.SyncStatusInformation.SlaveSyncInformation', 
                [], [], 
                '''                Slave sync information
                ''',
                'slave_sync_information',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sync-show-type', REFERENCE_ENUM_CLASS, 'TeSyncStatusShowEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSyncStatusShowEnum', 
                [], [], 
                '''                SyncShowType
                ''',
                'sync_show_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'sync-status-information',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Issu.Detail' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Issu.Detail',
            False, 
            [
            _MetaInfoClassMember('role', REFERENCE_ENUM_CLASS, 'TeProcRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProcRoleEnum', 
                [], [], 
                '''                Process role
                ''',
                'role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sync-status-information', REFERENCE_CLASS, 'SyncStatusInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Issu.Detail.SyncStatusInformation', 
                [], [], 
                '''                Sync information for the NSR and ISSU
                ''',
                'sync_status_information',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'detail',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Issu' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Issu',
            False, 
            [
            _MetaInfoClassMember('detail', REFERENCE_CLASS, 'Detail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Issu.Detail', 
                [], [], 
                '''                MPLS TE ISSU Status information
                ''',
                'detail',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_CLASS, 'Status' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Issu.Status', 
                [], [], 
                '''                MPLS TE ISSU Status information
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'issu',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.FastReroute.BackupTunnels.BackupTunnel' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.FastReroute.BackupTunnels.BackupTunnel',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Protected interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Backup tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('backup-status', REFERENCE_ENUM_CLASS, 'MplsTeBackupStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBackupStatusEnum', 
                [], [], 
                '''                Backup state
                ''',
                'backup_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup tunnel ID
                ''',
                'backup_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-tunnel-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Backup tunnel name
                ''',
                'backup_tunnel_name_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-type', REFERENCE_ENUM_CLASS, 'MplsTeBackupEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBackupEnum', 
                [], [], 
                '''                Backup type
                ''',
                'backup_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-usage', REFERENCE_ENUM_CLASS, 'MplsTeBackupUsageEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBackupUsageEnum', 
                [], [], 
                '''                Backup usage
                ''',
                'backup_usage',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth (kbps)
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-limit-type', REFERENCE_ENUM_CLASS, 'MplsTeBwLimitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwLimitEnum', 
                [], [], 
                '''                Bandwidth limit type
                ''',
                'bandwidth_limit_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-pool-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                Bandwidth pool type
                ''',
                'bandwidth_pool_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('connection-status', REFERENCE_ENUM_CLASS, 'MplsTeTunnelStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelStateEnum', 
                [], [], 
                '''                Backup's connection's status
                ''',
                'connection_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Backup's destination
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-active-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSPs in FRR active state
                ''',
                'frr_active_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-active-soft-preempted-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of soft preempted LSPs routed over backup
                ''',
                'frr_active_soft_preempted_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('general-status', REFERENCE_ENUM_CLASS, 'MplsTeTunnelStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelStateEnum', 
                [], [], 
                '''                Backup's general status
                ''',
                'general_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the auto-backup has an attribute set
                defined
                ''',
                'has_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-use-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth currently in use (kbps)
                ''',
                'in_use_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-attribute-set-in-db', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate the existence of attribute set
                found in database
                ''',
                'is_attribute_set_in_db',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSPs
                ''',
                'ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('output-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The output intf of the tunnel
                ''',
                'output_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prot-interface-autobackup-config', REFERENCE_ENUM_CLASS, 'AutoBackupProtectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'AutoBackupProtectionEnum', 
                [], [], 
                '''                Protected interface Autobackup config
                ''',
                'prot_interface_autobackup_config',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prot-interface-srlg-config', REFERENCE_ENUM_CLASS, 'AutoBackupSrlgModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'AutoBackupSrlgModeEnum', 
                [], [], 
                '''                Protected interface SRLG config
                ''',
                'prot_interface_srlg_config',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('recreate-remaining-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time Remaining in Recreate Timer (seconds)
                ''',
                'recreate_remaining_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('recreate-timer-is-running', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if the recreate timer is running
                ''',
                'recreate_timer_is_running',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of P2MP S2Ls
                ''',
                's2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-families', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of S2L Families
                ''',
                's2l_families',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preempted-in-use-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth soft preempted and rerouted over the
                backup(kbps)
                ''',
                'soft_preempted_in_use_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Backup's source
                ''',
                'source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-instance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel instance
                ''',
                'tunnel_instance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'backup-tunnel',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.FastReroute.BackupTunnels' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.FastReroute.BackupTunnels',
            False, 
            [
            _MetaInfoClassMember('backup-tunnel', REFERENCE_LIST, 'BackupTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.FastReroute.BackupTunnels.BackupTunnel', 
                [], [], 
                '''                Fastreroute info for a given backup tunnel
                ''',
                'backup_tunnel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'backup-tunnels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.FastReroute.ProtectedInterfaces.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.FastReroute.ProtectedInterfaces.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('backup-tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Backup tunnel name
                ''',
                'backup_tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Protected interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('backup-status', REFERENCE_ENUM_CLASS, 'MplsTeBackupStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBackupStatusEnum', 
                [], [], 
                '''                Backup state
                ''',
                'backup_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup tunnel ID
                ''',
                'backup_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-tunnel-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Backup tunnel name
                ''',
                'backup_tunnel_name_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-type', REFERENCE_ENUM_CLASS, 'MplsTeBackupEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBackupEnum', 
                [], [], 
                '''                Backup type
                ''',
                'backup_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-usage', REFERENCE_ENUM_CLASS, 'MplsTeBackupUsageEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBackupUsageEnum', 
                [], [], 
                '''                Backup usage
                ''',
                'backup_usage',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth (kbps)
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-limit-type', REFERENCE_ENUM_CLASS, 'MplsTeBwLimitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwLimitEnum', 
                [], [], 
                '''                Bandwidth limit type
                ''',
                'bandwidth_limit_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-pool-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                Bandwidth pool type
                ''',
                'bandwidth_pool_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('connection-status', REFERENCE_ENUM_CLASS, 'MplsTeTunnelStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelStateEnum', 
                [], [], 
                '''                Backup's connection's status
                ''',
                'connection_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Backup's destination
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-active-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSPs in FRR active state
                ''',
                'frr_active_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-active-soft-preempted-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of soft preempted LSPs routed over backup
                ''',
                'frr_active_soft_preempted_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('general-status', REFERENCE_ENUM_CLASS, 'MplsTeTunnelStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelStateEnum', 
                [], [], 
                '''                Backup's general status
                ''',
                'general_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('has-attribute-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the auto-backup has an attribute set
                defined
                ''',
                'has_attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-use-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth currently in use (kbps)
                ''',
                'in_use_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-attribute-set-in-db', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate the existence of attribute set
                found in database
                ''',
                'is_attribute_set_in_db',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSPs
                ''',
                'ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('output-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The output intf of the tunnel
                ''',
                'output_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prot-interface-autobackup-config', REFERENCE_ENUM_CLASS, 'AutoBackupProtectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'AutoBackupProtectionEnum', 
                [], [], 
                '''                Protected interface Autobackup config
                ''',
                'prot_interface_autobackup_config',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prot-interface-srlg-config', REFERENCE_ENUM_CLASS, 'AutoBackupSrlgModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'AutoBackupSrlgModeEnum', 
                [], [], 
                '''                Protected interface SRLG config
                ''',
                'prot_interface_srlg_config',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('recreate-remaining-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time Remaining in Recreate Timer (seconds)
                ''',
                'recreate_remaining_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('recreate-timer-is-running', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates if the recreate timer is running
                ''',
                'recreate_timer_is_running',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of P2MP S2Ls
                ''',
                's2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-families', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of S2L Families
                ''',
                's2l_families',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preempted-in-use-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth soft preempted and rerouted over the
                backup(kbps)
                ''',
                'soft_preempted_in_use_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Backup's source
                ''',
                'source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-instance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel instance
                ''',
                'tunnel_instance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.FastReroute.ProtectedInterfaces' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.FastReroute.ProtectedInterfaces',
            False, 
            [
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.FastReroute.ProtectedInterfaces.ProtectedInterface', 
                [], [], 
                '''                Fastreroute info for a given protected
                interface
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interfaces',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.FastReroute.Protections.Protection' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.FastReroute.Protections.Protection',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination Address
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                LSP ID
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                P2MP ID
                ''',
                'p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('session-type', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Session Type
                ''',
                'session_type',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Subgroup ID
                ''',
                'sub_group_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('sub-group-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Orig ID
                ''',
                'sub_group_originator',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('admin-status', REFERENCE_ENUM_CLASS, 'MplsTeTunnelStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelStateEnum', 
                [], [], 
                '''                Tunnel Admin status
                ''',
                'admin_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup bandwidth
                ''',
                'backup_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                S2L Nexthop of the backup tunnel
                ''',
                'backup_next_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-status', REFERENCE_ENUM_CLASS, 'MplsTeBackupStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBackupStatusEnum', 
                [], [], 
                '''                Backup status
                ''',
                'backup_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-limit-type', REFERENCE_ENUM_CLASS, 'MplsTeBwLimitEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwLimitEnum', 
                [], [], 
                '''                Bandwidth limit type
                ''',
                'bandwidth_limit_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-pool-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                Bandwidth pool type
                ''',
                'bandwidth_pool_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-address-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination
                ''',
                'destination_address_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-tunnel-id-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended Tunnel ID
                ''',
                'extended_tunnel_id_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-output-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Output interface of bkup tunnel
                ''',
                'frr_output_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-output-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                FRR output label
                ''',
                'frr_output_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-output-tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                FRR output tunnel intface
                ''',
                'frr_output_tunnel_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('inbound-frr-state', REFERENCE_ENUM_CLASS, 'MplsTeFrrStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeFrrStateEnum', 
                [], [], 
                '''                Indicates inbound FRR state
                ''',
                'inbound_frr_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('input-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input label
                ''',
                'input_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-frr-requested', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if frr protection is on
                ''',
                'is_frr_requested',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-p2mp-tunnel', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is P2P or P2MP Tunnel
                ''',
                'is_p2mp_tunnel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether signalled
                ''',
                'is_signalled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                LSP bandwidth type
                ''',
                'lsp_bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('operation-status', REFERENCE_ENUM_CLASS, 'MplsTeTunnelStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelStateEnum', 
                [], [], 
                '''                Tunnel operational status
                ''',
                'operation_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('original-input-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Input intface of the LSP
                ''',
                'original_input_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outbound-frr-state', REFERENCE_ENUM_CLASS, 'MplsTeFrrStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeFrrStateEnum', 
                [], [], 
                '''                Indicates outbound FRR state
                ''',
                'outbound_frr_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('output-interface-lsp', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Output intface of the LSP
                ''',
                'output_interface_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('output-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output label
                ''',
                'output_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2mp-id-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L P2MP ID
                ''',
                'p2mp_id_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Previous hop
                ''',
                'previous_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('role', REFERENCE_ENUM_CLASS, 'MplsTeTunnelRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelRoleEnum', 
                [], [], 
                '''                Role of LSP
                ''',
                'role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sharing-type', REFERENCE_ENUM_CLASS, 'MplsTeFrrSharingEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeFrrSharingEnum', 
                [], [], 
                '''                Outgoing i/f Sharing type
                ''',
                'sharing_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-address-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source
                ''',
                'source_address_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-group-id-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Sub-Group ID
                ''',
                'sub_group_id_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-group-original-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                S2L Sub-Group Originator ID
                ''',
                'sub_group_original_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-instance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel instance
                ''',
                'tunnel_instance',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.FastReroute.Protections' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.FastReroute.Protections',
            False, 
            [
            _MetaInfoClassMember('protection', REFERENCE_LIST, 'Protection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.FastReroute.Protections.Protection', 
                [], [], 
                '''                Fastreroute info for a given protection
                interface
                ''',
                'protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protections',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.FastReroute.Promotion' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.FastReroute.Promotion',
            False, 
            [
            _MetaInfoClassMember('is-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicate if periodic promotion is configured 
                ''',
                'is_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('promotion-period', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Promotion period in seconds
                ''',
                'promotion_period',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remaining-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remaining time for next promotion in seconds
                ''',
                'remaining_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'promotion',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.FastReroute' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.FastReroute',
            False, 
            [
            _MetaInfoClassMember('backup-tunnels', REFERENCE_CLASS, 'BackupTunnels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.FastReroute.BackupTunnels', 
                [], [], 
                '''                The set of fastreroute backup tunnels available
                in MPLS-TE
                ''',
                'backup_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('promotion', REFERENCE_CLASS, 'Promotion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.FastReroute.Promotion', 
                [], [], 
                '''                The info about the promotion timer of backup
                tunnels
                ''',
                'promotion',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interfaces', REFERENCE_CLASS, 'ProtectedInterfaces' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.FastReroute.ProtectedInterfaces', 
                [], [], 
                '''                The set of fastreroute protected interfaces
                available in MPLS-TE
                ''',
                'protected_interfaces',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protections', REFERENCE_CLASS, 'Protections' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.FastReroute.Protections', 
                [], [], 
                '''                The set of fastreroute protected interfaces
                available in MPLS-TE
                ''',
                'protections',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fast-reroute',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath',
            False, 
            [
            _MetaInfoClassMember('binding-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD reverse path binding label
                ''',
                'binding_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-type', REFERENCE_ENUM_CLASS, 'TeBfdReversePathEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdReversePathEnum', 
                [], [], 
                '''                BFD reverse path type
                ''',
                'path_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-reverse-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo',
            False, 
            [
            _MetaInfoClassMember('attribute-type', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Type
                ''',
                'attribute_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is default
                ''',
                'is_default',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'version-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetPathOption' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetPathOption',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-type', REFERENCE_ENUM_CLASS, 'MplsTeBwPoolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeBwPoolEnum', 
                [], [], 
                '''                The bandwidth type
                ''',
                'bandwidth_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-reverse-path', REFERENCE_CLASS, 'BfdReversePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath', 
                [], [], 
                '''                BFD reverse path
                ''',
                'bfd_reverse_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('cost-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost limit on the tunnel path
                ''',
                'cost_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclude-list-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Exclude list name
                ''',
                'exclude_list_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Generation
                ''',
                'generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bfd-reverse-pat-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is BFD reverse path configured
                ''',
                'is_bfd_reverse_pat_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-cost-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Cost Limit configured
                ''',
                'is_cost_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-exclude-list-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is exclude list name configured
                ''',
                'is_exclude_list_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-action', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation action
                ''',
                'path_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation interval on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('version-info', REFERENCE_LIST, 'VersionInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo', 
                [], [], 
                '''                Version Info
                ''',
                'version_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-path-option',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName',
            False, 
            [
            _MetaInfoClassMember('is-mp-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MP address appended
                ''',
                'is_mp_addresses',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signalled name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Protected interface address or name
                ''',
                'protected_interface_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-type', REFERENCE_ENUM_CLASS, 'TeSigNameAppendEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSigNameAppendEnum', 
                [], [], 
                '''                Source address or name
                ''',
                'source_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'signalled-name',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface',
            False, 
            [
            _MetaInfoClassMember('protected-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Protected Interface Name
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protected-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-signalled-name-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is signalled name configured
                ''',
                'is_signalled_name_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-interface', REFERENCE_LIST, 'ProtectedInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface', 
                [], [], 
                '''                Array of Protected Interface Names
                ''',
                'protected_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-name', REFERENCE_CLASS, 'SignalledName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName', 
                [], [], 
                '''                Signalled name
                ''',
                'signalled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-autobackup',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutomesh' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutomesh',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Auto bandwidth collect only
                ''',
                'auto_bandwidth_collect',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-route-announce', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Announce auto route to IGP
                ''',
                'auto_route_announce',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IM bandwidth
                ''',
                'bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward class
                ''',
                'forward_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-node-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR Node protection
                ''',
                'frr_node_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-interface-bw-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Interface BW configured
                ''',
                'is_interface_bw_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-policyclass-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is policy class configured
                ''',
                'is_policyclass_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('load-share', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Load Share
                ''',
                'load_share',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mesh-group-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Meshgroup ID
                ''',
                'mesh_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                deprecated
                ''',
                'policy_class',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-class-entry', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '255')], [], 
                '''                PBTS policy classes
                ''',
                'policy_class_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('record-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Record route
                ''',
                'record_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft preemption is configured
                ''',
                'soft_preemption_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-automesh',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 address
                ''',
                'address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix_len',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv6-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject',
            False, 
            [
            _MetaInfoClassMember('attribute', REFERENCE_ENUM_CLASS, 'TeXroAttributeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroAttributeEnum', 
                [], [], 
                '''                Attribute
                ''',
                'attribute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface ID
                ''',
                'interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id
                ''',
                'te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject',
            False, 
            [
            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Autonomous System number
                ''',
                'as_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'as-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject',
            False, 
            [
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG ID
                ''',
                'srlg_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlg-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject',
            False, 
            [
            _MetaInfoClassMember('destination-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Destination-node exception flag
                ''',
                'destination_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('exclusion-type', REFERENCE_ENUM_CLASS, 'TeXroExclusionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroExclusionEnum', 
                [], [], 
                '''                Exclusion Type
                ''',
                'exclusion_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec', REFERENCE_CLASS, 'Fec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec', 
                [], [], 
                '''                LSP FEC
                ''',
                'fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ignore-lsp-id', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether or not the lsp-id in
                the FEC is to be ignored
                ''',
                'ignore_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('penultimate-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Penultimate-node exception flag
                ''',
                'penultimate_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('processing-node-exception', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Processing-node exception flag
                ''',
                'processing_node_exception',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject',
            False, 
            [
            _MetaInfoClassMember('as-subobject', REFERENCE_CLASS, 'AsSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject', 
                [], [], 
                '''                AS sub-object
                ''',
                'as_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-subobject', REFERENCE_CLASS, 'Ipv4Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject', 
                [], [], 
                '''                IPv4 sub-object
                ''',
                'ipv4_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-subobject', REFERENCE_CLASS, 'Ipv6Subobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject', 
                [], [], 
                '''                IPv6 sub-object
                ''',
                'ipv6_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-subobject', REFERENCE_CLASS, 'LspSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject', 
                [], [], 
                '''                P2P LSP sub-object
                ''',
                'lsp_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-subobject', REFERENCE_CLASS, 'SrlgSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject', 
                [], [], 
                '''                SRLG sub-object
                ''',
                'srlg_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeXroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeXroSubobjEnum', 
                [], [], 
                '''                Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-subobject', REFERENCE_CLASS, 'UnnumberedSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject', 
                [], [], 
                '''                Unnumbered sub-object
                ''',
                'unnumbered_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro-subobject',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro',
            False, 
            [
            _MetaInfoClassMember('mutual-diversity-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Mutual Diversity Flag
                ''',
                'mutual_diversity_flag',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('xro-subobject', REFERENCE_LIST, 'XroSubobject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject', 
                [], [], 
                '''                List of XRO sub-objects
                ''',
                'xro_subobject',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro',
            False, 
            [
            _MetaInfoClassMember('xro', REFERENCE_CLASS, 'Xro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro', 
                [], [], 
                '''                The XRO specified by this attribute-set
                ''',
                'xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-xro',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bandwidth value in kbps
                ''',
                'configured_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dste-class-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DSTE Class
                ''',
                'dste_class_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fast reroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-bandwidth-protection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR bandwidth protection
                ''',
                'frr_bandwidth_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-bandwidth-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is bandwidth configured
                ''',
                'is_bandwidth_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-priority-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is priority configured
                ''',
                'is_priority_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2mpte',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Duration for scheduled reversion
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-tries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max tries for scheduled reversion
                ''',
                'max_tries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-date', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Schedule time for reversion
                ''',
                'schedule_date',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedule-frequency', REFERENCE_ENUM_CLASS, 'TeSchFreqEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSchFreqEnum', 
                [], [], 
                '''                Schedule frequency for reversion
                ''',
                'schedule_frequency',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('schedulename', ATTRIBUTE, 'str' , None, None, 
                [(0, 255)], [], 
                '''                Schedule name identifier
                ''',
                'schedulename',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'revert-schedule',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetApsPp' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetApsPp',
            False, 
            [
            _MetaInfoClassMember('hold-off-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-off time
                ''',
                'hold_off_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-prot-profile-type', REFERENCE_ENUM_CLASS, 'TePathProtProfileEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathProtProfileEnum', 
                [], [], 
                '''                Path Protection Profile Type
                ''',
                'path_prot_profile_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-mode', REFERENCE_ENUM_CLASS, 'TePnrRevertOptionsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePnrRevertOptionsEnum', 
                [], [], 
                '''                Protection Restoration Mode
                ''',
                'protection_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-type', REFERENCE_ENUM_CLASS, 'TeProtectEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProtectEnum', 
                [], [], 
                '''                Protection Type
                ''',
                'protection_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('restoration-style', REFERENCE_ENUM_CLASS, 'TeRestorationStyleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeRestorationStyleEnum', 
                [], [], 
                '''                Restoration Style
                ''',
                'restoration_style',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('revert-schedule', REFERENCE_CLASS, 'RevertSchedule' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule', 
                [], [], 
                '''                Revert Schedule
                ''',
                'revert_schedule',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('snc-mode', REFERENCE_ENUM_CLASS, 'TeApsSncModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeApsSncModeEnum', 
                [], [], 
                '''                Sub-network Connection Mode
                ''',
                'snc_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tcm-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-network Connection Monitoring Mode
                ''',
                'tcm_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wait-to-restore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait to restore time
                ''',
                'wait_to_restore_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-aps-pp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity',
            False, 
            [
            _MetaInfoClassMember('constraint-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Constraint value
                ''',
                'constraint_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Constraint type
                ''',
                'constraint_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('constraint-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'constraint_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-forward-ref-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reference bits for undefined affinity names
                ''',
                'extended_forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forward-ref-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'forward_ref_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'named-affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity',
            False, 
            [
            _MetaInfoClassMember('affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity bits (colors)
                ''',
                'affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The affinity mask (colors)
                ''',
                'affinity_mask',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('named-affinity', REFERENCE_LIST, 'NamedAffinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity', 
                [], [], 
                '''                Array of name based constratints currently
                applied to the tunnel
                ''',
                'named_affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging',
            False, 
            [
            _MetaInfoClassMember('all-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                All logging option: TRUE - enabled, FALSE -
                disabled
                ''',
                'all_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-bandwidth-change', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP bandwidth change logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_bandwidth_change',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-insufficient-bw', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP insufficient bandwidth logging: TRUE -
                enabled, FALSE - disabled
                ''',
                'lsp_insufficient_bw',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-pcalc-failure-logging-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP pcalc failure logging: TRUE - enabled, FALSE
                - disabled
                ''',
                'lsp_pcalc_failure_logging_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-opt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-optimization logging: TRUE - enabled,
                FALSE - disabled
                ''',
                'lsp_re_opt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-re-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP re-route logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_re_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S2L State logging: TRUE - enabled, FALSE -
                disabled
                ''',
                's2l_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'logging',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry',
            False, 
            [
            _MetaInfoClassMember('index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend index
                ''',
                'index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prepend next label
                ''',
                'next_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeAttributeSetSrPrependEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAttributeSetSrPrependEnum', 
                [], [], 
                '''                Prepend Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList',
            False, 
            [
            _MetaInfoClassMember('prepend-entry', REFERENCE_LIST, 'PrependEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry', 
                [], [], 
                '''                List of prepend entries
                ''',
                'prepend_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'prepend-list',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe',
            False, 
            [
            _MetaInfoClassMember('affinity', REFERENCE_CLASS, 'Affinity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity', 
                [], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-affinity-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is affinity configured
                ''',
                'is_affinity_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-action-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation action configured
                ''',
                'is_path_invalidation_action_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-invalidation-timeout-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Invalidation timeout configured
                ''',
                'is_path_invalidation_timeout_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-select-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is any of the path selection parameters
                configured
                ''',
                'is_path_select_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-metric-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection metric configured
                ''',
                'is_path_selection_metric_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-adjacency-protection-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment routing configured
                ''',
                'is_path_selection_segment_routing_adjacency_protection_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection margin configured
                ''',
                'is_path_selection_segment_routing_margin_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-margin-relative', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Path selection margin is_relative
                ''',
                'is_path_selection_segment_routing_margin_relative',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-selection-segment-routing-segment-limit-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is path selection segment limit configured
                ''',
                'is_path_selection_segment_routing_segment_limit_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Configured
                ''',
                'is_pce_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Group ID Configured
                ''',
                'is_pce_disj_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Source Configured
                ''',
                'is_pce_disj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pce-disj-type-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Disjoint Path Type Configured
                ''',
                'is_pce_disj_type_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pceb-dj-source-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Source Configured
                ''',
                'is_pceb_dj_source_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-pcebd-group-id-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is PCE Bidirectional Group ID Configured
                ''',
                'is_pcebd_group_id_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-prepend-list-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is SR prepend list configured
                ''',
                'is_prepend_list_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('logging', REFERENCE_CLASS, 'Logging' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging', 
                [], [], 
                '''                Logging attributes
                ''',
                'logging',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-invalidation-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path invalidation timeout on the tunnel path
                ''',
                'path_invalidation_timeout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-invalidation-action', REFERENCE_ENUM_CLASS, 'TePathInvalActionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathInvalActionEnum', 
                [], [], 
                '''                Path invalidation action
                ''',
                'path_selection_invalidation_action',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-metric', REFERENCE_ENUM_CLASS, 'MplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricEnum', 
                [], [], 
                '''                Path selection metric type
                ''',
                'path_selection_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-adjacency-protection', REFERENCE_ENUM_CLASS, 'TeS2LSrPathSelectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LSrPathSelectionEnum', 
                [], [], 
                '''                Path selection segment-routing type
                ''',
                'path_selection_segment_routing_adjacency_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-margin', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path selection margin
                ''',
                'path_selection_segment_routing_margin',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-selection-segment-routing-segment-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Is path selection segment limit configured
                ''',
                'path_selection_segment_routing_segment_limit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Group ID
                ''',
                'pcebd_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcebd-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Bidirectional Source Address
                ''',
                'pcebd_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Group ID
                ''',
                'pcedp_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-source-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Disjoint Path Source Address
                ''',
                'pcedp_source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcedp-type', REFERENCE_ENUM_CLASS, 'TePceDisjointEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePceDisjointEnum', 
                [], [], 
                '''                PCE Disjoint Path Type
                ''',
                'pcedp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prepend-list', REFERENCE_CLASS, 'PrependList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList', 
                [], [], 
                '''                SR prepend list
                ''',
                'prepend_list',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-p2p-te',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion',
            False, 
            [
            _MetaInfoClassMember('attribute-set-aps-pp', REFERENCE_CLASS, 'AttributeSetApsPp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetApsPp', 
                [], [], 
                '''                Attribute Set OTN APS Path Protection
                ''',
                'attribute_set_aps_pp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-autobackup', REFERENCE_CLASS, 'AttributeSetAutobackup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup', 
                [], [], 
                '''                MPLS TE Auto-backup Attribute Set
                ''',
                'attribute_set_autobackup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-automesh', REFERENCE_CLASS, 'AttributeSetAutomesh' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutomesh', 
                [], [], 
                '''                MPLS TE Auto-mesh Attribute Set
                ''',
                'attribute_set_automesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2mpte', REFERENCE_CLASS, 'AttributeSetP2Mpte' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte', 
                [], [], 
                '''                MPLS TE P2MP-TE Attribute Set
                ''',
                'attribute_set_p2mpte',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-p2p-te', REFERENCE_CLASS, 'AttributeSetP2PTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe', 
                [], [], 
                '''                MPLS TE P2P-TE Attribute Set
                ''',
                'attribute_set_p2p_te',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-path-option', REFERENCE_CLASS, 'AttributeSetPathOption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetPathOption', 
                [], [], 
                '''                MPLS TE Path Option Attribute Set
                ''',
                'attribute_set_path_option',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-set-xro', REFERENCE_CLASS, 'AttributeSetXro' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro', 
                [], [], 
                '''                Attribute Set XRO
                ''',
                'attribute_set_xro',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-type', REFERENCE_ENUM_CLASS, 'TunnelAttributeSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TunnelAttributeSetEnum', 
                [], [], 
                '''                TunnelAttributeSetType
                ''',
                'tunnel_attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set-union',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AttributeSets.AttributeSet' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AttributeSets.AttributeSet',
            False, 
            [
            _MetaInfoClassMember('attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 64)], [], 
                '''                Attribute Set Name
                ''',
                'attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('attribute-set-type', REFERENCE_ENUM_CLASS, 'MplsTeAttrSetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeAttrSetEnum', 
                [], [], 
                '''                Attribute Set Type
                ''',
                'attribute_set_type',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('attribute-set-union', REFERENCE_CLASS, 'AttributeSetUnion' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion', 
                [], [], 
                '''                Union of Attribute Sets
                ''',
                'attribute_set_union',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Attribute Set Name
                ''',
                'tunnel_attribute_set_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-attribute-set-name-crc32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Attribute Set name CRC32 value
                ''',
                'tunnel_attribute_set_name_crc32',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-set',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AttributeSets' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AttributeSets',
            False, 
            [
            _MetaInfoClassMember('attribute-set', REFERENCE_LIST, 'AttributeSet' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AttributeSets.AttributeSet', 
                [], [], 
                '''                MPLS TE attribute-set information
                ''',
                'attribute_set',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'attribute-sets',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.IgpAreaBriefs.IgpAreaBrief.Area.ActiveData.AreaStatistics' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.IgpAreaBriefs.IgpAreaBrief.Area.ActiveData.AreaStatistics',
            False, 
            [
            _MetaInfoClassMember('area-adjacency-announce-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of adjacency announcement messages
                received
                ''',
                'area_adjacency_announce_messages',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('area-adjacency-request-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of adjacency request messages sent
                ''',
                'area_adjacency_request_messages',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('area-flood-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of local LSA floods sent
                ''',
                'area_flood_messages',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('area-lsa-announce-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSA announcement messages received
                ''',
                'area_lsa_announce_messages',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('area-lsa-delete-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSA delete messages received
                ''',
                'area_lsa_delete_messages',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('area-lsa-fragment-announce-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSA fragment announcement messages
                received
                ''',
                'area_lsa_fragment_announce_messages',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('area-lsa-fragment-delete-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSA fragment delete messages received
                ''',
                'area_lsa_fragment_delete_messages',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('area-tunnel-announce-messages', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of tunnel announcement messages sent
                ''',
                'area_tunnel_announce_messages',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'area-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.IgpAreaBriefs.IgpAreaBrief.Area.ActiveData' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.IgpAreaBriefs.IgpAreaBrief.Area.ActiveData',
            False, 
            [
            _MetaInfoClassMember('area-statistics', REFERENCE_CLASS, 'AreaStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.IgpAreaBriefs.IgpAreaBrief.Area.ActiveData.AreaStatistics', 
                [], [], 
                '''                Area communication statistics
                ''',
                'area_statistics',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interfaces-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of interfaces running over this area
                ''',
                'interfaces_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-idt-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate IDT for link adjacencies was
                received
                ''',
                'link_idt_received',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2mp-destination-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of P2MP destinations whose path was
                calculated over this area
                ''',
                'p2mp_destination_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-autoroute-announced-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of p2p tunnel heads which have been
                autoroute-announced into this area
                ''',
                'p2p_autoroute_announced_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-forwarding-adjacency-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of p2p tunnel heads which have been
                announced as forwarding adjacencies in this area
                ''',
                'p2p_forwarding_adjacency_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-heads-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of p2p tunnel heads whose path was
                calculated over this area
                ''',
                'p2p_heads_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sr-strict', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate if the area is SR strict
                ''',
                'sr_strict',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-idt-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate IDT topology was received
                ''',
                'topology_idt_received',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-loose-hops', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of tunnels with a loose hop ERO expanded
                in this area
                ''',
                'tunnel_loose_hops',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'active-data',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.IgpAreaBriefs.IgpAreaBrief.Area' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.IgpAreaBriefs.IgpAreaBrief.Area',
            False, 
            [
            _MetaInfoClassMember('active-data', REFERENCE_CLASS, 'ActiveData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.IgpAreaBriefs.IgpAreaBrief.Area.ActiveData', 
                [], [], 
                '''                Data which applies only to an active area
                ''',
                'active_data',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('area-format', REFERENCE_ENUM_CLASS, 'IgpOspfAreaFormatEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'IgpOspfAreaFormatEnum', 
                [], [], 
                '''                IGP Area Format
                ''',
                'area_format',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('area-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Internal area index
                ''',
                'area_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('area-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area number
                ''',
                'area_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-config-ready', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates whether or not the area is correctly
                configured under the IGP submode to run TE
                ''',
                'is_config_ready',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'area',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.IgpAreaBriefs.IgpAreaBrief' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.IgpAreaBriefs.IgpAreaBrief',
            False, 
            [
            _MetaInfoClassMember('process-tag', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                IGP Process Tag
                ''',
                'process_tag',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'MplsTeIgpProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeIgpProtocolEnum', 
                [], [], 
                '''                The IGP protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('area', REFERENCE_LIST, 'Area' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.IgpAreaBriefs.IgpAreaBrief.Area', 
                [], [], 
                '''                IGP area information
                ''',
                'area',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('configured-te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Configured TE router-id
                ''',
                'configured_te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('connection-down-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times IGP connection has gone down
                ''',
                'connection_down_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('connection-up-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of times IGP connection has gone up
                ''',
                'connection_up_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('global-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Global router-id
                ''',
                'global_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('globall-router-id-optical', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Global router-id for GMPLS (optical TE)
                ''',
                'globall_router_id_optical',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('igp-system-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                 The IGP instance's system/router-id; interpret
                appropriately depending on IGP type
                ''',
                'igp_system_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('igp-type', REFERENCE_ENUM_CLASS, 'IgpProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'IgpProtocolEnum', 
                [], [], 
                '''                IGP type
                ''',
                'igp_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-use-te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                TE router-id in use
                ''',
                'in_use_te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                 The IGP instance name
                ''',
                'instance_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-connection-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether the IGP connection is
                open or not
                ''',
                'is_connection_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('secondary-router-id', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Secondary router-ids
                ''',
                'secondary_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'igp-area-brief',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.IgpAreaBriefs' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.IgpAreaBriefs',
            False, 
            [
            _MetaInfoClassMember('igp-area-brief', REFERENCE_LIST, 'IgpAreaBrief' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.IgpAreaBriefs.IgpAreaBrief', 
                [], [], 
                '''                An IGP instance Brief info
                ''',
                'igp_area_brief',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'igp-area-briefs',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.FlexInfo.FlexFec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.FlexInfo.FlexFec',
            False, 
            [
            _MetaInfoClassMember('s2l-fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                Session identifier (ctype)
                ''',
                's2l_fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-dest', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                sub-LSP destination address
                ''',
                's2l_fec_dest',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                's2l_fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                's2l_fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                's2l_fec_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSP source address
                ''',
                's2l_fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                sub-LSP subgroup ID
                ''',
                's2l_fec_subgroup_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                's2l_fec_subgroup_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                's2l_fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                's2l_fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.FlexInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.FlexInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-created', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GAL BFD Session Created
                ''',
                'bfd_created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-egress-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Egress Label
                ''',
                'bfd_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-int-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Internal Label
                ''',
                'bfd_int_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                BFD Next Hop
                ''',
                'bfd_next_hop',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-out-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD Out Interface Handle
                ''',
                'bfd_out_ifh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-tun-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD Tunnel Interface Handle
                ''',
                'bfd_tun_ifh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GAL BFD Session Up
                ''',
                'bfd_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('entry-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FlexLSP Entry Exists
                ''',
                'entry_exists',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ais', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault AIS
                ''',
                'fault_ais',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ldi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LDI
                ''',
                'fault_ldi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ldi-lockout', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LDI Lockout
                ''',
                'fault_ldi_lockout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-lkr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LKR
                ''',
                'fault_lkr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Fault Time
                ''',
                'fault_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex-fec', REFERENCE_CLASS, 'FlexFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.FlexInfo.FlexFec', 
                [], [], 
                '''                FEC for the FlexLSP Entry
                ''',
                'flex_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                In Label
                ''',
                'in_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('oam-created', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                OAM Entry Created
                ''',
                'oam_created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.Association' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.Association',
            False, 
            [
            _MetaInfoClassMember('s2l-association-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Association ID
                ''',
                's2l_association_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                S2L Association Source
                ''',
                's2l_association_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-tie-role', REFERENCE_ENUM_CLASS, 'TeAssociationTieRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAssociationTieRoleEnum', 
                [], [], 
                '''                S2L Association Tie Role
                ''',
                's2l_association_tie_role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Association Type                         
                (draft-ietf-ccamp-mpls-tp-rsvpte-ext-associated-lsp)
                ''',
                's2l_association_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-extended-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L Extended ID Array
                ''',
                's2l_extended_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-global-source', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L Global Source
                ''',
                's2l_global_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'association',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.Protection' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.Protection',
            False, 
            [
            _MetaInfoClassMember('any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Any
                ''',
                'any',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ded1-plus1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1+1 Protection
                ''',
                'ded1_plus1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ded1-to1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1:1 Protection
                ''',
                'ded1_to1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('enhanced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates Enhanced Protection Scheme
                ''',
                'enhanced',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extra-traffic', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should use Links that are protecting other
                (primary) traffic
                ''',
                'extra_traffic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should not use any Link Layer Protection
                ''',
                'link_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Flags Unprotected
                ''',
                'lsp_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-plus-one-bi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Bidirectional Protection
                ''',
                'one_plus_one_bi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-plus-one-uni', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Unidirectional Protection
                ''',
                'one_plus_one_uni',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-to-n-protection-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1:N Protection with Extra-Traffic
                ''',
                'one_to_n_protection_et',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Full Rerouting
                ''',
                'rerouting',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouting-no-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Rerouting Without Extra-Traffic
                ''',
                'rerouting_no_et',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-notification', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Notification Bit
                ''',
                's2l_notification',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-operational', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Operational Bit
                ''',
                's2l_operational',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Protecting Bit
                ''',
                's2l_protecting',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-secondary', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Secondary Bit
                ''',
                's2l_secondary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Shared Link Layer Protection
                ''',
                'shared',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp.ReverseLspFec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp.ReverseLspFec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp.ReverseLspFec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp.ReverseLspFec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp.ReverseLspFec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-lsp-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp.Association' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp.Association',
            False, 
            [
            _MetaInfoClassMember('s2l-association-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Association ID
                ''',
                's2l_association_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                S2L Association Source
                ''',
                's2l_association_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-tie-role', REFERENCE_ENUM_CLASS, 'TeAssociationTieRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAssociationTieRoleEnum', 
                [], [], 
                '''                S2L Association Tie Role
                ''',
                's2l_association_tie_role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Association Type                         
                (draft-ietf-ccamp-mpls-tp-rsvpte-ext-associated-lsp)
                ''',
                's2l_association_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-extended-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L Extended ID Array
                ''',
                's2l_extended_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-global-source', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L Global Source
                ''',
                's2l_global_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'association',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp.Protection' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp.Protection',
            False, 
            [
            _MetaInfoClassMember('any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Any
                ''',
                'any',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ded1-plus1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1+1 Protection
                ''',
                'ded1_plus1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ded1-to1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1:1 Protection
                ''',
                'ded1_to1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('enhanced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates Enhanced Protection Scheme
                ''',
                'enhanced',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extra-traffic', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should use Links that are protecting other
                (primary) traffic
                ''',
                'extra_traffic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should not use any Link Layer Protection
                ''',
                'link_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Flags Unprotected
                ''',
                'lsp_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-plus-one-bi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Bidirectional Protection
                ''',
                'one_plus_one_bi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-plus-one-uni', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Unidirectional Protection
                ''',
                'one_plus_one_uni',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-to-n-protection-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1:N Protection with Extra-Traffic
                ''',
                'one_to_n_protection_et',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Full Rerouting
                ''',
                'rerouting',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouting-no-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Rerouting Without Extra-Traffic
                ''',
                'rerouting_no_et',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-notification', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Notification Bit
                ''',
                's2l_notification',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-operational', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Operational Bit
                ''',
                's2l_operational',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Protecting Bit
                ''',
                's2l_protecting',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-secondary', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Secondary Bit
                ''',
                's2l_secondary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Shared Link Layer Protection
                ''',
                'shared',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp',
            False, 
            [
            _MetaInfoClassMember('association', REFERENCE_CLASS, 'Association' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp.Association', 
                [], [], 
                '''                Association Object
                ''',
                'association',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection', REFERENCE_CLASS, 'Protection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp.Protection', 
                [], [], 
                '''                Protection Object
                ''',
                'protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Connected
                ''',
                'reverse_lsp_connected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-fec', REFERENCE_CLASS, 'ReverseLspFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp.ReverseLspFec', 
                [], [], 
                '''                Reverse Associated Bidir LSP FEC
                ''',
                'reverse_lsp_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Present
                ''',
                'reverse_lsp_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.LspHop.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.LspHop.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.LspHop.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.LspHop.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.LspHop' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.LspHop',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.LspHop.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.LspHop.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp',
            False, 
            [
            _MetaInfoClassMember('association', REFERENCE_CLASS, 'Association' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.Association', 
                [], [], 
                '''                Association Object
                ''',
                'association',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex-info', REFERENCE_CLASS, 'FlexInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.FlexInfo', 
                [], [], 
                '''                Flex Info
                ''',
                'flex_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-operational', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Operational
                ''',
                'is_operational',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-hop', REFERENCE_LIST, 'LspHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.LspHop', 
                [], [], 
                '''                Path used by LSP
                ''',
                'lsp_hop',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label 
                ''',
                'lsp_local_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-output-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Output interface of LSP
                ''',
                'lsp_output_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-output-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output label of the LSP
                ''',
                'lsp_output_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', REFERENCE_ENUM_CLASS, 'MplsTeTunnelStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelStateEnum', 
                [], [], 
                '''                LSP State
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSP Uptime
                ''',
                'lsp_uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-protection-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSP ID 
                ''',
                'path_protection_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection', REFERENCE_CLASS, 'Protection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.Protection', 
                [], [], 
                '''                Protection Object
                ''',
                'protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp', REFERENCE_CLASS, 'ReverseLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp', 
                [], [], 
                '''                Reverse LSP information
                ''',
                'reverse_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'working-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.FlexInfo.FlexFec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.FlexInfo.FlexFec',
            False, 
            [
            _MetaInfoClassMember('s2l-fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                Session identifier (ctype)
                ''',
                's2l_fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-dest', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                sub-LSP destination address
                ''',
                's2l_fec_dest',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                's2l_fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                's2l_fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                's2l_fec_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSP source address
                ''',
                's2l_fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                sub-LSP subgroup ID
                ''',
                's2l_fec_subgroup_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-subgroup-originator', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Subgroup Originator
                ''',
                's2l_fec_subgroup_originator',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                's2l_fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                's2l_fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.FlexInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.FlexInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-created', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GAL BFD Session Created
                ''',
                'bfd_created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-egress-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Egress Label
                ''',
                'bfd_egress_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-int-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD Internal Label
                ''',
                'bfd_int_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                BFD Next Hop
                ''',
                'bfd_next_hop',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-out-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD Out Interface Handle
                ''',
                'bfd_out_ifh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-tun-ifh', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                BFD Tunnel Interface Handle
                ''',
                'bfd_tun_ifh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                GAL BFD Session Up
                ''',
                'bfd_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('entry-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FlexLSP Entry Exists
                ''',
                'entry_exists',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ais', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault AIS
                ''',
                'fault_ais',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ldi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LDI
                ''',
                'fault_ldi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-ldi-lockout', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LDI Lockout
                ''',
                'fault_ldi_lockout',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-lkr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Fault LKR
                ''',
                'fault_lkr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fault-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Fault Time
                ''',
                'fault_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex-fec', REFERENCE_CLASS, 'FlexFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.FlexInfo.FlexFec', 
                [], [], 
                '''                FEC for the FlexLSP Entry
                ''',
                'flex_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('in-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                In Label
                ''',
                'in_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('oam-created', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                OAM Entry Created
                ''',
                'oam_created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.Association' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.Association',
            False, 
            [
            _MetaInfoClassMember('s2l-association-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Association ID
                ''',
                's2l_association_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                S2L Association Source
                ''',
                's2l_association_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-tie-role', REFERENCE_ENUM_CLASS, 'TeAssociationTieRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAssociationTieRoleEnum', 
                [], [], 
                '''                S2L Association Tie Role
                ''',
                's2l_association_tie_role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Association Type                         
                (draft-ietf-ccamp-mpls-tp-rsvpte-ext-associated-lsp)
                ''',
                's2l_association_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-extended-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L Extended ID Array
                ''',
                's2l_extended_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-global-source', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L Global Source
                ''',
                's2l_global_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'association',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.Protection' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.Protection',
            False, 
            [
            _MetaInfoClassMember('any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Any
                ''',
                'any',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ded1-plus1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1+1 Protection
                ''',
                'ded1_plus1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ded1-to1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1:1 Protection
                ''',
                'ded1_to1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('enhanced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates Enhanced Protection Scheme
                ''',
                'enhanced',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extra-traffic', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should use Links that are protecting other
                (primary) traffic
                ''',
                'extra_traffic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should not use any Link Layer Protection
                ''',
                'link_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Flags Unprotected
                ''',
                'lsp_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-plus-one-bi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Bidirectional Protection
                ''',
                'one_plus_one_bi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-plus-one-uni', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Unidirectional Protection
                ''',
                'one_plus_one_uni',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-to-n-protection-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1:N Protection with Extra-Traffic
                ''',
                'one_to_n_protection_et',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Full Rerouting
                ''',
                'rerouting',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouting-no-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Rerouting Without Extra-Traffic
                ''',
                'rerouting_no_et',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-notification', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Notification Bit
                ''',
                's2l_notification',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-operational', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Operational Bit
                ''',
                's2l_operational',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Protecting Bit
                ''',
                's2l_protecting',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-secondary', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Secondary Bit
                ''',
                's2l_secondary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Shared Link Layer Protection
                ''',
                'shared',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp.ReverseLspFec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp.ReverseLspFec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp.ReverseLspFec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp.ReverseLspFec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp.ReverseLspFec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-lsp-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp.Association' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp.Association',
            False, 
            [
            _MetaInfoClassMember('s2l-association-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Association ID
                ''',
                's2l_association_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                S2L Association Source
                ''',
                's2l_association_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-tie-role', REFERENCE_ENUM_CLASS, 'TeAssociationTieRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAssociationTieRoleEnum', 
                [], [], 
                '''                S2L Association Tie Role
                ''',
                's2l_association_tie_role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-association-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Association Type                         
                (draft-ietf-ccamp-mpls-tp-rsvpte-ext-associated-lsp)
                ''',
                's2l_association_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-extended-id', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L Extended ID Array
                ''',
                's2l_extended_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-global-source', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                S2L Global Source
                ''',
                's2l_global_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'association',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp.Protection' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp.Protection',
            False, 
            [
            _MetaInfoClassMember('any', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Any
                ''',
                'any',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ded1-plus1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1+1 Protection
                ''',
                'ded1_plus1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ded1-to1', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Dedicated 1:1 Protection
                ''',
                'ded1_to1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('enhanced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Indicates Enhanced Protection Scheme
                ''',
                'enhanced',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extra-traffic', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should use Links that are protecting other
                (primary) traffic
                ''',
                'extra_traffic',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP should not use any Link Layer Protection
                ''',
                'link_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-unprotected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSP Flags Unprotected
                ''',
                'lsp_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-plus-one-bi', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Bidirectional Protection
                ''',
                'one_plus_one_bi',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-plus-one-uni', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1+1 Unidirectional Protection
                ''',
                'one_plus_one_uni',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('one-to-n-protection-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                1:N Protection with Extra-Traffic
                ''',
                'one_to_n_protection_et',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Full Rerouting
                ''',
                'rerouting',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouting-no-et', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Rerouting Without Extra-Traffic
                ''',
                'rerouting_no_et',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-notification', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Notification Bit
                ''',
                's2l_notification',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-operational', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Operational Bit
                ''',
                's2l_operational',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-protecting', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Protecting Bit
                ''',
                's2l_protecting',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-secondary', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                 S2L Protection Secondary Bit
                ''',
                's2l_secondary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Shared Link Layer Protection
                ''',
                'shared',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp',
            False, 
            [
            _MetaInfoClassMember('association', REFERENCE_CLASS, 'Association' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp.Association', 
                [], [], 
                '''                Association Object
                ''',
                'association',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection', REFERENCE_CLASS, 'Protection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp.Protection', 
                [], [], 
                '''                Protection Object
                ''',
                'protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Connected
                ''',
                'reverse_lsp_connected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-fec', REFERENCE_CLASS, 'ReverseLspFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp.ReverseLspFec', 
                [], [], 
                '''                Reverse Associated Bidir LSP FEC
                ''',
                'reverse_lsp_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Reverse Associated Bidir LSP Present
                ''',
                'reverse_lsp_present',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reverse-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.LspHop.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.LspHop.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.LspHop.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.LspHop.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.LspHop' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.LspHop',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.LspHop.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.LspHop.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp',
            False, 
            [
            _MetaInfoClassMember('association', REFERENCE_CLASS, 'Association' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.Association', 
                [], [], 
                '''                Association Object
                ''',
                'association',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex-info', REFERENCE_CLASS, 'FlexInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.FlexInfo', 
                [], [], 
                '''                Flex Info
                ''',
                'flex_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-operational', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Operational
                ''',
                'is_operational',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-hop', REFERENCE_LIST, 'LspHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.LspHop', 
                [], [], 
                '''                Path used by LSP
                ''',
                'lsp_hop',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label 
                ''',
                'lsp_local_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-mode', REFERENCE_ENUM_CLASS, 'MplsTeLspModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspModeEnum', 
                [], [], 
                '''                LSP mode
                ''',
                'lsp_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-output-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Output interface of LSP
                ''',
                'lsp_output_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-output-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output label of the LSP
                ''',
                'lsp_output_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', REFERENCE_ENUM_CLASS, 'MplsTeTunnelStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelStateEnum', 
                [], [], 
                '''                LSP State
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSP Uptime
                ''',
                'lsp_uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-protection-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSP ID 
                ''',
                'path_protection_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection', REFERENCE_CLASS, 'Protection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.Protection', 
                [], [], 
                '''                Protection Object
                ''',
                'protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reverse-lsp', REFERENCE_CLASS, 'ReverseLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp', 
                [], [], 
                '''                Reverse LSP information
                ''',
                'reverse_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'protect-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp',
            False, 
            [
            _MetaInfoClassMember('ctype', REFERENCE_ENUM_CLASS, 'CtypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'CtypeEnum', 
                [], [], 
                '''                Ctype
                ''',
                'ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel UP
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protect-lsp', REFERENCE_CLASS, 'ProtectLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp', 
                [], [], 
                '''                 Protect LSP info
                ''',
                'protect_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source
                ''',
                'source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tun-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'tun_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('working-lsp', REFERENCE_CLASS, 'WorkingLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp', 
                [], [], 
                '''                 Working LSP info
                ''',
                'working_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tunnel-flex-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Tunnels.TunnelFlexLsps' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Tunnels.TunnelFlexLsps',
            False, 
            [
            _MetaInfoClassMember('tunnel-flex-lsp', REFERENCE_LIST, 'TunnelFlexLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp', 
                [], [], 
                '''                Flex LSP
                ''',
                'tunnel_flex_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tunnel-flex-lsps',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Tunnels.TunnelAutoBandwidths.TunnelAutoBandwidth.AutoBandwidthStatus' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Tunnels.TunnelAutoBandwidths.TunnelAutoBandwidth.AutoBandwidthStatus',
            False, 
            [
            _MetaInfoClassMember('is-auto-bandwidth-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if auto-bw is enabled for the tunnel
                ''',
                'is_auto_bandwidth_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reactivation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until auto-bw gets activated if activation
                has been delayed due to failover
                ''',
                'reactivation_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'auto-bandwidth-status',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Tunnels.TunnelAutoBandwidths.TunnelAutoBandwidth' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Tunnels.TunnelAutoBandwidths.TunnelAutoBandwidth',
            False, 
            [
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('auto-bandwidth-status', REFERENCE_CLASS, 'AutoBandwidthStatus' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Tunnels.TunnelAutoBandwidths.TunnelAutoBandwidth.AutoBandwidthStatus', 
                [], [], 
                '''                Tunnels's AutoBandwidth Status information
                ''',
                'auto_bandwidth_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bandwidth-applications', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of bandwidth applications requested
                by auto-bw
                ''',
                'bandwidth_applications',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('highest-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Highest bandwidth registered within current
                application period
                ''',
                'highest_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-bandwidth-applied', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last bandwidth requested by auto-bw for the
                tunnel
                ''',
                'last_bandwidth_applied',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-sample-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last sample bandwidth collected
                ''',
                'last_sample_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('samples-collected', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of samples collected within current
                application period
                ''',
                'samples_collected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signaled-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel signaled name
                ''',
                'signaled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalled-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Signalled bandwidth for the tunnel
                ''',
                'signalled_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-left-application', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time left until next auto-bw application
                algorithm is performed
                ''',
                'time_left_application',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel Lsp Id
                ''',
                'tunnel_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel name
                ''',
                'tunnel_name_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-requested-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Requested Bandwidth for the tunnel
                ''',
                'tunnel_requested_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tunnel-auto-bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Tunnels.TunnelAutoBandwidths' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Tunnels.TunnelAutoBandwidths',
            False, 
            [
            _MetaInfoClassMember('tunnel-auto-bandwidth', REFERENCE_LIST, 'TunnelAutoBandwidth' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Tunnels.TunnelAutoBandwidths.TunnelAutoBandwidth', 
                [], [], 
                '''                Auto Bandwidth info bag
                ''',
                'tunnel_auto_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tunnel-auto-bandwidths',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Tunnels.Summary.AutobackupSummary' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Tunnels.Summary.AutobackupSummary',
            False, 
            [
            _MetaInfoClassMember('autobackups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup tunnels
                ''',
                'autobackups',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('down-autobackups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup tunnels that are down
                ''',
                'down_autobackups',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-autobackup-protected-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup protected LSPs with
                NHOP and no SRLG
                ''',
                'next_hop_autobackup_protected_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-autobackup-protected-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup protected S2Ls with
                NHOP and no SRLG
                ''',
                'next_hop_autobackup_protected_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-autobackup-protected-s2l-families', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup protected S2L
                Families with NHOP and no SRLG
                ''',
                'next_hop_autobackup_protected_s2l_families',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-autobackups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup tunnels that are NHOP
                ''',
                'next_hop_autobackups',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-srlg-autobackup-protected-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup protected LSPs with
                NHOP and SRLG
                ''',
                'next_hop_srlg_autobackup_protected_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-srlg-autobackup-protected-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup protected S2Ls with
                NHOP and SRLG
                ''',
                'next_hop_srlg_autobackup_protected_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-srlg-autobackup-protected-s2l-families', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup protected S2L
                Families with NHOP and SRLG
                ''',
                'next_hop_srlg_autobackup_protected_s2l_families',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-next-hop-autobackup-protected-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup protected LSPs with
                NNHOP and no SRLG
                ''',
                'next_next_hop_autobackup_protected_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-next-hop-autobackup-protected-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup protected S2Ls with
                NNHOP and no SRLG
                ''',
                'next_next_hop_autobackup_protected_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-next-hop-autobackup-protected-s2l-families', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup protected S2L
                Families with NNHOP and no SRLG
                ''',
                'next_next_hop_autobackup_protected_s2l_families',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-next-hop-autobackups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup tunnels that are
                NNHOP
                ''',
                'next_next_hop_autobackups',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-next-hop-srlg-autobackup-protected-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup protected LSPs with
                NNHOP and SRLG
                ''',
                'next_next_hop_srlg_autobackup_protected_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-next-hop-srlg-autobackup-protected-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup protected S2Ls with
                NNHOP and SRLG
                ''',
                'next_next_hop_srlg_autobackup_protected_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-next-hop-srlg-autobackup-protected-s2l-families', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup protected S2L
                Families with NNHOP and SRLG
                ''',
                'next_next_hop_srlg_autobackup_protected_s2l_families',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-preferred-autobackups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup tunnels that are
                using SRLG preferred
                ''',
                'srlg_preferred_autobackups',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-strict-autobackups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup tunnels that are
                using SRLG strict
                ''',
                'srlg_strict_autobackups',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-weighted-autobackups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup tunnels that are
                using weighted SRLG
                ''',
                'srlg_weighted_autobackups',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unused-autobackups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup tunnels that are
                unused
                ''',
                'unused_autobackups',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('up-autobackups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of autobackup tunnels that are up
                ''',
                'up_autobackups',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'autobackup-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Tunnels.Summary.AutoMeshSummary' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Tunnels.Summary.AutoMeshSummary',
            False, 
            [
            _MetaInfoClassMember('auto-mesh-destinations', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of automesh destinations
                ''',
                'auto_mesh_destinations',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-mesh-groups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of automesh mesh-groups
                ''',
                'auto_mesh_groups',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-mesh-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of automesh tunnels
                ''',
                'auto_mesh_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('down-auto-mesh-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of automesh tunnels that are down
                ''',
                'down_auto_mesh_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-auto-mesh-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of automesh tunnels that are FRR
                enabled
                ''',
                'frr_auto_mesh_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('up-auto-mesh-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of automesh tunnels that are up
                ''',
                'up_auto_mesh_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'auto-mesh-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Tunnels.Summary.AutoMeshOneHopSummary' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Tunnels.Summary.AutoMeshOneHopSummary',
            False, 
            [
            _MetaInfoClassMember('auto-mesh-one-hop-destinations', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of automesh onehop destinations
                ''',
                'auto_mesh_one_hop_destinations',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-mesh-one-hop-groups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of automesh onehop mesh-groups
                ''',
                'auto_mesh_one_hop_groups',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-mesh-one-hop-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of automesh onehop tunnels
                ''',
                'auto_mesh_one_hop_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('down-auto-mesh-one-hop-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of automesh onehop tunnels that are
                down
                ''',
                'down_auto_mesh_one_hop_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-auto-mesh-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of automesh onehop tunnels that are
                FRR enabled
                ''',
                'frr_auto_mesh_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('up-auto-mesh-one-hop-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of automesh onehop tunnels that are
                up
                ''',
                'up_auto_mesh_one_hop_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'auto-mesh-one-hop-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Tunnels.Summary.GmplsUniSummary' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Tunnels.Summary.GmplsUniSummary',
            False, 
            [
            _MetaInfoClassMember('heads-down', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel heads in down state
                ''',
                'heads_down',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('heads-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel heads in up state
                ''',
                'heads_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tails-down', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel tails in down state
                ''',
                'tails_down',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tails-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel tails in up state
                ''',
                'tails_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'gmpls-uni-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Tunnels.Summary.GmplsNniSummary' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Tunnels.Summary.GmplsNniSummary',
            False, 
            [
            _MetaInfoClassMember('heads-down', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel heads in down state
                ''',
                'heads_down',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('heads-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel heads in up state
                ''',
                'heads_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mids-down', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel mids in down state
                ''',
                'mids_down',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mids-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel mids in up state
                ''',
                'mids_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tails-down', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel tails in down state
                ''',
                'tails_down',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tails-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel tails in up state
                ''',
                'tails_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'gmpls-nni-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Tunnels.Summary.CurrentTunnelConvergenceSummary.TablePathOut' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Tunnels.Summary.CurrentTunnelConvergenceSummary.TablePathOut',
            False, 
            [
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'table-path-out',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Tunnels.Summary.CurrentTunnelConvergenceSummary.TableResvIn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Tunnels.Summary.CurrentTunnelConvergenceSummary.TableResvIn',
            False, 
            [
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'table-resv-in',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Tunnels.Summary.CurrentTunnelConvergenceSummary.TableLabelRewrite' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Tunnels.Summary.CurrentTunnelConvergenceSummary.TableLabelRewrite',
            False, 
            [
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'table-label-rewrite',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Tunnels.Summary.CurrentTunnelConvergenceSummary.TablePcalc' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Tunnels.Summary.CurrentTunnelConvergenceSummary.TablePcalc',
            False, 
            [
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'table-pcalc',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Tunnels.Summary.CurrentTunnelConvergenceSummary.TableTunnelRewrite' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Tunnels.Summary.CurrentTunnelConvergenceSummary.TableTunnelRewrite',
            False, 
            [
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'table-tunnel-rewrite',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Tunnels.Summary.CurrentTunnelConvergenceSummary.TableFrrTrigger' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Tunnels.Summary.CurrentTunnelConvergenceSummary.TableFrrTrigger',
            False, 
            [
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'table-frr-trigger',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Tunnels.Summary.CurrentTunnelConvergenceSummary' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Tunnels.Summary.CurrentTunnelConvergenceSummary',
            False, 
            [
            _MetaInfoClassMember('table-frr-trigger', REFERENCE_CLASS, 'TableFrrTrigger' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Tunnels.Summary.CurrentTunnelConvergenceSummary.TableFrrTrigger', 
                [], [], 
                '''                Table FRR trigger entry
                ''',
                'table_frr_trigger',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('table-label-rewrite', REFERENCE_CLASS, 'TableLabelRewrite' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Tunnels.Summary.CurrentTunnelConvergenceSummary.TableLabelRewrite', 
                [], [], 
                '''                Table label rewrite entry
                ''',
                'table_label_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('table-path-out', REFERENCE_CLASS, 'TablePathOut' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Tunnels.Summary.CurrentTunnelConvergenceSummary.TablePathOut', 
                [], [], 
                '''                Table path-out entry
                ''',
                'table_path_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('table-pcalc', REFERENCE_CLASS, 'TablePcalc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Tunnels.Summary.CurrentTunnelConvergenceSummary.TablePcalc', 
                [], [], 
                '''                Table PCALC entry
                ''',
                'table_pcalc',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('table-resv-in', REFERENCE_CLASS, 'TableResvIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Tunnels.Summary.CurrentTunnelConvergenceSummary.TableResvIn', 
                [], [], 
                '''                Table resv-in entry
                ''',
                'table_resv_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('table-tunnel-rewrite', REFERENCE_CLASS, 'TableTunnelRewrite' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Tunnels.Summary.CurrentTunnelConvergenceSummary.TableTunnelRewrite', 
                [], [], 
                '''                Table Tunnel rewrite entry
                ''',
                'table_tunnel_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-converged-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel converged count
                ''',
                'tunnel_converged_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-frr-active-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                FRR active Tunnel count
                ''',
                'tunnel_frr_active_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-frr-total-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                FRR triggered Tunnel count
                ''',
                'tunnel_frr_total_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-total-convergence-complete-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tunnel convergence complete timestamp (clocktime
                in nsecs)
                ''',
                'tunnel_total_convergence_complete_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'current-tunnel-convergence-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Tunnels.Summary.LastTunnelConvergenceSummary.TablePathOut' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Tunnels.Summary.LastTunnelConvergenceSummary.TablePathOut',
            False, 
            [
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'table-path-out',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Tunnels.Summary.LastTunnelConvergenceSummary.TableResvIn' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Tunnels.Summary.LastTunnelConvergenceSummary.TableResvIn',
            False, 
            [
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'table-resv-in',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Tunnels.Summary.LastTunnelConvergenceSummary.TableLabelRewrite' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Tunnels.Summary.LastTunnelConvergenceSummary.TableLabelRewrite',
            False, 
            [
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'table-label-rewrite',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Tunnels.Summary.LastTunnelConvergenceSummary.TablePcalc' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Tunnels.Summary.LastTunnelConvergenceSummary.TablePcalc',
            False, 
            [
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'table-pcalc',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Tunnels.Summary.LastTunnelConvergenceSummary.TableTunnelRewrite' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Tunnels.Summary.LastTunnelConvergenceSummary.TableTunnelRewrite',
            False, 
            [
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'table-tunnel-rewrite',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Tunnels.Summary.LastTunnelConvergenceSummary.TableFrrTrigger' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Tunnels.Summary.LastTunnelConvergenceSummary.TableFrrTrigger',
            False, 
            [
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'table-frr-trigger',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Tunnels.Summary.LastTunnelConvergenceSummary' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Tunnels.Summary.LastTunnelConvergenceSummary',
            False, 
            [
            _MetaInfoClassMember('table-frr-trigger', REFERENCE_CLASS, 'TableFrrTrigger' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Tunnels.Summary.LastTunnelConvergenceSummary.TableFrrTrigger', 
                [], [], 
                '''                Table FRR trigger entry
                ''',
                'table_frr_trigger',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('table-label-rewrite', REFERENCE_CLASS, 'TableLabelRewrite' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Tunnels.Summary.LastTunnelConvergenceSummary.TableLabelRewrite', 
                [], [], 
                '''                Table label rewrite entry
                ''',
                'table_label_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('table-path-out', REFERENCE_CLASS, 'TablePathOut' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Tunnels.Summary.LastTunnelConvergenceSummary.TablePathOut', 
                [], [], 
                '''                Table path-out entry
                ''',
                'table_path_out',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('table-pcalc', REFERENCE_CLASS, 'TablePcalc' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Tunnels.Summary.LastTunnelConvergenceSummary.TablePcalc', 
                [], [], 
                '''                Table PCALC entry
                ''',
                'table_pcalc',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('table-resv-in', REFERENCE_CLASS, 'TableResvIn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Tunnels.Summary.LastTunnelConvergenceSummary.TableResvIn', 
                [], [], 
                '''                Table resv-in entry
                ''',
                'table_resv_in',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('table-tunnel-rewrite', REFERENCE_CLASS, 'TableTunnelRewrite' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Tunnels.Summary.LastTunnelConvergenceSummary.TableTunnelRewrite', 
                [], [], 
                '''                Table Tunnel rewrite entry
                ''',
                'table_tunnel_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-converged-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel converged count
                ''',
                'tunnel_converged_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-frr-active-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                FRR active Tunnel count
                ''',
                'tunnel_frr_active_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-frr-total-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                FRR triggered Tunnel count
                ''',
                'tunnel_frr_total_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-total-convergence-complete-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Tunnel convergence complete timestamp (clocktime
                in nsecs)
                ''',
                'tunnel_total_convergence_complete_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'last-tunnel-convergence-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Tunnels.Summary.AutoTunServerSummary.TotalAutoP2MpTunnels' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Tunnels.Summary.AutoTunServerSummary.TotalAutoP2MpTunnels',
            False, 
            [
            _MetaInfoClassMember('auto-p2mp-destinations', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of client P2MP auto-tunnel
                destinations
                ''',
                'auto_p2mp_destinations',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-p2mp-tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of client P2MP auto-tunnels
                ''',
                'auto_p2mp_tunnel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('down-auto-p2mp-destinations', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of client P2MP auto-tunnel
                destinations that are down
                ''',
                'down_auto_p2mp_destinations',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('down-auto-p2mp-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of client P2MP auto-tunnels that
                are down
                ''',
                'down_auto_p2mp_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-auto-p2mp-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of client P2MP auto-tunnels that
                are FRR enabled
                ''',
                'frr_auto_p2mp_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('up-auto-p2mp-destinations', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of client P2MP auto-tunnel
                destinations that are up
                ''',
                'up_auto_p2mp_destinations',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('up-auto-p2mp-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of client P2MP auto-tunnels that
                are up
                ''',
                'up_auto_p2mp_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'total-auto-p2mp-tunnels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Tunnels.Summary.AutoTunServerSummary.TotalAutoP2PTunnels' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Tunnels.Summary.AutoTunServerSummary.TotalAutoP2PTunnels',
            False, 
            [
            _MetaInfoClassMember('auto-p2p-tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of client P2P auto-tunnels
                ''',
                'auto_p2p_tunnel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('down-auto-p2p-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of client P2P auto-tunnels that are
                down
                ''',
                'down_auto_p2p_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('up-auto-p2p-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of client P2P auto-tunnels that are
                up
                ''',
                'up_auto_p2p_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'total-auto-p2p-tunnels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Tunnels.Summary.AutoTunServerSummary.ClientsSummary.P2MpInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Tunnels.Summary.AutoTunServerSummary.ClientsSummary.P2MpInfo',
            False, 
            [
            _MetaInfoClassMember('auto-p2mp-destinations', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of client P2MP auto-tunnel
                destinations
                ''',
                'auto_p2mp_destinations',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-p2mp-tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of client P2MP auto-tunnels
                ''',
                'auto_p2mp_tunnel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('down-auto-p2mp-destinations', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of client P2MP auto-tunnel
                destinations that are down
                ''',
                'down_auto_p2mp_destinations',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('down-auto-p2mp-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of client P2MP auto-tunnels that
                are down
                ''',
                'down_auto_p2mp_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-auto-p2mp-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of client P2MP auto-tunnels that
                are FRR enabled
                ''',
                'frr_auto_p2mp_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('up-auto-p2mp-destinations', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of client P2MP auto-tunnel
                destinations that are up
                ''',
                'up_auto_p2mp_destinations',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('up-auto-p2mp-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of client P2MP auto-tunnels that
                are up
                ''',
                'up_auto_p2mp_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'p2mp-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Tunnels.Summary.AutoTunServerSummary.ClientsSummary.P2PInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Tunnels.Summary.AutoTunServerSummary.ClientsSummary.P2PInfo',
            False, 
            [
            _MetaInfoClassMember('auto-p2p-tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of client P2P auto-tunnels
                ''',
                'auto_p2p_tunnel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('down-auto-p2p-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of client P2P auto-tunnels that are
                down
                ''',
                'down_auto_p2p_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('up-auto-p2p-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of client P2P auto-tunnels that are
                up
                ''',
                'up_auto_p2p_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'p2p-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Tunnels.Summary.AutoTunServerSummary.ClientsSummary' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Tunnels.Summary.AutoTunServerSummary.ClientsSummary',
            False, 
            [
            _MetaInfoClassMember('client-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Client ID
                ''',
                'client_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('client-instance-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Client Instance name
                ''',
                'client_instance_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2mp-info', REFERENCE_CLASS, 'P2MpInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Tunnels.Summary.AutoTunServerSummary.ClientsSummary.P2MpInfo', 
                [], [], 
                '''                P2MP info for a client
                ''',
                'p2mp_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-info', REFERENCE_CLASS, 'P2PInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Tunnels.Summary.AutoTunServerSummary.ClientsSummary.P2PInfo', 
                [], [], 
                '''                P2P info for a client
                ''',
                'p2p_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protocol-type', REFERENCE_ENUM_CLASS, 'TeServTunClientEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeServTunClientEnum', 
                [], [], 
                '''                Client's protocol type
                ''',
                'protocol_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'clients-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Tunnels.Summary.AutoTunServerSummary' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Tunnels.Summary.AutoTunServerSummary',
            False, 
            [
            _MetaInfoClassMember('clients-summary', REFERENCE_LIST, 'ClientsSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Tunnels.Summary.AutoTunServerSummary.ClientsSummary', 
                [], [], 
                '''                List of auto-tunnel server clients
                ''',
                'clients_summary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-auto-p2mp-tunnels', REFERENCE_CLASS, 'TotalAutoP2MpTunnels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Tunnels.Summary.AutoTunServerSummary.TotalAutoP2MpTunnels', 
                [], [], 
                '''                Total number of P2MP auto-tunnels
                ''',
                'total_auto_p2mp_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('total-auto-p2p-tunnels', REFERENCE_CLASS, 'TotalAutoP2PTunnels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Tunnels.Summary.AutoTunServerSummary.TotalAutoP2PTunnels', 
                [], [], 
                '''                Total number of P2P auto-tunnels
                ''',
                'total_auto_p2p_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'auto-tun-server-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Tunnels.Summary' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Tunnels.Summary',
            False, 
            [
            _MetaInfoClassMember('activated-heads', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total tunnel heads activated
                ''',
                'activated_heads',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-collection-period', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Collection period in minutes
                ''',
                'auto_bandwidth_collection_period',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-bandwidth-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Counter with number of auto-bw enabled tunnels
                ''',
                'auto_bandwidth_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-mesh-one-hop-summary', REFERENCE_CLASS, 'AutoMeshOneHopSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Tunnels.Summary.AutoMeshOneHopSummary', 
                [], [], 
                '''                Automesh Onehop summary
                ''',
                'auto_mesh_one_hop_summary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-mesh-summary', REFERENCE_CLASS, 'AutoMeshSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Tunnels.Summary.AutoMeshSummary', 
                [], [], 
                '''                Automesh summary
                ''',
                'auto_mesh_summary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-tun-server-summary', REFERENCE_CLASS, 'AutoTunServerSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Tunnels.Summary.AutoTunServerSummary', 
                [], [], 
                '''                Auto-tunnel server tunnel summary
                ''',
                'auto_tun_server_summary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('autobackup-summary', REFERENCE_CLASS, 'AutobackupSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Tunnels.Summary.AutobackupSummary', 
                [], [], 
                '''                Autobackup summary
                ''',
                'autobackup_summary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                FRR backup tunnels in Up state
                ''',
                'backup_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backups-assigned', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                FRR backup tunnels assigned
                ''',
                'backups_assigned',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bidir-head-ls-ps-associated', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Associated Bidirectional Head LSPs
                ''',
                'bidir_head_ls_ps_associated',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bidir-head-ls-ps-proceeding', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Proceeding Bidirectional Head LSPs
                ''',
                'bidir_head_ls_ps_proceeding',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bidir-head-ls-ps-standby', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Standby Bidirectional Head LSPs
                ''',
                'bidir_head_ls_ps_standby',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bidir-head-ls-ps-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Connected Bidirectional Head Tunnel interfaces
                ''',
                'bidir_head_ls_ps_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bidir-head-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bidirectional Head Tunnel interfaces
                ''',
                'bidir_head_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bidir-head-tunnels-associated', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Associated Bidirectional Head Tunnels
                ''',
                'bidir_head_tunnels_associated',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bidir-head-tunnels-corouted', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Corouted Bidirectional Head Tunnels
                ''',
                'bidir_head_tunnels_corouted',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bidir-head-tunnels-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Connected Bidirectional Head Tunnel interfaces
                ''',
                'bidir_head_tunnels_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bidir-mid-ls-ps-associated', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Associated Bidirectional Mid LSPs
                ''',
                'bidir_mid_ls_ps_associated',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bidir-mid-ls-ps-proceeding', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Proceeding Bidirectional Mid LSPs
                ''',
                'bidir_mid_ls_ps_proceeding',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bidir-mid-ls-ps-standby', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Standby Bidirectional Mid LSPs
                ''',
                'bidir_mid_ls_ps_standby',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bidir-mid-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bidirectional Mid Tunnel interfaces
                ''',
                'bidir_mid_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bidir-mid-tunnels-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Connected Bidirectional Mid Tunnel interfaces
                ''',
                'bidir_mid_tunnels_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bidir-tail-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Bidirectional Tail LSPs
                ''',
                'bidir_tail_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bidir-tail-ls-ps-associated', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Associated Bidirectional Tail LSPs
                ''',
                'bidir_tail_ls_ps_associated',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bidir-tail-ls-ps-corouted', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Corouted Bidirectional Tail LSPs
                ''',
                'bidir_tail_ls_ps_corouted',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bidir-tail-ls-ps-proceeding', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Proceeding Bidirectional Tail LSPs
                ''',
                'bidir_tail_ls_ps_proceeding',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bidir-tail-ls-ps-standby', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Standby Bidirectional Tail LSPs
                ''',
                'bidir_tail_ls_ps_standby',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bidir-tail-ls-ps-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Connected Bidirectional Tail LSPs
                ''',
                'bidir_tail_ls_ps_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bw-protected-p2mp-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP S2Ls BW Protected
                ''',
                'bw_protected_p2mp_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bw-protected-p2p-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                p2p S2Ls BW Protected
                ''',
                'bw_protected_p2p_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bw-protected-p2p-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2P FRR BW protected tunnels
                ''',
                'bw_protected_p2p_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bw-protected-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                FRR BW protected tunnels
                ''',
                'bw_protected_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('current-tunnel-convergence-summary', REFERENCE_CLASS, 'CurrentTunnelConvergenceSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Tunnels.Summary.CurrentTunnelConvergenceSummary', 
                [], [], 
                '''                Current Tunnel convergemce summary information
                ''',
                'current_tunnel_convergence_summary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('deactivated-heads', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total tunnel heads deactivated
                ''',
                'deactivated_heads',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('dynamic-up-p2p-head-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                p2p Tunnel up via a dynamic path
                ''',
                'dynamic_up_p2p_head_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-config-p2mp-head-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP Tunnel interfaces with FRR configuration
                ''',
                'frr_config_p2mp_head_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-config-p2p-head-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                p2p Tunnel interfaces with FRR configuration
                ''',
                'frr_config_p2p_head_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-head-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                FRR tunnels in Up state at head end
                ''',
                'frr_head_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-mid-point-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                FRR tunnels at mid point
                ''',
                'frr_mid_point_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-p2mp-head-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP S2Ls with FRR requested at Head
                ''',
                'frr_p2mp_head_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-p2mp-mid-point-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP S2Ls with FRR requested at Mid
                ''',
                'frr_p2mp_mid_point_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-p2p-head-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                p2p S2Ls with FRR requested at Head
                ''',
                'frr_p2p_head_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-p2p-head-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2P FRR tunnels in Up state at head end
                ''',
                'frr_p2p_head_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-p2p-mid-point-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                p2p S2Ls with FRR requested at Mid
                ''',
                'frr_p2p_mid_point_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-p2p-mid-point-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2P FRR tunnels at mid point
                ''',
                'frr_p2p_mid_point_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('frr-protected-interfaces', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                FRR Protected Interfaces
                ''',
                'frr_protected_interfaces',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gmpls-nni-summary', REFERENCE_CLASS, 'GmplsNniSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Tunnels.Summary.GmplsNniSummary', 
                [], [], 
                '''                GMPLS-NNI summary
                ''',
                'gmpls_nni_summary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('gmpls-uni-summary', REFERENCE_CLASS, 'GmplsUniSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Tunnels.Summary.GmplsUniSummary', 
                [], [], 
                '''                GMPLS-UNI summary
                ''',
                'gmpls_uni_summary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-forwarding-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if forwarding is enabled
                ''',
                'is_forwarding_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-periodic-reoptimization-on', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if periodic reoptimization is on
                ''',
                'is_periodic_reoptimization_on',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-promotion-on', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if periodic frr promotion is on
                ''',
                'is_promotion_on',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-rsvp-process-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Status of rsvp
                ''',
                'is_rsvp_process_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-tunnel-convergence-summary', REFERENCE_CLASS, 'LastTunnelConvergenceSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Tunnels.Summary.LastTunnelConvergenceSummary', 
                [], [], 
                '''                Last Tunnel convergemce summary information
                ''',
                'last_tunnel_convergence_summary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-and-node-diverse-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Link and Node diverse paths
                ''',
                'link_and_node_diverse_paths',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-diverse-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Link diverse paths
                ''',
                'link_diverse_paths',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-protected-p2mp-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP S2Ls Link Protected
                ''',
                'link_protected_p2mp_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-protected-p2p-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                p2p S2Ls Link Protected
                ''',
                'link_protected_p2p_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-protected-p2p-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2P FRR link protected tunnels
                ''',
                'link_protected_p2p_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-protected-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                FRR link protected tunnels
                ''',
                'link_protected_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-check-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time left till next FRR promotion (seconds)
                ''',
                'next_check_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-promotion-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time left till next FRR promotion (seconds)
                ''',
                'next_promotion_timer',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-reoptimization-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time left till next reoptimization (seconds)
                ''',
                'next_reoptimization_timer',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-verify-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time left till next FRR promotion (seconds)
                ''',
                'next_verify_timer',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('node-diverse-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Node diverse paths
                ''',
                'node_diverse_paths',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('node-protected-p2p-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2P FRR node protected tunnels
                ''',
                'node_protected_p2p_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('node-protected-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                FRR node protected tunnels
                ''',
                'node_protected_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2mp-head-destinations', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP Destinations at Head
                ''',
                'p2mp_head_destinations',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2mp-head-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP Tunnel interfaces
                ''',
                'p2mp_head_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2mp-mid-point-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP S2Ls at Mid
                ''',
                'p2mp_mid_point_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2mp-tail-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP S2Ls at Tail
                ''',
                'p2mp_tail_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-head-destinations', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                p2p Destinations at Head
                ''',
                'p2p_head_destinations',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-head-destinations-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                p2p Destinations in Up state at Head
                ''',
                'p2p_head_destinations_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-head-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                p2p Tunnel interfaces
                ''',
                'p2p_head_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-mid-point-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                p2p S2Ls at Mid
                ''',
                'p2p_mid_point_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-tail-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                p2p S2Ls at Tail
                ''',
                'p2p_tail_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-tail-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                p2p Tunnel tail interfaces
                ''',
                'p2p_tail_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-protect-configured-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnels configured with Path Protect
                ''',
                'path_protect_configured_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-protect-configured-tunnels-standby-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnels with standby LSP up
                ''',
                'path_protect_configured_tunnels_standby_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-protect-configured-tunnels-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path Protect configured tunnels connected/up
                ''',
                'path_protect_configured_tunnels_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcalc-tie-breaker-type', REFERENCE_ENUM_CLASS, 'TePathSelectionTiebreakerEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePathSelectionTiebreakerEnum', 
                [], [], 
                '''                PCALC tiebreaker type
                ''',
                'pcalc_tie_breaker_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pcalc-tiebreaker', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated - replaced by PCALCTiebreakerType
                ''',
                'pcalc_tiebreaker',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('proceeding-p2mp-head-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP S2Ls in signalling-proceeding state at Head
                ''',
                'proceeding_p2mp_head_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('proceeding-p2mp-mid-point-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP S2Ls in signalling=proceeding state at Mid
                ''',
                'proceeding_p2mp_mid_point_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('proceeding-p2p-head-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                p2p S2Ls in signalling-proceeding state at Head
                ''',
                'proceeding_p2p_head_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('proceeding-p2p-mid-point-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                p2p S2Ls in signalling=proceeding state at Mid
                ''',
                'proceeding_p2p_mid_point_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('promotion-period', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                FRR promotion period in seconds
                ''',
                'promotion_period',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-head-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                FRR protected tunnels in Up state at head end
                ''',
                'protected_head_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-mid-point-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                FRR protected tunnels at mid point
                ''',
                'protected_mid_point_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-p2mp-head-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP S2Ls FRR Protected at Head
                ''',
                'protected_p2mp_head_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-p2mp-mid-point-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP S2Ls FRR Protected at Mid
                ''',
                'protected_p2mp_mid_point_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-p2p-head-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                p2p S2Ls FRR Protected at Head
                ''',
                'protected_p2p_head_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-p2p-head-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2P FRR protected tunnels in Up state at head
                end
                ''',
                'protected_p2p_head_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-p2p-mid-point-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                p2p S2Ls FRR Protected at Mid
                ''',
                'protected_p2p_mid_point_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protected-p2p-mid-point-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2P FRR protected tunnels at mid point
                ''',
                'protected_p2p_mid_point_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('recovered-heads', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of heads recovered
                ''',
                'recovered_heads',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('recovering-p2p-head-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                p2p S2Ls recovering at Head
                ''',
                'recovering_p2p_head_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimization-period', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reoptimization period in seconds
                ''',
                'reoptimization_period',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouted-head-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                FRR rerouted tunnels in Up state at head end
                ''',
                'rerouted_head_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouted-interfaces', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                FRR Rerouted Interfaces
                ''',
                'rerouted_interfaces',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouted-mid-point-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                FRR rerouted tunnels at mid point
                ''',
                'rerouted_mid_point_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouted-p2mp-head-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP S2Ls FRR Rerouted at Head
                ''',
                'rerouted_p2mp_head_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouted-p2mp-mid-point-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP S2Ls FRR Rerouted at Mid
                ''',
                'rerouted_p2mp_mid_point_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouted-p2p-head-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                p2p S2Ls FRR Rerouted at Head
                ''',
                'rerouted_p2p_head_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouted-p2p-head-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2P FRR rerouted tunnels in Up state at head end
                ''',
                'rerouted_p2p_head_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouted-p2p-mid-point-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                p2p S2Ls FRR Rerouted at Mid
                ''',
                'rerouted_p2p_mid_point_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rerouted-p2p-mid-point-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2P FRR rerouted tunnels at mid point
                ''',
                'rerouted_p2p_mid_point_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-process-status', REFERENCE_ENUM_CLASS, 'MplsTeTunnelsProcessStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelsProcessStatusEnum', 
                [], [], 
                '''                Status of te_control
                ''',
                'te_process_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tiebreaker-qualifier', REFERENCE_ENUM_CLASS, 'MplsTeMetricQualifierEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeMetricQualifierEnum', 
                [], [], 
                '''                Describes how the path selection tiebreaker was
                specified:default, or globally set
                ''',
                'tiebreaker_qualifier',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-check-period', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel head check period (seconds)
                ''',
                'tunnel_check_period',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-verify-period', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel head verify period (seconds)
                ''',
                'tunnel_verify_period',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('up-p2mp-head-destinations', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP Destinations in Up state at Head
                ''',
                'up_p2mp_head_destinations',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('up-p2mp-head-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP S2Ls in Up state at Head
                ''',
                'up_p2mp_head_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('up-p2mp-head-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP Tunnel interfaces in Up state
                ''',
                'up_p2mp_head_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('up-p2mp-mid-point-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP S2Ls in Up state at Mid
                ''',
                'up_p2mp_mid_point_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('up-p2mp-tail-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP S2Ls in Up state at Tail
                ''',
                'up_p2mp_tail_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('up-p2p-head-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                p2p S2Ls in Up state at Head
                ''',
                'up_p2p_head_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('up-p2p-head-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                p2p Tunnel interfaces in Up state
                ''',
                'up_p2p_head_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('up-p2p-mid-point-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                p2p S2Ls in Up state at Mid
                ''',
                'up_p2p_mid_point_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('up-p2p-tail-s2-ls', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                p2p S2Ls in Up state at Tail
                ''',
                'up_p2p_tail_s2_ls',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('user-defined-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                User defined paths
                ''',
                'user_defined_paths',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'summary',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.PathProtection.Switchover' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.PathProtection.Switchover',
            False, 
            [
            _MetaInfoClassMember('date-of-error-detection', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The date when the error that caused the
                switchover was detected. This date is the number
                of seconds since Jan 1st 1970
                ''',
                'date_of_error_detection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('date-of-error-detection-millisec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The milliseconds offset of the date when the
                error that caused  the switchover was detected.
                ''',
                'date_of_error_detection_millisec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('from-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The LSP ID from which the traffic was switched
                over
                ''',
                'from_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-protection-switchover-event-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The index number of the path protection switch
                over event
                ''',
                'path_protection_switchover_event_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-protection-switchover-reason', REFERENCE_ENUM_CLASS, 'TeP2MpS2LDeletionSubcauseEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeP2MpS2LDeletionSubcauseEnum', 
                [], [], 
                '''                The reason that caused the path protection
                switchover
                ''',
                'path_protection_switchover_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-protection-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The ID of the tunnel that experienced switchover
                ''',
                'path_protection_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('switchover-duration-millisec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The time in milliseconds between the detection
                of the error and switching the traffic
                ''',
                'switchover_duration_millisec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('to-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The LSP ID to which the traffic was switched
                over
                ''',
                'to_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'switchover',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.PathProtection' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.PathProtection',
            False, 
            [
            _MetaInfoClassMember('diversity-type', REFERENCE_ENUM_CLASS, 'TePpDiversityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TePpDiversityEnum', 
                [], [], 
                '''                Standby path diversity type
                ''',
                'diversity_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-protect-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Path Protection Configured
                ''',
                'is_path_protect_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-path-protect-switch-over-underway', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Switchover Underway
                ''',
                'is_path_protect_switch_over_underway',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-protection-protected-by-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The path option ID (level/index) of the
                configured explicit protecting path
                ''',
                'path_protection_protected_by_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimization-time-remaining', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remaining time until path protection
                reoptimization (seconds)
                ''',
                'reoptimization_time_remaining',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('standby-reoptimized-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of times the standby LSP was reoptimized
                ''',
                'standby_reoptimized_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('switchover', REFERENCE_CLASS, 'Switchover' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.PathProtection.Switchover', 
                [], [], 
                '''                Path Protected Switchover Information
                ''',
                'switchover',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('switchover-ready', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Total times, Standby LSP ready for use
                ''',
                'switchover_ready',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('switchover-reason', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Reason for last switchover
                ''',
                'switchover_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('switchover-total', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of times switchover occurred
                ''',
                'switchover_total',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('time-of-switchover-sec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The date when the switchover was completed. This
                date is the number of seconds since Jan 1st 1970
                ''',
                'time_of_switchover_sec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('valid-path-protection-path-option-exists', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether tunnel has a
                path-option which is valid for path-protection
                ''',
                'valid_path_protection_path_option_exists',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-protection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.CurrentLsp.SrlspOutgoingInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.CurrentLsp.SrlspOutgoingInfo',
            False, 
            [
            _MetaInfoClassMember('lsp-output-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Output interface of LSP
                ''',
                'lsp_output_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-output-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output label of the LSP
                ''',
                'lsp_output_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlsp-outgoing-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.CurrentLsp.LspHop.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.CurrentLsp.LspHop.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.CurrentLsp.LspHop.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.CurrentLsp.LspHop.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.CurrentLsp.LspHop' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.CurrentLsp.LspHop',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.CurrentLsp.LspHop.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.CurrentLsp.LspHop.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.CurrentLsp' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.CurrentLsp',
            False, 
            [
            _MetaInfoClassMember('lsp-hop', REFERENCE_LIST, 'LspHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.CurrentLsp.LspHop', 
                [], [], 
                '''                Path used by LSP
                ''',
                'lsp_hop',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label 
                ''',
                'lsp_local_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-output-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Output interface of LSP
                ''',
                'lsp_output_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-output-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output label of the LSP
                ''',
                'lsp_output_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', REFERENCE_ENUM_CLASS, 'MplsTeTunnelStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelStateEnum', 
                [], [], 
                '''                LSP State
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSP Uptime
                ''',
                'lsp_uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-protection-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSP ID 
                ''',
                'path_protection_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlsp-outgoing-info', REFERENCE_LIST, 'SrlspOutgoingInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.CurrentLsp.SrlspOutgoingInfo', 
                [], [], 
                '''                Segment-routing iutgoing info of LSP
                ''',
                'srlsp_outgoing_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'current-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.StandbyLsp.SrlspOutgoingInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.StandbyLsp.SrlspOutgoingInfo',
            False, 
            [
            _MetaInfoClassMember('lsp-output-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Output interface of LSP
                ''',
                'lsp_output_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-output-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output label of the LSP
                ''',
                'lsp_output_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'srlsp-outgoing-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.StandbyLsp.LspHop.Ipv4EroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.StandbyLsp.LspHop.Ipv4EroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The ERO IPV4 Address
                ''',
                'ero_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                ERO Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'ipv4ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.StandbyLsp.LspHop.UnnumberedEroSubObject' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.StandbyLsp.LspHop.UnnumberedEroSubObject',
            False, 
            [
            _MetaInfoClassMember('ero-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The Interface ID in ERO
                ''',
                'ero_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ero-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The Router ID in ERO
                ''',
                'ero_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-strict-route', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ERO Entry Is Strict
                ''',
                'is_strict_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjStatusEnum', 
                [], [], 
                '''                Status of ERO
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'unnumbered-ero-sub-object',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.StandbyLsp.LspHop' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.StandbyLsp.LspHop',
            False, 
            [
            _MetaInfoClassMember('ero-type', REFERENCE_ENUM_CLASS, 'RsvpMgmtEroSubobjEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RsvpMgmtEroSubobjEnum', 
                [], [], 
                '''                EROType
                ''',
                'ero_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4ero-sub-object', REFERENCE_CLASS, 'Ipv4EroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.StandbyLsp.LspHop.Ipv4EroSubObject', 
                [], [], 
                '''                IPV4 ERO Sub Object
                ''',
                'ipv4ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unnumbered-ero-sub-object', REFERENCE_CLASS, 'UnnumberedEroSubObject' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.StandbyLsp.LspHop.UnnumberedEroSubObject', 
                [], [], 
                '''                Unnumbered ERO Sub Object
                ''',
                'unnumbered_ero_sub_object',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-hop',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.StandbyLsp' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.StandbyLsp',
            False, 
            [
            _MetaInfoClassMember('lsp-hop', REFERENCE_LIST, 'LspHop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.StandbyLsp.LspHop', 
                [], [], 
                '''                Path used by LSP
                ''',
                'lsp_hop',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label 
                ''',
                'lsp_local_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-output-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Output interface of LSP
                ''',
                'lsp_output_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-output-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output label of the LSP
                ''',
                'lsp_output_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-state', REFERENCE_ENUM_CLASS, 'MplsTeTunnelStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelStateEnum', 
                [], [], 
                '''                LSP State
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSP Uptime
                ''',
                'lsp_uptime',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-protection-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSP ID 
                ''',
                'path_protection_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlsp-outgoing-info', REFERENCE_LIST, 'SrlspOutgoingInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.StandbyLsp.SrlspOutgoingInfo', 
                [], [], 
                '''                Segment-routing iutgoing info of LSP
                ''',
                'srlsp_outgoing_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'standby-lsp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection',
            False, 
            [
            _MetaInfoClassMember('ctype', REFERENCE_ENUM_CLASS, 'CtypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'CtypeEnum', 
                [], [], 
                '''                Ctype
                ''',
                'ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('current-lsp', REFERENCE_CLASS, 'CurrentLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.CurrentLsp', 
                [], [], 
                '''                 Current LSP info
                ''',
                'current_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel UP
                ''',
                'is_tunnel_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-protection', REFERENCE_CLASS, 'PathProtection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.PathProtection', 
                [], [], 
                '''                Path Protect Info
                ''',
                'path_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source
                ''',
                'source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('standby-lsp', REFERENCE_CLASS, 'StandbyLsp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.StandbyLsp', 
                [], [], 
                '''                 Standby LSP info
                ''',
                'standby_lsp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tunnel-path-protection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Tunnels.TunnelPathProtections' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Tunnels.TunnelPathProtections',
            False, 
            [
            _MetaInfoClassMember('tunnel-path-protection', REFERENCE_LIST, 'TunnelPathProtection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection', 
                [], [], 
                '''                Path Protection
                ''',
                'tunnel_path_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tunnel-path-protections',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Tunnels' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Tunnels',
            False, 
            [
            _MetaInfoClassMember('summary', REFERENCE_CLASS, 'Summary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Tunnels.Summary', 
                [], [], 
                '''                Summary of tunnel info
                ''',
                'summary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-auto-bandwidths', REFERENCE_CLASS, 'TunnelAutoBandwidths' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Tunnels.TunnelAutoBandwidths', 
                [], [], 
                '''                Auto Bandwidth Brief Table
                ''',
                'tunnel_auto_bandwidths',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-flex-lsps', REFERENCE_CLASS, 'TunnelFlexLsps' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Tunnels.TunnelFlexLsps', 
                [], [], 
                '''                Flex LSP
                ''',
                'tunnel_flex_lsps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-path-protections', REFERENCE_CLASS, 'TunnelPathProtections' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Tunnels.TunnelPathProtections', 
                [], [], 
                '''                Path protection
                ''',
                'tunnel_path_protections',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tunnels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.MaximumTunnels' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.MaximumTunnels',
            False, 
            [
            _MetaInfoClassMember('absolute-maximum', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Absolute Maximum
                ''',
                'absolute_maximum',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('current-auto-mesh', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Autotunnel Mesh count
                ''',
                'current_auto_mesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('current-autobackups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Autotunnel Backup count
                ''',
                'current_autobackups',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('current-destination-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Destination Count
                ''',
                'current_destination_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('current-gmpls-uni', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current GMPLS-UNI tunnel count
                ''',
                'current_gmpls_uni',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('current-maximum-auto-mesh', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Maximum Autotunnel Mesh Allowed
                ''',
                'current_maximum_auto_mesh',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('current-maximum-autobackups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Maximum Autotunnel Backups Allowed
                ''',
                'current_maximum_autobackups',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('current-maximum-destinations', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Maximum Destinations
                ''',
                'current_maximum_destinations',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('current-maximum-gmpls-unitunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Maximum GMPLS-UNI Tunnel Count
                ''',
                'current_maximum_gmpls_unitunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('current-maximum-p2mp-destnation-per-tunnel', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Maximum P2MP Destinations Per Tunnel
                Count
                ''',
                'current_maximum_p2mp_destnation_per_tunnel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('current-maximum-p2mp-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Maximum P2MP Tunnel Count
                ''',
                'current_maximum_p2mp_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('current-maximum-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Maximum Tunnels
                ''',
                'current_maximum_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('current-p2mp-destnation-per-tunnel-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current P2MP Destination per tunnel count
                ''',
                'current_p2mp_destnation_per_tunnel_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('current-p2mp-tunnel-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current P2MP tunnel count
                ''',
                'current_p2mp_tunnel_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('current-tunnel-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current tunnel count
                ''',
                'current_tunnel_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-auto-mesh-range-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the automesh range is configured
                ''',
                'is_auto_mesh_range_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-autobackup-range-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the autobackup range is configured
                ''',
                'is_autobackup_range_configured',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'maximum-tunnels',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.PathProtection.SwitchoverLog.PathProtectionSwitchoverEntry' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.PathProtection.SwitchoverLog.PathProtectionSwitchoverEntry',
            False, 
            [
            _MetaInfoClassMember('date-of-error-detection', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The date when the error that caused the
                switchover was detected. This date is the number
                of seconds since Jan 1st 1970
                ''',
                'date_of_error_detection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('date-of-error-detection-millisec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The milliseconds offset of the date when the
                error that caused  the switchover was detected.
                ''',
                'date_of_error_detection_millisec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('from-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The LSP ID from which the traffic was switched
                over
                ''',
                'from_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-protection-switchover-event-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The index number of the path protection switch
                over event
                ''',
                'path_protection_switchover_event_index',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-protection-switchover-reason', REFERENCE_ENUM_CLASS, 'TeP2MpS2LDeletionSubcauseEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeP2MpS2LDeletionSubcauseEnum', 
                [], [], 
                '''                The reason that caused the path protection
                switchover
                ''',
                'path_protection_switchover_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-protection-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The ID of the tunnel that experienced switchover
                ''',
                'path_protection_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('switchover-duration-millisec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The time in milliseconds between the detection
                of the error and switching the traffic
                ''',
                'switchover_duration_millisec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('to-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                The LSP ID to which the traffic was switched
                over
                ''',
                'to_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-protection-switchover-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.PathProtection.SwitchoverLog' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.PathProtection.SwitchoverLog',
            False, 
            [
            _MetaInfoClassMember('average-switchover-millisec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The average delay for a switchover in
                milliseconds
                ''',
                'average_switchover_millisec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-switchover-millisec', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The maximum delay for a switchover in
                milliseconds
                ''',
                'maximum_switchover_millisec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-protection-switchover-entry', REFERENCE_LIST, 'PathProtectionSwitchoverEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.PathProtection.SwitchoverLog.PathProtectionSwitchoverEntry', 
                [], [], 
                '''                The array of path protection switchover entries
                ''',
                'path_protection_switchover_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-protection-switchovers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of path protection switchover
                events. This could be more than the entries in
                the array
                ''',
                'path_protection_switchovers',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'switchover-log',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.PathProtection' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.PathProtection',
            False, 
            [
            _MetaInfoClassMember('switchover-log', REFERENCE_CLASS, 'SwitchoverLog' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.PathProtection.SwitchoverLog', 
                [], [], 
                '''                MPLS TE path protection info
                ''',
                'switchover_log',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'path-protection',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.FibNextHopLabelRoutes.FibNextHopLabelRoute.TargetAddress' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.FibNextHopLabelRoutes.FibNextHopLabelRoute.TargetAddress',
            False, 
            [
            _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ip_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeTargetAddrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeTargetAddrEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'target-address',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.FibNextHopLabelRoutes.FibNextHopLabelRoute.NextHopPath' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.FibNextHopLabelRoutes.FibNextHopLabelRoute.NextHopPath',
            False, 
            [
            _MetaInfoClassMember('backup-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Path Identifier
                ''',
                'backup_path_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Outgoing Interface
                ''',
                'interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label-stack', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing Label Stack
                ''',
                'label_stack',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next Hop Address
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path ID
                ''',
                'path_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pure-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Pure Backup
                ''',
                'pure_backup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'next-hop-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.FibNextHopLabelRoutes.FibNextHopLabelRoute' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.FibNextHopLabelRoutes.FibNextHopLabelRoute',
            False, 
            [
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '1048575')], [], 
                '''                MPLS Label
                ''',
                'label',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('create-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Create Time
                ''',
                'create_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expire-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Expire Time
                ''',
                'expire_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-notified', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Notified
                ''',
                'is_notified',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Registered
                ''',
                'is_registered',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Stale
                ''',
                'is_stale',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-update-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last Update Time
                ''',
                'last_update_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-used-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last Used Time
                ''',
                'last_used_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-path', REFERENCE_LIST, 'NextHopPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.FibNextHopLabelRoutes.FibNextHopLabelRoute.NextHopPath', 
                [], [], 
                '''                Next Hop Paths
                ''',
                'next_hop_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('prefix-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Deprecated - replaced by TargetAddress
                ''',
                'prefix_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('route-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Route version
                ''',
                'route_version',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('target-address', REFERENCE_CLASS, 'TargetAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.FibNextHopLabelRoutes.FibNextHopLabelRoute.TargetAddress', 
                [], [], 
                '''                Next Hop Target Address
                ''',
                'target_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fib-next-hop-label-route',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.FibNextHopLabelRoutes' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.FibNextHopLabelRoutes',
            False, 
            [
            _MetaInfoClassMember('fib-next-hop-label-route', REFERENCE_LIST, 'FibNextHopLabelRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.FibNextHopLabelRoutes.FibNextHopLabelRoute', 
                [], [], 
                '''                MPLS TE FIB nexthop label route
                ''',
                'fib_next_hop_label_route',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fib-next-hop-label-routes',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_.P2PTunnelRewrite.PrimaryS2L' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_.P2PTunnelRewrite.PrimaryS2L',
            False, 
            [
            _MetaInfoClassMember('bandwidth-accounting-requested', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth accounting requested with this entry
                ''',
                'bandwidth_accounting_requested',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop address associated with the entry
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output label associated with the entry
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('parent-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name of the parent intf
                ''',
                'parent_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('physica-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Physical interface associated with the entry
                ''',
                'physica_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sr-label-stack', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment-Routing labels stack
                ''',
                'sr_label_stack',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface handle of the associated tunnel
                ''',
                'tunnel_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'primary-s2l',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_.P2PTunnelRewrite.BackupTunnelRewrite' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_.P2PTunnelRewrite.BackupTunnelRewrite',
            False, 
            [
            _MetaInfoClassMember('bandwidth-accounting-requested', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth accounting requested with this entry
                ''',
                'bandwidth_accounting_requested',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop address associated with the entry
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output label associated with the entry
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('parent-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name of the parent intf
                ''',
                'parent_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('physica-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Physical interface associated with the entry
                ''',
                'physica_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sr-label-stack', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment-Routing labels stack
                ''',
                'sr_label_stack',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface handle of the associated tunnel
                ''',
                'tunnel_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'backup-tunnel-rewrite',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_.P2PTunnelRewrite' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_.P2PTunnelRewrite',
            False, 
            [
            _MetaInfoClassMember('backup-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR is active on the backup tunnel
                ''',
                'backup_active',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Backup tunnel name
                ''',
                'backup_tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-tunnel-rewrite', REFERENCE_CLASS, 'BackupTunnelRewrite' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_.P2PTunnelRewrite.BackupTunnelRewrite', 
                [], [], 
                '''                Properties of the S2L's backup for tunnel
                rewrite
                ''',
                'backup_tunnel_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label of the tunnel rewrite
                ''',
                'local_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('original-input-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Input interface of the S2Ls
                ''',
                'original_input_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('output-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The output interface of the S2Ls
                ''',
                'output_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Previous hop
                ''',
                'previous_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('primary-s2l', REFERENCE_CLASS, 'PrimaryS2L' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_.P2PTunnelRewrite.PrimaryS2L', 
                [], [], 
                '''                Properties of the primary S2L of tunnel rewrite
                ''',
                'primary_s2l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-pe', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                source address of the tunnel
                ''',
                'source_pe',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID for this rewrite data
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'p2p-tunnel-rewrite',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_.P2MpTunnelRewrite' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_.P2MpTunnelRewrite',
            False, 
            [
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local Label
                ''',
                'local_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'p2mp-tunnel-rewrite',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2mp-tunnel-rewrite', REFERENCE_CLASS, 'P2MpTunnelRewrite' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_.P2MpTunnelRewrite', 
                [], [], 
                '''                Tunnel rewrite data specific to P2MP
                ''',
                'p2mp_tunnel_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-tunnel-rewrite', REFERENCE_CLASS, 'P2PTunnelRewrite' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_.P2PTunnelRewrite', 
                [], [], 
                '''                Tunnel rewrite data specific to P2P
                ''',
                'p2p_tunnel_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tunnel-rewrite',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite',
            False, 
            [
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time stamp of the entry
                ''',
                'timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-rewrite', REFERENCE_CLASS, 'TunnelRewrite_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_', 
                [], [], 
                '''                Union of p2p and p2mp tun rewrite data
                ''',
                'tunnel_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'successful-rewrite',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_.P2PTunnelRewrite.PrimaryS2L' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_.P2PTunnelRewrite.PrimaryS2L',
            False, 
            [
            _MetaInfoClassMember('bandwidth-accounting-requested', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth accounting requested with this entry
                ''',
                'bandwidth_accounting_requested',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop address associated with the entry
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output label associated with the entry
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('parent-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name of the parent intf
                ''',
                'parent_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('physica-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Physical interface associated with the entry
                ''',
                'physica_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sr-label-stack', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment-Routing labels stack
                ''',
                'sr_label_stack',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface handle of the associated tunnel
                ''',
                'tunnel_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'primary-s2l',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_.P2PTunnelRewrite.BackupTunnelRewrite' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_.P2PTunnelRewrite.BackupTunnelRewrite',
            False, 
            [
            _MetaInfoClassMember('bandwidth-accounting-requested', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth accounting requested with this entry
                ''',
                'bandwidth_accounting_requested',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop address associated with the entry
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output label associated with the entry
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('parent-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name of the parent intf
                ''',
                'parent_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('physica-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Physical interface associated with the entry
                ''',
                'physica_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sr-label-stack', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment-Routing labels stack
                ''',
                'sr_label_stack',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface handle of the associated tunnel
                ''',
                'tunnel_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'backup-tunnel-rewrite',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_.P2PTunnelRewrite' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_.P2PTunnelRewrite',
            False, 
            [
            _MetaInfoClassMember('backup-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR is active on the backup tunnel
                ''',
                'backup_active',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Backup tunnel name
                ''',
                'backup_tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-tunnel-rewrite', REFERENCE_CLASS, 'BackupTunnelRewrite' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_.P2PTunnelRewrite.BackupTunnelRewrite', 
                [], [], 
                '''                Properties of the S2L's backup for tunnel
                rewrite
                ''',
                'backup_tunnel_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label of the tunnel rewrite
                ''',
                'local_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('original-input-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Input interface of the S2Ls
                ''',
                'original_input_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('output-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The output interface of the S2Ls
                ''',
                'output_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Previous hop
                ''',
                'previous_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('primary-s2l', REFERENCE_CLASS, 'PrimaryS2L' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_.P2PTunnelRewrite.PrimaryS2L', 
                [], [], 
                '''                Properties of the primary S2L of tunnel rewrite
                ''',
                'primary_s2l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-pe', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                source address of the tunnel
                ''',
                'source_pe',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID for this rewrite data
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'p2p-tunnel-rewrite',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_.P2MpTunnelRewrite' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_.P2MpTunnelRewrite',
            False, 
            [
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local Label
                ''',
                'local_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'p2mp-tunnel-rewrite',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2mp-tunnel-rewrite', REFERENCE_CLASS, 'P2MpTunnelRewrite' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_.P2MpTunnelRewrite', 
                [], [], 
                '''                Tunnel rewrite data specific to P2MP
                ''',
                'p2mp_tunnel_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-tunnel-rewrite', REFERENCE_CLASS, 'P2PTunnelRewrite' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_.P2PTunnelRewrite', 
                [], [], 
                '''                Tunnel rewrite data specific to P2P
                ''',
                'p2p_tunnel_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tunnel-rewrite',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite',
            False, 
            [
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time stamp of the entry
                ''',
                'timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-rewrite', REFERENCE_CLASS, 'TunnelRewrite_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_', 
                [], [], 
                '''                Union of p2p and p2mp tun rewrite data
                ''',
                'tunnel_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'failed-rewrite',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_.P2PTunnelRewrite.PrimaryS2L' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_.P2PTunnelRewrite.PrimaryS2L',
            False, 
            [
            _MetaInfoClassMember('bandwidth-accounting-requested', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth accounting requested with this entry
                ''',
                'bandwidth_accounting_requested',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop address associated with the entry
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output label associated with the entry
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('parent-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name of the parent intf
                ''',
                'parent_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('physica-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Physical interface associated with the entry
                ''',
                'physica_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sr-label-stack', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment-Routing labels stack
                ''',
                'sr_label_stack',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface handle of the associated tunnel
                ''',
                'tunnel_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'primary-s2l',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_.P2PTunnelRewrite.BackupTunnelRewrite' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_.P2PTunnelRewrite.BackupTunnelRewrite',
            False, 
            [
            _MetaInfoClassMember('bandwidth-accounting-requested', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth accounting requested with this entry
                ''',
                'bandwidth_accounting_requested',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop address associated with the entry
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output label associated with the entry
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('parent-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name of the parent intf
                ''',
                'parent_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('physica-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Physical interface associated with the entry
                ''',
                'physica_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sr-label-stack', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment-Routing labels stack
                ''',
                'sr_label_stack',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface handle of the associated tunnel
                ''',
                'tunnel_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'backup-tunnel-rewrite',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_.P2PTunnelRewrite' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_.P2PTunnelRewrite',
            False, 
            [
            _MetaInfoClassMember('backup-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                FRR is active on the backup tunnel
                ''',
                'backup_active',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Backup tunnel name
                ''',
                'backup_tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-tunnel-rewrite', REFERENCE_CLASS, 'BackupTunnelRewrite' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_.P2PTunnelRewrite.BackupTunnelRewrite', 
                [], [], 
                '''                Properties of the S2L's backup for tunnel
                rewrite
                ''',
                'backup_tunnel_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label of the tunnel rewrite
                ''',
                'local_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('original-input-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Input interface of the S2Ls
                ''',
                'original_input_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('output-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The output interface of the S2Ls
                ''',
                'output_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Previous hop
                ''',
                'previous_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('primary-s2l', REFERENCE_CLASS, 'PrimaryS2L' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_.P2PTunnelRewrite.PrimaryS2L', 
                [], [], 
                '''                Properties of the primary S2L of tunnel rewrite
                ''',
                'primary_s2l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-pe', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                source address of the tunnel
                ''',
                'source_pe',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID for this rewrite data
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'p2p-tunnel-rewrite',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_.P2MpTunnelRewrite' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_.P2MpTunnelRewrite',
            False, 
            [
            _MetaInfoClassMember('local-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local Label
                ''',
                'local_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'p2mp-tunnel-rewrite',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2mp-tunnel-rewrite', REFERENCE_CLASS, 'P2MpTunnelRewrite' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_.P2MpTunnelRewrite', 
                [], [], 
                '''                Tunnel rewrite data specific to P2MP
                ''',
                'p2mp_tunnel_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-tunnel-rewrite', REFERENCE_CLASS, 'P2PTunnelRewrite' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_.P2PTunnelRewrite', 
                [], [], 
                '''                Tunnel rewrite data specific to P2P
                ''',
                'p2p_tunnel_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tunnel-rewrite',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite',
            False, 
            [
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time stamp of the entry
                ''',
                'timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-rewrite', REFERENCE_CLASS, 'TunnelRewrite_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_', 
                [], [], 
                '''                Union of p2p and p2mp tun rewrite data
                ''',
                'tunnel_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'pending-rewrite',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite',
            False, 
            [
            _MetaInfoClassMember('ctype', REFERENCE_ENUM_CLASS, 'CtypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'CtypeEnum', 
                [], [], 
                '''                Ctype
                ''',
                'ctype',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                LSP ID
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('failed-rewrite', REFERENCE_CLASS, 'FailedRewrite' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite', 
                [], [], 
                '''                Failed rewrite details
                ''',
                'failed_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-segment-routing', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the s2l path is Segment-Routing
                ''',
                'is_segment_routing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pending-rewrite', REFERENCE_CLASS, 'PendingRewrite' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite', 
                [], [], 
                '''                Pending rewrite details
                ''',
                'pending_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('successful-rewrite', REFERENCE_CLASS, 'SuccessfulRewrite' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite', 
                [], [], 
                '''                Successful rewrite details
                ''',
                'successful_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel interface name
                ''',
                'tunnel_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-signal-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel signaled-name
                ''',
                'tunnel_signal_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tunnel-rewrite',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2Mp.TunnelRewrites' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2Mp.TunnelRewrites',
            False, 
            [
            _MetaInfoClassMember('tunnel-rewrite', REFERENCE_LIST, 'TunnelRewrite' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite', 
                [], [], 
                '''                Display only P2MP Information
                ''',
                'tunnel_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tunnel-rewrites',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2Mp.CollaboratorTimers.P2MpTimer' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2Mp.CollaboratorTimers.P2MpTimer',
            False, 
            [
            _MetaInfoClassMember('duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The expiry delay in seconds
                ''',
                'duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('expiry-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Date when the timer last expired in seconds
                ''',
                'expiry_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-running', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if the timer is running
                ''',
                'is_running',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('start-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Date when timer was last started in seconds
                ''',
                'start_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('stop-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Date when the timer was last stopped in seconds
                ''',
                'stop_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('timer-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Timer Name
                ''',
                'timer_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('timer-type', REFERENCE_ENUM_CLASS, 'MplsTeP2MpTimerEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeP2MpTimerEnum', 
                [], [], 
                '''                Timer Type
                ''',
                'timer_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'p2mp-timer',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2Mp.CollaboratorTimers' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2Mp.CollaboratorTimers',
            False, 
            [
            _MetaInfoClassMember('p2mp-timer', REFERENCE_LIST, 'P2MpTimer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2Mp.CollaboratorTimers.P2MpTimer', 
                [], [], 
                '''                Description of all P2MP timers
                ''',
                'p2mp_timer',
                'Cisco-IOS-XR-mpls-te-oper', False, max_elements=29),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'collaborator-timers',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.Subfamily.LspFec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.Subfamily.LspFec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.Subfamily.LspFec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.Subfamily.LspFec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.Subfamily.LspFec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.Subfamily' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.Subfamily',
            False, 
            [
            _MetaInfoClassMember('lsp-fec', REFERENCE_CLASS, 'LspFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.Subfamily.LspFec', 
                [], [], 
                '''                LSP FEC
                ''',
                'lsp_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop address
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Previous hop address
                ''',
                'previous_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'subfamily',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.SuccessfulRewrite.PrimaryS2L' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.SuccessfulRewrite.PrimaryS2L',
            False, 
            [
            _MetaInfoClassMember('bandwidth-accounting-requested', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth accounting requested with this entry
                ''',
                'bandwidth_accounting_requested',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop address associated with the entry
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output label associated with the entry
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('parent-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name of the parent intf
                ''',
                'parent_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('physica-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Physical interface associated with the entry
                ''',
                'physica_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sr-label-stack', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment-Routing labels stack
                ''',
                'sr_label_stack',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface handle of the associated tunnel
                ''',
                'tunnel_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'primary-s2l',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.SuccessfulRewrite.BackupTunnelRewrite' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.SuccessfulRewrite.BackupTunnelRewrite',
            False, 
            [
            _MetaInfoClassMember('bandwidth-accounting-requested', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth accounting requested with this entry
                ''',
                'bandwidth_accounting_requested',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop address associated with the entry
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output label associated with the entry
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('parent-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name of the parent intf
                ''',
                'parent_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('physica-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Physical interface associated with the entry
                ''',
                'physica_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sr-label-stack', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment-Routing labels stack
                ''',
                'sr_label_stack',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface handle of the associated tunnel
                ''',
                'tunnel_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'backup-tunnel-rewrite',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.SuccessfulRewrite' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.SuccessfulRewrite',
            False, 
            [
            _MetaInfoClassMember('backup-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Backup is active
                ''',
                'backup_active',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-tunnel-rewrite', REFERENCE_CLASS, 'BackupTunnelRewrite' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.SuccessfulRewrite.BackupTunnelRewrite', 
                [], [], 
                '''                Properties of the S2L's backup tunnel rewrite
                ''',
                'backup_tunnel_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-null', REFERENCE_ENUM_CLASS, 'TeS2LOutputRwExplicitNullEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LOutputRwExplicitNullEnum', 
                [], [], 
                '''                Imposition of explicit NULL
                ''',
                'explicit_null',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label of the rewrite
                ''',
                'label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-rewrite-role', REFERENCE_ENUM_CLASS, 'MplsTeTunnelRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelRoleEnum', 
                [], [], 
                '''                Role of the associated S2L
                ''',
                'out_rewrite_role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('primary-s2l', REFERENCE_CLASS, 'PrimaryS2L' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.SuccessfulRewrite.PrimaryS2L', 
                [], [], 
                '''                Properties of the S2L rewrite
                ''',
                'primary_s2l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protocol-transported', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Protocol transported in the S2L
                ''',
                'protocol_transported',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source of the S2L
                ''',
                's2l_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time stamp of the entry (secs since 1/1/70)
                ''',
                'timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'successful-rewrite',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.FailedRewrite.PrimaryS2L' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.FailedRewrite.PrimaryS2L',
            False, 
            [
            _MetaInfoClassMember('bandwidth-accounting-requested', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth accounting requested with this entry
                ''',
                'bandwidth_accounting_requested',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop address associated with the entry
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output label associated with the entry
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('parent-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name of the parent intf
                ''',
                'parent_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('physica-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Physical interface associated with the entry
                ''',
                'physica_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sr-label-stack', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment-Routing labels stack
                ''',
                'sr_label_stack',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface handle of the associated tunnel
                ''',
                'tunnel_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'primary-s2l',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.FailedRewrite.BackupTunnelRewrite' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.FailedRewrite.BackupTunnelRewrite',
            False, 
            [
            _MetaInfoClassMember('bandwidth-accounting-requested', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth accounting requested with this entry
                ''',
                'bandwidth_accounting_requested',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop address associated with the entry
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output label associated with the entry
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('parent-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name of the parent intf
                ''',
                'parent_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('physica-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Physical interface associated with the entry
                ''',
                'physica_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sr-label-stack', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment-Routing labels stack
                ''',
                'sr_label_stack',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface handle of the associated tunnel
                ''',
                'tunnel_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'backup-tunnel-rewrite',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.FailedRewrite' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.FailedRewrite',
            False, 
            [
            _MetaInfoClassMember('backup-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Backup is active
                ''',
                'backup_active',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-tunnel-rewrite', REFERENCE_CLASS, 'BackupTunnelRewrite' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.FailedRewrite.BackupTunnelRewrite', 
                [], [], 
                '''                Properties of the S2L's backup tunnel rewrite
                ''',
                'backup_tunnel_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-null', REFERENCE_ENUM_CLASS, 'TeS2LOutputRwExplicitNullEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LOutputRwExplicitNullEnum', 
                [], [], 
                '''                Imposition of explicit NULL
                ''',
                'explicit_null',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label of the rewrite
                ''',
                'label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-rewrite-role', REFERENCE_ENUM_CLASS, 'MplsTeTunnelRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelRoleEnum', 
                [], [], 
                '''                Role of the associated S2L
                ''',
                'out_rewrite_role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('primary-s2l', REFERENCE_CLASS, 'PrimaryS2L' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.FailedRewrite.PrimaryS2L', 
                [], [], 
                '''                Properties of the S2L rewrite
                ''',
                'primary_s2l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protocol-transported', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Protocol transported in the S2L
                ''',
                'protocol_transported',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source of the S2L
                ''',
                's2l_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time stamp of the entry (secs since 1/1/70)
                ''',
                'timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'failed-rewrite',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.PendingRewrite.PrimaryS2L' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.PendingRewrite.PrimaryS2L',
            False, 
            [
            _MetaInfoClassMember('bandwidth-accounting-requested', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth accounting requested with this entry
                ''',
                'bandwidth_accounting_requested',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop address associated with the entry
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output label associated with the entry
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('parent-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name of the parent intf
                ''',
                'parent_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('physica-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Physical interface associated with the entry
                ''',
                'physica_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sr-label-stack', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment-Routing labels stack
                ''',
                'sr_label_stack',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface handle of the associated tunnel
                ''',
                'tunnel_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'primary-s2l',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.PendingRewrite.BackupTunnelRewrite' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.PendingRewrite.BackupTunnelRewrite',
            False, 
            [
            _MetaInfoClassMember('bandwidth-accounting-requested', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Bandwidth accounting requested with this entry
                ''',
                'bandwidth_accounting_requested',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop address associated with the entry
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output label associated with the entry
                ''',
                'out_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('parent-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name of the parent intf
                ''',
                'parent_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('physica-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Physical interface associated with the entry
                ''',
                'physica_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sr-label-stack', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment-Routing labels stack
                ''',
                'sr_label_stack',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface handle of the associated tunnel
                ''',
                'tunnel_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'backup-tunnel-rewrite',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.PendingRewrite' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.PendingRewrite',
            False, 
            [
            _MetaInfoClassMember('backup-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Backup is active
                ''',
                'backup_active',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('backup-tunnel-rewrite', REFERENCE_CLASS, 'BackupTunnelRewrite' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.PendingRewrite.BackupTunnelRewrite', 
                [], [], 
                '''                Properties of the S2L's backup tunnel rewrite
                ''',
                'backup_tunnel_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-null', REFERENCE_ENUM_CLASS, 'TeS2LOutputRwExplicitNullEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeS2LOutputRwExplicitNullEnum', 
                [], [], 
                '''                Imposition of explicit NULL
                ''',
                'explicit_null',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local label of the rewrite
                ''',
                'label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('out-rewrite-role', REFERENCE_ENUM_CLASS, 'MplsTeTunnelRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelRoleEnum', 
                [], [], 
                '''                Role of the associated S2L
                ''',
                'out_rewrite_role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('primary-s2l', REFERENCE_CLASS, 'PrimaryS2L' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.PendingRewrite.PrimaryS2L', 
                [], [], 
                '''                Properties of the S2L rewrite
                ''',
                'primary_s2l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protocol-transported', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Protocol transported in the S2L
                ''',
                'protocol_transported',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source of the S2L
                ''',
                's2l_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time stamp of the entry (secs since 1/1/70)
                ''',
                'timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'pending-rewrite',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite',
            False, 
            [
            _MetaInfoClassMember('failed-rewrite', REFERENCE_CLASS, 'FailedRewrite' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.FailedRewrite', 
                [], [], 
                '''                Failed rewrite details
                ''',
                'failed_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pending-rewrite', REFERENCE_CLASS, 'PendingRewrite' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.PendingRewrite', 
                [], [], 
                '''                Pending rewrite details
                ''',
                'pending_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('subfamily', REFERENCE_CLASS, 'Subfamily' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.Subfamily', 
                [], [], 
                '''                Subfamily identifiers
                ''',
                'subfamily',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('successful-rewrite', REFERENCE_CLASS, 'SuccessfulRewrite' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.SuccessfulRewrite', 
                [], [], 
                '''                Successful rewrite details
                ''',
                'successful_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-output-rewrite',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2L' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2L',
            False, 
            [
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-group-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                S2L Sub-Group ID
                ''',
                'sub_group_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sub-group-original-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                S2L Sub-Group Originator ID
                ''',
                'sub_group_original_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LsrPath' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LsrPath',
            False, 
            [
            _MetaInfoClassMember('backup-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Backup Path Identifier
                ''',
                'backup_path_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-backup', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if path is backup
                ''',
                'is_backup',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-primary', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if path is primary
                ''',
                'is_primary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop
                ''',
                'next_hop',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outgoing Interface Name
                ''',
                'outgoing_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('outgoing-labels-stack', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing Labels Stack
                ''',
                'outgoing_labels_stack',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path Identifier
                ''',
                'path_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2lsr-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite',
            False, 
            [
            _MetaInfoClassMember('ctype', REFERENCE_ENUM_CLASS, 'CtypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'CtypeEnum', 
                [], [], 
                '''                Ctype
                ''',
                'ctype',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination Address
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                extended tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                LSP ID
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next Hop
                ''',
                'next_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                P2MP ID
                ''',
                'p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('previous-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Prev Hop
                ''',
                'previous_hop_address',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('backup-tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Backup tunnel name
                ''',
                'backup_tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-segment-routing', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the s2l path is Segment-Routing
                ''',
                'is_segment_routing',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('original-input-interface', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Input interface of the S2Ls
                ''',
                'original_input_interface',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('output-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The output interface of the S2Ls
                ''',
                'output_interface_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l', REFERENCE_LIST, 'S2L' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2L', 
                [], [], 
                '''                Unique identifiers for the S2L sharing the
                rewrite
                ''',
                's2l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-output-rewrite', REFERENCE_CLASS, 'S2LOutputRewrite' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite', 
                [], [], 
                '''                Output rewrite shared between S2Ls
                ''',
                's2l_output_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2lsr-path', REFERENCE_LIST, 'S2LsrPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LsrPath', 
                [], [], 
                '''                Segment-Routing Paths
                ''',
                's2lsr_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'forwarding-output-label-rewrite',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites',
            False, 
            [
            _MetaInfoClassMember('forwarding-output-label-rewrite', REFERENCE_LIST, 'ForwardingOutputLabelRewrite' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite', 
                [], [], 
                '''                Display only P2MP Information
                ''',
                'forwarding_output_label_rewrite',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'forwarding-output-label-rewrites',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.P2Mp' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.P2Mp',
            False, 
            [
            _MetaInfoClassMember('collaborator-timers', REFERENCE_CLASS, 'CollaboratorTimers' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2Mp.CollaboratorTimers', 
                [], [], 
                '''                TE Collaborator timer status
                ''',
                'collaborator_timers',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forwarding-output-label-rewrites', REFERENCE_CLASS, 'ForwardingOutputLabelRewrites' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites', 
                [], [], 
                '''                forwarding-adjacency P2MP Information
                ''',
                'forwarding_output_label_rewrites',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-rewrites', REFERENCE_CLASS, 'TunnelRewrites' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2Mp.TunnelRewrites', 
                [], [], 
                '''                forwarding-adjacency P2MP Tunnel RW
                ''',
                'tunnel_rewrites',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'p2mp',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.OpenConfig.LspStates.LspState' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.OpenConfig.LspStates.LspState',
            False, 
            [
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'OcMplsTeTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'OcMplsTeTunnelEnum', 
                [], [], 
                '''                Tunnel Type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('admin-status', REFERENCE_ENUM_CLASS, 'LspAdminStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'LspAdminStatusEnum', 
                [], [], 
                '''                Admin Status
                ''',
                'admin_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('description', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Description
                ''',
                'description',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hold-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Hold priority
                ''',
                'hold_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Local ID - TBD
                ''',
                'local_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('metric', REFERENCE_ENUM_CLASS, 'OcMplsTeMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'OcMplsTeMetricEnum', 
                [], [], 
                '''                Metric type
                ''',
                'metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                LSP Name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('oper-status', REFERENCE_ENUM_CLASS, 'LspOperStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'LspOperStatusEnum', 
                [], [], 
                '''                Operational Status
                ''',
                'oper_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('protection-style-requested', REFERENCE_ENUM_CLASS, 'MplsProtectionEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsProtectionEnum', 
                [], [], 
                '''                Protection Style Requested
                ''',
                'protection_style_requested',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimize-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                frequency of reoptimization
                ''',
                'reoptimize_timer',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('role', REFERENCE_ENUM_CLASS, 'MplsTeLspRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeLspRoleEnum', 
                [], [], 
                '''                Role
                ''',
                'role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('setup-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Setup priority
                ''',
                'setup_priority',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signaling-protocol', REFERENCE_ENUM_CLASS, 'MplsTeProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeProtocolEnum', 
                [], [], 
                '''                Signaling Protocol
                ''',
                'signaling_protocol',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Soft Preemption
                ''',
                'soft_preemption',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'OcMplsTeLspEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'OcMplsTeLspEnum', 
                [], [], 
                '''                LSP Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-state',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.OpenConfig.LspStates' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.OpenConfig.LspStates',
            False, 
            [
            _MetaInfoClassMember('lsp-state', REFERENCE_LIST, 'LspState' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.OpenConfig.LspStates.LspState', 
                [], [], 
                '''                MPLS TE LSP State Info
                ''',
                'lsp_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-states',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.OpenConfig.LspCounters.LspCounter' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.OpenConfig.LspCounters.LspCounter',
            False, 
            [
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('tunnel-type', REFERENCE_ENUM_CLASS, 'OcMplsTeTunnelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'OcMplsTeTunnelEnum', 
                [], [], 
                '''                Tunnel Type
                ''',
                'tunnel_type',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('bytes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Number of bytes forwarded over the lsp
                ''',
                'bytes',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('current-path-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Timestamp of LSP switched onto current path
                ''',
                'current_path_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                LSP Name
                ''',
                'name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('next-reoptimization-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Timestamp of next scheduled reoptmiziation
                ''',
                'next_reoptimization_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('online-time', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Timestamp of LSP oper state up
                ''',
                'online_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('packets', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Number of packets forwarded over the lsp
                ''',
                'packets',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-changes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Number of path changes for the lsp
                ''',
                'path_changes',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('state-changes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Number of state changes for the lsp
                ''',
                'state_changes',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'OcMplsTeLspEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'OcMplsTeLspEnum', 
                [], [], 
                '''                LSP Type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-counter',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.OpenConfig.LspCounters' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.OpenConfig.LspCounters',
            False, 
            [
            _MetaInfoClassMember('lsp-counter', REFERENCE_LIST, 'LspCounter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.OpenConfig.LspCounters.LspCounter', 
                [], [], 
                '''                MPLS TE LSP Counters
                ''',
                'lsp_counter',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-counters',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.OpenConfig' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.OpenConfig',
            False, 
            [
            _MetaInfoClassMember('lsp-counters', REFERENCE_CLASS, 'LspCounters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.OpenConfig.LspCounters', 
                [], [], 
                '''                Table of LSP Counters
                ''',
                'lsp_counters',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-states', REFERENCE_CLASS, 'LspStates' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.OpenConfig.LspStates', 
                [], [], 
                '''                Table of LSP State Info
                ''',
                'lsp_states',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'open-config',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.LspOutOfResources.Summary.LspOorStateXr.Statistics' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.LspOutOfResources.Summary.LspOorStateXr.Statistics',
            False, 
            [
            _MetaInfoClassMember('accepted-ls-ps-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSPs that were accepted in this state
                ''',
                'accepted_ls_ps_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('accepted-reopt-ls-ps-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Reoptimize LSPs that were accepted in
                this state
                ''',
                'accepted_reopt_ls_ps_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rejected-ls-ps-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSPs that were rejected in this state
                ''',
                'rejected_ls_ps_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rejected-reopt-ls-ps-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Reoptimize LSPs that were rejected in
                this state
                ''',
                'rejected_reopt_ls_ps_number',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('transitions', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of transitions to this state
                ''',
                'transitions',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.LspOutOfResources.Summary.LspOorStateXr' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.LspOutOfResources.Summary.LspOorStateXr',
            False, 
            [
            _MetaInfoClassMember('accept-reopt', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Make-before-break is allowed for LSPs
                reoptimizing over the same link in the LSP OOR
                state
                ''',
                'accept_reopt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('available-bw-percentage', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The flooded percentage of available bandwidth
                advertized when the link is in this LSP OOR
                state
                ''',
                'available_bw_percentage',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-oor-state', REFERENCE_ENUM_CLASS, 'LspOorStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'LspOorStateEnum', 
                [], [], 
                '''                The LSP-OOR state that this information belongs
                to
                ''',
                'lsp_oor_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('minimum-lsp-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Minimum LSP bandwidth so the LSP is admitted
                when the link is in this LSP OOR state
                ''',
                'minimum_lsp_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.LspOutOfResources.Summary.LspOorStateXr.Statistics', 
                [], [], 
                '''                LSP OOR Statistics
                ''',
                'statistics',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('te-metric-penalty', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The TE metric penalty when the link is in this
                LSP OOR state
                ''',
                'te_metric_penalty',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('threshold-transit-all', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of transit LSPs that triggers OOR
                state transition
                ''',
                'threshold_transit_all',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('threshold-transit-unprotected', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of unprotected transit LSPs that
                triggers OOR state transition
                ''',
                'threshold_transit_unprotected',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('transition-duration', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Recovery in minutes after the green LSP OOR
                state is entered.
                ''',
                'transition_duration',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-oor-state-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.LspOutOfResources.Summary' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.LspOutOfResources.Summary',
            False, 
            [
            _MetaInfoClassMember('lsp-oor-green-recovery-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time Remaining in Green Recovery State (seconds)
                ''',
                'lsp_oor_green_recovery_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-oor-state', REFERENCE_ENUM_CLASS, 'LspOorStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'LspOorStateEnum', 
                [], [], 
                '''                The current LSP OOR state
                ''',
                'lsp_oor_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-oor-state-xr', REFERENCE_LIST, 'LspOorStateXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.LspOutOfResources.Summary.LspOorStateXr', 
                [], [], 
                '''                Array of LSP OOR info per state
                ''',
                'lsp_oor_state_xr',
                'Cisco-IOS-XR-mpls-te-oper', False, max_elements=3),
            _MetaInfoClassMember('lsp-oor-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Timestamp when the OOR state last changed
                ''',
                'lsp_oor_timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('transit-lsp-total-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of all transit LSPs on the router
                ''',
                'transit_lsp_total_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('transit-lsp-unprotected-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of unprotected transit LSPs on the router
                ''',
                'transit_lsp_unprotected_count',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'summary',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.LspOutOfResources' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.LspOutOfResources',
            False, 
            [
            _MetaInfoClassMember('summary', REFERENCE_CLASS, 'Summary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.LspOutOfResources.Summary', 
                [], [], 
                '''                LSP OOR Summary information
                ''',
                'summary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-out-of-resources',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Bfd.HeadInfos.HeadInfo.CurrentLspbfdInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Bfd.HeadInfos.HeadInfo.CurrentLspbfdInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-session-state', REFERENCE_ENUM_CLASS, 'TeBfdLspSessionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdLspSessionStateEnum', 
                [], [], 
                '''                BFD Session State
                ''',
                'bfd_session_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'current-lspbfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Bfd.HeadInfos.HeadInfo.StandbyLspbfdInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Bfd.HeadInfos.HeadInfo.StandbyLspbfdInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-session-state', REFERENCE_ENUM_CLASS, 'TeBfdLspSessionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdLspSessionStateEnum', 
                [], [], 
                '''                BFD Session State
                ''',
                'bfd_session_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'standby-lspbfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Bfd.HeadInfos.HeadInfo.ReoptimizedLspbfdInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Bfd.HeadInfos.HeadInfo.ReoptimizedLspbfdInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-session-state', REFERENCE_ENUM_CLASS, 'TeBfdLspSessionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdLspSessionStateEnum', 
                [], [], 
                '''                BFD Session State
                ''',
                'bfd_session_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'reoptimized-lspbfd-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Bfd.HeadInfos.HeadInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Bfd.HeadInfos.HeadInfo',
            False, 
            [
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Tunnel Name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('current-lspbfd-info', REFERENCE_CLASS, 'CurrentLspbfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Bfd.HeadInfos.HeadInfo.CurrentLspbfdInfo', 
                [], [], 
                '''                Current LSP BFD Info
                ''',
                'current_lspbfd_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination Address
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lspbfd-type', REFERENCE_ENUM_CLASS, 'TeVifBfdEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeVifBfdEnum', 
                [], [], 
                '''                LSP BFD type
                ''',
                'lspbfd_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reoptimized-lspbfd-info', REFERENCE_CLASS, 'ReoptimizedLspbfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Bfd.HeadInfos.HeadInfo.ReoptimizedLspbfdInfo', 
                [], [], 
                '''                Reoptimized LSP BFD Info
                ''',
                'reoptimized_lspbfd_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('standby-lspbfd-info', REFERENCE_CLASS, 'StandbyLspbfdInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Bfd.HeadInfos.HeadInfo.StandbyLspbfdInfo', 
                [], [], 
                '''                Standby LSP BFD Info
                ''',
                'standby_lspbfd_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel name
                ''',
                'tunnel_name_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'head-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Bfd.HeadInfos' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Bfd.HeadInfos',
            False, 
            [
            _MetaInfoClassMember('head-info', REFERENCE_LIST, 'HeadInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Bfd.HeadInfos.HeadInfo', 
                [], [], 
                '''                MPLS TE Head End BFD Over LSP Info
                ''',
                'head_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'head-infos',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Bfd.Links.Link.Neighbor' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Bfd.Links.Link.Neighbor',
            False, 
            [
            _MetaInfoClassMember('is-bfd-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TRUE if the BFD session is Up on this link
                ''',
                'is_bfd_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The neighbor's IP address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Bfd.Links.Link' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Bfd.Links.Link',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Bfd.Links.Link.Neighbor', 
                [], [], 
                '''                Neighbors of the specified link id
                ''',
                'neighbor',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'link',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Bfd.Links' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Bfd.Links',
            False, 
            [
            _MetaInfoClassMember('link', REFERENCE_LIST, 'Link' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Bfd.Links.Link', 
                [], [], 
                '''                MPLS TE BFD Info
                ''',
                'link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'links',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Bfd.TailInfos.TailInfo.LspFec.FecDestinationInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Bfd.TailInfos.TailInfo.LspFec.FecDestinationInfo',
            False, 
            [
            _MetaInfoClassMember('fec-ctype', REFERENCE_ENUM_CLASS, 'MplsLibCEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsLibCEnum', 
                [], [], 
                '''                FEC CType
                ''',
                'fec_ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-destination-p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                P2MP ID
                ''',
                'fec_destination_p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-lsp-destination', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                P2P LSP destination
                ''',
                'p2p_lsp_destination',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fec-destination-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Bfd.TailInfos.TailInfo.LspFec' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Bfd.TailInfos.TailInfo.LspFec',
            False, 
            [
            _MetaInfoClassMember('fec-destination-info', REFERENCE_CLASS, 'FecDestinationInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Bfd.TailInfos.TailInfo.LspFec.FecDestinationInfo', 
                [], [], 
                '''                Destination or P2MP ID
                ''',
                'fec_destination_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended tunnel ID
                ''',
                'fec_extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSP ID
                ''',
                'fec_lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Tunnel source address
                ''',
                'fec_source',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Tunnel ID
                ''',
                'fec_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fec-vrf', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF; currently only for GMPLS tunnels
                ''',
                'fec_vrf',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'lsp-fec',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Bfd.TailInfos.TailInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Bfd.TailInfos.TailInfo',
            False, 
            [
            _MetaInfoClassMember('bfd-session-state', REFERENCE_ENUM_CLASS, 'TeBfdLspSessionStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeBfdLspSessionStateEnum', 
                [], [], 
                '''                BFD Session State
                ''',
                'bfd_session_state',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ctype', REFERENCE_ENUM_CLASS, 'CtypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'CtypeEnum', 
                [], [], 
                '''                Ctype
                ''',
                'ctype',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('destination-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Destination Address
                ''',
                'destination_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('extended-tunnel-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Extended Tunnel ID
                ''',
                'extended_tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-fec', REFERENCE_CLASS, 'LspFec' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Bfd.TailInfos.TailInfo.LspFec', 
                [], [], 
                '''                FEC for the LSP
                ''',
                'lsp_fec',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                LSP ID
                ''',
                'lsp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2mp-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                P2MP ID
                ''',
                'p2mp_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signaled-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signaled Name
                ''',
                'signaled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tail-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Bfd.TailInfos' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Bfd.TailInfos',
            False, 
            [
            _MetaInfoClassMember('tail-info', REFERENCE_LIST, 'TailInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Bfd.TailInfos.TailInfo', 
                [], [], 
                '''                MPLS TE Tail End BFD Over LSP Info
                ''',
                'tail_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tail-infos',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Bfd.Summary' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Bfd.Summary',
            False, 
            [
            _MetaInfoClassMember('head-lsp-count-sbfd-session-created', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of head end LSP with SBFD session created
                ''',
                'head_lsp_count_sbfd_session_created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('head-lsp-count-sbfd-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of head end LSP with SBFD session in up
                state
                ''',
                'head_lsp_count_sbfd_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('head-lsp-count-session-created', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of head end LSP with BFD session created
                ''',
                'head_lsp_count_session_created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('head-lsp-count-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of head end LSP with BFD session in up
                state
                ''',
                'head_lsp_count_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-count-bfd-enabled', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of link with BFD enabled
                ''',
                'link_count_bfd_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-count-session-created', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of link with BFD session created
                ''',
                'link_count_session_created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-count-session-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of link with BFD session in state Up
                ''',
                'link_count_session_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tail-lsp-count-session-created', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of tail end LSP with BFD session created
                ''',
                'tail_lsp_count_session_created',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tail-lsp-count-session-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of tail end LSP with BFD session in up
                state
                ''',
                'tail_lsp_count_session_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-count-bfd-enabled', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of tunnel interface with BFD enabled
                ''',
                'tunnel_count_bfd_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-count-sbfd-enabled', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of tunnel interface with SBFD enabled
                ''',
                'tunnel_count_sbfd_enabled',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-count-sbfd-session-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of tunnel with SBFD session in up state
                ''',
                'tunnel_count_sbfd_session_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-count-session-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of tunnel with BFD session in up state
                ''',
                'tunnel_count_session_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-count-total', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Total number of tunnel interface
                ''',
                'tunnel_count_total',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'summary',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Bfd.Counters.BfdOverLspHeadCounters' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Bfd.Counters.BfdOverLspHeadCounters',
            False, 
            [
            _MetaInfoClassMember('session-admin-down-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLSP session admin down
                events
                ''',
                'session_admin_down_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-create-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLSP session create events
                ''',
                'session_create_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-create-timeout-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLSP session create timeout
                events
                ''',
                'session_create_timeout_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-creation-failed-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLSP session creation failed
                events
                ''',
                'session_creation_failed_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-down-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLSP session down events
                ''',
                'session_down_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-gracefully-delete-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLSP session gracefully
                delete events
                ''',
                'session_gracefully_delete_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-non-gracefully-delete-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLSP session non gracefully
                delete events
                ''',
                'session_non_gracefully_delete_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-replay-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLSP session replay events
                ''',
                'session_replay_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-up-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLSP session up events
                ''',
                'session_up_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-over-lsp-head-counters',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Bfd.Counters.SbfdOverLspHeadCounters' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Bfd.Counters.SbfdOverLspHeadCounters',
            False, 
            [
            _MetaInfoClassMember('session-admin-down-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLSP session admin down
                events
                ''',
                'session_admin_down_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-create-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLSP session create events
                ''',
                'session_create_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-create-timeout-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLSP session create timeout
                events
                ''',
                'session_create_timeout_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-creation-failed-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLSP session creation failed
                events
                ''',
                'session_creation_failed_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-down-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLSP session down events
                ''',
                'session_down_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-gracefully-delete-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLSP session gracefully
                delete events
                ''',
                'session_gracefully_delete_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-non-gracefully-delete-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLSP session non gracefully
                delete events
                ''',
                'session_non_gracefully_delete_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-replay-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLSP session replay events
                ''',
                'session_replay_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-up-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLSP session up events
                ''',
                'session_up_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'sbfd-over-lsp-head-counters',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Bfd.Counters.BfdOverLspTailCounters' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Bfd.Counters.BfdOverLspTailCounters',
            False, 
            [
            _MetaInfoClassMember('session-admin-down-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLM session admin down
                events
                ''',
                'session_admin_down_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-create-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLM session create events
                ''',
                'session_create_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-creation-failed-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLM session creation failed
                events
                ''',
                'session_creation_failed_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-down-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLM session down events
                ''',
                'session_down_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-gracefully-delete-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLM session gracefully
                delete events
                ''',
                'session_gracefully_delete_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-non-gracefully-delete-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLM session non gracefully
                delete events
                ''',
                'session_non_gracefully_delete_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-replay-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLSP session replay events
                ''',
                'session_replay_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-up-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLM session up events
                ''',
                'session_up_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd-over-lsp-tail-counters',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Bfd.Counters.BfDoLmCounters' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Bfd.Counters.BfDoLmCounters',
            False, 
            [
            _MetaInfoClassMember('session-admin-down-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLM session admin down
                events
                ''',
                'session_admin_down_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-create-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLM session create events
                ''',
                'session_create_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-creation-failed-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLM session creation failed
                events
                ''',
                'session_creation_failed_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-down-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLM session down events
                ''',
                'session_down_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-gracefully-delete-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLM session gracefully
                delete events
                ''',
                'session_gracefully_delete_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-non-gracefully-delete-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLM session non gracefully
                delete events
                ''',
                'session_non_gracefully_delete_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-replay-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLSP session replay events
                ''',
                'session_replay_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('session-up-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of BFDOverLM session up events
                ''',
                'session_up_events',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bf-do-lm-counters',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Bfd.Counters' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Bfd.Counters',
            False, 
            [
            _MetaInfoClassMember('bf-do-lm-counters', REFERENCE_CLASS, 'BfDoLmCounters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Bfd.Counters.BfDoLmCounters', 
                [], [], 
                '''                BFD over Links Cumulative Counters
                ''',
                'bf_do_lm_counters',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-over-lsp-head-counters', REFERENCE_CLASS, 'BfdOverLspHeadCounters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Bfd.Counters.BfdOverLspHeadCounters', 
                [], [], 
                '''                BFD over Head-end LSPs Cumulative Counters
                ''',
                'bfd_over_lsp_head_counters',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd-over-lsp-tail-counters', REFERENCE_CLASS, 'BfdOverLspTailCounters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Bfd.Counters.BfdOverLspTailCounters', 
                [], [], 
                '''                BFD over Tail-end LSPs Cumulative Counters
                ''',
                'bfd_over_lsp_tail_counters',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('last-cleared-timestamp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The timestamp when these stats are cleared
                relative to Jan 1, 1970
                ''',
                'last_cleared_timestamp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sbfd-over-lsp-head-counters', REFERENCE_CLASS, 'SbfdOverLspHeadCounters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Bfd.Counters.SbfdOverLspHeadCounters', 
                [], [], 
                '''                SBFD over Head-end LSPs Cumulative Counters
                ''',
                'sbfd_over_lsp_head_counters',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'counters',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Bfd' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Bfd',
            False, 
            [
            _MetaInfoClassMember('counters', REFERENCE_CLASS, 'Counters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Bfd.Counters', 
                [], [], 
                '''                MPLS TE BFD Counters
                ''',
                'counters',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('head-infos', REFERENCE_CLASS, 'HeadInfos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Bfd.HeadInfos', 
                [], [], 
                '''                MPLS TE Head BFD Over LSP Table
                ''',
                'head_infos',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('links', REFERENCE_CLASS, 'Links' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Bfd.Links', 
                [], [], 
                '''                MPLS TE BFD Info
                ''',
                'links',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('summary', REFERENCE_CLASS, 'Summary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Bfd.Summary', 
                [], [], 
                '''                MPLS TE BFD Summary
                ''',
                'summary',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tail-infos', REFERENCE_CLASS, 'TailInfos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Bfd.TailInfos', 
                [], [], 
                '''                MPLS TE Tail BFD Over LSP Table
                ''',
                'tail_infos',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bfd',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Nsr.Status.SyncStatusInformation.SlaveSyncInformation.Idt.CurrentIdtInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Nsr.Status.SyncStatusInformation.SlaveSyncInformation.Idt.CurrentIdtInfo',
            False, 
            [
            _MetaInfoClassMember('declare-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Declare ready timestampe in seconds
                ''',
                'declare_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('idt-end-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT end timestampe in seconds
                ''',
                'idt_end_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('idt-start-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT start timestampe in seconds
                ''',
                'idt_start_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-ready-status', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Ready status
                ''',
                'is_ready_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reason', REFERENCE_ENUM_CLASS, 'TeSyncNotReadyReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSyncNotReadyReasonEnum', 
                [], [], 
                '''                Not ready reason
                ''',
                'reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('withdraw-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Withdraw ready timestampe in seconds
                ''',
                'withdraw_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'current-idt-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Nsr.Status.SyncStatusInformation.SlaveSyncInformation.Idt.PreviousIdtStatus' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Nsr.Status.SyncStatusInformation.SlaveSyncInformation.Idt.PreviousIdtStatus',
            False, 
            [
            _MetaInfoClassMember('declare-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Declare ready timestampe in seconds
                ''',
                'declare_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('idt-end-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT end timestampe in seconds
                ''',
                'idt_end_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('idt-start-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT start timestampe in seconds
                ''',
                'idt_start_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-ready-status', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Ready status
                ''',
                'is_ready_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reason', REFERENCE_ENUM_CLASS, 'TeSyncNotReadyReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSyncNotReadyReasonEnum', 
                [], [], 
                '''                Not ready reason
                ''',
                'reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('withdraw-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Withdraw ready timestampe in seconds
                ''',
                'withdraw_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'previous-idt-status',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Nsr.Status.SyncStatusInformation.SlaveSyncInformation.Idt' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Nsr.Status.SyncStatusInformation.SlaveSyncInformation.Idt',
            False, 
            [
            _MetaInfoClassMember('current-idt-info', REFERENCE_CLASS, 'CurrentIdtInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Nsr.Status.SyncStatusInformation.SlaveSyncInformation.Idt.CurrentIdtInfo', 
                [], [], 
                '''                Current IDT information
                ''',
                'current_idt_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-idt-status', REFERENCE_CLASS, 'PreviousIdtStatus' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Nsr.Status.SyncStatusInformation.SlaveSyncInformation.Idt.PreviousIdtStatus', 
                [], [], 
                '''                Previous IDT information
                ''',
                'previous_idt_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'idt',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Nsr.Status.SyncStatusInformation.SlaveSyncInformation.VifPending' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Nsr.Status.SyncStatusInformation.SlaveSyncInformation.VifPending',
            False, 
            [
            _MetaInfoClassMember('pending-reason', REFERENCE_ENUM_CLASS, 'TeSyncPendingReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSyncPendingReasonEnum', 
                [], [], 
                '''                Pending reason
                ''',
                'pending_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'vif-pending',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Nsr.Status.SyncStatusInformation.SlaveSyncInformation.S2LPending' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Nsr.Status.SyncStatusInformation.SlaveSyncInformation.S2LPending',
            False, 
            [
            _MetaInfoClassMember('pending-reason', REFERENCE_ENUM_CLASS, 'TeSyncPendingReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSyncPendingReasonEnum', 
                [], [], 
                '''                Pending reason
                ''',
                'pending_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-role', REFERENCE_ENUM_CLASS, 'MplsTeTunnelRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelRoleEnum', 
                [], [], 
                '''                S2L role
                ''',
                's2l_role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signaled-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signaled name
                ''',
                'signaled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-pending',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Nsr.Status.SyncStatusInformation.SlaveSyncInformation' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Nsr.Status.SyncStatusInformation.SlaveSyncInformation',
            False, 
            [
            _MetaInfoClassMember('idt', REFERENCE_CLASS, 'Idt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Nsr.Status.SyncStatusInformation.SlaveSyncInformation.Idt', 
                [], [], 
                '''                Sync status IDT information
                ''',
                'idt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('insync-sub-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-LSPs in sync
                ''',
                'insync_sub_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('insync-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnels in sync
                ''',
                'insync_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pending-sub-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-LSPs in sync pending
                ''',
                'pending_sub_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pending-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnels in sync pending
                ''',
                'pending_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-pending', REFERENCE_LIST, 'S2LPending' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Nsr.Status.SyncStatusInformation.SlaveSyncInformation.S2LPending', 
                [], [], 
                '''                Pending sub-LSPs details
                ''',
                's2l_pending',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('vif-pending', REFERENCE_LIST, 'VifPending' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Nsr.Status.SyncStatusInformation.SlaveSyncInformation.VifPending', 
                [], [], 
                '''                Pending tunnels details
                ''',
                'vif_pending',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'slave-sync-information',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Nsr.Status.SyncStatusInformation.MasterSyncInformation.Idt.CurrentIdtInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Nsr.Status.SyncStatusInformation.MasterSyncInformation.Idt.CurrentIdtInfo',
            False, 
            [
            _MetaInfoClassMember('declare-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Declare ready timestampe in seconds
                ''',
                'declare_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('idt-end-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT end timestampe in seconds
                ''',
                'idt_end_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('idt-start-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT start timestampe in seconds
                ''',
                'idt_start_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-ready-status', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Ready status
                ''',
                'is_ready_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reason', REFERENCE_ENUM_CLASS, 'TeSyncNotReadyReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSyncNotReadyReasonEnum', 
                [], [], 
                '''                Not ready reason
                ''',
                'reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('withdraw-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Withdraw ready timestampe in seconds
                ''',
                'withdraw_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'current-idt-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Nsr.Status.SyncStatusInformation.MasterSyncInformation.Idt.PreviousIdtStatus' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Nsr.Status.SyncStatusInformation.MasterSyncInformation.Idt.PreviousIdtStatus',
            False, 
            [
            _MetaInfoClassMember('declare-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Declare ready timestampe in seconds
                ''',
                'declare_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('idt-end-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT end timestampe in seconds
                ''',
                'idt_end_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('idt-start-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT start timestampe in seconds
                ''',
                'idt_start_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-ready-status', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Ready status
                ''',
                'is_ready_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reason', REFERENCE_ENUM_CLASS, 'TeSyncNotReadyReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSyncNotReadyReasonEnum', 
                [], [], 
                '''                Not ready reason
                ''',
                'reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('withdraw-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Withdraw ready timestampe in seconds
                ''',
                'withdraw_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'previous-idt-status',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Nsr.Status.SyncStatusInformation.MasterSyncInformation.Idt' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Nsr.Status.SyncStatusInformation.MasterSyncInformation.Idt',
            False, 
            [
            _MetaInfoClassMember('current-idt-info', REFERENCE_CLASS, 'CurrentIdtInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Nsr.Status.SyncStatusInformation.MasterSyncInformation.Idt.CurrentIdtInfo', 
                [], [], 
                '''                Current IDT information
                ''',
                'current_idt_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-idt-status', REFERENCE_CLASS, 'PreviousIdtStatus' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Nsr.Status.SyncStatusInformation.MasterSyncInformation.Idt.PreviousIdtStatus', 
                [], [], 
                '''                Previous IDT information
                ''',
                'previous_idt_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'idt',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Nsr.Status.SyncStatusInformation.MasterSyncInformation' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Nsr.Status.SyncStatusInformation.MasterSyncInformation',
            False, 
            [
            _MetaInfoClassMember('idt', REFERENCE_CLASS, 'Idt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Nsr.Status.SyncStatusInformation.MasterSyncInformation.Idt', 
                [], [], 
                '''                Sync status IDT information
                ''',
                'idt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'master-sync-information',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Nsr.Status.SyncStatusInformation' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Nsr.Status.SyncStatusInformation',
            False, 
            [
            _MetaInfoClassMember('master-sync-information', REFERENCE_CLASS, 'MasterSyncInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Nsr.Status.SyncStatusInformation.MasterSyncInformation', 
                [], [], 
                '''                Master sync information
                ''',
                'master_sync_information',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('slave-sync-information', REFERENCE_CLASS, 'SlaveSyncInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Nsr.Status.SyncStatusInformation.SlaveSyncInformation', 
                [], [], 
                '''                Slave sync information
                ''',
                'slave_sync_information',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sync-show-type', REFERENCE_ENUM_CLASS, 'TeSyncStatusShowEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSyncStatusShowEnum', 
                [], [], 
                '''                SyncShowType
                ''',
                'sync_show_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'sync-status-information',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Nsr.Status' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Nsr.Status',
            False, 
            [
            _MetaInfoClassMember('role', REFERENCE_ENUM_CLASS, 'TeProcRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProcRoleEnum', 
                [], [], 
                '''                Process role
                ''',
                'role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sync-status-information', REFERENCE_CLASS, 'SyncStatusInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Nsr.Status.SyncStatusInformation', 
                [], [], 
                '''                Sync information for the NSR and ISSU
                ''',
                'sync_status_information',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'status',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation.Idt.CurrentIdtInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation.Idt.CurrentIdtInfo',
            False, 
            [
            _MetaInfoClassMember('declare-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Declare ready timestampe in seconds
                ''',
                'declare_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('idt-end-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT end timestampe in seconds
                ''',
                'idt_end_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('idt-start-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT start timestampe in seconds
                ''',
                'idt_start_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-ready-status', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Ready status
                ''',
                'is_ready_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reason', REFERENCE_ENUM_CLASS, 'TeSyncNotReadyReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSyncNotReadyReasonEnum', 
                [], [], 
                '''                Not ready reason
                ''',
                'reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('withdraw-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Withdraw ready timestampe in seconds
                ''',
                'withdraw_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'current-idt-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation.Idt.PreviousIdtStatus' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation.Idt.PreviousIdtStatus',
            False, 
            [
            _MetaInfoClassMember('declare-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Declare ready timestampe in seconds
                ''',
                'declare_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('idt-end-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT end timestampe in seconds
                ''',
                'idt_end_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('idt-start-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT start timestampe in seconds
                ''',
                'idt_start_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-ready-status', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Ready status
                ''',
                'is_ready_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reason', REFERENCE_ENUM_CLASS, 'TeSyncNotReadyReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSyncNotReadyReasonEnum', 
                [], [], 
                '''                Not ready reason
                ''',
                'reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('withdraw-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Withdraw ready timestampe in seconds
                ''',
                'withdraw_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'previous-idt-status',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation.Idt' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation.Idt',
            False, 
            [
            _MetaInfoClassMember('current-idt-info', REFERENCE_CLASS, 'CurrentIdtInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation.Idt.CurrentIdtInfo', 
                [], [], 
                '''                Current IDT information
                ''',
                'current_idt_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-idt-status', REFERENCE_CLASS, 'PreviousIdtStatus' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation.Idt.PreviousIdtStatus', 
                [], [], 
                '''                Previous IDT information
                ''',
                'previous_idt_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'idt',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation.VifPending' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation.VifPending',
            False, 
            [
            _MetaInfoClassMember('pending-reason', REFERENCE_ENUM_CLASS, 'TeSyncPendingReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSyncPendingReasonEnum', 
                [], [], 
                '''                Pending reason
                ''',
                'pending_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Tunnel name
                ''',
                'tunnel_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'vif-pending',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation.S2LPending' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation.S2LPending',
            False, 
            [
            _MetaInfoClassMember('pending-reason', REFERENCE_ENUM_CLASS, 'TeSyncPendingReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSyncPendingReasonEnum', 
                [], [], 
                '''                Pending reason
                ''',
                'pending_reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-role', REFERENCE_ENUM_CLASS, 'MplsTeTunnelRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeTunnelRoleEnum', 
                [], [], 
                '''                S2L role
                ''',
                's2l_role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signaled-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Signaled name
                ''',
                'signaled_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            's2l-pending',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation',
            False, 
            [
            _MetaInfoClassMember('idt', REFERENCE_CLASS, 'Idt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation.Idt', 
                [], [], 
                '''                Sync status IDT information
                ''',
                'idt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('insync-sub-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-LSPs in sync
                ''',
                'insync_sub_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('insync-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnels in sync
                ''',
                'insync_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pending-sub-ls-ps', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sub-LSPs in sync pending
                ''',
                'pending_sub_ls_ps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('pending-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnels in sync pending
                ''',
                'pending_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('s2l-pending', REFERENCE_LIST, 'S2LPending' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation.S2LPending', 
                [], [], 
                '''                Pending sub-LSPs details
                ''',
                's2l_pending',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('vif-pending', REFERENCE_LIST, 'VifPending' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation.VifPending', 
                [], [], 
                '''                Pending tunnels details
                ''',
                'vif_pending',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'slave-sync-information',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Nsr.Detail.SyncStatusInformation.MasterSyncInformation.Idt.CurrentIdtInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Nsr.Detail.SyncStatusInformation.MasterSyncInformation.Idt.CurrentIdtInfo',
            False, 
            [
            _MetaInfoClassMember('declare-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Declare ready timestampe in seconds
                ''',
                'declare_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('idt-end-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT end timestampe in seconds
                ''',
                'idt_end_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('idt-start-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT start timestampe in seconds
                ''',
                'idt_start_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-ready-status', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Ready status
                ''',
                'is_ready_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reason', REFERENCE_ENUM_CLASS, 'TeSyncNotReadyReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSyncNotReadyReasonEnum', 
                [], [], 
                '''                Not ready reason
                ''',
                'reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('withdraw-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Withdraw ready timestampe in seconds
                ''',
                'withdraw_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'current-idt-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Nsr.Detail.SyncStatusInformation.MasterSyncInformation.Idt.PreviousIdtStatus' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Nsr.Detail.SyncStatusInformation.MasterSyncInformation.Idt.PreviousIdtStatus',
            False, 
            [
            _MetaInfoClassMember('declare-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Declare ready timestampe in seconds
                ''',
                'declare_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('idt-end-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT end timestampe in seconds
                ''',
                'idt_end_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('idt-start-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IDT start timestampe in seconds
                ''',
                'idt_start_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-ready-status', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Ready status
                ''',
                'is_ready_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('reason', REFERENCE_ENUM_CLASS, 'TeSyncNotReadyReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSyncNotReadyReasonEnum', 
                [], [], 
                '''                Not ready reason
                ''',
                'reason',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('withdraw-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Withdraw ready timestampe in seconds
                ''',
                'withdraw_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'previous-idt-status',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Nsr.Detail.SyncStatusInformation.MasterSyncInformation.Idt' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Nsr.Detail.SyncStatusInformation.MasterSyncInformation.Idt',
            False, 
            [
            _MetaInfoClassMember('current-idt-info', REFERENCE_CLASS, 'CurrentIdtInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Nsr.Detail.SyncStatusInformation.MasterSyncInformation.Idt.CurrentIdtInfo', 
                [], [], 
                '''                Current IDT information
                ''',
                'current_idt_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('previous-idt-status', REFERENCE_CLASS, 'PreviousIdtStatus' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Nsr.Detail.SyncStatusInformation.MasterSyncInformation.Idt.PreviousIdtStatus', 
                [], [], 
                '''                Previous IDT information
                ''',
                'previous_idt_status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'idt',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Nsr.Detail.SyncStatusInformation.MasterSyncInformation' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Nsr.Detail.SyncStatusInformation.MasterSyncInformation',
            False, 
            [
            _MetaInfoClassMember('idt', REFERENCE_CLASS, 'Idt' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Nsr.Detail.SyncStatusInformation.MasterSyncInformation.Idt', 
                [], [], 
                '''                Sync status IDT information
                ''',
                'idt',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'master-sync-information',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Nsr.Detail.SyncStatusInformation' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Nsr.Detail.SyncStatusInformation',
            False, 
            [
            _MetaInfoClassMember('master-sync-information', REFERENCE_CLASS, 'MasterSyncInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Nsr.Detail.SyncStatusInformation.MasterSyncInformation', 
                [], [], 
                '''                Master sync information
                ''',
                'master_sync_information',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('slave-sync-information', REFERENCE_CLASS, 'SlaveSyncInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation', 
                [], [], 
                '''                Slave sync information
                ''',
                'slave_sync_information',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sync-show-type', REFERENCE_ENUM_CLASS, 'TeSyncStatusShowEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeSyncStatusShowEnum', 
                [], [], 
                '''                SyncShowType
                ''',
                'sync_show_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'sync-status-information',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Nsr.Detail' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Nsr.Detail',
            False, 
            [
            _MetaInfoClassMember('role', REFERENCE_ENUM_CLASS, 'TeProcRoleEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeProcRoleEnum', 
                [], [], 
                '''                Process role
                ''',
                'role',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sync-status-information', REFERENCE_CLASS, 'SyncStatusInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Nsr.Detail.SyncStatusInformation', 
                [], [], 
                '''                Sync information for the NSR and ISSU
                ''',
                'sync_status_information',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'detail',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.Nsr' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.Nsr',
            False, 
            [
            _MetaInfoClassMember('detail', REFERENCE_CLASS, 'Detail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Nsr.Detail', 
                [], [], 
                '''                MPLS TE NSR Status information
                ''',
                'detail',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('status', REFERENCE_CLASS, 'Status' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Nsr.Status', 
                [], [], 
                '''                MPLS TE NSR Status information
                ''',
                'status',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'nsr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AutoTunnelServices.SrPolicyEntries.SrPolicyEntry.EndPointXr' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AutoTunnelServices.SrPolicyEntries.SrPolicyEntry.EndPointXr',
            False, 
            [
            _MetaInfoClassMember('address-family-type', REFERENCE_ENUM_CLASS, 'MplsTeAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeAfiEnum', 
                [], [], 
                '''                AddressFamilyType
                ''',
                'address_family_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 Address
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'end-point-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AutoTunnelServices.SrPolicyEntries.SrPolicyEntry.ExplicitPath.TunnelInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AutoTunnelServices.SrPolicyEntries.SrPolicyEntry.ExplicitPath.TunnelInfo',
            False, 
            [
            _MetaInfoClassMember('ipv6-caps', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 Capsulation
                ''',
                'ipv6_caps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tunnel ID
                ''',
                'tunnel_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Tunnel Up
                ''',
                'tunnel_up',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'tunnel-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AutoTunnelServices.SrPolicyEntries.SrPolicyEntry.ExplicitPath.Hops' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AutoTunnelServices.SrPolicyEntries.SrPolicyEntry.ExplicitPath.Hops',
            False, 
            [
            _MetaInfoClassMember('hop-type', REFERENCE_ENUM_CLASS, 'TeAutoTunExpPathHopEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAutoTunExpPathHopEnum', 
                [], [], 
                '''                Hop Type
                ''',
                'hop_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Address
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('mpls-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS Label
                ''',
                'mpls_label',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'hops',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AutoTunnelServices.SrPolicyEntries.SrPolicyEntry.ExplicitPath' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AutoTunnelServices.SrPolicyEntries.SrPolicyEntry.ExplicitPath',
            False, 
            [
            _MetaInfoClassMember('context-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Explicit Path Context ID
                ''',
                'context_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hops', REFERENCE_LIST, 'Hops' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AutoTunnelServices.SrPolicyEntries.SrPolicyEntry.ExplicitPath.Hops', 
                [], [], 
                '''                Path Hops
                ''',
                'hops',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Stale
                ''',
                'is_stale',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-synced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Synced
                ''',
                'is_synced',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Path Weight
                ''',
                'path_weight',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('programmed-in-fib', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Programmed in FIB
                ''',
                'programmed_in_fib',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnel-info', REFERENCE_CLASS, 'TunnelInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AutoTunnelServices.SrPolicyEntries.SrPolicyEntry.ExplicitPath.TunnelInfo', 
                [], [], 
                '''                Auto tunnel info
                ''',
                'tunnel_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'explicit-path',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AutoTunnelServices.SrPolicyEntries.SrPolicyEntry' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AutoTunnelServices.SrPolicyEntries.SrPolicyEntry',
            False, 
            [
            _MetaInfoClassMember('client-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Client ID
                ''',
                'client_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('color', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Color
                ''',
                'color',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('distinguisher', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                SR Policy Distinguisher Value
                ''',
                'distinguisher',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('end-point', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                End Point
                ''',
                'end_point',
                'Cisco-IOS-XR-mpls-te-oper', True, [
                    _MetaInfoClassMember('end-point', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        End Point
                        ''',
                        'end_point',
                        'Cisco-IOS-XR-mpls-te-oper', True),
                    _MetaInfoClassMember('end-point', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        End Point
                        ''',
                        'end_point',
                        'Cisco-IOS-XR-mpls-te-oper', True),
                ]),
            _MetaInfoClassMember('allocated-binding-sid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Allocated Binding SID
                ''',
                'allocated_binding_sid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('binding-sid-context-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Binding SID Context ID
                ''',
                'binding_sid_context_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('binding-sid-request-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Binding SID Request Pending
                ''',
                'binding_sid_request_pending',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('client-id-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Client ID
                ''',
                'client_id_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('client-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Client Name
                ''',
                'client_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('color-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Color
                ''',
                'color_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('creation-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                SR policy structure creation timestamp
                (clocktime in nsecs)
                ''',
                'creation_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('distinguisher-xr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy Distinguisher value
                ''',
                'distinguisher_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('end-point-xr', REFERENCE_CLASS, 'EndPointXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AutoTunnelServices.SrPolicyEntries.SrPolicyEntry.EndPointXr', 
                [], [], 
                '''                End Point
                ''',
                'end_point_xr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('explicit-path', REFERENCE_LIST, 'ExplicitPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AutoTunnelServices.SrPolicyEntries.SrPolicyEntry.ExplicitPath', 
                [], [], 
                '''                Explicit Paths
                ''',
                'explicit_path',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('ipv6-caps', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPv6 Capsulation
                ''',
                'ipv6_caps',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Stale
                ''',
                'is_stale',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('is-synced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Synced
                ''',
                'is_synced',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('notify-state-is-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Notify State Is Active
                ''',
                'notify_state_is_active',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('notify-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Notify Time
                ''',
                'notify_time',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('policy-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Policy Active
                ''',
                'policy_active',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('requested-binding-sid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Requested Binding SID
                ''',
                'requested_binding_sid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rewrite-done', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Rewrite Done
                ''',
                'rewrite_done',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('rewrite-request-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Rewrite Requeste Pending
                ''',
                'rewrite_request_pending',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('sr-policy-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Policy ID
                ''',
                'sr_policy_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'sr-policy-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AutoTunnelServices.SrPolicyEntries' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AutoTunnelServices.SrPolicyEntries',
            False, 
            [
            _MetaInfoClassMember('sr-policy-entry', REFERENCE_LIST, 'SrPolicyEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AutoTunnelServices.SrPolicyEntries.SrPolicyEntry', 
                [], [], 
                '''                MPLS TE SR Policy information
                ''',
                'sr_policy_entry',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'sr-policy-entries',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AutoTunnelServices' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AutoTunnelServices',
            False, 
            [
            _MetaInfoClassMember('sr-policy-entries', REFERENCE_CLASS, 'SrPolicyEntries' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AutoTunnelServices.SrPolicyEntries', 
                [], [], 
                '''                MPLS TE SR Policy Context table 
                ''',
                'sr_policy_entries',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'auto-tunnel-services',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AffinityMap.AffinityMapArray' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AffinityMap.AffinityMapArray',
            False, 
            [
            _MetaInfoClassMember('affinity-bit-position', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Affinity bit position
                ''',
                'affinity_bit_position',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-extended-value', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                EAG value
                ''',
                'affinity_extended_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Affinity name
                ''',
                'affinity_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-table-id', REFERENCE_ENUM_CLASS, 'TeAffinityTableEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeAffinityTableEnum', 
                [], [], 
                '''                Affinity table id
                ''',
                'affinity_table_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('affinity-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Affinity value
                ''',
                'affinity_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity-map-array',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.AffinityMap' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.AffinityMap',
            False, 
            [
            _MetaInfoClassMember('affinity-map-array', REFERENCE_LIST, 'AffinityMapArray' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AffinityMap.AffinityMapArray', 
                [], [], 
                '''                Affinity map array
                ''',
                'affinity_map_array',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'affinity-map',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeSidAndSrbg' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeSidAndSrbg',
            False, 
            [
            _MetaInfoClassMember('segment-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment-Routing Node-SID
                ''',
                'segment_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('segment-id-local-absolute-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Node-SID local absolute value
                ''',
                'segment_id_local_absolute_value',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srgb-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment-Routing global block size
                ''',
                'srgb_size',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srgb-start', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment-Routring global block start value
                ''',
                'srgb_start',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'topology-node-sid-and-srbg',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthPrestandard.TopologyLinkPrestandardBandwidthDetail' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthPrestandard.TopologyLinkPrestandardBandwidthDetail',
            False, 
            [
            _MetaInfoClassMember('topology-link-prestandard-bandwidth-allocated', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link's allocated bandwidth at priority levels
                (priority 0 to priority 7)
                ''',
                'topology_link_prestandard_bandwidth_allocated',
                'Cisco-IOS-XR-mpls-te-oper', False, max_elements=8),
            _MetaInfoClassMember('topology-link-prestandard-bandwidth-available-global', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link's available global-pool bandwidth at
                priority levels (priority 0 to priority 7)
                ''',
                'topology_link_prestandard_bandwidth_available_global',
                'Cisco-IOS-XR-mpls-te-oper', False, max_elements=8),
            _MetaInfoClassMember('topology-link-prestandard-bandwidth-available-subpool', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link's available sub-pool bandwidth at priority
                levels (priority 0 to priority 7)
                ''',
                'topology_link_prestandard_bandwidth_available_subpool',
                'Cisco-IOS-XR-mpls-te-oper', False, max_elements=8),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'topology-link-prestandard-bandwidth-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthPrestandard' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthPrestandard',
            False, 
            [
            _MetaInfoClassMember('topology-link-prestandard-bandwidth-detail', REFERENCE_CLASS, 'TopologyLinkPrestandardBandwidthDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthPrestandard.TopologyLinkPrestandardBandwidthDetail', 
                [], [], 
                '''                Detailed bandwidth information for this link
                ''',
                'topology_link_prestandard_bandwidth_detail',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-prestandard-bandwidth-physical', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The link's physical bandwidth
                ''',
                'topology_link_prestandard_bandwidth_physical',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-prestandard-bandwidth-reservation-global', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The link's reservable global bandwidth
                ''',
                'topology_link_prestandard_bandwidth_reservation_global',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-prestandard-bandwidth-reservation-subpool', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The link's reservable subpool bandwidth
                ''',
                'topology_link_prestandard_bandwidth_reservation_subpool',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'topology-link-bandwidth-prestandard',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthStandard.TopoLinkStdBwDetail' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthStandard.TopoLinkStdBwDetail',
            False, 
            [
            _MetaInfoClassMember('topo-link-std-bw-allocated', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link's allocated bandwidth per class
                ''',
                'topo_link_std_bw_allocated',
                'Cisco-IOS-XR-mpls-te-oper', False, max_elements=8),
            _MetaInfoClassMember('topo-link-std-bw-available', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link's available bandwidth per class
                ''',
                'topo_link_std_bw_available',
                'Cisco-IOS-XR-mpls-te-oper', False, max_elements=8),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'topo-link-std-bw-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthStandard' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthStandard',
            False, 
            [
            _MetaInfoClassMember('topo-link-std-bw-detail', REFERENCE_CLASS, 'TopoLinkStdBwDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthStandard.TopoLinkStdBwDetail', 
                [], [], 
                '''                Detailed bandwidth information for this link
                ''',
                'topo_link_std_bw_detail',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topo-link-std-bw-physical', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The link's physical bandwidth
                ''',
                'topo_link_std_bw_physical',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topo-link-std-bw-res-max', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The link's maximum reservable bandwidth
                ''',
                'topo_link_std_bw_res_max',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topo-link-std-bw-res-pool0', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The link's reservable BC0 bandwidth
                ''',
                'topo_link_std_bw_res_pool0',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topo-link-std-bw-res-pool1', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The link's reservable BC1 bandwidth
                ''',
                'topo_link_std_bw_res_pool1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'topology-link-bandwidth-standard',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth',
            False, 
            [
            _MetaInfoClassMember('bandwidth-migration-mode', REFERENCE_ENUM_CLASS, 'RrrDsteMigrationModeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'RrrDsteMigrationModeEnum', 
                [], [], 
                '''                BandwidthMigrationMode
                ''',
                'bandwidth_migration_mode',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-bandwidth-prestandard', REFERENCE_CLASS, 'TopologyLinkBandwidthPrestandard' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthPrestandard', 
                [], [], 
                '''                Pre-standard bandwidth information for this link
                ''',
                'topology_link_bandwidth_prestandard',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-bandwidth-standard', REFERENCE_CLASS, 'TopologyLinkBandwidthStandard' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthStandard', 
                [], [], 
                '''                IETF-standard bandwidth information for this
                link
                ''',
                'topology_link_bandwidth_standard',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'topology-link-bandwidth',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Fixed' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Fixed',
            False, 
            [
            _MetaInfoClassMember('maximum-od-us', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Maximum Number of ODUs of this level possible on
                this link
                ''',
                'maximum_od_us',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unreserved-od-us', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Maximum Number of ODUs of this level possible on
                this link
                ''',
                'unreserved_od_us',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'fixed',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Flex' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Flex',
            False, 
            [
            _MetaInfoClassMember('max-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max kbps Bandwidth of this level possible on
                this link
                ''',
                'max_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('max-lsp-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Per LSP Max kbps Bandwidth of this level
                possible on this link
                ''',
                'max_lsp_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('unreserved-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Unreserved kbps Bandwidth of this level possible
                on this link
                ''',
                'unreserved_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'flex',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo',
            False, 
            [
            _MetaInfoClassMember('fixed', REFERENCE_CLASS, 'Fixed' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Fixed', 
                [], [], 
                '''                ODU capability for Fixed ODUs
                ''',
                'fixed',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flex', REFERENCE_CLASS, 'Flex' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Flex', 
                [], [], 
                '''                ODU capability for Flex ODUs
                ''',
                'flex',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('type', REFERENCE_ENUM_CLASS, 'TeOduCapabilityEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeOduCapabilityEnum', 
                [], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'bandwidth-info',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.OduLinkCapabilities.OduCapability' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.OduLinkCapabilities.OduCapability',
            False, 
            [
            _MetaInfoClassMember('bandwidth-info', REFERENCE_CLASS, 'BandwidthInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo', 
                [], [], 
                '''                Bandwidth related info for this ODU level
                ''',
                'bandwidth_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lcas-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if link LCAS capable for this ODU level
                ''',
                'lcas_capable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signal-type', REFERENCE_ENUM_CLASS, 'TeOduLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeOduLevelEnum', 
                [], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('stage1', REFERENCE_ENUM_CLASS, 'TeOduLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeOduLevelEnum', 
                [], [], 
                '''                ODU Type at stage 1, Not Set for HO ODU
                ''',
                'stage1',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('stage2', REFERENCE_ENUM_CLASS, 'TeOduLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeOduLevelEnum', 
                [], [], 
                '''                ODU Type at stage 2, Not Set for single stage
                mulitplexing
                ''',
                'stage2',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('stage3', REFERENCE_ENUM_CLASS, 'TeOduLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeOduLevelEnum', 
                [], [], 
                '''                ODU Type at stage 3, Not set up to two levels of
                multiplexing
                ''',
                'stage3',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('stage4', REFERENCE_ENUM_CLASS, 'TeOduLevelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'TeOduLevelEnum', 
                [], [], 
                '''                ODU Type at stage 4, Not set up to three levels
                of multiplexing
                ''',
                'stage4',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('switchable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if link is switchable for this ODU level
                ''',
                'switchable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('terminable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if link is terminable for this ODU level
                ''',
                'terminable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tsg1p25', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if link supports 1.25G TSG for this ODU
                level
                ''',
                'tsg1p25',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tsg2p5', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if link supports 2.5G TSG for this ODU
                level
                ''',
                'tsg2p5',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('vcat-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if link VCAT capable for this ODU level
                ''',
                'vcat_capable',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-capability',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.OduLinkCapabilities' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.OduLinkCapabilities',
            False, 
            [
            _MetaInfoClassMember('max-lsp-bandwidth', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max LSP Bandwidth per priority in kbit/s
                ''',
                'max_lsp_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-capability', REFERENCE_LIST, 'OduCapability' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.OduLinkCapabilities.OduCapability', 
                [], [], 
                '''                ODU Capabilities of Link
                ''',
                'odu_capability',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'odu-link-capabilities',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.SharedRiskLinkGroup' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.SharedRiskLinkGroup',
            False, 
            [
            _MetaInfoClassMember('shared-risk-group', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG number
                ''',
                'shared_risk_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('srlg-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SRLG name
                ''',
                'srlg_name',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'shared-risk-link-group',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.AdjacencySid' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.AdjacencySid',
            False, 
            [
            _MetaInfoClassMember('adjacency-sid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The adjacency SID assigned for the topology node
                ''',
                'adjacency_sid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flag-b', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IGP Flag B
                ''',
                'flag_b',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flag-f', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IGP Flag F
                ''',
                'flag_f',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flag-l', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IGP Flag L
                ''',
                'flag_l',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flag-s', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IGP Flag S
                ''',
                'flag_s',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('flag-v', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IGP Flag V
                ''',
                'flag_v',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('link-type', REFERENCE_ENUM_CLASS, 'IgpSubnetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'IgpSubnetEnum', 
                [], [], 
                '''                Link Type
                ''',
                'link_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('local-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Local Address
                ''',
                'local_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nbr-node-igpid', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                The neighbor node's IGP ID
                ''',
                'nbr_node_igpid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nbr-node-te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The neigbor node's TE router-id
                ''',
                'nbr_node_te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('remote-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Remote Address
                ''',
                'remote_addr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'adjacency-sid',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink',
            False, 
            [
            _MetaInfoClassMember('adjacency-sid', REFERENCE_LIST, 'AdjacencySid' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.AdjacencySid', 
                [], [], 
                '''                Adjacency SIDs assigned for adjacency nodes
                ''',
                'adjacency_sid',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('odu-link-capabilities', REFERENCE_CLASS, 'OduLinkCapabilities' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.OduLinkCapabilities', 
                [], [], 
                '''                ODU Link Capabilities
                ''',
                'odu_link_capabilities',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('shared-risk-link-group', REFERENCE_LIST, 'SharedRiskLinkGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.SharedRiskLinkGroup', 
                [], [], 
                '''                The link's shared risk link groups
                ''',
                'shared_risk_link_group',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-affinity-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Deprecated
                ''',
                'topology_link_affinity_bits',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-bandwidth', REFERENCE_CLASS, 'TopologyLinkBandwidth' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth', 
                [], [], 
                '''                Bandwidth information for this link
                ''',
                'topology_link_bandwidth',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-bandwidth-model', REFERENCE_ENUM_CLASS, 'IgpteLibBwModelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'IgpteLibBwModelEnum', 
                [], [], 
                '''                The link's topology bandwidth model
                ''',
                'topology_link_bandwidth_model',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-encoding', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                The link's encoding
                ''',
                'topology_link_encoding',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-extended-affinity-bit', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The link's affinity bits (colors)
                ''',
                'topology_link_extended_affinity_bit',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-fragment-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor's link version counter
                ''',
                'topology_link_fragment_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The link's IGP metric
                ''',
                'topology_link_igp_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Link's local interface address
                ''',
                'topology_link_interface_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link's local interface ID
                ''',
                'topology_link_interface_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Link's neighbor interface address
                ''',
                'topology_link_neighbor_address',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-neighbor-generation', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Neighbor's link version counter
                ''',
                'topology_link_neighbor_generation',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-neighbor-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link's neighbor interface ID
                ''',
                'topology_link_neighbor_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-neighbor-node-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Node id of neighbor
                ''',
                'topology_link_neighbor_node_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-neighbor-system-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                System id of neighbor
                ''',
                'topology_link_neighbor_system_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-switching-capability', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                The link's switching capability
                ''',
                'topology_link_switching_capability',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-te-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The link's TE metric
                ''',
                'topology_link_te_metric',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-type', REFERENCE_ENUM_CLASS, 'IgpSubnetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'IgpSubnetEnum', 
                [], [], 
                '''                Link type
                ''',
                'topology_link_type',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-link-uni-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Unidirectional Link Delay in micro-sec
                ''',
                'topology_link_uni_delay',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'topology-node-link',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.TopologyBriefs.TopologyBrief' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.TopologyBriefs.TopologyBrief',
            False, 
            [
            _MetaInfoClassMember('area', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                IGP area
                ''',
                'area',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('igp-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                IGP instance
                ''',
                'igp_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('igp-node-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IGP Node ID
                ''',
                'igp_node_id',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'MplsTeIgpProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeIgpProtocolEnum', 
                [], [], 
                '''                IGP protocol type
                ''',
                'protocol',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('topology-node-type', REFERENCE_ENUM_CLASS, 'MplsTeNodeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeNodeEnum', 
                [], [], 
                '''                Node type
                ''',
                'topology_node_type',
                'Cisco-IOS-XR-mpls-te-oper', True),
            _MetaInfoClassMember('topology-node-link', REFERENCE_LIST, 'TopologyNodeLink' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink', 
                [], [], 
                '''                This node's link information
                ''',
                'topology_node_link',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-node-overloaded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Flag to indicate whether this node is overloaded
                ''',
                'topology_node_overloaded',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-node-sid-and-srbg', REFERENCE_CLASS, 'TopologyNodeSidAndSrbg' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeSidAndSrbg', 
                [], [], 
                '''                This node's SID and SRBG information
                ''',
                'topology_node_sid_and_srbg',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-node-te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The node's TE router-id. Not set for network
                nodes
                ''',
                'topology_node_te_router_id',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'topology-brief',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby.TopologyBriefs' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby.TopologyBriefs',
            False, 
            [
            _MetaInfoClassMember('topology-brief', REFERENCE_LIST, 'TopologyBrief' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.TopologyBriefs.TopologyBrief', 
                [], [], 
                '''                A node in MPLS-TE topoogy brief table
                ''',
                'topology_brief',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'topology-briefs',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
    'MplsTeStandby' : {
        'meta_info' : _MetaInfoClass('MplsTeStandby',
            False, 
            [
            _MetaInfoClassMember('affinity-map', REFERENCE_CLASS, 'AffinityMap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AffinityMap', 
                [], [], 
                '''                Affinity name to value mapping
                ''',
                'affinity_map',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('announce-tunnels-info', REFERENCE_CLASS, 'AnnounceTunnelsInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AnnounceTunnelsInfo', 
                [], [], 
                '''                Announced tunnels (forwarding adjacency and
                autoroute annonce)
                ''',
                'announce_tunnels_info',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('attribute-sets', REFERENCE_CLASS, 'AttributeSets' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AttributeSets', 
                [], [], 
                '''                AttributeSet information.
                ''',
                'attribute_sets',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-tunnel', REFERENCE_CLASS, 'AutoTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AutoTunnel', 
                [], [], 
                '''                Auto tunnel information.
                ''',
                'auto_tunnel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('auto-tunnel-services', REFERENCE_CLASS, 'AutoTunnelServices' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.AutoTunnelServices', 
                [], [], 
                '''                MPLS TE Auto Tunnel Services
                ''',
                'auto_tunnel_services',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('bfd', REFERENCE_CLASS, 'Bfd' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Bfd', 
                [], [], 
                '''                MPLS TE BFD Oper Info
                ''',
                'bfd',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('collaborator-timers', REFERENCE_CLASS, 'CollaboratorTimers' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.CollaboratorTimers', 
                [], [], 
                '''                TE Collaborator timer status
                ''',
                'collaborator_timers',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('diff-serv-te-classes', REFERENCE_CLASS, 'DiffServTeClasses' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.DiffServTeClasses', 
                [], [], 
                '''                The configured Diff Serv TE classes
                ''',
                'diff_serv_te_classes',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fast-reroute', REFERENCE_CLASS, 'FastReroute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.FastReroute', 
                [], [], 
                '''                Represent all the fastreroute info in MPLS-TE
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('fib-next-hop-label-routes', REFERENCE_CLASS, 'FibNextHopLabelRoutes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.FibNextHopLabelRoutes', 
                [], [], 
                '''                MPLS TE FIB nexthop label route database
                ''',
                'fib_next_hop_label_routes',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('forwarding-adjacency-destinations', REFERENCE_CLASS, 'ForwardingAdjacencyDestinations' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.ForwardingAdjacencyDestinations', 
                [], [], 
                '''                Announced Destination tunnel
                ''',
                'forwarding_adjacency_destinations',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('hardware-out-of-resources', REFERENCE_CLASS, 'HardwareOutOfResources' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.HardwareOutOfResources', 
                [], [], 
                '''                NPU Hardware OOR Information
                ''',
                'hardware_out_of_resources',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('igp-area-briefs', REFERENCE_CLASS, 'IgpAreaBriefs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.IgpAreaBriefs', 
                [], [], 
                '''                The set of IGP-areas known to MPLS-TE
                ''',
                'igp_area_briefs',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('igp-areas', REFERENCE_CLASS, 'IgpAreas' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.IgpAreas', 
                [], [], 
                '''                The set of IGP-areas known to MPLS-TE
                ''',
                'igp_areas',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('issu', REFERENCE_CLASS, 'Issu' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Issu', 
                [], [], 
                '''                MPLS TE ISSU information
                ''',
                'issu',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('lsp-out-of-resources', REFERENCE_CLASS, 'LspOutOfResources' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.LspOutOfResources', 
                [], [], 
                '''                LSP OOR information
                ''',
                'lsp_out_of_resources',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('maximum-tunnels', REFERENCE_CLASS, 'MaximumTunnels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.MaximumTunnels', 
                [], [], 
                '''                MPLS Traffic Engineering Tunnels
                ''',
                'maximum_tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('nsr', REFERENCE_CLASS, 'Nsr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Nsr', 
                [], [], 
                '''                MPLS TE NSR information
                ''',
                'nsr',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('open-config', REFERENCE_CLASS, 'OpenConfig' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.OpenConfig', 
                [], [], 
                '''                OpenConfig MPLS TE operational data
                ''',
                'open_config',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2mp', REFERENCE_CLASS, 'P2Mp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2Mp', 
                [], [], 
                '''                P2MP Information
                ''',
                'p2mp',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('p2p-p2mp-tunnel', REFERENCE_CLASS, 'P2PP2MpTunnel' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.P2PP2MpTunnel', 
                [], [], 
                '''                P2P or P2MP tunnels
                ''',
                'p2p_p2mp_tunnel',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('path-protection', REFERENCE_CLASS, 'PathProtection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.PathProtection', 
                [], [], 
                '''                MPLS TE path protection info
                ''',
                'path_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('signalling-counters', REFERENCE_CLASS, 'SignallingCounters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.SignallingCounters', 
                [], [], 
                '''                TE counters
                ''',
                'signalling_counters',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('soft-preemption', REFERENCE_CLASS, 'SoftPreemption' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.SoftPreemption', 
                [], [], 
                '''                Soft Preemption information.
                ''',
                'soft_preemption',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology', REFERENCE_CLASS, 'Topology' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Topology', 
                [], [], 
                '''                The topology information in MPLS-TE
                ''',
                'topology',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-briefs', REFERENCE_CLASS, 'TopologyBriefs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.TopologyBriefs', 
                [], [], 
                '''                MPLS-TE topology brief table
                ''',
                'topology_briefs',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('topology-nodes', REFERENCE_CLASS, 'TopologyNodes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.TopologyNodes', 
                [], [], 
                '''                A node in the MPLS-TE topology
                ''',
                'topology_nodes',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('tunnels', REFERENCE_CLASS, 'Tunnels' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.Tunnels', 
                [], [], 
                '''                Failure protection provided for tunnels
                ''',
                'tunnels',
                'Cisco-IOS-XR-mpls-te-oper', False),
            _MetaInfoClassMember('wrap-protection', REFERENCE_CLASS, 'WrapProtection' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper', 'MplsTeStandby.WrapProtection', 
                [], [], 
                '''                Represent all the LSP Wrap Protection info in
                MPLS-TE
                ''',
                'wrap_protection',
                'Cisco-IOS-XR-mpls-te-oper', False),
            ],
            'Cisco-IOS-XR-mpls-te-oper',
            'mpls-te-standby',
            _yang_ns._namespaces['Cisco-IOS-XR-mpls-te-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_mpls_te_oper'
        ),
    },
}
_meta_table['MplsTe.SegmentRouting.SrigpAreaInfos.SrigpAreaInfo']['meta_info'].parent =_meta_table['MplsTe.SegmentRouting.SrigpAreaInfos']['meta_info']
_meta_table['MplsTe.SegmentRouting.SrNodeInfos.SrNodeInfo.NodeLink.SharedRiskLinkGroup']['meta_info'].parent =_meta_table['MplsTe.SegmentRouting.SrNodeInfos.SrNodeInfo.NodeLink']['meta_info']
_meta_table['MplsTe.SegmentRouting.SrNodeInfos.SrNodeInfo.NodeLink.AdjacencySids']['meta_info'].parent =_meta_table['MplsTe.SegmentRouting.SrNodeInfos.SrNodeInfo.NodeLink']['meta_info']
_meta_table['MplsTe.SegmentRouting.SrNodeInfos.SrNodeInfo.IgpArea']['meta_info'].parent =_meta_table['MplsTe.SegmentRouting.SrNodeInfos.SrNodeInfo']['meta_info']
_meta_table['MplsTe.SegmentRouting.SrNodeInfos.SrNodeInfo.SrNodeInfo_']['meta_info'].parent =_meta_table['MplsTe.SegmentRouting.SrNodeInfos.SrNodeInfo']['meta_info']
_meta_table['MplsTe.SegmentRouting.SrNodeInfos.SrNodeInfo.NodeLink']['meta_info'].parent =_meta_table['MplsTe.SegmentRouting.SrNodeInfos.SrNodeInfo']['meta_info']
_meta_table['MplsTe.SegmentRouting.SrNodeInfos.SrNodeInfo']['meta_info'].parent =_meta_table['MplsTe.SegmentRouting.SrNodeInfos']['meta_info']
_meta_table['MplsTe.SegmentRouting.SrPrefixInfos.SrPrefixInfo.SrPath.PrimaryPath']['meta_info'].parent =_meta_table['MplsTe.SegmentRouting.SrPrefixInfos.SrPrefixInfo.SrPath']['meta_info']
_meta_table['MplsTe.SegmentRouting.SrPrefixInfos.SrPrefixInfo.SrPath.BackupPath']['meta_info'].parent =_meta_table['MplsTe.SegmentRouting.SrPrefixInfos.SrPrefixInfo.SrPath']['meta_info']
_meta_table['MplsTe.SegmentRouting.SrPrefixInfos.SrPrefixInfo.IgpArea']['meta_info'].parent =_meta_table['MplsTe.SegmentRouting.SrPrefixInfos.SrPrefixInfo']['meta_info']
_meta_table['MplsTe.SegmentRouting.SrPrefixInfos.SrPrefixInfo.SrPath']['meta_info'].parent =_meta_table['MplsTe.SegmentRouting.SrPrefixInfos.SrPrefixInfo']['meta_info']
_meta_table['MplsTe.SegmentRouting.SrPrefixInfos.SrPrefixInfo.AdvertizingNode']['meta_info'].parent =_meta_table['MplsTe.SegmentRouting.SrPrefixInfos.SrPrefixInfo']['meta_info']
_meta_table['MplsTe.SegmentRouting.SrPrefixInfos.SrPrefixInfo.StrictAdvertizingNode']['meta_info'].parent =_meta_table['MplsTe.SegmentRouting.SrPrefixInfos.SrPrefixInfo']['meta_info']
_meta_table['MplsTe.SegmentRouting.SrPrefixInfos.SrPrefixInfo']['meta_info'].parent =_meta_table['MplsTe.SegmentRouting.SrPrefixInfos']['meta_info']
_meta_table['MplsTe.SegmentRouting.SrigpAreaInfos']['meta_info'].parent =_meta_table['MplsTe.SegmentRouting']['meta_info']
_meta_table['MplsTe.SegmentRouting.SrNodeInfos']['meta_info'].parent =_meta_table['MplsTe.SegmentRouting']['meta_info']
_meta_table['MplsTe.SegmentRouting.SrPrefixInfos']['meta_info'].parent =_meta_table['MplsTe.SegmentRouting']['meta_info']
_meta_table['MplsTe.FibNextHopRoutes.FibNextHopRoute.TargetAddress']['meta_info'].parent =_meta_table['MplsTe.FibNextHopRoutes.FibNextHopRoute']['meta_info']
_meta_table['MplsTe.FibNextHopRoutes.FibNextHopRoute.NextHopPath']['meta_info'].parent =_meta_table['MplsTe.FibNextHopRoutes.FibNextHopRoute']['meta_info']
_meta_table['MplsTe.FibNextHopRoutes.FibNextHopRoute']['meta_info'].parent =_meta_table['MplsTe.FibNextHopRoutes']['meta_info']
_meta_table['MplsTe.NextHopRoutes.NextHopRoute.ActiveRoute.NextHopPath']['meta_info'].parent =_meta_table['MplsTe.NextHopRoutes.NextHopRoute.ActiveRoute']['meta_info']
_meta_table['MplsTe.NextHopRoutes.NextHopRoute.BackupRoute.NextHopPath']['meta_info'].parent =_meta_table['MplsTe.NextHopRoutes.NextHopRoute.BackupRoute']['meta_info']
_meta_table['MplsTe.NextHopRoutes.NextHopRoute.ActiveRoute']['meta_info'].parent =_meta_table['MplsTe.NextHopRoutes.NextHopRoute']['meta_info']
_meta_table['MplsTe.NextHopRoutes.NextHopRoute.BackupRoute']['meta_info'].parent =_meta_table['MplsTe.NextHopRoutes.NextHopRoute']['meta_info']
_meta_table['MplsTe.NextHopRoutes.NextHopRoute.TunnelPath']['meta_info'].parent =_meta_table['MplsTe.NextHopRoutes.NextHopRoute']['meta_info']
_meta_table['MplsTe.NextHopRoutes.NextHopRoute']['meta_info'].parent =_meta_table['MplsTe.NextHopRoutes']['meta_info']
_meta_table['MplsTe.AutoRouteDestinationEntries.AutoRouteDestinationEntry.TunnelAutorouteDest']['meta_info'].parent =_meta_table['MplsTe.AutoRouteDestinationEntries.AutoRouteDestinationEntry']['meta_info']
_meta_table['MplsTe.AutoRouteDestinationEntries.AutoRouteDestinationEntry']['meta_info'].parent =_meta_table['MplsTe.AutoRouteDestinationEntries']['meta_info']
_meta_table['MplsTe.TeMib.Scalars']['meta_info'].parent =_meta_table['MplsTe.TeMib']['meta_info']
_meta_table['MplsTe.HardwareOutOfResources.Summary.HardwareOutOfResourcesState.Statistics']['meta_info'].parent =_meta_table['MplsTe.HardwareOutOfResources.Summary.HardwareOutOfResourcesState']['meta_info']
_meta_table['MplsTe.HardwareOutOfResources.Summary.HardwareOutOfResourcesState']['meta_info'].parent =_meta_table['MplsTe.HardwareOutOfResources.Summary']['meta_info']
_meta_table['MplsTe.HardwareOutOfResources.Summary']['meta_info'].parent =_meta_table['MplsTe.HardwareOutOfResources']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemoteBriefs.TunnelRemoteBrief.LspFec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemoteBriefs.TunnelRemoteBrief.LspFec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemoteBriefs.TunnelRemoteBrief.S2L.S2LFec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemoteBriefs.TunnelRemoteBrief.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemoteBriefs.TunnelRemoteBrief.LspFec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemoteBriefs.TunnelRemoteBrief']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemoteBriefs.TunnelRemoteBrief.S2L']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemoteBriefs.TunnelRemoteBrief']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemoteBriefs.TunnelRemoteBrief']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemoteBriefs']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.LspFec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.LspFec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.PathCalculationError']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.RemergeError']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.SignallingError']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GenericTspec.Otntspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GenericTspec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GenericFspec.Otnfspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GenericFspec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.NextHopAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.NextHopAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.NextHopAddressGeneric']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PreviousHopAddressGeneric']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.IncomingAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.IncomingAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.IncomingAddressGeneric']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathIngressLabel.Otn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathEgressLabel.Otn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvIngressLabel.Otn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvEgressLabel.Otn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathIngressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathEgressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvIngressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvEgressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Bandwidth']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Aps.ProtectionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Aps']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Aps']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.HeadEndBfdInfo.SessionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.HeadEndBfdInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.HeadEndBfdInfo.DeletionHistory']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.HeadEndBfdInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.TailEndBfdInfo.SessionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.TailEndBfdInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseLspFec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseLspFec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.FlexInfo.FlexFec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.FlexInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutEro.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutEro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutEro.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutEro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InEro.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InEro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InEro.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InEro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.Ipv4RroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.Ipv4RroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.LabelRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.LabelRroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.UnnumberedRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.UnnumberedRroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.Ipv4RroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.LabelRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.UnnumberedRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.SrlgRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.Ipv4RroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.Ipv4RroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.LabelRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.LabelRroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.UnnumberedRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.UnnumberedRroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.Ipv4RroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.LabelRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.UnnumberedRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.SrlgRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseEroIn.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseEroIn']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseEroIn.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseEroIn']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.S2LFec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.Tspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GenericTspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.Fspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GenericFspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.NextHopAddressGeneric']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PreviousHopAddressGeneric']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.IncomingAddressGeneric']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.S2LConvergence']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.SoftPreemption']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.HeadEndBfdInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.TailEndBfdInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.SrlgCollection']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.Association']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.Protection']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseLspFec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseTspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.FlexInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.LspWrapInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.DiversityInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.SharedRiskLinkGroup']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutEro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InEro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathAffinityArray']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseEroIn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.S2LSegmentRoutingPath']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.LspFec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes.TunnelRemote']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Config.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Config.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Config.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Config']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Config.BidirectionalConfig']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Config']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Config.BfdConfig']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Config']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Config.AutorouteDestination']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Config']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.LspFec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.LspFec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.PathCalculationError']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.RemergeError']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.SignallingError']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GenericTspec.Otntspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GenericTspec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GenericFspec.Otnfspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GenericFspec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.NextHopAddressGeneric']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.IncomingAddressGeneric']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel.Otn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel.Otn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel.Otn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel.Otn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Aps.ProtectionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Aps']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Aps']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.HeadEndBfdInfo.SessionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.HeadEndBfdInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.HeadEndBfdInfo.DeletionHistory']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.HeadEndBfdInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.TailEndBfdInfo.SessionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.TailEndBfdInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseLspFec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseLspFec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.FlexInfo.FlexFec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.FlexInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutEro.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutEro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutEro.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutEro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InEro.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InEro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InEro.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InEro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.Ipv4RroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.LabelRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.LabelRroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.UnnumberedRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.LabelRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.SrlgRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.Ipv4RroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.LabelRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.LabelRroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.LabelRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.SrlgRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseEroIn.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseEroIn']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseEroIn.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseEroIn']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.S2LFec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.Tspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GenericTspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.Fspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GenericFspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.NextHopAddressGeneric']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.IncomingAddressGeneric']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.S2LConvergence']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.SoftPreemption']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.HeadEndBfdInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.TailEndBfdInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.SrlgCollection']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.Association']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.Protection']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseLspFec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseTspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.FlexInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.LspWrapInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.DiversityInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.SharedRiskLinkGroup']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutEro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InEro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathAffinityArray']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseEroIn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.S2LSegmentRoutingPath']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.LspFec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.LspFec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.LspFec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.PathCalculationError']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.RemergeError']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.SignallingError']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GenericTspec.Otntspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GenericTspec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GenericFspec.Otnfspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GenericFspec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Otn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Otn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Aps.ProtectionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Aps']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Aps']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo.SessionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo.DeletionHistory']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.TailEndBfdInfo.SessionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.TailEndBfdInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseLspFec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseLspFec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.FlexInfo.FlexFec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.FlexInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutEro.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutEro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutEro.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutEro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InEro.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InEro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InEro.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InEro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.Ipv4RroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.LabelRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.LabelRroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.LabelRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.SrlgRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.LabelRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.LabelRroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.LabelRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.SrlgRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseEroIn.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseEroIn']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseEroIn']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.S2LFec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.Tspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GenericTspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.Fspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GenericFspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.S2LConvergence']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.SoftPreemption']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.TailEndBfdInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.SrlgCollection']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.Association']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.Protection']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseLspFec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseTspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.FlexInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.LspWrapInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.DiversityInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.SharedRiskLinkGroup']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutEro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InEro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathAffinityArray']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseEroIn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.S2LSegmentRoutingPath']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.LspFec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.LspFec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.LspFec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.PathCalculationError']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.RemergeError']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.SignallingError']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GenericTspec.Otntspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GenericTspec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GenericFspec.Otnfspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GenericFspec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.NextHopAddressGeneric']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.IncomingAddressGeneric']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel.Otn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel.Otn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel.Otn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel.Otn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Aps.ProtectionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Aps']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Aps']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.HeadEndBfdInfo.SessionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.HeadEndBfdInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.HeadEndBfdInfo.DeletionHistory']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.HeadEndBfdInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.TailEndBfdInfo.SessionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.TailEndBfdInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseLspFec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseLspFec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.FlexInfo.FlexFec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.FlexInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutEro.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutEro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutEro.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutEro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InEro.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InEro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InEro.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InEro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.Ipv4RroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.LabelRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.LabelRroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.UnnumberedRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.LabelRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.SrlgRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.Ipv4RroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.LabelRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.LabelRroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.LabelRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.SrlgRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseEroIn.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseEroIn']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseEroIn.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseEroIn']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.S2LFec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.Tspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GenericTspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.Fspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GenericFspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.NextHopAddressGeneric']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.IncomingAddressGeneric']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.S2LConvergence']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.SoftPreemption']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.HeadEndBfdInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.TailEndBfdInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.SrlgCollection']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.Association']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.Protection']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseLspFec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseTspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.FlexInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.LspWrapInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.DiversityInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.SharedRiskLinkGroup']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutEro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InEro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathAffinityArray']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseEroIn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.S2LSegmentRoutingPath']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.LspFec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.LspFec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.LspFec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.PathCalculationError']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.RemergeError']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.SignallingError']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GenericTspec.Otntspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GenericTspec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GenericFspec.Otnfspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GenericFspec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Otn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Otn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Aps.ProtectionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Aps']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Aps']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo.SessionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo.DeletionHistory']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.TailEndBfdInfo.SessionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.TailEndBfdInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseLspFec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseLspFec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.FlexInfo.FlexFec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.FlexInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutEro.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutEro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutEro.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutEro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InEro.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InEro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InEro.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InEro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.Ipv4RroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.LabelRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.LabelRroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.LabelRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.SrlgRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.LabelRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.LabelRroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.LabelRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.SrlgRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.S2LFec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.Tspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GenericTspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.Fspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GenericFspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.S2LConvergence']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.SoftPreemption']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.TailEndBfdInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.SrlgCollection']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.Association']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.Protection']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseLspFec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseTspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.FlexInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.LspWrapInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.DiversityInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.SharedRiskLinkGroup']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutEro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InEro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathAffinityArray']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.S2LSegmentRoutingPath']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.LspFec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.LspFec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.LspFec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.PathCalculationError']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.RemergeError']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.SignallingError']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GenericTspec.Otntspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GenericTspec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GenericFspec.Otnfspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GenericFspec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.NextHopAddressGeneric']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.IncomingAddressGeneric']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel.Otn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel.Otn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel.Otn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel.Otn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Aps.ProtectionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Aps']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Aps']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.HeadEndBfdInfo.SessionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.HeadEndBfdInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.HeadEndBfdInfo.DeletionHistory']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.HeadEndBfdInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.TailEndBfdInfo.SessionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.TailEndBfdInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseLspFec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseLspFec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.FlexInfo.FlexFec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.FlexInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutEro.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutEro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutEro.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutEro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InEro.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InEro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InEro.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InEro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.Ipv4RroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.LabelRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.LabelRroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.UnnumberedRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.LabelRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.SrlgRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.Ipv4RroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.LabelRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.LabelRroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.LabelRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.SrlgRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseEroIn.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseEroIn']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseEroIn.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseEroIn']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.S2LFec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.Tspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GenericTspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.Fspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GenericFspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.NextHopAddressGeneric']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.IncomingAddressGeneric']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.S2LConvergence']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.SoftPreemption']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.HeadEndBfdInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.TailEndBfdInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.SrlgCollection']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.Association']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.Protection']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseLspFec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseTspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.FlexInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.LspWrapInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.DiversityInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.SharedRiskLinkGroup']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutEro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InEro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathAffinityArray']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseEroIn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.S2LSegmentRoutingPath']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.LspFec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.LspFec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.LspFec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.PathCalculationError']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.RemergeError']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.SignallingError']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GenericTspec.Otntspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GenericTspec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GenericFspec.Otnfspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GenericFspec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.NextHopAddressGeneric']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.IncomingAddressGeneric']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel.Otn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel.Otn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Aps.ProtectionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Aps']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Aps']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.HeadEndBfdInfo.SessionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.HeadEndBfdInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.HeadEndBfdInfo.DeletionHistory']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.HeadEndBfdInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.TailEndBfdInfo.SessionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.TailEndBfdInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseLspFec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseLspFec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.FlexInfo.FlexFec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.FlexInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutEro.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutEro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutEro.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutEro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InEro.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InEro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InEro.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InEro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.Ipv4RroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.LabelRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.LabelRroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.LabelRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.SrlgRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.LabelRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.LabelRroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.LabelRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.SrlgRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseEroIn.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseEroIn']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseEroIn']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.S2LFec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.Tspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GenericTspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.Fspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GenericFspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.NextHopAddressGeneric']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.IncomingAddressGeneric']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.S2LConvergence']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.SoftPreemption']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.HeadEndBfdInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.TailEndBfdInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.SrlgCollection']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.Association']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.Protection']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseLspFec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseTspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.FlexInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.LspWrapInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.DiversityInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.SharedRiskLinkGroup']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutEro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InEro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathAffinityArray']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseEroIn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.S2LSegmentRoutingPath']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.LspFec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.LspFec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.LspFec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.PathCalculationError']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.RemergeError']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.SignallingError']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GenericTspec.Otntspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GenericTspec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GenericFspec.Otnfspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GenericFspec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.NextHopAddressGeneric']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PreviousHopAddressGeneric']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.IncomingAddressGeneric']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathIngressLabel.Otn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathEgressLabel.Otn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel.Otn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel.Otn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Aps.ProtectionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Aps']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Aps']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.HeadEndBfdInfo.SessionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.HeadEndBfdInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.HeadEndBfdInfo.DeletionHistory']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.HeadEndBfdInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.TailEndBfdInfo.SessionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.TailEndBfdInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseLspFec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseLspFec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.FlexInfo.FlexFec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.FlexInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutEro.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutEro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutEro.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutEro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InEro.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InEro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InEro.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InEro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.Ipv4RroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.LabelRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.LabelRroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.UnnumberedRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.LabelRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.SrlgRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.Ipv4RroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.LabelRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.LabelRroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.LabelRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.SrlgRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseEroIn.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseEroIn']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseEroIn.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseEroIn']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.S2LFec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.Tspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GenericTspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.Fspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GenericFspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.NextHopAddressGeneric']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PreviousHopAddressGeneric']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.IncomingAddressGeneric']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.S2LConvergence']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.SoftPreemption']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.HeadEndBfdInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.TailEndBfdInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.SrlgCollection']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.Association']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.Protection']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseLspFec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseTspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.FlexInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.LspWrapInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.DiversityInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.SharedRiskLinkGroup']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutEro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InEro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathAffinityArray']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseEroIn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.S2LSegmentRoutingPath']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.LspFec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.P2PInfo.AutoBandwidthStatus']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.P2PInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.P2PInfo.AutoBandwidthConfig']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.P2PInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.P2PInfo.AutoBandwidthOper']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.P2PInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.CurrentSetup.ConnectedUptimes']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.CurrentSetup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.CurrentSetup']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.ReoptSetup']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.GmplsPathProtectSetup']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.PreviousSetup']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.PreviousGmplsPathProtectSetup']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.GmplsOtherSetup']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.GmplsOtherProtectSetup']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.StandbySetup']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.StandbyReoptSetup']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.LastReOptFail']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History.LastStdbyReOptFail']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.PathProtection.Switchover']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.PathProtection']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup.WeightedSrlgInfo.ProtectedInterfaceSrlg']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup.WeightedSrlgInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup.WeightedSrlgInfo.WeightedSrlgHop']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup.WeightedSrlgInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup.Iep.IepHop']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup.Iep']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup.WeightedSrlgInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup.Iep']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.SoftPreemption.SoftPreemptionCounters']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.SoftPreemption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.SoftPreemption.SoftPreemptionPathError']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.SoftPreemption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexCbr']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn.BandwidthCfg']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexGfpFRes']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn.BandwidthCfg']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexGfpFNonRes']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn.BandwidthCfg']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn.BandwidthCfg']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.EgressPort.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.EgressPort.TeAddr']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.EgressPort.TeAddr']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.EgressPort']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.TermEgressPort.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.TermEgressPort.TeAddr']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.TermEgressPort.TeAddr']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.TermEgressPort']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.EgressPort']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.TermEgressPort']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.HomepathEro.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.HomepathEro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.HomepathEro.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.HomepathEro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.StaticUni']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.HomepathEro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.DiversityInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.BfdInfo.EventCounters']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.BfdInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.BfdInfo.DampeningInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.BfdInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir.Aps.ProtectionProfile.RevertSchedule']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir.Aps.ProtectionProfile']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir.Aps.ProtectionProfile']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir.Aps']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir.Aps']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir.Restoration']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorCurrent.PathCalculationError']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorCurrent']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorReopt.PathCalculationError']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorReopt']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorStandby.PathCalculationError']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorStandby']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorStandbyReopt.PathCalculationError']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorStandbyReopt']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorCurrent']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorReopt']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorStandby']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorStandbyReopt']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TeTunnelConvergence.ConvergenceLsp']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TeTunnelConvergence']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.PathCalculationError']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.RemergeError']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.SignallingError']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.PathCalculationError']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.RemergeError']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.SignallingError']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.InterAreaReoptimization']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Config']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.P2PInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.History']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.PathProtection']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoMesh']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoPcc']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.PceDelegation']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.SoftPreemption']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.WdmUnitunnel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.BfdInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.TeTunnelConvergence']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.FlexInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels.NniTunnel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config.BidirectionalConfig']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config.BfdConfig']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config.AutorouteDestination']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.LspFec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.LspFec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.PathCalculationError']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.RemergeError']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.SignallingError']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GenericTspec.Otntspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GenericTspec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GenericFspec.Otnfspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GenericFspec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.NextHopAddressGeneric']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.IncomingAddressGeneric']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel.Otn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel.Otn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel.Otn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel.Otn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Aps.ProtectionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Aps']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Aps']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.HeadEndBfdInfo.SessionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.HeadEndBfdInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.HeadEndBfdInfo.DeletionHistory']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.HeadEndBfdInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.TailEndBfdInfo.SessionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.TailEndBfdInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseLspFec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseLspFec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.FlexInfo.FlexFec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.FlexInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutEro.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutEro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutEro.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutEro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InEro.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InEro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InEro.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InEro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.Ipv4RroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.LabelRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.LabelRroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.UnnumberedRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.LabelRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.SrlgRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.Ipv4RroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.LabelRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.LabelRroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.LabelRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.SrlgRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseEroIn.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseEroIn']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseEroIn.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseEroIn']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.S2LFec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.Tspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GenericTspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.Fspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GenericFspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.NextHopAddressGeneric']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.IncomingAddressGeneric']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.S2LConvergence']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.SoftPreemption']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.HeadEndBfdInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.TailEndBfdInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.SrlgCollection']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.Association']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.Protection']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseLspFec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseTspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.FlexInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.LspWrapInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.DiversityInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.SharedRiskLinkGroup']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutEro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InEro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathAffinityArray']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseEroIn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.S2LSegmentRoutingPath']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.LspFec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.LspFec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.LspFec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.PathCalculationError']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.RemergeError']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.SignallingError']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GenericTspec.Otntspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GenericTspec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GenericFspec.Otnfspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GenericFspec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Otn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Otn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Aps.ProtectionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Aps']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Aps']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo.SessionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo.DeletionHistory']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.TailEndBfdInfo.SessionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.TailEndBfdInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseLspFec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseLspFec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.FlexInfo.FlexFec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.FlexInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutEro.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutEro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutEro.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutEro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InEro.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InEro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InEro.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InEro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.Ipv4RroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.LabelRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.LabelRroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.LabelRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.SrlgRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.LabelRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.LabelRroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.LabelRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.SrlgRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseEroIn.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseEroIn']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseEroIn']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.S2LFec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.Tspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GenericTspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.Fspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GenericFspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.S2LConvergence']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.SoftPreemption']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.TailEndBfdInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.SrlgCollection']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.Association']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.Protection']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseLspFec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseTspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.FlexInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.LspWrapInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.DiversityInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.SharedRiskLinkGroup']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutEro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InEro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathAffinityArray']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseEroIn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.S2LSegmentRoutingPath']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.LspFec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.LspFec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.LspFec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.PathCalculationError']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.RemergeError']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.SignallingError']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GenericTspec.Otntspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GenericTspec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GenericFspec.Otnfspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GenericFspec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.NextHopAddressGeneric']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.IncomingAddressGeneric']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel.Otn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel.Otn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel.Otn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel.Otn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Aps.ProtectionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Aps']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Aps']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.HeadEndBfdInfo.SessionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.HeadEndBfdInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.HeadEndBfdInfo.DeletionHistory']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.HeadEndBfdInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.TailEndBfdInfo.SessionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.TailEndBfdInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseLspFec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseLspFec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.FlexInfo.FlexFec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.FlexInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutEro.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutEro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutEro.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutEro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InEro.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InEro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InEro.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InEro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.Ipv4RroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.LabelRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.LabelRroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.UnnumberedRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.LabelRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.SrlgRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.Ipv4RroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.LabelRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.LabelRroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.LabelRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.SrlgRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseEroIn.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseEroIn']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseEroIn.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseEroIn']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.S2LFec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.Tspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GenericTspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.Fspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GenericFspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.NextHopAddressGeneric']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.IncomingAddressGeneric']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.S2LConvergence']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.SoftPreemption']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.HeadEndBfdInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.TailEndBfdInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.SrlgCollection']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.Association']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.Protection']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseLspFec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseTspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.FlexInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.LspWrapInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.DiversityInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.SharedRiskLinkGroup']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutEro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InEro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathAffinityArray']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseEroIn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.S2LSegmentRoutingPath']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.LspFec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.LspFec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.LspFec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.PathCalculationError']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.RemergeError']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.SignallingError']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GenericTspec.Otntspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GenericTspec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GenericFspec.Otnfspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GenericFspec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Otn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Otn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Aps.ProtectionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Aps']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Aps']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo.SessionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo.DeletionHistory']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.TailEndBfdInfo.SessionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.TailEndBfdInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseLspFec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseLspFec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.FlexInfo.FlexFec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.FlexInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutEro.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutEro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutEro.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutEro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InEro.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InEro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InEro.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InEro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.Ipv4RroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.LabelRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.LabelRroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.LabelRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.SrlgRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.LabelRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.LabelRroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.LabelRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.SrlgRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.S2LFec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.Tspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GenericTspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.Fspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GenericFspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.S2LConvergence']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.SoftPreemption']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.TailEndBfdInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.SrlgCollection']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.Association']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.Protection']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseLspFec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseTspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.FlexInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.LspWrapInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.DiversityInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.SharedRiskLinkGroup']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutEro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InEro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathAffinityArray']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.S2LSegmentRoutingPath']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.LspFec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.LspFec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.LspFec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.PathCalculationError']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.RemergeError']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.SignallingError']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GenericTspec.Otntspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GenericTspec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GenericFspec.Otnfspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GenericFspec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.NextHopAddressGeneric']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.IncomingAddressGeneric']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel.Otn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel.Otn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel.Otn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel.Otn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Aps.ProtectionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Aps']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Aps']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.HeadEndBfdInfo.SessionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.HeadEndBfdInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.HeadEndBfdInfo.DeletionHistory']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.HeadEndBfdInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.TailEndBfdInfo.SessionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.TailEndBfdInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseLspFec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseLspFec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.FlexInfo.FlexFec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.FlexInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutEro.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutEro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutEro.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutEro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InEro.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InEro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InEro.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InEro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.Ipv4RroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.LabelRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.LabelRroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.UnnumberedRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.LabelRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.SrlgRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.Ipv4RroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.LabelRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.LabelRroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.LabelRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.SrlgRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseEroIn.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseEroIn']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseEroIn.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseEroIn']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.S2LFec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.Tspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GenericTspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.Fspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GenericFspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.NextHopAddressGeneric']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.IncomingAddressGeneric']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.S2LConvergence']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.SoftPreemption']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.HeadEndBfdInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.TailEndBfdInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.SrlgCollection']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.Association']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.Protection']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseLspFec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseTspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.FlexInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.LspWrapInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.DiversityInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.SharedRiskLinkGroup']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutEro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InEro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathAffinityArray']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseEroIn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.S2LSegmentRoutingPath']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.LspFec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.LspFec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.LspFec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.PathCalculationError']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.RemergeError']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.SignallingError']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GenericTspec.Otntspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GenericTspec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GenericFspec.Otnfspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GenericFspec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.NextHopAddressGeneric']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.IncomingAddressGeneric']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel.Otn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel.Otn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Aps.ProtectionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Aps']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Aps']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.HeadEndBfdInfo.SessionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.HeadEndBfdInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.HeadEndBfdInfo.DeletionHistory']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.HeadEndBfdInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.TailEndBfdInfo.SessionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.TailEndBfdInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseLspFec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseLspFec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.FlexInfo.FlexFec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.FlexInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutEro.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutEro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutEro.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutEro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InEro.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InEro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InEro.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InEro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.Ipv4RroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.LabelRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.LabelRroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.LabelRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.SrlgRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.LabelRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.LabelRroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.LabelRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.SrlgRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseEroIn.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseEroIn']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseEroIn']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.S2LFec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.Tspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GenericTspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.Fspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GenericFspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.NextHopAddressGeneric']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.IncomingAddressGeneric']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.S2LConvergence']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.SoftPreemption']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.HeadEndBfdInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.TailEndBfdInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.SrlgCollection']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.Association']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.Protection']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseLspFec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseTspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.FlexInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.LspWrapInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.DiversityInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.SharedRiskLinkGroup']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutEro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InEro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathAffinityArray']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseEroIn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.S2LSegmentRoutingPath']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.LspFec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.LspFec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.LspFec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.PathCalculationError']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.RemergeError']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.SignallingError']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GenericTspec.Otntspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GenericTspec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GenericFspec.Otnfspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GenericFspec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.NextHopAddressGeneric']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PreviousHopAddressGeneric']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.IncomingAddressGeneric']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathIngressLabel.Otn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathEgressLabel.Otn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel.Otn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel.Otn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Aps.ProtectionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Aps']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Aps']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.HeadEndBfdInfo.SessionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.HeadEndBfdInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.HeadEndBfdInfo.DeletionHistory']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.HeadEndBfdInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.TailEndBfdInfo.SessionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.TailEndBfdInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseLspFec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseLspFec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.FlexInfo.FlexFec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.FlexInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutEro.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutEro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutEro.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutEro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InEro.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InEro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InEro.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InEro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.Ipv4RroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.LabelRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.LabelRroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.UnnumberedRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.LabelRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.SrlgRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.Ipv4RroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.LabelRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.LabelRroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.LabelRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.SrlgRroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseEroIn.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseEroIn']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseEroIn.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseEroIn']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.S2LFec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.Tspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GenericTspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.Fspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GenericFspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.NextHopAddressGeneric']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PreviousHopAddressGeneric']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.IncomingAddressGeneric']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.S2LConvergence']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.SoftPreemption']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.HeadEndBfdInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.TailEndBfdInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.SrlgCollection']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.Association']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.Protection']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseLspFec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseTspec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.FlexInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.LspWrapInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.DiversityInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.SharedRiskLinkGroup']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutEro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InEro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathAffinityArray']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseEroIn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.S2LSegmentRoutingPath']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.LspFec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.P2PInfo.AutoBandwidthStatus']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.P2PInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.P2PInfo.AutoBandwidthConfig']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.P2PInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.P2PInfo.AutoBandwidthOper']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.P2PInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.CurrentSetup.ConnectedUptimes']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.CurrentSetup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.CurrentSetup']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.ReoptSetup']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.GmplsPathProtectSetup']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.PreviousSetup']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.PreviousGmplsPathProtectSetup']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.GmplsOtherSetup']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.GmplsOtherProtectSetup']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.StandbySetup']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.StandbyReoptSetup']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.LastReOptFail']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.LastStdbyReOptFail']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.PathProtection.Switchover']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.PathProtection']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup.WeightedSrlgInfo.ProtectedInterfaceSrlg']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup.WeightedSrlgInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup.WeightedSrlgInfo.WeightedSrlgHop']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup.WeightedSrlgInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup.Iep.IepHop']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup.Iep']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup.WeightedSrlgInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup.Iep']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.SoftPreemption.SoftPreemptionCounters']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.SoftPreemption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.SoftPreemption.SoftPreemptionPathError']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.SoftPreemption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexCbr']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn.BandwidthCfg']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexGfpFRes']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn.BandwidthCfg']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexGfpFNonRes']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn.BandwidthCfg']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn.BandwidthCfg']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.EgressPort.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.EgressPort.TeAddr']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.EgressPort.TeAddr']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.EgressPort']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.TermEgressPort.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.TermEgressPort.TeAddr']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.TermEgressPort.TeAddr']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.TermEgressPort']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.EgressPort']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.TermEgressPort']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.HomepathEro.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.HomepathEro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.HomepathEro.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.HomepathEro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.StaticUni']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.HomepathEro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.DiversityInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.BfdInfo.EventCounters']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.BfdInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.BfdInfo.DampeningInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.BfdInfo']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir.Aps.ProtectionProfile.RevertSchedule']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir.Aps.ProtectionProfile']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir.Aps.ProtectionProfile']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir.Aps']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir.Aps']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir.Restoration']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorCurrent.PathCalculationError']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorCurrent']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorReopt.PathCalculationError']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorReopt']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorStandby.PathCalculationError']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorStandby']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorStandbyReopt.PathCalculationError']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorStandbyReopt']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorCurrent']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorReopt']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorStandby']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorStandbyReopt']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TeTunnelConvergence.ConvergenceLsp']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TeTunnelConvergence']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.PathCalculationError']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.RemergeError']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.SignallingError']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.PathCalculationError']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.RemergeError']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.SignallingError']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.InterAreaReoptimization']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.P2PInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.History']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.PathProtection']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoMesh']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoPcc']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.PceDelegation']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.SoftPreemption']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.WdmUnitunnel']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.BfdInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.TeTunnelConvergence']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.FlexInfo']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads.TunnelHead']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemoteBriefs']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelRemotes']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.NniTunnels']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel.TunnelHeads']['meta_info'].parent =_meta_table['MplsTe.P2PP2MpTunnel']['meta_info']
_meta_table['MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthPrestandard.TopologyLinkPrestandardBandwidthDetail']['meta_info'].parent =_meta_table['MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthPrestandard']['meta_info']
_meta_table['MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthStandard.TopoLinkStdBwDetail']['meta_info'].parent =_meta_table['MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthStandard']['meta_info']
_meta_table['MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthPrestandard']['meta_info'].parent =_meta_table['MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth']['meta_info']
_meta_table['MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthStandard']['meta_info'].parent =_meta_table['MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth']['meta_info']
_meta_table['MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Fixed']['meta_info'].parent =_meta_table['MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo']['meta_info']
_meta_table['MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Flex']['meta_info'].parent =_meta_table['MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo']['meta_info']
_meta_table['MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo']['meta_info'].parent =_meta_table['MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.OduLinkCapabilities.OduCapability']['meta_info']
_meta_table['MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.OduLinkCapabilities.OduCapability']['meta_info'].parent =_meta_table['MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.OduLinkCapabilities']['meta_info']
_meta_table['MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth']['meta_info'].parent =_meta_table['MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink']['meta_info']
_meta_table['MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.OduLinkCapabilities']['meta_info'].parent =_meta_table['MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink']['meta_info']
_meta_table['MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.SharedRiskLinkGroup']['meta_info'].parent =_meta_table['MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink']['meta_info']
_meta_table['MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink.AdjacencySid']['meta_info'].parent =_meta_table['MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink']['meta_info']
_meta_table['MplsTe.TopologyNodes.TopologyNode.TopologyNodeSidAndSrbg']['meta_info'].parent =_meta_table['MplsTe.TopologyNodes.TopologyNode']['meta_info']
_meta_table['MplsTe.TopologyNodes.TopologyNode.TopologyNodeLink']['meta_info'].parent =_meta_table['MplsTe.TopologyNodes.TopologyNode']['meta_info']
_meta_table['MplsTe.TopologyNodes.TopologyNode']['meta_info'].parent =_meta_table['MplsTe.TopologyNodes']['meta_info']
_meta_table['MplsTe.AnnounceTunnelsInfo.AutorouteAnnounceTable.AnnounceDest.TotalTunnel.IgPs']['meta_info'].parent =_meta_table['MplsTe.AnnounceTunnelsInfo.AutorouteAnnounceTable.AnnounceDest.TotalTunnel']['meta_info']
_meta_table['MplsTe.AnnounceTunnelsInfo.AutorouteAnnounceTable.AnnounceDest.TotalTunnel']['meta_info'].parent =_meta_table['MplsTe.AnnounceTunnelsInfo.AutorouteAnnounceTable.AnnounceDest']['meta_info']
_meta_table['MplsTe.AnnounceTunnelsInfo.AutorouteAnnounceTable.AnnounceDest']['meta_info'].parent =_meta_table['MplsTe.AnnounceTunnelsInfo.AutorouteAnnounceTable']['meta_info']
_meta_table['MplsTe.AnnounceTunnelsInfo.AllAutorouteTable.AnnounceDest.TotalTunnel.IgPs']['meta_info'].parent =_meta_table['MplsTe.AnnounceTunnelsInfo.AllAutorouteTable.AnnounceDest.TotalTunnel']['meta_info']
_meta_table['MplsTe.AnnounceTunnelsInfo.AllAutorouteTable.AnnounceDest.TotalTunnel']['meta_info'].parent =_meta_table['MplsTe.AnnounceTunnelsInfo.AllAutorouteTable.AnnounceDest']['meta_info']
_meta_table['MplsTe.AnnounceTunnelsInfo.AllAutorouteTable.AnnounceDest']['meta_info'].parent =_meta_table['MplsTe.AnnounceTunnelsInfo.AllAutorouteTable']['meta_info']
_meta_table['MplsTe.AnnounceTunnelsInfo.AutorouteAnnounceTable']['meta_info'].parent =_meta_table['MplsTe.AnnounceTunnelsInfo']['meta_info']
_meta_table['MplsTe.AnnounceTunnelsInfo.AllAutorouteTable']['meta_info'].parent =_meta_table['MplsTe.AnnounceTunnelsInfo']['meta_info']
_meta_table['MplsTe.CollaboratorTimers.P2MpTimer']['meta_info'].parent =_meta_table['MplsTe.CollaboratorTimers']['meta_info']
_meta_table['MplsTe.AutoTunnel.Pcc.Summary']['meta_info'].parent =_meta_table['MplsTe.AutoTunnel.Pcc']['meta_info']
_meta_table['MplsTe.AutoTunnel.Mesh.MeshGroups.MeshGroup.Destination']['meta_info'].parent =_meta_table['MplsTe.AutoTunnel.Mesh.MeshGroups.MeshGroup']['meta_info']
_meta_table['MplsTe.AutoTunnel.Mesh.MeshGroups.MeshGroup']['meta_info'].parent =_meta_table['MplsTe.AutoTunnel.Mesh.MeshGroups']['meta_info']
_meta_table['MplsTe.AutoTunnel.Mesh.OneHop.Interfaces.Interface.Tunnel']['meta_info'].parent =_meta_table['MplsTe.AutoTunnel.Mesh.OneHop.Interfaces.Interface']['meta_info']
_meta_table['MplsTe.AutoTunnel.Mesh.OneHop.Interfaces.Interface']['meta_info'].parent =_meta_table['MplsTe.AutoTunnel.Mesh.OneHop.Interfaces']['meta_info']
_meta_table['MplsTe.AutoTunnel.Mesh.OneHop.Interfaces']['meta_info'].parent =_meta_table['MplsTe.AutoTunnel.Mesh.OneHop']['meta_info']
_meta_table['MplsTe.AutoTunnel.Mesh.OneHop.Statistics']['meta_info'].parent =_meta_table['MplsTe.AutoTunnel.Mesh.OneHop']['meta_info']
_meta_table['MplsTe.AutoTunnel.Mesh.OneHop.Summary']['meta_info'].parent =_meta_table['MplsTe.AutoTunnel.Mesh.OneHop']['meta_info']
_meta_table['MplsTe.AutoTunnel.Mesh.MeshGroups']['meta_info'].parent =_meta_table['MplsTe.AutoTunnel.Mesh']['meta_info']
_meta_table['MplsTe.AutoTunnel.Mesh.Statistics']['meta_info'].parent =_meta_table['MplsTe.AutoTunnel.Mesh']['meta_info']
_meta_table['MplsTe.AutoTunnel.Mesh.Summary']['meta_info'].parent =_meta_table['MplsTe.AutoTunnel.Mesh']['meta_info']
_meta_table['MplsTe.AutoTunnel.Mesh.Config']['meta_info'].parent =_meta_table['MplsTe.AutoTunnel.Mesh']['meta_info']
_meta_table['MplsTe.AutoTunnel.Mesh.OneHop']['meta_info'].parent =_meta_table['MplsTe.AutoTunnel.Mesh']['meta_info']
_meta_table['MplsTe.AutoTunnel.Backup.Tunnels.Tunnel']['meta_info'].parent =_meta_table['MplsTe.AutoTunnel.Backup.Tunnels']['meta_info']
_meta_table['MplsTe.AutoTunnel.Backup.Statistics.Created']['meta_info'].parent =_meta_table['MplsTe.AutoTunnel.Backup.Statistics']['meta_info']
_meta_table['MplsTe.AutoTunnel.Backup.Statistics.Connected']['meta_info'].parent =_meta_table['MplsTe.AutoTunnel.Backup.Statistics']['meta_info']
_meta_table['MplsTe.AutoTunnel.Backup.Statistics.RemovedDown']['meta_info'].parent =_meta_table['MplsTe.AutoTunnel.Backup.Statistics']['meta_info']
_meta_table['MplsTe.AutoTunnel.Backup.Statistics.RemovedUnused']['meta_info'].parent =_meta_table['MplsTe.AutoTunnel.Backup.Statistics']['meta_info']
_meta_table['MplsTe.AutoTunnel.Backup.Statistics.RemovedInUse']['meta_info'].parent =_meta_table['MplsTe.AutoTunnel.Backup.Statistics']['meta_info']
_meta_table['MplsTe.AutoTunnel.Backup.Statistics.RemovedRangeExceeded']['meta_info'].parent =_meta_table['MplsTe.AutoTunnel.Backup.Statistics']['meta_info']
_meta_table['MplsTe.AutoTunnel.Backup.Tunnels']['meta_info'].parent =_meta_table['MplsTe.AutoTunnel.Backup']['meta_info']
_meta_table['MplsTe.AutoTunnel.Backup.Statistics']['meta_info'].parent =_meta_table['MplsTe.AutoTunnel.Backup']['meta_info']
_meta_table['MplsTe.AutoTunnel.Backup.Summary']['meta_info'].parent =_meta_table['MplsTe.AutoTunnel.Backup']['meta_info']
_meta_table['MplsTe.AutoTunnel.Backup.Config']['meta_info'].parent =_meta_table['MplsTe.AutoTunnel.Backup']['meta_info']
_meta_table['MplsTe.AutoTunnel.Pcc']['meta_info'].parent =_meta_table['MplsTe.AutoTunnel']['meta_info']
_meta_table['MplsTe.AutoTunnel.Mesh']['meta_info'].parent =_meta_table['MplsTe.AutoTunnel']['meta_info']
_meta_table['MplsTe.AutoTunnel.Backup']['meta_info'].parent =_meta_table['MplsTe.AutoTunnel']['meta_info']
_meta_table['MplsTe.SoftPreemption.Statistics']['meta_info'].parent =_meta_table['MplsTe.SoftPreemption']['meta_info']
_meta_table['MplsTe.ForwardingAdjacencyDestinations.ForwardingAdjacencyDestination.ForwardAdjacency.IgPs']['meta_info'].parent =_meta_table['MplsTe.ForwardingAdjacencyDestinations.ForwardingAdjacencyDestination.ForwardAdjacency']['meta_info']
_meta_table['MplsTe.ForwardingAdjacencyDestinations.ForwardingAdjacencyDestination.ForwardAdjacency']['meta_info'].parent =_meta_table['MplsTe.ForwardingAdjacencyDestinations.ForwardingAdjacencyDestination']['meta_info']
_meta_table['MplsTe.ForwardingAdjacencyDestinations.ForwardingAdjacencyDestination']['meta_info'].parent =_meta_table['MplsTe.ForwardingAdjacencyDestinations']['meta_info']
_meta_table['MplsTe.IgpAreas.IgpArea.Area.ActiveData.AreaStatistics']['meta_info'].parent =_meta_table['MplsTe.IgpAreas.IgpArea.Area.ActiveData']['meta_info']
_meta_table['MplsTe.IgpAreas.IgpArea.Area.ActiveData']['meta_info'].parent =_meta_table['MplsTe.IgpAreas.IgpArea.Area']['meta_info']
_meta_table['MplsTe.IgpAreas.IgpArea.Area']['meta_info'].parent =_meta_table['MplsTe.IgpAreas.IgpArea']['meta_info']
_meta_table['MplsTe.IgpAreas.IgpArea']['meta_info'].parent =_meta_table['MplsTe.IgpAreas']['meta_info']
_meta_table['MplsTe.WrapProtection.ProtectedLsps.ProtectedLsp']['meta_info'].parent =_meta_table['MplsTe.WrapProtection.ProtectedLsps']['meta_info']
_meta_table['MplsTe.WrapProtection.ProtectedLsps']['meta_info'].parent =_meta_table['MplsTe.WrapProtection']['meta_info']
_meta_table['MplsTe.Topology.Global_.Areas.LocalSidAndSrbg']['meta_info'].parent =_meta_table['MplsTe.Topology.Global_.Areas']['meta_info']
_meta_table['MplsTe.Topology.Global_.Areas']['meta_info'].parent =_meta_table['MplsTe.Topology.Global_']['meta_info']
_meta_table['MplsTe.Topology.DestinationPaths.DestinationPath.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.Topology.DestinationPaths.DestinationPath.Affinity']['meta_info']
_meta_table['MplsTe.Topology.DestinationPaths.DestinationPath.Affinity']['meta_info'].parent =_meta_table['MplsTe.Topology.DestinationPaths.DestinationPath']['meta_info']
_meta_table['MplsTe.Topology.DestinationPaths.DestinationPath.SharedRiskLinkGroup']['meta_info'].parent =_meta_table['MplsTe.Topology.DestinationPaths.DestinationPath']['meta_info']
_meta_table['MplsTe.Topology.DestinationPaths.DestinationPath.SrSegment']['meta_info'].parent =_meta_table['MplsTe.Topology.DestinationPaths.DestinationPath']['meta_info']
_meta_table['MplsTe.Topology.DestinationPaths.DestinationPath']['meta_info'].parent =_meta_table['MplsTe.Topology.DestinationPaths']['meta_info']
_meta_table['MplsTe.Topology.ConfiguredSrlgs.ConfiguredSrlg.SrlgLink']['meta_info'].parent =_meta_table['MplsTe.Topology.ConfiguredSrlgs.ConfiguredSrlg']['meta_info']
_meta_table['MplsTe.Topology.ConfiguredSrlgs.ConfiguredSrlg']['meta_info'].parent =_meta_table['MplsTe.Topology.ConfiguredSrlgs']['meta_info']
_meta_table['MplsTe.Topology.Srlgs.Srlg.SrlgAreas.SrlgLink.LinkAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTe.Topology.Srlgs.Srlg.SrlgAreas.SrlgLink.LinkAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTe.Topology.Srlgs.Srlg.SrlgAreas.SrlgLink.LinkAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTe.Topology.Srlgs.Srlg.SrlgAreas.SrlgLink.LinkAddressGeneric']['meta_info']
_meta_table['MplsTe.Topology.Srlgs.Srlg.SrlgAreas.SrlgLink.LinkAddressGeneric']['meta_info'].parent =_meta_table['MplsTe.Topology.Srlgs.Srlg.SrlgAreas.SrlgLink']['meta_info']
_meta_table['MplsTe.Topology.Srlgs.Srlg.SrlgAreas.SrlgLink']['meta_info'].parent =_meta_table['MplsTe.Topology.Srlgs.Srlg.SrlgAreas']['meta_info']
_meta_table['MplsTe.Topology.Srlgs.Srlg.SrlgAreas']['meta_info'].parent =_meta_table['MplsTe.Topology.Srlgs.Srlg']['meta_info']
_meta_table['MplsTe.Topology.Srlgs.Srlg']['meta_info'].parent =_meta_table['MplsTe.Topology.Srlgs']['meta_info']
_meta_table['MplsTe.Topology.PathTunnels.PathTunnel.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.Topology.PathTunnels.PathTunnel.Affinity']['meta_info']
_meta_table['MplsTe.Topology.PathTunnels.PathTunnel.Affinity']['meta_info'].parent =_meta_table['MplsTe.Topology.PathTunnels.PathTunnel']['meta_info']
_meta_table['MplsTe.Topology.PathTunnels.PathTunnel.SharedRiskLinkGroup']['meta_info'].parent =_meta_table['MplsTe.Topology.PathTunnels.PathTunnel']['meta_info']
_meta_table['MplsTe.Topology.PathTunnels.PathTunnel.SrSegment']['meta_info'].parent =_meta_table['MplsTe.Topology.PathTunnels.PathTunnel']['meta_info']
_meta_table['MplsTe.Topology.PathTunnels.PathTunnel']['meta_info'].parent =_meta_table['MplsTe.Topology.PathTunnels']['meta_info']
_meta_table['MplsTe.Topology.Global_']['meta_info'].parent =_meta_table['MplsTe.Topology']['meta_info']
_meta_table['MplsTe.Topology.DestinationPaths']['meta_info'].parent =_meta_table['MplsTe.Topology']['meta_info']
_meta_table['MplsTe.Topology.ConfiguredSrlgs']['meta_info'].parent =_meta_table['MplsTe.Topology']['meta_info']
_meta_table['MplsTe.Topology.Srlgs']['meta_info'].parent =_meta_table['MplsTe.Topology']['meta_info']
_meta_table['MplsTe.Topology.PathTunnels']['meta_info'].parent =_meta_table['MplsTe.Topology']['meta_info']
_meta_table['MplsTe.SignallingCounters.HeadsCounters.HeadsCounter.DestinationStatistic.S2LStatistic.Statistics']['meta_info'].parent =_meta_table['MplsTe.SignallingCounters.HeadsCounters.HeadsCounter.DestinationStatistic.S2LStatistic']['meta_info']
_meta_table['MplsTe.SignallingCounters.HeadsCounters.HeadsCounter.DestinationStatistic.Statistics']['meta_info'].parent =_meta_table['MplsTe.SignallingCounters.HeadsCounters.HeadsCounter.DestinationStatistic']['meta_info']
_meta_table['MplsTe.SignallingCounters.HeadsCounters.HeadsCounter.DestinationStatistic.S2LStatistic']['meta_info'].parent =_meta_table['MplsTe.SignallingCounters.HeadsCounters.HeadsCounter.DestinationStatistic']['meta_info']
_meta_table['MplsTe.SignallingCounters.HeadsCounters.HeadsCounter.Statistics']['meta_info'].parent =_meta_table['MplsTe.SignallingCounters.HeadsCounters.HeadsCounter']['meta_info']
_meta_table['MplsTe.SignallingCounters.HeadsCounters.HeadsCounter.DestinationStatistic']['meta_info'].parent =_meta_table['MplsTe.SignallingCounters.HeadsCounters.HeadsCounter']['meta_info']
_meta_table['MplsTe.SignallingCounters.HeadsCounters.HeadsCounter']['meta_info'].parent =_meta_table['MplsTe.SignallingCounters.HeadsCounters']['meta_info']
_meta_table['MplsTe.SignallingCounters.MidsCounters.MidsCounter.S2LStatistic.Statistics']['meta_info'].parent =_meta_table['MplsTe.SignallingCounters.MidsCounters.MidsCounter.S2LStatistic']['meta_info']
_meta_table['MplsTe.SignallingCounters.MidsCounters.MidsCounter.Statistics']['meta_info'].parent =_meta_table['MplsTe.SignallingCounters.MidsCounters.MidsCounter']['meta_info']
_meta_table['MplsTe.SignallingCounters.MidsCounters.MidsCounter.S2LStatistic']['meta_info'].parent =_meta_table['MplsTe.SignallingCounters.MidsCounters.MidsCounter']['meta_info']
_meta_table['MplsTe.SignallingCounters.MidsCounters.MidsCounter']['meta_info'].parent =_meta_table['MplsTe.SignallingCounters.MidsCounters']['meta_info']
_meta_table['MplsTe.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter.DestinationStatistic.S2LStatistic.Statistics']['meta_info'].parent =_meta_table['MplsTe.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter.DestinationStatistic.S2LStatistic']['meta_info']
_meta_table['MplsTe.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter.DestinationStatistic.Statistics']['meta_info'].parent =_meta_table['MplsTe.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter.DestinationStatistic']['meta_info']
_meta_table['MplsTe.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter.DestinationStatistic.S2LStatistic']['meta_info'].parent =_meta_table['MplsTe.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter.DestinationStatistic']['meta_info']
_meta_table['MplsTe.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter.Statistics']['meta_info'].parent =_meta_table['MplsTe.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter']['meta_info']
_meta_table['MplsTe.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter.DestinationStatistic']['meta_info'].parent =_meta_table['MplsTe.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter']['meta_info']
_meta_table['MplsTe.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter']['meta_info'].parent =_meta_table['MplsTe.SignallingCounters.HeadSignallingCounters']['meta_info']
_meta_table['MplsTe.SignallingCounters.RemoteSignallingCounters.RemoteSignallingCounter.S2LStatistic.Statistics']['meta_info'].parent =_meta_table['MplsTe.SignallingCounters.RemoteSignallingCounters.RemoteSignallingCounter.S2LStatistic']['meta_info']
_meta_table['MplsTe.SignallingCounters.RemoteSignallingCounters.RemoteSignallingCounter.Statistics']['meta_info'].parent =_meta_table['MplsTe.SignallingCounters.RemoteSignallingCounters.RemoteSignallingCounter']['meta_info']
_meta_table['MplsTe.SignallingCounters.RemoteSignallingCounters.RemoteSignallingCounter.S2LStatistic']['meta_info'].parent =_meta_table['MplsTe.SignallingCounters.RemoteSignallingCounters.RemoteSignallingCounter']['meta_info']
_meta_table['MplsTe.SignallingCounters.RemoteSignallingCounters.RemoteSignallingCounter']['meta_info'].parent =_meta_table['MplsTe.SignallingCounters.RemoteSignallingCounters']['meta_info']
_meta_table['MplsTe.SignallingCounters.TailsCounters.TailsCounter.S2LStatistic.Statistics']['meta_info'].parent =_meta_table['MplsTe.SignallingCounters.TailsCounters.TailsCounter.S2LStatistic']['meta_info']
_meta_table['MplsTe.SignallingCounters.TailsCounters.TailsCounter.Statistics']['meta_info'].parent =_meta_table['MplsTe.SignallingCounters.TailsCounters.TailsCounter']['meta_info']
_meta_table['MplsTe.SignallingCounters.TailsCounters.TailsCounter.S2LStatistic']['meta_info'].parent =_meta_table['MplsTe.SignallingCounters.TailsCounters.TailsCounter']['meta_info']
_meta_table['MplsTe.SignallingCounters.TailsCounters.TailsCounter']['meta_info'].parent =_meta_table['MplsTe.SignallingCounters.TailsCounters']['meta_info']
_meta_table['MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif.DestinationStatistic.S2LStatistic.Statistics']['meta_info'].parent =_meta_table['MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif.DestinationStatistic.S2LStatistic']['meta_info']
_meta_table['MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif.DestinationStatistic.Statistics']['meta_info'].parent =_meta_table['MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif.DestinationStatistic']['meta_info']
_meta_table['MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif.DestinationStatistic.S2LStatistic']['meta_info'].parent =_meta_table['MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif.DestinationStatistic']['meta_info']
_meta_table['MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif.Statistics']['meta_info'].parent =_meta_table['MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif']['meta_info']
_meta_table['MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif.DestinationStatistic']['meta_info'].parent =_meta_table['MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif']['meta_info']
_meta_table['MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterLsp.S2LStatistic.Statistics']['meta_info'].parent =_meta_table['MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterLsp.S2LStatistic']['meta_info']
_meta_table['MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterLsp.Statistics']['meta_info'].parent =_meta_table['MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterLsp']['meta_info']
_meta_table['MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterLsp.S2LStatistic']['meta_info'].parent =_meta_table['MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterLsp']['meta_info']
_meta_table['MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif']['meta_info'].parent =_meta_table['MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData']['meta_info']
_meta_table['MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterLsp']['meta_info'].parent =_meta_table['MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData']['meta_info']
_meta_table['MplsTe.SignallingCounters.Signallings.Signalling.TeSignallingFilterData']['meta_info'].parent =_meta_table['MplsTe.SignallingCounters.Signallings.Signalling']['meta_info']
_meta_table['MplsTe.SignallingCounters.Signallings.Signalling']['meta_info'].parent =_meta_table['MplsTe.SignallingCounters.Signallings']['meta_info']
_meta_table['MplsTe.SignallingCounters.Issu']['meta_info'].parent =_meta_table['MplsTe.SignallingCounters']['meta_info']
_meta_table['MplsTe.SignallingCounters.HeadsCounters']['meta_info'].parent =_meta_table['MplsTe.SignallingCounters']['meta_info']
_meta_table['MplsTe.SignallingCounters.MidsCounters']['meta_info'].parent =_meta_table['MplsTe.SignallingCounters']['meta_info']
_meta_table['MplsTe.SignallingCounters.HeadSignallingCounters']['meta_info'].parent =_meta_table['MplsTe.SignallingCounters']['meta_info']
_meta_table['MplsTe.SignallingCounters.RemoteSignallingCounters']['meta_info'].parent =_meta_table['MplsTe.SignallingCounters']['meta_info']
_meta_table['MplsTe.SignallingCounters.TailsCounters']['meta_info'].parent =_meta_table['MplsTe.SignallingCounters']['meta_info']
_meta_table['MplsTe.SignallingCounters.Signallings']['meta_info'].parent =_meta_table['MplsTe.SignallingCounters']['meta_info']
_meta_table['MplsTe.SignallingCounters.SignallingSummary']['meta_info'].parent =_meta_table['MplsTe.SignallingCounters']['meta_info']
_meta_table['MplsTe.DiffServTeClasses.TeClass']['meta_info'].parent =_meta_table['MplsTe.DiffServTeClasses']['meta_info']
_meta_table['MplsTe.Issu.Status.SyncStatusInformation.SlaveSyncInformation.Idt.CurrentIdtInfo']['meta_info'].parent =_meta_table['MplsTe.Issu.Status.SyncStatusInformation.SlaveSyncInformation.Idt']['meta_info']
_meta_table['MplsTe.Issu.Status.SyncStatusInformation.SlaveSyncInformation.Idt.PreviousIdtStatus']['meta_info'].parent =_meta_table['MplsTe.Issu.Status.SyncStatusInformation.SlaveSyncInformation.Idt']['meta_info']
_meta_table['MplsTe.Issu.Status.SyncStatusInformation.SlaveSyncInformation.Idt']['meta_info'].parent =_meta_table['MplsTe.Issu.Status.SyncStatusInformation.SlaveSyncInformation']['meta_info']
_meta_table['MplsTe.Issu.Status.SyncStatusInformation.SlaveSyncInformation.VifPending']['meta_info'].parent =_meta_table['MplsTe.Issu.Status.SyncStatusInformation.SlaveSyncInformation']['meta_info']
_meta_table['MplsTe.Issu.Status.SyncStatusInformation.SlaveSyncInformation.S2LPending']['meta_info'].parent =_meta_table['MplsTe.Issu.Status.SyncStatusInformation.SlaveSyncInformation']['meta_info']
_meta_table['MplsTe.Issu.Status.SyncStatusInformation.MasterSyncInformation.Idt.CurrentIdtInfo']['meta_info'].parent =_meta_table['MplsTe.Issu.Status.SyncStatusInformation.MasterSyncInformation.Idt']['meta_info']
_meta_table['MplsTe.Issu.Status.SyncStatusInformation.MasterSyncInformation.Idt.PreviousIdtStatus']['meta_info'].parent =_meta_table['MplsTe.Issu.Status.SyncStatusInformation.MasterSyncInformation.Idt']['meta_info']
_meta_table['MplsTe.Issu.Status.SyncStatusInformation.MasterSyncInformation.Idt']['meta_info'].parent =_meta_table['MplsTe.Issu.Status.SyncStatusInformation.MasterSyncInformation']['meta_info']
_meta_table['MplsTe.Issu.Status.SyncStatusInformation.SlaveSyncInformation']['meta_info'].parent =_meta_table['MplsTe.Issu.Status.SyncStatusInformation']['meta_info']
_meta_table['MplsTe.Issu.Status.SyncStatusInformation.MasterSyncInformation']['meta_info'].parent =_meta_table['MplsTe.Issu.Status.SyncStatusInformation']['meta_info']
_meta_table['MplsTe.Issu.Status.SyncStatusInformation']['meta_info'].parent =_meta_table['MplsTe.Issu.Status']['meta_info']
_meta_table['MplsTe.Issu.Detail.SyncStatusInformation.SlaveSyncInformation.Idt.CurrentIdtInfo']['meta_info'].parent =_meta_table['MplsTe.Issu.Detail.SyncStatusInformation.SlaveSyncInformation.Idt']['meta_info']
_meta_table['MplsTe.Issu.Detail.SyncStatusInformation.SlaveSyncInformation.Idt.PreviousIdtStatus']['meta_info'].parent =_meta_table['MplsTe.Issu.Detail.SyncStatusInformation.SlaveSyncInformation.Idt']['meta_info']
_meta_table['MplsTe.Issu.Detail.SyncStatusInformation.SlaveSyncInformation.Idt']['meta_info'].parent =_meta_table['MplsTe.Issu.Detail.SyncStatusInformation.SlaveSyncInformation']['meta_info']
_meta_table['MplsTe.Issu.Detail.SyncStatusInformation.SlaveSyncInformation.VifPending']['meta_info'].parent =_meta_table['MplsTe.Issu.Detail.SyncStatusInformation.SlaveSyncInformation']['meta_info']
_meta_table['MplsTe.Issu.Detail.SyncStatusInformation.SlaveSyncInformation.S2LPending']['meta_info'].parent =_meta_table['MplsTe.Issu.Detail.SyncStatusInformation.SlaveSyncInformation']['meta_info']
_meta_table['MplsTe.Issu.Detail.SyncStatusInformation.MasterSyncInformation.Idt.CurrentIdtInfo']['meta_info'].parent =_meta_table['MplsTe.Issu.Detail.SyncStatusInformation.MasterSyncInformation.Idt']['meta_info']
_meta_table['MplsTe.Issu.Detail.SyncStatusInformation.MasterSyncInformation.Idt.PreviousIdtStatus']['meta_info'].parent =_meta_table['MplsTe.Issu.Detail.SyncStatusInformation.MasterSyncInformation.Idt']['meta_info']
_meta_table['MplsTe.Issu.Detail.SyncStatusInformation.MasterSyncInformation.Idt']['meta_info'].parent =_meta_table['MplsTe.Issu.Detail.SyncStatusInformation.MasterSyncInformation']['meta_info']
_meta_table['MplsTe.Issu.Detail.SyncStatusInformation.SlaveSyncInformation']['meta_info'].parent =_meta_table['MplsTe.Issu.Detail.SyncStatusInformation']['meta_info']
_meta_table['MplsTe.Issu.Detail.SyncStatusInformation.MasterSyncInformation']['meta_info'].parent =_meta_table['MplsTe.Issu.Detail.SyncStatusInformation']['meta_info']
_meta_table['MplsTe.Issu.Detail.SyncStatusInformation']['meta_info'].parent =_meta_table['MplsTe.Issu.Detail']['meta_info']
_meta_table['MplsTe.Issu.Status']['meta_info'].parent =_meta_table['MplsTe.Issu']['meta_info']
_meta_table['MplsTe.Issu.Detail']['meta_info'].parent =_meta_table['MplsTe.Issu']['meta_info']
_meta_table['MplsTe.FastReroute.BackupTunnels.BackupTunnel']['meta_info'].parent =_meta_table['MplsTe.FastReroute.BackupTunnels']['meta_info']
_meta_table['MplsTe.FastReroute.ProtectedInterfaces.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTe.FastReroute.ProtectedInterfaces']['meta_info']
_meta_table['MplsTe.FastReroute.Protections.Protection']['meta_info'].parent =_meta_table['MplsTe.FastReroute.Protections']['meta_info']
_meta_table['MplsTe.FastReroute.BackupTunnels']['meta_info'].parent =_meta_table['MplsTe.FastReroute']['meta_info']
_meta_table['MplsTe.FastReroute.ProtectedInterfaces']['meta_info'].parent =_meta_table['MplsTe.FastReroute']['meta_info']
_meta_table['MplsTe.FastReroute.Protections']['meta_info'].parent =_meta_table['MplsTe.FastReroute']['meta_info']
_meta_table['MplsTe.FastReroute.Promotion']['meta_info'].parent =_meta_table['MplsTe.FastReroute']['meta_info']
_meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTe.AttributeSets.AttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTe.AttributeSets.AttributeSet']['meta_info']
_meta_table['MplsTe.AttributeSets.AttributeSet']['meta_info'].parent =_meta_table['MplsTe.AttributeSets']['meta_info']
_meta_table['MplsTe.IgpAreaBriefs.IgpAreaBrief.Area.ActiveData.AreaStatistics']['meta_info'].parent =_meta_table['MplsTe.IgpAreaBriefs.IgpAreaBrief.Area.ActiveData']['meta_info']
_meta_table['MplsTe.IgpAreaBriefs.IgpAreaBrief.Area.ActiveData']['meta_info'].parent =_meta_table['MplsTe.IgpAreaBriefs.IgpAreaBrief.Area']['meta_info']
_meta_table['MplsTe.IgpAreaBriefs.IgpAreaBrief.Area']['meta_info'].parent =_meta_table['MplsTe.IgpAreaBriefs.IgpAreaBrief']['meta_info']
_meta_table['MplsTe.IgpAreaBriefs.IgpAreaBrief']['meta_info'].parent =_meta_table['MplsTe.IgpAreaBriefs']['meta_info']
_meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.FlexInfo.FlexFec']['meta_info'].parent =_meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.FlexInfo']['meta_info']
_meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp.ReverseLspFec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp.ReverseLspFec']['meta_info']
_meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp.ReverseLspFec']['meta_info'].parent =_meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp']['meta_info']
_meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp.Association']['meta_info'].parent =_meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp']['meta_info']
_meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp.Protection']['meta_info'].parent =_meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp']['meta_info']
_meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.LspHop.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.LspHop']['meta_info']
_meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.LspHop.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.LspHop']['meta_info']
_meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.FlexInfo']['meta_info'].parent =_meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp']['meta_info']
_meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.Association']['meta_info'].parent =_meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp']['meta_info']
_meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.Protection']['meta_info'].parent =_meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp']['meta_info']
_meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp']['meta_info'].parent =_meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp']['meta_info']
_meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.LspHop']['meta_info'].parent =_meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp']['meta_info']
_meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.FlexInfo.FlexFec']['meta_info'].parent =_meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.FlexInfo']['meta_info']
_meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp.ReverseLspFec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp.ReverseLspFec']['meta_info']
_meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp.ReverseLspFec']['meta_info'].parent =_meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp']['meta_info']
_meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp.Association']['meta_info'].parent =_meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp']['meta_info']
_meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp.Protection']['meta_info'].parent =_meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp']['meta_info']
_meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.LspHop.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.LspHop']['meta_info']
_meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.LspHop.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.LspHop']['meta_info']
_meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.FlexInfo']['meta_info'].parent =_meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp']['meta_info']
_meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.Association']['meta_info'].parent =_meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp']['meta_info']
_meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.Protection']['meta_info'].parent =_meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp']['meta_info']
_meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp']['meta_info'].parent =_meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp']['meta_info']
_meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.LspHop']['meta_info'].parent =_meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp']['meta_info']
_meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp']['meta_info'].parent =_meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp']['meta_info']
_meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp']['meta_info'].parent =_meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp']['meta_info']
_meta_table['MplsTe.Tunnels.TunnelFlexLsps.TunnelFlexLsp']['meta_info'].parent =_meta_table['MplsTe.Tunnels.TunnelFlexLsps']['meta_info']
_meta_table['MplsTe.Tunnels.TunnelAutoBandwidths.TunnelAutoBandwidth.AutoBandwidthStatus']['meta_info'].parent =_meta_table['MplsTe.Tunnels.TunnelAutoBandwidths.TunnelAutoBandwidth']['meta_info']
_meta_table['MplsTe.Tunnels.TunnelAutoBandwidths.TunnelAutoBandwidth']['meta_info'].parent =_meta_table['MplsTe.Tunnels.TunnelAutoBandwidths']['meta_info']
_meta_table['MplsTe.Tunnels.Summary.CurrentTunnelConvergenceSummary.TablePathOut']['meta_info'].parent =_meta_table['MplsTe.Tunnels.Summary.CurrentTunnelConvergenceSummary']['meta_info']
_meta_table['MplsTe.Tunnels.Summary.CurrentTunnelConvergenceSummary.TableResvIn']['meta_info'].parent =_meta_table['MplsTe.Tunnels.Summary.CurrentTunnelConvergenceSummary']['meta_info']
_meta_table['MplsTe.Tunnels.Summary.CurrentTunnelConvergenceSummary.TableLabelRewrite']['meta_info'].parent =_meta_table['MplsTe.Tunnels.Summary.CurrentTunnelConvergenceSummary']['meta_info']
_meta_table['MplsTe.Tunnels.Summary.CurrentTunnelConvergenceSummary.TablePcalc']['meta_info'].parent =_meta_table['MplsTe.Tunnels.Summary.CurrentTunnelConvergenceSummary']['meta_info']
_meta_table['MplsTe.Tunnels.Summary.CurrentTunnelConvergenceSummary.TableTunnelRewrite']['meta_info'].parent =_meta_table['MplsTe.Tunnels.Summary.CurrentTunnelConvergenceSummary']['meta_info']
_meta_table['MplsTe.Tunnels.Summary.CurrentTunnelConvergenceSummary.TableFrrTrigger']['meta_info'].parent =_meta_table['MplsTe.Tunnels.Summary.CurrentTunnelConvergenceSummary']['meta_info']
_meta_table['MplsTe.Tunnels.Summary.LastTunnelConvergenceSummary.TablePathOut']['meta_info'].parent =_meta_table['MplsTe.Tunnels.Summary.LastTunnelConvergenceSummary']['meta_info']
_meta_table['MplsTe.Tunnels.Summary.LastTunnelConvergenceSummary.TableResvIn']['meta_info'].parent =_meta_table['MplsTe.Tunnels.Summary.LastTunnelConvergenceSummary']['meta_info']
_meta_table['MplsTe.Tunnels.Summary.LastTunnelConvergenceSummary.TableLabelRewrite']['meta_info'].parent =_meta_table['MplsTe.Tunnels.Summary.LastTunnelConvergenceSummary']['meta_info']
_meta_table['MplsTe.Tunnels.Summary.LastTunnelConvergenceSummary.TablePcalc']['meta_info'].parent =_meta_table['MplsTe.Tunnels.Summary.LastTunnelConvergenceSummary']['meta_info']
_meta_table['MplsTe.Tunnels.Summary.LastTunnelConvergenceSummary.TableTunnelRewrite']['meta_info'].parent =_meta_table['MplsTe.Tunnels.Summary.LastTunnelConvergenceSummary']['meta_info']
_meta_table['MplsTe.Tunnels.Summary.LastTunnelConvergenceSummary.TableFrrTrigger']['meta_info'].parent =_meta_table['MplsTe.Tunnels.Summary.LastTunnelConvergenceSummary']['meta_info']
_meta_table['MplsTe.Tunnels.Summary.AutoTunServerSummary.ClientsSummary.P2MpInfo']['meta_info'].parent =_meta_table['MplsTe.Tunnels.Summary.AutoTunServerSummary.ClientsSummary']['meta_info']
_meta_table['MplsTe.Tunnels.Summary.AutoTunServerSummary.ClientsSummary.P2PInfo']['meta_info'].parent =_meta_table['MplsTe.Tunnels.Summary.AutoTunServerSummary.ClientsSummary']['meta_info']
_meta_table['MplsTe.Tunnels.Summary.AutoTunServerSummary.TotalAutoP2MpTunnels']['meta_info'].parent =_meta_table['MplsTe.Tunnels.Summary.AutoTunServerSummary']['meta_info']
_meta_table['MplsTe.Tunnels.Summary.AutoTunServerSummary.TotalAutoP2PTunnels']['meta_info'].parent =_meta_table['MplsTe.Tunnels.Summary.AutoTunServerSummary']['meta_info']
_meta_table['MplsTe.Tunnels.Summary.AutoTunServerSummary.ClientsSummary']['meta_info'].parent =_meta_table['MplsTe.Tunnels.Summary.AutoTunServerSummary']['meta_info']
_meta_table['MplsTe.Tunnels.Summary.AutobackupSummary']['meta_info'].parent =_meta_table['MplsTe.Tunnels.Summary']['meta_info']
_meta_table['MplsTe.Tunnels.Summary.AutoMeshSummary']['meta_info'].parent =_meta_table['MplsTe.Tunnels.Summary']['meta_info']
_meta_table['MplsTe.Tunnels.Summary.AutoMeshOneHopSummary']['meta_info'].parent =_meta_table['MplsTe.Tunnels.Summary']['meta_info']
_meta_table['MplsTe.Tunnels.Summary.GmplsUniSummary']['meta_info'].parent =_meta_table['MplsTe.Tunnels.Summary']['meta_info']
_meta_table['MplsTe.Tunnels.Summary.GmplsNniSummary']['meta_info'].parent =_meta_table['MplsTe.Tunnels.Summary']['meta_info']
_meta_table['MplsTe.Tunnels.Summary.CurrentTunnelConvergenceSummary']['meta_info'].parent =_meta_table['MplsTe.Tunnels.Summary']['meta_info']
_meta_table['MplsTe.Tunnels.Summary.LastTunnelConvergenceSummary']['meta_info'].parent =_meta_table['MplsTe.Tunnels.Summary']['meta_info']
_meta_table['MplsTe.Tunnels.Summary.AutoTunServerSummary']['meta_info'].parent =_meta_table['MplsTe.Tunnels.Summary']['meta_info']
_meta_table['MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.PathProtection.Switchover']['meta_info'].parent =_meta_table['MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.PathProtection']['meta_info']
_meta_table['MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.CurrentLsp.LspHop.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.CurrentLsp.LspHop']['meta_info']
_meta_table['MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.CurrentLsp.LspHop.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.CurrentLsp.LspHop']['meta_info']
_meta_table['MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.CurrentLsp.SrlspOutgoingInfo']['meta_info'].parent =_meta_table['MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.CurrentLsp']['meta_info']
_meta_table['MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.CurrentLsp.LspHop']['meta_info'].parent =_meta_table['MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.CurrentLsp']['meta_info']
_meta_table['MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.StandbyLsp.LspHop.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.StandbyLsp.LspHop']['meta_info']
_meta_table['MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.StandbyLsp.LspHop.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.StandbyLsp.LspHop']['meta_info']
_meta_table['MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.StandbyLsp.SrlspOutgoingInfo']['meta_info'].parent =_meta_table['MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.StandbyLsp']['meta_info']
_meta_table['MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.StandbyLsp.LspHop']['meta_info'].parent =_meta_table['MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.StandbyLsp']['meta_info']
_meta_table['MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.PathProtection']['meta_info'].parent =_meta_table['MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection']['meta_info']
_meta_table['MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.CurrentLsp']['meta_info'].parent =_meta_table['MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection']['meta_info']
_meta_table['MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection.StandbyLsp']['meta_info'].parent =_meta_table['MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection']['meta_info']
_meta_table['MplsTe.Tunnels.TunnelPathProtections.TunnelPathProtection']['meta_info'].parent =_meta_table['MplsTe.Tunnels.TunnelPathProtections']['meta_info']
_meta_table['MplsTe.Tunnels.TunnelFlexLsps']['meta_info'].parent =_meta_table['MplsTe.Tunnels']['meta_info']
_meta_table['MplsTe.Tunnels.TunnelAutoBandwidths']['meta_info'].parent =_meta_table['MplsTe.Tunnels']['meta_info']
_meta_table['MplsTe.Tunnels.Summary']['meta_info'].parent =_meta_table['MplsTe.Tunnels']['meta_info']
_meta_table['MplsTe.Tunnels.TunnelPathProtections']['meta_info'].parent =_meta_table['MplsTe.Tunnels']['meta_info']
_meta_table['MplsTe.PathProtection.SwitchoverLog.PathProtectionSwitchoverEntry']['meta_info'].parent =_meta_table['MplsTe.PathProtection.SwitchoverLog']['meta_info']
_meta_table['MplsTe.PathProtection.SwitchoverLog']['meta_info'].parent =_meta_table['MplsTe.PathProtection']['meta_info']
_meta_table['MplsTe.FibNextHopLabelRoutes.FibNextHopLabelRoute.TargetAddress']['meta_info'].parent =_meta_table['MplsTe.FibNextHopLabelRoutes.FibNextHopLabelRoute']['meta_info']
_meta_table['MplsTe.FibNextHopLabelRoutes.FibNextHopLabelRoute.NextHopPath']['meta_info'].parent =_meta_table['MplsTe.FibNextHopLabelRoutes.FibNextHopLabelRoute']['meta_info']
_meta_table['MplsTe.FibNextHopLabelRoutes.FibNextHopLabelRoute']['meta_info'].parent =_meta_table['MplsTe.FibNextHopLabelRoutes']['meta_info']
_meta_table['MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_.P2PTunnelRewrite.PrimaryS2L']['meta_info'].parent =_meta_table['MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_.P2PTunnelRewrite']['meta_info']
_meta_table['MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_.P2PTunnelRewrite.BackupTunnelRewrite']['meta_info'].parent =_meta_table['MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_.P2PTunnelRewrite']['meta_info']
_meta_table['MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_.P2PTunnelRewrite']['meta_info'].parent =_meta_table['MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_']['meta_info']
_meta_table['MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_.P2MpTunnelRewrite']['meta_info'].parent =_meta_table['MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_']['meta_info']
_meta_table['MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_']['meta_info'].parent =_meta_table['MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite']['meta_info']
_meta_table['MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_.P2PTunnelRewrite.PrimaryS2L']['meta_info'].parent =_meta_table['MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_.P2PTunnelRewrite']['meta_info']
_meta_table['MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_.P2PTunnelRewrite.BackupTunnelRewrite']['meta_info'].parent =_meta_table['MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_.P2PTunnelRewrite']['meta_info']
_meta_table['MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_.P2PTunnelRewrite']['meta_info'].parent =_meta_table['MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_']['meta_info']
_meta_table['MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_.P2MpTunnelRewrite']['meta_info'].parent =_meta_table['MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_']['meta_info']
_meta_table['MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_']['meta_info'].parent =_meta_table['MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite']['meta_info']
_meta_table['MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_.P2PTunnelRewrite.PrimaryS2L']['meta_info'].parent =_meta_table['MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_.P2PTunnelRewrite']['meta_info']
_meta_table['MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_.P2PTunnelRewrite.BackupTunnelRewrite']['meta_info'].parent =_meta_table['MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_.P2PTunnelRewrite']['meta_info']
_meta_table['MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_.P2PTunnelRewrite']['meta_info'].parent =_meta_table['MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_']['meta_info']
_meta_table['MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_.P2MpTunnelRewrite']['meta_info'].parent =_meta_table['MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_']['meta_info']
_meta_table['MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_']['meta_info'].parent =_meta_table['MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite']['meta_info']
_meta_table['MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite']['meta_info'].parent =_meta_table['MplsTe.P2Mp.TunnelRewrites.TunnelRewrite']['meta_info']
_meta_table['MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite']['meta_info'].parent =_meta_table['MplsTe.P2Mp.TunnelRewrites.TunnelRewrite']['meta_info']
_meta_table['MplsTe.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite']['meta_info'].parent =_meta_table['MplsTe.P2Mp.TunnelRewrites.TunnelRewrite']['meta_info']
_meta_table['MplsTe.P2Mp.TunnelRewrites.TunnelRewrite']['meta_info'].parent =_meta_table['MplsTe.P2Mp.TunnelRewrites']['meta_info']
_meta_table['MplsTe.P2Mp.CollaboratorTimers.P2MpTimer']['meta_info'].parent =_meta_table['MplsTe.P2Mp.CollaboratorTimers']['meta_info']
_meta_table['MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.Subfamily.LspFec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.Subfamily.LspFec']['meta_info']
_meta_table['MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.Subfamily.LspFec']['meta_info'].parent =_meta_table['MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.Subfamily']['meta_info']
_meta_table['MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.SuccessfulRewrite.PrimaryS2L']['meta_info'].parent =_meta_table['MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.SuccessfulRewrite']['meta_info']
_meta_table['MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.SuccessfulRewrite.BackupTunnelRewrite']['meta_info'].parent =_meta_table['MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.SuccessfulRewrite']['meta_info']
_meta_table['MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.FailedRewrite.PrimaryS2L']['meta_info'].parent =_meta_table['MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.FailedRewrite']['meta_info']
_meta_table['MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.FailedRewrite.BackupTunnelRewrite']['meta_info'].parent =_meta_table['MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.FailedRewrite']['meta_info']
_meta_table['MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.PendingRewrite.PrimaryS2L']['meta_info'].parent =_meta_table['MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.PendingRewrite']['meta_info']
_meta_table['MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.PendingRewrite.BackupTunnelRewrite']['meta_info'].parent =_meta_table['MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.PendingRewrite']['meta_info']
_meta_table['MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.Subfamily']['meta_info'].parent =_meta_table['MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite']['meta_info']
_meta_table['MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.SuccessfulRewrite']['meta_info'].parent =_meta_table['MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite']['meta_info']
_meta_table['MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.FailedRewrite']['meta_info'].parent =_meta_table['MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite']['meta_info']
_meta_table['MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.PendingRewrite']['meta_info'].parent =_meta_table['MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite']['meta_info']
_meta_table['MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite']['meta_info'].parent =_meta_table['MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite']['meta_info']
_meta_table['MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2L']['meta_info'].parent =_meta_table['MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite']['meta_info']
_meta_table['MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LsrPath']['meta_info'].parent =_meta_table['MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite']['meta_info']
_meta_table['MplsTe.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite']['meta_info'].parent =_meta_table['MplsTe.P2Mp.ForwardingOutputLabelRewrites']['meta_info']
_meta_table['MplsTe.P2Mp.TunnelRewrites']['meta_info'].parent =_meta_table['MplsTe.P2Mp']['meta_info']
_meta_table['MplsTe.P2Mp.CollaboratorTimers']['meta_info'].parent =_meta_table['MplsTe.P2Mp']['meta_info']
_meta_table['MplsTe.P2Mp.ForwardingOutputLabelRewrites']['meta_info'].parent =_meta_table['MplsTe.P2Mp']['meta_info']
_meta_table['MplsTe.OpenConfig.LspStates.LspState']['meta_info'].parent =_meta_table['MplsTe.OpenConfig.LspStates']['meta_info']
_meta_table['MplsTe.OpenConfig.LspCounters.LspCounter']['meta_info'].parent =_meta_table['MplsTe.OpenConfig.LspCounters']['meta_info']
_meta_table['MplsTe.OpenConfig.LspStates']['meta_info'].parent =_meta_table['MplsTe.OpenConfig']['meta_info']
_meta_table['MplsTe.OpenConfig.LspCounters']['meta_info'].parent =_meta_table['MplsTe.OpenConfig']['meta_info']
_meta_table['MplsTe.LspOutOfResources.Summary.LspOorStateXr.Statistics']['meta_info'].parent =_meta_table['MplsTe.LspOutOfResources.Summary.LspOorStateXr']['meta_info']
_meta_table['MplsTe.LspOutOfResources.Summary.LspOorStateXr']['meta_info'].parent =_meta_table['MplsTe.LspOutOfResources.Summary']['meta_info']
_meta_table['MplsTe.LspOutOfResources.Summary']['meta_info'].parent =_meta_table['MplsTe.LspOutOfResources']['meta_info']
_meta_table['MplsTe.Bfd.HeadInfos.HeadInfo.CurrentLspbfdInfo']['meta_info'].parent =_meta_table['MplsTe.Bfd.HeadInfos.HeadInfo']['meta_info']
_meta_table['MplsTe.Bfd.HeadInfos.HeadInfo.StandbyLspbfdInfo']['meta_info'].parent =_meta_table['MplsTe.Bfd.HeadInfos.HeadInfo']['meta_info']
_meta_table['MplsTe.Bfd.HeadInfos.HeadInfo.ReoptimizedLspbfdInfo']['meta_info'].parent =_meta_table['MplsTe.Bfd.HeadInfos.HeadInfo']['meta_info']
_meta_table['MplsTe.Bfd.HeadInfos.HeadInfo']['meta_info'].parent =_meta_table['MplsTe.Bfd.HeadInfos']['meta_info']
_meta_table['MplsTe.Bfd.Links.Link.Neighbor']['meta_info'].parent =_meta_table['MplsTe.Bfd.Links.Link']['meta_info']
_meta_table['MplsTe.Bfd.Links.Link']['meta_info'].parent =_meta_table['MplsTe.Bfd.Links']['meta_info']
_meta_table['MplsTe.Bfd.TailInfos.TailInfo.LspFec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTe.Bfd.TailInfos.TailInfo.LspFec']['meta_info']
_meta_table['MplsTe.Bfd.TailInfos.TailInfo.LspFec']['meta_info'].parent =_meta_table['MplsTe.Bfd.TailInfos.TailInfo']['meta_info']
_meta_table['MplsTe.Bfd.TailInfos.TailInfo']['meta_info'].parent =_meta_table['MplsTe.Bfd.TailInfos']['meta_info']
_meta_table['MplsTe.Bfd.Counters.BfdOverLspHeadCounters']['meta_info'].parent =_meta_table['MplsTe.Bfd.Counters']['meta_info']
_meta_table['MplsTe.Bfd.Counters.SbfdOverLspHeadCounters']['meta_info'].parent =_meta_table['MplsTe.Bfd.Counters']['meta_info']
_meta_table['MplsTe.Bfd.Counters.BfdOverLspTailCounters']['meta_info'].parent =_meta_table['MplsTe.Bfd.Counters']['meta_info']
_meta_table['MplsTe.Bfd.Counters.BfDoLmCounters']['meta_info'].parent =_meta_table['MplsTe.Bfd.Counters']['meta_info']
_meta_table['MplsTe.Bfd.HeadInfos']['meta_info'].parent =_meta_table['MplsTe.Bfd']['meta_info']
_meta_table['MplsTe.Bfd.Links']['meta_info'].parent =_meta_table['MplsTe.Bfd']['meta_info']
_meta_table['MplsTe.Bfd.TailInfos']['meta_info'].parent =_meta_table['MplsTe.Bfd']['meta_info']
_meta_table['MplsTe.Bfd.Summary']['meta_info'].parent =_meta_table['MplsTe.Bfd']['meta_info']
_meta_table['MplsTe.Bfd.Counters']['meta_info'].parent =_meta_table['MplsTe.Bfd']['meta_info']
_meta_table['MplsTe.Nsr.Status.SyncStatusInformation.SlaveSyncInformation.Idt.CurrentIdtInfo']['meta_info'].parent =_meta_table['MplsTe.Nsr.Status.SyncStatusInformation.SlaveSyncInformation.Idt']['meta_info']
_meta_table['MplsTe.Nsr.Status.SyncStatusInformation.SlaveSyncInformation.Idt.PreviousIdtStatus']['meta_info'].parent =_meta_table['MplsTe.Nsr.Status.SyncStatusInformation.SlaveSyncInformation.Idt']['meta_info']
_meta_table['MplsTe.Nsr.Status.SyncStatusInformation.SlaveSyncInformation.Idt']['meta_info'].parent =_meta_table['MplsTe.Nsr.Status.SyncStatusInformation.SlaveSyncInformation']['meta_info']
_meta_table['MplsTe.Nsr.Status.SyncStatusInformation.SlaveSyncInformation.VifPending']['meta_info'].parent =_meta_table['MplsTe.Nsr.Status.SyncStatusInformation.SlaveSyncInformation']['meta_info']
_meta_table['MplsTe.Nsr.Status.SyncStatusInformation.SlaveSyncInformation.S2LPending']['meta_info'].parent =_meta_table['MplsTe.Nsr.Status.SyncStatusInformation.SlaveSyncInformation']['meta_info']
_meta_table['MplsTe.Nsr.Status.SyncStatusInformation.MasterSyncInformation.Idt.CurrentIdtInfo']['meta_info'].parent =_meta_table['MplsTe.Nsr.Status.SyncStatusInformation.MasterSyncInformation.Idt']['meta_info']
_meta_table['MplsTe.Nsr.Status.SyncStatusInformation.MasterSyncInformation.Idt.PreviousIdtStatus']['meta_info'].parent =_meta_table['MplsTe.Nsr.Status.SyncStatusInformation.MasterSyncInformation.Idt']['meta_info']
_meta_table['MplsTe.Nsr.Status.SyncStatusInformation.MasterSyncInformation.Idt']['meta_info'].parent =_meta_table['MplsTe.Nsr.Status.SyncStatusInformation.MasterSyncInformation']['meta_info']
_meta_table['MplsTe.Nsr.Status.SyncStatusInformation.SlaveSyncInformation']['meta_info'].parent =_meta_table['MplsTe.Nsr.Status.SyncStatusInformation']['meta_info']
_meta_table['MplsTe.Nsr.Status.SyncStatusInformation.MasterSyncInformation']['meta_info'].parent =_meta_table['MplsTe.Nsr.Status.SyncStatusInformation']['meta_info']
_meta_table['MplsTe.Nsr.Status.SyncStatusInformation']['meta_info'].parent =_meta_table['MplsTe.Nsr.Status']['meta_info']
_meta_table['MplsTe.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation.Idt.CurrentIdtInfo']['meta_info'].parent =_meta_table['MplsTe.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation.Idt']['meta_info']
_meta_table['MplsTe.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation.Idt.PreviousIdtStatus']['meta_info'].parent =_meta_table['MplsTe.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation.Idt']['meta_info']
_meta_table['MplsTe.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation.Idt']['meta_info'].parent =_meta_table['MplsTe.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation']['meta_info']
_meta_table['MplsTe.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation.VifPending']['meta_info'].parent =_meta_table['MplsTe.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation']['meta_info']
_meta_table['MplsTe.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation.S2LPending']['meta_info'].parent =_meta_table['MplsTe.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation']['meta_info']
_meta_table['MplsTe.Nsr.Detail.SyncStatusInformation.MasterSyncInformation.Idt.CurrentIdtInfo']['meta_info'].parent =_meta_table['MplsTe.Nsr.Detail.SyncStatusInformation.MasterSyncInformation.Idt']['meta_info']
_meta_table['MplsTe.Nsr.Detail.SyncStatusInformation.MasterSyncInformation.Idt.PreviousIdtStatus']['meta_info'].parent =_meta_table['MplsTe.Nsr.Detail.SyncStatusInformation.MasterSyncInformation.Idt']['meta_info']
_meta_table['MplsTe.Nsr.Detail.SyncStatusInformation.MasterSyncInformation.Idt']['meta_info'].parent =_meta_table['MplsTe.Nsr.Detail.SyncStatusInformation.MasterSyncInformation']['meta_info']
_meta_table['MplsTe.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation']['meta_info'].parent =_meta_table['MplsTe.Nsr.Detail.SyncStatusInformation']['meta_info']
_meta_table['MplsTe.Nsr.Detail.SyncStatusInformation.MasterSyncInformation']['meta_info'].parent =_meta_table['MplsTe.Nsr.Detail.SyncStatusInformation']['meta_info']
_meta_table['MplsTe.Nsr.Detail.SyncStatusInformation']['meta_info'].parent =_meta_table['MplsTe.Nsr.Detail']['meta_info']
_meta_table['MplsTe.Nsr.Status']['meta_info'].parent =_meta_table['MplsTe.Nsr']['meta_info']
_meta_table['MplsTe.Nsr.Detail']['meta_info'].parent =_meta_table['MplsTe.Nsr']['meta_info']
_meta_table['MplsTe.AutoTunnelServices.SrPolicyEntries.SrPolicyEntry.ExplicitPath.TunnelInfo']['meta_info'].parent =_meta_table['MplsTe.AutoTunnelServices.SrPolicyEntries.SrPolicyEntry.ExplicitPath']['meta_info']
_meta_table['MplsTe.AutoTunnelServices.SrPolicyEntries.SrPolicyEntry.ExplicitPath.Hops']['meta_info'].parent =_meta_table['MplsTe.AutoTunnelServices.SrPolicyEntries.SrPolicyEntry.ExplicitPath']['meta_info']
_meta_table['MplsTe.AutoTunnelServices.SrPolicyEntries.SrPolicyEntry.EndPointXr']['meta_info'].parent =_meta_table['MplsTe.AutoTunnelServices.SrPolicyEntries.SrPolicyEntry']['meta_info']
_meta_table['MplsTe.AutoTunnelServices.SrPolicyEntries.SrPolicyEntry.ExplicitPath']['meta_info'].parent =_meta_table['MplsTe.AutoTunnelServices.SrPolicyEntries.SrPolicyEntry']['meta_info']
_meta_table['MplsTe.AutoTunnelServices.SrPolicyEntries.SrPolicyEntry']['meta_info'].parent =_meta_table['MplsTe.AutoTunnelServices.SrPolicyEntries']['meta_info']
_meta_table['MplsTe.AutoTunnelServices.SrPolicyEntries']['meta_info'].parent =_meta_table['MplsTe.AutoTunnelServices']['meta_info']
_meta_table['MplsTe.AffinityMap.AffinityMapArray']['meta_info'].parent =_meta_table['MplsTe.AffinityMap']['meta_info']
_meta_table['MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthPrestandard.TopologyLinkPrestandardBandwidthDetail']['meta_info'].parent =_meta_table['MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthPrestandard']['meta_info']
_meta_table['MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthStandard.TopoLinkStdBwDetail']['meta_info'].parent =_meta_table['MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthStandard']['meta_info']
_meta_table['MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthPrestandard']['meta_info'].parent =_meta_table['MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth']['meta_info']
_meta_table['MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthStandard']['meta_info'].parent =_meta_table['MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth']['meta_info']
_meta_table['MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Fixed']['meta_info'].parent =_meta_table['MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo']['meta_info']
_meta_table['MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Flex']['meta_info'].parent =_meta_table['MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo']['meta_info']
_meta_table['MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo']['meta_info'].parent =_meta_table['MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.OduLinkCapabilities.OduCapability']['meta_info']
_meta_table['MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.OduLinkCapabilities.OduCapability']['meta_info'].parent =_meta_table['MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.OduLinkCapabilities']['meta_info']
_meta_table['MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth']['meta_info'].parent =_meta_table['MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink']['meta_info']
_meta_table['MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.OduLinkCapabilities']['meta_info'].parent =_meta_table['MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink']['meta_info']
_meta_table['MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.SharedRiskLinkGroup']['meta_info'].parent =_meta_table['MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink']['meta_info']
_meta_table['MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink.AdjacencySid']['meta_info'].parent =_meta_table['MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink']['meta_info']
_meta_table['MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeSidAndSrbg']['meta_info'].parent =_meta_table['MplsTe.TopologyBriefs.TopologyBrief']['meta_info']
_meta_table['MplsTe.TopologyBriefs.TopologyBrief.TopologyNodeLink']['meta_info'].parent =_meta_table['MplsTe.TopologyBriefs.TopologyBrief']['meta_info']
_meta_table['MplsTe.TopologyBriefs.TopologyBrief']['meta_info'].parent =_meta_table['MplsTe.TopologyBriefs']['meta_info']
_meta_table['MplsTe.SegmentRouting']['meta_info'].parent =_meta_table['MplsTe']['meta_info']
_meta_table['MplsTe.FibNextHopRoutes']['meta_info'].parent =_meta_table['MplsTe']['meta_info']
_meta_table['MplsTe.NextHopRoutes']['meta_info'].parent =_meta_table['MplsTe']['meta_info']
_meta_table['MplsTe.AutoRouteDestinationEntries']['meta_info'].parent =_meta_table['MplsTe']['meta_info']
_meta_table['MplsTe.TeMib']['meta_info'].parent =_meta_table['MplsTe']['meta_info']
_meta_table['MplsTe.HardwareOutOfResources']['meta_info'].parent =_meta_table['MplsTe']['meta_info']
_meta_table['MplsTe.P2PP2MpTunnel']['meta_info'].parent =_meta_table['MplsTe']['meta_info']
_meta_table['MplsTe.TopologyNodes']['meta_info'].parent =_meta_table['MplsTe']['meta_info']
_meta_table['MplsTe.AnnounceTunnelsInfo']['meta_info'].parent =_meta_table['MplsTe']['meta_info']
_meta_table['MplsTe.CollaboratorTimers']['meta_info'].parent =_meta_table['MplsTe']['meta_info']
_meta_table['MplsTe.AutoTunnel']['meta_info'].parent =_meta_table['MplsTe']['meta_info']
_meta_table['MplsTe.SoftPreemption']['meta_info'].parent =_meta_table['MplsTe']['meta_info']
_meta_table['MplsTe.ForwardingAdjacencyDestinations']['meta_info'].parent =_meta_table['MplsTe']['meta_info']
_meta_table['MplsTe.IgpAreas']['meta_info'].parent =_meta_table['MplsTe']['meta_info']
_meta_table['MplsTe.WrapProtection']['meta_info'].parent =_meta_table['MplsTe']['meta_info']
_meta_table['MplsTe.Topology']['meta_info'].parent =_meta_table['MplsTe']['meta_info']
_meta_table['MplsTe.SignallingCounters']['meta_info'].parent =_meta_table['MplsTe']['meta_info']
_meta_table['MplsTe.DiffServTeClasses']['meta_info'].parent =_meta_table['MplsTe']['meta_info']
_meta_table['MplsTe.Issu']['meta_info'].parent =_meta_table['MplsTe']['meta_info']
_meta_table['MplsTe.FastReroute']['meta_info'].parent =_meta_table['MplsTe']['meta_info']
_meta_table['MplsTe.AttributeSets']['meta_info'].parent =_meta_table['MplsTe']['meta_info']
_meta_table['MplsTe.IgpAreaBriefs']['meta_info'].parent =_meta_table['MplsTe']['meta_info']
_meta_table['MplsTe.Tunnels']['meta_info'].parent =_meta_table['MplsTe']['meta_info']
_meta_table['MplsTe.MaximumTunnels']['meta_info'].parent =_meta_table['MplsTe']['meta_info']
_meta_table['MplsTe.PathProtection']['meta_info'].parent =_meta_table['MplsTe']['meta_info']
_meta_table['MplsTe.FibNextHopLabelRoutes']['meta_info'].parent =_meta_table['MplsTe']['meta_info']
_meta_table['MplsTe.P2Mp']['meta_info'].parent =_meta_table['MplsTe']['meta_info']
_meta_table['MplsTe.OpenConfig']['meta_info'].parent =_meta_table['MplsTe']['meta_info']
_meta_table['MplsTe.LspOutOfResources']['meta_info'].parent =_meta_table['MplsTe']['meta_info']
_meta_table['MplsTe.Bfd']['meta_info'].parent =_meta_table['MplsTe']['meta_info']
_meta_table['MplsTe.Nsr']['meta_info'].parent =_meta_table['MplsTe']['meta_info']
_meta_table['MplsTe.AutoTunnelServices']['meta_info'].parent =_meta_table['MplsTe']['meta_info']
_meta_table['MplsTe.AffinityMap']['meta_info'].parent =_meta_table['MplsTe']['meta_info']
_meta_table['MplsTe.TopologyBriefs']['meta_info'].parent =_meta_table['MplsTe']['meta_info']
_meta_table['MplsLcacStandby.Neighbors.Neighbor.Neighbor_']['meta_info'].parent =_meta_table['MplsLcacStandby.Neighbors.Neighbor']['meta_info']
_meta_table['MplsLcacStandby.Neighbors.Neighbor']['meta_info'].parent =_meta_table['MplsLcacStandby.Neighbors']['meta_info']
_meta_table['MplsLcacStandby.PreemptionEvents.PreemptionEvent.Lsp']['meta_info'].parent =_meta_table['MplsLcacStandby.PreemptionEvents.PreemptionEvent']['meta_info']
_meta_table['MplsLcacStandby.PreemptionEvents.PreemptionEvent']['meta_info'].parent =_meta_table['MplsLcacStandby.PreemptionEvents']['meta_info']
_meta_table['MplsLcacStandby.Advertisements.AdvertizedAreas.FloodedLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Fixed']['meta_info'].parent =_meta_table['MplsLcacStandby.Advertisements.AdvertizedAreas.FloodedLink.OduLinkCapabilities.OduCapability.BandwidthInfo']['meta_info']
_meta_table['MplsLcacStandby.Advertisements.AdvertizedAreas.FloodedLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Flex']['meta_info'].parent =_meta_table['MplsLcacStandby.Advertisements.AdvertizedAreas.FloodedLink.OduLinkCapabilities.OduCapability.BandwidthInfo']['meta_info']
_meta_table['MplsLcacStandby.Advertisements.AdvertizedAreas.FloodedLink.OduLinkCapabilities.OduCapability.BandwidthInfo']['meta_info'].parent =_meta_table['MplsLcacStandby.Advertisements.AdvertizedAreas.FloodedLink.OduLinkCapabilities.OduCapability']['meta_info']
_meta_table['MplsLcacStandby.Advertisements.AdvertizedAreas.FloodedLink.OduLinkCapabilities.OduCapability']['meta_info'].parent =_meta_table['MplsLcacStandby.Advertisements.AdvertizedAreas.FloodedLink.OduLinkCapabilities']['meta_info']
_meta_table['MplsLcacStandby.Advertisements.AdvertizedAreas.FloodedLink.OduLinkCapabilities']['meta_info'].parent =_meta_table['MplsLcacStandby.Advertisements.AdvertizedAreas.FloodedLink']['meta_info']
_meta_table['MplsLcacStandby.Advertisements.AdvertizedAreas.FloodedLink.SharedRiskLinkGroup']['meta_info'].parent =_meta_table['MplsLcacStandby.Advertisements.AdvertizedAreas.FloodedLink']['meta_info']
_meta_table['MplsLcacStandby.Advertisements.AdvertizedAreas.FloodedLink.ReceivingReservableBandwidth']['meta_info'].parent =_meta_table['MplsLcacStandby.Advertisements.AdvertizedAreas.FloodedLink']['meta_info']
_meta_table['MplsLcacStandby.Advertisements.AdvertizedAreas.FloodedLink.TransmittingReservableBandwidth']['meta_info'].parent =_meta_table['MplsLcacStandby.Advertisements.AdvertizedAreas.FloodedLink']['meta_info']
_meta_table['MplsLcacStandby.Advertisements.AdvertizedAreas.FloodedLink']['meta_info'].parent =_meta_table['MplsLcacStandby.Advertisements.AdvertizedAreas']['meta_info']
_meta_table['MplsLcacStandby.Advertisements.AdvertizedAreas']['meta_info'].parent =_meta_table['MplsLcacStandby.Advertisements']['meta_info']
_meta_table['MplsLcacStandby.Statistics.Summary.PathStatistics']['meta_info'].parent =_meta_table['MplsLcacStandby.Statistics.Summary']['meta_info']
_meta_table['MplsLcacStandby.Statistics.Summary.ReservationStatistics']['meta_info'].parent =_meta_table['MplsLcacStandby.Statistics.Summary']['meta_info']
_meta_table['MplsLcacStandby.Statistics.Summary.PathStatistics32Bit']['meta_info'].parent =_meta_table['MplsLcacStandby.Statistics.Summary']['meta_info']
_meta_table['MplsLcacStandby.Statistics.Summary.ReservationStatistics32Bit']['meta_info'].parent =_meta_table['MplsLcacStandby.Statistics.Summary']['meta_info']
_meta_table['MplsLcacStandby.Statistics.StatsticsLinks.StatsticsLink.IncomingPathStatistics']['meta_info'].parent =_meta_table['MplsLcacStandby.Statistics.StatsticsLinks.StatsticsLink']['meta_info']
_meta_table['MplsLcacStandby.Statistics.StatsticsLinks.StatsticsLink.IncomingReservationStatistics']['meta_info'].parent =_meta_table['MplsLcacStandby.Statistics.StatsticsLinks.StatsticsLink']['meta_info']
_meta_table['MplsLcacStandby.Statistics.StatsticsLinks.StatsticsLink.OutgoingPathStatistics']['meta_info'].parent =_meta_table['MplsLcacStandby.Statistics.StatsticsLinks.StatsticsLink']['meta_info']
_meta_table['MplsLcacStandby.Statistics.StatsticsLinks.StatsticsLink.OutgoingReservationStatistics']['meta_info'].parent =_meta_table['MplsLcacStandby.Statistics.StatsticsLinks.StatsticsLink']['meta_info']
_meta_table['MplsLcacStandby.Statistics.StatsticsLinks.StatsticsLink.IncomingPathStatistics32Bit']['meta_info'].parent =_meta_table['MplsLcacStandby.Statistics.StatsticsLinks.StatsticsLink']['meta_info']
_meta_table['MplsLcacStandby.Statistics.StatsticsLinks.StatsticsLink.IncomingReservationStatistics32Bit']['meta_info'].parent =_meta_table['MplsLcacStandby.Statistics.StatsticsLinks.StatsticsLink']['meta_info']
_meta_table['MplsLcacStandby.Statistics.StatsticsLinks.StatsticsLink.OutgoingPathStatistics32Bit']['meta_info'].parent =_meta_table['MplsLcacStandby.Statistics.StatsticsLinks.StatsticsLink']['meta_info']
_meta_table['MplsLcacStandby.Statistics.StatsticsLinks.StatsticsLink.OutgoingReservationStatistics32Bit']['meta_info'].parent =_meta_table['MplsLcacStandby.Statistics.StatsticsLinks.StatsticsLink']['meta_info']
_meta_table['MplsLcacStandby.Statistics.StatsticsLinks.StatsticsLink']['meta_info'].parent =_meta_table['MplsLcacStandby.Statistics.StatsticsLinks']['meta_info']
_meta_table['MplsLcacStandby.Statistics.Summary']['meta_info'].parent =_meta_table['MplsLcacStandby.Statistics']['meta_info']
_meta_table['MplsLcacStandby.Statistics.StatsticsLinks']['meta_info'].parent =_meta_table['MplsLcacStandby.Statistics']['meta_info']
_meta_table['MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.LinkCommon.LinkFlags']['meta_info'].parent =_meta_table['MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.LinkCommon']['meta_info']
_meta_table['MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.LinkCommon.SharedRiskLinkGroup']['meta_info'].parent =_meta_table['MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.LinkCommon']['meta_info']
_meta_table['MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.LinkCommon.InterfaceSwitchingCapabilityDescriptor']['meta_info'].parent =_meta_table['MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.LinkCommon']['meta_info']
_meta_table['MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.LinkCommon.FloodedAreas']['meta_info'].parent =_meta_table['MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.LinkCommon']['meta_info']
_meta_table['MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.UpstreamBandwidth.BandwidthPool0']['meta_info'].parent =_meta_table['MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.UpstreamBandwidth']['meta_info']
_meta_table['MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.UpstreamBandwidth.BandwidthPool1']['meta_info'].parent =_meta_table['MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.UpstreamBandwidth']['meta_info']
_meta_table['MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.DownstreamBandwidth.BandwidthPool0']['meta_info'].parent =_meta_table['MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.DownstreamBandwidth']['meta_info']
_meta_table['MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.DownstreamBandwidth.BandwidthPool1']['meta_info'].parent =_meta_table['MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.DownstreamBandwidth']['meta_info']
_meta_table['MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.LinkCommon']['meta_info'].parent =_meta_table['MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink']['meta_info']
_meta_table['MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.UpstreamBandwidth']['meta_info'].parent =_meta_table['MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink']['meta_info']
_meta_table['MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.DownstreamBandwidth']['meta_info'].parent =_meta_table['MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink']['meta_info']
_meta_table['MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink']['meta_info'].parent =_meta_table['MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks']['meta_info']
_meta_table['MplsLcacStandby.BandwidthAllocation.Global_']['meta_info'].parent =_meta_table['MplsLcacStandby.BandwidthAllocation']['meta_info']
_meta_table['MplsLcacStandby.BandwidthAllocation.BandwidthAllocationLinks']['meta_info'].parent =_meta_table['MplsLcacStandby.BandwidthAllocation']['meta_info']
_meta_table['MplsLcacStandby.Gmpls.Nni']['meta_info'].parent =_meta_table['MplsLcacStandby.Gmpls']['meta_info']
_meta_table['MplsLcacStandby.Gmpls.Uni']['meta_info'].parent =_meta_table['MplsLcacStandby.Gmpls']['meta_info']
_meta_table['MplsLcacStandby.BfdNeighbors.BfdNeighbor.Neighbor']['meta_info'].parent =_meta_table['MplsLcacStandby.BfdNeighbors.BfdNeighbor']['meta_info']
_meta_table['MplsLcacStandby.BfdNeighbors.BfdNeighbor']['meta_info'].parent =_meta_table['MplsLcacStandby.BfdNeighbors']['meta_info']
_meta_table['MplsLcacStandby.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink.CommonInfo.BandwidthUtilization']['meta_info'].parent =_meta_table['MplsLcacStandby.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink.CommonInfo']['meta_info']
_meta_table['MplsLcacStandby.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink.SampleHistory.ActiveIntervalSample']['meta_info'].parent =_meta_table['MplsLcacStandby.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink.SampleHistory']['meta_info']
_meta_table['MplsLcacStandby.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink.SampleHistory.PreviousIntervalSample']['meta_info'].parent =_meta_table['MplsLcacStandby.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink.SampleHistory']['meta_info']
_meta_table['MplsLcacStandby.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink.CommonInfo']['meta_info'].parent =_meta_table['MplsLcacStandby.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink']['meta_info']
_meta_table['MplsLcacStandby.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink.SampleHistory']['meta_info'].parent =_meta_table['MplsLcacStandby.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink']['meta_info']
_meta_table['MplsLcacStandby.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink']['meta_info'].parent =_meta_table['MplsLcacStandby.BandwidthAccount.BandwidthAccountLinks']['meta_info']
_meta_table['MplsLcacStandby.BandwidthAccount.BandwidthAccountLinks']['meta_info'].parent =_meta_table['MplsLcacStandby.BandwidthAccount']['meta_info']
_meta_table['MplsLcacStandby.LinkSummary.BandwidthAccountSummary']['meta_info'].parent =_meta_table['MplsLcacStandby.LinkSummary']['meta_info']
_meta_table['MplsLcacStandby.LinkSummary.AreasSummary']['meta_info'].parent =_meta_table['MplsLcacStandby.LinkSummary']['meta_info']
_meta_table['MplsLcacStandby.LinkInformation.Links.Link.LinkCommon.LinkFlags']['meta_info'].parent =_meta_table['MplsLcacStandby.LinkInformation.Links.Link.LinkCommon']['meta_info']
_meta_table['MplsLcacStandby.LinkInformation.Links.Link.LinkCommon.SharedRiskLinkGroup']['meta_info'].parent =_meta_table['MplsLcacStandby.LinkInformation.Links.Link.LinkCommon']['meta_info']
_meta_table['MplsLcacStandby.LinkInformation.Links.Link.LinkCommon.InterfaceSwitchingCapabilityDescriptor']['meta_info'].parent =_meta_table['MplsLcacStandby.LinkInformation.Links.Link.LinkCommon']['meta_info']
_meta_table['MplsLcacStandby.LinkInformation.Links.Link.LinkCommon.FloodedAreas']['meta_info'].parent =_meta_table['MplsLcacStandby.LinkInformation.Links.Link.LinkCommon']['meta_info']
_meta_table['MplsLcacStandby.LinkInformation.Links.Link.BandwidthAccount.BandwidthAccountCommonInfo.BandwidthUtilization']['meta_info'].parent =_meta_table['MplsLcacStandby.LinkInformation.Links.Link.BandwidthAccount.BandwidthAccountCommonInfo']['meta_info']
_meta_table['MplsLcacStandby.LinkInformation.Links.Link.BandwidthAccount.BandwidthSampleHistory.ActiveIntervalSample']['meta_info'].parent =_meta_table['MplsLcacStandby.LinkInformation.Links.Link.BandwidthAccount.BandwidthSampleHistory']['meta_info']
_meta_table['MplsLcacStandby.LinkInformation.Links.Link.BandwidthAccount.BandwidthSampleHistory.PreviousIntervalSample']['meta_info'].parent =_meta_table['MplsLcacStandby.LinkInformation.Links.Link.BandwidthAccount.BandwidthSampleHistory']['meta_info']
_meta_table['MplsLcacStandby.LinkInformation.Links.Link.BandwidthAccount.BandwidthAccountCommonInfo']['meta_info'].parent =_meta_table['MplsLcacStandby.LinkInformation.Links.Link.BandwidthAccount']['meta_info']
_meta_table['MplsLcacStandby.LinkInformation.Links.Link.BandwidthAccount.BandwidthSampleHistory']['meta_info'].parent =_meta_table['MplsLcacStandby.LinkInformation.Links.Link.BandwidthAccount']['meta_info']
_meta_table['MplsLcacStandby.LinkInformation.Links.Link.HwOor.HwOOrLinkStatistic']['meta_info'].parent =_meta_table['MplsLcacStandby.LinkInformation.Links.Link.HwOor']['meta_info']
_meta_table['MplsLcacStandby.LinkInformation.Links.Link.LinkCommon']['meta_info'].parent =_meta_table['MplsLcacStandby.LinkInformation.Links.Link']['meta_info']
_meta_table['MplsLcacStandby.LinkInformation.Links.Link.BandwidthAccount']['meta_info'].parent =_meta_table['MplsLcacStandby.LinkInformation.Links.Link']['meta_info']
_meta_table['MplsLcacStandby.LinkInformation.Links.Link.HwOor']['meta_info'].parent =_meta_table['MplsLcacStandby.LinkInformation.Links.Link']['meta_info']
_meta_table['MplsLcacStandby.LinkInformation.Links.Link.AffinityMap']['meta_info'].parent =_meta_table['MplsLcacStandby.LinkInformation.Links.Link']['meta_info']
_meta_table['MplsLcacStandby.LinkInformation.Links.Link.Areas']['meta_info'].parent =_meta_table['MplsLcacStandby.LinkInformation.Links.Link']['meta_info']
_meta_table['MplsLcacStandby.LinkInformation.Links.Link.Lockout']['meta_info'].parent =_meta_table['MplsLcacStandby.LinkInformation.Links.Link']['meta_info']
_meta_table['MplsLcacStandby.LinkInformation.Links.Link']['meta_info'].parent =_meta_table['MplsLcacStandby.LinkInformation.Links']['meta_info']
_meta_table['MplsLcacStandby.LinkInformation.Global_']['meta_info'].parent =_meta_table['MplsLcacStandby.LinkInformation']['meta_info']
_meta_table['MplsLcacStandby.LinkInformation.Links']['meta_info'].parent =_meta_table['MplsLcacStandby.LinkInformation']['meta_info']
_meta_table['MplsLcacStandby.AdmissionControl.AdmittedTunnels.AdmittedTunnel']['meta_info'].parent =_meta_table['MplsLcacStandby.AdmissionControl.AdmittedTunnels']['meta_info']
_meta_table['MplsLcacStandby.AdmissionControl.LinkInterfaces.LinkInterface']['meta_info'].parent =_meta_table['MplsLcacStandby.AdmissionControl.LinkInterfaces']['meta_info']
_meta_table['MplsLcacStandby.AdmissionControl.Global_']['meta_info'].parent =_meta_table['MplsLcacStandby.AdmissionControl']['meta_info']
_meta_table['MplsLcacStandby.AdmissionControl.AdmittedTunnels']['meta_info'].parent =_meta_table['MplsLcacStandby.AdmissionControl']['meta_info']
_meta_table['MplsLcacStandby.AdmissionControl.LinkInterfaces']['meta_info'].parent =_meta_table['MplsLcacStandby.AdmissionControl']['meta_info']
_meta_table['MplsLcacStandby.SoftPreemptions.SoftPreemption.CurrentSoftPreemptionLsp']['meta_info'].parent =_meta_table['MplsLcacStandby.SoftPreemptions.SoftPreemption']['meta_info']
_meta_table['MplsLcacStandby.SoftPreemptions.SoftPreemption']['meta_info'].parent =_meta_table['MplsLcacStandby.SoftPreemptions']['meta_info']
_meta_table['MplsLcacStandby.Neighbors']['meta_info'].parent =_meta_table['MplsLcacStandby']['meta_info']
_meta_table['MplsLcacStandby.PreemptionEvents']['meta_info'].parent =_meta_table['MplsLcacStandby']['meta_info']
_meta_table['MplsLcacStandby.Advertisements']['meta_info'].parent =_meta_table['MplsLcacStandby']['meta_info']
_meta_table['MplsLcacStandby.Statistics']['meta_info'].parent =_meta_table['MplsLcacStandby']['meta_info']
_meta_table['MplsLcacStandby.BandwidthAllocation']['meta_info'].parent =_meta_table['MplsLcacStandby']['meta_info']
_meta_table['MplsLcacStandby.Gmpls']['meta_info'].parent =_meta_table['MplsLcacStandby']['meta_info']
_meta_table['MplsLcacStandby.BfdNeighbors']['meta_info'].parent =_meta_table['MplsLcacStandby']['meta_info']
_meta_table['MplsLcacStandby.BandwidthAccount']['meta_info'].parent =_meta_table['MplsLcacStandby']['meta_info']
_meta_table['MplsLcacStandby.LinkSummary']['meta_info'].parent =_meta_table['MplsLcacStandby']['meta_info']
_meta_table['MplsLcacStandby.LinkInformation']['meta_info'].parent =_meta_table['MplsLcacStandby']['meta_info']
_meta_table['MplsLcacStandby.AdmissionControl']['meta_info'].parent =_meta_table['MplsLcacStandby']['meta_info']
_meta_table['MplsLcacStandby.SoftPreemptionGlobalInfo']['meta_info'].parent =_meta_table['MplsLcacStandby']['meta_info']
_meta_table['MplsLcacStandby.SoftPreemptions']['meta_info'].parent =_meta_table['MplsLcacStandby']['meta_info']
_meta_table['MplsLcac.Neighbors.Neighbor.Neighbor_']['meta_info'].parent =_meta_table['MplsLcac.Neighbors.Neighbor']['meta_info']
_meta_table['MplsLcac.Neighbors.Neighbor']['meta_info'].parent =_meta_table['MplsLcac.Neighbors']['meta_info']
_meta_table['MplsLcac.PreemptionEvents.PreemptionEvent.Lsp']['meta_info'].parent =_meta_table['MplsLcac.PreemptionEvents.PreemptionEvent']['meta_info']
_meta_table['MplsLcac.PreemptionEvents.PreemptionEvent']['meta_info'].parent =_meta_table['MplsLcac.PreemptionEvents']['meta_info']
_meta_table['MplsLcac.Advertisements.AdvertizedAreas.FloodedLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Fixed']['meta_info'].parent =_meta_table['MplsLcac.Advertisements.AdvertizedAreas.FloodedLink.OduLinkCapabilities.OduCapability.BandwidthInfo']['meta_info']
_meta_table['MplsLcac.Advertisements.AdvertizedAreas.FloodedLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Flex']['meta_info'].parent =_meta_table['MplsLcac.Advertisements.AdvertizedAreas.FloodedLink.OduLinkCapabilities.OduCapability.BandwidthInfo']['meta_info']
_meta_table['MplsLcac.Advertisements.AdvertizedAreas.FloodedLink.OduLinkCapabilities.OduCapability.BandwidthInfo']['meta_info'].parent =_meta_table['MplsLcac.Advertisements.AdvertizedAreas.FloodedLink.OduLinkCapabilities.OduCapability']['meta_info']
_meta_table['MplsLcac.Advertisements.AdvertizedAreas.FloodedLink.OduLinkCapabilities.OduCapability']['meta_info'].parent =_meta_table['MplsLcac.Advertisements.AdvertizedAreas.FloodedLink.OduLinkCapabilities']['meta_info']
_meta_table['MplsLcac.Advertisements.AdvertizedAreas.FloodedLink.OduLinkCapabilities']['meta_info'].parent =_meta_table['MplsLcac.Advertisements.AdvertizedAreas.FloodedLink']['meta_info']
_meta_table['MplsLcac.Advertisements.AdvertizedAreas.FloodedLink.SharedRiskLinkGroup']['meta_info'].parent =_meta_table['MplsLcac.Advertisements.AdvertizedAreas.FloodedLink']['meta_info']
_meta_table['MplsLcac.Advertisements.AdvertizedAreas.FloodedLink.ReceivingReservableBandwidth']['meta_info'].parent =_meta_table['MplsLcac.Advertisements.AdvertizedAreas.FloodedLink']['meta_info']
_meta_table['MplsLcac.Advertisements.AdvertizedAreas.FloodedLink.TransmittingReservableBandwidth']['meta_info'].parent =_meta_table['MplsLcac.Advertisements.AdvertizedAreas.FloodedLink']['meta_info']
_meta_table['MplsLcac.Advertisements.AdvertizedAreas.FloodedLink']['meta_info'].parent =_meta_table['MplsLcac.Advertisements.AdvertizedAreas']['meta_info']
_meta_table['MplsLcac.Advertisements.AdvertizedAreas']['meta_info'].parent =_meta_table['MplsLcac.Advertisements']['meta_info']
_meta_table['MplsLcac.Statistics.Summary.PathStatistics']['meta_info'].parent =_meta_table['MplsLcac.Statistics.Summary']['meta_info']
_meta_table['MplsLcac.Statistics.Summary.ReservationStatistics']['meta_info'].parent =_meta_table['MplsLcac.Statistics.Summary']['meta_info']
_meta_table['MplsLcac.Statistics.Summary.PathStatistics32Bit']['meta_info'].parent =_meta_table['MplsLcac.Statistics.Summary']['meta_info']
_meta_table['MplsLcac.Statistics.Summary.ReservationStatistics32Bit']['meta_info'].parent =_meta_table['MplsLcac.Statistics.Summary']['meta_info']
_meta_table['MplsLcac.Statistics.StatsticsLinks.StatsticsLink.IncomingPathStatistics']['meta_info'].parent =_meta_table['MplsLcac.Statistics.StatsticsLinks.StatsticsLink']['meta_info']
_meta_table['MplsLcac.Statistics.StatsticsLinks.StatsticsLink.IncomingReservationStatistics']['meta_info'].parent =_meta_table['MplsLcac.Statistics.StatsticsLinks.StatsticsLink']['meta_info']
_meta_table['MplsLcac.Statistics.StatsticsLinks.StatsticsLink.OutgoingPathStatistics']['meta_info'].parent =_meta_table['MplsLcac.Statistics.StatsticsLinks.StatsticsLink']['meta_info']
_meta_table['MplsLcac.Statistics.StatsticsLinks.StatsticsLink.OutgoingReservationStatistics']['meta_info'].parent =_meta_table['MplsLcac.Statistics.StatsticsLinks.StatsticsLink']['meta_info']
_meta_table['MplsLcac.Statistics.StatsticsLinks.StatsticsLink.IncomingPathStatistics32Bit']['meta_info'].parent =_meta_table['MplsLcac.Statistics.StatsticsLinks.StatsticsLink']['meta_info']
_meta_table['MplsLcac.Statistics.StatsticsLinks.StatsticsLink.IncomingReservationStatistics32Bit']['meta_info'].parent =_meta_table['MplsLcac.Statistics.StatsticsLinks.StatsticsLink']['meta_info']
_meta_table['MplsLcac.Statistics.StatsticsLinks.StatsticsLink.OutgoingPathStatistics32Bit']['meta_info'].parent =_meta_table['MplsLcac.Statistics.StatsticsLinks.StatsticsLink']['meta_info']
_meta_table['MplsLcac.Statistics.StatsticsLinks.StatsticsLink.OutgoingReservationStatistics32Bit']['meta_info'].parent =_meta_table['MplsLcac.Statistics.StatsticsLinks.StatsticsLink']['meta_info']
_meta_table['MplsLcac.Statistics.StatsticsLinks.StatsticsLink']['meta_info'].parent =_meta_table['MplsLcac.Statistics.StatsticsLinks']['meta_info']
_meta_table['MplsLcac.Statistics.Summary']['meta_info'].parent =_meta_table['MplsLcac.Statistics']['meta_info']
_meta_table['MplsLcac.Statistics.StatsticsLinks']['meta_info'].parent =_meta_table['MplsLcac.Statistics']['meta_info']
_meta_table['MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.LinkCommon.LinkFlags']['meta_info'].parent =_meta_table['MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.LinkCommon']['meta_info']
_meta_table['MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.LinkCommon.SharedRiskLinkGroup']['meta_info'].parent =_meta_table['MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.LinkCommon']['meta_info']
_meta_table['MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.LinkCommon.InterfaceSwitchingCapabilityDescriptor']['meta_info'].parent =_meta_table['MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.LinkCommon']['meta_info']
_meta_table['MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.LinkCommon.FloodedAreas']['meta_info'].parent =_meta_table['MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.LinkCommon']['meta_info']
_meta_table['MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.UpstreamBandwidth.BandwidthPool0']['meta_info'].parent =_meta_table['MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.UpstreamBandwidth']['meta_info']
_meta_table['MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.UpstreamBandwidth.BandwidthPool1']['meta_info'].parent =_meta_table['MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.UpstreamBandwidth']['meta_info']
_meta_table['MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.DownstreamBandwidth.BandwidthPool0']['meta_info'].parent =_meta_table['MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.DownstreamBandwidth']['meta_info']
_meta_table['MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.DownstreamBandwidth.BandwidthPool1']['meta_info'].parent =_meta_table['MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.DownstreamBandwidth']['meta_info']
_meta_table['MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.LinkCommon']['meta_info'].parent =_meta_table['MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink']['meta_info']
_meta_table['MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.UpstreamBandwidth']['meta_info'].parent =_meta_table['MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink']['meta_info']
_meta_table['MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink.DownstreamBandwidth']['meta_info'].parent =_meta_table['MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink']['meta_info']
_meta_table['MplsLcac.BandwidthAllocation.BandwidthAllocationLinks.BandwidthAllocationLink']['meta_info'].parent =_meta_table['MplsLcac.BandwidthAllocation.BandwidthAllocationLinks']['meta_info']
_meta_table['MplsLcac.BandwidthAllocation.Global_']['meta_info'].parent =_meta_table['MplsLcac.BandwidthAllocation']['meta_info']
_meta_table['MplsLcac.BandwidthAllocation.BandwidthAllocationLinks']['meta_info'].parent =_meta_table['MplsLcac.BandwidthAllocation']['meta_info']
_meta_table['MplsLcac.Gmpls.Nni']['meta_info'].parent =_meta_table['MplsLcac.Gmpls']['meta_info']
_meta_table['MplsLcac.Gmpls.Uni']['meta_info'].parent =_meta_table['MplsLcac.Gmpls']['meta_info']
_meta_table['MplsLcac.BfdNeighbors.BfdNeighbor.Neighbor']['meta_info'].parent =_meta_table['MplsLcac.BfdNeighbors.BfdNeighbor']['meta_info']
_meta_table['MplsLcac.BfdNeighbors.BfdNeighbor']['meta_info'].parent =_meta_table['MplsLcac.BfdNeighbors']['meta_info']
_meta_table['MplsLcac.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink.CommonInfo.BandwidthUtilization']['meta_info'].parent =_meta_table['MplsLcac.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink.CommonInfo']['meta_info']
_meta_table['MplsLcac.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink.SampleHistory.ActiveIntervalSample']['meta_info'].parent =_meta_table['MplsLcac.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink.SampleHistory']['meta_info']
_meta_table['MplsLcac.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink.SampleHistory.PreviousIntervalSample']['meta_info'].parent =_meta_table['MplsLcac.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink.SampleHistory']['meta_info']
_meta_table['MplsLcac.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink.CommonInfo']['meta_info'].parent =_meta_table['MplsLcac.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink']['meta_info']
_meta_table['MplsLcac.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink.SampleHistory']['meta_info'].parent =_meta_table['MplsLcac.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink']['meta_info']
_meta_table['MplsLcac.BandwidthAccount.BandwidthAccountLinks.BandwidthAccountLink']['meta_info'].parent =_meta_table['MplsLcac.BandwidthAccount.BandwidthAccountLinks']['meta_info']
_meta_table['MplsLcac.BandwidthAccount.BandwidthAccountLinks']['meta_info'].parent =_meta_table['MplsLcac.BandwidthAccount']['meta_info']
_meta_table['MplsLcac.LinkSummary.BandwidthAccountSummary']['meta_info'].parent =_meta_table['MplsLcac.LinkSummary']['meta_info']
_meta_table['MplsLcac.LinkSummary.AreasSummary']['meta_info'].parent =_meta_table['MplsLcac.LinkSummary']['meta_info']
_meta_table['MplsLcac.LinkInformation.Links.Link.LinkCommon.LinkFlags']['meta_info'].parent =_meta_table['MplsLcac.LinkInformation.Links.Link.LinkCommon']['meta_info']
_meta_table['MplsLcac.LinkInformation.Links.Link.LinkCommon.SharedRiskLinkGroup']['meta_info'].parent =_meta_table['MplsLcac.LinkInformation.Links.Link.LinkCommon']['meta_info']
_meta_table['MplsLcac.LinkInformation.Links.Link.LinkCommon.InterfaceSwitchingCapabilityDescriptor']['meta_info'].parent =_meta_table['MplsLcac.LinkInformation.Links.Link.LinkCommon']['meta_info']
_meta_table['MplsLcac.LinkInformation.Links.Link.LinkCommon.FloodedAreas']['meta_info'].parent =_meta_table['MplsLcac.LinkInformation.Links.Link.LinkCommon']['meta_info']
_meta_table['MplsLcac.LinkInformation.Links.Link.BandwidthAccount.BandwidthAccountCommonInfo.BandwidthUtilization']['meta_info'].parent =_meta_table['MplsLcac.LinkInformation.Links.Link.BandwidthAccount.BandwidthAccountCommonInfo']['meta_info']
_meta_table['MplsLcac.LinkInformation.Links.Link.BandwidthAccount.BandwidthSampleHistory.ActiveIntervalSample']['meta_info'].parent =_meta_table['MplsLcac.LinkInformation.Links.Link.BandwidthAccount.BandwidthSampleHistory']['meta_info']
_meta_table['MplsLcac.LinkInformation.Links.Link.BandwidthAccount.BandwidthSampleHistory.PreviousIntervalSample']['meta_info'].parent =_meta_table['MplsLcac.LinkInformation.Links.Link.BandwidthAccount.BandwidthSampleHistory']['meta_info']
_meta_table['MplsLcac.LinkInformation.Links.Link.BandwidthAccount.BandwidthAccountCommonInfo']['meta_info'].parent =_meta_table['MplsLcac.LinkInformation.Links.Link.BandwidthAccount']['meta_info']
_meta_table['MplsLcac.LinkInformation.Links.Link.BandwidthAccount.BandwidthSampleHistory']['meta_info'].parent =_meta_table['MplsLcac.LinkInformation.Links.Link.BandwidthAccount']['meta_info']
_meta_table['MplsLcac.LinkInformation.Links.Link.HwOor.HwOOrLinkStatistic']['meta_info'].parent =_meta_table['MplsLcac.LinkInformation.Links.Link.HwOor']['meta_info']
_meta_table['MplsLcac.LinkInformation.Links.Link.LinkCommon']['meta_info'].parent =_meta_table['MplsLcac.LinkInformation.Links.Link']['meta_info']
_meta_table['MplsLcac.LinkInformation.Links.Link.BandwidthAccount']['meta_info'].parent =_meta_table['MplsLcac.LinkInformation.Links.Link']['meta_info']
_meta_table['MplsLcac.LinkInformation.Links.Link.HwOor']['meta_info'].parent =_meta_table['MplsLcac.LinkInformation.Links.Link']['meta_info']
_meta_table['MplsLcac.LinkInformation.Links.Link.AffinityMap']['meta_info'].parent =_meta_table['MplsLcac.LinkInformation.Links.Link']['meta_info']
_meta_table['MplsLcac.LinkInformation.Links.Link.Areas']['meta_info'].parent =_meta_table['MplsLcac.LinkInformation.Links.Link']['meta_info']
_meta_table['MplsLcac.LinkInformation.Links.Link.Lockout']['meta_info'].parent =_meta_table['MplsLcac.LinkInformation.Links.Link']['meta_info']
_meta_table['MplsLcac.LinkInformation.Links.Link']['meta_info'].parent =_meta_table['MplsLcac.LinkInformation.Links']['meta_info']
_meta_table['MplsLcac.LinkInformation.Global_']['meta_info'].parent =_meta_table['MplsLcac.LinkInformation']['meta_info']
_meta_table['MplsLcac.LinkInformation.Links']['meta_info'].parent =_meta_table['MplsLcac.LinkInformation']['meta_info']
_meta_table['MplsLcac.AdmissionControl.AdmittedTunnels.AdmittedTunnel']['meta_info'].parent =_meta_table['MplsLcac.AdmissionControl.AdmittedTunnels']['meta_info']
_meta_table['MplsLcac.AdmissionControl.LinkInterfaces.LinkInterface']['meta_info'].parent =_meta_table['MplsLcac.AdmissionControl.LinkInterfaces']['meta_info']
_meta_table['MplsLcac.AdmissionControl.Global_']['meta_info'].parent =_meta_table['MplsLcac.AdmissionControl']['meta_info']
_meta_table['MplsLcac.AdmissionControl.AdmittedTunnels']['meta_info'].parent =_meta_table['MplsLcac.AdmissionControl']['meta_info']
_meta_table['MplsLcac.AdmissionControl.LinkInterfaces']['meta_info'].parent =_meta_table['MplsLcac.AdmissionControl']['meta_info']
_meta_table['MplsLcac.SoftPreemptions.SoftPreemption.CurrentSoftPreemptionLsp']['meta_info'].parent =_meta_table['MplsLcac.SoftPreemptions.SoftPreemption']['meta_info']
_meta_table['MplsLcac.SoftPreemptions.SoftPreemption']['meta_info'].parent =_meta_table['MplsLcac.SoftPreemptions']['meta_info']
_meta_table['MplsLcac.Neighbors']['meta_info'].parent =_meta_table['MplsLcac']['meta_info']
_meta_table['MplsLcac.PreemptionEvents']['meta_info'].parent =_meta_table['MplsLcac']['meta_info']
_meta_table['MplsLcac.Advertisements']['meta_info'].parent =_meta_table['MplsLcac']['meta_info']
_meta_table['MplsLcac.Statistics']['meta_info'].parent =_meta_table['MplsLcac']['meta_info']
_meta_table['MplsLcac.BandwidthAllocation']['meta_info'].parent =_meta_table['MplsLcac']['meta_info']
_meta_table['MplsLcac.Gmpls']['meta_info'].parent =_meta_table['MplsLcac']['meta_info']
_meta_table['MplsLcac.BfdNeighbors']['meta_info'].parent =_meta_table['MplsLcac']['meta_info']
_meta_table['MplsLcac.BandwidthAccount']['meta_info'].parent =_meta_table['MplsLcac']['meta_info']
_meta_table['MplsLcac.LinkSummary']['meta_info'].parent =_meta_table['MplsLcac']['meta_info']
_meta_table['MplsLcac.LinkInformation']['meta_info'].parent =_meta_table['MplsLcac']['meta_info']
_meta_table['MplsLcac.AdmissionControl']['meta_info'].parent =_meta_table['MplsLcac']['meta_info']
_meta_table['MplsLcac.SoftPreemptionGlobalInfo']['meta_info'].parent =_meta_table['MplsLcac']['meta_info']
_meta_table['MplsLcac.SoftPreemptions']['meta_info'].parent =_meta_table['MplsLcac']['meta_info']
_meta_table['MplsPce.Lsps.Lsp.Paths.Ero.Subobject']['meta_info'].parent =_meta_table['MplsPce.Lsps.Lsp.Paths.Ero']['meta_info']
_meta_table['MplsPce.Lsps.Lsp.Paths.Rro.Subobject']['meta_info'].parent =_meta_table['MplsPce.Lsps.Lsp.Paths.Rro']['meta_info']
_meta_table['MplsPce.Lsps.Lsp.Paths.Ero']['meta_info'].parent =_meta_table['MplsPce.Lsps.Lsp.Paths']['meta_info']
_meta_table['MplsPce.Lsps.Lsp.Paths.Lspa']['meta_info'].parent =_meta_table['MplsPce.Lsps.Lsp.Paths']['meta_info']
_meta_table['MplsPce.Lsps.Lsp.Paths.Rro']['meta_info'].parent =_meta_table['MplsPce.Lsps.Lsp.Paths']['meta_info']
_meta_table['MplsPce.Lsps.Lsp.Paths.Metric']['meta_info'].parent =_meta_table['MplsPce.Lsps.Lsp.Paths']['meta_info']
_meta_table['MplsPce.Lsps.Lsp.Creator']['meta_info'].parent =_meta_table['MplsPce.Lsps.Lsp']['meta_info']
_meta_table['MplsPce.Lsps.Lsp.Delegated']['meta_info'].parent =_meta_table['MplsPce.Lsps.Lsp']['meta_info']
_meta_table['MplsPce.Lsps.Lsp.Identifiers']['meta_info'].parent =_meta_table['MplsPce.Lsps.Lsp']['meta_info']
_meta_table['MplsPce.Lsps.Lsp.Autoroute']['meta_info'].parent =_meta_table['MplsPce.Lsps.Lsp']['meta_info']
_meta_table['MplsPce.Lsps.Lsp.Paths']['meta_info'].parent =_meta_table['MplsPce.Lsps.Lsp']['meta_info']
_meta_table['MplsPce.Lsps.Paths.Ero.Subobject']['meta_info'].parent =_meta_table['MplsPce.Lsps.Paths.Ero']['meta_info']
_meta_table['MplsPce.Lsps.Paths.Rro.Subobject']['meta_info'].parent =_meta_table['MplsPce.Lsps.Paths.Rro']['meta_info']
_meta_table['MplsPce.Lsps.Paths.Ero']['meta_info'].parent =_meta_table['MplsPce.Lsps.Paths']['meta_info']
_meta_table['MplsPce.Lsps.Paths.Lspa']['meta_info'].parent =_meta_table['MplsPce.Lsps.Paths']['meta_info']
_meta_table['MplsPce.Lsps.Paths.Rro']['meta_info'].parent =_meta_table['MplsPce.Lsps.Paths']['meta_info']
_meta_table['MplsPce.Lsps.Paths.Metric']['meta_info'].parent =_meta_table['MplsPce.Lsps.Paths']['meta_info']
_meta_table['MplsPce.Lsps.Lsp']['meta_info'].parent =_meta_table['MplsPce.Lsps']['meta_info']
_meta_table['MplsPce.Lsps.Creator']['meta_info'].parent =_meta_table['MplsPce.Lsps']['meta_info']
_meta_table['MplsPce.Lsps.Delegated']['meta_info'].parent =_meta_table['MplsPce.Lsps']['meta_info']
_meta_table['MplsPce.Lsps.Identifiers']['meta_info'].parent =_meta_table['MplsPce.Lsps']['meta_info']
_meta_table['MplsPce.Lsps.Autoroute']['meta_info'].parent =_meta_table['MplsPce.Lsps']['meta_info']
_meta_table['MplsPce.Lsps.Paths']['meta_info'].parent =_meta_table['MplsPce.Lsps']['meta_info']
_meta_table['MplsPce.Statistics.IgpStatistics']['meta_info'].parent =_meta_table['MplsPce.Statistics']['meta_info']
_meta_table['MplsPce.Peers.Peer.LastTxPceErr']['meta_info'].parent =_meta_table['MplsPce.Peers.Peer']['meta_info']
_meta_table['MplsPce.Peers.Peer.LastRxPceErr']['meta_info'].parent =_meta_table['MplsPce.Peers.Peer']['meta_info']
_meta_table['MplsPce.Peers.Peer.IgPs']['meta_info'].parent =_meta_table['MplsPce.Peers.Peer']['meta_info']
_meta_table['MplsPce.Peers.Peer']['meta_info'].parent =_meta_table['MplsPce.Peers']['meta_info']
_meta_table['MplsPce.Topology.Global_.Nodes']['meta_info'].parent =_meta_table['MplsPce.Topology.Global_']['meta_info']
_meta_table['MplsPce.Topology.Global_']['meta_info'].parent =_meta_table['MplsPce.Topology']['meta_info']
_meta_table['MplsPce.Tunnels.Tunnel']['meta_info'].parent =_meta_table['MplsPce.Tunnels']['meta_info']
_meta_table['MplsPce.Lsps']['meta_info'].parent =_meta_table['MplsPce']['meta_info']
_meta_table['MplsPce.Statistics']['meta_info'].parent =_meta_table['MplsPce']['meta_info']
_meta_table['MplsPce.Peers']['meta_info'].parent =_meta_table['MplsPce']['meta_info']
_meta_table['MplsPce.Topology']['meta_info'].parent =_meta_table['MplsPce']['meta_info']
_meta_table['MplsPce.Tunnels']['meta_info'].parent =_meta_table['MplsPce']['meta_info']
_meta_table['MplsPceStdby.Lsps.Lsp.Paths.Ero.Subobject']['meta_info'].parent =_meta_table['MplsPceStdby.Lsps.Lsp.Paths.Ero']['meta_info']
_meta_table['MplsPceStdby.Lsps.Lsp.Paths.Rro.Subobject']['meta_info'].parent =_meta_table['MplsPceStdby.Lsps.Lsp.Paths.Rro']['meta_info']
_meta_table['MplsPceStdby.Lsps.Lsp.Paths.Ero']['meta_info'].parent =_meta_table['MplsPceStdby.Lsps.Lsp.Paths']['meta_info']
_meta_table['MplsPceStdby.Lsps.Lsp.Paths.Lspa']['meta_info'].parent =_meta_table['MplsPceStdby.Lsps.Lsp.Paths']['meta_info']
_meta_table['MplsPceStdby.Lsps.Lsp.Paths.Rro']['meta_info'].parent =_meta_table['MplsPceStdby.Lsps.Lsp.Paths']['meta_info']
_meta_table['MplsPceStdby.Lsps.Lsp.Paths.Metric']['meta_info'].parent =_meta_table['MplsPceStdby.Lsps.Lsp.Paths']['meta_info']
_meta_table['MplsPceStdby.Lsps.Lsp.Creator']['meta_info'].parent =_meta_table['MplsPceStdby.Lsps.Lsp']['meta_info']
_meta_table['MplsPceStdby.Lsps.Lsp.Delegated']['meta_info'].parent =_meta_table['MplsPceStdby.Lsps.Lsp']['meta_info']
_meta_table['MplsPceStdby.Lsps.Lsp.Identifiers']['meta_info'].parent =_meta_table['MplsPceStdby.Lsps.Lsp']['meta_info']
_meta_table['MplsPceStdby.Lsps.Lsp.Autoroute']['meta_info'].parent =_meta_table['MplsPceStdby.Lsps.Lsp']['meta_info']
_meta_table['MplsPceStdby.Lsps.Lsp.Paths']['meta_info'].parent =_meta_table['MplsPceStdby.Lsps.Lsp']['meta_info']
_meta_table['MplsPceStdby.Lsps.Paths.Ero.Subobject']['meta_info'].parent =_meta_table['MplsPceStdby.Lsps.Paths.Ero']['meta_info']
_meta_table['MplsPceStdby.Lsps.Paths.Rro.Subobject']['meta_info'].parent =_meta_table['MplsPceStdby.Lsps.Paths.Rro']['meta_info']
_meta_table['MplsPceStdby.Lsps.Paths.Ero']['meta_info'].parent =_meta_table['MplsPceStdby.Lsps.Paths']['meta_info']
_meta_table['MplsPceStdby.Lsps.Paths.Lspa']['meta_info'].parent =_meta_table['MplsPceStdby.Lsps.Paths']['meta_info']
_meta_table['MplsPceStdby.Lsps.Paths.Rro']['meta_info'].parent =_meta_table['MplsPceStdby.Lsps.Paths']['meta_info']
_meta_table['MplsPceStdby.Lsps.Paths.Metric']['meta_info'].parent =_meta_table['MplsPceStdby.Lsps.Paths']['meta_info']
_meta_table['MplsPceStdby.Lsps.Lsp']['meta_info'].parent =_meta_table['MplsPceStdby.Lsps']['meta_info']
_meta_table['MplsPceStdby.Lsps.Creator']['meta_info'].parent =_meta_table['MplsPceStdby.Lsps']['meta_info']
_meta_table['MplsPceStdby.Lsps.Delegated']['meta_info'].parent =_meta_table['MplsPceStdby.Lsps']['meta_info']
_meta_table['MplsPceStdby.Lsps.Identifiers']['meta_info'].parent =_meta_table['MplsPceStdby.Lsps']['meta_info']
_meta_table['MplsPceStdby.Lsps.Autoroute']['meta_info'].parent =_meta_table['MplsPceStdby.Lsps']['meta_info']
_meta_table['MplsPceStdby.Lsps.Paths']['meta_info'].parent =_meta_table['MplsPceStdby.Lsps']['meta_info']
_meta_table['MplsPceStdby.Statistics.IgpStatistics']['meta_info'].parent =_meta_table['MplsPceStdby.Statistics']['meta_info']
_meta_table['MplsPceStdby.Peers.Peer.LastTxPceErr']['meta_info'].parent =_meta_table['MplsPceStdby.Peers.Peer']['meta_info']
_meta_table['MplsPceStdby.Peers.Peer.LastRxPceErr']['meta_info'].parent =_meta_table['MplsPceStdby.Peers.Peer']['meta_info']
_meta_table['MplsPceStdby.Peers.Peer.IgPs']['meta_info'].parent =_meta_table['MplsPceStdby.Peers.Peer']['meta_info']
_meta_table['MplsPceStdby.Peers.Peer']['meta_info'].parent =_meta_table['MplsPceStdby.Peers']['meta_info']
_meta_table['MplsPceStdby.Topology.Global_.Nodes']['meta_info'].parent =_meta_table['MplsPceStdby.Topology.Global_']['meta_info']
_meta_table['MplsPceStdby.Topology.Global_']['meta_info'].parent =_meta_table['MplsPceStdby.Topology']['meta_info']
_meta_table['MplsPceStdby.Tunnels.Tunnel']['meta_info'].parent =_meta_table['MplsPceStdby.Tunnels']['meta_info']
_meta_table['MplsPceStdby.Lsps']['meta_info'].parent =_meta_table['MplsPceStdby']['meta_info']
_meta_table['MplsPceStdby.Statistics']['meta_info'].parent =_meta_table['MplsPceStdby']['meta_info']
_meta_table['MplsPceStdby.Peers']['meta_info'].parent =_meta_table['MplsPceStdby']['meta_info']
_meta_table['MplsPceStdby.Topology']['meta_info'].parent =_meta_table['MplsPceStdby']['meta_info']
_meta_table['MplsPceStdby.Tunnels']['meta_info'].parent =_meta_table['MplsPceStdby']['meta_info']
_meta_table['MplsTp.TpLinks.TpDetailLinks.TpDetailLink']['meta_info'].parent =_meta_table['MplsTp.TpLinks.TpDetailLinks']['meta_info']
_meta_table['MplsTp.TpLinks.TpLinks_.TpLink']['meta_info'].parent =_meta_table['MplsTp.TpLinks.TpLinks_']['meta_info']
_meta_table['MplsTp.TpLinks.TpDetailLinks']['meta_info'].parent =_meta_table['MplsTp.TpLinks']['meta_info']
_meta_table['MplsTp.TpLinks.TpLinkSummary']['meta_info'].parent =_meta_table['MplsTp.TpLinks']['meta_info']
_meta_table['MplsTp.TpLinks.TpLinks_']['meta_info'].parent =_meta_table['MplsTp.TpLinks']['meta_info']
_meta_table['MplsTp.TpTunnels.TpDetailTunnels.TpDetailTunnel.Tunnel.WorkingLsp']['meta_info'].parent =_meta_table['MplsTp.TpTunnels.TpDetailTunnels.TpDetailTunnel.Tunnel']['meta_info']
_meta_table['MplsTp.TpTunnels.TpDetailTunnels.TpDetailTunnel.Tunnel.ProtectLsp']['meta_info'].parent =_meta_table['MplsTp.TpTunnels.TpDetailTunnels.TpDetailTunnel.Tunnel']['meta_info']
_meta_table['MplsTp.TpTunnels.TpDetailTunnels.TpDetailTunnel.WorkingLsp.BriefInformation']['meta_info'].parent =_meta_table['MplsTp.TpTunnels.TpDetailTunnels.TpDetailTunnel.WorkingLsp']['meta_info']
_meta_table['MplsTp.TpTunnels.TpDetailTunnels.TpDetailTunnel.ProtectLsp.BriefInformation']['meta_info'].parent =_meta_table['MplsTp.TpTunnels.TpDetailTunnels.TpDetailTunnel.ProtectLsp']['meta_info']
_meta_table['MplsTp.TpTunnels.TpDetailTunnels.TpDetailTunnel.Tunnel']['meta_info'].parent =_meta_table['MplsTp.TpTunnels.TpDetailTunnels.TpDetailTunnel']['meta_info']
_meta_table['MplsTp.TpTunnels.TpDetailTunnels.TpDetailTunnel.WorkingLsp']['meta_info'].parent =_meta_table['MplsTp.TpTunnels.TpDetailTunnels.TpDetailTunnel']['meta_info']
_meta_table['MplsTp.TpTunnels.TpDetailTunnels.TpDetailTunnel.ProtectLsp']['meta_info'].parent =_meta_table['MplsTp.TpTunnels.TpDetailTunnels.TpDetailTunnel']['meta_info']
_meta_table['MplsTp.TpTunnels.TpDetailTunnels.TpDetailTunnel.OamProtectionTriggers']['meta_info'].parent =_meta_table['MplsTp.TpTunnels.TpDetailTunnels.TpDetailTunnel']['meta_info']
_meta_table['MplsTp.TpTunnels.TpDetailTunnels.TpDetailTunnel']['meta_info'].parent =_meta_table['MplsTp.TpTunnels.TpDetailTunnels']['meta_info']
_meta_table['MplsTp.TpTunnels.TpTunnels_.TpTunnel.WorkingLsp']['meta_info'].parent =_meta_table['MplsTp.TpTunnels.TpTunnels_.TpTunnel']['meta_info']
_meta_table['MplsTp.TpTunnels.TpTunnels_.TpTunnel.ProtectLsp']['meta_info'].parent =_meta_table['MplsTp.TpTunnels.TpTunnels_.TpTunnel']['meta_info']
_meta_table['MplsTp.TpTunnels.TpTunnels_.TpTunnel']['meta_info'].parent =_meta_table['MplsTp.TpTunnels.TpTunnels_']['meta_info']
_meta_table['MplsTp.TpTunnels.TpTunnelSummary']['meta_info'].parent =_meta_table['MplsTp.TpTunnels']['meta_info']
_meta_table['MplsTp.TpTunnels.TpDetailTunnels']['meta_info'].parent =_meta_table['MplsTp.TpTunnels']['meta_info']
_meta_table['MplsTp.TpTunnels.TpTunnels_']['meta_info'].parent =_meta_table['MplsTp.TpTunnels']['meta_info']
_meta_table['MplsTp.TpMidpoints.TpDetailMidpoints.TpDetailMidpoint.BriefLspInformation']['meta_info'].parent =_meta_table['MplsTp.TpMidpoints.TpDetailMidpoints.TpDetailMidpoint']['meta_info']
_meta_table['MplsTp.TpMidpoints.TpDetailMidpoints.TpDetailMidpoint.ForwardLsp']['meta_info'].parent =_meta_table['MplsTp.TpMidpoints.TpDetailMidpoints.TpDetailMidpoint']['meta_info']
_meta_table['MplsTp.TpMidpoints.TpDetailMidpoints.TpDetailMidpoint.ReverseLsp']['meta_info'].parent =_meta_table['MplsTp.TpMidpoints.TpDetailMidpoints.TpDetailMidpoint']['meta_info']
_meta_table['MplsTp.TpMidpoints.TpDetailMidpoints.TpDetailMidpoint']['meta_info'].parent =_meta_table['MplsTp.TpMidpoints.TpDetailMidpoints']['meta_info']
_meta_table['MplsTp.TpMidpoints.TpMidpoints_.TpMidpoint']['meta_info'].parent =_meta_table['MplsTp.TpMidpoints.TpMidpoints_']['meta_info']
_meta_table['MplsTp.TpMidpoints.TpDetailMidpoints']['meta_info'].parent =_meta_table['MplsTp.TpMidpoints']['meta_info']
_meta_table['MplsTp.TpMidpoints.TpMidpointSummary']['meta_info'].parent =_meta_table['MplsTp.TpMidpoints']['meta_info']
_meta_table['MplsTp.TpMidpoints.TpMidpoints_']['meta_info'].parent =_meta_table['MplsTp.TpMidpoints']['meta_info']
_meta_table['MplsTp.TpGlobalParameters.OamProtectionTriggers']['meta_info'].parent =_meta_table['MplsTp.TpGlobalParameters']['meta_info']
_meta_table['MplsTp.TpLinks']['meta_info'].parent =_meta_table['MplsTp']['meta_info']
_meta_table['MplsTp.TpTunnels']['meta_info'].parent =_meta_table['MplsTp']['meta_info']
_meta_table['MplsTp.TpMidpoints']['meta_info'].parent =_meta_table['MplsTp']['meta_info']
_meta_table['MplsTp.TpGlobalParameters']['meta_info'].parent =_meta_table['MplsTp']['meta_info']
_meta_table['MplsTeStandby.HardwareOutOfResources.Summary.HardwareOutOfResourcesState.Statistics']['meta_info'].parent =_meta_table['MplsTeStandby.HardwareOutOfResources.Summary.HardwareOutOfResourcesState']['meta_info']
_meta_table['MplsTeStandby.HardwareOutOfResources.Summary.HardwareOutOfResourcesState']['meta_info'].parent =_meta_table['MplsTeStandby.HardwareOutOfResources.Summary']['meta_info']
_meta_table['MplsTeStandby.HardwareOutOfResources.Summary']['meta_info'].parent =_meta_table['MplsTeStandby.HardwareOutOfResources']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemoteBriefs.TunnelRemoteBrief.LspFec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemoteBriefs.TunnelRemoteBrief.LspFec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemoteBriefs.TunnelRemoteBrief.S2L.S2LFec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemoteBriefs.TunnelRemoteBrief.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemoteBriefs.TunnelRemoteBrief.LspFec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemoteBriefs.TunnelRemoteBrief']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemoteBriefs.TunnelRemoteBrief.S2L']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemoteBriefs.TunnelRemoteBrief']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemoteBriefs.TunnelRemoteBrief']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemoteBriefs']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.LspFec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.LspFec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.AttributeSet']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.XroAttributeSet']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.PathCalculationError']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.RemergeError']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption.SignallingError']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro.XroSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro.XroSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GenericTspec.Otntspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GenericTspec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GenericFspec.Otnfspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GenericFspec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.NextHopAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.NextHopAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.NextHopAddressGeneric']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PreviousHopAddressGeneric']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.IncomingAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.IncomingAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.IncomingAddressGeneric']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathIngressLabel.Otn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathEgressLabel.Otn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvIngressLabel.Otn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvEgressLabel.Otn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathIngressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.PathEgressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvIngressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels.ResvEgressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Bandwidth']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn.Labels']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Aps.ProtectionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Aps']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Otn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L.Aps']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.HeadEndBfdInfo.SessionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.HeadEndBfdInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.HeadEndBfdInfo.DeletionHistory']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.HeadEndBfdInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.TailEndBfdInfo.SessionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.TailEndBfdInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseLspFec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseLspFec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.FlexInfo.FlexFec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.FlexInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutEro.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutEro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutEro.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutEro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InEro.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InEro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InEro.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InEro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.Ipv4RroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.Ipv4RroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.LabelRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.LabelRroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.UnnumberedRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.UnnumberedRroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.Ipv4RroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.LabelRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.UnnumberedRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro.SrlgRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.Ipv4RroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.Ipv4RroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.LabelRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.LabelRroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.UnnumberedRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.UnnumberedRroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.Ipv4RroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.LabelRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.UnnumberedRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro.SrlgRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseEroIn.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseEroIn']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseEroIn.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseEroIn']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.S2LFec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ActivePathOption']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutXro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InXro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.Tspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GenericTspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.Fspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GenericFspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.NextHopAddressGeneric']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PreviousHopAddressGeneric']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.IncomingAddressGeneric']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.S2LConvergence']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.SoftPreemption']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.GmplsLabels']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OtnS2L']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.HeadEndBfdInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.TailEndBfdInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.SrlgCollection']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.Association']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.Protection']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseLspFec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseTspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.FlexInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.LspWrapInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.DiversityInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.SharedRiskLinkGroup']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.OutEro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.InEro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathRro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ResvRro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.PathAffinityArray']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.ReverseEroIn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L.S2LSegmentRoutingPath']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.LspFec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote.S2L']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes.TunnelRemote']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Config.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Config.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Config.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Config']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Config.BidirectionalConfig']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Config']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Config.BfdConfig']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Config']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Config.AutorouteDestination']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Config']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.LspFec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.LspFec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.PathCalculationError']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.RemergeError']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption.SignallingError']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro.XroSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro.XroSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GenericTspec.Otntspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GenericTspec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GenericFspec.Otnfspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GenericFspec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.NextHopAddressGeneric']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.IncomingAddressGeneric']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel.Otn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel.Otn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel.Otn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel.Otn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Aps.ProtectionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Aps']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Otn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L.Aps']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.HeadEndBfdInfo.SessionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.HeadEndBfdInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.HeadEndBfdInfo.DeletionHistory']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.HeadEndBfdInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.TailEndBfdInfo.SessionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.TailEndBfdInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseLspFec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseLspFec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.FlexInfo.FlexFec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.FlexInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutEro.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutEro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutEro.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutEro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InEro.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InEro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InEro.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InEro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.Ipv4RroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.LabelRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.LabelRroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.UnnumberedRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.LabelRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro.SrlgRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.Ipv4RroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.LabelRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.LabelRroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.LabelRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro.SrlgRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseEroIn.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseEroIn']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseEroIn.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseEroIn']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.S2LFec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ActivePathOption']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutXro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InXro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.Tspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GenericTspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.Fspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GenericFspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.NextHopAddressGeneric']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.IncomingAddressGeneric']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.S2LConvergence']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.SoftPreemption']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.GmplsLabels']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OtnS2L']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.HeadEndBfdInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.TailEndBfdInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.SrlgCollection']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.Association']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.Protection']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseLspFec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseTspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.FlexInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.LspWrapInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.DiversityInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.SharedRiskLinkGroup']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.OutEro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.InEro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathRro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ResvRro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.PathAffinityArray']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.ReverseEroIn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L.S2LSegmentRoutingPath']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.LspFec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp.S2L']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.LspFec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.LspFec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.PathCalculationError']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.RemergeError']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption.SignallingError']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GenericTspec.Otntspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GenericTspec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GenericFspec.Otnfspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GenericFspec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Otn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Otn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Aps.ProtectionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Aps']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L.Aps']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo.SessionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo.DeletionHistory']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.TailEndBfdInfo.SessionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.TailEndBfdInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseLspFec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseLspFec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.FlexInfo.FlexFec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.FlexInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutEro.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutEro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutEro.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutEro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InEro.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InEro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InEro.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InEro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.Ipv4RroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.LabelRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.LabelRroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.LabelRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro.SrlgRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.LabelRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.LabelRroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.LabelRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro.SrlgRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseEroIn.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseEroIn']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseEroIn']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.S2LFec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ActivePathOption']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutXro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InXro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.Tspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GenericTspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.Fspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GenericFspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.S2LConvergence']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.SoftPreemption']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.GmplsLabels']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OtnS2L']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.TailEndBfdInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.SrlgCollection']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.Association']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.Protection']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseLspFec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseTspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.FlexInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.LspWrapInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.DiversityInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.SharedRiskLinkGroup']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.OutEro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.InEro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathRro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ResvRro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.PathAffinityArray']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.ReverseEroIn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L.S2LSegmentRoutingPath']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.LspFec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp.S2L']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.LspFec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.LspFec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.PathCalculationError']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.RemergeError']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption.SignallingError']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro.XroSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro.XroSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GenericTspec.Otntspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GenericTspec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GenericFspec.Otnfspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GenericFspec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.NextHopAddressGeneric']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.IncomingAddressGeneric']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel.Otn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel.Otn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel.Otn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel.Otn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Aps.ProtectionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Aps']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Otn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L.Aps']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.HeadEndBfdInfo.SessionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.HeadEndBfdInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.HeadEndBfdInfo.DeletionHistory']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.HeadEndBfdInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.TailEndBfdInfo.SessionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.TailEndBfdInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseLspFec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseLspFec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.FlexInfo.FlexFec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.FlexInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutEro.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutEro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutEro.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutEro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InEro.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InEro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InEro.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InEro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.Ipv4RroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.LabelRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.LabelRroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.UnnumberedRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.LabelRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro.SrlgRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.Ipv4RroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.LabelRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.LabelRroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.LabelRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro.SrlgRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseEroIn.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseEroIn']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseEroIn.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseEroIn']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.S2LFec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ActivePathOption']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutXro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InXro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.Tspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GenericTspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.Fspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GenericFspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.NextHopAddressGeneric']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.IncomingAddressGeneric']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.S2LConvergence']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.SoftPreemption']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.GmplsLabels']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OtnS2L']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.HeadEndBfdInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.TailEndBfdInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.SrlgCollection']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.Association']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.Protection']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseLspFec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseTspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.FlexInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.LspWrapInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.DiversityInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.SharedRiskLinkGroup']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.OutEro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.InEro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathRro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ResvRro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.PathAffinityArray']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.ReverseEroIn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L.S2LSegmentRoutingPath']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.LspFec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp.S2L']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.LspFec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.LspFec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.PathCalculationError']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.RemergeError']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.SignallingError']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GenericTspec.Otntspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GenericTspec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GenericFspec.Otnfspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GenericFspec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Otn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Otn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Aps.ProtectionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Aps']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Aps']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo.SessionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo.DeletionHistory']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.TailEndBfdInfo.SessionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.TailEndBfdInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseLspFec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseLspFec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.FlexInfo.FlexFec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.FlexInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutEro.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutEro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutEro.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutEro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InEro.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InEro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InEro.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InEro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.Ipv4RroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.LabelRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.LabelRroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.LabelRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro.SrlgRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.LabelRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.LabelRroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.LabelRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.SrlgRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.S2LFec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutXro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InXro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.Tspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GenericTspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.Fspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GenericFspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.S2LConvergence']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.SoftPreemption']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.TailEndBfdInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.SrlgCollection']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.Association']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.Protection']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseLspFec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseTspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.FlexInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.LspWrapInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.DiversityInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.SharedRiskLinkGroup']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.OutEro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.InEro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathRro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ResvRro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.PathAffinityArray']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L.S2LSegmentRoutingPath']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.LspFec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp.S2L']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.LspFec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.LspFec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.PathCalculationError']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.RemergeError']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption.SignallingError']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro.XroSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro.XroSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GenericTspec.Otntspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GenericTspec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GenericFspec.Otnfspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GenericFspec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.NextHopAddressGeneric']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.IncomingAddressGeneric']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel.Otn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel.Otn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel.Otn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel.Otn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Aps.ProtectionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Aps']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Otn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L.Aps']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.HeadEndBfdInfo.SessionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.HeadEndBfdInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.HeadEndBfdInfo.DeletionHistory']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.HeadEndBfdInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.TailEndBfdInfo.SessionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.TailEndBfdInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseLspFec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseLspFec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.FlexInfo.FlexFec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.FlexInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutEro.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutEro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutEro.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutEro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InEro.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InEro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InEro.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InEro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.Ipv4RroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.LabelRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.LabelRroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.UnnumberedRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.LabelRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro.SrlgRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.Ipv4RroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.LabelRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.LabelRroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.LabelRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro.SrlgRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseEroIn.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseEroIn']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseEroIn.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseEroIn']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.S2LFec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ActivePathOption']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutXro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InXro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.Tspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GenericTspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.Fspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GenericFspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.NextHopAddressGeneric']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.IncomingAddressGeneric']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.S2LConvergence']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.SoftPreemption']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.GmplsLabels']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OtnS2L']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.HeadEndBfdInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.TailEndBfdInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.SrlgCollection']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.Association']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.Protection']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseLspFec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseTspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.FlexInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.LspWrapInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.DiversityInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.SharedRiskLinkGroup']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.OutEro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.InEro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathRro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ResvRro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.PathAffinityArray']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.ReverseEroIn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L.S2LSegmentRoutingPath']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.LspFec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp.S2L']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.LspFec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.LspFec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.PathCalculationError']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.RemergeError']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption.SignallingError']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro.XroSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro.XroSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GenericTspec.Otntspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GenericTspec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GenericFspec.Otnfspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GenericFspec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.NextHopAddressGeneric']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.IncomingAddressGeneric']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel.Otn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel.Otn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Aps.ProtectionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Aps']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Otn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L.Aps']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.HeadEndBfdInfo.SessionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.HeadEndBfdInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.HeadEndBfdInfo.DeletionHistory']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.HeadEndBfdInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.TailEndBfdInfo.SessionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.TailEndBfdInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseLspFec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseLspFec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.FlexInfo.FlexFec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.FlexInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutEro.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutEro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutEro.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutEro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InEro.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InEro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InEro.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InEro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.Ipv4RroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.LabelRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.LabelRroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.LabelRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro.SrlgRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.LabelRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.LabelRroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.LabelRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro.SrlgRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseEroIn.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseEroIn']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseEroIn']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.S2LFec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ActivePathOption']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutXro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InXro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.Tspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GenericTspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.Fspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GenericFspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.NextHopAddressGeneric']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.IncomingAddressGeneric']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.S2LConvergence']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.SoftPreemption']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.GmplsLabels']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OtnS2L']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.HeadEndBfdInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.TailEndBfdInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.SrlgCollection']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.Association']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.Protection']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseLspFec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseTspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.FlexInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.LspWrapInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.DiversityInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.SharedRiskLinkGroup']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.OutEro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.InEro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathRro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ResvRro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.PathAffinityArray']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.ReverseEroIn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L.S2LSegmentRoutingPath']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.LspFec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp.S2L']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.LspFec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.LspFec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.AttributeSet']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.PathCalculationError']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.RemergeError']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption.SignallingError']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro.XroSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro.XroSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GenericTspec.Otntspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GenericTspec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GenericFspec.Otnfspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GenericFspec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.NextHopAddressGeneric']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PreviousHopAddressGeneric']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.IncomingAddressGeneric']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathIngressLabel.Otn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathEgressLabel.Otn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel.Otn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel.Otn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn.Labels']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Aps.ProtectionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Aps']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Otn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L.Aps']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.HeadEndBfdInfo.SessionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.HeadEndBfdInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.HeadEndBfdInfo.DeletionHistory']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.HeadEndBfdInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.TailEndBfdInfo.SessionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.TailEndBfdInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseLspFec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseLspFec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.FlexInfo.FlexFec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.FlexInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutEro.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutEro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutEro.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutEro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InEro.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InEro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InEro.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InEro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.Ipv4RroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.LabelRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.LabelRroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.UnnumberedRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.LabelRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro.SrlgRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.Ipv4RroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.LabelRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.LabelRroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.LabelRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro.SrlgRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseEroIn.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseEroIn']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseEroIn.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseEroIn']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.S2LFec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ActivePathOption']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutXro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InXro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.Tspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GenericTspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.Fspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GenericFspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.NextHopAddressGeneric']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PreviousHopAddressGeneric']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.IncomingAddressGeneric']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.S2LConvergence']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.SoftPreemption']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.GmplsLabels']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OtnS2L']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.HeadEndBfdInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.TailEndBfdInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.SrlgCollection']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.Association']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.Protection']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseLspFec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseTspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.FlexInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.LspWrapInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.DiversityInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.SharedRiskLinkGroup']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.OutEro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.InEro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathRro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ResvRro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.PathAffinityArray']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.ReverseEroIn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L.S2LSegmentRoutingPath']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.LspFec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp.S2L']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.P2PInfo.AutoBandwidthStatus']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.P2PInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.P2PInfo.AutoBandwidthConfig']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.P2PInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.P2PInfo.AutoBandwidthOper']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.P2PInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.CurrentSetup.ConnectedUptimes']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.CurrentSetup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.CurrentSetup']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.ReoptSetup']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.GmplsPathProtectSetup']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.PreviousSetup']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.PreviousGmplsPathProtectSetup']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.GmplsOtherSetup']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.GmplsOtherProtectSetup']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.StandbySetup']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.StandbyReoptSetup']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.LastReOptFail']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History.LastStdbyReOptFail']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.PathProtection.Switchover']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.PathProtection']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup.WeightedSrlgInfo.ProtectedInterfaceSrlg']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup.WeightedSrlgInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup.WeightedSrlgInfo.WeightedSrlgHop']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup.WeightedSrlgInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup.Iep.IepHop']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup.Iep']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup.WeightedSrlgInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup.Iep']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.SoftPreemption.SoftPreemptionCounters']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.SoftPreemption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.SoftPreemption.SoftPreemptionPathError']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.SoftPreemption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexCbr']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn.BandwidthCfg']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexGfpFRes']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn.BandwidthCfg']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexGfpFNonRes']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn.BandwidthCfg']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn.BandwidthCfg']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.EgressPort.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.EgressPort.TeAddr']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.EgressPort.TeAddr']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.EgressPort']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.TermEgressPort.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.TermEgressPort.TeAddr']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.TermEgressPort.TeAddr']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.TermEgressPort']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.EgressPort']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni.TermEgressPort']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.HomepathEro.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.HomepathEro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.HomepathEro.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.HomepathEro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.Otn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.StaticUni']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.EgressStaticUni']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.HomepathEro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo.DiversityInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.BfdInfo.EventCounters']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.BfdInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.BfdInfo.DampeningInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.BfdInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir.Aps.ProtectionProfile.RevertSchedule']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir.Aps.ProtectionProfile']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir.Aps.ProtectionProfile']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir.Aps']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir.Aps']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir.Restoration']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorCurrent.PathCalculationError']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorCurrent']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorReopt.PathCalculationError']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorReopt']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorStandby.PathCalculationError']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorStandby']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorStandbyReopt.PathCalculationError']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorStandbyReopt']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorCurrent']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorReopt']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorStandby']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir.ReverseEroErrorStandbyReopt']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TeTunnelConvergence.ConvergenceLsp']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TeTunnelConvergence']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.AttributeSet']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.XroAttributeSet']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.PathCalculationError']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.RemergeError']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry.SignallingError']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.AttributeSet']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.XroAttributeSet']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.PathCalculationError']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.RemergeError']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption.SignallingError']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.InterAreaReoptimization']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOptionEntry']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination.PathOption']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Config']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelCurrentLsp']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedP2MpLsp']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelStandbyLsp']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.ReoptimizedStandbyP2MpLsp']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TunnelRestorationLsp']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.DelayCleanPpLsp']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.CleanedLsp']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.P2PInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.History']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.PathProtection']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoBackup']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoMesh']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.AutoPcc']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.PceDelegation']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.SoftPreemption']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.WdmUnitunnel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TransportTunnelInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.BfdInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.OtnBidir']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Bidir']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.XroAttributeSet']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.TeTunnelConvergence']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.FlexInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel.Destination']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels.NniTunnel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config.BidirectionalConfig']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config.BfdConfig']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config.AutorouteDestination']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.LspFec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.LspFec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.AttributeSet']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.PathCalculationError']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.RemergeError']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption.SignallingError']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro.XroSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro.XroSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GenericTspec.Otntspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GenericTspec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GenericFspec.Otnfspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GenericFspec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.NextHopAddressGeneric']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.IncomingAddressGeneric']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel.Otn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel.Otn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel.Otn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel.Otn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn.Labels']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Aps.ProtectionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Aps']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Otn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L.Aps']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.HeadEndBfdInfo.SessionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.HeadEndBfdInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.HeadEndBfdInfo.DeletionHistory']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.HeadEndBfdInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.TailEndBfdInfo.SessionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.TailEndBfdInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseLspFec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseLspFec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.FlexInfo.FlexFec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.FlexInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutEro.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutEro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutEro.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutEro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InEro.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InEro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InEro.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InEro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.Ipv4RroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.LabelRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.LabelRroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.UnnumberedRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.LabelRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro.SrlgRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.Ipv4RroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.LabelRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.LabelRroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.LabelRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro.SrlgRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseEroIn.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseEroIn']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseEroIn.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseEroIn']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.S2LFec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ActivePathOption']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutXro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InXro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.Tspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GenericTspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.Fspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GenericFspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.NextHopAddressGeneric']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PreviousHopAddressGeneric']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.IncomingAddressGeneric']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.S2LConvergence']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.SoftPreemption']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.GmplsLabels']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OtnS2L']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.HeadEndBfdInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.TailEndBfdInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.SrlgCollection']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.Association']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.Protection']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseLspFec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseTspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.FlexInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.LspWrapInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.DiversityInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.SharedRiskLinkGroup']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.OutEro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.InEro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathRro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ResvRro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.PathAffinityArray']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.ReverseEroIn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L.S2LSegmentRoutingPath']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.LspFec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp.S2L']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.LspFec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.LspFec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.AttributeSet']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.PathCalculationError']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.RemergeError']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption.SignallingError']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro.XroSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro.XroSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GenericTspec.Otntspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GenericTspec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GenericFspec.Otnfspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GenericFspec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Otn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Otn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn.Labels']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Aps.ProtectionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Aps']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Otn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L.Aps']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo.SessionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo.DeletionHistory']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.TailEndBfdInfo.SessionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.TailEndBfdInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseLspFec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseLspFec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.FlexInfo.FlexFec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.FlexInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutEro.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutEro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutEro.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutEro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InEro.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InEro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InEro.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InEro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.Ipv4RroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.LabelRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.LabelRroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.LabelRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro.SrlgRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.LabelRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.LabelRroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.LabelRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro.SrlgRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseEroIn.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseEroIn']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseEroIn']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.S2LFec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ActivePathOption']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutXro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InXro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.Tspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GenericTspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.Fspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GenericFspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.NextHopAddressGeneric']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PreviousHopAddressGeneric']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.IncomingAddressGeneric']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.S2LConvergence']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.SoftPreemption']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.GmplsLabels']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OtnS2L']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.HeadEndBfdInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.TailEndBfdInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.SrlgCollection']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.Association']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.Protection']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseLspFec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseTspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.FlexInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.LspWrapInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.DiversityInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.SharedRiskLinkGroup']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.OutEro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.InEro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathRro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ResvRro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.PathAffinityArray']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.ReverseEroIn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L.S2LSegmentRoutingPath']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.LspFec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp.S2L']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.LspFec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.LspFec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.AttributeSet']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.PathCalculationError']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.RemergeError']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption.SignallingError']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro.XroSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro.XroSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GenericTspec.Otntspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GenericTspec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GenericFspec.Otnfspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GenericFspec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.NextHopAddressGeneric']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.IncomingAddressGeneric']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel.Otn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel.Otn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel.Otn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel.Otn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn.Labels']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Aps.ProtectionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Aps']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Otn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L.Aps']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.HeadEndBfdInfo.SessionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.HeadEndBfdInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.HeadEndBfdInfo.DeletionHistory']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.HeadEndBfdInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.TailEndBfdInfo.SessionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.TailEndBfdInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseLspFec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseLspFec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.FlexInfo.FlexFec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.FlexInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutEro.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutEro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutEro.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutEro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InEro.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InEro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InEro.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InEro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.Ipv4RroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.LabelRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.LabelRroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.UnnumberedRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.LabelRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro.SrlgRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.Ipv4RroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.LabelRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.LabelRroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.LabelRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro.SrlgRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseEroIn.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseEroIn']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseEroIn.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseEroIn']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.S2LFec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ActivePathOption']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutXro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InXro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.Tspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GenericTspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.Fspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GenericFspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.NextHopAddressGeneric']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PreviousHopAddressGeneric']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.IncomingAddressGeneric']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.S2LConvergence']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.SoftPreemption']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.GmplsLabels']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OtnS2L']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.HeadEndBfdInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.TailEndBfdInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.SrlgCollection']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.Association']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.Protection']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseLspFec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseTspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.FlexInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.LspWrapInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.DiversityInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.SharedRiskLinkGroup']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.OutEro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.InEro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathRro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ResvRro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.PathAffinityArray']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.ReverseEroIn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L.S2LSegmentRoutingPath']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.LspFec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp.S2L']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.LspFec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.LspFec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.AttributeSet']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.PathCalculationError']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.RemergeError']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption.SignallingError']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro.XroSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro.XroSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GenericTspec.Otntspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GenericTspec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GenericFspec.Otnfspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GenericFspec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel.Otn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel.Otn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn.Labels']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Aps.ProtectionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Aps']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Otn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L.Aps']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo.SessionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo.DeletionHistory']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.TailEndBfdInfo.SessionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.TailEndBfdInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseLspFec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseLspFec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.FlexInfo.FlexFec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.FlexInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutEro.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutEro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutEro.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutEro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InEro.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InEro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InEro.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InEro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.Ipv4RroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.LabelRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.LabelRroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.LabelRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro.SrlgRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.LabelRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.LabelRroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.LabelRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro.SrlgRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.S2LFec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ActivePathOption']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutXro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InXro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.Tspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GenericTspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.Fspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GenericFspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.NextHopAddressGeneric']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PreviousHopAddressGeneric']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.IncomingAddressGeneric']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.S2LConvergence']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.SoftPreemption']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.GmplsLabels']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OtnS2L']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.HeadEndBfdInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.TailEndBfdInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.SrlgCollection']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.Association']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.Protection']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseLspFec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseTspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.FlexInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.LspWrapInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.DiversityInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.SharedRiskLinkGroup']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.OutEro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.InEro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathRro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ResvRro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.PathAffinityArray']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.ReverseEroIn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L.S2LSegmentRoutingPath']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.LspFec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp.S2L']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.LspFec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.LspFec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.AttributeSet']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.PathCalculationError']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.RemergeError']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption.SignallingError']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro.XroSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro.XroSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GenericTspec.Otntspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GenericTspec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GenericFspec.Otnfspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GenericFspec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.NextHopAddressGeneric']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.IncomingAddressGeneric']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel.Otn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel.Otn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel.Otn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel.Otn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn.Labels']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Aps.ProtectionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Aps']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Otn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L.Aps']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.HeadEndBfdInfo.SessionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.HeadEndBfdInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.HeadEndBfdInfo.DeletionHistory']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.HeadEndBfdInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.TailEndBfdInfo.SessionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.TailEndBfdInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseLspFec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseLspFec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.FlexInfo.FlexFec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.FlexInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutEro.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutEro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutEro.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutEro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InEro.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InEro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InEro.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InEro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.Ipv4RroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.LabelRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.LabelRroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.UnnumberedRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.LabelRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro.SrlgRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.Ipv4RroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.LabelRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.LabelRroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.LabelRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro.SrlgRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseEroIn.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseEroIn']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseEroIn.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseEroIn']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.S2LFec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ActivePathOption']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutXro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InXro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.Tspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GenericTspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.Fspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GenericFspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.NextHopAddressGeneric']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PreviousHopAddressGeneric']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.IncomingAddressGeneric']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.S2LConvergence']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.SoftPreemption']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.GmplsLabels']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OtnS2L']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.HeadEndBfdInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.TailEndBfdInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.SrlgCollection']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.Association']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.Protection']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseLspFec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseTspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.FlexInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.LspWrapInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.DiversityInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.SharedRiskLinkGroup']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.OutEro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.InEro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathRro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ResvRro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.PathAffinityArray']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.ReverseEroIn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L.S2LSegmentRoutingPath']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.LspFec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp.S2L']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.LspFec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.LspFec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.AttributeSet']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.PathCalculationError']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.RemergeError']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption.SignallingError']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro.XroSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro.XroSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GenericTspec.Otntspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GenericTspec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GenericFspec.Otnfspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GenericFspec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.NextHopAddressGeneric']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.IncomingAddressGeneric']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel.Otn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel.Otn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel.Otn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel.Otn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn.Labels']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Aps.ProtectionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Aps']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Otn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L.Aps']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.HeadEndBfdInfo.SessionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.HeadEndBfdInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.HeadEndBfdInfo.DeletionHistory']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.HeadEndBfdInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.TailEndBfdInfo.SessionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.TailEndBfdInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseLspFec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseLspFec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.FlexInfo.FlexFec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.FlexInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutEro.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutEro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutEro.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutEro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InEro.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InEro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InEro.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InEro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.Ipv4RroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.LabelRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.LabelRroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.UnnumberedRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.LabelRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro.SrlgRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.Ipv4RroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.LabelRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.LabelRroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.LabelRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro.SrlgRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseEroIn.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseEroIn']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseEroIn.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseEroIn']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.S2LFec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ActivePathOption']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutXro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InXro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.Tspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GenericTspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.Fspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GenericFspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.NextHopAddressGeneric']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PreviousHopAddressGeneric']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.IncomingAddressGeneric']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.S2LConvergence']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.SoftPreemption']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.GmplsLabels']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OtnS2L']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.HeadEndBfdInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.TailEndBfdInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.SrlgCollection']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.Association']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.Protection']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseLspFec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseTspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.FlexInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.LspWrapInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.DiversityInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.SharedRiskLinkGroup']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.OutEro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.InEro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathRro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ResvRro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.PathAffinityArray']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.ReverseEroIn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L.S2LSegmentRoutingPath']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.LspFec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp.S2L']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.LspFec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.LspFec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.AttributeSet']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.XroAttributeSet']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.PathCalculationError']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.RemergeError']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption.SignallingError']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro.XroSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro.XroSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GenericTspec.Otntspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GenericTspec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GenericFspec.Otnfspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GenericFspec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.NextHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.NextHopAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.NextHopAddressGeneric']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PreviousHopAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PreviousHopAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PreviousHopAddressGeneric']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.IncomingAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.IncomingAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.IncomingAddressGeneric']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathIngressLabel.Otn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathEgressLabel.Otn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel.Otn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel.Otn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathIngressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.PathEgressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvIngressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels.ResvEgressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexCbr']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFRes']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth.OduFlexGfpFNonRes']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Wdm']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel.Otn_']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathIngressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.PathEgressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvIngressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels.ResvEgressLabel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Bandwidth']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn.Labels']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Aps.ProtectionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Aps']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Otn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L.Aps']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.HeadEndBfdInfo.SessionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.HeadEndBfdInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.HeadEndBfdInfo.DeletionHistory']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.HeadEndBfdInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.TailEndBfdInfo.SessionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.TailEndBfdInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseLspFec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseLspFec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.FlexInfo.FlexFec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.FlexInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutEro.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutEro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutEro.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutEro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InEro.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InEro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InEro.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InEro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.Ipv4RroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.LabelRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.LabelRroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.UnnumberedRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.Ipv4RroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.LabelRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.UnnumberedRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro.SrlgRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.Ipv4RroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.LabelRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.LabelRroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.UnnumberedRroSubObject.Flags']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.Ipv4RroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.LabelRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.UnnumberedRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro.SrlgRroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseEroIn.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseEroIn']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseEroIn.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseEroIn']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.S2LFec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ActivePathOption']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutXro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InXro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.Tspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GenericTspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.Fspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GenericFspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.NextHopAddressGeneric']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PreviousHopAddressGeneric']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.IncomingAddressGeneric']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.S2LConvergence']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.SoftPreemption']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.GmplsLabels']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OtnS2L']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.HeadEndBfdInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.TailEndBfdInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.SrlgCollection']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.Association']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.Protection']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseLspFec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseTspec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.FlexInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.LspWrapInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.DiversityInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.SharedRiskLinkGroup']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.OutEro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.InEro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathRro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ResvRro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.PathAffinityArray']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.ReverseEroIn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L.S2LSegmentRoutingPath']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.LspFec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp.S2L']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.P2PInfo.AutoBandwidthStatus']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.P2PInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.P2PInfo.AutoBandwidthConfig']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.P2PInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.P2PInfo.AutoBandwidthOper']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.P2PInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.CurrentSetup.ConnectedUptimes']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.CurrentSetup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.CurrentSetup']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.ReoptSetup']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.GmplsPathProtectSetup']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.PreviousSetup']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.PreviousGmplsPathProtectSetup']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.GmplsOtherSetup']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.GmplsOtherProtectSetup']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.StandbySetup']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.StandbyReoptSetup']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.LastReOptFail']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History.LastStdbyReOptFail']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.PathProtection.Switchover']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.PathProtection']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup.WeightedSrlgInfo.ProtectedInterfaceSrlg']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup.WeightedSrlgInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup.WeightedSrlgInfo.WeightedSrlgHop']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup.WeightedSrlgInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup.Iep.IepHop']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup.Iep']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup.WeightedSrlgInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup.Iep']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.SoftPreemption.SoftPreemptionCounters']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.SoftPreemption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.SoftPreemption.SoftPreemptionPathError']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.SoftPreemption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexCbr']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn.BandwidthCfg']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexGfpFRes']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn.BandwidthCfg']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn.BandwidthCfg.OduFlexGfpFNonRes']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn.BandwidthCfg']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn.BandwidthCfg']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.EgressPort.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.EgressPort.TeAddr']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.EgressPort.TeAddr']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.EgressPort']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.TermEgressPort.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.TermEgressPort.TeAddr']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.TermEgressPort.TeAddr']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.TermEgressPort']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.EgressPort']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni.TermEgressPort']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.HomepathEro.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.HomepathEro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.HomepathEro.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.HomepathEro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.Otn']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.StaticUni']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.EgressStaticUni']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.HomepathEro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo.DiversityInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.BfdInfo.EventCounters']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.BfdInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.BfdInfo.DampeningInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.BfdInfo']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir.Aps.ProtectionProfile.RevertSchedule']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir.Aps.ProtectionProfile']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir.Aps.ProtectionProfile']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir.Aps']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir.Aps']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir.Restoration']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorCurrent.PathCalculationError']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorCurrent']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorReopt.PathCalculationError']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorReopt']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorStandby.PathCalculationError']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorStandby']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorStandbyReopt.PathCalculationError']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorStandbyReopt']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorCurrent']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorReopt']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorStandby']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir.ReverseEroErrorStandbyReopt']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TeTunnelConvergence.ConvergenceLsp']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TeTunnelConvergence']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.AttributeSet']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.XroAttributeSet']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.PathCalculationError']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.RemergeError']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry.SignallingError']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.AttributeSet']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.XroAttributeSet']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.PathCalculationError']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.RemergeError']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption.SignallingError']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.InterAreaReoptimization']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOptionEntry']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination.PathOption']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Config']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelCurrentLsp']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedP2MpLsp']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelStandbyLsp']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.ReoptimizedStandbyP2MpLsp']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TunnelRestorationLsp']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.DelayCleanPpLsp']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.CleanedLsp']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.P2PInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.History']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.PathProtection']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoBackup']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoMesh']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.AutoPcc']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.PceDelegation']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.SoftPreemption']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.WdmUnitunnel']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TransportTunnelInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.BfdInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.OtnBidir']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Bidir']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.XroAttributeSet']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.TeTunnelConvergence']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.FlexInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead.Destination']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads.TunnelHead']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemoteBriefs']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelRemotes']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.NniTunnels']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel.TunnelHeads']['meta_info'].parent =_meta_table['MplsTeStandby.P2PP2MpTunnel']['meta_info']
_meta_table['MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthPrestandard.TopologyLinkPrestandardBandwidthDetail']['meta_info'].parent =_meta_table['MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthPrestandard']['meta_info']
_meta_table['MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthStandard.TopoLinkStdBwDetail']['meta_info'].parent =_meta_table['MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthStandard']['meta_info']
_meta_table['MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthPrestandard']['meta_info'].parent =_meta_table['MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth']['meta_info']
_meta_table['MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthStandard']['meta_info'].parent =_meta_table['MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth']['meta_info']
_meta_table['MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Fixed']['meta_info'].parent =_meta_table['MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo']['meta_info']
_meta_table['MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Flex']['meta_info'].parent =_meta_table['MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo']['meta_info']
_meta_table['MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo']['meta_info'].parent =_meta_table['MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.OduLinkCapabilities.OduCapability']['meta_info']
_meta_table['MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.OduLinkCapabilities.OduCapability']['meta_info'].parent =_meta_table['MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.OduLinkCapabilities']['meta_info']
_meta_table['MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.TopologyLinkBandwidth']['meta_info'].parent =_meta_table['MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink']['meta_info']
_meta_table['MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.OduLinkCapabilities']['meta_info'].parent =_meta_table['MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink']['meta_info']
_meta_table['MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.SharedRiskLinkGroup']['meta_info'].parent =_meta_table['MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink']['meta_info']
_meta_table['MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink.AdjacencySid']['meta_info'].parent =_meta_table['MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink']['meta_info']
_meta_table['MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeSidAndSrbg']['meta_info'].parent =_meta_table['MplsTeStandby.TopologyNodes.TopologyNode']['meta_info']
_meta_table['MplsTeStandby.TopologyNodes.TopologyNode.TopologyNodeLink']['meta_info'].parent =_meta_table['MplsTeStandby.TopologyNodes.TopologyNode']['meta_info']
_meta_table['MplsTeStandby.TopologyNodes.TopologyNode']['meta_info'].parent =_meta_table['MplsTeStandby.TopologyNodes']['meta_info']
_meta_table['MplsTeStandby.AnnounceTunnelsInfo.AutorouteAnnounceTable.AnnounceDest.TotalTunnel.IgPs']['meta_info'].parent =_meta_table['MplsTeStandby.AnnounceTunnelsInfo.AutorouteAnnounceTable.AnnounceDest.TotalTunnel']['meta_info']
_meta_table['MplsTeStandby.AnnounceTunnelsInfo.AutorouteAnnounceTable.AnnounceDest.TotalTunnel']['meta_info'].parent =_meta_table['MplsTeStandby.AnnounceTunnelsInfo.AutorouteAnnounceTable.AnnounceDest']['meta_info']
_meta_table['MplsTeStandby.AnnounceTunnelsInfo.AutorouteAnnounceTable.AnnounceDest']['meta_info'].parent =_meta_table['MplsTeStandby.AnnounceTunnelsInfo.AutorouteAnnounceTable']['meta_info']
_meta_table['MplsTeStandby.AnnounceTunnelsInfo.AllAutorouteTable.AnnounceDest.TotalTunnel.IgPs']['meta_info'].parent =_meta_table['MplsTeStandby.AnnounceTunnelsInfo.AllAutorouteTable.AnnounceDest.TotalTunnel']['meta_info']
_meta_table['MplsTeStandby.AnnounceTunnelsInfo.AllAutorouteTable.AnnounceDest.TotalTunnel']['meta_info'].parent =_meta_table['MplsTeStandby.AnnounceTunnelsInfo.AllAutorouteTable.AnnounceDest']['meta_info']
_meta_table['MplsTeStandby.AnnounceTunnelsInfo.AllAutorouteTable.AnnounceDest']['meta_info'].parent =_meta_table['MplsTeStandby.AnnounceTunnelsInfo.AllAutorouteTable']['meta_info']
_meta_table['MplsTeStandby.AnnounceTunnelsInfo.AutorouteAnnounceTable']['meta_info'].parent =_meta_table['MplsTeStandby.AnnounceTunnelsInfo']['meta_info']
_meta_table['MplsTeStandby.AnnounceTunnelsInfo.AllAutorouteTable']['meta_info'].parent =_meta_table['MplsTeStandby.AnnounceTunnelsInfo']['meta_info']
_meta_table['MplsTeStandby.CollaboratorTimers.P2MpTimer']['meta_info'].parent =_meta_table['MplsTeStandby.CollaboratorTimers']['meta_info']
_meta_table['MplsTeStandby.AutoTunnel.Pcc.Summary']['meta_info'].parent =_meta_table['MplsTeStandby.AutoTunnel.Pcc']['meta_info']
_meta_table['MplsTeStandby.AutoTunnel.Mesh.MeshGroups.MeshGroup.Destination']['meta_info'].parent =_meta_table['MplsTeStandby.AutoTunnel.Mesh.MeshGroups.MeshGroup']['meta_info']
_meta_table['MplsTeStandby.AutoTunnel.Mesh.MeshGroups.MeshGroup']['meta_info'].parent =_meta_table['MplsTeStandby.AutoTunnel.Mesh.MeshGroups']['meta_info']
_meta_table['MplsTeStandby.AutoTunnel.Mesh.OneHop.Interfaces.Interface.Tunnel']['meta_info'].parent =_meta_table['MplsTeStandby.AutoTunnel.Mesh.OneHop.Interfaces.Interface']['meta_info']
_meta_table['MplsTeStandby.AutoTunnel.Mesh.OneHop.Interfaces.Interface']['meta_info'].parent =_meta_table['MplsTeStandby.AutoTunnel.Mesh.OneHop.Interfaces']['meta_info']
_meta_table['MplsTeStandby.AutoTunnel.Mesh.OneHop.Interfaces']['meta_info'].parent =_meta_table['MplsTeStandby.AutoTunnel.Mesh.OneHop']['meta_info']
_meta_table['MplsTeStandby.AutoTunnel.Mesh.OneHop.Statistics']['meta_info'].parent =_meta_table['MplsTeStandby.AutoTunnel.Mesh.OneHop']['meta_info']
_meta_table['MplsTeStandby.AutoTunnel.Mesh.OneHop.Summary']['meta_info'].parent =_meta_table['MplsTeStandby.AutoTunnel.Mesh.OneHop']['meta_info']
_meta_table['MplsTeStandby.AutoTunnel.Mesh.MeshGroups']['meta_info'].parent =_meta_table['MplsTeStandby.AutoTunnel.Mesh']['meta_info']
_meta_table['MplsTeStandby.AutoTunnel.Mesh.Statistics']['meta_info'].parent =_meta_table['MplsTeStandby.AutoTunnel.Mesh']['meta_info']
_meta_table['MplsTeStandby.AutoTunnel.Mesh.Summary']['meta_info'].parent =_meta_table['MplsTeStandby.AutoTunnel.Mesh']['meta_info']
_meta_table['MplsTeStandby.AutoTunnel.Mesh.Config']['meta_info'].parent =_meta_table['MplsTeStandby.AutoTunnel.Mesh']['meta_info']
_meta_table['MplsTeStandby.AutoTunnel.Mesh.OneHop']['meta_info'].parent =_meta_table['MplsTeStandby.AutoTunnel.Mesh']['meta_info']
_meta_table['MplsTeStandby.AutoTunnel.Backup.Tunnels.Tunnel']['meta_info'].parent =_meta_table['MplsTeStandby.AutoTunnel.Backup.Tunnels']['meta_info']
_meta_table['MplsTeStandby.AutoTunnel.Backup.Statistics.Created']['meta_info'].parent =_meta_table['MplsTeStandby.AutoTunnel.Backup.Statistics']['meta_info']
_meta_table['MplsTeStandby.AutoTunnel.Backup.Statistics.Connected']['meta_info'].parent =_meta_table['MplsTeStandby.AutoTunnel.Backup.Statistics']['meta_info']
_meta_table['MplsTeStandby.AutoTunnel.Backup.Statistics.RemovedDown']['meta_info'].parent =_meta_table['MplsTeStandby.AutoTunnel.Backup.Statistics']['meta_info']
_meta_table['MplsTeStandby.AutoTunnel.Backup.Statistics.RemovedUnused']['meta_info'].parent =_meta_table['MplsTeStandby.AutoTunnel.Backup.Statistics']['meta_info']
_meta_table['MplsTeStandby.AutoTunnel.Backup.Statistics.RemovedInUse']['meta_info'].parent =_meta_table['MplsTeStandby.AutoTunnel.Backup.Statistics']['meta_info']
_meta_table['MplsTeStandby.AutoTunnel.Backup.Statistics.RemovedRangeExceeded']['meta_info'].parent =_meta_table['MplsTeStandby.AutoTunnel.Backup.Statistics']['meta_info']
_meta_table['MplsTeStandby.AutoTunnel.Backup.Tunnels']['meta_info'].parent =_meta_table['MplsTeStandby.AutoTunnel.Backup']['meta_info']
_meta_table['MplsTeStandby.AutoTunnel.Backup.Statistics']['meta_info'].parent =_meta_table['MplsTeStandby.AutoTunnel.Backup']['meta_info']
_meta_table['MplsTeStandby.AutoTunnel.Backup.Summary']['meta_info'].parent =_meta_table['MplsTeStandby.AutoTunnel.Backup']['meta_info']
_meta_table['MplsTeStandby.AutoTunnel.Backup.Config']['meta_info'].parent =_meta_table['MplsTeStandby.AutoTunnel.Backup']['meta_info']
_meta_table['MplsTeStandby.AutoTunnel.Pcc']['meta_info'].parent =_meta_table['MplsTeStandby.AutoTunnel']['meta_info']
_meta_table['MplsTeStandby.AutoTunnel.Mesh']['meta_info'].parent =_meta_table['MplsTeStandby.AutoTunnel']['meta_info']
_meta_table['MplsTeStandby.AutoTunnel.Backup']['meta_info'].parent =_meta_table['MplsTeStandby.AutoTunnel']['meta_info']
_meta_table['MplsTeStandby.SoftPreemption.Statistics']['meta_info'].parent =_meta_table['MplsTeStandby.SoftPreemption']['meta_info']
_meta_table['MplsTeStandby.ForwardingAdjacencyDestinations.ForwardingAdjacencyDestination.ForwardAdjacency.IgPs']['meta_info'].parent =_meta_table['MplsTeStandby.ForwardingAdjacencyDestinations.ForwardingAdjacencyDestination.ForwardAdjacency']['meta_info']
_meta_table['MplsTeStandby.ForwardingAdjacencyDestinations.ForwardingAdjacencyDestination.ForwardAdjacency']['meta_info'].parent =_meta_table['MplsTeStandby.ForwardingAdjacencyDestinations.ForwardingAdjacencyDestination']['meta_info']
_meta_table['MplsTeStandby.ForwardingAdjacencyDestinations.ForwardingAdjacencyDestination']['meta_info'].parent =_meta_table['MplsTeStandby.ForwardingAdjacencyDestinations']['meta_info']
_meta_table['MplsTeStandby.IgpAreas.IgpArea.Area.ActiveData.AreaStatistics']['meta_info'].parent =_meta_table['MplsTeStandby.IgpAreas.IgpArea.Area.ActiveData']['meta_info']
_meta_table['MplsTeStandby.IgpAreas.IgpArea.Area.ActiveData']['meta_info'].parent =_meta_table['MplsTeStandby.IgpAreas.IgpArea.Area']['meta_info']
_meta_table['MplsTeStandby.IgpAreas.IgpArea.Area']['meta_info'].parent =_meta_table['MplsTeStandby.IgpAreas.IgpArea']['meta_info']
_meta_table['MplsTeStandby.IgpAreas.IgpArea']['meta_info'].parent =_meta_table['MplsTeStandby.IgpAreas']['meta_info']
_meta_table['MplsTeStandby.WrapProtection.ProtectedLsps.ProtectedLsp']['meta_info'].parent =_meta_table['MplsTeStandby.WrapProtection.ProtectedLsps']['meta_info']
_meta_table['MplsTeStandby.WrapProtection.ProtectedLsps']['meta_info'].parent =_meta_table['MplsTeStandby.WrapProtection']['meta_info']
_meta_table['MplsTeStandby.Topology.Global_.Areas.LocalSidAndSrbg']['meta_info'].parent =_meta_table['MplsTeStandby.Topology.Global_.Areas']['meta_info']
_meta_table['MplsTeStandby.Topology.Global_.Areas']['meta_info'].parent =_meta_table['MplsTeStandby.Topology.Global_']['meta_info']
_meta_table['MplsTeStandby.Topology.DestinationPaths.DestinationPath.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.Topology.DestinationPaths.DestinationPath.Affinity']['meta_info']
_meta_table['MplsTeStandby.Topology.DestinationPaths.DestinationPath.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.Topology.DestinationPaths.DestinationPath']['meta_info']
_meta_table['MplsTeStandby.Topology.DestinationPaths.DestinationPath.SharedRiskLinkGroup']['meta_info'].parent =_meta_table['MplsTeStandby.Topology.DestinationPaths.DestinationPath']['meta_info']
_meta_table['MplsTeStandby.Topology.DestinationPaths.DestinationPath.SrSegment']['meta_info'].parent =_meta_table['MplsTeStandby.Topology.DestinationPaths.DestinationPath']['meta_info']
_meta_table['MplsTeStandby.Topology.DestinationPaths.DestinationPath']['meta_info'].parent =_meta_table['MplsTeStandby.Topology.DestinationPaths']['meta_info']
_meta_table['MplsTeStandby.Topology.ConfiguredSrlgs.ConfiguredSrlg.SrlgLink']['meta_info'].parent =_meta_table['MplsTeStandby.Topology.ConfiguredSrlgs.ConfiguredSrlg']['meta_info']
_meta_table['MplsTeStandby.Topology.ConfiguredSrlgs.ConfiguredSrlg']['meta_info'].parent =_meta_table['MplsTeStandby.Topology.ConfiguredSrlgs']['meta_info']
_meta_table['MplsTeStandby.Topology.Srlgs.Srlg.SrlgAreas.SrlgLink.LinkAddressGeneric.TeAddr.Ipv4UnnumberedAddress']['meta_info'].parent =_meta_table['MplsTeStandby.Topology.Srlgs.Srlg.SrlgAreas.SrlgLink.LinkAddressGeneric.TeAddr']['meta_info']
_meta_table['MplsTeStandby.Topology.Srlgs.Srlg.SrlgAreas.SrlgLink.LinkAddressGeneric.TeAddr']['meta_info'].parent =_meta_table['MplsTeStandby.Topology.Srlgs.Srlg.SrlgAreas.SrlgLink.LinkAddressGeneric']['meta_info']
_meta_table['MplsTeStandby.Topology.Srlgs.Srlg.SrlgAreas.SrlgLink.LinkAddressGeneric']['meta_info'].parent =_meta_table['MplsTeStandby.Topology.Srlgs.Srlg.SrlgAreas.SrlgLink']['meta_info']
_meta_table['MplsTeStandby.Topology.Srlgs.Srlg.SrlgAreas.SrlgLink']['meta_info'].parent =_meta_table['MplsTeStandby.Topology.Srlgs.Srlg.SrlgAreas']['meta_info']
_meta_table['MplsTeStandby.Topology.Srlgs.Srlg.SrlgAreas']['meta_info'].parent =_meta_table['MplsTeStandby.Topology.Srlgs.Srlg']['meta_info']
_meta_table['MplsTeStandby.Topology.Srlgs.Srlg']['meta_info'].parent =_meta_table['MplsTeStandby.Topology.Srlgs']['meta_info']
_meta_table['MplsTeStandby.Topology.PathTunnels.PathTunnel.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.Topology.PathTunnels.PathTunnel.Affinity']['meta_info']
_meta_table['MplsTeStandby.Topology.PathTunnels.PathTunnel.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.Topology.PathTunnels.PathTunnel']['meta_info']
_meta_table['MplsTeStandby.Topology.PathTunnels.PathTunnel.SharedRiskLinkGroup']['meta_info'].parent =_meta_table['MplsTeStandby.Topology.PathTunnels.PathTunnel']['meta_info']
_meta_table['MplsTeStandby.Topology.PathTunnels.PathTunnel.SrSegment']['meta_info'].parent =_meta_table['MplsTeStandby.Topology.PathTunnels.PathTunnel']['meta_info']
_meta_table['MplsTeStandby.Topology.PathTunnels.PathTunnel']['meta_info'].parent =_meta_table['MplsTeStandby.Topology.PathTunnels']['meta_info']
_meta_table['MplsTeStandby.Topology.Global_']['meta_info'].parent =_meta_table['MplsTeStandby.Topology']['meta_info']
_meta_table['MplsTeStandby.Topology.DestinationPaths']['meta_info'].parent =_meta_table['MplsTeStandby.Topology']['meta_info']
_meta_table['MplsTeStandby.Topology.ConfiguredSrlgs']['meta_info'].parent =_meta_table['MplsTeStandby.Topology']['meta_info']
_meta_table['MplsTeStandby.Topology.Srlgs']['meta_info'].parent =_meta_table['MplsTeStandby.Topology']['meta_info']
_meta_table['MplsTeStandby.Topology.PathTunnels']['meta_info'].parent =_meta_table['MplsTeStandby.Topology']['meta_info']
_meta_table['MplsTeStandby.SignallingCounters.HeadsCounters.HeadsCounter.DestinationStatistic.S2LStatistic.Statistics']['meta_info'].parent =_meta_table['MplsTeStandby.SignallingCounters.HeadsCounters.HeadsCounter.DestinationStatistic.S2LStatistic']['meta_info']
_meta_table['MplsTeStandby.SignallingCounters.HeadsCounters.HeadsCounter.DestinationStatistic.Statistics']['meta_info'].parent =_meta_table['MplsTeStandby.SignallingCounters.HeadsCounters.HeadsCounter.DestinationStatistic']['meta_info']
_meta_table['MplsTeStandby.SignallingCounters.HeadsCounters.HeadsCounter.DestinationStatistic.S2LStatistic']['meta_info'].parent =_meta_table['MplsTeStandby.SignallingCounters.HeadsCounters.HeadsCounter.DestinationStatistic']['meta_info']
_meta_table['MplsTeStandby.SignallingCounters.HeadsCounters.HeadsCounter.Statistics']['meta_info'].parent =_meta_table['MplsTeStandby.SignallingCounters.HeadsCounters.HeadsCounter']['meta_info']
_meta_table['MplsTeStandby.SignallingCounters.HeadsCounters.HeadsCounter.DestinationStatistic']['meta_info'].parent =_meta_table['MplsTeStandby.SignallingCounters.HeadsCounters.HeadsCounter']['meta_info']
_meta_table['MplsTeStandby.SignallingCounters.HeadsCounters.HeadsCounter']['meta_info'].parent =_meta_table['MplsTeStandby.SignallingCounters.HeadsCounters']['meta_info']
_meta_table['MplsTeStandby.SignallingCounters.MidsCounters.MidsCounter.S2LStatistic.Statistics']['meta_info'].parent =_meta_table['MplsTeStandby.SignallingCounters.MidsCounters.MidsCounter.S2LStatistic']['meta_info']
_meta_table['MplsTeStandby.SignallingCounters.MidsCounters.MidsCounter.Statistics']['meta_info'].parent =_meta_table['MplsTeStandby.SignallingCounters.MidsCounters.MidsCounter']['meta_info']
_meta_table['MplsTeStandby.SignallingCounters.MidsCounters.MidsCounter.S2LStatistic']['meta_info'].parent =_meta_table['MplsTeStandby.SignallingCounters.MidsCounters.MidsCounter']['meta_info']
_meta_table['MplsTeStandby.SignallingCounters.MidsCounters.MidsCounter']['meta_info'].parent =_meta_table['MplsTeStandby.SignallingCounters.MidsCounters']['meta_info']
_meta_table['MplsTeStandby.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter.DestinationStatistic.S2LStatistic.Statistics']['meta_info'].parent =_meta_table['MplsTeStandby.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter.DestinationStatistic.S2LStatistic']['meta_info']
_meta_table['MplsTeStandby.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter.DestinationStatistic.Statistics']['meta_info'].parent =_meta_table['MplsTeStandby.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter.DestinationStatistic']['meta_info']
_meta_table['MplsTeStandby.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter.DestinationStatistic.S2LStatistic']['meta_info'].parent =_meta_table['MplsTeStandby.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter.DestinationStatistic']['meta_info']
_meta_table['MplsTeStandby.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter.Statistics']['meta_info'].parent =_meta_table['MplsTeStandby.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter']['meta_info']
_meta_table['MplsTeStandby.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter.DestinationStatistic']['meta_info'].parent =_meta_table['MplsTeStandby.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter']['meta_info']
_meta_table['MplsTeStandby.SignallingCounters.HeadSignallingCounters.HeadSignallingCounter']['meta_info'].parent =_meta_table['MplsTeStandby.SignallingCounters.HeadSignallingCounters']['meta_info']
_meta_table['MplsTeStandby.SignallingCounters.RemoteSignallingCounters.RemoteSignallingCounter.S2LStatistic.Statistics']['meta_info'].parent =_meta_table['MplsTeStandby.SignallingCounters.RemoteSignallingCounters.RemoteSignallingCounter.S2LStatistic']['meta_info']
_meta_table['MplsTeStandby.SignallingCounters.RemoteSignallingCounters.RemoteSignallingCounter.Statistics']['meta_info'].parent =_meta_table['MplsTeStandby.SignallingCounters.RemoteSignallingCounters.RemoteSignallingCounter']['meta_info']
_meta_table['MplsTeStandby.SignallingCounters.RemoteSignallingCounters.RemoteSignallingCounter.S2LStatistic']['meta_info'].parent =_meta_table['MplsTeStandby.SignallingCounters.RemoteSignallingCounters.RemoteSignallingCounter']['meta_info']
_meta_table['MplsTeStandby.SignallingCounters.RemoteSignallingCounters.RemoteSignallingCounter']['meta_info'].parent =_meta_table['MplsTeStandby.SignallingCounters.RemoteSignallingCounters']['meta_info']
_meta_table['MplsTeStandby.SignallingCounters.TailsCounters.TailsCounter.S2LStatistic.Statistics']['meta_info'].parent =_meta_table['MplsTeStandby.SignallingCounters.TailsCounters.TailsCounter.S2LStatistic']['meta_info']
_meta_table['MplsTeStandby.SignallingCounters.TailsCounters.TailsCounter.Statistics']['meta_info'].parent =_meta_table['MplsTeStandby.SignallingCounters.TailsCounters.TailsCounter']['meta_info']
_meta_table['MplsTeStandby.SignallingCounters.TailsCounters.TailsCounter.S2LStatistic']['meta_info'].parent =_meta_table['MplsTeStandby.SignallingCounters.TailsCounters.TailsCounter']['meta_info']
_meta_table['MplsTeStandby.SignallingCounters.TailsCounters.TailsCounter']['meta_info'].parent =_meta_table['MplsTeStandby.SignallingCounters.TailsCounters']['meta_info']
_meta_table['MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif.DestinationStatistic.S2LStatistic.Statistics']['meta_info'].parent =_meta_table['MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif.DestinationStatistic.S2LStatistic']['meta_info']
_meta_table['MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif.DestinationStatistic.Statistics']['meta_info'].parent =_meta_table['MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif.DestinationStatistic']['meta_info']
_meta_table['MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif.DestinationStatistic.S2LStatistic']['meta_info'].parent =_meta_table['MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif.DestinationStatistic']['meta_info']
_meta_table['MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif.Statistics']['meta_info'].parent =_meta_table['MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif']['meta_info']
_meta_table['MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif.DestinationStatistic']['meta_info'].parent =_meta_table['MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif']['meta_info']
_meta_table['MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterLsp.S2LStatistic.Statistics']['meta_info'].parent =_meta_table['MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterLsp.S2LStatistic']['meta_info']
_meta_table['MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterLsp.Statistics']['meta_info'].parent =_meta_table['MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterLsp']['meta_info']
_meta_table['MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterLsp.S2LStatistic']['meta_info'].parent =_meta_table['MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterLsp']['meta_info']
_meta_table['MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterVif']['meta_info'].parent =_meta_table['MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData']['meta_info']
_meta_table['MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData.TeSignallingFilterLsp']['meta_info'].parent =_meta_table['MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData']['meta_info']
_meta_table['MplsTeStandby.SignallingCounters.Signallings.Signalling.TeSignallingFilterData']['meta_info'].parent =_meta_table['MplsTeStandby.SignallingCounters.Signallings.Signalling']['meta_info']
_meta_table['MplsTeStandby.SignallingCounters.Signallings.Signalling']['meta_info'].parent =_meta_table['MplsTeStandby.SignallingCounters.Signallings']['meta_info']
_meta_table['MplsTeStandby.SignallingCounters.Issu']['meta_info'].parent =_meta_table['MplsTeStandby.SignallingCounters']['meta_info']
_meta_table['MplsTeStandby.SignallingCounters.HeadsCounters']['meta_info'].parent =_meta_table['MplsTeStandby.SignallingCounters']['meta_info']
_meta_table['MplsTeStandby.SignallingCounters.MidsCounters']['meta_info'].parent =_meta_table['MplsTeStandby.SignallingCounters']['meta_info']
_meta_table['MplsTeStandby.SignallingCounters.HeadSignallingCounters']['meta_info'].parent =_meta_table['MplsTeStandby.SignallingCounters']['meta_info']
_meta_table['MplsTeStandby.SignallingCounters.RemoteSignallingCounters']['meta_info'].parent =_meta_table['MplsTeStandby.SignallingCounters']['meta_info']
_meta_table['MplsTeStandby.SignallingCounters.TailsCounters']['meta_info'].parent =_meta_table['MplsTeStandby.SignallingCounters']['meta_info']
_meta_table['MplsTeStandby.SignallingCounters.Signallings']['meta_info'].parent =_meta_table['MplsTeStandby.SignallingCounters']['meta_info']
_meta_table['MplsTeStandby.SignallingCounters.SignallingSummary']['meta_info'].parent =_meta_table['MplsTeStandby.SignallingCounters']['meta_info']
_meta_table['MplsTeStandby.DiffServTeClasses.TeClass']['meta_info'].parent =_meta_table['MplsTeStandby.DiffServTeClasses']['meta_info']
_meta_table['MplsTeStandby.Issu.Status.SyncStatusInformation.SlaveSyncInformation.Idt.CurrentIdtInfo']['meta_info'].parent =_meta_table['MplsTeStandby.Issu.Status.SyncStatusInformation.SlaveSyncInformation.Idt']['meta_info']
_meta_table['MplsTeStandby.Issu.Status.SyncStatusInformation.SlaveSyncInformation.Idt.PreviousIdtStatus']['meta_info'].parent =_meta_table['MplsTeStandby.Issu.Status.SyncStatusInformation.SlaveSyncInformation.Idt']['meta_info']
_meta_table['MplsTeStandby.Issu.Status.SyncStatusInformation.SlaveSyncInformation.Idt']['meta_info'].parent =_meta_table['MplsTeStandby.Issu.Status.SyncStatusInformation.SlaveSyncInformation']['meta_info']
_meta_table['MplsTeStandby.Issu.Status.SyncStatusInformation.SlaveSyncInformation.VifPending']['meta_info'].parent =_meta_table['MplsTeStandby.Issu.Status.SyncStatusInformation.SlaveSyncInformation']['meta_info']
_meta_table['MplsTeStandby.Issu.Status.SyncStatusInformation.SlaveSyncInformation.S2LPending']['meta_info'].parent =_meta_table['MplsTeStandby.Issu.Status.SyncStatusInformation.SlaveSyncInformation']['meta_info']
_meta_table['MplsTeStandby.Issu.Status.SyncStatusInformation.MasterSyncInformation.Idt.CurrentIdtInfo']['meta_info'].parent =_meta_table['MplsTeStandby.Issu.Status.SyncStatusInformation.MasterSyncInformation.Idt']['meta_info']
_meta_table['MplsTeStandby.Issu.Status.SyncStatusInformation.MasterSyncInformation.Idt.PreviousIdtStatus']['meta_info'].parent =_meta_table['MplsTeStandby.Issu.Status.SyncStatusInformation.MasterSyncInformation.Idt']['meta_info']
_meta_table['MplsTeStandby.Issu.Status.SyncStatusInformation.MasterSyncInformation.Idt']['meta_info'].parent =_meta_table['MplsTeStandby.Issu.Status.SyncStatusInformation.MasterSyncInformation']['meta_info']
_meta_table['MplsTeStandby.Issu.Status.SyncStatusInformation.SlaveSyncInformation']['meta_info'].parent =_meta_table['MplsTeStandby.Issu.Status.SyncStatusInformation']['meta_info']
_meta_table['MplsTeStandby.Issu.Status.SyncStatusInformation.MasterSyncInformation']['meta_info'].parent =_meta_table['MplsTeStandby.Issu.Status.SyncStatusInformation']['meta_info']
_meta_table['MplsTeStandby.Issu.Status.SyncStatusInformation']['meta_info'].parent =_meta_table['MplsTeStandby.Issu.Status']['meta_info']
_meta_table['MplsTeStandby.Issu.Detail.SyncStatusInformation.SlaveSyncInformation.Idt.CurrentIdtInfo']['meta_info'].parent =_meta_table['MplsTeStandby.Issu.Detail.SyncStatusInformation.SlaveSyncInformation.Idt']['meta_info']
_meta_table['MplsTeStandby.Issu.Detail.SyncStatusInformation.SlaveSyncInformation.Idt.PreviousIdtStatus']['meta_info'].parent =_meta_table['MplsTeStandby.Issu.Detail.SyncStatusInformation.SlaveSyncInformation.Idt']['meta_info']
_meta_table['MplsTeStandby.Issu.Detail.SyncStatusInformation.SlaveSyncInformation.Idt']['meta_info'].parent =_meta_table['MplsTeStandby.Issu.Detail.SyncStatusInformation.SlaveSyncInformation']['meta_info']
_meta_table['MplsTeStandby.Issu.Detail.SyncStatusInformation.SlaveSyncInformation.VifPending']['meta_info'].parent =_meta_table['MplsTeStandby.Issu.Detail.SyncStatusInformation.SlaveSyncInformation']['meta_info']
_meta_table['MplsTeStandby.Issu.Detail.SyncStatusInformation.SlaveSyncInformation.S2LPending']['meta_info'].parent =_meta_table['MplsTeStandby.Issu.Detail.SyncStatusInformation.SlaveSyncInformation']['meta_info']
_meta_table['MplsTeStandby.Issu.Detail.SyncStatusInformation.MasterSyncInformation.Idt.CurrentIdtInfo']['meta_info'].parent =_meta_table['MplsTeStandby.Issu.Detail.SyncStatusInformation.MasterSyncInformation.Idt']['meta_info']
_meta_table['MplsTeStandby.Issu.Detail.SyncStatusInformation.MasterSyncInformation.Idt.PreviousIdtStatus']['meta_info'].parent =_meta_table['MplsTeStandby.Issu.Detail.SyncStatusInformation.MasterSyncInformation.Idt']['meta_info']
_meta_table['MplsTeStandby.Issu.Detail.SyncStatusInformation.MasterSyncInformation.Idt']['meta_info'].parent =_meta_table['MplsTeStandby.Issu.Detail.SyncStatusInformation.MasterSyncInformation']['meta_info']
_meta_table['MplsTeStandby.Issu.Detail.SyncStatusInformation.SlaveSyncInformation']['meta_info'].parent =_meta_table['MplsTeStandby.Issu.Detail.SyncStatusInformation']['meta_info']
_meta_table['MplsTeStandby.Issu.Detail.SyncStatusInformation.MasterSyncInformation']['meta_info'].parent =_meta_table['MplsTeStandby.Issu.Detail.SyncStatusInformation']['meta_info']
_meta_table['MplsTeStandby.Issu.Detail.SyncStatusInformation']['meta_info'].parent =_meta_table['MplsTeStandby.Issu.Detail']['meta_info']
_meta_table['MplsTeStandby.Issu.Status']['meta_info'].parent =_meta_table['MplsTeStandby.Issu']['meta_info']
_meta_table['MplsTeStandby.Issu.Detail']['meta_info'].parent =_meta_table['MplsTeStandby.Issu']['meta_info']
_meta_table['MplsTeStandby.FastReroute.BackupTunnels.BackupTunnel']['meta_info'].parent =_meta_table['MplsTeStandby.FastReroute.BackupTunnels']['meta_info']
_meta_table['MplsTeStandby.FastReroute.ProtectedInterfaces.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTeStandby.FastReroute.ProtectedInterfaces']['meta_info']
_meta_table['MplsTeStandby.FastReroute.Protections.Protection']['meta_info'].parent =_meta_table['MplsTeStandby.FastReroute.Protections']['meta_info']
_meta_table['MplsTeStandby.FastReroute.BackupTunnels']['meta_info'].parent =_meta_table['MplsTeStandby.FastReroute']['meta_info']
_meta_table['MplsTeStandby.FastReroute.ProtectedInterfaces']['meta_info'].parent =_meta_table['MplsTeStandby.FastReroute']['meta_info']
_meta_table['MplsTeStandby.FastReroute.Protections']['meta_info'].parent =_meta_table['MplsTeStandby.FastReroute']['meta_info']
_meta_table['MplsTeStandby.FastReroute.Promotion']['meta_info'].parent =_meta_table['MplsTeStandby.FastReroute']['meta_info']
_meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info']
_meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetPathOption.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetPathOption.BfdReversePath']['meta_info'].parent =_meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetPathOption.VersionInfo']['meta_info'].parent =_meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info']
_meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info']
_meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.SignalledName']['meta_info'].parent =_meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup.ProtectedInterface']['meta_info'].parent =_meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info']
_meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info']
_meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutomesh.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info']
_meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info']
_meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject.Fec']['meta_info'].parent =_meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info']
_meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv4Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.Ipv6Subobject']['meta_info'].parent =_meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.UnnumberedSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.AsSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.SrlgSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject.LspSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info']
_meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro.XroSubobject']['meta_info'].parent =_meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info']
_meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro.Xro']['meta_info'].parent =_meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info']
_meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info']
_meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info']
_meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetApsPp.RevertSchedule']['meta_info'].parent =_meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info']
_meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity.NamedAffinity']['meta_info'].parent =_meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info']
_meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList.PrependEntry']['meta_info'].parent =_meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info']
_meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Affinity']['meta_info'].parent =_meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.Logging']['meta_info'].parent =_meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe.PrependList']['meta_info'].parent =_meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info']
_meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetPathOption']['meta_info'].parent =_meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutobackup']['meta_info'].parent =_meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetAutomesh']['meta_info'].parent =_meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetXro']['meta_info'].parent =_meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2Mpte']['meta_info'].parent =_meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetApsPp']['meta_info'].parent =_meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion.AttributeSetP2PTe']['meta_info'].parent =_meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion']['meta_info']
_meta_table['MplsTeStandby.AttributeSets.AttributeSet.AttributeSetUnion']['meta_info'].parent =_meta_table['MplsTeStandby.AttributeSets.AttributeSet']['meta_info']
_meta_table['MplsTeStandby.AttributeSets.AttributeSet']['meta_info'].parent =_meta_table['MplsTeStandby.AttributeSets']['meta_info']
_meta_table['MplsTeStandby.IgpAreaBriefs.IgpAreaBrief.Area.ActiveData.AreaStatistics']['meta_info'].parent =_meta_table['MplsTeStandby.IgpAreaBriefs.IgpAreaBrief.Area.ActiveData']['meta_info']
_meta_table['MplsTeStandby.IgpAreaBriefs.IgpAreaBrief.Area.ActiveData']['meta_info'].parent =_meta_table['MplsTeStandby.IgpAreaBriefs.IgpAreaBrief.Area']['meta_info']
_meta_table['MplsTeStandby.IgpAreaBriefs.IgpAreaBrief.Area']['meta_info'].parent =_meta_table['MplsTeStandby.IgpAreaBriefs.IgpAreaBrief']['meta_info']
_meta_table['MplsTeStandby.IgpAreaBriefs.IgpAreaBrief']['meta_info'].parent =_meta_table['MplsTeStandby.IgpAreaBriefs']['meta_info']
_meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.FlexInfo.FlexFec']['meta_info'].parent =_meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.FlexInfo']['meta_info']
_meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp.ReverseLspFec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp.ReverseLspFec']['meta_info']
_meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp.ReverseLspFec']['meta_info'].parent =_meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp']['meta_info']
_meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp.Association']['meta_info'].parent =_meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp']['meta_info']
_meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp.Protection']['meta_info'].parent =_meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp']['meta_info']
_meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.LspHop.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.LspHop']['meta_info']
_meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.LspHop.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.LspHop']['meta_info']
_meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.FlexInfo']['meta_info'].parent =_meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp']['meta_info']
_meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.Association']['meta_info'].parent =_meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp']['meta_info']
_meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.Protection']['meta_info'].parent =_meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp']['meta_info']
_meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.ReverseLsp']['meta_info'].parent =_meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp']['meta_info']
_meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp.LspHop']['meta_info'].parent =_meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp']['meta_info']
_meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.FlexInfo.FlexFec']['meta_info'].parent =_meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.FlexInfo']['meta_info']
_meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp.ReverseLspFec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp.ReverseLspFec']['meta_info']
_meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp.ReverseLspFec']['meta_info'].parent =_meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp']['meta_info']
_meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp.Association']['meta_info'].parent =_meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp']['meta_info']
_meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp.Protection']['meta_info'].parent =_meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp']['meta_info']
_meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.LspHop.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.LspHop']['meta_info']
_meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.LspHop.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.LspHop']['meta_info']
_meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.FlexInfo']['meta_info'].parent =_meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp']['meta_info']
_meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.Association']['meta_info'].parent =_meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp']['meta_info']
_meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.Protection']['meta_info'].parent =_meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp']['meta_info']
_meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.ReverseLsp']['meta_info'].parent =_meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp']['meta_info']
_meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp.LspHop']['meta_info'].parent =_meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp']['meta_info']
_meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.WorkingLsp']['meta_info'].parent =_meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp']['meta_info']
_meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp.ProtectLsp']['meta_info'].parent =_meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp']['meta_info']
_meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps.TunnelFlexLsp']['meta_info'].parent =_meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps']['meta_info']
_meta_table['MplsTeStandby.Tunnels.TunnelAutoBandwidths.TunnelAutoBandwidth.AutoBandwidthStatus']['meta_info'].parent =_meta_table['MplsTeStandby.Tunnels.TunnelAutoBandwidths.TunnelAutoBandwidth']['meta_info']
_meta_table['MplsTeStandby.Tunnels.TunnelAutoBandwidths.TunnelAutoBandwidth']['meta_info'].parent =_meta_table['MplsTeStandby.Tunnels.TunnelAutoBandwidths']['meta_info']
_meta_table['MplsTeStandby.Tunnels.Summary.CurrentTunnelConvergenceSummary.TablePathOut']['meta_info'].parent =_meta_table['MplsTeStandby.Tunnels.Summary.CurrentTunnelConvergenceSummary']['meta_info']
_meta_table['MplsTeStandby.Tunnels.Summary.CurrentTunnelConvergenceSummary.TableResvIn']['meta_info'].parent =_meta_table['MplsTeStandby.Tunnels.Summary.CurrentTunnelConvergenceSummary']['meta_info']
_meta_table['MplsTeStandby.Tunnels.Summary.CurrentTunnelConvergenceSummary.TableLabelRewrite']['meta_info'].parent =_meta_table['MplsTeStandby.Tunnels.Summary.CurrentTunnelConvergenceSummary']['meta_info']
_meta_table['MplsTeStandby.Tunnels.Summary.CurrentTunnelConvergenceSummary.TablePcalc']['meta_info'].parent =_meta_table['MplsTeStandby.Tunnels.Summary.CurrentTunnelConvergenceSummary']['meta_info']
_meta_table['MplsTeStandby.Tunnels.Summary.CurrentTunnelConvergenceSummary.TableTunnelRewrite']['meta_info'].parent =_meta_table['MplsTeStandby.Tunnels.Summary.CurrentTunnelConvergenceSummary']['meta_info']
_meta_table['MplsTeStandby.Tunnels.Summary.CurrentTunnelConvergenceSummary.TableFrrTrigger']['meta_info'].parent =_meta_table['MplsTeStandby.Tunnels.Summary.CurrentTunnelConvergenceSummary']['meta_info']
_meta_table['MplsTeStandby.Tunnels.Summary.LastTunnelConvergenceSummary.TablePathOut']['meta_info'].parent =_meta_table['MplsTeStandby.Tunnels.Summary.LastTunnelConvergenceSummary']['meta_info']
_meta_table['MplsTeStandby.Tunnels.Summary.LastTunnelConvergenceSummary.TableResvIn']['meta_info'].parent =_meta_table['MplsTeStandby.Tunnels.Summary.LastTunnelConvergenceSummary']['meta_info']
_meta_table['MplsTeStandby.Tunnels.Summary.LastTunnelConvergenceSummary.TableLabelRewrite']['meta_info'].parent =_meta_table['MplsTeStandby.Tunnels.Summary.LastTunnelConvergenceSummary']['meta_info']
_meta_table['MplsTeStandby.Tunnels.Summary.LastTunnelConvergenceSummary.TablePcalc']['meta_info'].parent =_meta_table['MplsTeStandby.Tunnels.Summary.LastTunnelConvergenceSummary']['meta_info']
_meta_table['MplsTeStandby.Tunnels.Summary.LastTunnelConvergenceSummary.TableTunnelRewrite']['meta_info'].parent =_meta_table['MplsTeStandby.Tunnels.Summary.LastTunnelConvergenceSummary']['meta_info']
_meta_table['MplsTeStandby.Tunnels.Summary.LastTunnelConvergenceSummary.TableFrrTrigger']['meta_info'].parent =_meta_table['MplsTeStandby.Tunnels.Summary.LastTunnelConvergenceSummary']['meta_info']
_meta_table['MplsTeStandby.Tunnels.Summary.AutoTunServerSummary.ClientsSummary.P2MpInfo']['meta_info'].parent =_meta_table['MplsTeStandby.Tunnels.Summary.AutoTunServerSummary.ClientsSummary']['meta_info']
_meta_table['MplsTeStandby.Tunnels.Summary.AutoTunServerSummary.ClientsSummary.P2PInfo']['meta_info'].parent =_meta_table['MplsTeStandby.Tunnels.Summary.AutoTunServerSummary.ClientsSummary']['meta_info']
_meta_table['MplsTeStandby.Tunnels.Summary.AutoTunServerSummary.TotalAutoP2MpTunnels']['meta_info'].parent =_meta_table['MplsTeStandby.Tunnels.Summary.AutoTunServerSummary']['meta_info']
_meta_table['MplsTeStandby.Tunnels.Summary.AutoTunServerSummary.TotalAutoP2PTunnels']['meta_info'].parent =_meta_table['MplsTeStandby.Tunnels.Summary.AutoTunServerSummary']['meta_info']
_meta_table['MplsTeStandby.Tunnels.Summary.AutoTunServerSummary.ClientsSummary']['meta_info'].parent =_meta_table['MplsTeStandby.Tunnels.Summary.AutoTunServerSummary']['meta_info']
_meta_table['MplsTeStandby.Tunnels.Summary.AutobackupSummary']['meta_info'].parent =_meta_table['MplsTeStandby.Tunnels.Summary']['meta_info']
_meta_table['MplsTeStandby.Tunnels.Summary.AutoMeshSummary']['meta_info'].parent =_meta_table['MplsTeStandby.Tunnels.Summary']['meta_info']
_meta_table['MplsTeStandby.Tunnels.Summary.AutoMeshOneHopSummary']['meta_info'].parent =_meta_table['MplsTeStandby.Tunnels.Summary']['meta_info']
_meta_table['MplsTeStandby.Tunnels.Summary.GmplsUniSummary']['meta_info'].parent =_meta_table['MplsTeStandby.Tunnels.Summary']['meta_info']
_meta_table['MplsTeStandby.Tunnels.Summary.GmplsNniSummary']['meta_info'].parent =_meta_table['MplsTeStandby.Tunnels.Summary']['meta_info']
_meta_table['MplsTeStandby.Tunnels.Summary.CurrentTunnelConvergenceSummary']['meta_info'].parent =_meta_table['MplsTeStandby.Tunnels.Summary']['meta_info']
_meta_table['MplsTeStandby.Tunnels.Summary.LastTunnelConvergenceSummary']['meta_info'].parent =_meta_table['MplsTeStandby.Tunnels.Summary']['meta_info']
_meta_table['MplsTeStandby.Tunnels.Summary.AutoTunServerSummary']['meta_info'].parent =_meta_table['MplsTeStandby.Tunnels.Summary']['meta_info']
_meta_table['MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.PathProtection.Switchover']['meta_info'].parent =_meta_table['MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.PathProtection']['meta_info']
_meta_table['MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.CurrentLsp.LspHop.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.CurrentLsp.LspHop']['meta_info']
_meta_table['MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.CurrentLsp.LspHop.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.CurrentLsp.LspHop']['meta_info']
_meta_table['MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.CurrentLsp.SrlspOutgoingInfo']['meta_info'].parent =_meta_table['MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.CurrentLsp']['meta_info']
_meta_table['MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.CurrentLsp.LspHop']['meta_info'].parent =_meta_table['MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.CurrentLsp']['meta_info']
_meta_table['MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.StandbyLsp.LspHop.Ipv4EroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.StandbyLsp.LspHop']['meta_info']
_meta_table['MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.StandbyLsp.LspHop.UnnumberedEroSubObject']['meta_info'].parent =_meta_table['MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.StandbyLsp.LspHop']['meta_info']
_meta_table['MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.StandbyLsp.SrlspOutgoingInfo']['meta_info'].parent =_meta_table['MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.StandbyLsp']['meta_info']
_meta_table['MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.StandbyLsp.LspHop']['meta_info'].parent =_meta_table['MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.StandbyLsp']['meta_info']
_meta_table['MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.PathProtection']['meta_info'].parent =_meta_table['MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection']['meta_info']
_meta_table['MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.CurrentLsp']['meta_info'].parent =_meta_table['MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection']['meta_info']
_meta_table['MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection.StandbyLsp']['meta_info'].parent =_meta_table['MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection']['meta_info']
_meta_table['MplsTeStandby.Tunnels.TunnelPathProtections.TunnelPathProtection']['meta_info'].parent =_meta_table['MplsTeStandby.Tunnels.TunnelPathProtections']['meta_info']
_meta_table['MplsTeStandby.Tunnels.TunnelFlexLsps']['meta_info'].parent =_meta_table['MplsTeStandby.Tunnels']['meta_info']
_meta_table['MplsTeStandby.Tunnels.TunnelAutoBandwidths']['meta_info'].parent =_meta_table['MplsTeStandby.Tunnels']['meta_info']
_meta_table['MplsTeStandby.Tunnels.Summary']['meta_info'].parent =_meta_table['MplsTeStandby.Tunnels']['meta_info']
_meta_table['MplsTeStandby.Tunnels.TunnelPathProtections']['meta_info'].parent =_meta_table['MplsTeStandby.Tunnels']['meta_info']
_meta_table['MplsTeStandby.PathProtection.SwitchoverLog.PathProtectionSwitchoverEntry']['meta_info'].parent =_meta_table['MplsTeStandby.PathProtection.SwitchoverLog']['meta_info']
_meta_table['MplsTeStandby.PathProtection.SwitchoverLog']['meta_info'].parent =_meta_table['MplsTeStandby.PathProtection']['meta_info']
_meta_table['MplsTeStandby.FibNextHopLabelRoutes.FibNextHopLabelRoute.TargetAddress']['meta_info'].parent =_meta_table['MplsTeStandby.FibNextHopLabelRoutes.FibNextHopLabelRoute']['meta_info']
_meta_table['MplsTeStandby.FibNextHopLabelRoutes.FibNextHopLabelRoute.NextHopPath']['meta_info'].parent =_meta_table['MplsTeStandby.FibNextHopLabelRoutes.FibNextHopLabelRoute']['meta_info']
_meta_table['MplsTeStandby.FibNextHopLabelRoutes.FibNextHopLabelRoute']['meta_info'].parent =_meta_table['MplsTeStandby.FibNextHopLabelRoutes']['meta_info']
_meta_table['MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_.P2PTunnelRewrite.PrimaryS2L']['meta_info'].parent =_meta_table['MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_.P2PTunnelRewrite']['meta_info']
_meta_table['MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_.P2PTunnelRewrite.BackupTunnelRewrite']['meta_info'].parent =_meta_table['MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_.P2PTunnelRewrite']['meta_info']
_meta_table['MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_.P2PTunnelRewrite']['meta_info'].parent =_meta_table['MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_']['meta_info']
_meta_table['MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_.P2MpTunnelRewrite']['meta_info'].parent =_meta_table['MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_']['meta_info']
_meta_table['MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite.TunnelRewrite_']['meta_info'].parent =_meta_table['MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite']['meta_info']
_meta_table['MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_.P2PTunnelRewrite.PrimaryS2L']['meta_info'].parent =_meta_table['MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_.P2PTunnelRewrite']['meta_info']
_meta_table['MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_.P2PTunnelRewrite.BackupTunnelRewrite']['meta_info'].parent =_meta_table['MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_.P2PTunnelRewrite']['meta_info']
_meta_table['MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_.P2PTunnelRewrite']['meta_info'].parent =_meta_table['MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_']['meta_info']
_meta_table['MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_.P2MpTunnelRewrite']['meta_info'].parent =_meta_table['MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_']['meta_info']
_meta_table['MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite.TunnelRewrite_']['meta_info'].parent =_meta_table['MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite']['meta_info']
_meta_table['MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_.P2PTunnelRewrite.PrimaryS2L']['meta_info'].parent =_meta_table['MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_.P2PTunnelRewrite']['meta_info']
_meta_table['MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_.P2PTunnelRewrite.BackupTunnelRewrite']['meta_info'].parent =_meta_table['MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_.P2PTunnelRewrite']['meta_info']
_meta_table['MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_.P2PTunnelRewrite']['meta_info'].parent =_meta_table['MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_']['meta_info']
_meta_table['MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_.P2MpTunnelRewrite']['meta_info'].parent =_meta_table['MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_']['meta_info']
_meta_table['MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite.TunnelRewrite_']['meta_info'].parent =_meta_table['MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite']['meta_info']
_meta_table['MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.SuccessfulRewrite']['meta_info'].parent =_meta_table['MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite']['meta_info']
_meta_table['MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.FailedRewrite']['meta_info'].parent =_meta_table['MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite']['meta_info']
_meta_table['MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite.PendingRewrite']['meta_info'].parent =_meta_table['MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite']['meta_info']
_meta_table['MplsTeStandby.P2Mp.TunnelRewrites.TunnelRewrite']['meta_info'].parent =_meta_table['MplsTeStandby.P2Mp.TunnelRewrites']['meta_info']
_meta_table['MplsTeStandby.P2Mp.CollaboratorTimers.P2MpTimer']['meta_info'].parent =_meta_table['MplsTeStandby.P2Mp.CollaboratorTimers']['meta_info']
_meta_table['MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.Subfamily.LspFec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.Subfamily.LspFec']['meta_info']
_meta_table['MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.Subfamily.LspFec']['meta_info'].parent =_meta_table['MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.Subfamily']['meta_info']
_meta_table['MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.SuccessfulRewrite.PrimaryS2L']['meta_info'].parent =_meta_table['MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.SuccessfulRewrite']['meta_info']
_meta_table['MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.SuccessfulRewrite.BackupTunnelRewrite']['meta_info'].parent =_meta_table['MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.SuccessfulRewrite']['meta_info']
_meta_table['MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.FailedRewrite.PrimaryS2L']['meta_info'].parent =_meta_table['MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.FailedRewrite']['meta_info']
_meta_table['MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.FailedRewrite.BackupTunnelRewrite']['meta_info'].parent =_meta_table['MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.FailedRewrite']['meta_info']
_meta_table['MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.PendingRewrite.PrimaryS2L']['meta_info'].parent =_meta_table['MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.PendingRewrite']['meta_info']
_meta_table['MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.PendingRewrite.BackupTunnelRewrite']['meta_info'].parent =_meta_table['MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.PendingRewrite']['meta_info']
_meta_table['MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.Subfamily']['meta_info'].parent =_meta_table['MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite']['meta_info']
_meta_table['MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.SuccessfulRewrite']['meta_info'].parent =_meta_table['MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite']['meta_info']
_meta_table['MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.FailedRewrite']['meta_info'].parent =_meta_table['MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite']['meta_info']
_meta_table['MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite.PendingRewrite']['meta_info'].parent =_meta_table['MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite']['meta_info']
_meta_table['MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LOutputRewrite']['meta_info'].parent =_meta_table['MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite']['meta_info']
_meta_table['MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2L']['meta_info'].parent =_meta_table['MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite']['meta_info']
_meta_table['MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite.S2LsrPath']['meta_info'].parent =_meta_table['MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite']['meta_info']
_meta_table['MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites.ForwardingOutputLabelRewrite']['meta_info'].parent =_meta_table['MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites']['meta_info']
_meta_table['MplsTeStandby.P2Mp.TunnelRewrites']['meta_info'].parent =_meta_table['MplsTeStandby.P2Mp']['meta_info']
_meta_table['MplsTeStandby.P2Mp.CollaboratorTimers']['meta_info'].parent =_meta_table['MplsTeStandby.P2Mp']['meta_info']
_meta_table['MplsTeStandby.P2Mp.ForwardingOutputLabelRewrites']['meta_info'].parent =_meta_table['MplsTeStandby.P2Mp']['meta_info']
_meta_table['MplsTeStandby.OpenConfig.LspStates.LspState']['meta_info'].parent =_meta_table['MplsTeStandby.OpenConfig.LspStates']['meta_info']
_meta_table['MplsTeStandby.OpenConfig.LspCounters.LspCounter']['meta_info'].parent =_meta_table['MplsTeStandby.OpenConfig.LspCounters']['meta_info']
_meta_table['MplsTeStandby.OpenConfig.LspStates']['meta_info'].parent =_meta_table['MplsTeStandby.OpenConfig']['meta_info']
_meta_table['MplsTeStandby.OpenConfig.LspCounters']['meta_info'].parent =_meta_table['MplsTeStandby.OpenConfig']['meta_info']
_meta_table['MplsTeStandby.LspOutOfResources.Summary.LspOorStateXr.Statistics']['meta_info'].parent =_meta_table['MplsTeStandby.LspOutOfResources.Summary.LspOorStateXr']['meta_info']
_meta_table['MplsTeStandby.LspOutOfResources.Summary.LspOorStateXr']['meta_info'].parent =_meta_table['MplsTeStandby.LspOutOfResources.Summary']['meta_info']
_meta_table['MplsTeStandby.LspOutOfResources.Summary']['meta_info'].parent =_meta_table['MplsTeStandby.LspOutOfResources']['meta_info']
_meta_table['MplsTeStandby.Bfd.HeadInfos.HeadInfo.CurrentLspbfdInfo']['meta_info'].parent =_meta_table['MplsTeStandby.Bfd.HeadInfos.HeadInfo']['meta_info']
_meta_table['MplsTeStandby.Bfd.HeadInfos.HeadInfo.StandbyLspbfdInfo']['meta_info'].parent =_meta_table['MplsTeStandby.Bfd.HeadInfos.HeadInfo']['meta_info']
_meta_table['MplsTeStandby.Bfd.HeadInfos.HeadInfo.ReoptimizedLspbfdInfo']['meta_info'].parent =_meta_table['MplsTeStandby.Bfd.HeadInfos.HeadInfo']['meta_info']
_meta_table['MplsTeStandby.Bfd.HeadInfos.HeadInfo']['meta_info'].parent =_meta_table['MplsTeStandby.Bfd.HeadInfos']['meta_info']
_meta_table['MplsTeStandby.Bfd.Links.Link.Neighbor']['meta_info'].parent =_meta_table['MplsTeStandby.Bfd.Links.Link']['meta_info']
_meta_table['MplsTeStandby.Bfd.Links.Link']['meta_info'].parent =_meta_table['MplsTeStandby.Bfd.Links']['meta_info']
_meta_table['MplsTeStandby.Bfd.TailInfos.TailInfo.LspFec.FecDestinationInfo']['meta_info'].parent =_meta_table['MplsTeStandby.Bfd.TailInfos.TailInfo.LspFec']['meta_info']
_meta_table['MplsTeStandby.Bfd.TailInfos.TailInfo.LspFec']['meta_info'].parent =_meta_table['MplsTeStandby.Bfd.TailInfos.TailInfo']['meta_info']
_meta_table['MplsTeStandby.Bfd.TailInfos.TailInfo']['meta_info'].parent =_meta_table['MplsTeStandby.Bfd.TailInfos']['meta_info']
_meta_table['MplsTeStandby.Bfd.Counters.BfdOverLspHeadCounters']['meta_info'].parent =_meta_table['MplsTeStandby.Bfd.Counters']['meta_info']
_meta_table['MplsTeStandby.Bfd.Counters.SbfdOverLspHeadCounters']['meta_info'].parent =_meta_table['MplsTeStandby.Bfd.Counters']['meta_info']
_meta_table['MplsTeStandby.Bfd.Counters.BfdOverLspTailCounters']['meta_info'].parent =_meta_table['MplsTeStandby.Bfd.Counters']['meta_info']
_meta_table['MplsTeStandby.Bfd.Counters.BfDoLmCounters']['meta_info'].parent =_meta_table['MplsTeStandby.Bfd.Counters']['meta_info']
_meta_table['MplsTeStandby.Bfd.HeadInfos']['meta_info'].parent =_meta_table['MplsTeStandby.Bfd']['meta_info']
_meta_table['MplsTeStandby.Bfd.Links']['meta_info'].parent =_meta_table['MplsTeStandby.Bfd']['meta_info']
_meta_table['MplsTeStandby.Bfd.TailInfos']['meta_info'].parent =_meta_table['MplsTeStandby.Bfd']['meta_info']
_meta_table['MplsTeStandby.Bfd.Summary']['meta_info'].parent =_meta_table['MplsTeStandby.Bfd']['meta_info']
_meta_table['MplsTeStandby.Bfd.Counters']['meta_info'].parent =_meta_table['MplsTeStandby.Bfd']['meta_info']
_meta_table['MplsTeStandby.Nsr.Status.SyncStatusInformation.SlaveSyncInformation.Idt.CurrentIdtInfo']['meta_info'].parent =_meta_table['MplsTeStandby.Nsr.Status.SyncStatusInformation.SlaveSyncInformation.Idt']['meta_info']
_meta_table['MplsTeStandby.Nsr.Status.SyncStatusInformation.SlaveSyncInformation.Idt.PreviousIdtStatus']['meta_info'].parent =_meta_table['MplsTeStandby.Nsr.Status.SyncStatusInformation.SlaveSyncInformation.Idt']['meta_info']
_meta_table['MplsTeStandby.Nsr.Status.SyncStatusInformation.SlaveSyncInformation.Idt']['meta_info'].parent =_meta_table['MplsTeStandby.Nsr.Status.SyncStatusInformation.SlaveSyncInformation']['meta_info']
_meta_table['MplsTeStandby.Nsr.Status.SyncStatusInformation.SlaveSyncInformation.VifPending']['meta_info'].parent =_meta_table['MplsTeStandby.Nsr.Status.SyncStatusInformation.SlaveSyncInformation']['meta_info']
_meta_table['MplsTeStandby.Nsr.Status.SyncStatusInformation.SlaveSyncInformation.S2LPending']['meta_info'].parent =_meta_table['MplsTeStandby.Nsr.Status.SyncStatusInformation.SlaveSyncInformation']['meta_info']
_meta_table['MplsTeStandby.Nsr.Status.SyncStatusInformation.MasterSyncInformation.Idt.CurrentIdtInfo']['meta_info'].parent =_meta_table['MplsTeStandby.Nsr.Status.SyncStatusInformation.MasterSyncInformation.Idt']['meta_info']
_meta_table['MplsTeStandby.Nsr.Status.SyncStatusInformation.MasterSyncInformation.Idt.PreviousIdtStatus']['meta_info'].parent =_meta_table['MplsTeStandby.Nsr.Status.SyncStatusInformation.MasterSyncInformation.Idt']['meta_info']
_meta_table['MplsTeStandby.Nsr.Status.SyncStatusInformation.MasterSyncInformation.Idt']['meta_info'].parent =_meta_table['MplsTeStandby.Nsr.Status.SyncStatusInformation.MasterSyncInformation']['meta_info']
_meta_table['MplsTeStandby.Nsr.Status.SyncStatusInformation.SlaveSyncInformation']['meta_info'].parent =_meta_table['MplsTeStandby.Nsr.Status.SyncStatusInformation']['meta_info']
_meta_table['MplsTeStandby.Nsr.Status.SyncStatusInformation.MasterSyncInformation']['meta_info'].parent =_meta_table['MplsTeStandby.Nsr.Status.SyncStatusInformation']['meta_info']
_meta_table['MplsTeStandby.Nsr.Status.SyncStatusInformation']['meta_info'].parent =_meta_table['MplsTeStandby.Nsr.Status']['meta_info']
_meta_table['MplsTeStandby.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation.Idt.CurrentIdtInfo']['meta_info'].parent =_meta_table['MplsTeStandby.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation.Idt']['meta_info']
_meta_table['MplsTeStandby.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation.Idt.PreviousIdtStatus']['meta_info'].parent =_meta_table['MplsTeStandby.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation.Idt']['meta_info']
_meta_table['MplsTeStandby.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation.Idt']['meta_info'].parent =_meta_table['MplsTeStandby.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation']['meta_info']
_meta_table['MplsTeStandby.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation.VifPending']['meta_info'].parent =_meta_table['MplsTeStandby.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation']['meta_info']
_meta_table['MplsTeStandby.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation.S2LPending']['meta_info'].parent =_meta_table['MplsTeStandby.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation']['meta_info']
_meta_table['MplsTeStandby.Nsr.Detail.SyncStatusInformation.MasterSyncInformation.Idt.CurrentIdtInfo']['meta_info'].parent =_meta_table['MplsTeStandby.Nsr.Detail.SyncStatusInformation.MasterSyncInformation.Idt']['meta_info']
_meta_table['MplsTeStandby.Nsr.Detail.SyncStatusInformation.MasterSyncInformation.Idt.PreviousIdtStatus']['meta_info'].parent =_meta_table['MplsTeStandby.Nsr.Detail.SyncStatusInformation.MasterSyncInformation.Idt']['meta_info']
_meta_table['MplsTeStandby.Nsr.Detail.SyncStatusInformation.MasterSyncInformation.Idt']['meta_info'].parent =_meta_table['MplsTeStandby.Nsr.Detail.SyncStatusInformation.MasterSyncInformation']['meta_info']
_meta_table['MplsTeStandby.Nsr.Detail.SyncStatusInformation.SlaveSyncInformation']['meta_info'].parent =_meta_table['MplsTeStandby.Nsr.Detail.SyncStatusInformation']['meta_info']
_meta_table['MplsTeStandby.Nsr.Detail.SyncStatusInformation.MasterSyncInformation']['meta_info'].parent =_meta_table['MplsTeStandby.Nsr.Detail.SyncStatusInformation']['meta_info']
_meta_table['MplsTeStandby.Nsr.Detail.SyncStatusInformation']['meta_info'].parent =_meta_table['MplsTeStandby.Nsr.Detail']['meta_info']
_meta_table['MplsTeStandby.Nsr.Status']['meta_info'].parent =_meta_table['MplsTeStandby.Nsr']['meta_info']
_meta_table['MplsTeStandby.Nsr.Detail']['meta_info'].parent =_meta_table['MplsTeStandby.Nsr']['meta_info']
_meta_table['MplsTeStandby.AutoTunnelServices.SrPolicyEntries.SrPolicyEntry.ExplicitPath.TunnelInfo']['meta_info'].parent =_meta_table['MplsTeStandby.AutoTunnelServices.SrPolicyEntries.SrPolicyEntry.ExplicitPath']['meta_info']
_meta_table['MplsTeStandby.AutoTunnelServices.SrPolicyEntries.SrPolicyEntry.ExplicitPath.Hops']['meta_info'].parent =_meta_table['MplsTeStandby.AutoTunnelServices.SrPolicyEntries.SrPolicyEntry.ExplicitPath']['meta_info']
_meta_table['MplsTeStandby.AutoTunnelServices.SrPolicyEntries.SrPolicyEntry.EndPointXr']['meta_info'].parent =_meta_table['MplsTeStandby.AutoTunnelServices.SrPolicyEntries.SrPolicyEntry']['meta_info']
_meta_table['MplsTeStandby.AutoTunnelServices.SrPolicyEntries.SrPolicyEntry.ExplicitPath']['meta_info'].parent =_meta_table['MplsTeStandby.AutoTunnelServices.SrPolicyEntries.SrPolicyEntry']['meta_info']
_meta_table['MplsTeStandby.AutoTunnelServices.SrPolicyEntries.SrPolicyEntry']['meta_info'].parent =_meta_table['MplsTeStandby.AutoTunnelServices.SrPolicyEntries']['meta_info']
_meta_table['MplsTeStandby.AutoTunnelServices.SrPolicyEntries']['meta_info'].parent =_meta_table['MplsTeStandby.AutoTunnelServices']['meta_info']
_meta_table['MplsTeStandby.AffinityMap.AffinityMapArray']['meta_info'].parent =_meta_table['MplsTeStandby.AffinityMap']['meta_info']
_meta_table['MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthPrestandard.TopologyLinkPrestandardBandwidthDetail']['meta_info'].parent =_meta_table['MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthPrestandard']['meta_info']
_meta_table['MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthStandard.TopoLinkStdBwDetail']['meta_info'].parent =_meta_table['MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthStandard']['meta_info']
_meta_table['MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthPrestandard']['meta_info'].parent =_meta_table['MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth']['meta_info']
_meta_table['MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth.TopologyLinkBandwidthStandard']['meta_info'].parent =_meta_table['MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth']['meta_info']
_meta_table['MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Fixed']['meta_info'].parent =_meta_table['MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo']['meta_info']
_meta_table['MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo.Flex']['meta_info'].parent =_meta_table['MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo']['meta_info']
_meta_table['MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.OduLinkCapabilities.OduCapability.BandwidthInfo']['meta_info'].parent =_meta_table['MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.OduLinkCapabilities.OduCapability']['meta_info']
_meta_table['MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.OduLinkCapabilities.OduCapability']['meta_info'].parent =_meta_table['MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.OduLinkCapabilities']['meta_info']
_meta_table['MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.TopologyLinkBandwidth']['meta_info'].parent =_meta_table['MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink']['meta_info']
_meta_table['MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.OduLinkCapabilities']['meta_info'].parent =_meta_table['MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink']['meta_info']
_meta_table['MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.SharedRiskLinkGroup']['meta_info'].parent =_meta_table['MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink']['meta_info']
_meta_table['MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink.AdjacencySid']['meta_info'].parent =_meta_table['MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink']['meta_info']
_meta_table['MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeSidAndSrbg']['meta_info'].parent =_meta_table['MplsTeStandby.TopologyBriefs.TopologyBrief']['meta_info']
_meta_table['MplsTeStandby.TopologyBriefs.TopologyBrief.TopologyNodeLink']['meta_info'].parent =_meta_table['MplsTeStandby.TopologyBriefs.TopologyBrief']['meta_info']
_meta_table['MplsTeStandby.TopologyBriefs.TopologyBrief']['meta_info'].parent =_meta_table['MplsTeStandby.TopologyBriefs']['meta_info']
_meta_table['MplsTeStandby.HardwareOutOfResources']['meta_info'].parent =_meta_table['MplsTeStandby']['meta_info']
_meta_table['MplsTeStandby.P2PP2MpTunnel']['meta_info'].parent =_meta_table['MplsTeStandby']['meta_info']
_meta_table['MplsTeStandby.TopologyNodes']['meta_info'].parent =_meta_table['MplsTeStandby']['meta_info']
_meta_table['MplsTeStandby.AnnounceTunnelsInfo']['meta_info'].parent =_meta_table['MplsTeStandby']['meta_info']
_meta_table['MplsTeStandby.CollaboratorTimers']['meta_info'].parent =_meta_table['MplsTeStandby']['meta_info']
_meta_table['MplsTeStandby.AutoTunnel']['meta_info'].parent =_meta_table['MplsTeStandby']['meta_info']
_meta_table['MplsTeStandby.SoftPreemption']['meta_info'].parent =_meta_table['MplsTeStandby']['meta_info']
_meta_table['MplsTeStandby.ForwardingAdjacencyDestinations']['meta_info'].parent =_meta_table['MplsTeStandby']['meta_info']
_meta_table['MplsTeStandby.IgpAreas']['meta_info'].parent =_meta_table['MplsTeStandby']['meta_info']
_meta_table['MplsTeStandby.WrapProtection']['meta_info'].parent =_meta_table['MplsTeStandby']['meta_info']
_meta_table['MplsTeStandby.Topology']['meta_info'].parent =_meta_table['MplsTeStandby']['meta_info']
_meta_table['MplsTeStandby.SignallingCounters']['meta_info'].parent =_meta_table['MplsTeStandby']['meta_info']
_meta_table['MplsTeStandby.DiffServTeClasses']['meta_info'].parent =_meta_table['MplsTeStandby']['meta_info']
_meta_table['MplsTeStandby.Issu']['meta_info'].parent =_meta_table['MplsTeStandby']['meta_info']
_meta_table['MplsTeStandby.FastReroute']['meta_info'].parent =_meta_table['MplsTeStandby']['meta_info']
_meta_table['MplsTeStandby.AttributeSets']['meta_info'].parent =_meta_table['MplsTeStandby']['meta_info']
_meta_table['MplsTeStandby.IgpAreaBriefs']['meta_info'].parent =_meta_table['MplsTeStandby']['meta_info']
_meta_table['MplsTeStandby.Tunnels']['meta_info'].parent =_meta_table['MplsTeStandby']['meta_info']
_meta_table['MplsTeStandby.MaximumTunnels']['meta_info'].parent =_meta_table['MplsTeStandby']['meta_info']
_meta_table['MplsTeStandby.PathProtection']['meta_info'].parent =_meta_table['MplsTeStandby']['meta_info']
_meta_table['MplsTeStandby.FibNextHopLabelRoutes']['meta_info'].parent =_meta_table['MplsTeStandby']['meta_info']
_meta_table['MplsTeStandby.P2Mp']['meta_info'].parent =_meta_table['MplsTeStandby']['meta_info']
_meta_table['MplsTeStandby.OpenConfig']['meta_info'].parent =_meta_table['MplsTeStandby']['meta_info']
_meta_table['MplsTeStandby.LspOutOfResources']['meta_info'].parent =_meta_table['MplsTeStandby']['meta_info']
_meta_table['MplsTeStandby.Bfd']['meta_info'].parent =_meta_table['MplsTeStandby']['meta_info']
_meta_table['MplsTeStandby.Nsr']['meta_info'].parent =_meta_table['MplsTeStandby']['meta_info']
_meta_table['MplsTeStandby.AutoTunnelServices']['meta_info'].parent =_meta_table['MplsTeStandby']['meta_info']
_meta_table['MplsTeStandby.AffinityMap']['meta_info'].parent =_meta_table['MplsTeStandby']['meta_info']
_meta_table['MplsTeStandby.TopologyBriefs']['meta_info'].parent =_meta_table['MplsTeStandby']['meta_info']
